<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'header.php'; ?>

<div class="column card" style="width:97%; margin:0 auto;">

<h1 class="center"><?= _SPECIALTHANKS ?></h1>
<br>
<p class="center">
<?= _THANKTHEFOLLOWING ?>
</p>
<p class="left spacer">&bull; Hint: <a href="https://kushagra.dev/lab/hint/" target="_blank">Kushagra Gour</a> -
<?= _CSSTOOLTIPLIBRARY ?>
</p>
<p class="left spacer">&bull; <a href="https://tinymce/" target="_blank">TinyMCE 6</a> -
<?= _VISUALTEXTEDITOR ?>
</p>
<p class="left spacer">&bull; <a href="https://github.com/Studio-42/elFinder" target="_blank">elFinder</a> -
<?= _MEDIALIBRARY ?>
</p>
<p class="left spacer">&bull; <a href="https://ubergallery.net" target="_blank">UberGallery</a> -
<?= _FORMEDFOUNDATION ?>
</p>
<p class="left spacer">&bull; <a href="https://coursesweb.net/php-mysql/" target="_blank">Courses Web</a> -
<?= _USERSONLINE ?>
</p>

</div>

<?php require_once 'footer.php';