<?php
/**
* Spectra is software designed to build a website.
* PHP version 8
*
* @category  OpenSource
* @package   Spectra
* @author    Mike Boyles <codersjunctions@gmail.com>
* @copyright 2020-2023 Coders Junction
* @license   GNU General Public License <http://www.gnu.org/licenses/>.
* @link      https://www.coders-junction.com
*/ 
require_once 'main.php';
$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
require_once '../lang/' . $row['lang'] . '.php';}} ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="x-ua-compatible" content="ie=edge">
<meta name="description" content="This is a lost page (404)">
<meta name="keywords" content="Lost, search, homepage">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
<title><?= _LOSTPAGE404 ?></title>
<link rel="stylesheet" href="../core/themes/style.min.css">
<link rel="stylesheet" href="../core/css/fonts.css">
<style>.minicontainer { width:50%; padding:5%; margin:0 auto; border-radius:12px; box-shadow:1px 0 40px 0 rgba(50,50,50,.3)} @media (max-width: 1000px) { .minicontainer {width:100%}}</style>
</head>
<body style="background: url('../../sup/images/footer.jpg') no-repeat; background-attachment-fixed;">

<?php $stmt = $conn->prepare('SELECT usertheme, usetheme FROM accounts WHERE id = ?');
$stmt->bind_param('i', $_SESSION['id']);
$stmt->execute();
$stmt->bind_result(
$usertheme, $usetheme );
$stmt->fetch();
$stmt->close();
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true && $usetheme == 'Yes') { 
if (isset($_GET['id'])) { $id = $_GET['id']; }
$sql = "SELECT id, usertheme FROM accounts"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { 
require_once '../themes/usertheme.php'; }}}
else { require_once '../themes/theme.php'; } ?>
<div style="padding-top:7%">
<div class="minicontainer">
<p class="center abril" style="font-size:3vw; font-family:abrilfatface;"><?= _PAGENOTFOUND ?></p>
<div style="margin:0 auto;padding:20px;">
<p class="center" style="font-size:22px; font-family:cormorant;"><?= _UNABLETOFIND ?></p>
<div class="center"><a href="../../index.php" title="Go To The Homepage" style="text-decoration:none; width:200px;" class="spacer button"><span class="spacer linkcolor"><?= _BACKTOHOME ?></span></a></div>
</div>
</div>
</div>

</body>
</html>