1. Privacy policy

The personal information supplied by registered users will not be shared with any entity unrelated with the site. Such personal information includes the personal name, user account name that can be used to log in the site, e-mail address, birth date, country of origin and personal picture. Exceptions may happen in the following specific cases: a) authors who submit content to the site and have their personal names and picture exposed on the same pages on which their content is published, and b) users who claim prizes in contests organized by the site, in which the users voluntarily participate and authorize the site to supply their e-mail address to the sponsors who will contact them to deliver the prizes.

2. Requirement to register

This site itself does not require any person to register in order to access site content. However, the authors of some types of content published on the site, like the code of the classes of objects, have the option of requiring that users are authenticated when they want to read or download files with content that those authors provided. The site records the unique user identifier number of users who access a content piece only when the users are authenticated. This way the site can build accurate charts that list the top accessed content in a way that is reasonably immune to fraud. At the same time the site provides additional exposure and recognition only to the work of the authors who deserve it. These top content charts do not disclose the identity of the users that accessed the content of the authors. Additionally, the information about which users accessed the content may be used to determine which users may be interested in receiving automatic alerts when such content is updated by their authors. This way the users are able to come to the site and obtain the most recent versions of the content. Updated content may contain fixes or or other type of improvements on the content quality.


3. Multiple accounts

Each person may only have one active account at a time. The site only accepts requests to register from users that use a unique access name and unique e-mail address. New accounts are only approved if there is no other account created in the past with the same access name or the same email address. This restriction helps the site to combat fraud that could be committed by users that want to abuse the system to get benefits they do not deserve. That could be the case of users that want to show higher in several types of ranking without having done the necessary work to rank that high.

4. Removal of accounts

The site supports the permanent removal of any accounts as there is no interest to retain personal information of users that no longer want to use the site. When a user wants that he or she no longer wants to access the site, the user can access a the user options page to request the removal of his or her account. When that happens, the site will wipe personal information details in a way that the original personal information cannot be recovered from the site database. Personal information details include the user name used to log in the site, personal name, email address, birth date, country of origin or personal pictures. The user name and the email address information is replaced by random text that is a one way hash value.{break}This hash value can be used to detect if another user tries to register in the site with the same user name or email address of another user that registered in the past but requested that the site removes his or her account.


5. Updates of the terms of use

These terms of use may be updated from time to time to clarify anything that may cause confusion, or to cover new aspects of the site. The updated terms of use are presented the next time a registered user makes an authenticated access to the site. Users are required to confirm that they have read, understood, and accept the new terms of use to be allowed to continue to access the site.