<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
closenav();

$sql = "SELECT * FROM website";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$hp_sidebars = $row['hp_sidebars'];
$hp_oncanvas_sidebars = $row['hp_oncanvas_sidebars']; }}

$sql = "SELECT * FROM 
config_row_one, config_row_two, 
config_row_three, config_row_four, 
config_row_five, config_row_six, 
config_row_seven, config_row_eight, 
config_row_nine, config_row_ten, 
config_row_eleven, config_row_twelve";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$rowonesidebars = $row['rowonesidebars'];
$rowtwosidebars = $row['rowtwosidebars'];
$rowthreesidebars = $row['rowthreesidebars'];
$rowfoursidebars = $row['rowfoursidebars'];
$rowfivesidebars = $row['rowfivesidebars'];
$rowsixsidebars = $row['rowsixsidebars'];
$rowsevensidebars = $row['rowsevensidebars'];
$roweightsidebars = $row['roweightsidebars'];
$rowninesidebars = $row['rowninesidebars'];
$rowtensidebars = $row['rowtensidebars'];
$rowelevensidebars = $row['rowelevensidebars'];
$rowtwelvesidebars = $row['rowtwelvesidebars']; }}

$sql = "SELECT * FROM admin_block";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) { ?>

<form action="helpers/admin_block.php" target="_blank" method="post" class="noborder">

<?php savemenu(); ?>

<div class="full radius">

<style>
.responsiveC {
width: 73%; }

@media(max-width:900px) {
.responsiveC {
width: 100%;
padding: 0; }}

.coltitle {
text-align: center;
border: .5px solid #94D6E3;
box-shadow: 1px 0 40px 0 rgba(50, 50, 50, .3); }
</style>

<div style="margin:0 auto;" class="radius spacer">

<div class="spacer card noborder">

<div class="column-title spacer">
<h1 class="center coltitlecolor"><i class="fas fa-gears"></i> <?= _ADMINBLOCK ?></h1>
</div>
<div class="mini-container noborder">
<p class="left"><?= _INFOADMINBLOCK ?></p>

<p class="left"><strong><?= _USEADMINBLOCK ?> </strong>
<select name="use_admin_block">
<option><?= $row['use_admin_block'] ?></option>
<?php if ($hp_sidebars == 'Left' or $hp_sidebars == 'Both') { ?>
<option value="Off-canvas Left"><?= _OFFCANVASLEFT ?></option>
<?php }
if ($hp_sidebars == 'Right' or $hp_sidebars == 'Both') { ?> 
<option value="Off-canvas Right"><?= _OFFCANVASRIGHT ?></option>
<?php }
if ($hp_oncanvas_sidebars == 'Left' or $hp_oncanvas_sidebars == 'Both') { ?>
<option value="On-canvas Left"><?= _ONCANVASLEFT ?></option>
<?php }
if ($hp_oncanvas_sidebars == 'Right' or $hp_oncanvas_sidebars == 'Both') { ?>
<option value="On-canvas Right"><?= _ONCANVASRIGHT ?></option>
<?php }

if ($rowonesidebars == 'Left' or $rowonesidebars == 'Both') { ?>
<option value="Row One Left"><?= _ROWONE ?>             <?= _LEFT ?></option>
<?php }

if ($rowonesidebars == 'Right' or $rowonesidebars == 'Both') { ?>
<option value="Row One Right"><?= _ROWONE ?>             <?= _RIGHT ?></option>
<?php }

if ($rowtwosidebars == 'Left' or $rowtwosidebars == 'Both') { ?>
<option value="Row Two Left"><?= _ROWTWO ?>             <?= _LEFT ?></option>
<?php }

if ($rowtwosidebars == 'Right' or $rowtwosidebars == 'Both') { ?>
<option value="Row Two Right"><?= _ROWTWO ?>             <?= _RIGHT ?></option>
<?php }

if ($rowthreesidebars == 'Left' or $rowthreesidebars == 'Both') { ?>
<option value="Row Three Left"><?= _ROWTHREE ?>             <?= _LEFT ?></option>
<?php }
if ($rowthreesidebars == 'Right' or $rowthreesidebars == 'Both') { ?>
<option value="Row Three Right"><?= _ROWTHREE ?>             <?= _RIGHT ?></option>
<?php }

if ($rowfoursidebars == 'Left' or $rowfoursidebars == 'Both') { ?>
<option value="Row Four Left"><?= _ROWFOUR ?>             <?= _LEFT ?></option>
<?php }
if ($rowfoursidebars == 'Right' or $rowfoursidebars == 'Both') { ?>
<option value="Row Four Right"><?= _ROWFOUR ?>             <?= _RIGHT ?></option>
<?php }

if ($rowfivesidebars == 'Left' or $rowfivesidebars == 'Both') { ?>
<option value="Row Five Left"><?= _ROWFIVE ?>             <?= _LEFT ?></option>
<?php }
if ($rowfivesidebars == 'Right' or $rowfivesidebars == 'Both') { ?>
<option value="Row Five Right"><?= _ROWFIVE ?>             <?= _RIGHT ?></option>
<?php }

if ($rowsixsidebars == 'Left' or $rowsixsidebars == 'Both') { ?>
<option value="Row Six Left"><?= _ROWSIX ?>             <?= _LEFT ?></option>
<?php }
if ($rowsixsidebars == 'Right' or $rowsixsidebars == 'Both') { ?>
<option value="Row Six Right"><?= _ROWSIX ?>             <?= _RIGHT ?></option>
<?php }

if ($rowsevensidebars == 'Left' or $rowsevensidebars == 'Both') { ?>
<option value="Row Seven Left"><?= _ROWSEVEN ?>             <?= _LEFT ?></option>
<?php }
if ($rowsevensidebars == 'Right' or $rowsevensidebars == 'Both') { ?>
<option value="Row Seven Right"><?= _ROWSEVEN ?>             <?= _RIGHT ?></option>
<?php }

if ($roweightsidebars == 'Left' or $roweightsidebars == 'Both') { ?>
<option value="Row Eight Left"><?= _ROWEIGHT ?>             <?= _LEFT ?></option>
<?php }
if ($roweightsidebars == 'Right' or $roweightsidebars == 'Both') { ?>
<option value="Row Eight Right"><?= _ROWEIGHT ?>             <?= _RIGHT ?></option>
<?php }

if ($rowninesidebars == 'Left' or $rowninesidebars == 'Both') { ?>
<option value="Row Nine Left"><?= _ROWNINE ?>             <?= _LEFT ?></option>
<?php }
if ($rowninesidebars == 'Right' or $rowninesidebars == 'Both') { ?>
<option value="Row Nine Right"><?= _ROWNINE ?>             <?= _RIGHT ?></option>
<?php }

if ($rowtensidebars == 'Left' or $rowtensidebars == 'Both') { ?>
<option value="Row Ten Left"><?= _ROWTEN ?>             <?= _LEFT ?></option>
<?php }
if ($rowtensidebars == 'Right' or $rowtensidebars == 'Both') { ?>
<option value="Row Ten Right"><?= _ROWTEN ?>             <?= _RIGHT ?></option>
<?php }

if ($rowelevensidebars == 'Left' or $rowelevensidebars == 'Both') { ?>
<option value="Row Eleven Left"><?= _ROWELEVEN ?>             <?= _LEFT ?></option>
<?php }
if ($rowelevensidebars == 'Right' or $rowelevensidebars == 'Both') { ?>
<option value="Row Eleven Right"><?= _ROWELEVEN ?>             <?= _RIGHT ?></option>
<?php }

if ($rowtwelvesidebars == 'Left' or $rowtwelvesidebars == 'Both') { ?>
<option value="Row Twelve Left"><?= _ROWTWELVE ?>             <?= _LEFT ?></option>
<?php }
if ($rowtwelvesidebars == 'Right' or $rowtwelvesidebars == 'Both') { ?>
<option value="Row Twelve Right"><?= _ROWTWELVE ?>             <?= _RIGHT ?></option>
<?php } ?>
<option value="None"><?= _NONE ?></option>
</select> <?= _WILLBEDISPLAYED ?>
</p>

<p class="left"><strong><?= _ADMINBLOCKTITLE ?>: </strong>
<input style="background:#f1f1f1;color:#000;" type="text" name="admin_block_title" maxlength="25" size="25" value="<?= htmlentities($row['admin_block_title'], ENT_QUOTES) ?>">
</p>

<p class="left"><strong><?= _CANBESTYLED ?> </strong>
<select name="styletitle">
<option><?= $row['styletitle'] ?></option>
<option value="Styled"><?= _STYLED ?></option>
<option value="Plain"><?= _PLAIN ?></option>
</select> <?= _ONLYIF ?>
</p>

<p class="left"><?= _BLOCKISHELPFUL ?></p>

<p><a href="adminlinksall.php" class="center btn" style="text-decoration:none" target="_blank"><span class="white"><?= _VIEWADDLINKS ?></span></a></p>

<?php }} ?>
<br>

</div>
</div>
</div>

</form>

<?php require_once 'footer.php';