<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
require_once 'saveadminarticle.php';
closenav();

if (isset($_GET['edit'])) {
$id = $_GET['edit'];
$update = true;
$record = mysqli_query($db, "SELECT * FROM adminarticle WHERE id='$id'"); {
$n = mysqli_fetch_array($record);
$useadminarticle = $n['useadminarticle'];
$adminarticle = $n['adminarticle'];
$adminarticletitle = $n['adminarticletitle'];
$printon = $n['printon'];
$author = $n['author'];
$usewhich = $n['usewhich'];
$backcolor = $n['backcolor'];
$backcolor_second = $n['backcolor_second'];
$backimage = $n['backimage']; 
$showtitle = $n['showtitle']; 
$allowcomments = $n['allowcomments'];
$date_author = $n['date_author'];
$visibility = $n['visibility'];
$spotlight = $n['spotlight'];
$archive = $n['archive'];
$backattach = $n['backattach']; }} ?>

<link rel="stylesheet" type="text/css" href="css/pageeditor.css">

<br>
<br>

<div class="full">
<div class="radius spacer">

<form action="saveadminarticle.php" method="post" class="noborder">

<?php updatepublish(); ?>

<div class="column-title spacer">
<h1 class="center coltitlecolor"><?= _ADMINARTICLEMSG ?></h1>
</div>

<br>

<?php $results = mysqli_query($db, "SELECT * FROM adminarticle"); ?>

<input type="hidden" name="id" value="<?= $id ?>">

<div class="left spacer card noborder input-group">

<div class="mini-container noborder">

<p class="column-title coltitlecolor center"><?= _GENSETTINGS ?></p>

<p class="justify"><?= _IFYOUADD ?></p>

<p style="font-size:18px" class="left"><?= _USEADMINARTICLE ?> </strong>
<select name="useadminarticle">
<option><?= $useadminarticle ?></option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>

<p style="font-size:18px" class="left"><?= _ENTERMSGTITLE ?>:
<br>
<input style="background:#f1f1f1; width:75%; color:#000;" type="text" name="adminarticletitle" maxlength="55" size="55" value="<?= $adminarticletitle ?>">
</p>

<p style="font-size:18px" class="left"><?= _PLACEINSPOTLIGHT ?> </strong>
<select name="spotlight">
<option><?= $spotlight ?></option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>

<p style="font-size:18px" class="left"><?= _PLACEINARCHIVE ?> </strong>
<select name="archive">
<option><?= $archive ?></option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>

<p class="left"><?= _MSG_POSITION ?></p>

<p style="font-size:18px" class="left"><?= _WHOCANSEE ?> </strong>
<select name="visibility">
<option><?= $visibility ?></option>
<option value="Member"><?= _MEMBER ?></option>
<option value="Admin"><?= _ADMIN ?></option>
<option value="Visitor"><?= _VISITOR ?></option>
</select>
</p>

<p style="font-size:18px" class="left"><?= _SHOWTITLE ?> </strong>
<select name="showtitle">
<option><?= $showtitle ?></option>
<option value="No"><?= _NO ?></option>
<option value="Plain"><?= _PLAIN ?></option>
<option value="Styled"><?= _STYLED ?></option>
</select>
</p>

<p style="font-size:18px" class="left"><?= _SHOWAUTHORDATE ?> </strong>
<select name="date_author">
<option><?= $date_author ?></option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>

<p style="font-size:18px" class="left"><?= _AUTHOR ?> </strong>
<select name="author">
<?php $sql = "SELECT username FROM accounts WHERE role = 'Admin'";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) { ?>
<option><?= $row['username'] ?></option>
<?php }} ?>
</select>
</p>

<p style="font-size:18px" class="left"><?= _ALLOWCOMMENTS ?>? </strong>
<select name="allowcomments">
<option><?= $allowcomments ?></option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>

<p style="font-size:18px" class="left"><?= _ALLOWPRINTING ?> </strong>
<select name="printon">
<option><?= $printon ?></option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>

<p class="center column-title coltitlecolor"><?= _ARTICLEBACK ?></p>

<p class="left"><?= _USEBACKORIMAGE ?></p>

<p class="left"><strong><?= _USINGWHICH ?> </strong>
<select name="usewhich">
<option><?= $usewhich ?></option>
<option value="Color"><?= _COLOR ?></option>
<option value="Image"><?= _IMAGE ?></option>
<option value="None"><?= _NONE ?></option>
</select>
</p>

<p class="left"><?= _CANUSEGRADIENTORSOLID ?></p>

<p class="left"><input class="left" style="width:120px" data-jscolor="jscolor"> <?= _COPYPASTE ?></p>

<p class="left"><strong><?= _BACKCOLORFIRST ?>&nbsp;
<input style="width:150px; background:#f1f1f1; color:#000;" type="text" name="backcolor" maxlength="7" size="7" value="<?= $backcolor ?>">

<p class="left"><strong><?= _BACKCOLORSECOND ?>&nbsp;
<input style="width:150px; background:#f1f1f1; color:#000;" type="text" name="backcolor_second" maxlength="7" size="7" value="<?= $backcolor_second ?>">

<p class="left"><strong><?= _IFUSING_IMAGE ?></strong>
<select name="backattach">
<option><?= $backattach ?></option>
<option value="fixed"><?= _FIXED ?></option>
<option value="scroll"><?= _SCROLL ?></option>
<option value=""></option>
</select>
</p>

<p class="left"><strong><?= _BACKIMAGE ?></strong><br>
<input style="width:75%; background:#f1f1f1; color:#000;" type="text" name="backimage" value="<?= $backimage ?>">
<br><?= _UPLOADTHEMESFOLDER ?>
</p>

</td>
</tr>
</table>

<br>                

</div>

<br>

<h2 class="column-title center coltitlecolor"><?= _MSGCONTENT ?></h2>

<br>

<div class="spacer">
<textarea id="editor" type="text" name="adminarticle" style="width:95%"><?= htmlentities($adminarticle, ENT_QUOTES) ?></textarea>
</div>

</div>
</div>

<?php require_once 'footer.php';