<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

 require_once 'main.php';
require_once 'header.php';

closenav();

if (isset($_GET['id'])) { $id = $_GET['id']; }

$sql = "SELECT * FROM adminarticle WHERE id='$id'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {

if ($row['useadminarticle'] == 'Yes') { 
    
if ($row['showtitle'] == 'Styled') { ?>
<div class="column center column-title coltitlecolor"><?= $row['adminarticletitle'] ?></div>
<?php } 
elseif ($row['showtitle'] == 'Plain') { ?><h3 class="center"><?= $row['adminarticletitle'] ?></h3> 
<?php } 
elseif ($row['showtitle'] == 'No' || $row['showtitle'] == '') { }

/**
 * 
 * If a background image is used.
 * 
 */

if ($row['usewhich'] == 'Image') { ?>
<div class="spacer column" style="background-image:url(../media/themes/<?= $row['backimage'] ?>);background-attachment:fixed; height:<?= $row['height'] ?>; width:100%; overflow-y:auto; overflow-x:hidden;">
<?= $row['adminarticle']; } 

/**
 * 
 * If a background color is used.
 * 
 */

elseif ($row['usewhich'] == 'Color') { ?>
<div class="spacer column" style="background:-webkit-linear-gradient(top,<?= $row['backcolor'] ?>,<?= $row['backcolor_second'] ?>); height:<?= $row['height'] ?>; width:100%; overflow-y:auto; overflow-x:hidden;">
<?= $row['adminarticle']; } 

/**
 * 
 * If no color or image is used.
 * 
 */

elseif ($row['usewhich'] == 'None') { ?>
<div class="spacer card column" style=" height:<?= $row['height'] ?>; width:100%; overflow-y:auto; overflow-x:hidden;">
<?= $row['adminarticle']; } 

/**
 * 
 * Add the date and establish if the admin is logged-in.
 * 
 */ ?>

</div>
</div>
</div>
<br>
<?php }}} 

require_once 'footer.php';
