<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
require_once 'saveadminlinks.php';
closenav();

if (isset($_GET['edit'])) {
$id = $_GET['edit'];
$update = true;
$record = mysqli_query($db, "SELECT * FROM adminlinks WHERE id=$id"); {
$n = mysqli_fetch_array($record);
$uselink = $n['uselink'];
$link_name = $n['link_name'];
$link_url = $n['link_url'];
$linktitle = $n['linktitle'];
$link_icon = $n['link_icon'];
$link_icon_color = $n['link_icon_color']; }} ?>

<link rel="stylesheet" type="text/css" href="css/pageeditor.css">

<div class="card full spacer radius">

<?php require_once 'menu-menu.php'; ?>

<br><br><br>

<div class="column-title spacer"><h1 class="center coltitlecolor"><?= _ADMINLINKSBUILDER ?></h1></div>

<p class="center"><?= _ONLYADMINCANSEE ?></p>

<?php $results = mysqli_query($db, "SELECT * FROM adminlinks"); ?>

<form method="post" action="saveadminlinks.php" class="noborder">

<?php updatepublish(); ?>

<input type="hidden" name="id" value="<?= $id ?>">

<div class="mini-container noborder">

<p class="left"><?= _USETHISLINK ?>
<select name="uselink">
<option><?= $uselink ?></option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>

<p class="left"><?= _NAME ?>: <input style="width:250px;background:#f1f1f1; color:#000;" type="text" name="link_name" maxlength="25" size="25" value="<?= $link_name ?>"></p>

<p class="left"><?= _URL ?>: <input style="width:250px;background:#f1f1f1; color:#000;" type="text" name="link_url" maxlength="55" size="55" value="<?= $link_url ?>"></p>

<p class="left"><?= _ICON ?>: <input style="width:250px;background:#f1f1f1; color:#000;" type="text" name="link_icon" maxlength="25" size="25" value="<?= $link_icon ?>"></p>

<p class="left"><?= _ICON_COLOR ?>: <input style="width:250px;background:#f1f1f1; color:#000;" type="text" name="link_icon_color" maxlength="7" size="7" value="<?= $link_icon_color ?>"></p>

<p class="left"><?= _TITLETEXT ?> <input style="width:250px;background:#f1f1f1; color:#000;" type="text" name="linktitle" maxlength="25" size="25" value="<?= $linktitle ?>"></p>

<br><br>

</div>

<br><br>

<?php require_once 'footer.php';