<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
require_once 'savearticles.php';
closenav();

if (isset($_GET['edit'])) {
$id = $_GET['edit'];
$update = true;
$record = mysqli_query($db, "SELECT * FROM articles WHERE id=$id"); {
$n = mysqli_fetch_array($record);
$c_title = $n['c_title'];
$c_text = $n['c_text'];
$tags = $n['tags'];
$spotlight = $n['spotlight'];
$author = $n['author'];
$showauthor = $n['showauthor'];
$printon = $n['printon'];
$allowcomments = $n['allowcomments'];
$publish = $n['publish'];
$category = $n['category'];
$email = $n['email'];
$mbrsubmitted = $n['mbrsubmitted'];
$usetitle = $n['usetitle'];
$usewhich = $n['usewhich'];
$backcolor = $n['backcolor'];
$backcolor_second = $n['backcolor_second'];
$backimage = $n['backimage'];
$archive = $n['archive'];
$metatags = $n['metatags'];
$description = $n['description'];
$articleimage = $n['articleimage'];
$articleimageboth = $n['articleimageboth'];
$imageside = $n['imageside'];
$readmore = $n['readmore'];
$usereadmore = $n['usereadmore'];
$readmoretarget = $n['readmoretarget'];
$article_container = $n['article_container'];
$shorttext = $n['shorttext'];
$icon = $n['icon'];
$iconcolor = $n['iconcolor'];
$mini_position = $n['mini_position'];
$chooseicon = $n['chooseicon'];
$g_image = $n['g_image'];
$setimgsize = $n['setimgsize'];
$seticonsize = $n['seticonsize'];
$setheight = $n['setheight'];
$imgradius = $n['imgradius']; }}

$sql = "SELECT * FROM config_row_one, config_row_two, config_row_three, 
config_row_four, config_row_five, config_row_six, 
config_row_seven, config_row_eight, config_row_nine, 
config_row_ten, config_row_eleven, config_row_twelve"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$rowonesidebars = $row['rowonesidebars']; 
$rowtwosidebars = $row['rowtwosidebars']; 
$rowthreesidebars = $row['rowthreesidebars']; 
$rowfoursidebars = $row['rowfoursidebars']; 
$rowfivesidebars = $row['rowfivesidebars']; 
$rowsixsidebars = $row['rowsixsidebars'];
$rowsevensidebars = $row['rowsevensidebars']; 
$roweightsidebars = $row['roweightsidebars']; 
$rowninesidebars = $row['rowninesidebars']; 
$rowtensidebars = $row['rowtensidebars']; 
$rowelevensidebars = $row['rowelevensidebars'];
$rowtwelvesidebars = $row['rowtwelvesidebars']; }} ?>

<link rel="stylesheet" type="text/css" href="css/pageeditor.css">

<form method="post" action="savearticles.php" class="noborder">

<?php updatepublish(); ?>

<div class="spacer card noborder">

<div class="spacer column-title">
<h1 class="center coltitlecolor"><?= _ARTICLEBUILDER ?></h1>
</div>

<h3 class="center"><?= _CREATECATEGORIES ?></h3>

<?php $results = mysqli_query($db, "SELECT * FROM articles"); ?>

<input type="hidden" name="id" value="<?= $id ?>">

<input type="hidden" name="mbrsubmitted" value="No" required>

<div class="full input-group">

<div class="mini-container">

<h1 class="column-title coltitlecolor center"><?= _GENERALSETTINGS ?></h1>

<p class="left"><?= _ENTERTITLE ?></p>

<p class="left"><input maxlength="55" type="text" name="c_title" value="<?= $c_title ?>"></p>

<p class="left"><strong><?= _DISPLAYARTICLETITLE ?> </strong>
<select name="usetitle">
<option><?= $usetitle ?></option>
<option value="Plain"><?= _PLAIN ?></option>
<option value="Styled"><?= _STYLED ?></option>
<option value="No"><?= _NO ?></option>
</select><?= _ARTICLETITLEWILLSHOW ?>
</p>

<p class="left"><strong><?= _PUBLISHTHISARTICLE ?> </strong>
<select name="publish">
<option><?= $publish ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select> <?= _TURNOFFFOREDITING ?>
</p>

<h3 class="center"><?= _FULLARTICLES ?></h3>

<p class="left"><strong><?= _CHOOSEFULLMINI ?> </strong>
<select name="article_container">
<option><?= $article_container ?></option>
<option value="Full">Full</option>
<option value="Mini">Mini</option>
</select> (<?= _MUSTBESET_ ?>)
</p>

<p class="center"><?= _MINIINFO ?></p>

<div class="accordion center column-title coltitlecolor" style="width:100%"><?= _CLICKTOOPEN ?></div>

<div class="panel inner-wrapper radius">

<p class="center"><?= _SETTINGSINTHISWINDOW ?></p>

<?php $sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$hp_sidebars = $row['hp_sidebars']; 
$hp_oncanvas_sidebars = $row['hp_oncanvas_sidebars'];
$styletitle = $row['styletitle'];
$sidebars_used = $row['sidebars_used']; }}?>

<p class="left"><strong><?= _USEMINI ?>.</strong><br>
<select name="mini_position">
<option><?= $mini_position ?></option>    
<?php 
if ($hp_sidebars == 'None' || $hp_sidebars == '') { }

if ($hp_sidebars == 'Left' || $hp_sidebars == 'Both') { ?>
<option value="Off-canvas Left"><?= _OFFCANVASLEFT ?></option>
<?php }

if ($hp_sidebars == 'Right' || $hp_sidebars == 'Both') { ?>
<option value="Off-canvas Right"><?= _OFFCANVASRIGHT ?></option>
<?php }								

if ($hp_oncanvas_sidebars == 'None' || $hp_oncanvas_sidebars == '') { }

if ($hp_oncanvas_sidebars == 'Left' || $hp_oncanvas_sidebars == 'Both') { ?>
<option value="On-canvas Left"><?= _ONCANVASLEFT ?></option>
<?php }

if ($hp_oncanvas_sidebars == 'Right' || $hp_oncanvas_sidebars == 'Both') { ?>
<option value="On-canvas Right"><?= _ONCANVASRIGHT ?></option>
<?php }

if ($sidebars_used == 'Left' || $sidebars_used == 'Both') { ?>
<option value="Top Article Left"><?= _TOPARTICLELEFT ?></option>
<?php }

if ($sidebars_used == 'Right' || $sidebars_used == 'Both') { ?>
<option value="Top Article Right"><?= _TOPARTICLERIGHT ?></option>
<?php }

if ($rowonesidebars == 'Left' || $rowonesidebars == 'Both') { ?>
<option value="Row One Left"><?= _ROWONE ?> <?= _LEFT ?></option>
<?php }

if ($rowonesidebars == 'Right' || $rowonesidebars == 'Both') { ?>
<option value="Row One Right"><?= _ROWONE ?> <?= _RIGHT ?></option>
<?php } 

if ($rowtwosidebars == 'Left' || $rowtwosidebars == 'Both') { ?>
<option value="Row Two Left"><?= _ROWTWO ?> <?= _LEFT ?></option>
<?php }

if ($rowtwosidebars == 'Right' || $rowtwosidebars == 'Both') { ?>
<option value="Row Two Right"><?= _ROWTWO ?> <?= _RIGHT ?></option>
<?php } 

if ($rowthreesidebars == 'Left' || $rowthreesidebars == 'Both') { ?>
<option value="Row Three Left"><?= _ROWTHREE ?> <?= _LEFT ?></option>
<?php }

if ($rowthreesidebars == 'Right' || $rowthreesidebars == 'Both') { ?>
<option value="Row Three Right"><?= _ROWTHREE ?> <?= _RIGHT ?></option>
<?php }

if ($rowfoursidebars == 'Left' || $rowfoursidebars == 'Both') { ?>
<option value="Row Four Left"><?= _ROWFOUR ?> <?= _LEFT ?></option>
<?php }

if ($rowfoursidebars == 'Right' || $rowfoursidebars == 'Both') { ?>
<option value="Row Four Right"><?= _ROWFOUR ?> <?= _RIGHT ?></option>
<?php }

if ($rowfivesidebars == 'Left' || $rowfivesidebars == 'Both') { ?>
<option value="Row Five Left"><?= _ROWFIVE ?> <?= _LEFT ?></option>
<?php }

if ($rowfivesidebars == 'Right' || $rowfivesidebars == 'Both') { ?>
<option value="Row Five Right"><?= _ROWFIVE ?> <?= _RIGHT ?></option>
<?php }

if ($rowsixsidebars == 'Left' || $rowsixsidebars == 'Both') { ?>
<option value="Row Six Left"><?= _ROWSIX ?> <?= _LEFT ?></option>
<?php }

if ($rowsixsidebars == 'Right' || $rowsixsidebars == 'Both') { ?>
<option value="Row Six Right"><?= _ROWSIX ?> <?= _RIGHT ?></option>
<?php }

if ($rowsevensidebars == 'Left' || $rowsevensidebars == 'Both') { ?>
<option value="Row Seven Left"><?= _ROWSEVEN ?> <?= _LEFT ?></option>
<?php }

if ($rowsevensidebars == 'Right' || $rowsevensidebars == 'Both') { ?>
<option value="Row Seven Right"><?= _ROWSEVEN ?> <?= _RIGHT ?></option>
<?php }

if ($roweightsidebars == 'Left' || $roweightsidebars == 'Both') { ?>
<option value="Row Eight Left"><?= _ROWEIGHT ?> <?= _LEFT ?></option>
<?php }

if ($roweightsidebars == 'Right' || $roweightsidebars == 'Both') { ?>
<option value="Row Eight Right"><?= _ROWEIGHT ?> <?= _RIGHT ?></option>
<?php }

if ($rowninesidebars == 'Left' || $rowninesidebars == 'Both') { ?>
<option value="Row Nine Left"><?= _ROWNINE ?> <?= _LEFT ?></option>
<?php }

if ($rowninesidebars == 'Right' || $rowninesidebars == 'Both') { ?>
<option value="Row Nine Right"><?= _ROWNINE ?> <?= _RIGHT ?></option>
<?php }

if ($rowtensidebars == 'Left' || $rowtensidebars == 'Both') { ?>
<option value="Row Ten Left"><?= _ROWTEN ?> <?= _LEFT ?></option>
<?php }

if ($rowtensidebars == 'Right' || $rowtensidebars == 'Both') { ?>
<option value="Row Ten Right"><?= _ROWTEN ?> <?= _RIGHT ?></option>
<?php }

if ($rowelevensidebars == 'Left' || $rowelevensidebars == 'Both') { ?>
<option value="Row Eleven Left"><?= _ROWELEVEN ?> <?= _LEFT ?></option>
<?php }

if ($rowelevensidebars == 'Right' || $rowelevensidebars == 'Both') { ?>
<option value="Row Eleven Right"><?= _ROWELEVEN ?> <?= _RIGHT ?></option>
<?php }

if ($rowtwelvesidebars == 'Left' || $rowtwelvesidebars == 'Both') { ?>
<option value="Row Twelve Left"><?= _ROWTWELVE ?> <?= _LEFT ?></option>
<?php }

if ($rowtwelvesidebars == 'Right' || $rowtwelvesidebars == 'Both') { ?>
<option value="Row Twelve Right"><?= _ROWTWELVE ?> <?= _RIGHT ?></option>
<?php } ?>
</select>
</p>

<div class="spacer">

<p class="left"><strong><?= _MINIHEIGHT ?>.</strong>
<select name="setheight">
<option><?= $setheight ?></option>
<option value="100px">100px</option>
<option value="150px">150px</option>
<option value="200px">200px</option>
<option value="250px">250px</option>
<option value="300px">300px</option>
<option value="350px">350px</option>
<option value="400px">400px</option>
<option value="450px">450px</option>
<option value="500px">500px</option>
<option value="auto"><?= _AUTO ?></option>
</select> (<?= _WINDOWSCROLLS ?>)</p>

<p class="left"><strong><?= _TEASERTEXT_ ?></strong>
<textarea type="text" id="editor" style="width:100%" name="shorttext"><?= $shorttext ?></textarea>
</p>

<p class="center"><strong><?= _MINIOPTIONAL ?></strong></p>

<p class="center"><strong><?= _IFMINI ?></strong>

<p class="left"><strong><?= _CHOOSEIMAGEORICON ?> </strong>
<select name="chooseicon">
<option><?= $chooseicon ?></option>
<option value="Image"><?= _IMAGE ?></option>
<option value="Icon"><?= _ICON ?></option>
<option value="None"><?= _NONE ?></option>
</select>

<p class="left"><strong><?= _SETIMAGESIZE ?> </strong>
<select name="setimgsize">
<option><?= $setimgsize ?></option>
<option value="50px">50px</option>
<option value="55px">55px</option>
<option value="60px">60px</option>
<option value="65px">65px</option>
<option value="70px">70px</option>
<option value="75px">75px</option>
<option value="80px">80px</option>
<option value="85px">85px</option>
<option value="90px">90px</option>
<option value="95px">95px</option>
<option value="100px">100px</option>
<option value="105px">105px</option>
<option value="110px">110px</option>
<option value="115px">115px</option>
<option value="120px">120px</option>
<option value="125px">125px</option>
<option value="130px">130px</option>
<option value="135px">135px</option>
<option value="140px">140px</option>
<option value="145px">145px</option>
<option value="150px">150px</option>
</select></p>

<p class="left"><strong><?= _IFIMAGE ?></strong></br>
<input style="width:150px; background:#f1f1f1; color:#000;" type="text" name="g_image" maxlength="25" size="25" value="<?= $g_image ?>">
</p>

<p class="left">Image Border Radius: (50% is round)
<select name="imgradius">
<option><?= $imgradius ?></option>
<option value="5px">5px</option>
<option value="6px">6px</option>
<option value="7px">7px</option>
<option value="8px">8px</option>
<option value="9px">9px</option>
<option value="10px">10px</option>
<option value="11px">11px</option>
<option value="12px">12px</option>
<option value="13px">13px</option>
<option value="14px">14px</option>
<option value="15px">15px</option>
<option value="50%">50%</option>
</select></p>

<p class="left"><strong><?= _SETICONSIZE ?> </strong>
<select name="seticonsize">
<option><?= $seticonsize ?></option>
<option value="10px">10px</option>
<option value="12px">12px</option>
<option value="14px">14px</option>
<option value="16px">16px</option>
<option value="18px">18px</option>
<option value="20px">20px</option>
<option value="22px">22px</option>
<option value="24px">24px</option>
<option value="26px">26px</option>
<option value="28px">28px</option>
<option value="30px">30px</option>
</select></p>

<p class="left"><strong><?= _ICONCODE ?></strong></br>
<input style="width:150px; background:#f1f1f1; color:#000;" type="text" name="icon" maxlength="25" size="25" value="<?= $icon ?>">
</p>

<p class="left"><strong><?= _ICON_COLOR_ ?></strong></br>
<input style="width:150px; background:#f1f1f1; color:#000;" type="text" name="iconcolor" maxlength="7" size="7" value="<?= $iconcolor ?>">
</p>

</div>
</div>

<?php
/**
 * 
 * End of the Mini articles settings.
 * 
 */ ?>

<br>

<p class="left"><strong><?= _PLACEINARCHIVE ?> </strong>
<select name="archive">
<option><?= $archive ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select><br>
<?= _LINKWILLBEREMOVED ?>
</p>

<p class="left"><strong><?= _DISPLAYAUTHORNAME ?> </strong>
<select name="showauthor">
<option><?= $showauthor ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select>
</p>

<p class="left"><strong><?= _AUTHOR ?>:</strong>
<select name="author">
<option><?= $author ?></option>
<?php $result = mysqli_query($conn, "SELECT username FROM accounts WHERE role='Admin'");
while ($row = mysqli_fetch_array($result)) { ?>
<option value="<?= $row['username'] ?>"><?= $row['username'] ?></option>
<?php } ?>
</select>
</p>

<p class="left"><strong><?= _MAKEAVAILFORPRINT ?></strong>
<select name="printon">
<option><?= $printon ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select>
</p>

<p class="left"><strong><?= _ALLOWCOMMENTS ?> </strong>
<select name="allowcomments">
<option><?= $allowcomments ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select>
</p>

<p class="left"><strong><?= _ARTICLETAG ?>:</strong>
<input style="background:#f1f1f1;color:#000;width:250px; font-size:18px;" type="text" name="tags" value="<?= $tags ?>">
</p>

<p class="left"><strong><?= _CHOOSECAT ?> </strong>

<select name="category">
<option><?= $category ?></option>
<?php $result = mysqli_query($conn, 'SELECT catname FROM pagecategory ORDER BY catname');
while ($row = mysqli_fetch_array($result)) { ?>
<option value="<?= $row['catname'] ?>"><?= $row['catname'] ?></option>
<?php } ?>
</select>
</p>

<p class="left"><a class="position-grid__cell hint--right hint--medium hint--rounded" aria-label="<?= _LABELTHISARTICLE ?>"><i style="font-size:18px; color:red;" class="fa fa-question-circle"></i></a> <strong><?= _PLACEINSPOTLIGHT ?> </strong>
<select name="spotlight">
<option><?= $spotlight ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select> If Yes <?= _BESURETOTURNON ?>
</p>

<p class="left"><?= _SEO ?> <a href="https://www.wordstream.com/meta-tags" target="_blank" class="link"><?= _READMORE ?></a></p>

<p class="left"><strong><?= _METADESCRIPTION ?>:</strong>
<input style="background:#f1f1f1; color:#000; font-size:18px;" type="text" name="description" value="<?= $description ?>">
</p>

<p class="left"><strong><?= _META_TAGS ?></strong>
<input style="background:#f1f1f1; color:#000; font-size:18px;" type="text" name="metatags" value="<?= $metatags ?>">
</p>

<p class="center column-title coltitlecolor"><?= _ARTICLEBACKIMAGECOLOR ?> (<?= _OPTIONAL ?>)</p>

<div class="accordion column-title coltitlecolor center"><?= _OPENCLOSE ?> <?= _CONFIGURATION ?></div>

<div class="panel inner-wrapper spacer radius">

<p class="left"><?= _ORCHOOSENONE ?></p>

<p class="left"><strong><?= _WHICHUSING ?></strong>
<br>
<select name="usewhich">
<option><?= $usewhich ?></option>
<option value="Color"><?= _COLOR ?></option>
<option value="Image"><?= _IMAGE ?></option>
<option value="None"><?= _NONE ?></option>
</select>
</p>

<p class="left"><?= _CHOOSEGRADIENTORSOLID ?></p>

<p class="left"><?= _COLORPICKER ?> <input class="left" style="width:120px" data-jscolor="jscolor"></p>

<p class="left"><strong><?= _ARTICLEBACKFIRST ?>:</strong> (Ex: #336699)
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="backcolor" maxlength="25" size="25" value="<?= $backcolor ?>">
</p>

<p class="left"><strong><?= _ARTICLEBACKSECOND ?>:</strong> (Ex: #223366)
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="backcolor_second" maxlength="25" size="25" value="<?= $backcolor_second ?>">
</p>

<p class="left"><strong><?= _ARTICLEBACKIMAGE ?>: </strong>
<input style="background:#f1f1f1;color:#000;" type="text" name="backimage" maxlength="25" size="25" value="<?= $backimage ?>">
<br>(<a href="elFinder/elfinder.html" onclick="basicPopup(this.href);return false" class="link"><?= _UPLOADINTOTHEMESFOLDER ?>
</p>

</div>
</div>
</div>
<br>

<h2 class="center spacer column-title coltitlecolor"><strong><?= _ARTICLECONTENT ?></strong></h2>
<div class="inner-wrapper">

<?php 

if ($mbrsubmitted == 'Yes') { ?>

<h3 class="center "><?= _SUBMITTEDBYMEMBER ?><br>( <?= $author ?> ) <a href="mailto:<?= $email ?>" class="link"><?= $email ?></a></h3>

<?php } ?>

<br>

<div class="spacer">
<textarea id="editor" type="text" name="c_text"><?= htmlentities($c_text, ENT_QUOTES) ?></textarea>
</div>


<div class="mini-container">
<h3 class="center"><?= _READMORECONTENT ?></h3> 

<p class="center"><strong><?= _ADD ?> &quot;<?= _READMORE ?>&quot; <?= _CONTENTFORTHISARTICLE ?> </strong>
<select name="usereadmore">
<option><?= $usereadmore ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select></p>

<p class="center"><strong><?= _CHOOSETOOPEN ?></strong>
<select name="readmoretarget">
<option><?= $readmoretarget ?></option>
<option value="New Tab"><?= _NEWTAB ?></option>
<option value="Popup"><?= _POPUP ?></option>
<option value="Dropdown"><?= _DROP_DOWN ?></option>
</select></p>

<p class="center"><?= _IFUSED ?><span class="button"><?= _READMORE ?></span> <?= _BUTTONWILLAPPEAR ?></p> 

</div>

<?php
/** 
 * 
 * Add the option of using the Read More feature.
 * 
 */ ?>

<div class="spacer">
<textarea id="editor" type="text" name="readmore"><?= $readmore ?></textarea>
</div>

</form>
</div>
<?php require_once 'footer.php';