<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

$sql = "SELECT * FROM config_row_one, config_row_two, config_row_three, 
config_row_four, config_row_five, config_row_six, 
config_row_seven, config_row_eight, config_row_nine, 
config_row_ten, config_row_eleven, config_row_twelve"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$rowonetop_width = $row['rowonetop_width']; $rowonemiddle_width = $row['rowonemiddle_width']; $rowonebottom_width = $row['rowonebottom_width'];
$rowtwotop_width = $row['rowtwotop_width']; $rowtwomiddle_width = $row['rowtwomiddle_width']; $rowtwobottom_width = $row['rowtwobottom_width'];
$rowthreetop_width = $row['rowthreetop_width']; $rowthreemiddle_width = $row['rowthreemiddle_width']; $rowthreebottom_width = $row['rowthreebottom_width'];
$rowfourtop_width = $row['rowfourtop_width']; $rowfourmiddle_width = $row['rowfourmiddle_width']; $rowfourbottom_width = $row['rowfourbottom_width'];
$rowfivetop_width = $row['rowfivetop_width']; $rowfivemiddle_width = $row['rowfivemiddle_width']; $rowfivebottom_width = $row['rowfivebottom_width'];
$rowsixtop_width = $row['rowsixtop_width']; $rowsixmiddle_width = $row['rowsixmiddle_width']; $rowsixbottom_width = $row['rowsixbottom_width'];
$rowseventop_width = $row['rowseventop_width']; $rowsevenmiddle_width = $row['rowsevenmiddle_width']; $rowsevenbottom_width = $row['rowsevenbottom_width'];
$roweighttop_width = $row['roweighttop_width']; $roweightmiddle_width = $row['roweightmiddle_width']; $roweightbottom_width = $row['roweightbottom_width'];
$rowninetop_width = $row['rowninetop_width']; $rowninemiddle_width = $row['rowninemiddle_width']; $rowninebottom_width = $row['rowninebottom_width'];
$rowtentop_width = $row['rowtentop_width']; $rowtenmiddle_width = $row['rowtenmiddle_width']; $rowtenbottom_width = $row['rowtenbottom_width'];
$roweleventop_width = $row['roweleventop_width']; $rowelevenmiddle_width = $row['rowelevenmiddle_width']; $rowelevenbottom_width = $row['rowelevenbottom_width'];
$rowtwelvetop_width = $row['rowtwelvetop_width']; $rowtwelvemiddle_width = $row['rowtwelvemiddle_width']; $rowtwelvebottom_width = $row['rowtwelvebottom_width'];
}} ?>

&nbsp;&nbsp;&nbsp;<a href="blockbuilder.php" style="text-decoration:none" class="left btn"><span class="white"> <?= _ADDNEW ?> </span></a>
<br>

<?php require_once 'jumpbox.php';

/**
 * 
 * Row One Top Articles Left Sidebar.
 * 
 */ ?>

<style>.column2 {width:50%}</style>

<div class="column-title"><h1 class="coltitlecolor center spacer" id="topleft"><?= _TOP ?> <?= _ARTICLES ?> <?= _LEFT ?> <?= _SIDEBARS ?></h1></div>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Top Article Left' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column<?= $rowonetop_width ?>" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<br>

<?php
/**
 * 
 * Row One Right Top Articles Sidebar.
 * 
 */ ?>

<div class="column-title"><h1 class="coltitlecolor center spacer" id="topright"><?= _TOP ?> <?= _ARTICLES ?> <?= _RIGHT ?> <?= _SIDEBARS ?></h1></div>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Top Article Right' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column<?= $rowonetop_width ?>" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row One Top.
 * 
 */ ?>
 
<br>
<div class="column-title"><h1 class="coltitlecolor center spacer" id="one"><?= _ROWONE ?><p><a href="rowone.php" style="text-decoration:none" onclick="basicPopup(this.href);return false" class="button"><span class="coltitlecolor"><?= _EDIT ?> <?= _ROWONE ?></span></a></p></h1></div>
<p class="center border"><?= _ROWONETOP ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row One Top' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column<?= $rowonetop_width ?>" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row One Middle.
 * 
 */ ?>

<br>
<p class="center border" id="onemiddle"><?= _ROWONEMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row One Middle' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column<?= $rowonemiddle_width ?>" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row One Bottom.
 * 
 */ ?>

<br>
<p class="center border" id="onebottom"><?= _ROWONEBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row One Bottom' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column<?= $rowonebottom_width ?>" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row One Left Sidebar.
 * 
 */ ?>

<br>
<p class="center border" id="oneLsidebars"><?= _ROWONE ?> <?= _LEFT ?> <?= _SIDEBARS ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row One Left' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column6" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row One Right Sidebar.
 * 
 */ ?>

<br>
<p class="center border" id="oneRsidebars"><?= _ROWONE ?> <?= _RIGHT ?> <?= _SIDEBARS ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row One Right' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column6" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Two Top.
 * 
 */ ?>


<br>
<div class="column-title"><h1 class="coltitlecolor center spacer" id="two"><?= _ROWTWO ?><p><a href="rowtwo.php" style="text-decoration:none" onclick="basicPopup(this.href);return false" class="button"><span class="coltitlecolor"><?= _EDIT ?> <?= _ROWTWO ?></span></a></p></h1></div>
<p class="center border"><?= _ROWTWOTOP ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Two Top' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column<?= $rowtwotop_width ?>" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Two Middle.
 * 
 */ ?>

<br>
<p class="center border" id="twomiddle"><?= _ROWTWOMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Two Middle' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column<?= $rowtwomiddle_width ?>" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Two Bottom.
 * 
 */ ?>

<br>
<p class="center border" id="twobottom"><?= _ROWTWOBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Two Bottom' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column<?= $rowtwobottom_width ?>" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Two Left Sidebar.
 * 
 */ ?>

<br>
<p class="center border" id="twoLsidebars"><?= _ROWTWO ?> <?= _LEFT ?> <?= _SIDEBARS ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Two Left' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column6" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Two Right Sidebar.
 * 
 */ ?>

<br>
<p class="center border" id="twoRsidebars"><?= _ROWTWO ?> <?= _RIGHT ?> <?= _SIDEBARS ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Two Right' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column6" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Three Top.
 * 
 */ ?>

<br>
<div class="column-title"><h1 class="coltitlecolor center spacer" id="three"><?= _ROWTHREE ?><p><a href="rowthree.php" style="text-decoration:none" onclick="basicPopup(this.href);return false" class="button"><span class="coltitlecolor"><?= _EDIT ?> <?= _ROWTHREE ?></span></a></p></h1></div>
<p class="center border"><?= _ROWTHREETOP ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Three Top' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column<?= $rowthreetop_width ?>" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Three Middle.
 * 
 */ ?>

<br>
<p class="center border" id="threemiddle"><?= _ROWTHREEMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Three Middle' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column<?= $rowthreemiddle_width ?>" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Three Bottom.
 * 
 */ ?>

<br>
<p class="center border" id="threebottom"><?= _ROWTHREEBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Three Bottom' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column<?= $rowthreebottom_width ?>" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Three Left Sidebar.
 * 
 */ ?>

<br>
<p class="center border" id="threeLsidebars"><?= _ROWTHREE ?> <?= _LEFT ?> <?= _SIDEBARS ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Three Left' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column6" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Three Right Sidebar.
 * 
 */ ?>

<br>
<p class="center border" id="threeRsidebars"><?= _ROWTHREE ?> <?= _RIGHT ?> <?= _SIDEBARS ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Three Right' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column6" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Four Top.
 * 
 */ ?>

<br>
<div class="column-title"><h1 class="coltitlecolor center spacer" id="four"><?= _ROWFOUR ?><p><a href="rowfour.php" style="text-decoration:none" onclick="basicPopup(this.href);return false" class="button"><span class="coltitlecolor"><?= _EDIT ?> <?= _ROWFOUR ?></span></a></p></h1></div>
<p class="center border"><?= _ROWFOURTOP ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Four Top' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column<?= $rowfourtop_width ?>" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Four Middle.
 * 
 */ ?>

<br>
<p class="center border" id="fourmiddle"><?= _ROWFOURMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Four Middle' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column<?= $rowfourmiddle_width ?>" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Four Bottom.
 * 
 */ ?>

<br>
<p class="center border" id="fourbottom"><?= _ROWFOURBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Four Bottom' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column<?= $rowfourbottom_width ?>" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Four Left Sidebar.
 * 
 */ ?>

<br>
<p class="center border" id="fourLsidebars"><?= _ROWFOUR ?> <?= _LEFT ?> <?= _SIDEBARS ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Four Left' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column6" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Four Right Sidebar.
 * 
 */ ?>

<br>
<p class="center border" id="fourRsidebars"><?= _ROWFOUR ?> <?= _RIGHT ?> <?= _SIDEBARS ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Four Right' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column6" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Five Top.
 * 
 */ ?>

<br>
<div class="column-title"><h1 class="coltitlecolor center spacer" id="five"><?= _ROWFIVE ?><p><a href="rowfive.php" style="text-decoration:none" onclick="basicPopup(this.href);return false" class="button"><span class="coltitlecolor"><?= _EDIT ?> <?= _ROWFIVE ?></span></a></p></h1></div>
<p class="center border"><?= _ROWFIVETOP ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Five Top' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column<?= $rowfivetop_width ?>" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Five Middle.
 * 
 */ ?>

<br>
<p class="center border" id="fivemiddle"><?= _ROWFIVEMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Five Middle' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column<?= $rowfivemiddle_width ?>" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Five Bottom.
 * 
 */ ?>

<br>
<p class="center border" id="fivebottom"><?= _ROWFIVEBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Five Bottom' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="columnfivebottom" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Five Left Sidebar.
 * 
 */ ?>

<br>
<p class="center border" id="fiveLsidebars"><?= _ROWFIVE ?> <?= _LEFT ?> <?= _SIDEBARS ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Five Left' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column6" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Five Right Sidebar.
 * 
 */ ?>

<br>
<p class="center border" id="fiveRsidebars"><?= _ROWFIVE ?> <?= _RIGHT ?> <?= _SIDEBARS ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Five Right' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column6" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Six Top.
 * 
 */ ?>

<br>
<div class="column-title"><h1 class="coltitlecolor center spacer" id="six"><?= _ROWSIX ?><p><a href="rowsix.php" style="text-decoration:none" onclick="basicPopup(this.href);return false" class="button"><span class="coltitlecolor"><?= _EDIT ?> <?= _ROWSIX ?></span></a></p></h1></div>
<p class="center border"><?= _ROWSIXTOP ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Six Top' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column<?= $rowsixtop_width ?>" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Six Middle.
 * 
 */ ?>

<br>
<p class="center border" id="sixmiddle"><?= _ROWSIXMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Six Middle' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column<?= $rowsixmiddle_width ?>" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Six Bottom.
 * 
 */ ?>

<br>
<p class="center border" id="sixbottom"><?= _ROWSIXBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Six Bottom' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column<?= $rowsixbottom_width ?>" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Six Left Sidebar.
 * 
 */ ?>

<br>
<p class="center border" id="sixLsidebars"><?= _ROWSIX ?> <?= _LEFT ?> <?= _SIDEBARS ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Six Left' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column6" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Six Right Sidebar.
 * 
 */ ?>

<br>
<p class="center border" id="sixRsidebars"><?= _ROWSIX ?> <?= _RIGHT ?> <?= _SIDEBARS ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Six Right' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column6" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Seven Top.
 * 
 */ ?>

<br>
<div class="column-title"><h1 class="coltitlecolor center spacer" id="seven"><?= _ROWSEVEN ?><p><a href="rowseven.php" style="text-decoration:none" onclick="basicPopup(this.href);return false" class="button"><span class="coltitlecolor"><?= _EDIT ?> <?= _ROWSEVEN ?></span></a></p></h1></div>
<p class="center border"><?= _ROWSEVENTOP ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Seven Top' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column<?= $rowseventop_width ?>" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Seven Middle.
 * 
 */ ?>

<br>
<p class="center border" id="sevenmiddle"><?= _ROWSEVENMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Seven Middle' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column<?= $rowsevenmiddle_width ?>" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Seven Bottom.
 * 
 */ ?>

<br>
<p class="center border" id="sevenbottom"><?= _ROWSEVENBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Seven Bottom' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column<?= $rowsevenbottom_width ?>" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Seven Left Sidebar.
 * 
 */ ?>

<br>
<p class="center border" id="sevenLsidebars"><?= _ROWSEVEN ?> <?= _LEFT ?> <?= _SIDEBARS ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Seven Left' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column6" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Seven Right Sidebar.
 * 
 */ ?>

<br>
<p class="center border" id="sevenRsidebars"><?= _ROWSEVEN ?> <?= _RIGHT ?> <?= _SIDEBARS ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Seven Right' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column6" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Eight Top.
 * 
 */ ?>

<br>
<div class="column-title"><h1 class="coltitlecolor center spacer" id="eight"><?= _ROWEIGHT ?><p><a href="roweight.php" style="text-decoration:none" onclick="basicPopup(this.href);return false" class="button"><span class="coltitlecolor"><?= _EDIT ?> <?= _ROWEIGHT ?></span></a></p></h1></div>
<p class="center border"><?= _ROWEIGHTTOP ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Eight Top' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column<?= $roweighttop_width ?>" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Eight Middle.
 * 
 */ ?>

<br>
<p class="center border" id="eightmiddle"><?= _ROWEIGHTMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Eight Niddle' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column<?= $roweightmiddle_width ?>" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Eight Bottom.
 * 
 */ ?>

<br>
<p class="center border" id="eightbottom"><?= _ROWEIGHTBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Eight Bottom' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column<?= $roweightbottom_width ?>" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Eight Left Sidebar.
 * 
 */ ?>

<br>
<p class="center border" id="eightLsidebars"><?= _ROWEIGHT ?> <?= _LEFT ?> <?= _SIDEBARS ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Eight Left' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column6" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Eight Right Sidebar.
 * 
 */ ?>

<br>
<p class="center border" id="eightRsidebars"><?= _ROWEIGHT ?> <?= _RIGHT ?> <?= _SIDEBARS ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Eight Right' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column6" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Nine Top.
 * 
 */ ?>

<br>
<div class="column-title"><h1 class="coltitlecolor center spacer" id="nine"><?= _ROWNINE ?><p><a href="rownine.php" style="text-decoration:none" onclick="basicPopup(this.href);return false" class="button"><span class="coltitlecolor"><?= _EDIT ?> <?= _ROWNINE ?></span></a></p></h1></div>
<p class="center border"><?= _ROWNINETOP ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Nine Top' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column<?= $rowninetop_width ?>" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Nine Middle.
 * 
 */ ?>

<br>
<p class="center border" id="ninemiddle"><?= _ROWNINEMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Nine Middle' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column<?= $rowninemiddle_width ?>" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Nine Bottom.
 * 
 */ ?>

<br>
<p class="center border" id="ninebottom"><?= _ROWNINEBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Nine Bottom' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column<?= $rowninebottom_width ?>" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Nine Left Sidebar.
 * 
 */ ?>

<br>
<p class="center border" id="nineLsidebars"><?= _ROWNINE ?> <?= _LEFT ?> <?= _SIDEBARS ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Nine Left' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column6" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Nine Right Sidebar.
 * 
 */ ?>

<br>
<p class="center border" id="nineRsidebars"><?= _ROWNINE ?> <?= _RIGHT ?> <?= _SIDEBARS ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Nine Right' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column6" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Ten Top.
 * 
 */ ?>

<br>
<div class="column-title"><h1 class="coltitlecolor center spacer" id="ten"><?= _ROWTEN ?><p><a href="rowten.php" style="text-decoration:none" onclick="basicPopup(this.href);return false" class="button"><span class="coltitlecolor"><?= _EDIT ?> <?= _ROWTEN ?></span></a></p></h1></div>
<p class="center border"><?= _ROWTENTOP ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Ten Top' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column<?= $rowtentop_width ?>" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Ten Middle.
 * 
 */ ?>

<br>
<p class="center border" id="tenmiddle"><?= _ROWTENMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Ten Middle' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column<?= $rowtenmiddle_width ?>" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Ten Bottom.
 * 
 */ ?>

<br>
<p class="center border" id="tenbottom"><?= _ROWTENBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Ten Bottom' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column<?= $rowtenbottom_width ?>" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Ten Left Sidebar.
 * 
 */ ?>

<br>
<p class="center border" id="tenLsidebars"><?= _ROWTEN ?> <?= _LEFT ?> <?= _SIDEBARS ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Ten Left' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column6" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Ten Right Sidebar.
 * 
 */ ?>

<br>
<p class="center border" id="tenRsidebars"><?= _ROWTEN ?> <?= _RIGHT ?> <?= _SIDEBARS ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Ten Right' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column6" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Eleven Top.
 * 
 */ ?>

<br>
<div class="column-title"><h1 class="coltitlecolor center spacer" id="eleven"><?= _ROWELEVEN ?><p><a href="roweleven.php" style="text-decoration:none" onclick="basicPopup(this.href);return false" class="button"><span class="coltitlecolor"><?= _EDIT ?> <?= _ROWELEVEN ?></span></a></p></h1></div>
<p class="center border"><?= _ROWELEVENTOP ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Eleven Top' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column<?= $roweleventop_width ?>" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Eleven Middle.
 * 
 */ ?>

<br>
<p class="center border" id="elevenmiddle"><?= _ROWELEVENMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Eleven Middle' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column<?= $rowelevenmiddle_width ?>" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Eleven Bottom.
 * 
 */ ?>

<br>
<p class="center border" id="elevenbottom"><?= _ROWELEVENBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Eleven Bottom' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column<?= $rowelevenbottom_width ?>" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Eleven Left Sidebar.
 * 
 */ ?>

<br>
<p class="center border" id="elevenLsidebars"><?= _ROWELEVEN ?> <?= _LEFT ?> <?= _SIDEBARS ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Eleven Left' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column6" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Eleven Right Sidebar.
 * 
 */ ?>

<br>
<p class="center border" id="elevenRsidebars"><?= _ROWELEVEN ?> <?= _RIGHT ?> <?= _SIDEBARS ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Eleven Right' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column6" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Twelve Top.
 * 
 */ ?>

<br>
<div class="column-title"><h1 class="coltitlecolor center spacer" id="twelve"><?= _ROWTWELVE ?><p><a href="rowtwelve.php" style="text-decoration:none" onclick="basicPopup(this.href);return false" class="button"><span class="coltitlecolor"><?= _EDIT ?> <?= _ROWTWELVE ?></span></a></p></h1></div>
<p class="center border"><?= _ROWTWELVETOP ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Twelve Top' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column<?= $rowtwelvetop_width ?>" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Twelve Middle.
 * 
 */ ?>

<br>
<p class="center border" id="twelvemiddle"><?= _ROWTWELVEMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Twelve Middle' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column<?= $rowtwelvemiddle_width ?>" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Twelve Bottom.
 * 
 */ ?>

<br>
<p class="center border" id="twelvebottom"><?= _ROWTWELVEBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Twelve Bottom' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column<?= $rowtwelvebottom_width ?>" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Twelve Left Sidebar.
 * 
 */ ?>

<br>
<p class="center border" id="twelveLsidebars"><?= _ROWTWELVE ?> <?= _LEFT ?> <?= _SIDEBARS ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Twelve Left' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column6" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Row Twelve Right Sidebar.
 * 
 */ ?>

<br>
<p class="center border" id="twelveRsidebars"><?= _ROWTWELVE ?> <?= _RIGHT ?> <?= _SIDEBARS ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Row Twelve Right' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column6" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Off-canvas Left.
 * 
 */ ?>

<br>
<h3 class="column-title coltitlecolor center spacer" id="offcanvassidebars"><?= _OFFCANVASLEFT ?></h3>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Off-canvas Left' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column6" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * Off-canvas Right.
 * 
 */ ?>

<br>
<h3 class="column-title coltitlecolor center spacer"><?= _OFFCANVASRIGHT ?></h3>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'Off-canvas Right' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column6" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * On-canvas Left.
 * 
 */ ?>

<br>
<h3 class="column-title coltitlecolor center spacer" id="oncanvassidebars"><?= _ONCANVASLEFT ?></h3>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'On-canvas Left' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column6" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
/**
 * 
 * On-canvas Right.
 * 
 */ ?>

<br>
<h3 class="column-title coltitlecolor center spacer"><?= _ONCANVASRIGHT ?></h3>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">
    <?php $sql = "SELECT * FROM blocks WHERE position = 'On-canvas Right' AND archiveblock = 'No' ORDER BY block_position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column6" style="background:#f2f2f2">
                <td class="grid">
                    <?= $row['position'] ?>&nbsp;<?= $row['block_position'] ?>
                    <h3 class="black"><?= $row['title'] ?></h3>
                    <a href="blockbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="black"><?= _EDITBLOCK ?></span></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<?php 
/**
 * 
 * Script to support the
 * Back To Top feature.
 * 
 */ ?>

<script>
let mybutton = document.getElementById("mytopBtn");
window.onscroll = function() {scrollFunction()};
function scrollFunction() {
if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
mybutton.style.display = "block";
} else {
mybutton.style.display = "none"; }}
function topFunction() {
document.body.scrollTop = 0;
document.documentElement.scrollTop = 0; }
</script>