<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

$sql = "SELECT lang FROM website";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
require_once 'lang/' . $row['lang'] . '.php'; }} ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="x-ua-compatible" content="ie=edge">
<meta name="description" content="">
<meta name="keywords" content="">
<meta name="author" content="Mike">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
<title>Change Folder Permission</title>
<link rel="stylesheet" href="themes/style.css">
</head>
<body style="background: #336699">

<p>&nbsp;</p>
<div class="mini-container radius" style="background: #ffffff">

<h3 style="text-align:center"><?= _IPADDRESS ?> (<?php echo $_SERVER['REMOTE_ADDR'] ?>)</h3>

<h3 style="text-align:center"><?= _SERVERIP ?> <?php $ip_server = $_SERVER['SERVER_ADDR']; echo "($ip_server"; ?>)</h3>

<?php if ($_SERVER['REMOTE_ADDR'] == '::1') {
echo '<h3 style="text-align:center">' . _CANNOTBECHANGED . '</h3>';
} else {
chmod("../../src/themes", 0755); ?>

<h3 style="text-align:center"><?= _FILEPERMISSIONUPDATED ?> (<?php echo substr(sprintf('%o', fileperms('../../src/themes')), -4); ?>)</h3>

<?php } ?>

<p style="text-align:center"><input type="button" value="<?= _CLOSEWINDOW ?>" onclick="self.close()"></p>

</div>

</body>
</html>