<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
closenav();
require_once 'gallerymodmenu.php'; ?>
<br>
<br>
<?php $sql = "SELECT * FROM gallerymod_config";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) { ?>
<link rel="stylesheet" type="text/css" href="css/pageeditor.css">

<style>
.responsive {
width: 60%; }

@media (max-width: 768px) {
.responsive {
width: 100%; }}
</style>

<form method="post" action="helpers/configgallerymod.php" target="_blank" class="noborder">
<?php savemenu(); ?>
<div>
<div class="spacer column-title">
<h1 class="center coltitlecolor"><?= _CONFIGGALLERYMOD ?></h1>
</div>
<table>
<tr class="inner-wrapper">
<td class="top">
<div class="full input-group spacer">
<p class="left"><?= _MODLETSDISPLAY ?></p>
<p class="left"><strong><?= _USEMODULE ?>? </strong>
<select name="usemod">
<option>
<?= $row['usemod'] ?>
</option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select>
</p>
<p class="left"><strong><?= _WHICHSIDEBAR ?>? </strong>
<select name="location">
<option>
<?= $row['location'] ?>
</option>
<option value="Left"><?= _LEFT ?></option>
<option value="Right"><?= _RIGHT ?></option>
</select>
</p>
<p class="left"><strong><?= _MODTITLE ?>:</strong></p>
<p class="left">
<input style="width:300px" type="text" name="modtitle" value="<?= $row['modtitle'] ?>">
</p>
<p class="left">Set the height of the Tab Module.</p>
<p class="left"><strong><?= _SETHEIGHTOFMOD ?>? </strong>
<select name="modheight">
<option>
<?= $row['modheight'] ?>
</option>
<option value="200px">200px</option>
<option value="300px">300px</option>
<option value="400px">400px</option>
<option value="500px">500px</option>
<option value="600px">600px</option>
<option value="700px">700px</option>
<option value="800px">800px</option>
</select> <?= _CONTENTWILLSCROLL ?>
</p>
<?php }
} ?>
</form>
</td>
<td>
<p class="center"><?= _EXAMPLEVIEW ?></p>
<img src="images/gallerymod.png" class="responsive" alt="" />
</td>
</tr>
</table>
<br>
<br>
<br> </div>
</div>
<?php require_once 'footer.php';