<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

include 'main.php';

// Get all the defined variable keys and values
if (isset($_POST['configuration'])) {

file_put_contents('../gallery/resources/galleryConfig.ini', $_POST['configuration']); }

// Read the activation email template HTML file
$contents = file_get_contents('../gallery/resources/galleryConfig.ini');

require_once 'header.php'; ?>

<div class="column-title center">
<h2 class="center coltitlecolor"><?= _GALLERYCONFIG ?></h2>
</div>

<br><br>

<?php require_once 'gallerymenu.php'; ?>

<br><br>

<div class="inner-wrapper mini-container center noborder">

<p class="center"><?= _FINETUNE ?></p>

<form action="" method="post" class="noborder">

<textarea style="height:300px;width:95%;margin:0 auto;" name="configuration"><?= $contents ?></textarea>

<br><br>

<input type="submit" class="button" value="Save">

<br><br>

</form>

</div>

<p>&nbsp;</p>

<?php require_once 'footer.php';