<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */ ?>

<div class="center spacer full">
<p class="center"><strong><?= _JUMPTOROWS ?></strong></p>
<table><tr style="background:<?= $wrapper ?>"><td class="top center">
<p class="center column-title coltitlecolor"><?= _ROWONE ?></p>

<p>
<a href="#one" style="text-decoration:none" class="button"><span class="linkcolor"><?= _TOP ?></span></a>
<a href="#onemiddle" style="text-decoration:none" class="button"><span class="linkcolor"><?= _MIDDLE ?></span></a>
<a href="#onebottom" style="text-decoration:none" class="button"><span class="linkcolor"><?= _BOTTOM ?></span></a>
</p>

</td><td class="top center">

<p class="center column-title coltitlecolor"><?= _ROWTWO ?></p>

<p>
<a href="#two" style="text-decoration:none" class="button"><span class="linkcolor"><?= _TOP ?></span></a>
<a href="#twomiddle" style="text-decoration:none" class="button"><span class="linkcolor"><?= _MIDDLE ?></span></a>
<a href="#twobottom" style="text-decoration:none" class="button"><span class="linkcolor"><?= _BOTTOM ?></span></a>
</p>

</td><td class="top center">

<p class="center column-title coltitlecolor"><?= _ROWTHREE ?></p>

<p>
<a href="#three" style="text-decoration:none" class="button"><span class="linkcolor"><?= _TOP ?></span></a>
<a href="#threemiddle" style="text-decoration:none" class="button"><span class="linkcolor"><?= _MIDDLE ?></span></a>
<a href="#threebottom" style="text-decoration:none" class="button"><span class="linkcolor"><?= _BOTTOM ?></span></a>
</p>

</td><td class="top center">

<p class="center column-title coltitlecolor"><?= _ROWFOUR ?></p>

<p>
<a href="#four" style="text-decoration:none" class="button"><span class="linkcolor"><?= _TOP ?></span></a>
<a href="#fourmiddle" style="text-decoration:none" class="button"><span class="linkcolor"><?= _MIDDLE ?></span></a>
<a href="#fourbottom" style="text-decoration:none" class="button"><span class="linkcolor"><?= _BOTTOM ?></span></a>
</p>

</td></tr><tr style="background:<?= $wrapper ?>"><td class="top center">

<p class="center column-title coltitlecolor"><?= _ROWFIVE ?></p>

<p>
<a href="#five" style="text-decoration:none" class="button"><span class="linkcolor"><?= _TOP ?></span></a>
<a href="#fivemiddle" style="text-decoration:none" class="button"><span class="linkcolor"><?= _MIDDLE ?></span></a>
<a href="#fivebottom" style="text-decoration:none" class="button"><span class="linkcolor"><?= _BOTTOM ?></span></a>
</p>

</td><td class="top center">

<p class="center column-title coltitlecolor"><?= _ROWSIX ?></p>

<p>
<a href="#six" style="text-decoration:none" class="button"><span class="linkcolor"><?= _TOP ?></span></a>
<a href="#sixmiddle" style="text-decoration:none" class="button"><span class="linkcolor"><?= _MIDDLE ?></span></a>
<a href="#sixbottom" style="text-decoration:none" class="button"><span class="linkcolor"><?= _BOTTOM ?></span></a>
</p>

</td><td class="top center">

<p class="center column-title coltitlecolor"><?= _ROWSEVEN ?></p>

<p>
<a href="#seven" style="text-decoration:none" class="button"><span class="linkcolor"><?= _TOP ?></span></a>
<a href="#sevenmiddle" style="text-decoration:none" class="button"><span class="linkcolor"><?= _MIDDLE ?></span></a>
<a href="#sevenbottom" style="text-decoration:none" class="button"><span class="linkcolor"><?= _BOTTOM ?></span></a>
</p>

</td><td class="top center">

<p class="center column-title coltitlecolor"><?= _ROWEIGHT ?></p>

<p>
<a href="#eight" style="text-decoration:none" class="button"><span class="linkcolor"><?= _TOP ?></span></a>
<a href="#eightmiddle" style="text-decoration:none" class="button"><span class="linkcolor"><?= _MIDDLE ?></span></a>
<a href="#eightbottom" style="text-decoration:none" class="button"><span class="linkcolor"><?= _BOTTOM ?></span></a>
</p>

</td></tr><tr style="background:<?= $wrapper ?>"><td class="top center">

<p class="center column-title coltitlecolor"><?= _ROWNINE ?></p>

<p>
<a href="#nine" style="text-decoration:none" class="button"><span class="linkcolor"><?= _TOP ?></span></a>
<a href="#ninemiddle" style="text-decoration:none" class="button"><span class="linkcolor"><?= _MIDDLE ?></span></a>
<a href="#ninebottom" style="text-decoration:none" class="button"><span class="linkcolor"><?= _BOTTOM ?></span></a>
</p>

</td><td class="top center">

<p class="center column-title coltitlecolor"><?= _ROWTEN ?></p>

<p>
<a href="#ten" style="text-decoration:none" class="button"><span class="linkcolor"><?= _TOP ?></span></a>
<a href="#tenmiddle" style="text-decoration:none" class="button"><span class="linkcolor"><?= _MIDDLE ?></span></a>
<a href="#tenbottom" style="text-decoration:none" class="button"><span class="linkcolor"><?= _BOTTOM ?></span></a>
</p>

</td><td class="top center">

<p class="center column-title coltitlecolor"><?= _ROWELEVEN ?></p>

<p>
<a href="#eleven" style="text-decoration:none" class="button"><span class="linkcolor"><?= _TOP ?></span></a>
<a href="#elevenmiddle" style="text-decoration:none" class="button"><span class="linkcolor"><?= _MIDDLE ?></span></a>
<a href="#elevenbottom" style="text-decoration:none" class="button"><span class="linkcolor"><?= _BOTTOM ?></span></a>
</p>

</td><td class="top center">

<p class="center column-title coltitlecolor"><?= _ROWTWELVE ?></p>

<p>
<a href="#twelve" style="text-decoration:none" class="button"><span class="linkcolor"><?= _TOP ?></span></a>
<a href="#twelvemiddle" style="text-decoration:none" class="button"><span class="linkcolor"><?= _MIDDLE ?></span></a>
<a href="#twelvebottom" style="text-decoration:none" class="button"><span class="linkcolor"><?= _BOTTOM ?></span></a>
</p>

</td></tr></table>
<br>
</div>
<br>