<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

// initialize variables
$title = "";
$set_position= "";
$content_one = "";
$useone = ""; 
$content_two = "";
$usetwo = "";  
$content_three ="";
$usethree = ""; 
$content_four = ""; 
$usefour = ""; 
$content_five = "";
$usefive = "";  
$content_six = "";
$usesix = "";  
$content_seven = "";
$useseven = "";  
$content_eight = "";
$useeight = "";
$showtitle = "";
$titleicon = "";
$titleicon = "";
$graphic = "";
$faicon = "";
$faiconcolor = "";
$setback = "";
$backimage = "";
$backcolorfirst = "";
$backcolorsecond = "";
$setbackone = "";
$setbacktwo = "";
$setbackthree = "";
$setbackfour = "";
$setbackfive = "";
$setbacksix = "";
$setbackseven = "";
$setbackeight = "";	
$backimageone = "";
$backimagetwo = "";
$backimagethree = "";
$backimagefour = "";
$backimagefive = "";
$backimagesix = "";
$backimageseven = "";
$backimageeight = "";	
$backcolorone = "";
$backcolortwo = "";
$backcolorthree = "";
$backcolorfour = "";
$backcolorfive = "";
$backcolorsix = "";
$backcolorseven = "";
$backcoloreight = "";
$id = 0;
$update = false;


// Create new container
if (isset($_POST['save'])) {
$title = mysqli_real_escape_string($conn, $_POST['title']);
$set_position = mysqli_real_escape_string($conn,$_POST['set_position']);
$content_one = mysqli_real_escape_string($conn, $_POST['content_one']);
$useone = mysqli_real_escape_string($conn, $_POST['useone']); 
$content_two = mysqli_real_escape_string($conn, $_POST['content_two']);
$usetwo = mysqli_real_escape_string($conn, $_POST['usetwo']);  
$content_three = mysqli_real_escape_string($conn, $_POST['content_three']); 
$usethree = mysqli_real_escape_string($conn, $_POST['usethree']); 
$content_four = mysqli_real_escape_string($conn, $_POST['content_four']);
$usefour = mysqli_real_escape_string($conn, $_POST['usefour']);   
$content_five = mysqli_real_escape_string($conn, $_POST['content_five']);
$usefive = mysqli_real_escape_string($conn, $_POST['usefive']);  
$content_six = mysqli_real_escape_string($conn, $_POST['content_six']);
$usesix = mysqli_real_escape_string($conn, $_POST['usesix']); 
$content_seven = mysqli_real_escape_string($conn, $_POST['content_seven']);
$useseven = mysqli_real_escape_string($conn, $_POST['useseven']);  
$content_eight = mysqli_real_escape_string($conn, $_POST['content_eight']);
$useeight = mysqli_real_escape_string($conn, $_POST['useeight']); 
$showtitle = mysqli_real_escape_string($conn, $_POST['showtitle']);
$titleicon = mysqli_real_escape_string($conn, $_POST['titleicon']);
$graphic = mysqli_real_escape_string($conn, $_POST['graphic']);
$faicon = mysqli_real_escape_string($conn, $_POST['faicon']);
$faiconcolor = mysqli_real_escape_string($conn, $_POST['faiconcolor']);
$setback = mysqli_real_escape_string($conn, $_POST['setback']);
$backimage = mysqli_real_escape_string($conn, $_POST['backimage']);
$backcolorfirst = mysqli_real_escape_string($conn, $_POST['backcolorfirst']);
$backcolorsecond = mysqli_real_escape_string($conn, $_POST['backcolorsecond']);
$setbackone = mysqli_real_escape_string($conn, $_POST['setbackone']);
$setbacktwo = mysqli_real_escape_string($conn, $_POST['setbacktwo']);
$setbackthree = mysqli_real_escape_string($conn, $_POST['setbackthree']);
$setbackfour = mysqli_real_escape_string($conn, $_POST['setbackfour']);
$setbackfive = mysqli_real_escape_string($conn, $_POST['setbackfive']);
$setbacksix = mysqli_real_escape_string($conn, $_POST['setbacksix']);
$setbackseven = mysqli_real_escape_string($conn, $_POST['setbackseven']);
$setbackeight = mysqli_real_escape_string($conn, $_POST['setbackeight']);	
$backimageone = mysqli_real_escape_string($conn, $_POST['backimageone']);
$backimagetwo = mysqli_real_escape_string($conn, $_POST['backimagetwo']);
$backimagethree = mysqli_real_escape_string($conn,$_POST['backimagethree']);
$backimagefour = mysqli_real_escape_string($conn, $_POST['backimagefour']);
$backimagefive = mysqli_real_escape_string($conn, $_POST['backimagefive']);
$backimagesix = mysqli_real_escape_string($conn, $_POST['backimagesix']);
$backimageseven = mysqli_real_escape_string($conn, $_POST['backimageseven']);
$backimageeight = mysqli_real_escape_string($conn, $_POST['backimageeight']);	
$backcolorone = mysqli_real_escape_string($conn, $_POST['backcolorone']);
$backcolortwo = mysqli_real_escape_string($conn, $_POST['backcolortwo']);
$backcolorthree = mysqli_real_escape_string($conn, $_POST['backcolorthree']);
$backcolorfour = mysqli_real_escape_string($conn, $_POST['backcolorfour']);
$backcolorfive = mysqli_real_escape_string($conn, $_POST['backcolorfive']);
$backcolorsix = mysqli_real_escape_string($conn, $_POST['backcolorsix']);
$backcolorseven = mysqli_real_escape_string($conn, $_POST['backcolorseven']);
$backcoloreight = mysqli_real_escape_string($conn, $_POST['backcoloreight']);

mysqli_query($db, "INSERT INTO container (title, set_position, content_one, content_two, content_three, content_four, content_five, content_six, content_seven, content_eight, showtitle, graphic, faicon, faiconcolor, titleicon, setback, backimage, backcolorfirst, backcolorsecond, useone, usetwo, usethree, usefour, usefive, usesix, useseven, useeight, setbackone, setbacktwo, setbackthree, setbackfour, setbackfive, setbacksix, setbackseven, setbackeight, backimageone, backimagetwo, backimagethree, backimagefour, backimagefive, backimagesix, backimageseven, backimageeight, backcolorone, backcolortwo, backcolorthree, backcolorfour, backcolorfive, backcolorsix, backcolorseven, backcoloreight) VALUES ('$title', '$set_position', '$content_one', '$content_two', '$content_three', '$content_four', '$content_five', '$content_six', '$content_seven', '$content_eight', '$showtitle', '$graphic', '$faicon', '$faiconcolor', '$titleicon', '$setback', '$backimage', '$backcolorfirst', '$backcolorsecond', '$useone', '$usetwo', '$usethree', '$usefour', '$usefive', '$usesix', '$useseven', '$useeight', '$setbackone', '$setbacktwo', '$setbackthree', '$setbackfour', '$setbackfive', '$setbacksix', '$setbackseven', '$setbackeight', '$backimageone', '$backimagetwo', '$backimagethree', '$backimagefour', '$backimagefive', '$backimagesix', '$backimageseven', '$backimageeight', '$backcolorone', '$backcolortwo', '$backcolorthree', '$backcolorfour', '$backcolorfive', '$backcolorsix', '$backcolorseven', '$backcoloreight')");
$_SESSION['message'] = "Container Saved!";
echo "<script> window.location.replace('container-reposition.php') </script>"; }

// Update existing sniplet
if (isset($_POST['update'])) {
$id = $_POST['id'];
$title = mysqli_real_escape_string($conn, $_POST['title']);
$set_position = mysqli_real_escape_string($conn,$_POST['set_position']);
$content_one = mysqli_real_escape_string($conn, $_POST['content_one']);
$useone = mysqli_real_escape_string($conn, $_POST['useone']); 
$content_two = mysqli_real_escape_string($conn, $_POST['content_two']);
$usetwo = mysqli_real_escape_string($conn, $_POST['usetwo']);  
$content_three = mysqli_real_escape_string($conn, $_POST['content_three']); 
$usethree = mysqli_real_escape_string($conn, $_POST['usethree']); 
$content_four = mysqli_real_escape_string($conn, $_POST['content_four']);
$usefour = mysqli_real_escape_string($conn, $_POST['usefour']);   
$content_five = mysqli_real_escape_string($conn, $_POST['content_five']);
$usefive = mysqli_real_escape_string($conn, $_POST['usefive']);  
$content_six = mysqli_real_escape_string($conn, $_POST['content_six']);
$usesix = mysqli_real_escape_string($conn, $_POST['usesix']); 
$content_seven = mysqli_real_escape_string($conn, $_POST['content_seven']);
$useseven = mysqli_real_escape_string($conn, $_POST['useseven']);  
$content_eight = mysqli_real_escape_string($conn, $_POST['content_eight']);
$useeight = mysqli_real_escape_string($conn, $_POST['useeight']); 
$showtitle = mysqli_real_escape_string($conn, $_POST['showtitle']);
$titleicon = mysqli_real_escape_string($conn, $_POST['titleicon']);
$graphic = mysqli_real_escape_string($conn, $_POST['graphic']);
$faicon = mysqli_real_escape_string($conn, $_POST['faicon']);
$faiconcolor = mysqli_real_escape_string($conn, $_POST['faiconcolor']);
$setback = mysqli_real_escape_string($conn, $_POST['setback']);
$backimage = mysqli_real_escape_string($conn, $_POST['backimage']);
$backcolorfirst = mysqli_real_escape_string($conn, $_POST['backcolorfirst']);
$backcolorsecond = mysqli_real_escape_string($conn, $_POST['backcolorsecond']);
$setbackone = mysqli_real_escape_string($conn, $_POST['setbackone']);
$setbacktwo = mysqli_real_escape_string($conn, $_POST['setbacktwo']);
$setbackthree = mysqli_real_escape_string($conn, $_POST['setbackthree']);
$setbackfour = mysqli_real_escape_string($conn, $_POST['setbackfour']);
$setbackfive = mysqli_real_escape_string($conn, $_POST['setbackfive']);
$setbacksix = mysqli_real_escape_string($conn, $_POST['setbacksix']);
$setbackseven = mysqli_real_escape_string($conn, $_POST['setbackseven']);
$setbackeight = mysqli_real_escape_string($conn, $_POST['setbackeight']);	
$backimageone = mysqli_real_escape_string($conn, $_POST['backimageone']);
$backimagetwo = mysqli_real_escape_string($conn, $_POST['backimagetwo']);
$backimagethree = mysqli_real_escape_string($conn,$_POST['backimagethree']);
$backimagefour = mysqli_real_escape_string($conn, $_POST['backimagefour']);
$backimagefive = mysqli_real_escape_string($conn, $_POST['backimagefive']);
$backimagesix = mysqli_real_escape_string($conn, $_POST['backimagesix']);
$backimageseven = mysqli_real_escape_string($conn, $_POST['backimageseven']);
$backimageeight = mysqli_real_escape_string($conn, $_POST['backimageeight']);	
$backcolorone = mysqli_real_escape_string($conn, $_POST['backcolorone']);
$backcolortwo = mysqli_real_escape_string($conn, $_POST['backcolortwo']);
$backcolorthree = mysqli_real_escape_string($conn, $_POST['backcolorthree']);
$backcolorfour = mysqli_real_escape_string($conn, $_POST['backcolorfour']);
$backcolorfive = mysqli_real_escape_string($conn, $_POST['backcolorfive']);
$backcolorsix = mysqli_real_escape_string($conn, $_POST['backcolorsix']);
$backcolorseven = mysqli_real_escape_string($conn, $_POST['backcolorseven']);
$backcoloreight = mysqli_real_escape_string($conn, $_POST['backcoloreight']);

mysqli_query($db, "UPDATE container SET title='$title', set_position='$set_position', content_one='$content_one', content_two='$content_two', content_three='$content_three', content_four='$content_four', content_five='$content_five', content_six='$content_six', content_seven='$content_seven', content_eight='$content_eight', showtitle='$showtitle', graphic='$graphic', faicon='$faicon', faiconcolor='$faiconcolor', titleicon='$titleicon', setback='$setback', backimage='$backimage', backcolorfirst='$backcolorfirst', backcolorsecond='$backcolorsecond', useone='$useone', usetwo='$usetwo', usethree='$usethree', usefour='$usefour', usefive='$usefive', usesix='$usesix', useseven='$useseven', useeight='$useeight', setbackone='$setbackone', setbacktwo='$setbacktwo', setbackthree='$setbackthree', setbackfour='$setbackfour', setbackfive='$setbackfive', setbacksix='$setbacksix', setbackseven='$setbackseven', setbackeight='$setbackeight', backimageone='$backimageone', backimagetwo='$backimagetwo', backimagethree='$backimagethree', backimagefour='$backimagefour', backimagefive='$backimagefive', backimagesix='$backimagesix', backimageseven='$backimageseven', backimageeight='$backimageeight', backcolorone='$backcolorone', backcolortwo='$backcolortwo', backcolorthree='$backcolorthree', backcolorfour='$backcolorfour', backcolorfive='$backcolorfive', backcolorsix='$backcolorsix', backcolorseven='$backcolorseven', backcoloreight='$backcoloreight' WHERE id=$id");
$_SESSION['message'] = "Container Updated!";
echo "<script> window.location.replace('container-reposition.php') </script>"; }

// Delete container from db
if (isset($_GET['del'])) {
$id = $_GET['del'];
mysqli_query($db, "DELETE FROM container WHERE id=$id");
$_SESSION['message'] = "Container deleted!";
echo "<script> window.location.replace('container-all.php') </script>"; }

$results = mysqli_query($db, "SELECT * FROM container");