<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';

$sql = "SELECT * FROM config_contentslider";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$useslider = $row['useslider'];
$align = $row['align'];
$title = $row['title'];
$title_size = $row['title_size'];
$title_font = $row['title_font'];
$title_bold = $row['title_bold'];
$slider_position = $row['slider_position'];
$showtitle = $row['showtitle']; }} 

$sql = "SELECT * FROM config_row_one, config_row_two, config_row_three, 
config_row_four, config_row_five, config_row_six, config_row_seven, 
config_row_eight, config_row_nine, config_row_ten, config_row_eleven, config_row_twelve"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$userowone = $row['userowone']; $userowtwo = $row['userowtwo']; $userowthree = $row['userowthree']; 
$userowfour = $row['userowfour']; $userowfive = $row['userowfive']; $userowsix = $row['userowsix']; 
$userowseven =$row['userowseven']; $useroweight = $row['useroweight']; $userownine = $row['userownine'];
$userowten =$row['userowten']; $useroweleven = $row['useroweleven']; $userowtwelve = $row['userowtwelve']; }} ?>

<form action="helpers/config-slider.php" target="_blank" method="post" class="noborder">

<?php savemenu(); ?>

<div style="padding-left:20px"><?php require_once 'slider-menu.php'; ?></div>

<br><br>

<div class="full spacer radius">

<div class="inner-wrapper radius spacer" style="border:0">

<div class="spacer column-title">
<h1 class="center coltitlecolor"><?= _SLIDERSETTINGS ?></h1>
</div>

<div class="mini-container noborder spacer">

<p class="left"><strong><?= _USEONHOMEPAGE ?>? </strong>
<select name="useslider">
<option><?= $useslider ?></option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>

<p class="left"><strong><?= _SLIDERPOSITION ?>: </strong>
<select name="slider_position">
<option><?= $slider_position ?></option>

<?php $sql = "SELECT usetop, usemiddle, usebottom FROM config_row_one"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
if ($userowone == 'Yes') { 
if ($row['usetop'] == 'Yes') { ?>
<option value="Row One Top"><?= _ROWONETOP ?></option>
<?php }
if ($row['usemiddle'] == 'Yes') { ?>
<option value="Row One Middle"><?= _ROWONEMIDDLE ?></option>
<?php }
if ($row['usebottom'] == 'Yes') { ?>
<option value="Row One Bottom"><?= _ROWONEBOTTOM ?></option>
<?php }}}}

$sql = "SELECT usetop, usemiddle, usebottom FROM config_row_two"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
if ($userowtwo == 'Yes') { 
if ($row['usetop'] == 'Yes') { ?>
<option value="Row Two Top"><?= _ROWTWOTOP ?></option>
<?php }
if ($row['usemiddle'] == 'Yes') { ?>
<option value="Row Two Middle"><?= _ROWTWOMIDDLE ?></option>
<?php }
if ($row['usebottom'] == 'Yes') { ?>
<option value="Row Two Bottom"><?= _ROWTWOBOTTOM ?></option>
<?php }}}}

$sql = "SELECT usetop, usemiddle, usebottom FROM config_row_three"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
if ($userowthree == 'Yes') { 
if ($row['usetop'] == 'Yes') { ?>
<option value="Row Three Top"><?= _ROWTHREETOP ?></option>
<?php }
if ($row['usemiddle'] == 'Yes') { ?>
<option value="Row Three Middle"><?= _ROWTHREEMIDDLE ?></option>
<?php }
if ($row['usebottom'] == 'Yes') { ?>
<option value="Row Three Bottom"><?= _ROWTHREEBOTTOM ?></option>
<?php }}}}

$sql = "SELECT usetop, usemiddle, usebottom FROM config_row_four"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
if ($userowfour== 'Yes') { 
if ($row['usetop'] == 'Yes') { ?>
<option value="Row Four Top"><?= _ROWFOURTOP ?></option>
<?php }
if ($row['usemiddle'] == 'Yes') { ?>
<option value="Row Four Middle"><?= _ROWFOURMIDDLE ?></option>
<?php }
if ($row['usebottom'] == 'Yes') { ?>
<option value="Row Four Bottom"><?= _ROWFOURBOTTOM ?></option>
<?php }}}}

$sql = "SELECT usetop, usemiddle, usebottom FROM config_row_five"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
if ($userowfive == 'Yes') { 
if ($row['usetop'] == 'Yes') { ?>
<option value="Row Five Top"><?= _ROWFIVETOP ?></option>
<?php }
if ($row['usemiddle'] == 'Yes') { ?>
<option value="Row Five Middle"><?= _ROWFIVEMIDDLE ?></option>
<?php }
if ($row['usebottom'] == 'Yes') { ?>
<option value="Row Five Bottom"><?= _ROWFIVEBOTTOM ?></option>
<?php }}}}

$sql = "SELECT usetop, usemiddle, usebottom FROM config_row_six"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
if ($userowsix == 'Yes') { 
if ($row['usetop'] == 'Yes') { ?>
<option value="Row Six Top"><?= _ROWSIXTOP ?></option>
<?php }
if ($row['usemiddle'] == 'Yes') { ?>
<option value="Row Six Middle"><?= _ROWSIXMIDDLE ?></option>
<?php }
if ($row['usebottom'] == 'Yes') { ?>
<option value="Row Six Bottom"><?= _ROWSIXBOTTOM ?></option>
<?php }}}}

$sql = "SELECT usetop, usemiddle, usebottom FROM config_row_seven"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
if ($userowseven == 'Yes') { 
if ($row['usetop'] == 'Yes') { ?>
<option value="Row Seven Top"><?= _ROWSEVENTOP ?></option>
<?php }
if ($row['usemiddle'] == 'Yes') { ?>
<option value="Row Seven Middle"><?= _ROWSEVENMIDDLE ?></option>
<?php }
if ($row['usebottom'] == 'Yes') { ?>
<option value="Row Seven Bottom"><?= _ROWSEVENBOTTOM ?></option>
<?php }}}}

$sql = "SELECT usetop, usemiddle, usebottom FROM config_row_eight"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
if ($useroweight == 'Yes') { 
if ($row['usetop'] == 'Yes') { ?>
<option value="Row Eight Top"><?= _ROWEIGHTTOP ?></option>
<?php }
if ($row['usemiddle'] == 'Yes') { ?>
<option value="Row Eight Middle"><?= _ROWEIGHTMIDDLE ?></option>
<?php }
if ($row['usebottom'] == 'Yes') { ?>
<option value="Row Eight Bottom"><?= _ROWEIGHTBOTTOM ?></option>
<?php }}}}

$sql = "SELECT usetop, usemiddle, usebottom FROM config_row_nine"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
if ($userownine == 'Yes') { 
if ($row['usetop'] == 'Yes') { ?>
<option value="Row Nine Top"><?= _ROWNINETOP ?></option>
<?php }
if ($row['usemiddle'] == 'Yes') { ?>
<option value="Row Nine Middle"><?= _ROWNINEMIDDLE ?></option>
<?php }
if ($row['usebottom'] == 'Yes') { ?>
<option value="Row Nine Bottom"><?= _ROWNINEBOTTOM ?></option>
<?php }}}}

$sql = "SELECT usetop, usemiddle, usebottom FROM config_row_ten"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
if ($userowten == 'Yes') { 
if ($row['usetop'] == 'Yes') { ?>
<option value="Row Ten Top"><?= _ROWTENTOP ?></option>
<?php }
if ($row['usemiddle'] == 'Yes') { ?>
<option value="Row Ten Middle"><?= _ROWTENMIDDLE ?></option>
<?php }
if ($row['usebottom'] == 'Yes') { ?>
<option value="Row Ten Bottom"><?= _ROWTENBOTTOM ?></option>
<?php }}}}

$sql = "SELECT usetop, usemiddle, usebottom FROM config_row_eleven"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
if ($useroweleven == 'Yes') { 
if ($row['usetop'] == 'Yes') { ?>
<option value="Row Eleven Top"><?= _ROWELEVENTOP ?></option>
<?php }
if ($row['usemiddle'] == 'Yes') { ?>
<option value="Row Eleven Middle"><?= _ROWELEVENMIDDLE ?></option>
<?php }
if ($row['usebottom'] == 'Yes') { ?>
<option value="Row Eleven Bottom"><?= _ROWELEVENBOTTOM ?></option>
<?php }}}}

$sql = "SELECT usetop, usemiddle, usebottom FROM config_row_twelve"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
if ($userowtwelve == 'Yes') { 
if ($row['usetop'] == 'Yes') { ?>
<option value="Row Twelve Top"><?= _ROWTWELVETOP ?></option>
<?php }
if ($row['usemiddle'] == 'Yes') { ?>
<option value="Row Twelve Middle"><?= _ROWTWELVEMIDDLE ?></option>
<?php }
if ($row['usebottom'] == 'Yes') { ?>
<option value="Row Twelve Bottom"><?= _ROWTWELVEBOTTOM ?></option>
<?php }}}} ?>

</select>		

<p class="left"><strong><?= _SELFADJUSTING ?>: </strong></p>

<p class="left"><strong><?= _ENTERMAINTITLE ?>

</strong>
<br>
<input style="width:200px;color:#000;" type="text" name="title" maxlength="25" size="25" value="<?= $title ?>">
</p>

<p class="left"><strong><?= _SHOWTITLE ?>: </strong>
<select name="showtitle">
<option><?= $showtitle ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select>

<p class="left"><strong><?= _ALIGNMAINTITLE ?>:</strong>
<br>
<select name="align">
<option><?= $align ?></option>
<option value="Left"><?= _LEFT ?></option>
<option value="Center"><?= _CENTER ?></option>
<option value="Right"><?= _RIGHT ?></option>
</select>
</p>

<p class="left"><strong><?= _MAINTITLEFONTSIZE ?>: </strong>
<br>
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="title_size" maxlength="5" size="5" value="<?= $title_size ?>">
</p>

<p class="left"><strong><?= _MAINTITLEFONTFAM ?>: </strong>
<br>
<select name="title_font">
<option><?= $title_font ?></option>
<?php require 'helpers/fonts.php'; ?>
</select>
</p>

<p class="left"> <strong><?= _DEGREEOFBOLDNESS ?>: </strong>
<select name="title_bold">
<option><?= $title_bold ?></option>
<option value="100">100</option>
<option value="200">200</option>
<option value="300">300</option>
<option value="400">400</option>
<option value="500">500</option>
<option value="600">600</option>
<option value="700">700</option>
<option value="800">800</option>
<option value="900">900</option>
</select> [<?= _HIGHERNUMBERINCREASES ?>]
</p>
</div>
</div>

</div>

<?php require_once 'footer.php';