<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
require_once 'downloads-category.php';
closenav();
if (isset($_GET['edit'])) {
$id = $_GET['edit'];
$update = true;
$record = mysqli_query($db, "SELECT * FROM downloadscategory WHERE id=$id"); {
$n = mysqli_fetch_array($record);
$cat_name = $n['cat_name']; }} ?>

<link rel="stylesheet" type="text/css" href="css/pageeditor.css">
<br>
<?php require_once 'downloadsmenu.php'; ?>

<br><br>

<div class="radius spacer inner-wrapper">
<div class="spacer column-title">
<h1 class="center coltitlecolor"><?= _DOWNLOADSCAT ?></h1>
</div>
<?php if (isset($_SESSION["message"]) && !empty($_SESSION["message"])) {
$message = $_SESSION["message"];
echo "<div class='center gentextcolor spacer inner-wrapper quarter'>" . $message . "</div>";
unset($_SESSION['message']); } ?>

<p class="center"><?= _ASMANYCATS ?></p>
<p class="center"><?= _ADDCHANGECATS ?></p>

<?php $results = mysqli_query($db, "SELECT * FROM downloadscategory ORDER BY cat_name ASC"); ?>

<input type="hidden" name="id" value="<?= $id ?>">

<div class="mini-container">

<h3 class="left"><a href="downloadscategory.php" style="text-decoration:none" class="button"><span class="white"><?= _ADDNEW ?></span></a></h3>

<div class="full input-group">

<table style="margin:0 auto" class="full spacer">
<thead>
<tr class="column-title noborder">
<th scope="col" class="coltitlecolor"><?= _CATNAME ?></th>
<th scope="col" class="center coltitlecolor" colspan="2"><?= _ACTION ?></th>
</tr>
</thead>
<tbody>

<?php while ($row = mysqli_fetch_array($results)) { ?>

<tr class="card spacer">
<td class="left gentextcolor" style="font-size:20px" data-label="<?= _CATNAME ?>: ">
<legend><?= $row['cat_name'] ?></legend>
</td>
<td data-label="<?= _EDIT ?>: " class="center spacer"><a href="downloadscategory.php?edit=<?= $row['id'] ?>" style="text-decoration:none" class="button"><span class="white"><?= _EDIT ?></span></a></td>

<td data-label="<?= _DELETE ?>: " class="center spacer"><a href="downloads-category.php?del=<?= $row['id'] ?>" onclick="return confirm('Are you sure you want to delete this item')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none" class="button"><span class="white"><?= _DELETE ?></span></a></td>
</tr>
</tbody>

<?php } ?>

</table><br><br>

</div>
</div>
</div>

<?php require_once 'footer.php';