<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

// initialize variables
$title = "";
$name = "";
$info = "";
$cat_name = "";
$archive = "";
$downloadspagename = "";
$allowcomments = "";
$showcount = "";
$id = 0;
$update = false;


// Create new download 
if (isset($_POST['save'])) {
$title = mysqli_real_escape_string($conn, $_POST['title']);
$name = mysqli_real_escape_string($conn, $_POST['name']);
$info = mysqli_real_escape_string($conn, $_POST['info']);
$cat_name = mysqli_real_escape_string($conn, $_POST['cat_name']);
$archive = mysqli_real_escape_string($conn, $_POST['archive']);
$downloadspagename = mysqli_real_escape_string($conn, $_POST['downloadspagename']);
$allowcomments = mysqli_real_escape_string($conn, $_POST['allowcomments']);
$showcount = mysqli_real_escape_string($conn, $_POST['showcount']);

mysqli_query($db, "INSERT INTO files (title, name, info, cat_name, archive, downloadspagename, allowcomments, showcount) VALUES ('$title', '$name', '$info', '$cat_name', '$archive', '$downloadspagename', '$allowcomments', '$showcount')");
$_SESSION['message'] = "New Download record added!";
echo "<script> window.location.replace('downloadsall.php') </script>"; }

// Update existing download
if (isset($_POST['update'])) {
$id = mysqli_real_escape_string($conn, $_POST['id']);
$title = mysqli_real_escape_string($conn, $_POST['title']);
$name = mysqli_real_escape_string($conn, $_POST['name']);
$info = mysqli_real_escape_string($conn, $_POST['info']);
$cat_name = mysqli_real_escape_string($conn, $_POST['cat_name']);
$archive = mysqli_real_escape_string($conn, $_POST['archive']);
$downloadspagename = mysqli_real_escape_string($conn, $_POST['downloadspagename']);
$allowcomments = mysqli_real_escape_string($conn, $_POST['allowcomments']);
$showcount = mysqli_real_escape_string($conn, $_POST['showcount']);

mysqli_query($db, "UPDATE files SET title='$title', name='$name', info='$info', cat_name='$cat_name', archive='$archive', downloadspagename='$downloadspagename', allowcomments='$allowcomments', showcount='$showcount' WHERE id=$id");
$_SESSION['message'] = "Download record edited!";
echo "<script> window.location.replace('downloadsall.php') </script>"; }

// Delete exiting download from db
if (isset($_GET['del'])) {
$id = $_GET['del'];
mysqli_query($db, "DELETE FROM files WHERE id=$id");
$_SESSION['message'] = "Download record deleted!";
echo "<script> window.location.replace('downloadsall.php') </script>"; }

$results = mysqli_query($db, "SELECT * FROM files");
