<?php
/**
 * Spectra Downloads Suite is software designed to support a website.
 * PHP version 8
 *
 * @category  OpenSource
 * @package   Spectra Downloads Suite
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */
require_once 'main.php';
require_once 'header.php';
require_once 'downloadspagenamessave.php';
closenav();

if (isset($_GET['edit'])) {
$id = $_GET['edit'];
$update = true;
$record = mysqli_query($db, "SELECT * FROM downloadspages WHERE id=$id"); {
$n = mysqli_fetch_array($record);
$downloadspagename = $n['downloadspagename'];
$pagecontent = $n['pagecontent'];
$style = $n['style'];
$faicon = $n['faicon'];
$faiconcolor = $n['faiconcolor'];
$cardback = $n['cardback']; 
$selectbg = $n['selectbg'];
$colorone = $n['colorone'];
$colortwo = $n['colortwo']; 
$topmenu = $n['topmenu'];
$description = $n['description'];
$keywords = $n['keywords'];
$usepage = $n['usepage']; }} ?>

<link rel="stylesheet" type="text/css" href="css/pageeditor.css">
<?php $results = mysqli_query($db, "SELECT * FROM downloadspages"); ?>
<div class="full input-group">
<div class="spacer column-title"><h1 class="center coltitlecolor"><?= _CREATEDOWNLOADSPAGES ?></h4></div>
<?php require_once 'downloadsmenu.php'; ?>
<form method="post" action="downloadspagenamessave.php" class="noborder">
<div class="inner-wrapper spacer">
<div class="mini-container spacer">
<p class="center"><?= _CANCREATEPAGES ?></p>
<p><?= _PAGENAME ?></p>
           
<?php updatepublish(); ?>

<input type="hidden" name="id" value="<?= $id ?>">

<input maxlength="35" style="background:#fff; color:#000; font-size:22px; width:330px;" type="text" name="downloadspagename" value="<?= $downloadspagename ?>"> 

<p class="left"><?= _USEPAGE ?>: 
<select name="usepage">
<option><?= $usepage ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select></p>

<p class="left"><?= _CARDBACKIMGORCOLOR ?></p>

<p class="left"><?= _CHOOSECARDORLIST ?>: 
<select name="style">
<option value="<?= $style ?>"><?= $style ?></option>
<option value="Card"><?= _CARD ?></option>
<option value="Lists"><?= _LISTS ?></option>
</select></p>

<p><?= _IMGORCOLOR ?>: <select name="selectbg">
<option value="<?= $selectbg ?>"><?= $selectbg ?></option>
<option value="Image"><?= _IMAGE ?></option>
<option value="Color"><?= _COLOR ?></option>
<option value="None"><?= _NONE ?></option>
</select></p>

<p><?= _MENULOCATION ?></p>

<p class="left"><?= _ADDLINK ?>
<select name="topmenu">
<option value="<?= $topmenu ?>"><?= $topmenu ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select></p>

<p><?= _FIRSTGRADIENT ?>: <input maxlength="7" style="background:#fff; color:#000; font-size:22px; width:330px;" type="text" name="colorone" value="<?= $colorone ?>"></p>
<p><?= _SECONDGRADIENT ?>: <input maxlength="7" style="background:#fff; color:#000; font-size:22px; width:330px;" type="text" name="colortwo" value="<?= $colortwo ?>"></p>
<p><?= _CARDBGIMAGE ?><br>
<input maxlength="35" style="background:#fff; color:#000; font-size:22px; width:330px;" type="text" name="cardback" value="<?= $cardback ?>"></p>
<p><?= _FAICON ?>:</p>
<input maxlength="35" style="background:#fff; color:#000; font-size:22px; width:330px;" type="text" name="faicon" value="<?= $faicon ?>">
<p><?= _FAICONCOLOR ?>:</p>
<input maxlength="7" style="background:#fff; color:#000; font-size:22px; width:330px;" type="text" name="faiconcolor" value="<?= $faiconcolor ?>"><br><br>

<br>
<p class="center">- <?= _SEO_ ?> -</p>

<p class="left"><?= _DESCRIPTION ?>:
<input name="description" value="<?= $description ?>" style="width:100%">
</p>

<p class="left"><?= _KEYWORDS ?>:  (<?= _SEPARATEWITHCOMMAS ?>)
<input name="keywords" value="<?= $keywords ?>" style="width:100%">
</p>

<div class="clearfix" style="margin:0 auto;">
<div class="spacer center">
<p><?= _ADDCONTENTTOHEADER ?></p>
</div>
<textarea id="editor" name="pagecontent"><?= $pagecontent ?></textarea>
</div>
</div>
</div>
<br>
<br>
</form>
<?php require_once 'footer.php';