<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

// initialize variables
$usecard = "";
$flipcardback = "";
$backimage = "";
$photo = "";
$backcolorfirst = "";
$backcolorsecond = "";
$content = "";
$setheight = "";
$containercolorfirst = "";
$containercolorsecond = "";
$location = "";
$cardcategory ="";
$archivecard = "";
$cardtitle = "";
$description = "";
$keywords = "";
$id = 0;
$update = false;


// Create new flip card
if (isset($_POST['save'])) {
$usecard = mysqli_real_escape_string($conn, $_POST['usecard']);
$flipcardback = mysqli_real_escape_string($conn, $_POST['flipcardback']);
$backimage = mysqli_real_escape_string($conn, $_POST['backimage']);
$photo = mysqli_real_escape_string($conn, $_POST['photo']);
$backcolorfirst = mysqli_real_escape_string($conn, $_POST['backcolorfirst']);
$backcolorsecond = mysqli_real_escape_string($conn, $_POST['backcolorsecond']);
$content = mysqli_real_escape_string($conn, $_POST['content']);
$setheight = mysqli_real_escape_string($conn, $_POST['setheight']);
$containercolorfirst = mysqli_real_escape_string($conn, $_POST['containercolorfirst']);
$containercolorsecond = mysqli_real_escape_string($conn, $_POST['containercolorsecond']);
$location = mysqli_real_escape_string($conn, $_POST['location']);
$cardcategory = mysqli_real_escape_string($conn, $_POST['cardcategory']);
$archivecard = mysqli_real_escape_string($conn, $_POST['archivecard']);
$cardtitle = mysqli_real_escape_string($conn, $_POST['cardtitle']);
$description = mysqli_real_escape_string($conn, $_POST['description']);
$keywords = mysqli_real_escape_string($conn, $_POST['keywords']);

mysqli_query($db, "INSERT INTO flipcard (usecard, flipcardback, backimage, photo, backcolorfirst, backcolorsecond, content, setheight, containercolorfirst, containercolorsecond, location, cardcategory, archivecard, cardtitle, description, keywords) VALUES ('$usecard', '$flipcardback', '$backimage', '$photo', '$backcolorfirst', '$backcolorsecond', '$content', '$setheight', '$containercolorfirst', '$containercolorsecond', '$location', '$cardcategory', '$archivecard', '$cardtitle', '$description', '$keywords')");
$_SESSION['message'] = "Flip Card Saved!";
echo "<script> window.location.replace('flipcardreposition.php') </script>"; }

// Update existing flip card
if (isset($_POST['update'])) {
$id = $_POST['id'];
$usecard = mysqli_real_escape_string($conn, $_POST['usecard']);
$flipcardback = mysqli_real_escape_string($conn, $_POST['flipcardback']);
$backimage = mysqli_real_escape_string($conn, $_POST['backimage']);
$photo = mysqli_real_escape_string($conn, $_POST['photo']);
$backcolorfirst = mysqli_real_escape_string($conn, $_POST['backcolorfirst']);
$backcolorsecond = mysqli_real_escape_string($conn, $_POST['backcolorsecond']);
$content = mysqli_real_escape_string($conn, $_POST['content']);
$setheight = mysqli_real_escape_string($conn, $_POST['setheight']);
$containercolorfirst = mysqli_real_escape_string($conn, $_POST['containercolorfirst']);
$containercolorsecond = mysqli_real_escape_string($conn, $_POST['containercolorsecond']);
$location = mysqli_real_escape_string($conn, $_POST['location']);
$cardcategory = mysqli_real_escape_string($conn, $_POST['cardcategory']);
$archivecard = mysqli_real_escape_string($conn, $_POST['archivecard']);
$cardtitle = mysqli_real_escape_string($conn, $_POST['cardtitle']);
$description = mysqli_real_escape_string($conn, $_POST['description']);
$keywords = mysqli_real_escape_string($conn, $_POST['keywords']);

mysqli_query($db, "UPDATE flipcard SET usecard='$usecard', flipcardback='$flipcardback', backimage='$backimage', photo='$photo', backcolorfirst='$backcolorfirst', backcolorsecond='$backcolorsecond', content='$content', setheight='$setheight', containercolorfirst='$containercolorfirst', containercolorsecond='$containercolorsecond', location='$location', cardcategory='$cardcategory', archivecard='$archivecard', cardtitle='$cardtitle', description='$description', keywords='$keywords' WHERE id=$id");
$_SESSION['message'] = "Flip Card Updated!";
echo "<script> window.location.replace('flipcardreposition.php') </script>"; }

// Delete flip card from db
if (isset($_GET['del'])) {
$id = $_GET['del'];
mysqli_query($db, "DELETE FROM flipcard WHERE id=$id");
$_SESSION['message'] = "Flip Card deleted!";
echo "<script> window.location.replace('flipcardall.php') </script>"; }

$results = mysqli_query($db, "SELECT * FROM flipcard");
