<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
closenav(); 

/**
 * 
 * Add the Font Awesome library
 * to the Designers Toolbox.
 * 
 */ ?>

<div class="center">
<h4 class="center"><?= _FONTAWESOMEICONS ?></h4>
<div class="center"><img src="images/fa-library.png" class="noborder" style="box-shadow:2px 2px 4px #000; width:200px" /></div>
<h5 style="color:#223366" class="center"><?= _SPICEUPMENUS ?></h5>

<div style="width:90%" class="divider div-transparent"></div>

<div>
<ul style="height:880px; max-width:100%; width:100%; overflow-y:scroll" class="icon-picker-list">
<li class="left"><span data-class="{{item}} {{activeState}}" data-index="{{index}}"><span class="{{item}}"></span>
<span class="name-class">{{item}}</span></span>

</div>
</div> 

<?php require_once 'footer.php';