<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
closenav();

$sql = "SELECT * FROM website"; 
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$copyright = $row['copyright'];
$footercontent = $row['footercontent'];
$showfooter = $row['showfooter']; }} ?>

<form action="helpers/footer_config.php" target="_blank" method="post" class="noborder">

<?php savemenu(); ?>  

<div class="card spacer noborder input-group">

<div class="full spacer radius">
<div class="column-title spacer">
<h1 class="center coltitlecolor"><?= _FOOTERCOPYRIGHT ?></h1>
</div>

<p class="left"><strong><?= _SHOWFOOTER ?></strong>
<select name="showfooter">
<option><?= $showfooter ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>						
</select>
</p>

<p class="left"><strong><?= _COPYRIGHTNOTICE ?>:</strong>
<input type="text" name="copyright" value="<?= htmlentities($copyright, ENT_QUOTES) ?>">
</p>

<div class="column-title spacer">
<h4 class="center coltitlecolor"><?= _FOOTERCONTENT ?></h4>
</div>

<div class="left">
<textarea id="editor" type="text" name="footercontent">
<?= htmlentities($footercontent, ENT_QUOTES) ?>
</textarea>

</div>
</div>
</div>

<?php require_once 'footer.php';