<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

$sql = "SELECT lang, successful_bg FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$successful_bg = $row['successful_bg'];
require_once 'lang/' . $row['lang'] . '.php'; }}

function showIPAddress() {
$variableIndex = array(
"HTTP_CLIENT_IP",
"HTTP_X_FORWARDED_FOR",
"HTTP_X_FORWARDED",
"HTTP_FORWARDED_FOR",
"HTTP_FORWARDED",
"REMOTE_ADDR"
);
for ($i = 0; $i < count($variableIndex); $i++) {
if (!isset($ipAddress)) {
if (array_key_exists($variableIndex[$i], $_SERVER)) {
$ipAddress = getenv($variableIndex[$i]);
echo '<p class="center"><?=_IPADDRESS?>: ' . $ipAddress . '</p>';
break;
}}}}

function savemenu() { ?>
<style>
.savemenu {
margin: 0 auto;
height: 75px;
padding: 15px;
display: block;			
z-index: 999;
width: 99%; }

@media(max-width:600px) {
.savemenu {
margin-top: -200px; }}
</style>

<div class="card savemenu center spacer" id="updatebtn">
<input class="button noborder pointer" style="width:180px; font-size:13px; font-weight:600; border-radius:0;" type="Submit" value="<?= _UPDATERECORD ?>" name="Submit">&nbsp;<a href="" style="width:180px; font-size:13px; font-weight:600; text-decoration:none; border-radius:0; padding:7px;" class="button noborder pointer"><span style="color:#fff"><?= _REFRESHPAGE ?></span></a>
</div>
<br>
<?php }

function preview()
{ ?>
<div class="full spacer inner-wrapper">
<h2 class="center gentextcolor"><?= _PREVIEW ?></h2>
<iframe src="../../index.php" scrolling="yes" style="overflow:hidden; height:200px; width:100%; border:0;"></iframe>
</div>
<?php }

function fontawesome() { ?>
<div class="center" style="margin:0 auto"> &nbsp;&nbsp;&nbsp;
<a href="fontawesome.php" target="_blank" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _OPENFAICONS ?>"><img src="images/font_awesome_logo.png" style="box-shadow:2px 2px 4px #000; width:60px" alt="" /></a>
<br><strong><?= _MENUICONS ?></strong>
</div>
<?php }

function update() {
require_once 'update.php'; }

function updatepublish() {
global $update; ?>
<div style="z-index:999;position:fixed;bottom:-4px;right:10px;" id="wrapper" class="spacer center input-group">
<?php if ($update == true) { ?>
<button style="cursor:pointer;" type="submit" class="button" name="update"><?= _UPDATERECORD ?></button>
<?php } else { ?>
<button style="cursor:pointer;" class="button" type="submit" name="save"><?= _PUBLISH ?></button>
<?php } ?>
</div>
<?php }

function closenav() { ?>
<function onclick="closeNav()">
<function onclick="closeNav1()">
<function onclick="closeNav2()">
<function onclick="closeNav3()">
<?php }

function closewin() { ?>
<input type="button" value="<?= _CLOSEWINDOW ?>" onclick="self.close()">
<script>
function windowClose() {
window.open('', '_parent', '');
window.close();
}
</script>
<?php }

function quicknote() { ?>
<div class="center position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _QUICKNOTETAKER ?>"><img src="images/quicknote.png" class="pointer radius noborder" style="background:#f1f1f1; width:50px; height:50px; box-shadow:2px 2px 4px #000;" id="myBtn" alt="" /></div>
<div id="myModal" class="modalQN">
<div class="modalQN-content"> <span class="closemodal">&times;</span>
<?php require_once 'quicknote.php'; ?>
</div>
</div>
<?php }

function popup() { ?>
<div class="box"> <a class="button-popup" href="#popup1"><?= _UPDATERECORD ?></a> </div>
<div id="popup1" class="overlay">
<div class="popup">
<h2><?= _UPDATESUCCESSFUL ?></h2> <a class="close" href="#">&times;</a>
<div class="content"> <?= _CLOSEWINDOW ?> </div>
</div>
</div>
<?php }