<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

require_once '../functions.php';

if (isset($_POST['Submit'])) {
$allow_registration = mysqli_real_escape_string($conn, $_POST['allow_registration']);
$emailaddress = mysqli_real_escape_string($conn, $_POST['emailaddress']);
$website_url = mysqli_real_escape_string($conn, $_POST['website_url']);
$account_icon = mysqli_real_escape_string($conn, $_POST['account_icon']);
$account_icon_color = mysqli_real_escape_string($conn, $_POST['account_icon_color']);
$registration_block = mysqli_real_escape_string($conn, $_POST['registration_block']);
$styletitle = mysqli_real_escape_string($conn, $_POST['styletitle']); }

$update = "UPDATE registration SET 
allow_registration='$allow_registration', 
emailaddress='$emailaddress', 
website_url='$website_url', 
account_icon='$account_icon', 
account_icon_color='$account_icon_color', 
registration_block='$registration_block', 
styletitle='$styletitle'
";

echo '<br>';

$conn->query($update) or die("Cannot update");

$ip = getenv('REMOTE_ADDR', true) ?: getenv('REMOTE_ADDR');

if ($update) {

require_once '../update.php'; }
