<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

require_once '../functions.php';
 
$ip = getenv('REMOTE_ADDR', true) ?: getenv('REMOTE_ADDR');

if (isset($_POST['Submit'])) {
$useheropage = mysqli_real_escape_string($conn, $_POST['useheropage']);
$text = mysqli_real_escape_string($conn, $_POST['text']);
$heroback = mysqli_real_escape_string($conn, $_POST['heroback']);
$paddingleft = mysqli_real_escape_string($conn, $_POST['paddingleft']);
$paddingtop = mysqli_real_escape_string($conn, $_POST['paddingtop']);
$containerwidth = mysqli_real_escape_string($conn, $_POST['containerwidth']);
$heroheight = mysqli_real_escape_string($conn, $_POST['heroheight']);
$radius = mysqli_real_escape_string($conn, $_POST['radius']);
$shadow = mysqli_real_escape_string($conn, $_POST['shadow']);
$opacity = mysqli_real_escape_string($conn, $_POST['opacity']);
$textback = mysqli_real_escape_string($conn, $_POST['textback']);
$textbacksecond = mysqli_real_escape_string($conn, $_POST['textbacksecond']);
$useback = mysqli_real_escape_string($conn, $_POST['useback']);
$textbackimg = mysqli_real_escape_string($conn, $_POST['textbackimg']);
$menulocation = mysqli_real_escape_string($conn, $_POST['menulocation']);
$positioncontainer = mysqli_real_escape_string($conn, $_POST['positioncontainer']);
$containerheight = mysqli_real_escape_string($conn, $_POST['containerheight']);
$padcontainer = mysqli_real_escape_string($conn, $_POST['padcontainer']);
$textbackvideo = mysqli_real_escape_string($conn, $_POST['textbackvideo']);
$setback = mysqli_real_escape_string($conn, $_POST['setback']); }

$update = "UPDATE heropage SET 
useheropage='$useheropage', 
text='$text', 
heroback='$heroback', 
paddingleft='$paddingleft', 
paddingtop='$paddingtop', 
containerwidth='$containerwidth', 
heroheight='$heroheight', 
radius='$radius', 
shadow='$shadow', 
opacity='$opacity', 
textback='$textback', 
textbacksecond='$textbacksecond', 
useback='$useback', 
textbackimg='$textbackimg', 
menulocation='$menulocation', 
positioncontainer='$positioncontainer', 
containerheight='$containerheight', 
padcontainer='$padcontainer', 
textbackvideo='$textbackvideo', 
setback='$setback'
";

echo '<br>';

$conn->query($update) or die("Cannot update"); //update or error

if ($update) {

require_once '../update.php'; }
