<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

require_once '../functions.php';

if (isset($_POST['Submit'])) {
$use_linktome = mysqli_real_escape_string($conn, $_POST['use_linktome']);
$link_code = mysqli_real_escape_string($conn, $_POST['link_code']);
$link_code_name = mysqli_real_escape_string($conn, $_POST['link_code_name']);
$btn_first_color = mysqli_real_escape_string($conn, $_POST['btn_first_color']);
$btn_second_color = mysqli_real_escape_string($conn, $_POST['btn_second_color']);
$btn_width = mysqli_real_escape_string($conn, $_POST['btn_width']);
$btn_height = mysqli_real_escape_string($conn, $_POST['btn_height']);
$btn_radius = mysqli_real_escape_string($conn, $_POST['btn_radius']);
$btn_font_color = mysqli_real_escape_string($conn, $_POST['btn_font_color']);
$btn_border = mysqli_real_escape_string($conn, $_POST['btn_border']);
$linktomeposition = mysqli_real_escape_string($conn, $_POST['linktomeposition']); }

$update = "UPDATE linktome SET 
use_linktome='$use_linktome', 
link_code='$link_code', 
link_code_name='$link_code_name', 
btn_first_color='$btn_first_color', 
btn_second_color='$btn_second_color', 
btn_width='$btn_width', 
btn_height='$btn_height', 
btn_radius='$btn_radius', 
btn_font_color='$btn_font_color',
btn_border='$btn_border', 
linktomeposition='$linktomeposition'
";

echo '<br>';

$conn->query($update) or die("Cannot update"); //update or error

$ip = getenv('REMOTE_ADDR', true) ?: getenv('REMOTE_ADDR');

if ($update) {

require_once '../update.php'; }
