<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

require_once '../functions.php';

if (isset($_POST['Submit'])) {
$themes = mysqli_real_escape_string($conn, $_POST['themes']);
$dashboard_theme = mysqli_real_escape_string($conn, $_POST['dashboard_theme']);
$number_to_show = mysqli_real_escape_string($conn, $_POST['number_to_show']);
$pagination = mysqli_real_escape_string($conn, $_POST['pagination']);
$subdomain = mysqli_real_escape_string($conn, $_POST['subdomain']);
$Subdomain_name = mysqli_real_escape_string($conn, $_POST['Subdomain_name']);
$usecounter = mysqli_real_escape_string($conn, $_POST['usecounter']);
$allow_article = mysqli_real_escape_string($conn, $_POST['allow_article']);
$contact_staff = mysqli_real_escape_string($conn, $_POST['contact_staff']);
$menuselection = mysqli_real_escape_string($conn, $_POST['menuselection']);
$back_image = mysqli_real_escape_string($conn, $_POST['back_image']);
$sidemenuimage = mysqli_real_escape_string($conn, $_POST['sidemenuimage']);
$offcanvas_position = mysqli_real_escape_string($conn, $_POST['offcanvas_position']);
$dashboardmenu = mysqli_real_escape_string($conn, $_POST['dashboardmenu']);
$position_pagination = mysqli_real_escape_string($conn, $_POST['position_pagination']);
$admintheme = mysqli_real_escape_string($conn, $_POST['admintheme']);
$successful_bg = mysqli_real_escape_string($conn, $_POST['successful_bg']);
$paginationstyle = mysqli_real_escape_string($conn, $_POST['paginationstyle']);
$viewcounter = mysqli_real_escape_string($conn, $_POST['viewcounter']);
$showuserlist = mysqli_real_escape_string($conn, $_POST['showuserlist']);
$padding = mysqli_real_escape_string($conn, $_POST['padding']); 
$radius = mysqli_real_escape_string($conn, $_POST['radius']); 
$shadow = mysqli_real_escape_string($conn, $_POST['shadow']); 
$border = mysqli_real_escape_string($conn, $_POST['border']); 
$firstcolor = mysqli_real_escape_string($conn, $_POST['firstcolor']); 
$secondcolor = mysqli_real_escape_string($conn, $_POST['secondcolor']); 
$backimg = mysqli_real_escape_string($conn, $_POST['backimg']); 
$selectback = mysqli_real_escape_string($conn, $_POST['selectback']); 
$styling = mysqli_real_escape_string($conn, $_POST['styling']);
$hp_sidebars = mysqli_real_escape_string($conn, $_POST['hp_sidebars']);
$hp_oncanvas_sidebars = mysqli_real_escape_string($conn, $_POST['hp_oncanvas_sidebars']);
$hp_leftwidth = mysqli_real_escape_string($conn, $_POST['hp_leftwidth']); 
$hp_rightwidth = mysqli_real_escape_string($conn, $_POST['hp_rightwidth']);
$hp_library = mysqli_real_escape_string($conn, $_POST['hp_library']);
$hp_setrow = mysqli_real_escape_string($conn, $_POST['hp_setrow']);
$perrow = mysqli_real_escape_string($conn, $_POST['perrow']);
$hoverblock = mysqli_real_escape_string($conn, $_POST['hoverblock']);
$zoomimg = mysqli_real_escape_string($conn, $_POST['zoomimg']);
$borderradius = mysqli_real_escape_string($conn, $_POST['borderradius']);
$hoverstrength = mysqli_real_escape_string($conn, $_POST['hoverstrength']);
$config_article = mysqli_real_escape_string($conn, $_POST['config_article']); 
$numbertoshow = mysqli_real_escape_string($conn, $_POST['numbertoshow']);
$allowthemeuse = mysqli_real_escape_string($conn, $_POST['allowthemeuse']); 
$articleheight = mysqli_real_escape_string($conn, $_POST['articleheight']);
$setrow = mysqli_real_escape_string($conn, $_POST['setrow']);
$activevideo = mysqli_real_escape_string($conn, $_POST['activevideo']);
$showvideo = mysqli_real_escape_string($conn, $_POST['showvideo']);
$videoback = mysqli_real_escape_string($conn, $_POST['videoback']);
$videobackimg = mysqli_real_escape_string($conn, $_POST['videobackimg']);
$videobackcolor = mysqli_real_escape_string($conn, $_POST['videobackcolor']);
$videobackcolortwo = mysqli_real_escape_string($conn, $_POST['videobackcolortwo']);
$archiveplaceholder = mysqli_real_escape_string($conn, $_POST['archiveplaceholder']);
$chooseplaceholder = mysqli_real_escape_string($conn, $_POST['chooseplaceholder']);
$description = mysqli_real_escape_string($conn, $_POST['description']); 
$keywords = mysqli_real_escape_string($conn, $_POST['keywords']); 
$author = mysqli_real_escape_string($conn, $_POST['author']);
$logosize = mysqli_real_escape_string($conn, $_POST['logosize']);
$logo_image = mysqli_real_escape_string($conn, $_POST['logo_image']);
$logoradius = mysqli_real_escape_string($conn, $_POST['logoradius']);
$uselogoimage = mysqli_real_escape_string($conn, $_POST['uselogoimage']);
$sublogotext = mysqli_real_escape_string($conn, $_POST['sublogotext']);
$logo = mysqli_real_escape_string($conn, $_POST['logo']); 
$lang = mysqli_real_escape_string($conn, $_POST['lang']);
$newstitle = mysqli_real_escape_string($conn, $_POST['newstitle']);
$showtitle = mysqli_real_escape_string($conn, $_POST['showtitle']);
$setperrow = mysqli_real_escape_string($conn, $_POST['setperrow']);
$article_height = mysqli_real_escape_string($conn, $_POST['article_height']); 
$msgheight_member = mysqli_real_escape_string($conn, $_POST['msgheight_member']);
$msgheight_admin = mysqli_real_escape_string($conn, $_POST['msgheight_admin']);
$msgperrow_member = mysqli_real_escape_string($conn, $_POST['msgperrow_member']);
$msgperrow_admin = mysqli_real_escape_string($conn, $_POST['msgperrow_admin']);
$msgperrow_visitor = mysqli_real_escape_string($conn, $_POST['msgperrow_visitor']);
$msgheight_visitor = mysqli_real_escape_string($conn, $_POST['msgheight_visitor']);
$maintitle = mysqli_real_escape_string($conn, $_POST['maintitle']);
$styletitle = mysqli_real_escape_string($conn, $_POST['styletitle']);
$sidebars_used = mysqli_real_escape_string($conn, $_POST['sidebars_used']);
$top_article_left_width = mysqli_real_escape_string($conn, $_POST['top_article_left_width']);
$top_article_right_width = mysqli_real_escape_string($conn, $_POST['top_article_right_width']);
$lefttext = mysqli_real_escape_string($conn, $_POST['lefttext']);
$righttext = mysqli_real_escape_string($conn, $_POST['righttext']);
$setsiteupdate =  mysqli_real_escape_string($conn, $_POST['setsiteupdate']);
$updatedate =  mysqli_real_escape_string($conn, $_POST['updatedate']);}

$update = "UPDATE website SET 
themes='$themes', 
dashboard_theme='$dashboard_theme', 
number_to_show='$number_to_show', 
pagination='$pagination', 
subdomain='$subdomain', 
Subdomain_name='$Subdomain_name', 
usecounter='$usecounter', 
allow_article='$allow_article', 
contact_staff='$contact_staff', 
menuselection='$menuselection', 
back_image='$back_image', 
sidemenuimage='$sidemenuimage', 
offcanvas_position='$offcanvas_position', 
dashboardmenu='$dashboardmenu', 
position_pagination='$position_pagination', 
admintheme='$admintheme', 
successful_bg='$successful_bg', 
paginationstyle='$paginationstyle', 
viewcounter='$viewcounter', 
showuserlist='$showuserlist', 
padding='$padding', 
radius='$radius', 
shadow='$shadow', 
border='$border', 
firstcolor='$firstcolor', 
secondcolor='$secondcolor', 
backimg='$backimg', 
selectback='$selectback', 
styling='$styling', 
hp_sidebars='$hp_sidebars', 
hp_oncanvas_sidebars='$hp_oncanvas_sidebars', 
hp_leftwidth='$hp_leftwidth', 
hp_rightwidth='$hp_rightwidth', 
hp_library='$hp_library', 
hp_setrow='$hp_setrow', 
perrow='$perrow', 
hoverblock='$hoverblock', 
zoomimg='$zoomimg', 
borderradius='$borderradius', 
hoverstrength='$hoverstrength', 
config_article='$config_article', 
numbertoshow='$numbertoshow', 
allowthemeuse='$allowthemeuse', 
articleheight='$articleheight', 
setrow='$setrow', 
activevideo='$activevideo', 
showvideo='$showvideo', 
videoback='$videoback', 
videobackimg='$videobackimg', 
videobackcolor='$videobackcolor', 
videobackcolortwo='$videobackcolortwo', 
archiveplaceholder='$archiveplaceholder', 
chooseplaceholder='$chooseplaceholder', 
description='$description', 
keywords='$keywords',
 author='$author', 
 logosize='$logosize', 
 logo_image='$logo_image', 
 logoradius='$logoradius', 
 uselogoimage='$uselogoimage', 
 sublogotext='$sublogotext', 
 logo='$logo', 
 lang='$lang', 
 newstitle='$newstitle', 
 showtitle='$showtitle', 
 setperrow='$setperrow', 
 article_height='$article_height', 
 msgheight_member='$msgheight_member', 
 msgheight_admin='$msgheight_admin', 
 msgperrow_member='$msgperrow_member', 
 msgperrow_admin='$msgperrow_admin', 
 msgheight_visitor='$msgheight_visitor', 
 msgperrow_visitor='$msgperrow_visitor', 
 maintitle='$maintitle', 
 styletitle='$styletitle', 
 sidebars_used='$sidebars_used', 
 top_article_left_width='$top_article_left_width', 
 top_article_right_width='$top_article_right_width', 
 lefttext='$lefttext', 
 righttext='$righttext',
 setsiteupdate='$setsiteupdate',
 updatedate='$updatedate'
 "; ?>

<?php $conn->query($update) or die("Cannot update");

$ip = getenv('REMOTE_ADDR', true) ?: getenv('REMOTE_ADDR');

if ($update) {

require_once '../update.php'; }