<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

require_once 'header.php';

closenav();

$sql = "SELECT * FROM 
config_row_one, config_row_two, 
config_row_three, config_row_four, 
config_row_five, config_row_six, 
config_row_seven, config_row_eight, 
config_row_nine, config_row_ten, 
config_row_eleven, config_row_twelve"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$rowonesidebars = $row['rowonesidebars']; 
$rowtwosidebars = $row['rowtwosidebars']; 
$rowthreesidebars = $row['rowthreesidebars']; 
$rowfoursidebars = $row['rowfoursidebars']; 
$rowfivesidebars = $row['rowfivesidebars']; 
$rowsixsidebars = $row['rowsixsidebars']; 
$rowsevensidebars = $row['rowsevensidebars']; 
$roweightsidebars = $row['roweightsidebars']; 
$rowninesidebars = $row['rowninesidebars']; 
$rowtensidebars = $row['rowtensidebars']; 
$rowelevensidebars = $row['rowelevensidebars']; 
$rowtwelvesidebars = $row['rowtwelvesidebars']; }}

$sql = "SELECT * FROM linktome"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$use_linktome = $row['use_linktome']; 
$link_code = $row['link_code']; 
$link_code_name = $row['link_code_name']; 
$btn_first_color = $row['btn_first_color']; 
$btn_second_color = $row['btn_second_color']; 
$btn_width = $row['btn_width']; 
$btn_height = $row['btn_height']; 
$btn_radius = $row['btn_radius']; 
$btn_font_color = $row['btn_font_color']; 
$btn_border = $row['btn_border']; 
$linktomeposition = $row['linktomeposition']; }} ?>

<form action="helpers/linktome.php" target="_blank" method="post" class="noborder">

<?php savemenu(); ?>

<div>

<div class="radius spacer inner-wrapper">

<div class="spacer column-title">
<h1 class="center coltitlecolor"><?= _LINKTOME ?></h1>
</div>

<div class="mini-container noborder spacer">

<p class="left"><strong><?= _USELINK ?> </strong>
<select name="use_linktome">
<option><?= $use_linktome ?></option>                      
<?php require_once 'plugin-position.php'; ?>                     
<option value="None"><?= _NONE ?></option>
</select>
</p>

<p class="left"><strong><?= _SETPLUGIN ?></strong>
<select name="linktomeposition">
<option><?= $linktomeposition ?></option>
<option value="Above"><?= _ABOVE ?></option>
<option value="Below"><?= _BELOW ?></option>
</select>
</p>

<p class="left"><?= _ENTERLINKINFO ?></p>

<p class="left">
<strong><?= _LINK_URL ?>: </strong><textarea type="text" name="link_code" rows="1" style="width:50%"><?= htmlentities($link_code, ENT_QUOTES) ?></textarea>
</p>

<p class="left">    
<strong><?= _NAMEONBTN ?>: </strong><input type="text" name="link_code_name" maxlength="25" size="25" value="<?= $link_code_name ?>">
</p>

<p class="left"><?= _CANSTYLEBTN ?></p>

<p class="left">
<strong><?= _FIRSTGRADIENT ?>: </strong><input type="text" name="btn_first_color" maxlength="7" size="7" value="<?= $btn_first_color ?>"
</p>

<p class="left">
<strong><?= _SECONDGRADIENT ?>: </strong><input type="text" name="btn_second_color" maxlength="7" size="7" value="<?= $btn_second_color ?>">
</p>

<p class="left">
<strong><?= _BTNFONTCOLOR ?>: </strong><input type="text" name="btn_font_color" maxlength="7" size="7" value="<?= $btn_font_color ?>"
</p>

<p class="left">
<strong><?= _BTNWIDTH ?></strong><input type="text" name="btn_width" maxlength="7" size="7" value="<?= $btn_width ?>">
</p>

<p class="left">
<strong><?= _BTNHEIGHT ?></strong><input type="text" name="btn_height" maxlength="7" size="7" value="<?= $btn_height ?>">
</p>

<p class="left">
<strong><?= _BTNRADIUS ?>: </strong><input type="text" name="btn_radius" maxlength="7" size="7" value="<?= $btn_radius ?>">
</p>

<p class="left">
<strong><?= _BTNBORDER ?>: </strong><input type="text" name="btn_border" maxlength="20" size="20" value="<?= $btn_border ?>">
</p>

<p class="center"><?= _BTNCODE ?>:</p>

<br>

<div style="text-align:center">
<textarea rows="3" style="width:100%">
<div style="background-image: linear-gradient(<?= $btn_first_color ?>, <?= $btn_second_color ?>); width:<?= $btn_width ?>; height:<?= $btn_height ?>; border-radius:<?= $btn_radius ?>; border:<?= $btn_border ?>;">
<a style="color:<?= $btn_font_color ?>" href="<?= $link_code ?>"><?= $link_code_name ?></a>
</div>
</textarea>

<br>

<button style="background-image: linear-gradient(<?= $btn_first_color ?>, <?= $btn_second_color ?>); width:<?= $btn_width ?>; height:<?= $btn_height ?>; border-radius:<?= $btn_radius ?>; border:<?= $btn_border ?>;">
<a style="color:<?= $btn_font_color ?>" href="<?= $link_code ?>"><?= $link_code_name ?></a>
</button>
</div>

</div>
</div>
</div>

<?php require_once 'footer.php';