<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
require_once 'megamenus.php';
closenav();

if (isset($_GET['edit'])) {
$id = $_GET['edit'];
$update = true;
$record = mysqli_query($db, "SELECT * FROM megamenu WHERE id=$id"); {
$n = mysqli_fetch_array($record);
$mm_use = $n['mm_use'];
$mm_name = $n['mm_name'];
$mm_content = $n['mm_content'];
$mm_icon = $n['mm_icon'];
$mm_icon_color = $n['mm_icon_color']; }} ?>

<link rel="stylesheet" type="text/css" href="css/pageeditor.css">

<?php require_once 'menu-menu.php'; ?>

<br><br>

<?php $results = mysqli_query($db, "SELECT * FROM megamenu"); ?>

<form method="post" action="megamenus.php" class="noborder">

<input type="hidden" name="id" value="<?php echo $id; ?>">

<?php updatepublish(); ?>

<div>

<div class="spacer column-title">
<h1 class="center coltitlecolor"><?= _MMBUILDER ?></h1>
</div>

<br>
<div class="center accordion inner-wrapper spacer radius gentextcolor" style="margin:0 auto"><?= _MMHOWTO ?></div>

<div class="panel inner-wrapper" style="margin:0 auto">

<p class="center"><?= _MMUSETABLES ?></p>

<p class="center"><?= _EXONEROWTHREECOL ?></p>

<table style="width:100%">
<tr>
<td><img src="images/1.JPG" style="width:50%" alt="" /><br><?= _CAPHERE ?></td>
<td><img src="images/2.JPG" style="width:50%" alt="" /><br><?= _CAPHERE ?></td>
<td><img src="images/3.JPG" style="width:50%" alt="" /><br><?= _CAPHERE ?></td>
</tr>
</table>

<p class="left"><?= _PARAADDED ?></p>

<hr />

<p class="center"><?= _TABLEISSET ?></p>

<p class="center"><?= _HTMLFOREX ?></p>
<textarea style="width:100%;height:100px;background:#f1f1f1;color:#000;">
<table style="width:100%"><tr><td><img src="images/1.JPG" style="width:100%" alt="" /><br>Caption Here</td><td><img src="images/2.JPG" style="width:100%" alt="" /><br>Caption Here</td><td><img src="images/3.JPG" style="width:100%" alt="" /><br>Caption Here</td></tr></table>
</textarea>

</div>

<br>

<div class="mini-container spacer inner-wrapper" style="border:0">

<p class="center"><strong><?= _USEMM ?> </strong><br>
<?= _USEMMINFO ?><br>
<select name="mm_use">
<option><?= $mm_use ?></option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>

<p class="center"><strong><?= _MMTITLE ?></strong><br><?= _MMTITLEINFO ?><br><input maxlength="25" style="background:#f1f1f1; color:#000; font-size:22px; width:270px;" type="text" name="mm_name" value="<?= $mm_name ?>"></p>

<p class="center"><strong><?= _MM_ICON ?> (if used)</strong><br><?= _MMICONINFO ?><br><input maxlength="25" style="background:#f1f1f1; color:#000; font-size:22px; width:270px;" type="text" name="mm_icon" value="<?= $mm_icon ?>"></p>

<p class="center"><strong><?= _MMICON_COLOR ?></strong>:<br><?= _MMICON_COLORINFO ?><br><input maxlength="7" style="background:#f1f1f1; color:#000; font-size:22px; width:170px;" type="text" name="mm_icon_color" value="<?= $mm_icon_color ?>"></p>

</div>

<br>

<table class="full spacer radius">
<tr style="border:0">
<td class="inner-wrapper">

<div class="spacer column-title">
<h2 class="center coltitlecolor"><?= _MMCONTENT ?></h2>
</div>

<div class="spacer ">
<textarea id="editor" type="text" name="mm_content"><?= htmlentities($mm_content, ENT_QUOTES) ?></textarea>
</div>

</td>
</tr>
</table>

</form>

<?php require_once 'footer.php';