<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

// initialize variables
$mm_use = "";
$mm_name = "";
$mm_content = "";
$mm_icon = "";
$mm_icon_color = "";
$id = 0;
$update = false;


// Create new page 
if (isset($_POST['save'])) {
$mm_use = mysqli_real_escape_string($conn, $_POST['mm_use']);
$mm_name = mysqli_real_escape_string($conn, $_POST['mm_name']);
$mm_content = mysqli_real_escape_string($conn, $_POST['mm_content']);
$mm_icon = mysqli_real_escape_string($conn, $_POST['mm_icon']);
$mm_icon_color = mysqli_real_escape_string($conn, $_POST['mm_icon_color']);

mysqli_query($db, "INSERT INTO megamenu (mm_use, mm_name, mm_content, mm_icon, mm_icon_color) VALUES ('$mm_use', '$mm_name', '$mm_content', '$mm_icon', '$mm_icon_color')");
$_SESSION['message'] = "Mega Menu Saved!";
echo "<script> window.location.replace('megamenuall.php') </script>"; }

// Update existing page
if (isset($_POST['update'])) {
$id = $_POST['id'];
$mm_use = mysqli_real_escape_string($conn, $_POST['mm_use']);
$mm_name = mysqli_real_escape_string($conn, $_POST['mm_name']);
$mm_content = mysqli_real_escape_string($conn, $_POST['mm_content']);
$mm_icon = mysqli_real_escape_string($conn, $_POST['mm_icon']);
$mm_icon_color = mysqli_real_escape_string($conn, $_POST['mm_icon_color']);

mysqli_query($db, "UPDATE megamenu SET mm_use='$mm_use', mm_name='$mm_name', mm_content='$mm_content', mm_icon='$mm_icon', mm_icon_color='$mm_icon_color' WHERE id=$id");
$_SESSION['message'] = "Mega Menu Updated!";
echo "<script> window.location.replace('megamenuall.php') </script>"; }

// Delete exiting from db
if (isset($_GET['del'])) {
$id = $_GET['del'];
mysqli_query($db, "DELETE FROM megamenu WHERE id=$id");
$_SESSION['message'] = "Mega Menu deleted!";
echo "<script> window.location.replace('megamenuall.php') </script>"; }

$results = mysqli_query($db, "SELECT * FROM megamenu");
