<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
closenav();

/**
 * 
 * Addd the variables to support
 * the sidebar choice
 * from the rows sidebars.
 * 
 */

$sql = "SELECT * FROM config_row_one, config_row_two, config_row_three, 
config_row_four, config_row_five, config_row_six, config_row_seven, 
config_row_eight, config_row_nine, config_row_ten, config_row_eleven, 
config_row_twelve";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$rowonesidebars = $row['rowonesidebars'];
$rowtwosidebars = $row['rowtwosidebars'];
$rowthreesidebars = $row['rowthreesidebars'];
$rowfoursidebars = $row['rowfoursidebars'];
$rowfivesidebars = $row['rowfivesidebars'];
$rowsixsidebars = $row['rowsixsidebars'];
$rowsevensidebars = $row['rowsevensidebars'];
$roweightsidebars = $row['roweightsidebars'];
$rowninesidebars = $row['rowninesidebars'];
$rowtensidebars = $row['rowtensidebars'];
$rowelevensidebars = $row['rowelevensidebars'];
$rowtwelvesidebars = $row['rowtwelvesidebars'];
$userowone = $row['userowone'];
$userowtwo = $row['userowtwo'];
$userowthree = $row['userowthree'];
$userowfour = $row['userowfour'];
$userowfive = $row['userowfive'];
$userowsix = $row['userowsix'];
$userowseven = $row['userowseven'];
$useroweight = $row['useroweight'];
$userownine = $row['userownine'];
$userowten = $row['userowten'];
$useroweleven = $row['useroweleven'];
$userowtwelve = $row['userowtwelve']; }}

/**
* 
* Add the variables to support
* the modal creation.
* 
*/

$sql = "SELECT * FROM modal";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$modal_sidebar = $row['modal_sidebar'];
$modal_content = $row['modal_content'];
$modal_label = $row['modal_label'];
$modal_label_icon = $row['modal_label_icon'];
$modal_label_icon_color = $row['modal_label_icon_color']; }} ?>

<form action="helpers/modal.php" target="_blank" method="post" class="noborder">

<?php savemenu(); ?>

<div>

<div class="radius spacer inner-wrapper">

<div class="spacer column-title">
<h1 class="center coltitlecolor"><i class="fas fa-gears"></i><?= _MODALPUWIN ?></h1>
</div>

<div class="mini-container noborder spacer">

<?php
/**
* 
* Add the variables to support
* the sidebar choice from the 
* homepage configuration for
* On-canvas and Off-canvas.
* 
*/

$sql = "SELECT * FROM website";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$hp_sidebars = $row['hp_sidebars'];
$hp_oncanvas_sidebars = $row['hp_oncanvas_sidebars']; }}

/**
* 
* Build the On-canvas and Off-canvas information
* to display if they are active or not and which
* is active.
* 
*/

if ($hp_sidebars == '' || $hp_sidebars == 'None') {
echo '<p class="left">' . _OFFCANVASSIDEBARSOFF . ' <a href="website.php#configsidebars" onclick="basicPopup(this.href);return false">' . _TURNON . '</a></p>';
} else { ?> <p class="left"><?= _OFFCANVAS ?>     <?= _ACTIVE ?>: <?= $hp_sidebars ?></p>
<?php }

if ($hp_oncanvas_sidebars == 'None' || $hp_oncanvas_sidebars == '') {
echo '<p class="left">' . _ONCANVASSIDEBARSOFF . ' <a href="website.php#configsidebars" onclick="basicPopup(this.href);return false">' . _TURNON . '</a></p>';
} else { ?> <p class="left"><?= _ONCANVAS ?>     <?= _ACTIVE ?>: <?= $hp_oncanvas_sidebars ?></p>
<?php } ?>

<br>

<p class="center"><?= _CHOOSEMODALUSE ?></p>

<p class="left"><strong><?= _USEMODAL ?></strong><?= _USEMODALINFO ?>

<?php
/**
* 
* Build the options to use
* for sidebar location where
* the modal button will show.
* 
*/?>

<select name="modal_sidebar">
<option><?= $modal_sidebar ?></option>

<?php
/**
* 
* Display only the sidebars that are active.
* 
*/?>

<option class="column-title gentextcolor">------ <?= _SIDEBARS ?> ------</option>
<?php if ($hp_oncanvas_sidebars == 'None' || $hp_oncanvas_sidebars == '') {
if ($hp_sidebars == 'None' || $hp_sidebars == '') { ?>
<option><?= _NONEACTIVE ?></option> 
<?php }
}

/**
* 
* If active add Off-canvas to the list.
* 
*/

if ($hp_sidebars == '' || $hp_sidebars == 'None') {
} else {
if ($hp_sidebars == 'Left' || $hp_sidebars == 'Both') { ?> 
<option value="Off-canvas Left"><?= _OFFCANVASLEFT ?></option>
<?php }
if ($hp_sidebars == 'Right' || $hp_sidebars == 'Both') { ?> 
<option value="Off-canvas Right"><?= _OFFCANVASRIGHT ?></option>
<?php }
}

/**
* 
* If active add On-canvas to the list.
* 
*/

if ($hp_oncanvas_sidebars == '' || $hp_oncanvas_sidebars == 'None') {
} else {
if ($hp_oncanvas_sidebars == 'Left' || $hp_oncanvas_sidebars == 'Both') { ?>
<option value="On-canvas Left"><?= _ONCANVASLEFT ?></option>
<?php }
if ($hp_oncanvas_sidebars == 'Right' || $hp_oncanvas_sidebars == 'Both') { ?>
<option value="On-canvas Right"><?= _ONCANVASRIGHT ?></option>
<?php }
} ?>

<option class="column-title gentextcolor">----- <?= _ROWS ?> <?= _SIDEBARS ?> -----</option>

<?php
/**
* 
* Display the active rows sidebars.
* 
*/

if ($rowonesidebars == 'Left' || $rowonesidebars == 'Both') { ?>
<option value="Row One Left"><?= _ROWONE ?>     <?= _LEFT ?></option>
<?php }
if ($rowonesidebars == 'Right' || $rowonesidebars == 'Both') { ?>
<option value="Row One Right"><?= _ROWONE ?>     <?= _RIGHT ?></option>
<?php }

if ($rowtwosidebars == 'Left' || $rowtwosidebars == 'Both') { ?>
<option value="Row Two Left"><?= _ROWTWO ?>     <?= _LEFT ?></option>
<?php }
if ($rowtwosidebars == 'Right' || $rowtwosidebars == 'Both') { ?>
<option value="Row Two Right"><?= _ROWTWO ?>     <?= _RIGHT ?></option>
<?php }

if ($rowthreesidebars == 'Left' || $rowthreesidebars == 'Both') { ?>
<option value="Row Three Left"><?= _ROWTHREE ?>     <?= _LEFT ?></option>
<?php }
if ($rowthreesidebars == 'Right' || $rowthreesidebars == 'Both') { ?>
<option value="Row Three Right"><?= _ROWTHREE ?>     <?= _RIGHT ?></option>
<?php }

if ($rowfoursidebars == 'Left' || $rowfoursidebars == 'Both') { ?>
<option value="Row Four Left"><?= _ROWFOUR ?>     <?= _LEFT ?></option>
<?php }
if ($rowfoursidebars == 'Right' || $rowfoursidebars == 'Both') { ?>
<option value="Row Four Right"><?= _ROWFOUR ?>     <?= _RIGHT ?></option>
<?php }

if ($rowfivesidebars == 'Left' || $rowfivesidebars == 'Both') { ?>
<option value="Row Five Left"><?= _ROWFIVE ?>     <?= _LEFT ?></option>
<?php }
if ($rowfivesidebars == 'Right' || $rowfivesidebars == 'Both') { ?>
<option value="Row Five Right"><?= _ROWFIVE ?>     <?= _RIGHT ?></option>
<?php }

if ($rowsixsidebars == 'Left' || $rowsixsidebars == 'Both') { ?>
<option value="Row Six Left"><?= _ROWSIX ?>     <?= _LEFT ?></option>
<?php }
if ($rowsixsidebars == 'Right' || $rowsixsidebars == 'Both') { ?>
<option value="Row Six Right"><?= _ROWSIX ?>     <?= _RIGHT ?></option>
<?php }

if ($rowsevensidebars == 'Left' || $rowsevensidebars == 'Both') { ?>
<option value="Row Seven Left"><?= _ROWSEVEN ?>     <?= _LEFT ?></option>
<?php }
if ($rowsevensidebars == 'Right' || $rowsevensidebars == 'Both') { ?>
<option value="Row Seven Right"><?= _ROWSEVEN ?>     <?= _RIGHT ?></option>
<?php }

if ($roweightsidebars == 'Left' || $roweightsidebars == 'Both') { ?>
<option value="Row Eight Left"><?= _ROWEIGHT ?>     <?= _LEFT ?></option>
<?php }
if ($roweightsidebars == 'Right' || $roweightsidebars == 'Both') { ?>
<option value="Row Eight Right"><?= _ROWEIGHT ?>     <?= _RIGHT ?></option>
<?php }

if ($rowninesidebars == 'Left' || $rowninesidebars == 'Both') { ?>
<option value="Row Nine Left"><?= _ROWNINE ?>     <?= _LEFT ?></option>
<?php }
if ($rowninesidebars == 'Right' || $rowninesidebars == 'Both') { ?>
<option value="Row Nine Right"><?= _ROWNINE ?>     <?= _RIGHT ?></option>
<?php }

if ($rowtensidebars == 'Left' || $rowtensidebars == 'Both') { ?>
<option value="Row Ten Left"><?= _ROWTEN ?>     <?= _LEFT ?></option>
<?php }
if ($rowtensidebars == 'Right' || $rowtensidebars == 'Both') { ?>
<option value="Row Ten Right"><?= _ROWTEN ?>     <?= _RIGHT ?></option>
<?php }

if ($rowelevensidebars == 'Left' || $rowelevensidebars == 'Both') { ?>
<option value="Row Eleven Left"><?= _ROWELEVEN ?>     <?= _LEFT ?></option>
<?php }
if ($rowelevensidebars == 'Right' || $rowelevensidebars == 'Both') { ?>
<option value="Row Eleven Right"><?= _ROWELEVEN ?>     <?= _RIGHT ?></option>
<?php }

if ($rowtwelvesidebars == 'Left' || $rowtwelvesidebars == 'Both') { ?>
<option value="Row Twelve Left"><?= _ROWTWELVE ?>     <?= _LEFT ?></option>
<?php }
if ($rowtwelvesidebars == 'Right' || $rowtwelvesidebars == 'Both') { ?>
<option value="Row Twelve Right"><?= _ROWTWELVE ?>     <?= _RIGHT ?></option>
<?php } ?>
</select> 
</p> 

<p class="left"><?= _MODALLABEL ?>&nbsp; 
<input style="background:#f1f1f1;color:#000;" type="text" name="modal_label" maxlength="25" size="25" value="<?= $modal_label ?>">
</p>

<p class="left"><?= _OPTIONAL ?> <?= _FONTAWESOMEICON ?>: </p>

<p class="left"><?= _LABELICON ?>&nbsp;
<input style="background:#f1f1f1;color:#000;" type="text" name="modal_label_icon" maxlength="25" size="25" value="<?= $modal_label_icon ?>">
</p>

<p class="left"><?= _MODALLABELICONCOLOR ?>&nbsp; 
<input style="background:#f1f1f1;color:#000;" type="text" name="modal_label_icon_color" maxlength="25" size="25" value="<?= $modal_label_icon_color ?>">
</p>
</div>
<h2 class="column-title center coltitlecolor"><?= _MODALWINCONTENT ?></h2>

<textarea id="editor" type="text" name="modal_content"><?= $modal_content ?></textarea>

</div>
</div>
</form>

<?php require_once 'footer.php';