<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
closenav();

require_once 'notetaker.php';

if (isset($_GET['edit'])) {
$id = $_GET['edit'];
$update = true;
$record = mysqli_query($db, "SELECT * FROM notetaker WHERE id=$id");
$n = mysqli_fetch_array($record);
$admin_notes = $n['admin_notes']; }

$results = mysqli_query($db, "SELECT * FROM notetaker"); ?>

<style>
a {
color: #000000; }
</style>

<form method="post" action="notetaker.php" class="noborder">

<input type="hidden" name="id" value="<?= $id ?>">

<div id="wrapper">
<div class="inner-wrapper">
<div class="spacer column-title">
<h1 class="center coltitlecolor"><?= _NOTETAKERMGT ?></h1>
</div>
<div class="full center"><img class="noborder" src="images/notetaker.png" style="margin:0 auto;width:100px" alt="" /></div>

<br>

<h3><a class="button" href="notetakerbuilder.php" style="text-decoration:none"><span class="white"><?= _ADDNEW ?></span></a></h3>

<br>
<br>

<?php while ($row = mysqli_fetch_array($results)) { ?>

<table>
<tr class="spacer inner-wrapper noborder">
<td class="left inner-wrapper gentextcolor spacer" style="width:80%;font-size:16px;"><?= $row['admin_notes'] ?></td>
<td class="center spacer"><a href="notetakerbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none" class="btn"><span class="white"><?= _EDIT ?></span></a></td>
<td class="center spacer"><a href="notetaker.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" class="btn" style="text-decoration:none"><span class="white"><?= _DELETE ?></span></a></td>
</tr>
</table>

<?php } ?>

<br><br>
</div>
</div>
<br><br>

<?php require_once 'footer.php';