<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
closenav();

require_once 'notetaker.php';

if (isset($_GET['edit'])) {
$id = $_GET['edit'];
$update = true;
$record = mysqli_query($db, "SELECT * FROM notetaker WHERE id=$id"); {
$n = mysqli_fetch_array($record);
$admin_notes = $n['admin_notes']; }} ?>

<link rel="stylesheet" type="text/css" href="css/pageeditor.css">

<?php $results = mysqli_query($db, "SELECT * FROM notetaker"); ?>

<form method="post" action="notetaker.php" class="noborder">

<div class="full spacer radius">
<div class="spacer column-title">
<h1 class="center coltitlecolor"> <?= _NOTETAKERBLDR ?></h1>
</div>
<div class="center"><img class="noborder" src="images/notetaker.png" style="width:100px" alt="" /></div>
<br>

<?php updatepublish(); ?>

<br>

<input type="hidden" name="id" value="<?php echo $id; ?>">

<textarea id="editor" name="admin_notes"><?= htmlentities($admin_notes, ENT_QUOTES) ?></textarea>

</div>

<?php require_once 'footer.php';