<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'header.php'; ?>

<style>ul { list-style-type: none; }</style>

<?php global $id; $results = mysqli_query($db, "SELECT * FROM pagination"); ?>

<input type="hidden" name="id" value="<?= $id ?>">

<?php $sql = "SELECT * FROM pagination"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>

<div class="inner-wrapper center spacer">
<h3 class="center"><?= $row['stylename'] ?></h3>
<ul style="background:<?= $row['backcolor'] ?>; padding: <?= $row['numberspadding'] ?>; display: inline-flex; box-sizing: border-box; box-shadow: none; margin: 0 auto; text-align:center; border-radius: <?= $row['overallradius'] ?>;">

<li style="box-sizing: border-box; background: linear-gradient(<?= $row['gradientfirst'] ?>, <?= $row['gradientsecond'] ?>); text-decoration: none; font-size: <?= $row['numbersfontsize'] ?>; font-weight: bold; border-radius: <?= $row['numberradius'] ?>; padding:<?= $row['numberspadding'] ?>; border:<?= $row['numberborder'] ?>;"><a href=""><span style="color: <?= $row['numbersfontcolor'] ?>">Prev</span></a></li> 

<li style="box-sizing: border-box; background: linear-gradient(<?= $row['gradientfirst'] ?>, <?= $row['gradientsecond'] ?>); text-decoration: none; font-size: <?= $row['numbersfontsize'] ?>; font-weight: bold; border-radius: <?= $row['numberradius'] ?>; padding:<?= $row['numberspadding'] ?>; border:<?= $row['numberborder'] ?>;"><a href=""><span style="color: <?= $row['numbersfontcolor'] ?>">1</span></a></li>

<li style="color: <?= $row['dotscolor'] ?>; font-size: <?= $row['numbersfontsize'] ?>;">...</li>   

<li style="box-sizing: border-box; background: linear-gradient(<?= $row['gradientfirst'] ?>, <?= $row['gradientsecond'] ?>); text-decoration: none; font-size: <?= $row['numbersfontsize'] ?>; font-weight: bold; border-radius: <?= $row['numberradius'] ?>; padding:<?= $row['numberspadding'] ?>; border:<?= $row['numberborder'] ?>;"><a href=""><span style="color: <?= $row['numbersfontcolor'] ?>">2</span></a></li>

<li style="box-sizing: border-box; background: linear-gradient(<?= $row['gradientfirst'] ?>, <?= $row['gradientsecond'] ?>); text-decoration: none; font-size: <?= $row['numbersfontsize'] ?>; font-weight: bold; border-radius: <?= $row['numberradius'] ?>; padding:<?= $row['numberspadding'] ?>; border:<?= $row['numberborder'] ?>;"><a href=""><span style="color: <?= $row['numbersfontcolor'] ?>">3</span></a></li>

<li style="box-sizing: border-box; background: linear-gradient(<?= $row['gradientfirst'] ?>, <?= $row['gradientsecond'] ?>); text-decoration: none; font-size: <?= $row['numbersfontsize'] ?>; font-weight: bold; border-radius: <?= $row['numberradius'] ?>; padding:<?= $row['numberspadding'] ?>; border:<?= $row['numberborder'] ?>;"><a href=""><span style="color: <?= $row['numbersfontcolor'] ?>">4</span></a></li> 

<li style="box-sizing: border-box; background: linear-gradient(<?= $row['gradientfirst'] ?>, <?= $row['gradientsecond'] ?>); text-decoration: none; font-size: <?= $row['numbersfontsize'] ?>; font-weight: bold; border-radius: <?= $row['numberradius'] ?>; padding:<?= $row['numberspadding'] ?>; border:<?= $row['numberborder'] ?>;"><a href=""><span style="color: <?= $row['numbersfontcolor'] ?>">5</span></a></li> 

<li style="color: <?= $row['dotscolor'] ?>; font-size: <?= $row['numbersfontsize'] ?>;">...</li>

<li style="box-sizing: border-box; background: linear-gradient(<?= $row['gradientfirst'] ?>, <?= $row['gradientsecond'] ?>); text-decoration: none; font-size: <?= $row['numbersfontsize'] ?>; font-weight: bold; border-radius: <?= $row['numberradius'] ?>; padding:<?= $row['numberspadding'] ?>; border:<?= $row['numberborder'] ?>;"><a href=""><span style="color: <?= $row['numbersfontcolor'] ?>">9</span></a></li>

<li style="box-sizing: border-box; background: linear-gradient(<?= $row['gradientfirst'] ?>, <?= $row['gradientsecond'] ?>); text-decoration: none; font-size: <?= $row['numbersfontsize'] ?>; font-weight: bold; border-radius: <?= $row['numberradius'] ?>; padding:<?= $row['numberspadding'] ?>; border:<?= $row['numberborder'] ?>;"><a href=""><span style="color: <?= $row['numbersfontcolor'] ?>">Next</span></a></li>
</ul>
</div>
<?php }}
require_once 'footer.php';