<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
closenav(); ?>
<style>
.button {
box-shadow: 2px 2px 4px #000000;
}

.button:hover {
box-shadow: none;
}
</style>

<div class="inner-wrapper">
<br>
<div class="mini-container spacer">
<p class="center"><strong><?= _JUMPTOROWS ?></strong></p>
<table><tr style="background:#ebebeb">
<td class="center"><a href="rowone.php" style="text-decoration:none" class="button"><span class="linkcolor"><?= _ROWONE ?></span></a></td>
<td class="center"><a href="rowtwo.php" style="text-decoration:none" class="button"><span class="linkcolor"><?= _ROWTWO ?></span></a></td>
<td class="center"><a href="rowthree.php" style="text-decoration:none" class="button"><span class="linkcolor"><?= _ROWTHREE ?></span></a></td>
<td class="center"><a href="rowfour.php" style="text-decoration:none" class="button"><span class="linkcolor"><?= _ROWFOUR ?></span></a></td>
<td class="center"><a href="rowfive.php" style="text-decoration:none" class="button"><span class="linkcolor"><?= _ROWFIVE ?></span></a></td>
<td class="center"><a href="rowsix.php" style="text-decoration:none" class="button"><span class="linkcolor"><?= _ROWSIX ?></span></a></td>
</tr><tr style="background:#ebebeb">
<td class="center"><a href="rowseven.php" style="text-decoration:none" class="button"><span class="linkcolor"><?= _ROWSEVEN ?></span></a></td>
<td class="center"><a href="roweight.php" style="text-decoration:none" class="button"><span class="linkcolor"><?= _ROWEIGHT ?></span></a></td>
<td class="center"><a href="rownine.php" style="text-decoration:none" class="button"><span class="linkcolor"><?= _ROWNINE ?></span></a></td>
<td class="center"><a href="rowten.php" style="text-decoration:none" class="button"><span class="linkcolor"><?= _ROWTEN ?></span></a></td>
<td class="center"><a href="roweleven.php" style="text-decoration:none" class="button"><span class="linkcolor"><?= _ROWELEVEN ?></span></a></td>
<td class="center"><a href="rowtwelve.php" style="text-decoration:none" class="button"><span class="linkcolor"><?= _ROWTWELVE ?></span></a></td>
</tr></table>
</div>
<br>
</div>


<?php require_once 'footer.php';