<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */
 
require_once 'main.php';

// initialize the variables
$title = "";
$text = "";
$position = "";
$archiveblock = "";
$showtitle = "";
$whichback = "";
$backimage = "";
$firstcolor = "";
$secondcolor = "";
$usewhich = "";
$graphic_icon = "";
$icon = "";
$icon_color = "";
$showblock = "";
$usesniplets = "";
$locate = "";
$styletitle = "";
$category = "";
$spotlight = "" ;
$readmore = "";
$usereadmore = "";
$description = "";
$keywords = "";
$comments = "";
$videoback = "";
$id = 0;
$update = false;


// Create new page 
if (isset($_POST['save'])) {
$title = mysqli_real_escape_string($conn, $_POST['title']);
$text = mysqli_real_escape_string($conn, $_POST['text']);
$position = mysqli_real_escape_string($conn, $_POST['position']);
$archiveblock = mysqli_real_escape_string($conn, $_POST['archiveblock']);
$showtitle = mysqli_real_escape_string($conn, $_POST['showtitle']);
$whichback = mysqli_real_escape_string($conn, $_POST['whichback']);
$backimage = mysqli_real_escape_string($conn, $_POST['backimage']);
$firstcolor = mysqli_real_escape_string($conn, $_POST['firstcolor']);
$secondcolor = mysqli_real_escape_string($conn, $_POST['secondcolor']);
$usewhich = mysqli_real_escape_string($conn, $_POST['usewhich']);
$graphic_icon = mysqli_real_escape_string($conn,  $_POST['graphic_icon']);
$icon = mysqli_real_escape_string($conn, $_POST['icon']);
$icon_color = mysqli_real_escape_string($conn, $_POST['icon_color']);
$showblock = mysqli_real_escape_string($conn, $_POST['showblock']);
$locate = mysqli_real_escape_string($conn, $_POST['locate']);
$usesniplets = mysqli_real_escape_string($conn, $_POST['usesniplets']);
$styletitle = mysqli_real_escape_string($conn, $_POST['styletitle']);
$category = mysqli_real_escape_string($conn, $_POST['category']);
$spotlight = mysqli_real_escape_string($conn, $_POST['spotlight']);
$readmore = mysqli_real_escape_string($conn, $_POST['readmore']);
$usereadmore = mysqli_real_escape_string($conn, $_POST['usereadmore']);
$description = mysqli_real_escape_string($conn,  $_POST['description']);
$keywords = mysqli_real_escape_string($conn,  $_POST['keywords']);
$comments = mysqli_real_escape_string($conn, $_POST['comments']);
$videoback = mysqli_real_escape_string($conn, $_POST['videoback']);

mysqli_query($db, "INSERT INTO blocks (title, text, position, archiveblock, showtitle, whichback, backimage, firstcolor, secondcolor, usewhich, graphic_icon, icon, icon_color, showblock, locate, usesniplets, styletitle, category, spotlight, readmore, usereadmore, description, keywords, comments, videoback) VALUES ('$title', '$text', '$position', '$archiveblock', '$showtitle', '$whichback', '$backimage', '$firstcolor', '$secondcolor', '$usewhich', '$graphic_icon', '$icon', '$icon_color', '$showblock', '$locate', '$usesniplets', '$styletitle', '$category', '$spotlight', '$readmore', '$usereadmore', '$description', '$keywords', '$comments', 'videoback')");
$_SESSION['message'] = "Block Saved!";
echo "<script> window.location.replace('block.php') </script>"; }

// Update existing block
if (isset($_POST['update'])) {
$id = $_POST['id'];
$title = mysqli_real_escape_string($conn, $_POST['title']);
$text = mysqli_real_escape_string($conn, $_POST['text']);
$position = mysqli_real_escape_string($conn, $_POST['position']);
$archiveblock = mysqli_real_escape_string($conn, $_POST['archiveblock']);
$showtitle = mysqli_real_escape_string($conn, $_POST['showtitle']);
$whichback = mysqli_real_escape_string($conn, $_POST['whichback']);
$backimage = mysqli_real_escape_string($conn, $_POST['backimage']);
$firstcolor = mysqli_real_escape_string($conn, $_POST['firstcolor']);
$secondcolor = mysqli_real_escape_string($conn, $_POST['secondcolor']);
$usewhich = mysqli_real_escape_string($conn, $_POST['usewhich']);
$graphic_icon = mysqli_real_escape_string($conn,  $_POST['graphic_icon']);
$icon = mysqli_real_escape_string($conn, $_POST['icon']);
$icon_color = mysqli_real_escape_string($conn, $_POST['icon_color']);
$showblock = mysqli_real_escape_string($conn, $_POST['showblock']);
$locate = mysqli_real_escape_string($conn, $_POST['locate']);
$usesniplets = mysqli_real_escape_string($conn, $_POST['usesniplets']);
$styletitle = mysqli_real_escape_string($conn, $_POST['styletitle']);
$category = mysqli_real_escape_string($conn, $_POST['category']);
$spotlight = mysqli_real_escape_string($conn, $_POST['spotlight']);
$readmore = mysqli_real_escape_string($conn, $_POST['readmore']);
$usereadmore = mysqli_real_escape_string($conn, $_POST['usereadmore']);
$description = mysqli_real_escape_string($conn,  $_POST['description']);
$keywords = mysqli_real_escape_string($conn,  $_POST['keywords']);
$comments = mysqli_real_escape_string($conn, $_POST['comments']);
$videoback = mysqli_real_escape_string($conn, $_POST['videoback']);

mysqli_query($db, "UPDATE blocks SET title='$title', text='$text', position='$position', archiveblock='$archiveblock', showtitle='$showtitle', whichback='$whichback', backimage='$backimage', firstcolor='$firstcolor', secondcolor='$secondcolor', usewhich='$usewhich', graphic_icon='$graphic_icon', icon='$icon', icon_color='$icon_color', showblock='$showblock', locate='$locate', usesniplets='$usesniplets', styletitle='$styletitle', category='$category', spotlight='$spotlight', readmore='$readmore', usereadmore='$usereadmore', description='$description', keywords='$keywords', comments='$comments', videoback='$videoback' WHERE id=$id");
$_SESSION['message'] = "Block Updated!";
echo "<script> window.location.replace('block.php') </script>"; }

// Delete exiting block from db
if (isset($_GET['del'])) {
$id = $_GET['del'];
mysqli_query($db, "DELETE FROM blocks WHERE id=$id");
$_SESSION['message'] = "Block deleted!";
echo "<script> window.location.replace('block.php') </script>"; }

$results = mysqli_query($db, "SELECT * FROM blocks");
