<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

// initialize variables
$ifused = "";
$title = "";
$addtxt = "";
$cardback = "";
$description = "";
$keywords = "";
$id = 0;
$update = false;

// Create new Gallery 
if (isset($_POST['save'])) {
$ifused = mysqli_real_escape_string($conn, $_POST['ifused']);
$title = mysqli_real_escape_string($conn, $_POST['title']);
$addtxt = mysqli_real_escape_string($conn, $_POST['addtxt']);
$cardback = mysqli_real_escape_string($conn, $_POST['cardback']);
$description = mysqli_real_escape_string($conn, $_POST['description']);
$keywords = $_POST['keywords'];

mysqli_query($db, "INSERT INTO galleries (ifused, title, addtxt, cardback, description, keywords) VALUES ('$ifused', '$title', '$addtxt', '$cardback', '$description', '$keywords')");
$_SESSION['message'] = "Gallery Saved!";
echo "<script> window.location.replace('gallery.php') </script>"; }

// Update existing Gallery
if (isset($_POST['update'])) {
$id = $_POST['id'];
$ifused = mysqli_real_escape_string($conn, $_POST['ifused']);
$title = mysqli_real_escape_string($conn, $_POST['title']);
$addtxt = mysqli_real_escape_string($conn, $_POST['addtxt']);
$cardback = mysqli_real_escape_string($conn, $_POST['cardback']);
$description = mysqli_real_escape_string($conn, $_POST['description']);
$keywords = mysqli_real_escape_string($conn, $_POST['keywords']);

mysqli_query($db, "UPDATE galleries SET 
ifused='$ifused', 
title='$title', 
addtxt='$addtxt', 
cardback='$cardback', 
description='$description', 
keywords='$keywords' 
WHERE id=$id");
$_SESSION['message'] = "Gallery Updated!";
echo "<script> window.location.replace('gallery.php') </script>"; }

// Delete exiting page from db
if (isset($_GET['del'])) {
$id = $_GET['del'];
mysqli_query($db, "DELETE FROM galleries WHERE id=$id");
$_SESSION['message'] = "Gallery deleted!";
echo "<script> window.location.replace('gallery.php') </script>"; }

$results = mysqli_query($db, "SELECT * FROM galleries");