<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

require_once '../functions.php';

if (isset($_POST['Submit'])) {
$hp_sidebars = mysqli_real_escape_string($conn, $_POST['hp_sidebars']);
$hp_oncanvas_sidebars = mysqli_real_escape_string($conn, $_POST['hp_oncanvas_sidebars']);
$hp_leftwidth = mysqli_real_escape_string($conn, $_POST['hp_leftwidth']); 
$hp_rightwidth = mysqli_real_escape_string($conn, $_POST['hp_rightwidth']);
$hp_library = mysqli_real_escape_string($conn, $_POST['hp_library']);
$hp_setrow = mysqli_real_escape_string($conn, $_POST['hp_setrow']);
$hoverblock = mysqli_real_escape_string($conn, $_POST['hoverblock']);
$zoomimg = mysqli_real_escape_string($conn, $_POST['zoomimg']);
$borderradius = mysqli_real_escape_string($conn, $_POST['borderradius']);
$hoverstrength = mysqli_real_escape_string($conn, $_POST['hoverstrength']);
$showfooter = mysqli_real_escape_string($conn, $_POST['showfooter']); }

$update = "UPDATE website SET 
hp_sidebars='$hp_sidebars', 
hp_oncanvas_sidebars='$hp_oncanvas_sidebars', 
hp_leftwidth='$hp_leftwidth', 
hp_rightwidth='$hp_rightwidth', 
hp_library='$hp_library', 
hp_setrow='$hp_setrow', 
hoverblock='$hoverblock', 
zoomimg='$zoomimg', 
borderradius='$borderradius', 
hoverstrength='$hoverstrength', 
showfooter='$showfooter'
"; ?>

<?php $conn->query($update) or die("Cannot update");

$ip = getenv('REMOTE_ADDR', true) ?: getenv('REMOTE_ADDR');

if ($update) {

require_once '../update.php'; }