<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

require_once '../functions.php';

if (isset($_POST['Submit'])) {

$setrow = mysqli_real_escape_string($conn, $_POST['setrow']);
$activevideo = mysqli_real_escape_string($conn, $_POST['activevideo']);
$showvideo = mysqli_real_escape_string($conn, $_POST['showvideo']);
$videoback = mysqli_real_escape_string($conn, $_POST['videoback']);
$videobackimg = mysqli_real_escape_string($conn, $_POST['videobackimg']);
$videobackcolor = mysqli_real_escape_string($conn, $_POST['videobackcolor']);
$videobackcolortwo = mysqli_real_escape_string($conn, $_POST['videobackcolortwo']);
$archiveplaceholder = mysqli_real_escape_string($conn, $_POST['archiveplaceholder']);
$chooseplaceholder = mysqli_real_escape_string($conn, $_POST['chooseplaceholder']); }

$update = "UPDATE website SET 
setrow='$setrow', 
activevideo='$activevideo', 
showvideo='$showvideo', 
videoback='$videoback', 
videobackimg='$videobackimg', 
videobackcolor='$videobackcolor', 
videobackcolortwo='$videobackcolortwo', 
archiveplaceholder='$archiveplaceholder',
chooseplaceholder='$chooseplaceholder'
"; 

$conn->query($update) or die("Cannot update");

$ip = getenv('REMOTE_ADDR', true) ?: getenv('REMOTE_ADDR');

if ($update) {

require_once '../update.php'; }