<?php
/**
* Spectra es un software diseñado para construir un sitio web.
* PHP versión 8
*
* @categoría Código abierto
* @paquete CMS Espectros
* @autor Mike Boyles <admin@papamikescreations.org>
* @copyright 2020-2023 Coders Junction
* @license Licencia pública general GNU <http://www.gnu.org/licenses/>.
* @enlace https://www.papamikescreations.org
*/

// Paquete de idioma Inglés
// Artículos generales --------------------- 

define('_SHOWFOOTER','Mostrar el pie de página');
define('_MISCSETTINGS','Otras configuraciones');
define('_PREVIEWTHEMES','Vista previa de temas');
define('_ROWS','Filas');
define('_JUMPTOROWS','Ir a la fila');
define('_CONFIGROWSINFO','Las filas deben configurarse antes de asignarles contenido.<br>Active la fila y la capa y luego configure el tipo de bloque de contenido que está asignando allí.<br>Solo necesita configurar las cosas que usará en esa capa de filas.<br>Aunque algunos tal vez quieran usar todo seguido.');
define('_WALKTHRUCONFIG','Esto lo guiará a través de los ajustes de configuración mientras prepara su sitio web para agregar contenido. Cuando esté listo, haga clic en Continuar.');
define('_CONTINUE','Continuar');
define('_HAVECOMPLETED','Ha completado el asistente de configuración.');
define('_OVERVIEWPAGE','Página de descripción general');
define('_IFMAKINGCHANGES','Si realiza cambios, haga clic en "Actualizar registro" y luego ');
define('_ORSELECTMENU','o seleccione del menú');
define('_STEPBYSTEP','Utilice la guía <a href="step-by-step.php"><u>Paso a Paso</u></a> o elija del menú para completar/cambiar las configuraciones.');
define('_DESIGNERSDASHBOARD','Panel de diseñadores');
define('_GOHERE','Ven aquí');
define('_READABOUTFEATURES','Primero y lea sobre todas las funciones que Spectra tiene para ofrecer.');
define('_QUICKSTARTCONTAINS','La configuración de inicio rápido contiene configuraciones para aquellas áreas que necesitará configurar para poder comenzar a crear contenido en la página de inicio. Se recomienda comenzar aquí y luego regresar y realizar una revisión más profunda de todas las configuraciones comenzando con la página <a href="../website.php" target="_blank">Configuración general del sitio web</a>. A medida que se sienta más cómodo utilizando Spectra, aprenderá a realizar ajustes más rápidamente.');
define('_WHEREDOISTART','Dónde empiezo');
define('_QUICKSTARTPARA','<p class="left">ARTÍCULOS: El mejor lugar para comenzar es utilizando los artículos. Haga clic en <a href="articles.php" target="_blank"><u>Configuración de artículos</u></a> para configurar el bloque de artículos. Ahora, una vez hecho esto, cada artículo que cree irá automáticamente a esa ubicación en la página. Puedes moverlos dentro del bloque usando la función de arrastrar y soltar para asignarlos a una nueva posición.</p><p class="left">FILAS/CAPAS: En realidad, un sitio web se puede construir usando solo una fila. Seleccione la fila y las capas dentro de esa fila que desea usar. Haga clic en el enlace de configuración en la página de inicio y active la fila y las capas. Ahora puede asignar bloques, fragmentos y contenido de la barra lateral a la fila/capa.</p>
<p class="left">CONTENEDORES: Se puede utilizar un solo contenedor para crear la página de inicio. Y se puede asignar un contenedor a cualquier fila/capa y usarse junto con bloques, fragmentos, artículos y videos. Un contenedor es fácil de configurar y hacerlo suyo sin duda mostrará su creatividad. Cada contenedor tiene dos columnas izquierda y derecha con cuatro capas en cada columna. Solo se mostrarán aquellas áreas en las que agregue contenido. Coloque imágenes de fondo en la carpeta de imágenes.</p>
<p class="left">BLOQUES: Los bloques son altamente personalizables y se pueden asignar a cualquier posición en la página de inicio que haya activado. Asigna la altura de los bloques y cuántos quieres agregar a esa fila/capa cuando vayas a configurar las filas/capas.</p><p class="left">Fragmentos: los fragmentos o bloques de contenido teaser son altamente personalizables al igual que los bloques y se pueden colocar en cualquier posición de la página de inicio que se haya activado. Configure la altura, el ancho y el radio de la imagen cuando configure la fila/capa.</p>
<p class="left">BARRAS LATERALES: Spectra viene con una gran variedad de barras laterales. Hay barras laterales en el lienzo que cubren toda la longitud vertical de la página, de arriba a abajo. Las barras laterales fuera del lienzo se deslizarán desde la izquierda o la derecha o desde ambos lados de la página cuando se haga clic en el ícono de menú. Las barras laterales de filas cubren toda la longitud vertical de la fila/capas únicamente y están ubicadas a la izquierda, a la derecha o a ambos lados.</p><p class="left">VIDEOS: El bloque de video se puede colocar en cualquier fila/capa que se haya activado. Los vídeos también se pueden colocar en las barras laterales. Coloque esos videos especiales en Spotlight y aquellos que sean antiguos se pueden colocar en el archivo y verlos en la galería Archivo.</p>');
define('_YES','Sí');
define('_NO','No');
define('_SHOW_VIDEO','Mostrar vídeo');
define('_SELECTROW','Seleccionar fila/capa');
define('_ROWONETOP','Parte superior de la fila uno');
define('_ROWTWOTOP','Fila dos superior');
define('_ROWTHREETOP','Fila tres superior');
define('_ROWFOURTOP','Fila cuatro superior');
define('_ROWFIVETOP','Fila cinco superior');
define('_ROWSIXTOP','Parte superior de la fila seis');
define('_ROWSEVENTOP','Parte superior de la fila siete');
define('_ROWEIGHTTOP','Parte superior de la fila ocho');
define('_ROWNINETOP','Parte superior de la fila nueve');
define('_ROWTENTOP','fila diez parte superior');
define('_ROWELEVENTOP','Parte superior de la fila once');
define('_ROWTWELVETOP','Parte superior de la fila doce');
define('_ROWONEMIDDLE','Fila Uno Medio');
define('_ROWTWOMIDDLE','Fila Dos Medio');
define('_ROWTHREEMIDDLE','Fila tres medio');
define('_ROWFOURMIDDLE','Fila Cuatro Medio');
define('_ROWFIVEMIDDLE','Fila Cinco Medio');
define('_ROWSIXMIDDLE','Fila Seis Medio');
define('_ROWSEVENMIDDLE','Fila Siete Medio');
define('_ROWEIGHTMIDDLE','Fila Ocho Medio');
define('_ROWNINEMIDDLE','Fila Nueve Medio');
define('_ROWTENMIDDLE','Fila Diez Medio');
define('_ROWELEVENMIDDLE','Fila Once Medio');
define('_ROWTWELVEMIDDLE','Fila Doce Medio');
define('_ROWONEBOTTOM','Parte inferior de la fila uno');
define('_ROWTWOBOTTOM','Fila dos inferior');
define('_ROWTHREEBOTTOM','Fila tres inferior');
define('_ROWFOURBOTTOM','Fila cuatro inferior');
define('_ROWFIVEBOTTOM','Fila cinco inferior');
define('_ROWSIXBOTTOM','Fila seis inferior');
define('_ROWSEVENBOTTOM','Fila siete inferior');
define('_ROWEIGHTBOTTOM','Fila Ocho Abajo');
define('_ROWNINEBOTTOM','Parte inferior de la fila nueve');
define('_ROWTENBOTTOM','Fila diez inferior');
define('_ROWELEVENBOTTOM','Parte inferior de la fila once');
define('_ROWTWELVEBOTTOM','Fila Doce Inferior');
define('_USEBACKIMGORCOLOR','Usar imagen de fondo o color');
define('_BACKIMAGE','Imagen de fondo');
define('_BACKCOLORFIRST','primer color');
define('_BACKCOLORSECOND','Segundo color');
define('_ENTERACTIVEVIDEO','Ingresar video activo');
define('_ISSHOWNINPLAYER','Se muestra en el reproductor hasta que se selecciona otro vídeo (marcador de posición).');
define('_IFISYOUTUBE','Si se trata de un vídeo de YouTube, ingrese el src para insertar a continuación. ejemplo: https://www.youtube.com/embed/IgT24YYn4DU');
define('_VIDEOARCHIVEPAGE','Página de archivo de vídeos');
define('_IMAGEORVIDEO','Establecer el marcador de posición Imagen o Vídeo');
define('_IMAGE','Imagen');
define('_VIDEO','Video');
define('_NONE','Ninguno');
define('_COLOR','Color');
define('_ONTHESCREENBEFORE','Qué hay en la pantalla antes de elegir un vídeo.');
define('_PLACEINVIDEOSFOLDER','Colóquelo en la carpeta de videos (ingrese solo el nombre, por ejemplo: back.jpg o si es video, video.mp4)');
define('_MUSTBEMP','Los vídeos deben ser únicamente .mp4.');
define('_MAXCHARACTERS','máximo: 55 caracteres');
define('_VIDEOCONFIG','Configuración de vídeo');
define('_RETURN','Devolver');
define('_VIDEOSETTINGS','Ajustes de video');
define('_UPDATESUCCESSFUL','Actualización exitosa');
define('_CLOSETHISWINDOW','Cierra esta ventana');
define('_CHOOSEROWLOCATION','Elija la ubicación de la fila');
define('_NUMBEROFARTICLES','¿Número de artículos para mostrar por página en el Panel de artículos?');
define('_MBRARTICLESINFO','La siguiente configuración le permite decidir si desea permitir que los miembros registrados puedan enviar artículos desde su página de inicio de usuario.');
define('_ALLOWTOSUBMIT','¿Permitir a los usuarios / miembros enviar artículos?');
define('_IFPAGINATIONUSED','Configuración si se utiliza la paginación <u>IS</u>.');
define('_ARTICLESETTINGSINFO','Los artículos de Spectra tienen una función de paginación para sitios grandes y puede configurar cuántos artículos desea mostrar en una página. Evita que sus páginas sean demasiado largas, lo que puede ralentizar los tiempos de carga.');
define('_USEPAGINATION','¿Utiliza la función de paginación?');
define('_POSITIONPAGINATION','Paginación de posición');
define('_TOP','Arriba');
define('_BOTTOM','Abajo');
define('_BOTH','Ambos');
define('_OPENSINNEWWINDOW','Se abre en una nueva ventana.');
define('_STYLEPAGINATION','Elija un estilo de paginación');
define('_STYLEYOUROWN','Construye tu propio');
define('_USEDEFAULT','Uso por defecto');
define('_ARTICLESTOSHOW','¿Número de artículos para mostrar en una página?');
define('_IFPAGINATIONNOTUSED','Configuración si la paginación <u>NO</u> se utiliza.');
define('_IFPAGINATION','Si no se utiliza la paginación, ¿puede haber hasta 4 artículos por fila?');
define('_NUMBER_TOSHOW','Número a mostrar por fila.');
define('_SETBLOCKHEIGHT','Establecer la altura del bloque: (en píxeles)');
define('_ORUSE','O utilice el estilo predeterminado o utilice uno de los estilos prediseñados.');
define('_IFUSINGPAGINATION','Si usa paginación.');
define('_ARTICLECONFIG','Configuración del artículo');
define('_CONTACTSTAFFINFO','<p class="center">Puede permitir que sus miembros se comuniquen con usted directamente desde su página de inicio de miembro.<br>* Nota: Este es un formulario diferente al formulario de contacto <b>Público</b>.<br>Haga clic en el enlace a continuación para agregar un mensaje a ambos formularios de contacto.</p><p class="center"><a href="../../../core/designer/contactform.php" target="_blank"> Editar el formulario de contacto público</a></p>');
define('_USECONTACTSTAFF','¿Utilizar la función Contactar al personal?');
define('_CONTACTSTAFF','Contactar al personal');
define('_SETUPWIZARD','Asistente de configuración');
define('_UNIQUEVISITORCOUNTER','Contador de visitantes único');
define('_COUNTERSETTINGSINFO','Hay un <b>Contador de visitantes únicos</b> en el pie de página de la página de índice. Puede optar por usarlo o desactivarlo en la siguiente configuración.');
define('_USECOUNTER','¿Usar el contador de visitantes?');
define('_COUNTERVISIBLE','¿El contador es visible?');
define('_VISITORSTODATE','Visitantes hasta la fecha');
define('_LOGOSETUP','Configuración del logotipo');
define('_WEBSITELOGO','Logotipo del sitio web');
define('_SUBLOGOTEXT','Texto del sublogotipo');
define('_USELOGOIMAGE','Usar imagen de logotipo');
define('_IMGRADIUS','Radio de imagen');
define('_LOGOIMAGE','Logotipo');
define('_PLACEINTHEMESFOLDER','Coloque la imagen en la carpeta de temas.');
define('_IMGWIDTH','ancho de la imagen');
define('_HOMEPAGECONFIG','Configuración de la página de inicio');
define('_LIBRARYEXPLAIN','La biblioteca contiene los complementos: Categorías, Artículos destacados, Nube de etiquetas y Archivos.<br>Se puede colocar como un bloque central o un acordeón desplegable en la página o como una barra lateral derecha fuera del lienzo.');
define('_LIBRARYFEATURE','Función de biblioteca');
define('_RIGHT','Derecho');
define('_BLOCK','Bloquear');
define('_DROPDOWNBLOCK','Desplegable');
define('_SETROW','Establecer fila');
define('_HOVEREFFECTCAUSES','El efecto de desplazamiento hace que aparezca una pequeña sombra en los bloques y fragmentos al pasar el mouse.');
define('_USEHOVEREFFECT','¿Usar efecto de desplazamiento?');
define('_HOVERSTRENGTH','Fuerza del efecto de desplazamiento.');
define('_THEZOOMEFFECT','Puede optar por utilizar el efecto de zoom de imagen para los fragmentos de imágenes al pasar el mouse.');
define('_ZOOMIMG','¿Usar el efecto de zoom de imagen?');
define('_SNIPLETS','Snipelets');
define('_BORDERRADIUS','Radio del borde');
define('_CONFIGSIDEBARS','Configurar las barras laterales');
define('_SELECTWHICHSIDEBAR','Seleccione qué barra lateral en el lienzo usar.');
define('_CONFIGONCANVASSIDEBARS','Configurar barras laterales en lienzo');
define('_LEFTSIDEBARWIDTH','Establecer el ancho de la barra lateral izquierda (si se usa)');
define('_RIGHTSIDEBARWIDTH','Establecer el ancho de la barra lateral derecha (si se usa)');
define('_CONFIG','Configurar');
define('_BLOCKS','Bloques');
define('_SELECTSIDEBAR','Seleccione qué barra lateral fuera del lienzo usar');
define('_LEFT','Izquierdo');
define('_MENUSELECTION','Selección de menú');
define('_OFFCANVASINFO','Puede seleccionar usar la barra de menú o un menú fuera del lienzo.<br>Si usa la barra de menú, puede colocarla encima o debajo del logotipo del encabezado editando el tema que ha elegido.');
define('_BAR','Barra de menús');
define('_OFFSCREEN','Fuera del lienzo');
define('_IFCHOSEMENUBAR','Si elige Barra de menú, puede omitir el resto de esta página.');
define('_OFFCANVASMENUOPTIONS','Solo opciones de menú fuera del lienzo');
define('_IFCHOSEOFFCANVASMENU','Si elige utilizar el menú Offcanvas, puede agregar una imagen de fondo al menú.');
define('_ENTERBACKIMGNAME','Ingrese el nombre de la imagen de fondo</strong> (súbala a la carpeta de imágenes... Ej: myback.jpg)');
define('_PLACEIMGUNDERLOGO','Coloque una imagen de su elección en la parte superior del menú (cuando esté abierto) justo debajo del logotipo.');
define('_ENTERIMGNAME','<strong>Ingrese el nombre de la imagen</strong> (súbala a la carpeta de imágenes... Ej: myback.jpg)');
define('_MENUWHICHSIDE','Elija desde qué lado abrir el menú (izquierda o derecha).');
define('_MENU_SELECTION','¿Selección de menú?');
define('_METAINFO','Ayuda en la optimización de motores de búsqueda. <a href="https://www.conductor.com/blog/2021/11/what-are-meta-tags/" target="_blank">Lea más sobre SEO y metaetiquetas.</a>');
define('_META_DESCRIPTION','Descripción');
define('_METAKEYWORDS','Palabras clave (separadas por comas)');
define('_METAAUTHOR','Autor (separado con comas)');
define('_META_TAGS','Metaetiquetas');
define('_THEMESELECTION','Selección de tema');
define('_WEBSITETHEME','Sitio web/Área de miembros');
define('_DASHBOARDTHEME','Panel de diseñadores');
define('_ADMINTHEME','Panel de administradores');
define('_CANUSETHEME','¿Permitir a los miembros establecer su propio tema?');
define('_SPECTRASETUPWIZARD','Asistente de configuración rápida de Spectra');
define('_THESETUPWIZARD','El asistente de configuración está aquí para ayudarle a poner en funcionamiento su sitio web en un corto período de tiempo.');
define('_SELECTFEATURES','Seleccione las funciones que desea configurar en la lista del menú de arriba.');
define('_ARTICLESETTINGS','Configuración de artículos');
define('_METATAGCONFIG','Configuración de metaetiquetas');
define('_VISITORCOUNTERSETTINGS','Configuración del contador de visitantes');
define('_SOCIALMEDIA','Medios de comunicación social');
define('_SMINFO','Puede elegir los enlaces de redes sociales que desea utilizar. Además, puede elegir dónde desea que se muestren en su sitio.');
define('_USESM','Utilice las redes sociales');
define('_CHOOSELOCATION_HELP','Puede optar por colocar la barra de enlaces de redes sociales en el encabezado o pie de página.');
define('_CHOOSELOCATION','¿Elegir la ubicación?');
define('_HEADER','Encabezamiento');
define('_FOOTER','Pie de página');
define('_SMHEADERSTYLE_HELP','Si utiliza la ubicación del encabezado, puede optar por utilizar una barra de enlaces o un botón desplegable.');
define('_SMHEADERSTYLE','¿Estilo de encabezado?');
define('_SMBAR','Bar');
define('_SMBUTTON','Botón');
define('_ADDVERTICLESIDEBAR_HELP','Si usa esto, configure Usar redes sociales en No. Esta barra lateral no se mostrará en pantallas más pequeñas. Además, debe usarse en sitios configurados para un ancho de 1600 px o menos.');
define('_ADDVERTICLESIDEBAR','¿Agregar barra lateral vertical de redes sociales?');
define('_LINK','Enlace');
define('_USE','Usar');
