<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */ ?>

<style>
.topnav {
background: linear-gradient(<?= $menu_color ?>, <?= $menu_color_second ?>); }

.topnav a:hover {
background-color: <?= $menu_color_second ?>;
color: <?= $linkcolor ?>; }

.topnav a.active {
background-color: <?= $menu_color ?>;
color: <?= $linkcolor ?>; }
</style>

<div class="topnav" id="myTopnav">
<a href="../../../index.php" class="active"><i class="fa fa-home"></i> Home</a>
<a href="index.php"><i class="fa fa-cog"></i> Start</a>
<a href="rowconfig.php" style="text-decoration:none">&bull; <?= _CONFIG ?> <?= _ROWS ?></a>
<a href="articles.php" style="text-decoration:none">&bull; <?= _ARTICLESETTINGS ?></a>
<a href="contact.php" style="text-decoration:none">&bull; <?= _CONTACTSTAFF ?></a>
<a href="homepage-config.php" style="text-decoration:none">&bull; <?= _HOMEPAGECONFIG ?></a>
<a href="logo-config.php" style="text-decoration:none">&bull; <?= _LOGOSETUP ?></a>
<a href="menu-selection.php" style="text-decoration:none">&bull; <?= _MENUSELECTION ?></a>
<a href="metatags.php" style="text-decoration:none">&bull; <?= _METATAGCONFIG ?></a>
<a href="socialmedia.php" target="_blank" style="text-decoration:none">&bull; <?= _SOCIALMEDIA ?></a>
<a href="theme-settings.php" style="text-decoration:none">&bull; <?= _THEMESELECTION ?></a>
<a href="video-config.php" style="text-decoration:none">&bull; <?= _VIDEOCONFIG ?></a>
<a href="counter.php" style="text-decoration:none">&bull; <?= _VISITORCOUNTERSETTINGS ?></a>

<a href="javascript:void(0);" class="icon" onclick="myFunction()">
<i class="fa fa-bars"></i></a>
</div>