<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
require_once 'functions.php';
require_once 'sidemenusave.php';
closenav();

if (isset($_GET['edit'])) {
$id = $_GET['edit'];
$update = true;
$record = mysqli_query($db, "SELECT id, uselink, url, name, faicon, faiconcolor FROM sidemenu WHERE id=$id"); {
$n = mysqli_fetch_array($record);
$uselink = $n['uselink'];
$url = $n['url'];
$name = $n['name'];
$faicon = $n['faicon'];
$faiconcolor = $n['faiconcolor']; }} ?>

<link rel="stylesheet" type="text/css" href="css/pageeditor.css">

<?php $results = mysqli_query($db, "SELECT id, uselink, url, faicon, faiconcolor FROM sidemenu"); ?>
<br>
<?php require_once 'sidemenumenu.php'; ?>
<br>
<form method="post" action="sidemenusave.php" class="noborder">

<?php updatepublish(); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="inner-wrapper input-group radius spacer">
<div class="spacer column-title">
<h1 class="center coltitlecolor"><?= _SIDEMENUELEMENTBUILDER ?></h1>
</div>

<div class="mini-container noborder spacer">
<p><?= _USE_LINK ?>:
<select name="uselink">
<option><?= $uselink ?></option>
<option name="Yes"><?= _YES ?></option>
<option name="No"><?= _NO ?></option>
</select>
</p>

<p><?= _LINKNAME ?>:
<input maxlength="55" style="width:300px;font-size:22px" type="text" name="name" value="<?= $name ?>">
</p>

<p><?= _LINKURL ?>:
<input maxlength="55" style="width:300px;font-size:22px" type="text" name="url" value="<?= $url ?>">
</p>

<p><?= _FAICON ?>:
<input maxlength="55" style="width:300px;font-size:22px" type="text" name="faicon" value="<?= $faicon ?>">
</p>

<p><?= _FAICONCOLOR ?>:
<input maxlength="55" style="width:300px;font-size:22px" type="text" name="faiconcolor" value="<?= $faiconcolor ?>">
</p>
</div>
</div>
</form>

<?php require_once 'footer.php';