<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

// initialize variables
$uselink = "";
$url = "";
$name = "";
$faicon = "";
$faiconcolor = "";
$id = 0;
$update = false;


// Create new page 
if (isset($_POST['save'])) {
$id = $_POST['id'];
$uselink = mysqli_real_escape_string($conn, $_POST['uselink']);
$url = mysqli_real_escape_string($conn, $_POST['url']);
$name = mysqli_real_escape_string($conn, $_POST['name']);
$faicon = mysqli_real_escape_string($conn, $_POST['faicon']);
$faiconcolor = mysqli_real_escape_string($conn, $_POST['faiconcolor']);

mysqli_query($db, "INSERT INTO sidemenu (uselink, url, name, faicon, faiconcolor) VALUES ('$uselink', '$url', '$name', '$faicon', '$faiconcolor')");
$_SESSION['message'] = "Page Saved!";
echo "<script> window.location.replace('sidemenuall.php') </script>"; }

// Update existing article
if (isset($_POST['update'])) {
$id = $_POST['id'];
$uselink = mysqli_real_escape_string($conn, $_POST['uselink']);
$url = mysqli_real_escape_string($conn, $_POST['url']);
$name = mysqli_real_escape_string($conn, $_POST['name']);
$faicon = mysqli_real_escape_string($conn, $_POST['faicon']);
$faiconcolor = mysqli_real_escape_string($conn, $_POST['faiconcolor']);

mysqli_query($db, "UPDATE sidemenu SET uselink='$uselink', url='$url', name='$name', faicon='$faicon', faiconcolor='$faiconcolor' WHERE id=$id");
$_SESSION['message'] = "Updated!";
echo "<script> window.location.replace('sidemenuall.php') </script>"; }

// Delete from db
if (isset($_GET['del'])) {
$id = $_GET['del'];
mysqli_query($db, "DELETE FROM sidemenu WHERE id=$id");
$_SESSION['message'] = "Deleted!";
echo "<script> window.location.replace('sidemenuall.php') </script>"; }

$results = mysqli_query($db, "SELECT * FROM sidemenu");