<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
require_once 'slide.php';
closenav();

if (isset($_GET['edit'])) {
$id = $_GET['edit'];
$update = true;
$record = mysqli_query($db, "SELECT * FROM contentslider WHERE id=$id"); {
$n = mysqli_fetch_array($record);
$usethisslide = $n['usethisslide'];
$addtext = $n['addtext'];
$slidename = $n['slidename'];
$caption = $n['caption'];
$captionalign = $n['captionalign'];
$captionbg = $n['captionbg'];
$captioncolor = $n['captioncolor']; }} ?>

<style>
p { 
color: <?= $gen_text_color ?>; } 

.card7 { 
background:<?= $wrapper ?>;
padding: 20px; }

.action-card {
height: 50px;
display: flex;
flex-direction: column;
border: 1px solid rgba(255, 255, 255, 0.25);
border-radius: 20px;
background: <?= $content_bg ?>;
box-shadow: 0 0 10px 1px rgba(0, 0, 0, 0.25);
backdrop-filter: blur(15px); }

.content-card {
margin: 20px auto;
padding: 14px 24px;
border: 2px solid #FFF;
border-radius: 15px;
box-shadow: 0 0 5px 2px <?= $cnt_back_shadow ?>, inset 0 3px 18px rgba(100,100,100,0.25);
width: 97%;
height: 450px;
display: flex;
flex-direction: column;
border: 1px solid <?= $wrapper ?>;
background: linear-gradient(<?= $content_bg ?>, <?= $wrapper ?>);
backdrop-filter: blur(15px); }
</style>

<div style="padding-left:20px"><?php require_once 'slider-menu.php'; ?></div>

<br><br>

<link rel="stylesheet" type="text/css" href="css/pageeditor.css">

<div class="full spacer radius">

<div class="radius spacer full" style="border:0">

<div class="spacer column-title"><h1 class="center coltitlecolor"><?= _CONTENTSLIDER ?></h1></div>

<p class="center"><?= _ADDUNLIMITEDSLIDES ?></p>

<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM contentslider"); ?>

<!-- Build the slider editor area ... -->

<form method="post" action="slide.php" class="noborder">

<input type="hidden" name="id" value="<?= $id ?>">

<h1 class="left"><a href="slidebuilder.php" style="text-decoration:none" class="button"><span class="white"> <?= _ADDNEW ?> </span></a></h1>

<div class="full input-group">

<?php while ($row = mysqli_fetch_array($results)) { ?>

<div class="column card7 left">

<div class="content-card">    
<p class="column-title coltitlecolor center"><?= $row['slidename'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p><?= $row['addtext'] ?></p>
<p class="justify"><?= $row['caption'] ?></p>
</div>
<div class="center action-card">
<p><a href="slidebuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="slide.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>
</form>
</td></tr></table>
</div>
</div>

<?php require_once 'footer.php';