<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
closenav(); ?>

<form action="helpers/spectranews.php" target="blank" method="post" class="noborder">

<?php savemenu(); ?>

<div class="full">
<div class="card noborder spacer">
<div class="column-title spacer">
<h1 class="center coltitlecolor"><?= _MBRNEWS ?></h1>
</div>
<p class="center"><?= _KEEPINFORMED ?></p>
<p class="center"><?= _NEWSINACCOUNTINFO ?></p>

<div class="left">

<textarea id="editor" type="text" name="newstext">

<?php $sql = "SELECT * FROM spectranews";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$newstext = $row['newstext']; }} ?>

<?= htmlentities($newstext, ENT_QUOTES) ?>

</textarea>

</div>
</div>
</div>

</form>

<?php require_once 'footer.php';