<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
closenav();

$sql = "SELECT * FROM style"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$styleboxcolor = $row['styleboxcolor']; $stylebuttoncolor = $row['stylebuttoncolor']; 
$styletextcolor = $row['styletextcolor']; $styleboxshadow = $row['styleboxshadow']; 
$stylesecondcolor = $row['stylesecondcolor']; $stylefirstcolor = $row['stylefirstcolor']; 
$placeimage = $row['placeimage']; $styleimage = $row['styleimage']; 
$styleboxopacity = $row['styleboxopacity']; $addcopyright = $row['addcopyright']; 
$stylelogofont = $row['stylelogofont']; $stylelogosize = $row['stylelogosize']; 
$boxwidth = $row['boxwidth']; $stylebuttontextcolor = $row['stylebuttontextcolor']; 
$styletop = $row['styletop']; $topimage = $row['topimage']; 
$topmessage = $row['topmessage']; $topheight = $row['topheight']; 
$inputfirstcolor = $row['inputfirstcolor']; $inputsecondcolor = $row['inputsecondcolor']; 
$inputtextcolor = $row['inputtextcolor']; $styletopfirstcolor = $row['styletopfirstcolor']; 
$styletopsecondcolor = $row['styletopsecondcolor']; $whichback = $row['whichback']; 
$videoname = $row['videoname']; }} ?>

<form action="helpers/style.php" target="_blank" method="post" class="noborder" style="padding:0">

<?php savemenu(); ?>

<div id="wrapper">

<div class="mini-container">
<br>
<div class="column-title"><h1 class="coltitlecolor center"><?= _LOGINSTYLING ?></h1></div>

<p class="center"><?= _SEECHANGES ?> (<a href="style-preview.php" target="_blank"><?= _OPENPREVIEW ?></a>)</p>

<?php $sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$logo_image = $row['logo_image']; }} ?>

<p class="center"><strong><?= _YOURLOGOIMAGE ?> </strong> <?php if ($logo_image == '') 
{ echo '' . _NOIMAGECHOSEN . ' ' . _GOTO . ' <a href="logo.php" onclick="basicPopup(this.href);return false" title="' . _OPENSPOPUP . '">' . _BUILD_LOGO . '';} 
else { 
echo'<span> ' . $logo_image . '</span>'; } ?>
<p class="center"><a href="registration.php" target="_blank"><?= _PREVIEWREGPAGE ?></a></p>

<h3 class="center gentextcolor" style="font-weight:600"><?= _DEFAULTSTYLING ?></h3>
<hr style="width:90%; margin:0 auto;" />

<p class="left"><strong><?= _PLACEIMAGE ?></strong>
<select name="placeimage">
<option><?= $placeimage ?></option>
<option value="left"><?= _LEFT ?></option>
<option value="right"><?= _RIGHT ?></option>
<option value="center"><?= _CENTER ?></option>
</select>
</p>

<p class="left"><strong><?= _BOXWIDTH ?></strong>
<select name="boxwidth">
<option><?= $boxwidth ?></option>
<option value="20">20</option>
<option value="30">30</option>
<option value="40">40</option>
<option value="50">50</option>
<option value="60">60</option>
<option value="70">70</option>
</select>
</p>

<p class="center"><strong><?= _CANSTYLETOPBOX ?> <a href="images/style.jpg" onclick="basicPopup(this.href);return false"><span class="gentextcolor ?>"><?= _SEEEXAMPLE ?>:</span></strong></a>

<p class="left"><strong><?= _STYLETOPOFBOX ?></strong>
<select name="styletop">
<option><?= $styletop ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select>
</p>

<p class="left"><?= _TOPIMAGE ?>
<input style="background:#f1f1f1;color:#000;width:300px;" class="spacer" type="text" name="topimage" maxlength="55" size="55" value="<?=$topimage ?>"> <?= _PLACEINTHEMESFOLDER ?>
</p>

<p class="left"><?= _IFUSINGIMAGE ?></p>

<p class="left"><strong><?= _STYLEFIRSTCOLOR ?>:</strong>
<input style="background:#f1f1f1;color:#000;width:90px;" type="text" name="styletopfirstcolor" maxlength="7" size="7" value="<?= $styletopfirstcolor ?>">
</p>

<p class="left"><strong><?= _STYLESECONDCOLOR ?>:</strong>
<input style="background:#f1f1f1;color:#000;width:90px;" type="text" name="styletopsecondcolor" maxlength="7" size="7" value="<?= $styletopsecondcolor ?>"></p>

<p class="left"><strong><?= _BOXTOPHEIGHT ?></strong>
<select name="topheight">
<option><?= $topheight ?></option>
<option value="200">200</option>
<option value="250">250</option>
<option value="300">300</option>
<option value="350">350</option>
</select>
</p>

<p class="left"><?= _ADDMESSAGE ?></p>
<textarea id="editor" name="topmessage"><?= $topmessage ?></textarea>

<p class="center"><strong><?= _MAINPAGEBACK ?></strong></p> 

<p class="left"><strong><?= _CHOOSEBACK ?>: </strong>
<select name="whichback">
<option><?= $whichback ?></option>
<option value="Color"><?= _COLOR ?></option>
<option value="Image"><?= _IMAGE ?></option>
<option value="Video"><?= _VIDEO ?></option>
</select>

<p class="left"><strong><?= _STYLEIMAGE ?>:</strong>
<input style="background:#f1f1f1;color:#000;width:300px;" class="spacer" type="text" name="styleimage" maxlength="55" size="55" value="<?=$styleimage ?>"><br>
<?= _PLACEINTHEMESFOLDER ?></p>

<p class="left"><strong><?= _VIDEOIMAGE ?>: </strong>
<input style="background:#f1f1f1;color:#000;width:300px;" class="spacer" type="text" name="videoname" maxlength="55" size="55" value="<?=$videoname ?>"><br>
<?= _PLACEINVIDEOFOLDER ?></p>

<p class="left"><?= _IFUSINGIMAGE ?></p>

<p class="left"><strong><?= _STYLEFIRSTCOLOR ?>:</strong>
<input style="background:#f1f1f1;color:#000;width:90px;" type="text" name="stylefirstcolor" maxlength="7" size="7" value="<?= $stylefirstcolor ?>">
</p>

<p class="left"><strong><?= _STYLESECONDCOLOR ?>:</strong>
<input style="background:#f1f1f1;color:#000;width:90px;" type="text" name="stylesecondcolor" maxlength="7" size="7" value="<?= $stylesecondcolor ?>"></p>

<br>
<p class="center"><strong><?= _STYLEINPUT ?></strong></p>

<p class="left"><strong><?= _INPUTTEXTCOLOR ?></strong>
<input style="background:#f1f1f1;color:#000;width:90px;" type="text" name="inputtextcolor" maxlength="7" size="7" value="<?= $inputtextcolor ?>">
</p>

<p class="left"><?= _LEFTTORIGHT ?></p>
<p class="left"><strong><?= _INPUTFIRSTCOLOR ?></strong>
<input style="background:#f1f1f1;color:#000;width:90px;" type="text" name="inputfirstcolor" maxlength="7" size="7" value="<?= $inputfirstcolor ?>"> <?= _LEFTSIDECOLOR ?>
</p>

<p class="left"><strong><?= _INPUTSECONDCOLOR ?></strong>
<input style="background:#f1f1f1;color:#000;width:90px;" type="text" name="inputsecondcolor" maxlength="7" size="7" value="<?= $inputsecondcolor ?>"> <?= _RIGHTSIDECOLOR ?>
</p>

<p class="center"><strong><?= _BOXSTYLING ?></strong></p>
<p class="left"><?= _GETBOXSHADOW ?>:</p>

<div style="width:100%" class="spacer accordion inner-wrapper column gentextcolor"><?= _BOXSHADOWSTYLES ?>&nbsp;&nbsp;&nbsp;<small><?= _OPENCLOSE ?></small></div>
<div style="width:100%" class="panel column">
<?php require_once 'boxshadow.php'; ?>
</div>

<p class="left"><strong><?= _BOXSHADOWVALUE ?>:</strong>
<input style="background:#f1f1f1;color:#000;width:300px;" class="spacer" type="text" name="styleboxshadow" value="<?=$styleboxshadow ?>"></p>

<p class="left"><strong><?= _BOXOPACITY ?>: <?= _IFUSING_VIDEO ?></strong>
<select name="styleboxopacity">
<option><?= $styleboxopacity ?></option> 
<option value="1">1</option>
<option value=".9">.9</option>
<option value=".8">.8</option>
<option value=".7">.7</option>
<option value=".6">.6</option>
<option value=".5">.5</option>
<option value=".4">.4</option>
<option value=".3">.3</option>
<option value=".2">.1</option>
</select>
</p>

<p class="left"><strong><?= _BOXCOLOR ?>:</strong>
<input style="background:#f1f1f1;color:#000;width:90px;" type="text" name="styleboxcolor" maxlength="55" size="55" value="<?=$styleboxcolor ?>"></p>

<p class="left"><strong><?= _BOXTEXTCOLOR ?>:</strong>
<input style="background:#f1f1f1;color:#000;width:90px;" type="text" name="styletextcolor" maxlength="55" size="55" value="<?=$styletextcolor ?>"></p>

<p class="left"><strong><?= _BUTTONCOLOR ?>:</strong>
<input style="background:#f1f1f1;color:#000;width:90px;" type="text" name="stylebuttoncolor" maxlength="55" size="55" value="<?=$stylebuttoncolor ?>"></p>

<p class="left"><strong><?= _BUTTONTEXTCOLOR ?>:</strong>
<input style="background:#f1f1f1;color:#000;width:90px;" type="text" name="stylebuttontextcolor" maxlength="55" size="55" value="<?=$stylebuttontextcolor ?>"></p>

<br>

<p class="center"><strong><?= _LOGOFONTSTYLING ?></strong></p> 
<p class="center"><?= _USINGOPTIONALTOPBOX ?></p>
<p class="left"><strong><?= _LOGOFONTFAMILY ?>: (<a href="preview-fonts.html"  onclick="basicPopup(this.href);return false"><span><?= _PREVIEWFONTS ?></span></a>)</strong><br>
<select name="stylelogofont">
<option><?= $stylelogofont ?></option>
<?php require_once 'helpers/fonts.php'; ?>
</select>
</p>

<p class="left"><strong><?= _LOGOFONT_SIZE ?>: 
<select name="stylelogosize">
<option><?= $stylelogosize ?></option>
<option value="16px">16px</option>
<option value="18px">18px</option>
<option value="20px">20px</option>
<option value="24px">24px</option>
<option value="26px">26px</option>
<option value="28px">28px</option>
<option value="30px">30px</option>
<option value="1rem">1rem</option>
<option value="2rem">2rem</option>
<option value="3rem">3rem</option>
<option value="4rem">4rem</option>
<option value="5rem">5rem</option>
<option value="1vw">1vw</option>
<option value="2vw">2vw</option>
<option value="3vw">3vw</option>
<option value="4vw">4vw</option>
<option value="5vw">5vw</option>
</select>
</p>

<br>
  
<p class="left"><strong><?= _ADDCOPYRIGHT ?>:</strong>
<select name="addcopyright">
<option><?= $addcopyright ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select>
</p>

<p>&nbsp;</p>

</div>
<?php require_once 'footer.php';