<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

// initialize variables
$theme_name = "";
$website_width = "";
$back_color = "";
$back_opacity = "";
$cnt_back_shadow = "";
$bg_img = "";
$fix_back = "";
$menu_color = "";
$linkcolor = "";
$wrapper = "";
$content_bg = "";
$mobile_wrapper = "";
$header_first_color = "";
$header_second_color = "";
$header_width = "";
$header_height = "";
$header_radius = "";
$header_border = "";
$header_opacity = "";
$footer_color = "";
$footer_font_color = "";
$tooltip_bg = "";
$tooltip_font_color = "";
$btn_first_color = "";
$btn_second_color = "";
$btn_flat_color = "";
$btn_top_border = "";
$btn_radius = "";
$btn_shadow = "";
$btn_text_shadow = "";
$btn_text_color = "";
$btn_hover_color = "";
$btn_font_size = "";
$btn_font_family = "";
$btn_face_hover = "";
$column_title = "";
$col_title_font_fam = "";
$col_title_font_color = "";
$col_title_font_size = "";
$useborders = "";
$btmradius = "";
$facehover = "";
$gen_hdr_color = "";
$gen_text_size = "";
$gen_text_hover_color = "";
$gen_text_color = "";
$gen_font_family = "";
$logo_font = "";
$logo_font_size = "";
$logo_font_weight = "";
$logo_font_color = "";
$align_logo = "";
$logo_shadow = "";
$shadow_color = "";
$menu_below = "";
$footer_img = "";
$header_img = "";
$useheadercolor = "";
$ana_sublogo_font = "";
$ana_sublogo_font_size = "";
$ana_sublogo_font_weight = "";
$ana_sublogo_font_color = "";
$sublogotext = "";
$colradius = "";
$column_title_second = "";
$menu_color_second = "";
$column_footer_first = "";
$column_footer_second = "";
$col_footer_font_fam = "";
$col_footer_font_color = "";
$col_footer_font_size = "";
$wrapperback = "";
$description = "";
$keywords = "";
$id = 0;
$update = false;

// Create new theme
if (isset($_POST['save'])) {
$theme_name = mysqli_real_escape_string($conn, $_POST['theme_name']);
$website_width = mysqli_real_escape_string($conn, $_POST['website_width']);
$back_color = mysqli_real_escape_string($conn, $_POST['back_color']);
$back_opacity = mysqli_real_escape_string($conn, $_POST['back_opacity']);
$cnt_back_shadow = mysqli_real_escape_string($conn,$_POST['cnt_back_shadow']);
$bg_img = mysqli_real_escape_string($conn, $_POST['bg_img']);
$fix_back = mysqli_real_escape_string($conn, $_POST['fix_back']);
$menu_color = mysqli_real_escape_string($conn, $_POST['menu_color']);
$linkcolor = mysqli_real_escape_string($conn, $_POST['linkcolor']);
$wrapper = mysqli_real_escape_string($conn, $_POST['wrapper']);
$content_bg = mysqli_real_escape_string($conn, $_POST['content_bg']);
$mobile_wrapper = mysqli_real_escape_string($conn, $_POST['mobile_wrapper']);
$header_first_color = mysqli_real_escape_string($conn, $_POST['header_first_color']);
$header_second_color = mysqli_real_escape_string($conn, $_POST['header_second_color']);
$header_width = mysqli_real_escape_string($conn, $_POST['header_width']);
$header_height = mysqli_real_escape_string($conn, $_POST['header_height']);
$header_radius = mysqli_real_escape_string($conn, $_POST['header_radius']);
$header_border = mysqli_real_escape_string($conn, $_POST['header_border']);
$header_opacity = mysqli_real_escape_string($conn, $_POST['header_opacity']);
$footer_color = mysqli_real_escape_string($conn, $_POST['footer_color']);
$footer_font_color = mysqli_real_escape_string($conn, $_POST['footer_font_color']);
$tooltip_bg = mysqli_real_escape_string($conn, $_POST['tooltip_bg']);
$tooltip_font_color = mysqli_real_escape_string($conn, $_POST['tooltip_font_color']);
$btn_first_color = mysqli_real_escape_string($conn, $_POST['btn_first_color']);
$btn_second_color = mysqli_real_escape_string($conn, $_POST['btn_second_color']);
$btn_flat_color = mysqli_real_escape_string($conn, $_POST['btn_flat_color']);
$btn_top_border = mysqli_real_escape_string($conn, $_POST['btn_top_border']);
$btn_radius = mysqli_real_escape_string($conn, $_POST['btn_radius']);
$btn_shadow = mysqli_real_escape_string($conn, $_POST['btn_shadow']);
$btn_text_shadow = mysqli_real_escape_string($conn, $_POST['btn_text_shadow']);
$btn_text_color = mysqli_real_escape_string($conn, $_POST['btn_text_color']);
$btn_hover_color = mysqli_real_escape_string($conn, $_POST['btn_hover_color']);
$btn_font_size = mysqli_real_escape_string($conn, $_POST['btn_font_size']);
$btn_font_family = mysqli_real_escape_string($conn, $_POST['btn_font_family']);
$btn_face_hover = mysqli_real_escape_string($conn, $_POST['btn_face_hover']);
$column_title = mysqli_real_escape_string($conn, $_POST['column_title']);
$col_title_font_fam = mysqli_real_escape_string($conn, $_POST['col_title_font_fam']);
$col_title_font_color = mysqli_real_escape_string($conn, $_POST['col_title_font_color']);
$col_title_font_size = mysqli_real_escape_string($conn, $_POST['col_title_font_size']);
$useborders = mysqli_real_escape_string($conn, $_POST['useborders']);
$btmradius = mysqli_real_escape_string($conn, $_POST['btmradius']);
$facehover = mysqli_real_escape_string($conn, $_POST['facehover']);
$gen_hdr_color = mysqli_real_escape_string($conn, $_POST['gen_hdr_color']);
$gen_text_size = mysqli_real_escape_string($conn, $_POST['gen_text_size']);
$gen_text_hover_color = mysqli_real_escape_string($conn, $_POST['gen_text_hover_color']);
$gen_text_color = mysqli_real_escape_string($conn, $_POST['gen_text_color']);
$gen_font_family = mysqli_real_escape_string($conn, $_POST['gen_font_family']);
$logo_font = mysqli_real_escape_string($conn, $_POST['logo_font']);
$logo_font_size = mysqli_real_escape_string($conn, $_POST['logo_font_size']);
$logo_font_weight = mysqli_real_escape_string($conn, $_POST['logo_font_weight']);
$logo_font_color = mysqli_real_escape_string($conn, $_POST['logo_font_color']);
$align_logo = mysqli_real_escape_string($conn, $_POST['align_logo']);
$logo_shadow = mysqli_real_escape_string($conn, $_POST['logo_shadow']);
$shadow_color = mysqli_real_escape_string($conn, $_POST['shadow_color']);
$menu_below = mysqli_real_escape_string($conn, $_POST['menu_below']);
$footer_img = mysqli_real_escape_string($conn, $_POST['footer_img']);
$header_img = mysqli_real_escape_string($conn, $_POST['header_img']);
$useheadercolor = mysqli_real_escape_string($conn, $_POST['useheadercolor']);
$ana_sublogo_font = mysqli_real_escape_string($conn, $_POST['ana_sublogo_font']);
$ana_sublogo_font_size = mysqli_real_escape_string($conn, $_POST['ana_sublogo_font_size']);
$ana_sublogo_font_weight = mysqli_real_escape_string($conn, $_POST['ana_sublogo_font_weight']);
$ana_sublogo_font_color = mysqli_real_escape_string($conn, $_POST['ana_sublogo_font_color']);
$sublogotext = mysqli_real_escape_string($conn, $_POST['sublogotext']);
$colradius = mysqli_real_escape_string($conn, $_POST['colradius']);
$column_title_second = mysqli_real_escape_string($conn, $_POST['column_title_second']);
$menu_color_second = mysqli_real_escape_string($conn, $_POST['menu_color_second']);
$column_footer_first = mysqli_real_escape_string($conn, $_POST['column_footer_first']);
$column_footer_second = mysqli_real_escape_string($conn,$_POST['column_footer_second']);
$col_footer_font_fam = mysqli_real_escape_string($conn, $_POST['col_footer_font_fam']);
$col_footer_font_color = mysqli_real_escape_string($conn, $_POST['col_footer_font_color']);
$col_footer_font_size = mysqli_real_escape_string($conn, $_POST['col_footer_font_size']);
$wrapperback = mysqli_real_escape_string($conn, $_POST['wrapperback']);
$description = mysqli_real_escape_string($conn, $_POST['description']);
$keywords = mysqli_real_escape_string($conn, $_POST['keywords']);

mysqli_query($db, "INSERT INTO themes (theme_name, logo_font, logo_font_size, logo_font_weight, logo_font_color, align_logo, logo_shadow, shadow_color, menu_below, website_width, back_color, back_opacity, cnt_back_shadow, bg_img, fix_back, menu_color, linkcolor, wrapper, content_bg, mobile_wrapper, header_first_color, header_second_color, header_width, header_height, header_radius, header_border, header_opacity, footer_color, footer_font_color, tooltip_bg, tooltip_font_color, btn_first_color, btn_second_color, btn_flat_color, btn_top_border, btn_radius, btn_shadow, btn_text_shadow, btn_text_color, btn_hover_color, btn_font_size, btn_font_family, btn_face_hover, column_title, col_title_font_fam, col_title_font_color, col_title_font_size, useborders, btmradius, facehover, gen_hdr_color, gen_text_size, gen_text_hover_color, gen_text_color, gen_font_family, footer_img, header_img, useheadercolor, ana_sublogo_font, ana_sublogo_font_size, ana_sublogo_font_weight, ana_sublogo_font_color, sublogotext, colradius, column_title_second, menu_color_second, column_footer_first, column_footer_second, col_footer_font_fam, col_footer_font_color, col_footer_font_size, wrapperback, description, keywords) 

VALUES ('$theme_name', '$logo_font', '$logo_font_size', '$logo_font_weight', '$logo_font_color', '$align_logo', '$logo_shadow', '$shadow_color', '$menu_below', '$website_width', '$back_color', '$back_opacity', '$cnt_back_shadow', '$bg_img', '$fix_back', '$menu_color', '$linkcolor', '$wrapper', '$content_bg', '$mobile_wrapper', '$header_first_color', '$header_second_color', '$header_width', '$header_height', '$header_radius', '$header_border', '$header_opacity', '$footer_color', '$footer_font_color', '$tooltip_bg', '$tooltip_font_color', '$btn_first_color', '$btn_second_color', '$btn_flat_color', '$btn_top_border', '$btn_radius', '$btn_shadow', '$btn_text_shadow', '$btn_text_color', '$btn_hover_color', '$btn_font_size','$btn_font_family', '$btn_face_hover', '$column_title', '$col_title_font_fam', '$col_title_font_color', '$col_title_font_size', '$useborders', '$btmradius', '$facehover', '$gen_hdr_color', '$gen_text_size', '$gen_text_hover_color', '$gen_text_color', '$gen_font_family', '$footer_img', '$header_img', '$useheadercolor', '$ana_sublogo_font', '$ana_sublogo_font_size', '$ana_sublogo_font_weight', '$ana_sublogo_font_color', '$sublogotext', '$colradius', '$column_title_second', '$menu_color_second', '$column_footer_first', '$column_footer_second', '$col_footer_font_fam', '$col_footer_font_color', '$col_footer_font_size', '$wrapperback', '$description', '$keywords')");
$_SESSION['message'] = "New Theme Saved!";
echo "<script> window.location.replace('themesall.php') </script>"; }

// Update existing theme
if (isset($_POST['update'])) {
$id = $_POST['id'];
$theme_name = mysqli_real_escape_string($conn, $_POST['theme_name']);
$website_width = mysqli_real_escape_string($conn, $_POST['website_width']);
$back_color = mysqli_real_escape_string($conn, $_POST['back_color']);
$back_opacity = mysqli_real_escape_string($conn, $_POST['back_opacity']);
$cnt_back_shadow = mysqli_real_escape_string($conn,$_POST['cnt_back_shadow']);
$bg_img = mysqli_real_escape_string($conn, $_POST['bg_img']);
$fix_back = mysqli_real_escape_string($conn, $_POST['fix_back']);
$menu_color = mysqli_real_escape_string($conn, $_POST['menu_color']);
$linkcolor = mysqli_real_escape_string($conn, $_POST['linkcolor']);
$wrapper = mysqli_real_escape_string($conn, $_POST['wrapper']);
$content_bg = mysqli_real_escape_string($conn, $_POST['content_bg']);
$mobile_wrapper = mysqli_real_escape_string($conn, $_POST['mobile_wrapper']);
$header_first_color = mysqli_real_escape_string($conn, $_POST['header_first_color']);
$header_second_color = mysqli_real_escape_string($conn, $_POST['header_second_color']);
$header_width = mysqli_real_escape_string($conn, $_POST['header_width']);
$header_height = mysqli_real_escape_string($conn, $_POST['header_height']);
$header_radius = mysqli_real_escape_string($conn, $_POST['header_radius']);
$header_border = mysqli_real_escape_string($conn, $_POST['header_border']);
$header_opacity = mysqli_real_escape_string($conn, $_POST['header_opacity']);
$footer_color = mysqli_real_escape_string($conn, $_POST['footer_color']);
$footer_font_color = mysqli_real_escape_string($conn, $_POST['footer_font_color']);
$tooltip_bg = mysqli_real_escape_string($conn, $_POST['tooltip_bg']);
$tooltip_font_color = mysqli_real_escape_string($conn, $_POST['tooltip_font_color']);
$btn_first_color = mysqli_real_escape_string($conn, $_POST['btn_first_color']);
$btn_second_color = mysqli_real_escape_string($conn, $_POST['btn_second_color']);
$btn_flat_color = mysqli_real_escape_string($conn, $_POST['btn_flat_color']);
$btn_top_border = mysqli_real_escape_string($conn, $_POST['btn_top_border']);
$btn_radius = mysqli_real_escape_string($conn, $_POST['btn_radius']);
$btn_shadow = mysqli_real_escape_string($conn, $_POST['btn_shadow']);
$btn_text_shadow = mysqli_real_escape_string($conn, $_POST['btn_text_shadow']);
$btn_text_color = mysqli_real_escape_string($conn, $_POST['btn_text_color']);
$btn_hover_color = mysqli_real_escape_string($conn, $_POST['btn_hover_color']);
$btn_font_size = mysqli_real_escape_string($conn, $_POST['btn_font_size']);
$btn_font_family = mysqli_real_escape_string($conn, $_POST['btn_font_family']);
$btn_face_hover = mysqli_real_escape_string($conn, $_POST['btn_face_hover']);
$column_title = mysqli_real_escape_string($conn, $_POST['column_title']);
$col_title_font_fam = mysqli_real_escape_string($conn, $_POST['col_title_font_fam']);
$col_title_font_color = mysqli_real_escape_string($conn, $_POST['col_title_font_color']);
$col_title_font_size = mysqli_real_escape_string($conn, $_POST['col_title_font_size']);
$useborders = mysqli_real_escape_string($conn, $_POST['useborders']);
$btmradius = mysqli_real_escape_string($conn, $_POST['btmradius']);
$facehover = mysqli_real_escape_string($conn, $_POST['facehover']);
$gen_hdr_color = mysqli_real_escape_string($conn, $_POST['gen_hdr_color']);
$gen_text_size = mysqli_real_escape_string($conn, $_POST['gen_text_size']);
$gen_text_hover_color = mysqli_real_escape_string($conn, $_POST['gen_text_hover_color']);
$gen_text_color = mysqli_real_escape_string($conn, $_POST['gen_text_color']);
$gen_font_family = mysqli_real_escape_string($conn, $_POST['gen_font_family']);
$logo_font = mysqli_real_escape_string($conn, $_POST['logo_font']);
$logo_font_size = mysqli_real_escape_string($conn, $_POST['logo_font_size']);
$logo_font_weight = mysqli_real_escape_string($conn, $_POST['logo_font_weight']);
$logo_font_color = mysqli_real_escape_string($conn, $_POST['logo_font_color']);
$align_logo = mysqli_real_escape_string($conn, $_POST['align_logo']);
$logo_shadow = mysqli_real_escape_string($conn, $_POST['logo_shadow']);
$shadow_color = mysqli_real_escape_string($conn, $_POST['shadow_color']);
$menu_below = mysqli_real_escape_string($conn, $_POST['menu_below']);
$footer_img = mysqli_real_escape_string($conn, $_POST['footer_img']);
$header_img = mysqli_real_escape_string($conn, $_POST['header_img']);
$useheadercolor = mysqli_real_escape_string($conn, $_POST['useheadercolor']);
$ana_sublogo_font = mysqli_real_escape_string($conn, $_POST['ana_sublogo_font']);
$ana_sublogo_font_size = mysqli_real_escape_string($conn, $_POST['ana_sublogo_font_size']);
$ana_sublogo_font_weight = mysqli_real_escape_string($conn, $_POST['ana_sublogo_font_weight']);
$ana_sublogo_font_color = mysqli_real_escape_string($conn, $_POST['ana_sublogo_font_color']);
$sublogotext = mysqli_real_escape_string($conn, $_POST['sublogotext']);
$colradius = mysqli_real_escape_string($conn, $_POST['colradius']);
$column_title_second = mysqli_real_escape_string($conn, $_POST['column_title_second']);
$menu_color_second = mysqli_real_escape_string($conn, $_POST['menu_color_second']);
$column_footer_first = mysqli_real_escape_string($conn, $_POST['column_footer_first']);
$column_footer_second = mysqli_real_escape_string($conn,$_POST['column_footer_second']);
$col_footer_font_fam = mysqli_real_escape_string($conn, $_POST['col_footer_font_fam']);
$col_footer_font_color = mysqli_real_escape_string($conn, $_POST['col_footer_font_color']);
$col_footer_font_size = mysqli_real_escape_string($conn, $_POST['col_footer_font_size']);
$wrapperback = mysqli_real_escape_string($conn, $_POST['wrapperback']);
$description = mysqli_real_escape_string($conn, $_POST['description']);
$keywords = mysqli_real_escape_string($conn, $_POST['keywords']);

mysqli_query($db, "UPDATE themes SET theme_name='$theme_name', logo_font='$logo_font', logo_font_size='$logo_font_size', logo_font_weight='$logo_font_weight', logo_font_color='$logo_font_color', align_logo='$align_logo', logo_shadow='$logo_shadow', shadow_color='$shadow_color', menu_below='$menu_below', website_width='$website_width', back_color='$back_color', back_opacity='$back_opacity', cnt_back_shadow='$cnt_back_shadow', bg_img='$bg_img', fix_back='$fix_back', menu_color='$menu_color', linkcolor='$linkcolor', wrapper='$wrapper', content_bg='$content_bg', mobile_wrapper='$mobile_wrapper', header_first_color='$header_first_color', header_second_color='$header_second_color', header_width='$header_width', header_height='$header_height', header_radius='$header_radius', header_border='$header_border', header_opacity='$header_opacity', footer_color='$footer_color', footer_font_color='$footer_font_color', tooltip_bg='$tooltip_bg', tooltip_font_color='$tooltip_font_color', btn_first_color='$btn_first_color', btn_second_color='$btn_second_color', btn_flat_color='$btn_flat_color', btn_top_border='$btn_top_border', btn_radius='$btn_radius', btn_shadow='$btn_shadow', btn_text_shadow='$btn_text_shadow', btn_text_color='$btn_text_color', btn_hover_color='$btn_hover_color', btn_font_size='$btn_font_size', btn_font_family='$btn_font_family', btn_face_hover='$btn_face_hover', column_title='$column_title', col_title_font_fam='$col_title_font_fam', col_title_font_color='$col_title_font_color', col_title_font_size='$col_title_font_size', useborders='$useborders', btmradius='$btmradius', facehover='$facehover', gen_hdr_color='$gen_hdr_color', gen_text_size='$gen_text_size', gen_text_hover_color='$gen_text_hover_color', gen_text_color='$gen_text_color', gen_font_family='$gen_font_family', footer_img='$footer_img', header_img='$header_img', useheadercolor='$useheadercolor',  ana_sublogo_font='$ana_sublogo_font', ana_sublogo_font_size='$ana_sublogo_font_size', ana_sublogo_font_weight='$ana_sublogo_font_weight', ana_sublogo_font_color='$ana_sublogo_font_color', sublogotext='$sublogotext', colradius='$colradius', column_title_second='$column_title_second', menu_color_second='$menu_color_second', column_footer_first='$column_footer_first', column_footer_second='$column_footer_second', col_footer_font_fam='$col_footer_font_fam', col_footer_font_color='$col_footer_font_color', col_footer_font_size='$col_footer_font_size', wrapperback='$wrapperback', description='$description', keywords='$keywords' WHERE id=$id");
$_SESSION['message'] = "Theme Updated!";
echo "<script>window.location.replace('themesall.php') </script>"; }

// Delete exiting theme from db
if (isset($_GET['del'])) {
$id = $_GET['del'];
mysqli_query($db, "DELETE FROM themes WHERE id=$id");
$_SESSION['message'] = "Theme deleted!";
echo "<script> window.location.replace('themesall.php') </script>"; }

$results = mysqli_query($db, "SELECT * FROM themes");