<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */ ?>

<div id="slideOut" style="z-index:1999">
<div class="slideOutTab">
<div>
<p style="color:<?= $linkcolor ?>" class="center"><b><?= _DESIGNERSTOOLBOX ?></b></p>
</div>
</div>

<div class="modal-content shadow" style="z-index:999;height:460px;border-radius:15px;padding-left:5px;background:<?= $content_bg ?>;overflow-y:auto;overflow-x:hidden;">

<div class="modal-header">
<br><br>
</div>

<div class="modal-body">

<!-- Media Library -->
<div class="spacer" style="background:#ebebeb; color:#000000; width:90%;;">
<a href="elFinder/elfinder.html" target="_blank" style="text-decoration:none" onclick="basicPopup(this.href);return false" class="textcolor hover position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _MEDIALIBRARYINFO ?>">
<img class="radius noborder" src="images/medialibrary.png" style="background:#f1f1f1; width:50px; height:50px; box-shadow:2px 2px 4px #000;" alt="" /><span style="color:#000000"> <?= _MEDIA_LIBRARY ?></span></a>
</div>

<br>

<!-- Quick Note -->
<div class="spacer" style="background:#ebebeb; color:#000000; width:90%;">
<a href="quicknotewindow.php" style="text-decoration:none" onclick="basicPopup(this.href);return false" class="textcolor hover position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _QNINFO ?>">
<img class="radius noborder" src="images/quicknote.png" style="background:#fff; box-shadow:2px 2px 4px #000; width:50px; height:50px;" alt="" /><span style="color:#000000"> <?= _QUICKNOTE ?></span></a>
</div>

<br>

<!-- Font Awesome -->
<div class="spacer" style="background:#ebebeb; color:#000000; width:90%;">
<a style="cursor:pointer" onclick="openNav2()" class="textcolor hover position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _FAINFO ?>">
<img class="radius noborder" src="images/fontawesome.png" style="background:#f1f1f1; width:50px; height:50px; box-shadow:2px 2px 4px #000;" alt="" /> <span style="color:#000000"> <?= _FA ?></span></a>
</div>

<br>

<!-- Note Reader -->
<div class="spacer" style="background:#ebebeb; color:#000000; width:90%;">
<a style="cursor:pointer" onclick="openNav1()" class="textcolor hover position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _NRINFO ?>">
<img class="radius noborder" src="images/notes.png" style="background:#f1f1f1; width:50px; height:50px; box-shadow:2px 2px 4px #000;" alt="" /> <span style="color:#000000"><?= _NR ?></span></a>
</div>

<br>

<!-- Image Compressor -->
<div class="spacer" style="background:#ebebeb; color:#000000; width:90%;">
<a href="compress.php" onclick="basicPopup(this.href);return false" style="cursor:pointer; text-decoration:none;" class="textcolor hover position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _IMGCOMPRESS ?>">
<img class="radius noborder" src="images/compress.png" style="background:#f1f1f1; width:50px; height:50px; box-shadow:2px 2px 4px #000;" alt="" /> <span style="color:#000000"><?= _IMGCOMPRESS ?></span></a>
</div>

<br>

<!-- Preview Fonts -->
<div class="spacer" style="background:#ebebeb; color:#000000; width:90%;">
<a style="cursor:pointer; text-decoration:none;" onclick="openNav3()" class="textcolor hover position-grid__cell hint--top hint--medium hint--rounded" aria-label=" <?= _PREVFONTS ?>">
<img class="radius noborder" src="images/font.png" style="background:#f1f1f1; width:50px; height:50px; box-shadow:2px 2px 4px #000;" alt="" /> <span style="color:#000000"><?= _PREVFONTS ?></span></a>
</div>

<br>

<!-- Calculator -->
<div class="spacer" style="background:#ebebeb; color:#000000; width:90%;">
<a href="calculator.php" onclick="basicPopup(this.href);return false" style="cursor:pointer; text-decoration:none;" class="textcolor hover position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _CALCULATOR ?>">
<img class="radius noborder" src="images/calculator.png" style="background:#f1f1f1; width:50px; height:50px; box-shadow:2px 2px 4px #000;" alt="" /> <span style="color:#000000"><?= _CALCULATOR ?></span></a>
</div>

<br>

<div class="center spacer" style="background:#ebebeb; color:#000000; width:90%;"><span style="color:#000000">- <?= _COLORPKR ?> -</span><br>
<div class="center"><input style="width:120px" data-jscolor="jscolor"></div>
</div>

<br>

</div>
</div>
</div>