<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
closenav(); ?>

<style>
p { font-size: 18px}

.column2 {
width: 50%;
padding: 10px;
float: left; }

@media (max-width: 1000px) {
.column2 {
width: 100% }}
</style>
<form method="post" action="helpers/downloads.php" target="_blank" class="noborder">
<?php require_once 'downloadsmenu.php'; ?>
<br>
<?php savemenu();

$sql = "SELECT * FROM downloadconfig";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) { ?>

<div class="inner-wrapper radius spacer">
<div class="spacer column-title">
<h1 class="center coltitlecolor"><i class="fas fa-download"></i> <?= _DOWNLOADSSUITE ?></h1>
</div>

<br>
<br>
<div class="mini-container noborder spacer">


<?= _GETTING_STARTED ?> 

<p><?= _USEDOWNSYS ?> 
<select name="use_downloads">
<option><?= $row['use_downloads'] ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select>
<br><?= _DOWNLINK ?>
</p>

<p><?= _SHOWCOUNTER ?> 
<select name="usedownloadscounter">
<option><?= $row['usedownloadscounter'] ?></option>
<option value="Admin"><?= _ADMIN ?></option>
<option value="Public"><?= _PUBLIC ?></option>
</select>
</p> 

<p><?= _DOWNTOMEMBERS ?> 
<select name="downloads_public">
<option><?= $row['downloads_public'] ?></option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>

<p><?= _NUMBERTOSHOW ?> 
<select name="columnnumber">
<option><?= $row['columnnumber'] ?></option>
<option value="2">2</option>
<option value="3">3</option>
<option value="4">4</option>
<option value="5">5</option>
<option value="6">6</option>
</select>
</p>

<p><?= _HEIGHTOFMODULE ?> 
<select name="moduleheight">
<option><?= $row['moduleheight'] ?></option>
<option value="100px">100px</option>
<option value="125px">125px</option>
<option value="150px">150px</option>
<option value="175px">175px</option>
<option value="200px">200px</option>
<option value="225px">225px</option>
<option value="250px">250px</option>
<option value="275px">275px</option>
<option value="300px">300px</option>
<option value="325px">325px</option>
<option value="350px">350px</option>
<option value="375px">375px</option>
<option value="400px">400px</option>
<option value="425px">425px</option>
<option value="450px">450px</option>
<option value="475px">475px</option>
<option value="500px">500px</option>
<option value="525px">525px</option>
<option value="550px">550px</option>
<option value="575px">575px</option>
</select>
</p>

<p class="left"><?= _OPTIONALFA ?></p>
<p class="left"><?= _FAICON ?>: <input style="background:#f1f1f1; color:#000;" type="text" name="download_icon" style="width:200px" value="<?= $row['download_icon'] ?>"></p>
<p class="left"><?= _FAICONCOLOR ?>: <input style="background:#f1f1f1; color:#000;" type="text" name="download_icon_color" style="200px" value="<?= $row['download_icon_color'] ?>"></p>

<p class="center"><?= _HOMEPAGECONTENT ?></p>

<textarea id="editor" type="text" name="homepagecontent"><?= $row['homepagecontent'] ?></textarea> 

<?php }} ?>

<br><br>

</div>
</div>

</form>

<?php require_once 'footer.php';