<?php 
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */
 
require_once 'header.php';
require_once 'videos.php';
closenav();

$sql = "SELECT * FROM website, config_row_one, config_row_two, config_row_three, config_row_four, config_row_five, config_row_six, config_row_seven, config_row_eight, config_row_nine, config_row_ten, config_row_eleven, config_row_twelve"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$rowonesidebars = $row['rowonesidebars']; $rowtwosidebars = $row['rowtwosidebars']; $rowthreesidebars = $row['rowthreesidebars']; $rowfoursidebars = $row['rowfoursidebars']; $rowfivesidebars = $row['rowfivesidebars']; $rowsixsidebars = $row['rowsixsidebars']; $rowsevensidebars = $row['rowsevensidebars']; $roweightsidebars = $row['roweightsidebars']; $rowninesidebars = $row['rowninesidebars']; $rowtensidebars = $row['rowtensidebars']; $rowelevensidebars = $row['rowelevensidebars']; $rowtwelvesidebars = $row['rowtwelvesidebars']; $showvideo = $row['showvideo']; }}

if (isset($_GET['edit'])) {
$id = $_GET['edit'];
$update = true;
$record = mysqli_query($db, "SELECT * FROM videos WHERE id=$id"); {
$n = mysqli_fetch_array($record);
$usevideo = $n['usevideo'];
$videoarchive = $n['videoarchive'];
$videolink = $n['videolink']; 
$videotitle = $n['videotitle'];
$videoimage = $n['videoimage'];
$youtube = $n['youtube'];
$category = $n['category'];
$spotlight = $n['spotlight'];
$datearchived = $n['datearchived']; 
$videoposition = $n['videoposition']; }} ?>

<?php $results = mysqli_query($db, "SELECT * FROM videos"); ?>
<form method="post" action="videos.php" class="noborder">
<input type="hidden" name="id" value="<?= $id ?>">
<?php updatepublish(); ?>
<div class="column-title spacer"><h1 class="coltitlecolor center"><?= _VIDEOBUILDER ?></h1></div>
<div class="inner-wrapper" style="box-shadow:none; width:97%; margin:0 auto;">
<br>
<div class="mini-container spacer">
<h4 class="justify"><?= _ADDASMANY ?></h4>

<p class="left"><strong><?= _SHOWVIDEO ?></strong>
<select name="usevideo">
<option><?= $usevideo ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select>
</p>

<p class="left"><strong><?= _FBTITLE ?>:</strong> <input style="background:#f1f1f1; color:#000; font-size:22px;" type="text" name="videotitle" value="<?= $videotitle ?>"></p>

<p class="left"><strong><?= _CATEGORY ?> </strong>
<select name="category">
<option><?= $category ?></option>
<?php $result = mysqli_query($conn, 'SELECT catname FROM pagecategory ORDER BY catname');
while ($row = mysqli_fetch_array($result)) { ?>
<option value="<?= $row['catname'] ?>"><?= $row['catname'] ?></option>
<?php } ?>
</select>
</p>

<p class="left"><strong><?= _CHOOSE_LOCATION ?> </strong>
<select name="videoposition">
<option><?= $videoposition ?></option>
<?php if ($showvideo == 'Yes') { ?>
<option value="Video Archive"><?= _VIDEO ?> <?= _ARCHIVE ?></option>
<option value="Video Module"><?= _VIDEO ?> <?= _MODULE ?></option>
<?php } else { echo '<option><p>*' . _MODULE . ' is ' . _INACTIVE . '</p></option>'; }?>
<option class="column-title">----- <?= _SIDEBARS ?> -----</option>
<option><?php require_once 'plugin-position.php'; ?></option>
</select>
</p>

<p class="left"><strong><?= _SPOTLIGHT ?> </strong>
<select name="spotlight">
<option><?= $spotlight ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select>
</p>

<div class="mini-container spacer" style="width:100%">

<p class="center"><?= _FORARCHIVINGVIDEO ?></p>

<ol class="gentextcolor left">
<li class="left"><?= _SETSHOWVIDEOTONO ?></li>
<li class="left"><?= _SETCHOOSELOCATION ?></li>
<li class="left"><?= _SETSPOTLIGHTTONO ?></li>
<li class="left"><?= _SETARCHIVETOYES?></li>
</ol>

<p class="left"><strong><?= _ARCHIVE ?> ? </strong>
<select name="videoarchive">
<option><?= $videoarchive ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select>
</p>

</div>

<p class="left"><?= _DATE ?>: <input type="datetime-local" name="datearchived" id="date" value="<?= date('Y-m-d H:i') ?>" required>

<p class="left"><strong><?= _IMAGEISDISPLAYED ?></strong></p>
<p class="left"><strong><?= _ENTERIMAGE ?>:</strong> (<?= _PLACEINSNIPLETSFOLDER ?>)<br><input style="background:#f1f1f1; color:#000; font-size:22px; width:100%;" type="text" name="videoimage" value="<?= $videoimage ?>"></p>

<p class="left"><strong><?= _YOUTUBEVIDEO ?>?</strong>
<select name="youtube">
<option><?= $youtube ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select> (<?= _IFISYOUTUBE ?>)
</p>

<p class="left"><strong><?= _VIDEOFILENAME ?>:</strong> (<?= _PLACEVIDEO ?>)<br><input style="background:#f1f1f1; color:#000; font-size:22px; width:100%;" type="text" name="videolink" value="<?= $videolink ?>"></p>

</div>
<br>
</div>
</form>
</div>

<?php require_once 'footer.php';