<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

// initialize variables
$usevideo = "";
$videoarchive = "";
$videolink = ""; 
$videotitle = "";
$videoimage = "";
$youtube = "";
$category = "";
$spotlight = "";
$datearchived = "";
$videoposition = "";
$id = 0;
$update = false;


// Create new sniplet
if (isset($_POST['save'])) {
$usevideo = mysqli_real_escape_string($conn, $_POST['usevideo']);
$videoarchive = mysqli_real_escape_string($conn, $_POST['videoarchive']);
$videolink = mysqli_real_escape_string($conn, $_POST['videolink']); 
$videotitle = mysqli_real_escape_string($conn, $_POST['videotitle']);
$videoimage = mysqli_real_escape_string($conn, $_POST['videoimage']);
$youtube = mysqli_real_escape_string($conn, $_POST['youtube']);
$category = mysqli_real_escape_string($conn, $_POST['category']);
$spotlight = mysqli_real_escape_string($conn, $_POST['spotlight']);
$datearchived = mysqli_real_escape_string($conn, $_POST['datearchived']);
$videoposition = mysqli_real_escape_string($conn, $_POST['videoposition']);

mysqli_query($db, "INSERT INTO videos (usevideo, videoarchive, videolink, videotitle, videoimage, youtube, category, spotlight, datearchived, videoposition) VALUES ('$usevideo', '$videoarchive', '$videolink', '$videotitle', '$videoimage', '$youtube', '$category', '$spotlight', '$datearchived', '$videoposition')");
$_SESSION['message'] = "Sniplet Saved!";
echo "<script> window.location.replace('videosall.php') </script>"; }

// Update existing sniplet
if (isset($_POST['update'])) {
$id = $_POST['id'];
$usevideo = mysqli_real_escape_string($conn, $_POST['usevideo']);
$videoarchive = mysqli_real_escape_string($conn, $_POST['videoarchive']);
$videolink = mysqli_real_escape_string($conn, $_POST['videolink']); 
$videotitle = mysqli_real_escape_string($conn, $_POST['videotitle']);
$videoimage = mysqli_real_escape_string($conn, $_POST['videoimage']);
$youtube = mysqli_real_escape_string($conn, $_POST['youtube']);
$category = mysqli_real_escape_string($conn, $_POST['category']);
$spotlight = mysqli_real_escape_string($conn, $_POST['spotlight']);
$datearchived = mysqli_real_escape_string($conn, $_POST['datearchived']);
$videoposition = mysqli_real_escape_string($conn, $_POST['videoposition']);

mysqli_query($db, "UPDATE videos SET usevideo='$usevideo', videoarchive='$videoarchive', videolink='$videolink', videotitle='$videotitle', videoimage='$videoimage', youtube='$youtube', category='$category', spotlight='$spotlight', datearchived='$datearchived', videoposition='$videoposition' WHERE id=$id");
$_SESSION['message'] = "Sniplet Updated!";
echo "<script> window.location.replace('videosall.php') </script>"; }

// Delete sniplet from db
if (isset($_GET['del'])) {
$id = $_GET['del'];
mysqli_query($db, "DELETE FROM videos WHERE id=$id");
$_SESSION['message'] = "Sniplet deleted!";
echo "<script> window.location.replace('videosall.php') </script>"; }

$results = mysqli_query($db, "SELECT * FROM videos");