<?php
/**
 * Spectra Downloads Suite is software designed to support a website.
 * PHP version 8
 *
 * @category  OpenSource
 * @package   Spectra Downloads Suite
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2020-2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */ ?>

<h1 class="center gentextcolor" style="text-transform: capitalize">&quot;<?= $row['downloadspagename'] ?>&quot;</h1>
<div class="spacer" style="width:97%;margin:0 auto;">
<?= $row['pagecontent'] ?>
</div>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<p class="center column-title coltitlecolor"><a href="../designer/downloadspagenames.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false"><i class="coltitlecolor fa fa-pencil-square-o"></i></a>
</p>
<?php }} ?>
<br>
<table style="width:97%;height:<?= $moduleheight ?>;margin:0 auto"><tr>
<?php global $downloadspagename;
$sql = "SELECT * FROM files WHERE downloadspagename = '$downloadspagename' ORDER BY id ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {

/**
 * 
 *  Define the number of modules in a row.
 * 
 */ ?>

<td class="column<?= $columnnumber ?> spacer" style="padding:10px">

<?php
/**
 * 
 * Build the download title for this module, 
 * downloads icon, 
 * and admin direct edit icon.
 * 
 */ ?>

<div class="column-title coltitlecolor center">
<table class="column">
<tr>
<td class="radius center card">
<a href="../../core/downloads/index.php?file_id=<?= $row['id'] ?>" style="text-decoration:none" title="<?= _DOWNLOAD ?>: <?= $row['name'] ?>"><img src="images/download.png" style="width:30px; height:30px; border:0;" alt="" /></a>
</td>
<?php if ($row['allowcomments'] == 'Yes') { ?>
<td class="radius center card"><a href="../../sys/downloadscomments.php?id=<?= $row['id'] ?>" title="<?= _COMMENT ?>: <?= $row['name'] ?>"><img src="images/comment.png" style="width:30px;height:30px;border:0;" alt="" /></a>
</td>
<?php }
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<td class="card radius center"><a href="../designer/downloadsbuilder.php?edit=<?= $row['id'] ?>" title="<?= _EDIT ?>: <?= $row['name'] ?>" onclick="basicPopup(this.href);return false"><img src="images/edit.gif" style="width:30px;height:30px;border:0;" alt="" /></a>
<?php }} ?>
</td>
</tr>
<tr>
<td style="width:100%" colspan="3">
<p style="font-size:18px;text-transform:capitalize;margin:0 auto;text-shadow:0;" class="center coltitlecolor"><?= $row['name'] ?></p>
</td>

<?php
/**
 * 
 * Header for this module is complete.
 * 
 */ ?>

</div>
</td></tr>

<?php
/**
 * 
 * Build the downloads information box.
 * 
 */ ?>

<tr><td colspan="3">
<br>
<div class="column-title coltitlecolor spacer" style="font-family:arial; font-size:16px;">
<?php if ($row['showcount'] == 'Admin') {
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<?= _TOTAL_DOWNLOADS ?> <?= $row['downloads'] ?>&nbsp;&nbsp;&nbsp;|
<?php }}} 
if ($row['showcount'] == 'Public') { ?>
<?= _TOTAL_DOWNLOADS ?> <?= $row['downloads'] ?>&nbsp;&nbsp;&nbsp;|
<?php } ?>
&nbsp;&nbsp;&nbsp;<?= _FILESIZE ?>: <?= floor($row['size'] / 1000) . ' KB' ?><br><?= _CATEGORY ?>: <?= $row['cat_name']; ?>
<br><small>Date: <?= $row['date'] ?></small>
</div>

<?php
/**
 * 
 * What is the module height and let it auto scroll.
 * 
 */ ?>
 
<div class="card column" style="background:<?= $content_bg ?>;color:<?= $gen_text_color ?>;height:<?= $moduleheight ?>;overflow-y:auto; overflow-x:hidden;">
<?= $row['info'] ?>
</div>
</td></tr></table>
<?php }} ?>