<?php
/**
 * Spectra is software designed to build a website.
 * PHP version 8
 *
 * @category  OpenSource
 * @package   Spectra
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2020-2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */ 

require_once 'topmenu.php';?>

<h1 class="coltitlecolor center" style="text-shadow:1px 1px 1px #000"><a href="index.php" style="text-decoration:none"><span class="gentextcolor"><?= _DOWNLOADS ?></span></a> <i class="fa fa-download gentextcolor"></i></h1>

<?php
/**
 * 
 * Build the downloads links.
 * 
 */ ?>
 
<div class="topnav">
<?php $result = mysqli_query($conn, "SELECT * FROM downloadspages WHERE usepage = 'Yes' ORDER BY downloadspagename ASC"); while ($row = mysqli_fetch_array($result)) {

echo '<a href="downloads.php?id=' . $row['id'] . '">'; 

if ($row['selectbg'] == 'Image') { ?>
<div class="card center" style="background: url('../../media/images/<?= $row['cardback'] ?>');width:250px; height:220px; background-size:cover; border-radius:15px 15px 0 0; margin:0 auto;"></div>
<p class="card content_bg gentextcolor" style="font-size:18px; text-transform:capitalize; border-radius:8px;"><?= $row['downloadspagename'] ?></p>
<?php }

elseif ($row['selectbg'] == 'Color') { ?>
<div class="card center" style="background: linear-gradient(<?= $row['colorone'] ?>, <?= $row['colortwo'] ?>); width:250px; height:220px; border-radius:15px 15px 0 0; margin:0 auto;"></div>
<p class="card content_bg gentextcolor" style="font-size:18px; text-transform:capitalize; border-radius:8px;"><?= $row['downloadspagename'] ?></p>
<?php }

elseif ($row['selectbg'] == 'None' && $row['topmenu'] == 'Yes') {} else { ?>
<div class="button buttoncolor" style="width:100%; font-size:12px; text-transform:capitalize;"><?= $row['downloadspagename'] ?></div>
<?php } ?>
</a>
<?php } // Close the array. ?>
</div>
