<?php
/**
 * Spectra Downloads Suite is software designed to support a website.
 * PHP version 8
 *
 * @category  OpenSource
 * @package   Spectra Downloads Suite
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

/**
 * 
 * Add the footer info .....
 * 
 */

require_once 'main.php';

$sql = "SELECT * FROM website, themes, version, modules, downloadconfig"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$copyright = $row['copyright']; 
$footer_img = $row['footer_img']; 
$footercontent = $row['footercontent']; 
$footer_font_color = $row['footer_font_color']; 
$content_bg = $row['content_bg']; 
$current_version = $row['current_version']; 
$php_version = $row['php_version']; 
$lang = $row['lang']; 
$usedownloadscounter = $row['usedownloadscounter']; }}

$filename = 'core/lang/' . $lang . '.php';
if (file_exists($filename)) {
require_once "$filename"; } 
else {
require_once '../lang/' . $lang . '.php'; } ?>

<div style="width:100%; margin:0 auto;" class="footer">

<br><br>

<div class="footer full center spacer">
<a class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _VISITCMSSPECTRA ?>" href="https://papamikescreations.org" style="text-decoration:none" target="_blank"><span class="footer"><?= _POWEREDBYCMSSPECTRA ?> <?= $current_version ?></span></a>
<p class="center footer"><?= _VERSION ?> <?= $php_version ?></p>

<?php require_once 'count-downloads.php'; ?>

<br>
<br>
<div><?= $copyright ?></div>
<br>
<script>
function basicPopup(url) {
popupWindow = window.open(url, 'popUpWindow', 'height=600,width=600,left=100,top=100,resizable=yes,scrollbars=yes,toolbar=yes,menubar=no,location=no,directories=no, status=yes'); }
</script>

<script>
var acc = document.getElementsByClassName("accordion");
var i;
for (i = 0; i < acc.length; i++) {
acc[i].addEventListener("click", function() {
  
/**
 * 
 * Toggle between adding and removing the "active" class,
 * to highlight the button that controls the panel.
 * 
 */

this.classList.toggle("active");
/* Toggle between hiding and showing the active panel */
var panel = this.nextElementSibling;
if (panel.style.display === "block") {
panel.style.display = "none";
} else {
panel.style.display = "block";
}
});
} 
</script>

</body>
</html>