<?php
/**
 * Spectra is software designed to build a website.
 * PHP version 8
 *
 * @category  OpenSource
 * @package   Spectra
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2020-2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php'; ?>
<link rel="icon" type="image/ico" sizes="16x16" href="favicon.ico">
<link rel="icon" type="image/png" sizes="16x16" href="favicon.png">
<link rel="stylesheet" href="../css/style.min.css">
<link rel="stylesheet" href="../css/fontawesome.min.css">
<link rel="stylesheet" href="../css/fontawesome.min.css">
<link rel="stylesheet" href="../css/lightbox.min.css">
<?php $sql = "SELECT * FROM website, themes"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$themes = $row['themes']; 
$theme_name = $row['theme_name']; 
$menuselection = $row['menuselection'];

require_once '../lang/' . $row['lang'] . '.php'; }}

/**
 * Add the option for letting
 * users choose their own theme
 * on homepage and user account.
 * 
 */

$stmt = $conn->prepare('SELECT usertheme, usetheme FROM accounts WHERE id = ?');
$stmt->bind_param('i', $_SESSION['id']);
$stmt->execute();
$stmt->bind_result( $usertheme, $usetheme );
$stmt->fetch();
$stmt->close();
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true && $usetheme == 'Yes') { 
if (isset($_GET['id'])) { $id = $_GET['id']; }
$sql = "SELECT id, usertheme FROM accounts"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
require_once '../themes/usertheme.php'; }}}
else { require_once '../themes/theme.php'; } ?>
<link rel="stylesheet" href="../css/fonts.min.css">
<script src="../js/fontawesome.min.js" crossorigin="anonymous"></script>
<script src="../js/jquery-3.2.1.min.js"></script>
<script src="../js/lightbox.min.js"></script>
<script src="../js/lightbox-plus-jquery.js"></script>
</head>
<body class="loggedin">
<div class="inner-wrapper">

<?php $sql = "SELECT * FROM website, themes WHERE theme_name='$theme_name'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$uselogoimage = $row['uselogoimage']; 
$header_img = $row['header_img']; 
$useheadercolor = $row['useheadercolor']; 
$logo = $row['logo']; 
$logo_image = $row['logo_image']; 
$align_logo = $row['align_logo']; 
$logo_shadow = $row['logo_shadow']; 
$shadow_color = $row['shadow_color']; 
$sublogotext = $row['sublogotext']; 
$header_first_color = $row['header_first_color']; 
$header_second_color = $row['header_second_color']; }} ?>

<div>
<div class="row noborder">
<?php if ($useheadercolor == 'Yes') { ?>
<div style="width:97%; margin:0 auto; background-image: linear-gradient(<?= $header_first_color ?>, <?= $header_second_color ?>);" class="column header headercolor">
<?php } else { ?>
<div style="width:97%; margin:0 auto; overflow:hidden;" class="header headerimage">
<?php }                    
require_once 'logo.php'; ?>
</div>



