<?php
/**
 * Spectra Downloads Suite is software designed to support a website.
 * PHP version 8
 *
 * @category  OpenSource
 * @package   Spectra Downloads Suite
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2020-2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */
 
require_once 'main.php'; ?>

<div class="topnav">
<?php $result = mysqli_query($conn, "SELECT id, style, downloadspagename, faicon, faiconcolor, cardback, selectbg, colorone, colortwo, topmenu, usepage FROM downloadspages WHERE usepage = 'Yes' ORDER BY downloadspagename ASC"); 
while ($row = mysqli_fetch_array($result)) {
echo '<a href="downloads.php?id=' . $row['id'] . '">';

if ($row['selectbg'] == 'Image') { ?>
<div class="card center" style="background: url('../../media/images/<?= $row['cardback'] ?>'); width:110px; height:110px; background-size:cover; border-radius:15px 15px 0 0; margin:0 auto;"></div>
<div class="card content_bg gentextcolor" style="width:100%; font-size:12px; text-transform:capitalize;"><?= $row['downloadspagename'] ?></div>

<?php } elseif ($row['selectbg'] == 'Color') { ?>
<div class="card center" style="background: linear-gradient(<?= $row['colorone'] ?>, <?= $row['colortwo'] ?>);width:100%; height:110px; background-size:cover; border-radius:15px 15px 0 0; margin:0 auto;"></div>
<div class="card content_bg gentextcolor" style="width:110px; font-size:12px; text-transform:capitalize;"><?= $row['downloadspagename'] ?></div>
<?php } 

elseif ($row['selectbg'] == 'None' && $row['topmenu'] == 'Yes') { } else { ?>
<div class="button buttoncolor" style="width:100%; font-size:12px; text-transform:capitalize;"><?= $row['downloadspagename'] ?></div>
<?php }  ?>
</a>
<?php }  //End the array and menu cards. ?>
</div>