<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.  
 * @link      https://www.papamikescreations.org
 */

// Language Pack English
 
// In general .. To include installer

define('_SITELASTUPDATE','This site was last updated on: ');
define('_CLICKREADMORE','Click To Read More');
define('_LIKES','Likes');
define('_LIKE','Like');
define('_UNLIKE','Unlike');
define('_ANENTIREHOMEPAGE','An entire homepage can be built using one container. But then you can build as many as you need and have them in numerous row/layers.');
define('_CONTAINER','Container');
define('_CONFIRM','Confirm');
define('_USEPASSWORDGEN','Use Password Generator');
define('_FILECLEANUP','Click Continue to activate the cleanup process. All files used in the installation will be deleted. Spectra can not run if these files exist.');
define('_ARCHIVELIBRARY','Archive Library');
define('_NEWSARTICLES','News Articles');
define('_DATEPUBLISHED','Date Published');
define('_ADMINARTICLES','Admin Articles');
define('_SITEINMAINTMODE','Site is in maintenance mode.');
define('_MAINTMODE','Maintenance Mode');
define('_MAKINGUPDATES','<h2 class="center">We Are Making Important Site Updates<br><br>And Will Be Back Soon<br><br>Sorry For The Inconvenience</h2>');
define('_GOBACK','Go Back');
define('_SEARCHQUERY','Search Query');
define('_PAGINATIONACTIVE','Pagination Active');
define('_POLLNOTEXIST','Poll with that ID does not exist.');
define('_NOPOLLID','No poll ID specified.');
define('_NORECORDS','There were 0 records found in this search.');
define('_BLOCKS','Blocks');
define('_PREVIEWTHEMES','Preview Themes');
define('_MEMBERSCAN','Members Can Choose Their Own Theme<br>Go To <a href="sys/">Your Account</a> To Set Your Default.');
define('_SUBDOMAIN','Subdomain?');
define('_SUBDOMAINNAME','Subdomain?');
define('_LAYERSARENOTACIVE','Layers Are Not Active');
define('_ISINACTIVE','Is Not Active');
define('_TURNITON','Configure Row');
define('_POLLS','Polls');
define('_VIEWRESULT','View Result');
define('_VOTE','Vote');
define('_VOTES','Votes');
define('_STATS','Statistics');
define('_DOWNLOADCAT','Download Categories');
define('_HEADERBLOCKTOP','Header Block Top');
define('_HEADERBLOCKMIDDLE','Header Block Middle');
define('_HEADERBLOCKBOTTOM','Header Block Bottom');
define('_ROWHEADER','Row Header');
define('_OPENEASYREADER','Open Easy Reader');
define('_QUICKNOTES','Quick Notes');
define('_NOVIDEOS','There are no videos in the archive.');
define('_VIDEOARCHIVE','Video Archive');
define('_OPENCLOSE','Open/Close');
define('_SEARCHVIDEOS','Search Videos By Category or Title');
define('_SPOTLIGHTVIDEOS','Spotlight Videos');
define('_SNIPLETS','Sniplets');
define('_ONCANVASLEFT','On-canvas Left');
define('_ONCANVASRIGHT','On-canvas Right');
define('_QUICKLINKS','Quick Links');
define('_READLIBRARY','Read articles, pages, and more ...');
define('_CONFIGROW','Configure Row');
define('_CONFIGARTICLESPOSITION','Configure Articles Position');
define('_HEIGHT','Height');
define('_WIDTH','Width');
define('_ROWONE','Row One');
define('_ROWTWO','Row Two');
define('_ROWTHREE','Row Three');
define('_ROWFOUR','Row Four');
define('_ROWFIVE','Row Five');
define('_ROWSIX','Row Six');
define('_ROWSEVEN','Row Seven');
define('_ROWEIGHT','Row Eight');
define('_ROWNINE','Row Nine');
define('_ROWTEN','Row Ten');
define('_ROWELEVEN','Row Eleven');
define('_ROWTWELVE','Row Twelve');
define('_ROWONETOP','Row One Top');
define('_ROWTWOTOP','Row Two Top');
define('_ROWTHREETOP','Row Three Top');
define('_ROWFOURTOP','Row Four Top');
define('_ROWFIVETOP','Row Five Top');
define('_ROWSIXTOP','Row Six Top');
define('_ROWSEVENTOP','Row Seven Top');
define('_ROWEIGHTTOP','Row Eight Top');
define('_ROWNINETOP','Row Nine Top');
define('_ROWTENTOP','Row Ten Top');
define('_ROWELEVENTOP','Row Eleven Top');
define('_ROWTWELVETOP','Row Twelve Top');
define('_ROWONEMIDDLE','Row One Middle');
define('_ROWTWOMIDDLE','Row Two Middle');
define('_ROWTHREEMIDDLE','Row Three Middle');
define('_ROWFOURMIDDLE','Row Four Middle');
define('_ROWFIVEMIDDLE','Row Five Middle');
define('_ROWSIXMIDDLE','Row Six Middle');
define('_ROWSEVENMIDDLE','Row Seven Middle');
define('_ROWEIGHTMIDDLE','Row Eight Middle');
define('_ROWNINEMIDDLE','Row Nine Middle');
define('_ROWTENMIDDLE','Row Ten Middle');
define('_ROWELEVENMIDDLE','Row Eleven Middle');
define('_ROWTWELVEMIDDLE','Row Twelve Middle');
define('_ROWONEBOTTOM','Row One Bottom');
define('_ROWTWOBOTTOM','Row Two Bottom');
define('_ROWTHREEBOTTOM','Row Three Bottom');
define('_ROWFOURBOTTOM','Row Four Bottom');
define('_ROWFIVEBOTTOM','Row Five Bottom');
define('_ROWSIXBOTTOM','Row Six Bottom');
define('_ROWSEVENBOTTOM','Row Seven Bottom');
define('_ROWEIGHTBOTTOM','Row Eight Bottom');
define('_ROWNINEBOTTOM','Row Nine Bottom');
define('_ROWTENBOTTOM','Row Ten Bottom');
define('_ROWELEVENBOTTOM','Row Eleven Bottom');
define('_ROWTWELVEBOTTOM','Row Twelve Bottom');
define('_MEMBERSLISTNOTACTIVE','The Members List Is Not Active');
define('_USERINFO','User Information');
define('_LIBRARY','Library');
define('_OPENSIDEBAR','Open Sidebar');
define('_PAGENOTFOUND','Page not found ...');
define('_UNABLETOFIND','We are unable to find the page<br>you are looking for.');
define('_BACKTOHOME','Back To Home');
define('_MEMBERSINCE','Member Since');
define('_CLEANUPCOMPLETE','Cleanup Complete');
define('_INFO','Info');
define('_ACTION','Action');
define('_NOTACTIVE','Not Active');
define('_THEME','Theme');
define('_CLICKTOOPEN','Click Image To Open');
define('_ID','ID');
define('_ACTIVEMEMBERACCOUNTS','Member Accounts');
define('_WEBSITE','Website');
define('_NEXT','Next');
define('_PREV','Prev');
define('_MUSTBELOGGEDINTOVIEW','You Must Be Logged-in To View This Page.');
define('_ACTIVEUSERS','Active Users');
define('_CHANGETHEME','Change Theme');
define('_AVATAR','Avatar');
define('_MEMBERSLIST','Member List');
define('_URLDOESNTEXIST','It looks like you have reached a URL that does not exist.<br>Please ');
define('_FOLLOWTHISLINK','follow this link');
define('_TOFINDYOURWAYBACK','to find your way back.');
define('_LOSTPAGE404','Lost Page 404 Error');
define('_CARDEDPAGE','Carded Page');
define('_LINKSMAYNOTWORK','This is for preview only and some links may not work.');
define('_EDITARTICLEDIRECTLY','Edit This Article Directly');
define('_MEMBERS','Active Members List');
define('_MOUSEOVERTOSTOP','Mouseover to stop scrolling');
define('_THEMEPREVIEW','Theme Preview');
define('_REFRESH','Refresh Page');
define('_DELETEIMAGES','Delete Image(s)');
define('_ADMIMG','Administrators Images');
define('_BY','By');
define('_DATE','Date');
define('_EDIT','Edit');
define('_PRINT','Print');
define('_PRINTPAGE','Print Page');
define('_PRINTARTICLE','Print Article');
define('_PRINTADMINARTICLE','Print Admin Article');
define('_REPOSITION','Reposition');
define('_EMAIL','Email');
define('_NAME','Name');
define('_SUBJECT','Subject');
define('_VERSION','Compatible with PHP Version');
define('_VISITORS','Visitors');
define('_WELCOME_SPECTRA','Welcome to Spectra');
define('_CHOOSELANG','Choose from available languages');
define('_LANG','Language');
define('_SAVED','Saved');
define('_CONTINUE','Continue');
define('_LOGININSTALL','Login Installation');
define('_ADMINCREDENTIALS','Administrators Login Credentials');
define('_USERNAME','Username');
define('_PASSWORD','Password');
define('_CONFIRMPW','Confirm Password');
define('_SUCCESSFUL','Admin Credentials were added successfully!');
define('_SIDEBAR','Sidebar');
define('_CLOSEMENU','Close');
define('_COMPLETEFORM','Please complete the registration form!');
define('_EMAILNOTVALID','Email is not valid!');
define('_USERNAMENOTVALID','Username is not valid!');
define('_PASSWORDMUSTBE','Password must be between 5 and 20 characters long!');
define('_USERNAMEEXISTS','Username exists, please choose another!');
define('_COULDNOTPREPARE','Could not prepare statement.');
define('_REGSETUPSUCCESS','Registration Setup Was Successful!');
define('_LOGINBLOCKWILLAPPEAR','The Member Login/Registration block will appear on the index page on the ');
define('_LOGINBLOCKWILLNOTAPPEAR','The Member Login/Registration block will not appear on the index page.');
define('_REGISACTIVE','New member registration is active.');
define('_LOGINBLOCKWILLAPPEARTOP','The Login/Registration will appear at the top under the menubar.');
define('_SIDE','side. ');
define('_CHANGEANYTIME','You can change this at anytime.');
define('_FORGOTPASSWORD','The Forgot Password feature has been activated.<br><br>Member registration is not active.');
define('_REGSETUP','Registration Setup');
define('_STEPIMPORTANT','This step is important even if you do not plan to allow for new member registration. As the administrator if you forget your password you will need to be able to use the Forgot Password feature. The information you add here will activate that feature.<br><br>
Enter the information below that you want to use in the email that is sent by the Forgot Password feature.');
define('_WEBSITEURL','Website URL');
define('_TOP','Top');
define('_USESIDEBARBLOCK','You can add a Login/Registration link to the top of the Homepage. Leave blank if not using or choose No.');
define('_ACTIVEMBRREG','Activate Member Registration?');
define('_REGSUCCESS','Registration Setup Was Successful!');
define('_NO','No');
define('_YES','Yes');
define('_RIGHT','Right');
define('_LEFT','Left');
define('_SAVE','Save');
define('_READMORE','Read More');
define('_CLICKTHUMBNAILTOOPEN','Click Thumbnail To Open');

// Root files

//  cleanup.php

define('_COMPLETE','Installation Complete');
define('_CONGRATULATIONS','Congratulations! You are ready to login as administrator and create your website.');
define('_CONTENTS','Note: The contents of the INSTALL folder were removed during the cleanup process.');
define('_REFERENCE','See the <a href="../../README.html" target="_blank">README.html</a> file for additional information on how to get started.');

// activemembers.php

define('_SOCIALSHARING','Social Sharing');
define('_ISSHAREDPAGE','Welcome! Around here I am known as ');
define('_WHOSEROLE','my role here is an <b>active ');
define('_SINCE','I have been here since <?=$date?>');
define('_HASCHOSEN','I have chosen to share this information with you.');
define('_RESIDESIN','resides in');
define('_INTERESTARE','Interest');
define('_VISITWEBSITE','Website');
define('_BIOGRAPHY','Biography');
define('_CANNOTACCESSDIRECTLY','You Cannot Access This Page Directly.');
define('_REALNAME','Real Name');
define('_ROLE','Role');
define('_DATEJOINED','Date Joined');
define('_MUSTLOGIN','You must <a href="sys/index.php">login</a> to access this page.');
define('_VISIT','Visit');

// builders/admintools.php

define('_HIDETOPBAR','Hide Top Bar?');
define('_SHOWCONTENTSAVER','Show Content Saver?');
define('_SHOWMENUICONS','Show Menu Icons?');
define('_ADDLINKS','Add Links');
define('_TURNONOFF','Turn Top Bar On/Off or Edit Icons');
define('_OPENCONTENTSAVER','Open Content Saver');
define('_CONTENTSAVER','Content Saver');
define('_QUICKNOTE','Quick Note');
define('_NOTES','Notes');
define('_EDITNOTES','Edit Notes');
define('_IMAGEGRABBER','Image Grabber');
define('_DROPFILEHERE','Drop file here');
define('_VIEWIMAGES','View Images');
define('_OR','or');

// contact.php, card.php 

define('_INVALIDNAME','Invalid name');
define('_INVALIDSUBJECT','Invalid subject');
define('_INVALIDEMAIL','Invalid email');
define('_MESSAGESHOULDNOTBEEMPTY','Your message should not be empty');
define('_CONTACTUS','Contact Us');
define('_MESSAGE','Message');
define('_SUBMIT','Submit');
define('_MESSAGESENT','Message Sent');
define('_ERROROCCURED','Error occurred, please try again later');

// credits.php

define('_SPECIALTHANKS','Special Thanks!');
define('_THANKTHEFOLLOWING','I would like to thank the following for the use of their products in the creation of Spectra.');
define('_CSSTOOLTIPLIBRARY','A pure CSS tooltip library for your website.');
define('_VISUALTEXTEDITOR','Smart visual text editor.');
define('_MEDIALIBRARY','Media library with image editors.');
define('_FORMEDFOUNDATION','Formed the foundation for Spectra Gallery.');
define('_USERSONLINE','For the \'Users Online\' script');
define('_CHATROOMSCRIPT','Chat Room script');

// downloads.php

define('_ALLOWCOMMENTS','Allow Comments');
define('_TITLE','Title');
define('_FILENAME','File Name');
define('_TOTAL_DOWNLOADS','Downloads');
define('_DOWNLOADS','Downloads Suite');
define('_FILESIZE','File size');
define('_CATEGORY','Category');
define('_DOWNLOADFILES','Download files');
define('_PAGE','Page');
define('_DOWNLOAD','Download');
define('_MUSTBELOGGEDIN','You Must Be Logged In To Access The Downloads');

// faq.php

define('_FAQ','Frequently Asked Questions');

// footer.php

define('_VISITCMSSPECTRA','Visit Spectra');
define('_POWEREDBYCMSSPECTRA','Powered by Spectra, Version');
define('_GOTOTOP','Go To Top');

// gallery.php

define('_RETURNTOHOMEPAGE','Return to Homepage');
define('_GALLERYMENU','Gallery Menu');
define('_REFRESHPAGE','Refresh Page If Images Do Not Load Immediately.');
define('_SPECTRAGALLERY','Spectra Gallery');
define('_SPECTRAALBUM','Spectra Album');

// sidebars.php
define('_SIDEBARBLOCKS','Sidebar Blocks');

// themes.php

define('_REFRESHTHISWINDOW','Refresh this window to see the changes as you make them to the theme.');
define('_CLOSE','Close');


// builders/admin.php, builders/adminarticle.php, builders/adminblock.php

define('_ARTICLES','Articles');
define('_COMMENTS','Comments');
define('_COMMENT','Comment');
define('_AWAITINGEDITING','awaiting editing');
define('_MEMBERSONLY','Members Only');
define('_EDITPAGEDIRECTLY','Edit this page directly.');
define('_EDITDIRECTLY','Edit directly');

// Lsidebar.php and Rsidebar.php

define('_SEARCH','Search');
define('_ARCHIVES','Archives');
define('_LINKTOME','Link To Me');

// plugin-blockL.php and plugin-blockR.php

define('_TAGCLOUD','Tag Cloud');
define('_CATEGORIES','Categories');
define('_CLOCK','Clock');
define('_DIGITALCLOCK','Digital Clock');
define('_CALENDAR','Calendar');
define('_SPOTLIGHT','Spotlight');

// sup/profile.php

define('_LOCATION','Location');
define('_BIO','Biography');
define('_INTEREST','Interest');

// users.php

define('_ONLINE','Online');
define('_DONTHAVEANAVATAR','Don\'t have an avatar? Follow me to Gravatar.');
define('_WELCOME','Welcome');
define('_ACCOUNT','Account');
define('_PROFILE','Profile');
define('_CONTACT','Contact');
define('_SUBMITARTICLE','Submit Article');
define('_AVAILABLEDOWNLOADS','Available Downloads');
define('_DOWNLOADSMEMBERSONLY','Downloads are available to members only.');
define('_DOWNLOADSALLVISITORS','Downloads are available for all visitors.');
define('_LOGOUT','Logout');
define('_LOGIN','Login');
define('_PUBLISHEDARTICLES','Published Articles');
define('_ACTIVEMEMBERS','Active members');
define('_TOTALMEMBERS','Total members');
define('_REGISTER','Register');
define('_IPADDRESS','IP address');

// core/megamenu

// index.php

define('_HOME','Home');
define('_FAQLINK','FAQ');
define('_SOCIALMEDIA','Social Media');

// sidemenu.php

define('_OPENOFFCANVAS','Open Off Canvas Menu');
define('_INDEX','Index');

// core/modules/

// modgallery/index.php

define('_CLICKFORSLIDESHOW','Click Image For Slideshow');

// core/plugins

// archive.php

define('_CARDS','Cards');

// linktome.php

define('_COPYANDPASTECODE','Copy and paste the following code into your website where you want the button to appear.');
define('_COPYTHECODE','Copy The Code');

// categories.php

define('_ACTIVEARTICLES','Active Articles');
define('_PAGES','Pages');

// registration.php

define('_USERS','Users');

// spotlight.php

define('_ARCHIVED','Archived');
define('_ACTIVE','Active');

// html-themes/uploadfolder.php

define('_HTMLUPLOADTOOL','HTML5 Folder Upload Tool');
define('_PHPINISETTINGS','The settings in your php.ini file should include the following:');
define('_TOTALFILES','total number of files in folder, if you get an error the folder still might upload.');
define('_FOLDERTOUPLOAD','Select Folder to Upload (must match the <strong>Folder Name</strong>)');
define('_NAMEISEMPTY','Upload folder name is empty.');
define('_UPLOADSUCCESSFUL','Folder is successfully uploaded');
define('_FOLDERNAME','Folder Name');

// core/startup.php

define('_MUSTBELOGGED_IN','Admin must be logged in to see this page.');
define('_STARTUPGUIDE','Startup Guide');
define('_WELCOMETOSPECTRA','Welcome To Spectra!');
define('_ONLYADMINCANSEE','Only The Admin, When Logged In, Can See This');
define('_FORQUICKSETUP','For Quick Setup Features Go To &quot;<a href="../designer/setup-wizard/index.php" target="_blank">Setup Wizard</a>');
define('_CKEDITOR','Although CKEditor 4 has reached its End Of Life (EOL) I still use it with Spectra because it is safe and secure.');
define('_CREATEDSPECTRAFOR','I created Spectra to be used at &quot;<a href="https://www.coders-junction.com" target="_blank">Coders Junction</a>&quot;. It&#39;s not a fork, but a brand-new Content Management System.<br>My design is focused on providing effortless installation, usage, and required tools for a successful website.<br>Spectra offers a range of features, including plugins, modules, menu systems, articles, pages, a download suite, an image gallery, and more.');
define('_THEADMINHAS','The admin has exclusive access to easy editing tools throughout Spectra while logged in.');
define('_USEROWGRID','Use of Rows/Grid');
define('_USEROWGRIDPARA','<p style="text-align: justify; color:#000000; font-size:18px;">The most effective way to design a website is by using rows. With rows, it is easy to control alignments and the size of elements through column widths and heights inside a grid layout. When it comes to web design, grids can be an invaluable tool in helping to create engaging and effective designs. By setting up columns, rows, and margins, design elements have room to breathe and users can quickly get to grips with the interface without getting overwhelmed.</p><p style="text-align: justify; color:#000000; font-size:18px;">Sniplets, blocks, pages, and articles are the primary content items. I describe them in the Designers Dashboard/Homepage. Sniplets (teasers) are small content containers that hold a couple of lines of text and a picture. The sniplets also have a full-text feature that lets you add as much content as you want to add and is accessed by clicking on the up-arrow icon found in the sniplet container on the homepage. Blocks, articles, and pages contain as much content as you want to add to them.</p><p style="text-align: justify; color:#000000; font-size:18px;">Each content item has direct editing features. To edit the content of an item, click on the pencil icon and to reposition an item within the same row click on the arrows icon.</p><p style="text-align: justify; color:#000000; font-size:18px;">Rows hold the content. There are 12 rows and each row has 3 layers, Top, Middle, and Bottom. Each layer can hold an unlimited amount of content, from blocks to sniplets. Rows contain sidebars on either the left, right, or both sides.</p>');
define('_SNIPLETPARA','<p style="text-align: justify; color:#000000; font-size:18px;">If you assign sniplets to a row, you decide how many to show (up to six) in the layers that are displayed left to right. There can be an unlimited number of layers in a row. When one layer within a row is complete, the next will fall below the previous layer. The admin can reposition a sniplet within a row by dragging it into a new position. To move a sniplet to another row, click the edit icon and change the row assignment. For example, if you build four layers of sniplets in a row (16 sniplets) and you want to move the last sniplet on the fourth layer, then just drag it to the new position.</p>');
define('_BLOCKSPARA','<p style="text-align: justify; color:#000000; font-size:18px;">When building Blocks each row/layer can contain up to 6 blocks (you decide) with unlimited layers in each row. When configuring blocks, you need to configure each row. Reposition blocks within a row by dragging them into a new position. To change the row assignment, click on the edit icon and change it. When building a block, you can assign it to any place on the page and even assign it to on-canvas sidebars or off-canvas sidebars.</p><p style="text-align: justify; #000000; font-size:18px;">Once you <a href="designer/index.php" target="_blank">read everything</a>, the first step is to configure the Home page. Go to the <a href="designer/setup-wizard/index.php" target="_blank">Quick Setup Guide</a> or Designers Dashboard/<a href="designer/website.php" target="_blank">General Website Configuration</a>. After you set up this page, you can create content.</p>');

// themecontroller/index.php

define('_UPLOADFOLDER','Upload Folder');
define('_SETTHEMEFOLDERNAME','You have not set the theme folder name.<br>Enter the themes folder name and click "Update the Record" and "Refresh Page" to continue.');
define('_UPLOADHTML5THEME','Upload HTML5 Theme Folder');
define('_WILLUPLOADFOLDER','This will upload your theme folder');
define('_INTOHTMLTHEMES','into the html-themes folder.');
define('_CHOOSE','Choose');
define('_FOLDERFORUPLOAD','Folder For Upload');
define('_PERCENTAGE','Percentage');
define('_PROGRESS','Progress');
define('_FILESUPLOADED','Files Uploaded');
define('_LOADERANIMATION','Loader Animation');
define('_CLOSETHISWINDOW','Close This Window');
