<?php
/**
* Spectra — это программное обеспечение, предназначенное для создания веб-сайтов.
* PHP версии 8
*
* @категория OpenSource
* @пакет Spectra
* @author Майк Бойлз <admin@papamikescreations.org>
* @copyright 2020-2023 Coders Junction
* @license Стандартная общественная лицензия GNU <http://www.gnu.org/licenses/>.
* @ссылка https://www.papamikescreations.org
*/ 

// Языковой пакет Русский

// В целом

define('_SITELASTUPDATE','Последний раз этот сайт обновлялся: ');
define('_CLICKREADMORE','Нажмите, чтобы прочитать больше');
define('_LIKES','Нравится');
define('_LIKE','Нравиться');
define('_UNLIKE','В отличие от');
define('_ANENTIREHOMEPAGE','Вся домашняя страница может быть построена с использованием одного контейнера. Но тогда вы можете построить столько, сколько вам нужно, и разместить их в многочисленных рядах/слоях.');
define('_CONTAINER','Контейнер');
define('_CONFIRM','Подтверждать');
define('_USEPASSWORDGEN','Используйте генератор паролей');
define('_FILECLEANUP','Нажмите «Продолжить», чтобы активировать процесс очистки. Все файлы, использованные при установке, будут удалены. Spectra не сможет работать, если эти файлы существуют.');
define('_ARCHIVELIBRARY','Архивная библиотека');
define('_NEWSARTICLES','Новости Статьи');
define('_DATEPUBLISHED','Дата публикации');
define('_ADMINARTICLES','Административные статьи');
define('_SITEINMAINTMODE','Сайт находится в режиме обслуживания.');
define('_MAINTMODE','Режим обслуживания');
define('_MAKINGUPDATES','<h2 class="center">Мы делаем важные обновления сайта<br><br>И скоро вернемся<br><br>Приносим извинения за неудобства</h2>');
define('_GOBACK','Возвращаться');
define('_SEARCHQUERY','Поисковый запрос');
define('_PAGINATIONACTIVE','Пагинация активна');
define('_POLLNOTEXIST','Опроса с таким идентификатором не существует.');
define('_NOPOLLID','Идентификатор опроса не указан.');
define('_NORECORDS','По этому запросу найдено 0 записей.');
define('_BLOCKS','Блоки');
define('_PREVIEWTHEMES','Предварительный просмотр тем');
define('_MEMBERSCAN','Участники могут выбрать свою собственную тему<br>Перейдите в <a href="sys/">вашу учетную запись</a>, чтобы установить тему по умолчанию.');
define('_SUBDOMAIN','Субдомен?');
define('_SUBDOMAINNAME','Имя субдомена');
define('_LAYERSARENOTACIVE','Слои не активны');
define('_ISINACTIVE','Не активен');
define('_TURNITON','Настроить строку');
define('_POLLS','Опросы');
define('_VIEWRESULT','Посмотреть результат');
define('_VOTE','Голосование');
define('_VOTES','Голоса');
define('_STATS','Статистика');
define('_DOWNLOADCAT','Скачать категории');
define('_HEADERBLOCKTOP','Верхняя часть блока заголовка');
define('_HEADERBLOCKMIDDLE','Средний блок заголовка');
define('_HEADERBLOCKBOTTOM','Нижняя часть блока заголовка');
define('_ROWHEADER','Заголовок строки');
define('_OPENEASYREADER','Откройте Easy Reader');
define('_QUICKNOTES','Быстрые заметки');
define('_NOVIDEOS','В архиве нет видео.');
define('_VIDEOARCHIVE','Видео Архив');
define('_OPENCLOSE','Открыто закрыто');
define('_SEARCHVIDEOS','Поиск видео по категории или названию');
define('_SPOTLIGHTVIDEOS','Видео в центре внимания');
define('_SNIPLETS','Фрагменты');
define('_ONCANVASLEFT','На холсте слева');
define('_ONCANVASRIGHT','На холсте справа');
define('_QUICKLINKS','Быстрые ссылки');
define('_READLIBRARY','Читайте статьи, страницы и многое другое...');
define('_CONFIGROW','Настроить строку');
define('_CONFIGARTICLESPOSITION','Настройка позиции статей');
define('_HEIGHT','Высота');
define('_WIDTH','Ширина');
define('_ROWONETOP','Ряд 1 Топ');
define('_ROWTWOTOP','Второй ряд сверху');
define('_ROWTHREETOP','Третий ряд сверху');
define('_ROWFOURTOP','Верх четвертого ряда');
define('_ROWFIVETOP','Ряд пять сверху');
define('_ROWSIXTOP','Ряд шесть сверху');
define('_ROWSEVENTOP','Седьмой ряд сверху');
define('_ROWEIGHTTOP','Восьмой ряд сверху');
define('_ROWNINETOP','Верх девятого ряда');
define('_ROWTENTOP','Десятый ряд сверху');
define('_ROWELEVENTOP','Ряд одиннадцатый Топ');
define('_ROWTWELVETOP','Двенадцатый ряд сверху');
define('_ROWONEMIDDLE','Ряд 1 посередине');
define('_ROWTWOMIDDLE','Второй ряд посередине');
define('_ROWTHREEMIDDLE','Третий ряд посередине');
define('_ROWFOURMIDDLE','Ряд четыре средний');
define('_ROWFIVEMIDDLE','Ряд пятый средний');
define('_ROWSIXMIDDLE','Ряд шесть средний');
define('_ROWSEVENMIDDLE','Седьмой ряд посередине');
define('_ROWEIGHTMIDDLE','Восьмой ряд посередине');
define('_ROWNINEMIDDLE','Ряд девять средний');
define('_ROWTENMIDDLE','Десятый ряд посередине');
define('_ROWELEVENMIDDLE','Одиннадцатый ряд, средний');
define('_ROWTWELVEMIDDLE','Ряд двенадцатый средний');
define('_ROWONEBOTTOM','Ряд один нижний');
define('_ROWTWOBOTTOM','Второй ряд снизу');
define('_ROWTHREEBOTTOM','Третий ряд нижний');
define('_ROWFOURBOTTOM','Ряд четвертый нижний');
define('_ROWFIVEBOTTOM','Строка пятая нижняя');
define('_ROWSIXBOTTOM','Ряд шесть нижний');
define('_ROWSEVENBOTTOM','Ряд семь нижний');
define('_ROWEIGHTBOTTOM','Восьмой ряд снизу');
define('_ROWNINEBOTTOM','Ряд девять нижний');
define('_ROWTENBOTTOM','Строка десятая нижняя');
define('_ROWELEVENBOTTOM','Ряд одиннадцатый нижний');
define('_ROWTWELVEBOTTOM','Строка двенадцатая нижняя');
define('_ROWONE','Ряд один');
define('_ROWTWO','Второй ряд');
define('_ROWTHREE','Третий ряд');
define('_ROWFOUR','Ряд четыре');
define('_ROWFIVE','Пятый ряд');
define('_ROWSIX','Шестой ряд');
define('_ROWSEVEN','Седьмой ряд');
define('_ROWEIGHT','Восьмой ряд');
define('_ROWNINE','Ряд девять');
define('_ROWTEN','Десятый ряд');
define('_ROWELEVEN','Одиннадцатый ряд');
define('_ROWTWELVE','Двенадцатый ряд');
define('_MEMBERSLISTNOTACTIVE','Список участников не активен');
define('_USERINFO','информация о пользователе');
define('_LIBRARY','Библиотека');
define('_OPENSIDEBAR','Открыть боковую панель');
define('_PAGENOTFOUND','Страница не найдена ...');
define('_UNABLETOFIND','Мы не можем найти <br>страницу, которую вы ищете.');
define('_BACKTOHOME','Вернуться домой');
define('_MEMBERSINCE','Член с');
define('_CLEANUPCOMPLETE','Очистка завершена');
define('_INFO','Информация');
define('_ACTION','Действие');
define('_NOTACTIVE','Не активен');
define('_THEME','Тема');
define('_CLICKTOOPEN','Щелкните изображение, чтобы открыть');
define('_ID','ID');
define('_ACTIVEMEMBERACCOUNTS','Учетные записи активных участников');
define('_WEBSITE','Веб-сайт');
define('_NEXT','Следующий');
define('_PREV','Пред.');
define('_MUSTBELOGGEDINTOVIEW','Вы должны войти в систему, чтобы просмотреть эту страницу.');
define('_ACTIVEUSERS','Активные пользователи');
define('_CHANGETHEME','Менять тему');
define('_AVATAR','Аватар');
define('_MEMBERSLIST','Список пользователей');
define('_URLDOESNTEXIST','Похоже, вы перешли на несуществующий URL.<br>Пожалуйста');
define('_FOLLOWTHISLINK','перейдите по этой ссылке');
define('_TOFINDYOURWAYBACK','найти дорогу назад.');
define('_LOSTPAGE404','Потерянная страница 404 Ошибка');
define('_CARDEDPAGE','Карточная страница');
define('_LINKSMAYNOTWORK','Это только для предварительного просмотра, и некоторые ссылки могут не работать.');
define('_EDITARTICLEDIRECTLY','Редактировать эту статью напрямую');
define('_MOUSEOVERTOSTOP','Наведите курсор, чтобы остановить прокрутку');
define('_THEMEPREVIEW','Предварительный просмотр темы');
define('_REFRESH','Обновить страницу');
define('_DELETEIMAGES','Удалить изображения');
define('_ADMIMG','Изображения администраторов');
define('_BY','От');
define('_DATE','Дата');
define('_EDIT','Редактировать');
define('_PRINT','Распечатать');
define('_PRINTPAGE','Распечатать страницу');
define('_PRINTARTICLE','Распечатать статью');
define('_PRINTADMINARTICLE','Распечатать статью администратора');
define('_REPOSITION','Переместить');
define('_EMAIL','Электронное письмо');
define('_NAME','Имя');
define('_SUBJECT','Предмет');
define('_VERSION','Совместимость с версией PHP');
define('_VISITORS','Посетители');
define('_WELCOME_SPECTRA','Добро пожаловать в Spectra');
define('_CHOOSELANG','Выберите из доступных языков');
define('_LANG','Язык');
define('_SAVED','Сохранено');
define('_CONTINUE','Продолжать');
define('_LOGININSTALL','Войти Установка');
define('_ADMINCREDENTIALS','Учетные данные администратора для входа');
define('_USERNAME','Имя пользователя');
define('_PASSWORD','Пароль');
define('_CONFIRMPW','Подтвердить Пароль');
define('_SUCCESSFUL','Учетные данные администратора успешно добавлены!');
define('_SIDEBAR','Боковая панель');
define('_CLOSEMENU','Закрыть');
define('_COMPLETEFORM','Пожалуйста, заполните регистрационную форму!');
define('_EMAILNOTVALID','Email не является допустимым!');
define('_USERNAMENOTVALID','Имя пользователя недействительно!');
define('_PASSWORDMUSTBE','Пароль должен быть от 5 до 20 символов!');
define('_USERNAMEEXISTS','Имя пользователя существует, выберите другое!');
define('_COULDNOTPREPARE','Не удалось подготовить заявление.');
define('_REGSETUPSUCCESS','Настройка регистрации прошла успешно!');
define('_LOGINBLOCKWILLAPPEAR','Блок «Вход/Регистрация участника» появится на странице индекса в ');
define('_LOGINBLOCKWILLNOTAPPEAR','Блок входа/регистрации участника не будет отображаться на главной странице.');
define('_REGISACTIVE','Активна регистрация новых участников.');
define('_LOGINBLOCKWILLAPPEARTOP','Вход/Регистрация появится вверху под строкой меню.');
define('_SIDE','сторона. ');
define('_CHANGEANYTIME','Вы можете изменить это в любое время.');
define('_FORGOTPASSWORD','Активирована функция «Забыли пароль». Регистрация участников не активна.');
define('_REGSETUP','Настройка регистрации');
define('_STEPIMPORTANT','<p class="center">Этот шаг важен, даже если вы не планируете разрешать регистрацию новых участников. Как администратор, если вы забудете свой пароль, вы должны будете иметь возможность использовать функцию «Забыли пароль». Информация, которую вы добавите сюда, активирует эту функцию.</p><br><p class="center">Введите приведенную ниже информацию, которую вы хотите использовать в электронном письме, отправляемом функцией «Забыли пароль».</p>');
define('_WEBSITEURL','ссылка на сайт');
define('_TOP','верхний');
define('_USESIDEBARBLOCK','Вы можете добавить ссылку для входа/регистрации вверху главной страницы. Оставьте пустым, если не используете, или выберите Нет.');
define('_ACTIVEMBRREG','Активировать регистрацию участника?');
define('_REGSUCCESS','Настройка регистрации прошла успешно!');
define('_NO','Нет');
define('_YES','Да');
define('_RIGHT','Верно');
define('_LEFT','Оставил');
define('_SAVE','Сохранять');
define('_READMORE','Читать далее');
define('_CLICKTHUMBNAILTOOPEN','Нажмите на миниатюру, чтобы открыть');

// Корневые файлы

// cleanup.php

define('_COMPLETE','Установка завершена');
define('_CONGRATULATIONS','Поздравляем! Вы готовы войти в систему как администратор и создать свой сайт.');
define('_CONTENTS','Примечание. Содержимое папки INSTALL было удалено в процессе очистки.');
define('_REFERENCE','Проконсультируйтесь с архивом <a href="../../README.html" target="_blank">README.html</a> для получения дополнительной информации, которую можно использовать вместе.');

// activemembers.php

define('_SOCIALSHARING','Социальный обмен');
define('_ISSHAREDPAGE','Добро пожаловать! Здесь меня знают как ');
define('_WHOSEROLE','моя роль здесь <b>активная ');
define('_SINCE','я был здесь с тех пор');
define('_HASCHOSEN','Я решил поделиться этой информацией с вами.');
define('_RESIDESIN','проживает в');
define('_INTERESTARE','Интерес');
define('_VISITWEBSITE','Веб-сайт');
define('_BIOGRAPHY','биография');
define('_CANNOTACCESSDIRECTLY','Вы не можете получить доступ к этой странице напрямую.');
define('_REALNAME','Настоящее имя');
define('_ROLE','Роль');
define('_DATEJOINED','Дата регистрации');
define('_MUSTLOGIN','Вы должны <a href="sys/index.php">зарегистрироваться</a>, чтобы получить доступ к этой странице.');
define('_VISIT','Посещать');

// builders/admintools.php

define('_HIDETOPBAR','Скрыть верхнюю панель?');
define('_SHOWCONTENTSAVER','Показать средство сохранения содержимого?');
define('_SHOWMENUICONS','Показать значки меню?');
define('_ADDLINKS','Добавить ссылки');
define('_TURNONOFF','Включить/выключить верхнюю панель');
define('_OPENCONTENTSAVER','Открыть средство сохранения содержимого');
define('_CONTENTSAVER','Экономия контента');
define('_QUICKNOTE','Краткое примечание');
define('_NOTES','Примечания');
define('_EDITNOTES','Редактировать примечания');
define('_IMAGEGRABBER','Захват изображений');
define('_DROPFILEHERE','Перетащите файл сюда');
define('_VIEWIMAGES','Просмотр изображений');
define('_OR','или');

// contact.php, card.php

define('_INVALIDNAME','Неправильное имя');
define('_INVALIDSUBJECT','Недопустимая тема');
define('_INVALIDEMAIL','Неверный адрес электронной почты');
define('_MESSAGESHOULDNOTBEEMPTY','Ваше сообщение не должно быть пустым');
define('_CONTACTUS','Связаться с нами');
define('_MESSAGE','Сообщение');
define('_SUBMIT','Представлять на рассмотрение');
define('_MESSAGESENT','Сообщение отправлено');
define('_ERROROCCURED','Произошла ошибка, повторите попытку позже');

// credits.php

define('_SPECIALTHANKS','Специальная благодарность!');
define('_THANKTHEFOLLOWING','Я хотел бы поблагодарить следующих за использование их продуктов в создании Spectra.');
define('_CSSTOOLTIPLIBRARY','Библиотека всплывающих подсказок на чистом CSS для вашего сайта.');
define('_VISUALTEXTEDITOR','Умный визуальный текстовый редактор.');
define('_MEDIALIBRARY','Медиатека с редакторами изображений.');
define('_FORMEDFOUNDATION','легли в основу галереи Spectra.');
define('_USERSONLINE','Для сценария «Пользователи онлайн»');
define('_CHATROOMSCRIPT','Скрипт чата');

// downloads.php

define('_ALLOWCOMMENTS','Разрешить комментарии');
define('_TITLE','Заголовок');
define('_FILENAME','Имя файла');
define('_TOTAL_DOWNLOADS','Загрузки');
define('_DOWNLOADS','Пакет загрузок');
define('_FILESIZE','Размер файла');
define('_CATEGORY','Категория');
define('_DOWNLOADFILES','Скачать файлы');
define('_PAGE','Страница');
define('_DOWNLOAD','Скачать');
define('_MUSTBELOGGEDIN','Вы должны войти в систему, чтобы получить доступ к загрузкам');

// faq.php

define('_FAQ','Часто задаваемые вопросы');

// footer.php

define('_VISITCMSSPECTRA','Посетите Spectra');
define('_POWEREDBYCMSSPECTRA','Работает на Spectra, Версия');
define('_GOTOTOP','Перейти к началу');

// gallery.php

define('_RETURNTOHOMEPAGE','Вернуться на главную страницу');
define('_GALLERYMENU','Галерея Меню');
define('_REFRESHPAGE','Обновите страницу, если изображения не загружаются сразу.');
define('_SPECTRAGALLERY','Spectra Галерея');

// sidebars.php
define('_SIDEBARBLOCKS','Блоки боковой панели');

// themes.php

define('_REFRESHTHISWINDOW','Обновите это окно, чтобы увидеть изменения по мере их внесения в тему.');
define('_CLOSE','Закрывать');


// builders/admin.php, builders/adminarticle.php, builders/adminblock.php

define('_ARTICLES','Статьи');
define('_COMMENTS','Комментарии');
define('_COMMENT','Комментарий');
define('_AWAITINGEDITING','ожидает редактирования');
define('_MEMBERSONLY','Только для членов');
define('_EDITPAGEDIRECTLY','Отредактируйте эту страницу напрямую.');
define('_EDITDIRECTLY','Редактировать напрямую');

// Lsidebar.php and Rsidebar.php

define('_SEARCH','Поиск');
define('_ARCHIVES','Архивы');
define('_LINKTOME','Ссылка на меня');

// plugin-blockL.php and plugin-blockR.php

define('_TAGCLOUD','Облако тегов');
define('_CATEGORIES','Категории');
define('_CLOCK','Часы');
define('_DIGITALCLOCK','Цифровые часы');
define('_CALENDAR','Календарь');
define('_SPOTLIGHT','Прожектор');

// sup/profile.php

define('_LOCATION','Расположение');
define('_BIO','биография');
define('_INTEREST','Интерес');

// core/startup.php

define('_MUSTBELOGGED_IN','Администратор должен войти в систему, чтобы увидеть эту страницу.');
define('_STARTUPGUIDE','Руководство по запуску');
define('_WELCOMETOSPECTRA','Добро пожаловать в Спектру!');
define('_ONLYADMINCANSEE','Только администратор, вошедший в систему, может видеть это');
define('_FORQUICKSETUP','Для просмотра функций быстрой настройки перейдите к &quot;<a href="designer/setup-wizard/index.php" target="_blank">Мастер настройки</a>.');
define('_CKEDITOR','Хотя срок службы CKEditor 4 подошел к концу (EOL), я все еще использую его со Spectra, потому что он безопасен и надежен.');
define('_CREATEDSPECTRAFOR','Я создал Spectra для использования на &quot;<a href="https://www.coders-junction.com" target="_blank">Coders Junction</a>&quot;. Это не форк, а совершенно новая система управления контентом.<br>Мой дизайн ориентирован на обеспечение легкой установки, использования и необходимых инструментов для успешного веб-сайта.<br>Spectra предлагает ряд функций, включая плагины, модули, системы меню, статьи, страницы, пакет загрузки, галерею изображений и многое другое.');
define('_THEADMINHAS','Администратор имеет эксклюзивный доступ к простым инструментам редактирования в Spectra при входе в систему.');
define('_USEROWGRID','Использование строк/сетки');
define('_USEROWGRIDPARA','<p style="text-align: justify; color:#000000; font-size:18px;">Самый эффективный способ создания веб-сайта — использование строк. При использовании строк можно легко контролировать выравнивание и размер элементов с помощью ширины и высоты столбцов внутри макета сетки. Когда дело доходит до веб-дизайна, сетки могут стать бесценным инструментом, помогающим создавать привлекательный и эффективный дизайн. Настраивая столбцы, строки и поля, элементы дизайна получают свободу действий, и пользователи могут быстро освоиться с интерфейсом, не перегружаясь.</p><p style="text-align: justify; color:#000000; font-size:18px;">Фрагменты, блоки, страницы и статьи являются основными элементами контента. Я описываю их на панели управления дизайнеров/на домашней странице. Сниплеты (тизеры) — это небольшие контейнеры контента, содержащие пару строк текста и картинку. Фрагменты также имеют полнотекстовую функцию, которая позволяет добавлять столько контента, сколько вы хотите. Доступ к ней осуществляется путем щелчка по значку со стрелкой вверх, который находится в контейнере фрагментов на главной странице. Блоки, статьи и страницы содержат столько контента, сколько вы хотите к ним добавить.</p><p style="text-align: justify; color:#000000; font-size:18px;">Каждый элемент контента имеет функции прямого редактирования. Чтобы отредактировать содержимое элемента, щелкните значок карандаша, а чтобы изменить положение элемента в той же строке, щелкните значок стрелки.</p><p style="text-align: justify; color:#000000; font- size:18px;">Строки содержат содержимое. Всего 12 строк, и каждая строка имеет 3 слоя: верхний, средний и нижний. Каждый слой может содержать неограниченное количество контента, от блоков до фрагментов. Строки содержат боковые панели слева, справа или с обеих сторон.</p>');
define('_SNIPLETPARA','<p style="text-align: justify; color:#000000; font-size:18px;">Если вы назначаете фрагменты строке, вы сами решаете, сколько их будет отображаться (до шести) в слоях, отображаемых слева направо. Слоев подряд может быть неограниченное количество. Когда один слой в строке будет завершен, следующий окажется ниже предыдущего слоя. Администратор может изменить положение фрагмента внутри строки, перетащив его на новое место. Чтобы переместить фрагмент в другую строку, щелкните значок редактирования и измените назначение строки. Например, если вы строите четыре слоя фрагментов подряд (16 фрагментов) и хотите переместить последний фрагмент на четвертый слой, просто перетащите его на новое положение.</p>');
define('_BLOCKSPARA','<p style="text-align: justify; color:#000000; font-size:18px;">При построении блоков каждая строка/слой может содержать до 6 блоков (на ваше усмотрение) с неограниченным количеством слоев в каждой строке. При настройке блоков необходимо настроить каждую строку. Измените положение блоков внутри строки, перетащив их в новое положение. Чтобы изменить назначение строки, щелкните значок редактирования и измените его. При создании блока вы можете назначить его любому месту на странице и даже назначить его боковым панелям на холсте или за его пределами.</p><p style="text-align: justify; #000000; font- size:18px;">После того, как вы <a href="designer/index.php" target="_blank">прочитали все</a>, первым шагом станет настройка главной страницы. Перейдите к <a href="designer/setup-wizard/index.php" target="_blank">Руководству по быстрой установке</a> или к Панели дизайнеров/<a href="designer/website.php" target="_blank ">Общая конфигурация сайта</a>. После настройки этой страницы вы можете создавать контент.</p>');

// users.php

define('_ONLINE','В сети');
define('_DONTHAVEANAVATAR','Нет аватара? Следуй за мной в Граватар.');
define('_WELCOME','Добро пожаловать');
define('_ACCOUNT','Счет');
define('_PROFILE','Профиль');
define('_CONTACT','Контакт');
define('_SUBMITARTICLE','Отправить статью');
define('_AVAILABLEDOWNLOADS','Доступные загрузки');
define('_DOWNLOADSMEMBERSONLY','Скачивание доступно только для участников.');
define('_DOWNLOADSALLVISITORS','Загрузки доступны для всех посетителей.');
define('_LOGOUT','Выйти');
define('_LOGIN','Авторизоваться');
define('_PUBLISHEDARTICLES','Опубликованные статьи');
define('_ACTIVEMEMBERS','Активные участники');
define('_TOTALMEMBERS','Всего членов');
define('_REGISTER','регистр');
define('_IPADDRESS','айпи адрес');

// core/megamenu

// index.php

define('_HOME','Домой');
define('_FAQLINK','Вопросы-Ответы');
define('_SOCIALMEDIA','Социальные медиа');

// sidemenu.php

define('_OPENOFFCANVAS','Открыть меню Off Canvas');
define('_INDEX','Показатель');

// core/modules/

// modgallery/index.php

define('_CLICKFORSLIDESHOW','Щелкните изображение для слайд-шоу');

// core/plugins

// archive.php

define('_CARDS','Открытки');

// linktome.php

define('_COPYANDPASTECODE','Скопируйте и вставьте следующий код на свой веб-сайт, где вы хотите, чтобы кнопка отображалась.');
define('_COPYTHECODE','КопироватьКод');

// categories.php

define('_ACTIVEARTICLES','Активные статьи');
define('_PAGES','Страницы');

// registration.php

define('_USERS','Пользователи');

// spotlight.php

define('_ARCHIVED','В архиве');
define('_ACTIVE','Активный');

// html-themes/uploadfolder.php

define('_HTMLUPLOADTOOL','Инструмент загрузки папки HTML5');
define('_PHPINISETTINGS','Настройки в вашем файле php.ini должны включать следующее:');
define('_TOTALFILES','общее количество файлов в папке, если вы получите сообщение об ошибке, папка все еще может быть загружена.');
define('_FOLDERTOUPLOAD','Выберите папку для загрузки (должно совпадать с <strong>названием папки</strong>)');
define('_NAMEISEMPTY','Имя папки загрузки пусто.');
define('_UPLOADSUCCESSFUL','Папка успешно загружена');
define('_FOLDERNAME','Имя папки');

// themecontroller/index.php

define('_UPLOADFOLDER','Загрузить папку');
define('_SETTHEMEFOLDERNAME','Вы не задали имя папки тем.<br>Введите имя папки тем и нажмите "Обновить запись" и "Обновить страницу", чтобы продолжить.');
define('_UPLOADHTML5THEME','Загрузить папку темы HTML5');
define('_WILLUPLOADFOLDER','Это загрузит папку вашей темы');
define('_INTOHTMLTHEMES','в папку html-темы.');
define('_CHOOSE','выберите');
define('_FOLDERFORUPLOAD','Папка для загрузки');
define('_PERCENTAGE','Процент');
define('_PROGRESS','Прогресс');
define('_FILESUPLOADED','Файлы загружены');
define('_LOADERANIMATION','Анимация загрузчика');
define('_CLOSETHISWINDOW','Закрыть это окно');