<?php
/**
* Spectra es un software diseñado para construir un sitio web.
* PHP versión 8
*
* @categoría Código abierto
* @paquete Espectros
* @autor Mike Boyles <admin@papamikescreations.org>
* @copyright 2020-2023 Coders Junction
* @license Licencia pública general GNU <http://www.gnu.org/licenses/>.
* @enlace https://www.papamikescreations.org
*/ 

// Paquete de idioma Español

// En general

define('_SITELASTUPDATE','Este sitio fue actualizado por última vez el: ');
define('_CLICKREADMORE','Haga clic para leer más');
define('_LIKES','Gustos');
define('_LIKE','Como');
define('_UNLIKE','A diferencia de');
define('_ANENTIREHOMEPAGE','Se puede crear una página de inicio completa utilizando un contenedor. Pero luego puedes construir tantos como necesites y tenerlos en numerosas filas/capas.');
define('_CONTAINER','Envase');
define('_CONFIRM','Confirmar');
define('_USEPASSWORDGEN','Utilice el generador de contraseñas');
define('_FILECLEANUP','Haga clic en Continuar para activar el proceso de limpieza. Se eliminarán todos los archivos utilizados en la instalación. Spectra no se puede ejecutar si estos archivos existen.');
define('_ARCHIVELIBRARY','Biblioteca de archivos');
define('_NEWSARTICLES','Artículos de noticias');
define('_DATEPUBLISHED','Fecha de publicación');
define('_ADMINARTICLES','Artículos de administración');
define('_SITEINMAINTMODE','El sitio está en modo de mantenimiento.');
define('_MAINTMODE','Modo de mantenimiento');
define('_MAKINGUPDATES','<h2 class="center">Estamos realizando actualizaciones importantes en el sitio<br><br>Y volveremos pronto<br><br>Disculpe las molestias</h2>');
define('_GOBACK','Regresa');
define('_SEARCHQUERY','Consulta de busqueda');
define('_PAGINATIONACTIVE','Paginación activa');
define('_POLLNOTEXIST','La encuesta con ese ID no existe.');
define('_NOPOLLID','No se ha especificado ningún ID de encuesta.');
define('_NORECORDS','Se encontraron 0 registros en esta búsqueda.');
define('_BLOCKS','Bloques');
define('_PREVIEWTHEMES','Vista previa de temas');
define('_MEMBERSCAN','Los miembros pueden elegir su propio tema<br>Vaya a <a href="sys/">Su cuenta</a> para establecer su tema predeterminado.');
define('_SUBDOMAIN','Subdominio?');
define('_SUBDOMAINNAME','Nombre de subdominio');
define('_LAYERSARENOTACIVE','Las capas no están activas');
define('_ISINACTIVE','No esta activo');
define('_TURNITON','Configurar fila');
define('_POLLS','Centro');
define('_VIEWRESULT','Ver resultado');
define('_VOTE','Votar');
define('_VOTES','Votos');
define('_STATS','Estadísticas');
define('_DOWNLOADCAT','Descargar Categorías');
define('_HEADERBLOCKTOP','Parte superior del bloque de cabecera');
define('_HEADERBLOCKMIDDLE','Encabezado Bloque Medio');
define('_HEADERBLOCKBOTTOM','Parte inferior del bloque de cabecera');
define('_ROWHEADER','Encabezado de fila');
define('_OPENEASYREADER','Abrir lector fácil');
define('_QUICKNOTES','Notas rápidas');
define('_NOVIDEOS','No hay videos en el archivo.');
define('_VIDEOARCHIVE','Archivo de videos');
define('_OPENCLOSE','Abierto cerrado');
define('_SEARCHVIDEOS','Buscar videos por categoría o título');
define('_SPOTLIGHTVIDEOS','Vídeos destacados');
define('_SNIPLETS','Fragmentos');
define('_ONCANVASLEFT','Sobre lienzo Izquierda');
define('_ONCANVASRIGHT','Sobre lienzo Derecha');
define('_QUICKLINKS','enlaces rápidos');
define('_READLIBRARY','Lea artículos, páginas y más...');
define('_CONFIGROW','Configurar Fila');
define('_CONFIGARTICLESPOSITION','Configurar posición de artículos');
define('_HEIGHT','Altura');
define('_WIDTH','Ancho');
define('_ROWONETOP','Parte superior de la fila uno');
define('_ROWTWOTOP','Fila dos superior');
define('_ROWTHREETOP','Fila tres superior');
define('_ROWFOURTOP','Fila cuatro superior');
define('_ROWFIVETOP','Fila cinco superior');
define('_ROWSIXTOP','Parte superior de la fila seis');
define('_ROWSEVENTOP','Parte superior de la fila siete');
define('_ROWEIGHTTOP','Parte superior de la fila ocho');
define('_ROWNINETOP','Parte superior de la fila nueve');
define('_ROWTENTOP','fila diez parte superior');
define('_ROWELEVENTOP','Parte superior de la fila once');
define('_ROWTWELVETOP','Parte superior de la fila doce');
define('_ROWONEMIDDLE','Fila Uno Medio');
define('_ROWTWOMIDDLE','Fila Dos Medio');
define('_ROWTHREEMIDDLE','Fila tres medio');
define('_ROWFOURMIDDLE','Fila Cuatro Medio');
define('_ROWFIVEMIDDLE','Fila Cinco Medio');
define('_ROWSIXMIDDLE','Fila Seis Medio');
define('_ROWSEVENMIDDLE','Fila Siete Medio');
define('_ROWEIGHTMIDDLE','Fila Ocho Medio');
define('_ROWNINEMIDDLE','Fila Nueve Medio');
define('_ROWTENMIDDLE','Fila Diez Medio');
define('_ROWELEVENMIDDLE','Fila Once Medio');
define('_ROWTWELVEMIDDLE','Fila Doce Medio');
define('_ROWONEBOTTOM','Parte inferior de la fila uno');
define('_ROWTWOBOTTOM','Fila dos inferior');
define('_ROWTHREEBOTTOM','Fila tres inferior');
define('_ROWFOURBOTTOM','Fila cuatro inferior');
define('_ROWFIVEBOTTOM','Fila cinco inferior');
define('_ROWSIXBOTTOM','Fila seis inferior');
define('_ROWSEVENBOTTOM','Fila siete inferior');
define('_ROWEIGHTBOTTOM','Fila Ocho Abajo');
define('_ROWNINEBOTTOM','Parte inferior de la fila nueve');
define('_ROWTENBOTTOM','Fila diez inferior');
define('_ROWELEVENBOTTOM','Parte inferior de la fila once');
define('_ROWTWELVEBOTTOM','Fila Doce Inferior');
define('_ROWONE','fila uno');
define('_ROWTWO','fila dos');
define('_ROWTHREE','fila tres');
define('_ROWFOUR','fila cuatro');
define('_ROWFIVE','fila cinco');
define('_ROWSIX','fila seis');
define('_ROWSEVEN','fila siete');
define('_ROWEIGHT','fila ocho');
define('_ROWNINE','fila nueve');
define('_ROWTEN','fila diez');
define('_ROWELEVEN','fila once');
define('_ROWTWELVE','fila doce');
define('_MEMBERSLISTNOTACTIVE','La lista de miembros no está activa');
define('_USERINFO','informacion del usuario');
define('_LIBRARY','Biblioteca');
define('_OPENSIDEBAR','Abrir barra lateral');
define('_PAGENOTFOUND','Página no encontrada ...');
define('_UNABLETOFIND','No podemos encontrar la página<br>que está buscando.');
define('_BACKTOHOME','De vuelta a casa');
define('_MEMBERSINCE','Miembro desde');
define('_CLEANUPCOMPLETE','Limpieza completa');
define('_INFO','Información');
define('_ACTION','Acción');
define('_NOTACTIVE','No activo');
define('_THEME','Tema');
define('_CLICKTOOPEN','Haga clic en la imagen para abrir');
define('_ID','ID');
define('_ACTIVEMEMBERACCOUNTS','Cuentas de miembros');
define('_WEBSITE','Sitio web');
define('_NEXT','Próximo');
define('_PREV','Anterior');
define('_MUSTBELOGGEDINTOVIEW','Usted debe estar conectado para ver esta página.');
define('_ACTIVEUSERS','Usuarios activos');
define('_CHANGETHEME','Cambiar de tema');
define('_AVATAR','Avatar');
define('_MEMBERSLIST','Lista de miembros');
define('_URLDOESNTEXIST','Parece que ha llegado a una URL que no existe.<br>Por favor');
define('_FOLLOWTHISLINK','siga este enlace');
define('_TOFINDYOURWAYBACK','para encontrar tu camino de regreso.');
define('_LOSTPAGE404','Error de página 404 perdida');
define('_CARDEDPAGE','Página Cardada');
define('_LINKSMAYNOTWORK','Esto es solo para vista previa y es posible que algunos enlaces no funcionen.');
define('_EDITARTICLEDIRECTLY','Edite este artículo directamente');
define('_MOUSEOVERTOSTOP','Pase el mouse para detener el desplazamiento');
define('_THEMEPREVIEW','Vista previa del tema');
define('_REFRESH','Actualizar página');
define('_DELETEIMAGES','Eliminar imagen(es)');
define('_ADMIMG','Imágenes de administradores');
define('_BY','Por');
define('_DATE','Fecha');
define('_EDIT','Editar');
define('_PRINT','Impresión');
define('_PRINTPAGE','Imprimir página');
define('_PRINTARTICLE','Imprimir artículo');
define('_PRINTADMINARTICLE','Imprimir artículo de administración');
define('_REPOSITION','Reposicionar');
define('_EMAIL','Correo electrónico');
define('_NAME','Nombre');
define('_SUBJECT','Sujeto');
define('_VERSION','Compatible con la versión de PHP');
define('_VISITORS','Visitantes');
define('_WELCOME_SPECTRA','Bienvenido a Spectra');
define('_CHOOSELANG','Elija entre los idiomas disponibles');
define('_LANG','Idioma');
define('_SAVED','Salvado');
define('_CONTINUE','Continuar');
define('_LOGININSTALL','Instalación de inicio de sesión');
define('_ADMINCREDENTIALS','Credenciales de inicio de sesión de los administradores');
define('_USERNAME','Nombre de usuario');
define('_PASSWORD','Clave');
define('_CONFIRMPW','Confirmar contraseña');
define('_SUCCESSFUL','¡Las credenciales de administrador se agregaron con éxito!');
define('_SIDEBAR','barra lateral');
define('_CLOSEMENU','Cerrar');
define('_COMPLETEFORM','¡Por favor complete el formulario de registro!');
define('_EMAILNOTVALID','¡El correo no es válido!');
define('_USERNAMENOTVALID','¡El nombre de usuario no es válido!');
define('_PASSWORDMUSTBE','¡La contraseña debe tener entre 5 y 20 caracteres!');
define('_USERNAMEEXISTS','El nombre de usuario existe, ¡elija otro!');
define('_COULDNOTPREPARE','No se pudo preparar la declaración.');
define('_REGSETUPSUCCESS','¡La configuración del registro fue exitosa!');
define('_LOGINBLOCKWILLAPPEAR','El bloque de inicio de sesión/registro de miembros aparecerá en la página de índice en el ');
define('_LOGINBLOCKWILLNOTAPPEAR','El bloque de inicio de sesión/registro de miembros no aparecerá en la página de índice.');
define('_REGISACTIVE','El registro de nuevos miembros está activo.');
define('_LOGINBLOCKWILLAPPEARTOP','El inicio de sesión/registro aparecerá en la parte superior debajo de la barra de menú.');
define('_SIDE','lado. ');
define('_CHANGEANYTIME','Usted puede cambiar esto en cualquier momento');
define('_FORGOTPASSWORD','Se ha activado la función Olvidé mi contraseña. El registro de miembros no está activo.');
define('_REGSETUP','Configuración de registro');
define('_STEPIMPORTANT','<p class="center">Este paso es importante incluso si no planea permitir el registro de nuevos miembros. Como administrador, si olvida su contraseña, deberá poder usar la función Olvidé mi contraseña. La información que agregue aquí activará esa característica.</p><br>
<p class="center">Ingrese la información a continuación que desea usar en el correo electrónico que se envía mediante la función ¿Olvidó su contraseña?</p>');
define('_WEBSITEURL','URL del sitio web');
define('_TOP','Parte superior');
define('_NO','No');
define('_YES','Si');
define('_RIGHT','Derecho');
define('_LEFT','Izquierdo');
define('_SAVE','Ahorrar');
define('_USESIDEBARBLOCK','Puede agregar un enlace de inicio de sesión/registro en la parte superior de la página de inicio. Déjelo en blanco si no lo usa o elija No.');
define('_ACTIVEMBRREG','¿Activar el registro de miembros?');
define('_REGSUCCESS','¡La configuración del registro fue exitosa!');
define('_READMORE','Leer más');
define('_CLICKTHUMBNAILTOOPEN','Haga clic en miniatura para abrir');

// Archivos raíz

// cleanup.php

define('_COMPLETE','Instalación completa');
define('_CONGRATULATIONS','Felicidades! Está listo para iniciar sesión como administrador y crear su sitio web.');
define('_CONTENTS','Nota: El contenido de la carpeta INSTALL se eliminó durante el proceso de limpieza.');
define('_REFERENCE','Consulte el archivo <a href="../../README.html" target="_blank">README.html</a> para obtener información adicional sobre cómo comenzar.');

// activemembers.php

define('_SOCIALSHARING','Compartiendo socialmente');
define('_ISSHAREDPAGE','¡Bienvenidos! Por aquí me conocen como ');
define('_WHOSEROLE','Mi papel aquí es un <b> activo ');
define('_SINCE','He estado aquí desde');
define('_HASCHOSEN','He elegido compartir esta información contigo.');
define('_RESIDESIN','reside en');
define('_INTERESTARE','Interés');
define('_VISITWEBSITE','Sitio web');
define('_BIOGRAPHY','Biografía');
define('_CANNOTACCESSDIRECTLY','No puede acceder a esta página directamente.');
define('_REALNAME','Nombre real');
define('_ROLE','Role');
define('_DATEJOINED','Fecha de Registro');
define('_MUSTLOGIN','Debe <a href="sys/index.php">iniciar sesión</a> para acceder a esta página.');
define('_VISIT','Visit');

// builders/admintools.php

define('_HIDETOPBAR','¿Ocultar barra superior?');
define('_SHOWCONTENTSAVER','¿Mostrar protector de contenido?');
define('_SHOWMENUICONS','¿Mostrar iconos de menú?');
define('_ADDLINKS','Agregar enlaces');
define('_TURNONOFF','Activar/desactivar la barra superior');
define('_OPENCONTENTSAVER','Abrir protector de contenido');
define('_CONTENTSAVER','Protector de contenido');
define('_QUICKNOTE','Nota rápida');
define('_NOTES','notas');
define('_EDITNOTES','Editar notas');
define('_IMAGEGRABBER','Capturador de imágenes');
define('_DROPFILEHERE','Suelta el archivo aquí');
define('_VIEWIMAGES','Ver imágenes');
define('_OR','o');

// contact.php, card.php

define('_INVALIDNAME','Nombre inválido');
define('_INVALIDSUBJECT','Asunto inválido');
define('_INVALIDEMAIL','Email inválido');
define('_MESSAGESHOULDNOTBEEMPTY','Su mensaje no debe estar vacío');
define('_CONTACTUS','Contacta con nosotros');
define('_MESSAGE','Mensaje');
define('_SUBMIT','Entregar');
define('_MESSAGESENT','Mensaje enviado');
define('_ERROROCCURED','Ocurrió un error, inténtalo de nuevo más tarde');

// credits.php

define('_SPECIALTHANKS','¡Gracias especiales!');
define('_THANKTHEFOLLOWING','Me gustaría agradecer a las siguientes personas por el uso de sus productos en la creación de Spectra.');
define('_CSSTOOLTIPLIBRARY','Una biblioteca de información sobre herramientas de CSS puro para su sitio web.');
define('_VISUALTEXTEDITOR','Editor de texto visual inteligente.');
define('_MEDIALIBRARY','biblioteca multimedia con editores de imágenes.');
define('_FORMEDFOUNDATION','formó la base de Spectra Gallery.');
define('_USERSONLINE','Para el script de usuarios en línea.');
define('_CHATROOMSCRIPT','Guión de la sala de chat');

// downloads.php

define('_ALLOWCOMMENTS','Permitir comentarios');
define('_TITLE','Título');
define('_FILENAME','Nombre del archivo');
define('_TOTAL_DOWNLOADS','Descargas');
define('_DOWNLOADS','Paquete de descargas ');
define('_FILESIZE','Tamaño del archivo');
define('_CATEGORY','Categoría');
define('_DOWNLOADFILES','Descargar archivos');
define('_PAGE','Página');
define('_DOWNLOAD','Descargar');
define('_MUSTBELOGGEDIN','Debe iniciar sesión para acceder a las descargas');

// faq.php

define('_FAQ','Preguntas frecuentes');

// footer.php

define('_VISITCMSSPECTRA','Visite Spectra');
define('_POWEREDBYCMSSPECTRA','Desarrollado por Spectra, Versión ');
define('_GOTOTOP','Ve arriba');

// gallery.php

define('_RETURNTOHOMEPAGE','Regresar a la página principal');
define('_GALLERYMENU','Menú Galería');
define('_REFRESHPAGE','Actualizar página si las imágenes no se cargan inmediatamente.');
define('_SPECTRAGALLERY','Spectra Galería');

// sidebars.php
define('_SIDEBARBLOCKS','Bloques de la barra lateral');

// themes.php

define('_REFRESHTHISWINDOW','Actualice esta ventana para ver los cambios a medida que los realiza en el tema.');
define('_CLOSE','Cerca');


// builders/admin.php, builders/adminarticle.php, builders/adminblock.php

define('_ARTICLES','Artículos');
define('_COMMENTS','Comentarios');
define('_COMMENT','Comentario');
define('_AWAITINGEDITING','en espera de edición');
define('_MEMBERSONLY','Solo miembros');
define('_EDITPAGEDIRECTLY','Edite esta página directamente.');
define('_EDITDIRECTLY','Editar directamente ');

// Lsidebar.php and Rsidebar.php

define('_SEARCH','Búsqueda');
define('_ARCHIVES','Archivo');
define('_LINKTOME','Enlace a mí');

// plugin-blockL.php and plugin-blockR.php

define('_TAGCLOUD','Nube de etiquetas');
define('_CATEGORIES','Categorías');
define('_CLOCK','Reloj');
define('_DIGITALCLOCK','Reloj digital');
define('_CALENDAR','Calendario');
define('_SPOTLIGHT','Destacar');

// sup/profile.php

define('_LOCATION','Ubicación');
define('_BIO','Biografía');
define('_INTEREST','Interés');

// core/startup.php

define('_MUSTBELOGGED_IN','El administrador debe iniciar sesión para ver esta página.');
define('_STARTUPGUIDE','Guía de inicio');
define('_WELCOMETOSPECTRA','¡Bienvenidos a Espectros!');
define('_ONLYADMINCANSEE','Sólo el administrador, cuando inicia sesión, puede ver esto');
define('_FORQUICKSETUP','Para funciones de configuración rápida, vaya al &quot;<a href="../designer/setup-wizard/index.php" target="_blank">Asistente de configuración</a>');
define('_CKEDITOR','Aunque CKEditor 4 ha llegado al final de su vida útil (EOL), todavía lo uso con Spectra porque es seguro.');
define('_CREATEDSPECTRAFOR','Creé Spectra para usarlo en &quot;<a href="https://www.coders-junction.com" target="_blank">Coders Junction</a>&quot;. No es una bifurcación, sino un nuevo sistema de gestión de contenidos.<br>Mi diseño se centra en proporcionar una instalación, un uso y las herramientas necesarias sin esfuerzo para un sitio web exitoso.<br>Spectra ofrece una variedad de funciones, incluidos complementos, módulos, sistemas de menú, artículos, páginas, un conjunto de descargas, una galería de imágenes y más.');
define('_THEADMINHAS','El administrador tiene acceso exclusivo a herramientas de edición sencillas en Spectra mientras está conectado.');
define('_USEROWGRID','Uso de filas/cuadrícula');
define('_USEROWGRIDPARA','<p style="text-align: justify; color:#000000; font-size:18px;">La forma más eficaz de diseñar un sitio web es mediante filas. Con las filas, es fácil controlar las alineaciones y el tamaño de los elementos a través del ancho y alto de las columnas dentro de un diseño de cuadrícula. Cuando se trata de diseño web, las cuadrículas pueden ser una herramienta invaluable para ayudar a crear diseños atractivos y efectivos. Al configurar columnas, filas y márgenes, los elementos de diseño tienen espacio para respirar y los usuarios pueden familiarizarse rápidamente con la interfaz sin sentirse abrumados.</p><p style="text-align: justify; color:#000000; font-size:18px;">Fragmentos, bloques, páginas y artículos son los elementos de contenido principal. Los describo en el Panel de diseñadores/Página de inicio. Los sniplets (teasers) son pequeños contenedores de contenido que contienen un par de líneas de texto y una imagen. Los fragmentos también tienen una función de texto completo que le permite agregar todo el contenido que desee y se accede a ella haciendo clic en el ícono de flecha hacia arriba que se encuentra en el contenedor de fragmentos en la página de inicio. Los bloques, artículos y páginas contienen todo el contenido que desee agregarles.</p><p style="text-align: justify; color:#000000; font-size:18px;">Cada elemento de contenido tiene Funciones de edición directa. Para editar el contenido de un elemento, haga clic en el ícono de lápiz y para reposicionar un elemento dentro de la misma fila, haga clic en el ícono de flechas.</p><p style="text-align: justify; color:#000000; font- size:18px;">Las filas contienen el contenido. Hay 12 filas y cada fila tiene 3 capas: Superior, Media e Inferior. Cada capa puede contener una cantidad ilimitada de contenido, desde bloques hasta fragmentos. Las filas contienen barras laterales a la izquierda, a la derecha o a ambos lados.</p>');
define('_SNIPLETPARA','<p style="text-align: justify; color:#000000; font-size:18px;">Si asigna fragmentos a una fila, usted decide cuántos mostrar (hasta seis) en las capas que se muestran de izquierda a derecha. Puede haber un número ilimitado de capas seguidas. Cuando se completa una capa dentro de una fila, la siguiente quedará debajo de la capa anterior. El administrador puede reposicionar un fragmento dentro de una fila arrastrándolo a una nueva posición. Para mover un fragmento a otra fila, haga clic en el icono de edición y cambie la asignación de fila. Por ejemplo, si crea cuatro capas de fragmentos seguidos (16 fragmentos) y desea mover el último fragmento de la cuarta capa, simplemente arrástrelo a la nueva posición.</p>');
define('_BLOCKSPARA','<p style="text-align: justify; color:#000000; font-size:18px;">Al construir bloques, cada fila/capa puede contener hasta 6 bloques (usted decide) con capas ilimitadas en cada fila. Al configurar bloques, debe configurar cada fila. Reposicione los bloques dentro de una fila arrastrándolos a una nueva posición. Para cambiar la asignación de filas, haga clic en el icono de edición y cámbielo. Al crear un bloque, puede asignarlo a cualquier lugar de la página e incluso asignarlo a barras laterales dentro o fuera del lienzo.</p><p style="text-align: justify; #000000; font- size:18px;">Una vez que hayas <a href="designer/index.php" target="_blank">leído todo</a>, el primer paso es configurar la página de inicio. Vaya a la <a href="designer/setup-wizard/index.php" target="_blank">Guía de configuración rápida</a> o al Panel de diseñadores/<a href="designer/website.php" target="_blank ">Configuración general del sitio web</a>. Después de configurar esta página, puede crear contenido.</p>');

// users.php

define('_ONLINE','En línea');
define('_DONTHAVEANAVATAR','¿No tienes un avatar? Sígueme a Gravatar.');
define('_WELCOME','Bienvenidos');
define('_ACCOUNT','Cuenta');
define('_PROFILE','Perfil');
define('_CONTACT','Contacto');
define('_SUBMITARTICLE','Enviar artículo');
define('_AVAILABLEDOWNLOADS','Descargas disponibles');
define('_DOWNLOADSMEMBERSONLY','*Las descargas están disponibles solo para miembros.');
define('_DOWNLOADSALLVISITORS','Las descargas están disponibles para todos los visitantes.');
define('_LOGOUT','Cerrar sesión');
define('_LOGIN','Acceso');
define('_PUBLISHEDARTICLES','Artículos publicados');
define('_ACTIVEMEMBERS','Miembros activos');
define('_TOTALMEMBERS','Miembros totales');
define('_REGISTER','Registrarse');
define('_IPADDRESS','dirección IP');

// core/megamenu

// index.php

define('_HOME','Casa');
define('_FAQLINK','Preguntas más frecuentes');
define('_SOCIALMEDIA','Redes sociales');

// sidemenu.php

define('_OPENOFFCANVAS','Abrir menú fuera del lienzo');
define('_INDEX','Índice');

// core/modules/

// modgallery/index.php

define('_CLICKFORSLIDESHOW','Haga clic en la imagen para la presentación de diapositivas');

// core/plugins

// archive.php

define('_CARDS','Tarjetas');

// linktome.php

define('_COPYANDPASTECODE','Copie y pegue el siguiente código en su sitio web donde desea que aparezca el botón.');
define('_COPYTHECODE','Copiar el código');

// categories.php

define('_ACTIVEARTICLES','Artículos activos');
define('_PAGES','Paginas');

// registration.php

define('_USERS','Usuarios');

// spotlight.php

define('_ARCHIVED','Archivado');
define('_ACTIVE','Activa');

// html-themes/uploadfolder.php

define('_HTMLUPLOADTOOL','Herramienta de carga de carpetas HTML5');
define('_PHPINISETTINGS','La configuración en su archivo php.ini debe incluir lo siguiente:');
define('_TOTALFILES','número total de archivos en la carpeta, si obtiene un error, la carpeta aún podría cargarse.');
define('_FOLDERTOUPLOAD','Seleccione la carpeta para cargar (debe coincidir con el <strong>nombre de la carpeta</strong>)');
define('_NAMEISEMPTY','El nombre de la carpeta de carga está vacío.');
define('_UPLOADSUCCESSFUL','La carpeta se cargó con éxito');
define('_FOLDERNAME','Nombre de la carpeta');

// themecontroller/index.php

define('_UPLOADFOLDER','Cargar carpeta');
define('_SETTHEMEFOLDERNAME','No ha establecido el nombre de la carpeta de temas.<br>Ingrese el nombre de la carpeta de temas y haga clic en "Actualizar el registro" y "Actualizar página" para continuar.');
define('_UPLOADHTML5THEME','Cargar carpeta de tema HTML5');
define('_WILLUPLOADFOLDER','Esto cargará tu carpeta de temas.');
define('_INTOHTMLTHEMES','en la carpeta html-themes.');
define('_CHOOSE','Escoger');
define('_FOLDERFORUPLOAD','Carpeta para cargar');
define('_PERCENTAGE','Porcentaje');
define('_PROGRESS','Progreso');
define('_FILESUPLOADED','Archivos cargados');
define('_LOADERANIMATION','Animación del cargador');
define('_CLOSETHISWINDOW','Cierra esta ventana');

