<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */ ?>

<style>
nav#slide-menu-right {
  position: fixed;
  background: <?= $wrapper ?>;
  top: 0;
  right: -300px;
  bottom: 0;
  display: block;
  overflow-y: scroll;
  max-width: 300px;
  height: 100%;
  z-index: 9999;
  -moz-transition: all 300ms;
  -webkit-transition: all 300ms;
  transition: all 300ms;
}

body.menu-active-right nav#slide-menu-right {
  right: 0px;
  padding: 20px;
}

div#content-right {
  position: fixed;
  top: 0;
  right: 0;
  height: 100%;
  padding: 0;
  border-radius: 0;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  -moz-transition: all 300ms;
  -webkit-transition: all 300ms;
  transition: all 300ms;
}

div#content-right div.menu-trigger-right {
  position: fixed;
  top: 20%;
  right: 40px;
  width: 50px;
  height: 50px;
  cursor: pointer;
  -moz-transition: all 300ms;
  -webkit-transition: all 300ms;
  transition: all 300ms;
}

@media (max-width: 768px) {
  div#content-right div.menu-trigger-right {
    top: 20%;
  }
}

body.menu-active-right div#content-right {
  right: 300px;
  border-radius: 7px 0 0 7px;
}

body.menu-active-right div#content-right .menu-trigger-right {
  right: 300px;
}

</style>