<?php 
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

if ($showfooter == 'No') {

if ($styling == 'No') { ?>
<button onclick="topFunction()" id="UpTop" style="background: <?= $menu_color ?>; border:1px solid <?= $menu_color_second ?>; box-shadow:<?= $shadow ?>; padding:<?= $padding ?>; color:<?= $linkcolor ?>; border-radius:<?= $radius ?>;" title="<?= _GOTOTOP ?>"><i class="fa fa-angle-double-up"></i></button>   
<?php } else {
if ($selectback == 'Image') { ?>
<button onclick="topFunction()" id="UpTop" style="background: url('../media/images/<?= $backimg ?>'); border:<?= $border ?>; box-shadow:<?= $shadow ?>; padding:<?= $padding ?>; color:#ffffff; border-radius:<?= $radius ?>;" title="<?= _GOTOTOP ?>"><i class="fa fa-angle-double-up"></i></button>
<?php } else { ?>
<button onclick="topFunction()" id="UpTop" style="background: linear-gradient(<?= $firstcolor ?>, <?= $secondcolor ?>); border:<?= $border ?>; box-shadow:<?= $shadow ?>; padding:<?= $padding ?>; color:#ffffff; border-radius:<?= $radius ?>;" title="<?= _GOTOTOP ?>"><i class="fa fa-angle-double-up"></i></button>
<?php } 

}} else {
    
if (!isset($img_source)) {
$img_source = '../core/social icons/';
} else {
$img_source = 'core/social icons/'; }

/**
* 
*  Retrieve the social media records.
*
*/

require_once 'core/lang/' . $lang . '.php'; ?>

<div style="width:98.5%; margin:0 auto;" class="footer">
<?php if ($use_social_media == 'Yes' && $SM_location == 'Footer') { ?>
<div class="social-media">
<?php require_once 'core/plugins/sociallinks.php'; ?>
</div>
<?php } ?>

<br>
<br>

<?php $sql = "SELECT * FROM website, themes WHERE theme_name='$themes'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$footer_font_color = $row['footer_font_color'];
$footer_img = $row['footer_img'];
$content_bg = $row['content_bg']; 
$footer_color = $row['footer_color'];
$setsiteupdate = $row['setsiteupdate'];
$updatedate = $row['updatedate']; }} ?>

<div class="footer full center spacer">
<p class="center" style="color:<?= $footer_font_color ?>"><?= _POWEREDBYCMSSPECTRA ?> <?= $current_version ?></p>
<p class="center" style="color:<?= $footer_font_color ?>"><?= _VERSION ?> <?= $php_version ?></p>

<?php if ($setsiteupdate == 'Auto') { ?>
<p class="center" style="color:<?= $footer_font_color ?>"><?= _SITELASTUPDATE ?> <?php echo date("l F j \, Y") . ""; ?></p>
<?php } 
elseif ($setsiteupdate == 'Manual') { ?> 
<p class="center" style="color:<?= $footer_font_color ?>"><?= _SITELASTUPDATE ?> <?= $updatedate ?></p>
<?php } ?>

<p class="center" style="color:<?= $footer_font_color ?>"><?= $copyright ?></p>

<div class="footer" id="wrapper"><p class="center" style="color:<?= $footer_font_color ?>"><?= $footercontent ?></p></div>

<?php
/**
* 
* Admin direct editing.
* 
*/

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>    
<div class="column-footer center spacer" style="margin:0 auto; width:100%;">
<a href="../core/designer/footer-config.php" onclick="basicPopup(this.href);return false" title="<?= _EDITPAGEDIRECTLY ?>"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>
</div>
<?php }}

/**
 * 
 * Add the counter if selected.
 * Show to either admin or public.
 *  
 */

require_once 'core/layout/get_visitors.php';


/**
* 
* Add the (Back To Top) function styling
* Use either default (matches theme) or custom.
* and visitor counter if used.
* 
*/

if ($styling == 'No') { ?>
<button onclick="topFunction()" id="UpTop" style="background: <?= $menu_color ?>; border:1px solid <?= $menu_color_second ?>; box-shadow:<?= $shadow ?>; padding:<?= $padding ?>; color:<?= $linkcolor ?>; border-radius:<?= $radius ?>;" title="<?= _GOTOTOP ?>"><i class="fa fa-angle-double-up"></i></button>   
<?php } else {
if ($selectback == 'Image') { ?>
<button onclick="topFunction()" id="UpTop" style="background: url('../media/images/<?= $backimg ?>'); border:<?= $border ?>; box-shadow:<?= $shadow ?>; padding:<?= $padding ?>; color:#ffffff; border-radius:<?= $radius ?>;" title="<?= _GOTOTOP ?>"><i class="fa fa-angle-double-up"></i></button>
<?php } else { ?>
<button onclick="topFunction()" id="UpTop" style="background: linear-gradient(<?= $firstcolor ?>, <?= $secondcolor ?>); border:<?= $border ?>; box-shadow:<?= $shadow ?>; padding:<?= $padding ?>; color:#ffffff; border-radius:<?= $radius ?>;" title="<?= _GOTOTOP ?>"><i class="fa fa-angle-double-up"></i></button>
<?php } ?>

<br>
<br>
<?php }} ?>
</div>
</div>  
<?php require_once 'core/builders/scripts.php';

/**
* 
* Add js support for the topbar
* off-canvas container.
* 
*/?>

</body>
</html>