<?php 
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

$sql = "SELECT logo, themes FROM website";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$logo = $row['logo']; }} ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<?php $sql = "SELECT * FROM website";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$description = $row['description'];
$keywords = $row['keywords'];
$author = $row['author']; }} ?>
<meta name="description" content="<?= $description ?>">
<meta name="keywords" content="<?= $keywords ?>">
<meta name="author" content="<?= $author ?>">
<title><?= $logo ?></title>
<?php $filename = 'core/builders/config.php';
if (file_exists($filename)) {
require_once "$filename";
} else {
require_once '../builders/config.php'; }
require_once 'sys/functions.php';
/**
* 
*  Find the favicon either .png or .ico and display it.
*
*/
$favicon = 'media/favicon.ico';
if (file_exists($favicon)) { ?>
<link rel="icon" type="image/ico" sizes="16x16" href="<?= $favicon ?>">
<?php } else {
$favicon = 'media/favicon.png'; ?>
<link rel="icon" type="image/png" sizes="16x16" href="<?= $favicon ?>">
<?php } ?>
<link rel="stylesheet" href="core/css/purecookie.min.css">
<link rel="stylesheet" href="core/css/hint.min.css">
<link rel="stylesheet" href="core/css/bootstrap.min.css">
<link rel="stylesheet" href="core/css/colorbox.min.css">
<link rel="stylesheet" href="core/css/style.min.css">
<link rel="stylesheet" href="core/modules/modal/style.min.css">
<link rel="stylesheet" href="core/css/lightbox.min.css">
<link rel="stylesheet" href="core/css/fontawesome.min.css">
<link rel="stylesheet" href="core/css/jside-menu.min.css">
<link rel="stylesheet" href="core/plugins/sidemenu/style.min.css">
<link rel="stylesheet" href="core/css/fonts.min.css">
<link rel="stylesheet" href="core/themes/topbar.min.css">
<?php $sql = "SELECT * FROM website, themes, topbar";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$themes = $row['themes'];
$theme_name = $row['theme_name'];
$menuselection = $row['menuselection'];
$showtopbar = $row['showtopbar'];
require_once 'core/lang/' . $row['lang'] . '.php'; }}

/**
* Add the option for letting
* users choose their own theme
* on homepage and user account.
*/

$stmt = $conn->prepare('SELECT usertheme, usetheme FROM accounts WHERE id = ?');
$stmt->bind_param('i', $_SESSION['id']);
$stmt->execute();
$stmt->bind_result($usertheme, $usetheme);
$stmt->fetch();
$stmt->close();
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true && $usetheme == 'Yes') {
if (isset($_GET['id'])) {
$id = $_GET['id']; }
$sql = "SELECT id, usertheme FROM accounts";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
require_once 'core/themes/usertheme.php'; }}
} else {
require_once 'core/themes/theme.php'; } ?>
<script src="core/js/fontawesome.min.js"></script>
<script src="core/js/purecookie.min.js"></script>
<script src="core/js/jquery-3.2.1.min.js"></script>
<script src="https://www.google.com/recaptcha/api.js" async defer></script>
<script src="core/js/jquery.colorbox.min.js"></script>
<script src="core/js/lightbox-plus-jquery.min.js"></script>
<script src="core/js/lightbox.min.js"></script>
</head>
<body class="loggedin">