<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

if (realpath(__FILE__) == realpath($_SERVER['SCRIPT_FILENAME'])) { exit('Access Denied');}
if (isset($_GET['id'])) { $id = $_GET['id']; }

$sql = "SELECT * FROM registration"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$website_url = $row['website_url'];  }}

$sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$subdomain = $row['subdomain']; 
$Subdomain_name = $row['Subdomain_name']; 
$number_to_show = $row['number_to_show']; 
$article_order = $row['article_order']; 
$position_pagination = $row['position_pagination']; }} ?>

<?php if ($subdomain == 'Yes') {
$domain = "$Subdomain_name/pages.php"; 
} else {
$domain = "../pages.php"; }       

$total_pages = $mysqli->query("SELECT * FROM articles WHERE archive='No'")->num_rows;
$page = isset($_GET['page']) && is_numeric($_GET['page']) ? $_GET['page'] : 1;
$num_results_on_page = "$number_to_show";

if ($stmt = $mysqli->prepare("SELECT * FROM articles ORDER BY position_order LIMIT ?,?")) {
$calc_page = ($page - 1) * $num_results_on_page;
$stmt->bind_param('ii', $calc_page, $num_results_on_page);
$stmt->execute();
$result = $stmt->get_result();

$sql = "SELECT * FROM website, pagination"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$paginationstyle = $row['paginationstyle']; 
$stylename = $row['stylename']; 
$pagination = $row['pagination']; }}

/**
 * 
 * Add pagination to the top of the articles if selected.
 * 
 */

if ($pagination == 'Yes') {
if ($position_pagination == 'Top' || $position_pagination == 'Both') { 

require 'paginationstyling.php'; }}

/**
 * 
 * Build the paginated article.
 * 
 */

require_once 'articles.php';

/**
 * 
 * Add pagination to the bottom of the articles if selected.
 * 
 */

if ($pagination == 'Yes') {
if ($position_pagination == 'Bottom' || $position_pagination == 'Both') { ?>

<div class="center">

<?php if (ceil($total_pages / $num_results_on_page) > 0) { 

require 'paginationstyling.php'; ?>

</div>
<?php }}}} ?>