<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 * 
 */ ?>

<table><tr><td>

<?php
/**
 * 
 * Start building Row Two Bottom content.
 * 
* Add the Row Two Bottom sniplets.
* Show admin message if logged-in.
* 
*/

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { 
if ($_SESSION['role'] == 'Admin') { 
echo '<br><p>- ' . _ROWTWOBOTTOM . ' - <a href="core/designer/rowtwo.php" onclick="basicPopup(this.href);return false">' . _CONFIGROW . '</a></p>'; }}

$sql = "SELECT * FROM config_row_two"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$container_height_bottom = $row['container_height_bottom'];
$number_bottom = $row['number_bottom'];
$bottomflipcardperrow = $row['bottomflipcardperrow'];
$bottomflipcardheight = $row['bottomflipcardheight'];
$usebottom_title = $row['usebottom_title'];
$bottom_title = $row['bottom_title'];

if ($row['bottomtitlelink'] == '') {
if ($row['bottomstyle'] == 'Yes' && $row['usebottomtitle'] == 'Yes') { ?>
<h4 class="column-title coltitlecolor center"><?= $row['bottomtitle'] ?></h4>
<?php } elseif ($row['usebottomtitle'] == 'Yes' && $row['bottomstyle'] == 'No') { ?>
<h4 class="center"><?= $row['bottomtitle'] ?></h4>
<?php }}
else {
if ($row['bottomstyle'] == 'Yes' && $row['usebottomtitle'] == 'Yes') { ?>
<h4 class="column-title coltitlecolor center"><i class="<?= $row['toptitleicon'] ?>"></i> <a href="<?= $row['bottomtitlelink'] ?>" target="_blank"><span class="linkcolor"><?= $row['bottomtitle'] ?></span></a></h4>
<?php } elseif ($row['usebottomtitle'] == 'Yes' && $row['bottomstyle'] == 'No') { ?>
<h4 class="center"><i class="<?= $row['toptitleicon'] ?>"></i> <a href="<?= $row['bottomtitlelink'] ?>" target="_blank"><?= $row['bottomtitle'] ?></a></h4>
<?php }}}}

/**
 * 
 * Add the flip cards.
 * Up to 6 per row.
 * 
 */

 if ($usebottom_title == 'Plain') { ?>
<p class="center"><?= $bottom_title ?></p>
<?php } if ($usebottom_title == 'Styled') { ?>
<br><p class="column-title coltitlecolor center"><?= $bottom_title ?></p>
<?php } if ($usebottom_title == 'No') {}

 $sql = "SELECT * FROM flipcard WHERE location = 'Row Two Bottom' AND archivecard = 'No' ORDER BY position + 0 ASC";
 $result = $conn->query($sql);
 if ($result->num_rows > 0) {
 while ($row = $result->fetch_assoc()) { ?>

 <div class="column<?= $bottomflipcardperrow ?>" style="height:<?= $bottomflipcardheight ?>">
 <div class="flip-card" style="background: linear-gradient(<?= $row['containercolorfirst'] ?>, <?= $row['containercolorsecond'] ?>); width:100%; height:100%; perspective:1000px;">
 <div class="flip-card-inner" style="position:relative; width:100%; height:100%; text-align:center; transition:transform 0.6s; transform-style: preserve-3d; box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);">
 <div class="flip-card-front">
 <?php if ($row['flipcardback'] == 'Image') { ?>
 <div style="background: url('media/flipcard/<?= $row['backimage'] ?>'); background-attachment:fixed; background-size:cover; width:100%; height:100%;"></div>
 <?php } else { ?>
 <img src="media/flipcard/<?= $row['photo'] ?>" style="width:100%; height:100%;" alt="" />
 <?php } ?>
 </div>
 <div class="flip-card-back spacer" style="background:linear-gradient(<?= $row['backcolorfirst'] ?>, <?= $row['backcolorsecond'] ?>);">
 <?= $row['content'] ?>
 </div>
 </div>
 </div>
 <?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { 
 if ($_SESSION['role'] == 'Admin') { ?>
 <div class="center">
 <a href="core/designer/flipcardbuilder.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false">
 <img src="sup/images/edit.gif" style="width:20px" alt="" /></a>
 </div>
 <?php }} ?>
 </div>
 <?php }} //  End the array.

/**
 * 
 * Add the container here
 * Display one container.
 * 
 */ 

if ($number_bottom == '1') { ?>

<table style="width:100%"><tr><td>
<?php $sql = "SELECT * FROM container WHERE set_position = 'Row Two Bottom' ORDER BY location + 0 ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 

/**
 * 
 * Add optional icon or graphic to the title.
 * 
 * 
 */

if ($row['showtitle'] == 'Styled') { ?>
<div class="center column-title coltitlecolor">
<?php if ($row['titleicon'] == 'None' || $row['titleicon'] == '') { ?><h3><?= $row['title'] ?></h3><?php } 
if ($row['titleicon'] == 'Icon') { ?><i style="color:<?= $row['faiconcolor'] ?>" class="<?= $row['faicon'] ?>"></i><?php }
elseif ($row['titleicon'] == 'Graphic') { ?><img src="media/images/<?= $row['graphic'] ?>" style="height:30px" alt="" /><?php } ?>
&nbsp;&nbsp;<?= $row['title'] ?>
</div>
<?php }

elseif ($row['showtitle'] == 'Plain') { ?>
<div style="width:100%; text-align:center">
<?php if ($row['titleicon'] == 'None' || $row['titleicon'] == '') { ?><h3><?= $row['title'] ?></h3><?php }
if ($row['titleicon'] == 'Icon') { ?><h3><i style="color:<?= $row['faiconcolor'] ?>" class="<?= $row['faicon'] ?>"></i>&nbsp;&nbsp;<?= $row['title'] ?></h3><?php }
elseif ($row['titleicon'] == 'Graphic') { ?><h3><img src="media/images/<?= $row['graphic'] ?>" style="height:30px" alt="" />&nbsp;&nbsp;<?= $row['title'] ?></h3><?php } ?>
</div>
<?php }

elseif ($row['showtitle'] == 'No') { }

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { 

/**
 * 
* Admin is logged-in show direct editing tool.
* and repositioning tool.
* 
*/ ?>

<div class="center button full">
<a href="core/designer/container.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['title'] ?>&quot;" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>&nbsp;&nbsp;&nbsp;<a href="core/designer/container-reposition.php#two" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>: &quot;<?= $row['title'] ?>&quot;"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a>
</div>
<?php }}

/**
 * 
 * Add the content areas.
 * Set optional background image or color.
 * 
 */ ?>

<?php if ($row['setback'] == 'Color') { ?>
<table class="card2 column"  style="background: linear-gradient(<?= $row['backcolorfirst'] ?>, <?= $row['backcolorsecond'] ?>); height:<?= $container_height_bottom?>; overflow-y:auto;"> 
<?php } ?>

<?php if ($row['setback'] == 'Image') { ?>
<table class="card2 column"  style="background: url('media/themes/<?= $row['backimage'] ?>'); height:<?= $container_height_bottom ?>; overflow-y:auto;"> 
<?php } ?>

<?php if ($row['setback'] == 'None') { ?>
<table class="card column" style="height:<?= $container_height_bottom ?>; overflow-y:auto;"> 
<?php } 

/**
 * 
 * Containers Per Row (1)
 * 
 * Content Areas One and Two.
 * 
 */ ?> 

<tr>
<?php if ($row['useone'] == 'Yes' && $row['usetwo'] == 'No') { ?>
<td style="<?php if ($row['setbackone'] == 'Image' || $row['setbackone'] == 'Color') { ?>background:<?= $row['backcolorone'] ?> url('media/images/<?= $row['backimageone'] ?>')<?php } ?>" class="spacer top" colspan="2"><?= $row['content_one']?></td>
<?php } ?>

<?php if ($row['useone'] == 'No' && $row['usetwo'] == 'Yes') { ?>
<td style="<?php if ($row['setbacktwo'] == 'Image' || $row['setbacktwo'] == 'Color') { ?>background: <?= $row['backcolortwo'] ?> url('media/images/<?= $row['backimagetwo'] ?>')<?php } ?>" class="spacer top" colspan="2"><?= $row['content_two'] ?></td>
<?php } ?>

<?php if ($row['useone'] == 'Yes' && $row['usetwo'] == 'Yes') {  ?>
<td style="<?php if ($row['setbackone'] == 'Image' || $row['setbackone'] == 'Color') { ?>background: <?= $row['backcolorone'] ?> url('media/images/<?= $row['backimageone'] ?>')<?php } ?>" class="spacer top"><?= $row['content_one']?></td>
<td style="<?php if ($row['setbacktwo'] == 'Image' || $row['setbacktwo'] == 'Color') { ?>background: <?= $row['backcolortwo'] ?> url('media/images/<?= $row['backimagetwo'] ?>')<?php } ?>" class="spacer top"><?= $row['content_two'] ?></td> 
<?php } 

/**
 * 
 * Content Areas Three and Four.
 * 
 */ ?>

</tr><tr>

<?php if ($row['usethree'] == 'Yes' && $row['usefour'] == 'No') { ?>
<td style="<?php if ($row['setbackthree'] == 'Image' || $row['setbackthree'] == 'Color') { ?>background:<?= $row['backcolorthree'] ?> url('media/images/<?= $row['backimagethree'] ?>')<?php } ?>" class="spacer top" colspan="2"><?= $row['content_three']?></td>
<?php } ?>

<?php if ($row['usethree'] == 'No' && $row['usefour'] == 'Yes') { ?>
<td style="<?php if ($row['setbackfour'] == 'Image' || $row['setbackfour'] == 'Color') { ?>background:<?= $row['backcolorfour'] ?> url('media/images/<?= $row['backimagefour'] ?>')<?php } ?>" class="spacer top" colspan="2"><?= $row['content_four'] ?></td>
<?php } ?>

<?php if ($row['usethree'] == 'Yes' && $row['usefour'] == 'Yes') {  ?>
<td style="<?php if ($row['setbackthree'] == 'Image' || $row['setbackthree'] == 'Color') { ?>background:<?= $row['backcolorthree'] ?> url('media/images/<?= $row['backimagethree'] ?>')<?php } ?>" class="spacer top"><?= $row['content_three']?></td>
<td style="<?php if ($row['setbackfour'] == 'Image' || $row['setbackfour'] == 'Color') { ?>background:<?= $row['backcolorfour'] ?> url('media/images/<?= $row['backimagefour'] ?>')<?php } ?>"><?= $row['content_four'] ?></td> 
<?php } 

/**
*
* Content Areas Five and Six.
*
*/ ?>

</tr><tr>

<?php if ($row['usefive'] == 'Yes' && $row['usesix'] == 'No') { ?>
<td style="<?php if ($row['setbackfive'] == 'Image' || $row['setbackfive'] == 'Color') { ?>background:<?= $row['backcolorfive'] ?> url('media/images/<?= $row['backimagefive'] ?>')<?php } ?>" class="spacer top" colspan="2"><?= $row['content_five']?></td>
<?php } ?>

<?php if ($row['usefive'] == 'No' && $row['usesix'] == 'Yes') { ?>
<td style="<?php if ($row['setbacksix'] == 'Image' || $row['setbacksix'] == 'Color') { ?>background:<?= $row['backcolorsix'] ?> url('media/images/<?= $row['backimagesix'] ?>')<?php } ?>" class="spacer top" colspan="2"><?= $row['content_six'] ?></td>
<?php } ?>

<?php if ($row['usefive'] == 'Yes' && $row['usesix'] == 'Yes') {  ?>
<td style="<?php if ($row['setbackfive'] == 'Image' || $row['setbackfive'] == 'Color') { ?>background:<?= $row['backcolorfive'] ?> url('media/images/<?= $row['backimagefive'] ?>')<?php } ?>" class="spacer top"><?= $row['content_five']?></td>
<td style="<?php if ($row['setbacksix'] == 'Image' || $row['setbacksix'] == 'Color') { ?>background:<?= $row['backcolorsix'] ?> url('media/images/<?= $row['backimagesix'] ?>')<?php } ?>" class="spacer top"><?= $row['content_six'] ?></td> 
<?php } 

/**
 * 
 * Content Areas Seven and Eight.
 * 
 */ ?>

</tr><tr>

<?php if ($row['useseven'] == 'Yes' && $row['useeight'] == 'No') { ?>
<td style="<?php if ($row['setbackseven'] == 'Image' || $row['setbackseven'] == 'Color') { ?>background:<?= $row['backcolorseven'] ?> url('media/images/<?= $row['backimageseven'] ?>')<?php } ?>" class="spacer top" colspan="2"><?= $row['content_seven']?></td>
<?php } ?>

<?php if ($row['useseven'] == 'No' && $row['useeight'] == 'Yes') { ?>
<td style="<?php if ($row['setbackeight'] == 'Image' || $row['setbackeight'] == 'Color') { ?>background:<?= $row['backcoloreight'] ?> url('media/images/<?= $row['backimageeight'] ?>')<?php } ?>" class="spacer top" colspan="2"><?= $row['content_eight'] ?></td>
<?php } ?>

<?php if ($row['useseven'] == 'Yes' && $row['useeight'] == 'Yes') {  ?>
<td style="<?php if ($row['setbackseven'] == 'Image' || $row['setbackseven'] == 'Color') { ?>background:<?= $row['backcolorseven'] ?> url('media/images/<?= $row['backimageseven'] ?>')<?php } ?>" class="spacer top"><?= $row['content_seven']?></td>
<td style="<?php if ($row['setbackeight'] == 'Image' || $row['setbackeight'] == 'Color') { ?>background:<?= $row['backcoloreight'] ?> url('media/images/<?= $row['backimageeight'] ?>')<?php } ?>" class="spacer top"><?= $row['content_eight'] ?></td> 
<?php } ?>
</tr></table>
<?php }} ?>
</td></tr></table>
<?php } ?>

<?php
/**
 * 
* Add the container here
* Display two containers.
* 
*/ 

if ($number_bottom == '2') { ?>

<table style="width:100%"><tr><td>
<div class="row">
<?php $sql = "SELECT * FROM container WHERE set_position = 'Row Two Bottom' ORDER BY location + 0 ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { ?>

<div class="column2 spacer">

<?php
/**
 * 
 * Add optional icon or graphic to the title.
 * 
 * 
 */

if ($row['showtitle'] == 'Styled') { ?>
<div class="center column-title coltitlecolor">
<?php if ($row['titleicon'] == 'None' || $row['titleicon'] == '') { ?><h3><?= $row['title'] ?></h3><?php } 
if ($row['titleicon'] == 'Icon') { ?><i style="color:<?= $row['faiconcolor'] ?>" class="<?= $row['faicon'] ?>"></i><?php }
elseif ($row['titleicon'] == 'Graphic') { ?><img src="media/images/<?= $row['graphic'] ?>" style="height:30px" alt="" /><?php } ?>
&nbsp;&nbsp;<?= $row['title'] ?>
</div>
<?php }

elseif ($row['showtitle'] == 'Plain') { ?>
<div style="width:100%; text-align:center">
<?php if ($row['titleicon'] == 'None' || $row['titleicon'] == '') { ?><h3><?= $row['title'] ?></h3><?php }
if ($row['titleicon'] == 'Icon') { ?><h3><i style="color:<?= $row['faiconcolor'] ?>" class="<?= $row['faicon'] ?>"></i>&nbsp;&nbsp;<?= $row['title'] ?></h3><?php }
elseif ($row['titleicon'] == 'Graphic') { ?><h3><img src="media/images/<?= $row['graphic'] ?>" style="height:30px" alt="" />&nbsp;&nbsp;<?= $row['title'] ?></h3><?php } ?>
</div>
<?php }

elseif ($row['showtitle'] == 'No') { }

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { 

/**
 * 
* Admin is logged-in show direct editing tool.
* and repositioning tool.
* 
*/ ?>

<div class="center button full"><a href="core/designer/container.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['title'] ?>&quot;" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>&nbsp;&nbsp;&nbsp;<a href="core/designer/container-reposition.php#two" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>: &quot;<?= $row['title'] ?>&quot;"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a>
</div>
<?php }} 
/**
 * 
 * Add the content areas.
 * Set optional background image or color.
 * 
 */ ?>

<?php if ($row['setback'] == 'Color') { ?>
<table class="card2 column"  style="background: linear-gradient(<?= $row['backcolorfirst'] ?>, <?= $row['backcolorsecond'] ?>); height:<?= $container_height_bottom?>; overflow-y:auto;"> 
<?php } ?>

<?php if ($row['setback'] == 'Image') { ?>
<table class="card2 column"  style="background: url('media/themes/<?= $row['backimage'] ?>'); height:<?= $container_height_bottom ?>; overflow-y:auto;"> 
<?php } ?>

<?php if ($row['setback'] == 'None') { ?>
<table class="card column" style="height:<?= $container_height_bottom ?>; overflow-y:auto;"> 
<?php } 

/**
 * 
 * Containers Per Row (1)
 * 
 * Content Areas One and Two.
 * 
 */ ?> 

<tr>
<?php if ($row['useone'] == 'Yes' && $row['usetwo'] == 'No') { ?>
<td style="<?php if ($row['setbackone'] == 'Image' || $row['setbackone'] == 'Color') { ?>background:<?= $row['backcolorone'] ?> url('media/images/<?= $row['backimageone'] ?>')<?php } ?>" class="spacer top" colspan="2"><?= $row['content_one']?></td>
<?php } ?>

<?php if ($row['useone'] == 'No' && $row['usetwo'] == 'Yes') { ?>
<td style="<?php if ($row['setbacktwo'] == 'Image' || $row['setbacktwo'] == 'Color') { ?>background: <?= $row['backcolortwo'] ?> url('media/images/<?= $row['backimagetwo'] ?>')<?php } ?>" class="spacer top" colspan="2"><?= $row['content_two'] ?></td>
<?php } ?>

<?php if ($row['useone'] == 'Yes' && $row['usetwo'] == 'Yes') {  ?>
<td style="<?php if ($row['setbackone'] == 'Image' || $row['setbackone'] == 'Color') { ?>background: <?= $row['backcolorone'] ?> url('media/images/<?= $row['backimageone'] ?>')<?php } ?>" class="spacer top"><?= $row['content_one']?></td>
<td style="<?php if ($row['setbacktwo'] == 'Image' || $row['setbacktwo'] == 'Color') { ?>background: <?= $row['backcolortwo'] ?> url('media/images/<?= $row['backimagetwo'] ?>')<?php } ?>" class="spacer top"><?= $row['content_two'] ?></td> 
<?php } 

/**
 * 
 * Content Areas Three and Four.
 * 
 */ ?>

</tr><tr>

<?php if ($row['usethree'] == 'Yes' && $row['usefour'] == 'No') { ?>
<td style="<?php if ($row['setbackthree'] == 'Image' || $row['setbackthree'] == 'Color') { ?>background:<?= $row['backcolorthree'] ?> url('media/images/<?= $row['backimagethree'] ?>')<?php } ?>" class="spacer top" colspan="2"><?= $row['content_three']?></td>
<?php } ?>

<?php if ($row['usethree'] == 'No' && $row['usefour'] == 'Yes') { ?>
<td style="<?php if ($row['setbackfour'] == 'Image' || $row['setbackfour'] == 'Color') { ?>background:<?= $row['backcolorfour'] ?> url('media/images/<?= $row['backimagefour'] ?>')<?php } ?>" class="spacer top" colspan="2"><?= $row['content_four'] ?></td>
<?php } ?>

<?php if ($row['usethree'] == 'Yes' && $row['usefour'] == 'Yes') {  ?>
<td style="<?php if ($row['setbackthree'] == 'Image' || $row['setbackthree'] == 'Color') { ?>background:<?= $row['backcolorthree'] ?> url('media/images/<?= $row['backimagethree'] ?>')<?php } ?>" class="spacer top"><?= $row['content_three']?></td>
<td style="<?php if ($row['setbackfour'] == 'Image' || $row['setbackfour'] == 'Color') { ?>background:<?= $row['backcolorfour'] ?> url('media/images/<?= $row['backimagefour'] ?>')<?php } ?>"><?= $row['content_four'] ?></td> 
<?php } 

/**
*
* Content Areas Five and Six.
*
*/ ?>

</tr><tr>

<?php if ($row['usefive'] == 'Yes' && $row['usesix'] == 'No') { ?>
<td style="<?php if ($row['setbackfive'] == 'Image' || $row['setbackfive'] == 'Color') { ?>background:<?= $row['backcolorfive'] ?> url('media/images/<?= $row['backimagefive'] ?>')<?php } ?>" class="spacer top" colspan="2"><?= $row['content_five']?></td>
<?php } ?>

<?php if ($row['usefive'] == 'No' && $row['usesix'] == 'Yes') { ?>
<td style="<?php if ($row['setbacksix'] == 'Image' || $row['setbacksix'] == 'Color') { ?>background:<?= $row['backcolorsix'] ?> url('media/images/<?= $row['backimagesix'] ?>')<?php } ?>" class="spacer top" colspan="2"><?= $row['content_six'] ?></td>
<?php } ?>

<?php if ($row['usefive'] == 'Yes' && $row['usesix'] == 'Yes') {  ?>
<td style="<?php if ($row['setbackfive'] == 'Image' || $row['setbackfive'] == 'Color') { ?>background:<?= $row['backcolorfive'] ?> url('media/images/<?= $row['backimagefive'] ?>')<?php } ?>" class="spacer top"><?= $row['content_five']?></td>
<td style="<?php if ($row['setbacksix'] == 'Image' || $row['setbacksix'] == 'Color') { ?>background:<?= $row['backcolorsix'] ?> url('media/images/<?= $row['backimagesix'] ?>')<?php } ?>" class="spacer top"><?= $row['content_six'] ?></td> 
<?php } 

/**
 * 
 * Content Areas Seven and Eight.
 * 
 */ ?>

</tr><tr>

<?php if ($row['useseven'] == 'Yes' && $row['useeight'] == 'No') { ?>
<td style="<?php if ($row['setbackseven'] == 'Image' || $row['setbackseven'] == 'Color') { ?>background:<?= $row['backcolorseven'] ?> url('media/images/<?= $row['backimageseven'] ?>')<?php } ?>" class="spacer top" colspan="2"><?= $row['content_seven']?></td>
<?php } ?>

<?php if ($row['useseven'] == 'No' && $row['useeight'] == 'Yes') { ?>
<td style="<?php if ($row['setbackeight'] == 'Image' || $row['setbackeight'] == 'Color') { ?>background:<?= $row['backcoloreight'] ?> url('media/images/<?= $row['backimageeight'] ?>')<?php } ?>" class="spacer top" colspan="2"><?= $row['content_eight'] ?></td>
<?php } ?>

<?php if ($row['useseven'] == 'Yes' && $row['useeight'] == 'Yes') {  ?>
<td style="<?php if ($row['setbackseven'] == 'Image' || $row['setbackseven'] == 'Color') { ?>background:<?= $row['backcolorseven'] ?> url('media/images/<?= $row['backimageseven'] ?>')<?php } ?>" class="spacer top"><?= $row['content_seven']?></td>
<td style="<?php if ($row['setbackeight'] == 'Image' || $row['setbackeight'] == 'Color') { ?>background:<?= $row['backcoloreight'] ?> url('media/images/<?= $row['backimageeight'] ?>')<?php } ?>" class="spacer top"><?= $row['content_eight'] ?></td> 
<?php } ?>
</tr></table>
</div>
<?php }} ?>
</div>
</td></tr></table>
<?php }

/**
 * 
* Add the container here
* Display three containers.
* 
*/ 

if ($number_bottom == '3') { ?>

<table style="width:100%"><tr><td>
<div class="row">
<?php $sql = "SELECT * FROM container WHERE set_position = 'Row Two Bottom' ORDER BY location + 0 ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { ?>

<div class="column3 spacer">

<?php
/**
 * 
 * Add optional icon or graphic to the title.
 * 
 * 
 */

if ($row['showtitle'] == 'Styled') { ?>
<div class="center column-title coltitlecolor">
<?php if ($row['titleicon'] == 'None' || $row['titleicon'] == '') { ?><h3><?= $row['title'] ?></h3><?php } 
if ($row['titleicon'] == 'Icon') { ?><i style="color:<?= $row['faiconcolor'] ?>" class="<?= $row['faicon'] ?>"></i><?php }
elseif ($row['titleicon'] == 'Graphic') { ?><img src="media/images/<?= $row['graphic'] ?>" style="height:30px" alt="" /><?php } ?>
&nbsp;&nbsp;<?= $row['title'] ?>
</div>
<?php }

elseif ($row['showtitle'] == 'Plain') { ?>
<div style="width:100%; text-align:center">
<?php if ($row['titleicon'] == 'None' || $row['titleicon'] == '') { ?><h3><?= $row['title'] ?></h3><?php }
if ($row['titleicon'] == 'Icon') { ?><h3><i style="color:<?= $row['faiconcolor'] ?>" class="<?= $row['faicon'] ?>"></i>&nbsp;&nbsp;<?= $row['title'] ?></h3><?php }
elseif ($row['titleicon'] == 'Graphic') { ?><h3><img src="media/images/<?= $row['graphic'] ?>" style="height:30px" alt="" />&nbsp;&nbsp;<?= $row['title'] ?></h3><?php } ?>
</div>
<?php }

elseif ($row['showtitle'] == 'No') { }

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { 

/**
 * 
* Admin is logged-in show direct editing tool.
* and repositioning tool.
* 
*/ ?>

<div class="center button full"><a href="core/designer/container.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['title'] ?>&quot;" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>&nbsp;&nbsp;&nbsp;<a href="core/designer/container-reposition.php#two" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>: &quot;<?= $row['title'] ?>&quot;"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a>
</div>
<?php }}
/**
 * 
 * Add the content areas.
 * Set optional background image or color.
 * 
 */ ?>

<?php if ($row['setback'] == 'Color') { ?>
<table class="card2 column"  style="background: linear-gradient(<?= $row['backcolorfirst'] ?>, <?= $row['backcolorsecond'] ?>); height:<?= $container_height_bottom?>; overflow-y:auto;"> 
<?php } ?>

<?php if ($row['setback'] == 'Image') { ?>
<table class="card2 column"  style="background: url('media/themes/<?= $row['backimage'] ?>'); height:<?= $container_height_bottom ?>; overflow-y:auto;"> 
<?php } ?>

<?php if ($row['setback'] == 'None') { ?>
<table class="card column" style="height:<?= $container_height_bottom ?>; overflow-y:auto;"> 
<?php } 

/**
 * 
 * Containers Per Row (1)
 * 
 * Content Areas One and Two.
 * 
 */ ?> 

<tr>
<?php if ($row['useone'] == 'Yes' && $row['usetwo'] == 'No') { ?>
<td style="<?php if ($row['setbackone'] == 'Image' || $row['setbackone'] == 'Color') { ?>background:<?= $row['backcolorone'] ?> url('media/images/<?= $row['backimageone'] ?>')<?php } ?>" class="spacer top" colspan="2"><?= $row['content_one']?></td>
<?php } ?>

<?php if ($row['useone'] == 'No' && $row['usetwo'] == 'Yes') { ?>
<td style="<?php if ($row['setbacktwo'] == 'Image' || $row['setbacktwo'] == 'Color') { ?>background: <?= $row['backcolortwo'] ?> url('media/images/<?= $row['backimagetwo'] ?>')<?php } ?>" class="spacer top" colspan="2"><?= $row['content_two'] ?></td>
<?php } ?>

<?php if ($row['useone'] == 'Yes' && $row['usetwo'] == 'Yes') {  ?>
<td style="<?php if ($row['setbackone'] == 'Image' || $row['setbackone'] == 'Color') { ?>background: <?= $row['backcolorone'] ?> url('media/images/<?= $row['backimageone'] ?>')<?php } ?>" class="spacer top"><?= $row['content_one']?></td>
<td style="<?php if ($row['setbacktwo'] == 'Image' || $row['setbacktwo'] == 'Color') { ?>background: <?= $row['backcolortwo'] ?> url('media/images/<?= $row['backimagetwo'] ?>')<?php } ?>" class="spacer top"><?= $row['content_two'] ?></td> 
<?php } 

/**
 * 
 * Content Areas Three and Four.
 * 
 */ ?>

</tr><tr>

<?php if ($row['usethree'] == 'Yes' && $row['usefour'] == 'No') { ?>
<td style="<?php if ($row['setbackthree'] == 'Image' || $row['setbackthree'] == 'Color') { ?>background:<?= $row['backcolorthree'] ?> url('media/images/<?= $row['backimagethree'] ?>')<?php } ?>" class="spacer top" colspan="2"><?= $row['content_three']?></td>
<?php } ?>

<?php if ($row['usethree'] == 'No' && $row['usefour'] == 'Yes') { ?>
<td style="<?php if ($row['setbackfour'] == 'Image' || $row['setbackfour'] == 'Color') { ?>background:<?= $row['backcolorfour'] ?> url('media/images/<?= $row['backimagefour'] ?>')<?php } ?>" class="spacer top" colspan="2"><?= $row['content_four'] ?></td>
<?php } ?>

<?php if ($row['usethree'] == 'Yes' && $row['usefour'] == 'Yes') {  ?>
<td style="<?php if ($row['setbackthree'] == 'Image' || $row['setbackthree'] == 'Color') { ?>background:<?= $row['backcolorthree'] ?> url('media/images/<?= $row['backimagethree'] ?>')<?php } ?>" class="spacer top"><?= $row['content_three']?></td>
<td style="<?php if ($row['setbackfour'] == 'Image' || $row['setbackfour'] == 'Color') { ?>background:<?= $row['backcolorfour'] ?> url('media/images/<?= $row['backimagefour'] ?>')<?php } ?>"><?= $row['content_four'] ?></td> 
<?php } 

/**
*
* Content Areas Five and Six.
*
*/ ?>

</tr><tr>

<?php if ($row['usefive'] == 'Yes' && $row['usesix'] == 'No') { ?>
<td style="<?php if ($row['setbackfive'] == 'Image' || $row['setbackfive'] == 'Color') { ?>background:<?= $row['backcolorfive'] ?> url('media/images/<?= $row['backimagefive'] ?>')<?php } ?>" class="spacer top" colspan="2"><?= $row['content_five']?></td>
<?php } ?>

<?php if ($row['usefive'] == 'No' && $row['usesix'] == 'Yes') { ?>
<td style="<?php if ($row['setbacksix'] == 'Image' || $row['setbacksix'] == 'Color') { ?>background:<?= $row['backcolorsix'] ?> url('media/images/<?= $row['backimagesix'] ?>')<?php } ?>" class="spacer top" colspan="2"><?= $row['content_six'] ?></td>
<?php } ?>

<?php if ($row['usefive'] == 'Yes' && $row['usesix'] == 'Yes') {  ?>
<td style="<?php if ($row['setbackfive'] == 'Image' || $row['setbackfive'] == 'Color') { ?>background:<?= $row['backcolorfive'] ?> url('media/images/<?= $row['backimagefive'] ?>')<?php } ?>" class="spacer top"><?= $row['content_five']?></td>
<td style="<?php if ($row['setbacksix'] == 'Image' || $row['setbacksix'] == 'Color') { ?>background:<?= $row['backcolorsix'] ?> url('media/images/<?= $row['backimagesix'] ?>')<?php } ?>" class="spacer top"><?= $row['content_six'] ?></td> 
<?php } 

/**
 * 
 * Content Areas Seven and Eight.
 * 
 */ ?>

</tr><tr>

<?php if ($row['useseven'] == 'Yes' && $row['useeight'] == 'No') { ?>
<td style="<?php if ($row['setbackseven'] == 'Image' || $row['setbackseven'] == 'Color') { ?>background:<?= $row['backcolorseven'] ?> url('media/images/<?= $row['backimageseven'] ?>')<?php } ?>" class="spacer top" colspan="2"><?= $row['content_seven']?></td>
<?php } ?>

<?php if ($row['useseven'] == 'No' && $row['useeight'] == 'Yes') { ?>
<td style="<?php if ($row['setbackeight'] == 'Image' || $row['setbackeight'] == 'Color') { ?>background:<?= $row['backcoloreight'] ?> url('media/images/<?= $row['backimageeight'] ?>')<?php } ?>" class="spacer top" colspan="2"><?= $row['content_eight'] ?></td>
<?php } ?>

<?php if ($row['useseven'] == 'Yes' && $row['useeight'] == 'Yes') {  ?>
<td style="<?php if ($row['setbackseven'] == 'Image' || $row['setbackseven'] == 'Color') { ?>background:<?= $row['backcolorseven'] ?> url('media/images/<?= $row['backimageseven'] ?>')<?php } ?>" class="spacer top"><?= $row['content_seven']?></td>
<td style="<?php if ($row['setbackeight'] == 'Image' || $row['setbackeight'] == 'Color') { ?>background:<?= $row['backcoloreight'] ?> url('media/images/<?= $row['backimageeight'] ?>')<?php } ?>" class="spacer top"><?= $row['content_eight'] ?></td> 
<?php } ?>
</tr></table>
</div>
<?php }} ?>
</div>
</td></tr></table>
<?php }

/**
 * 
 * If show block above the sniplets was selected.
 * Show those blocks here.
 * 
 */ ?>

<table style="width:100%"><tr><td>
<div class="row">
<?php $sql = "SELECT * FROM config_row_two"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$rowtwobottom_height = $row['rowtwobottom_height']; 
$rowtwobottom_width = $row['rowtwobottom_width']; }}
$sql = "SELECT * FROM blocks WHERE archiveblock = 'No' AND position = 'Row Two Bottom' ORDER BY block_position + 0 ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
if ($row['locate'] == 'Above' && $row['usesniplets'] == 'Yes') {
if ($row['position'] == 'Row Two Bottom' && $row['showblock'] == 'Yes' OR $row['showblock'] == '') { ?>
<div class="column<?= $rowtwobottom_width ?> top card hoverblock" style="height:<?= $rowtwobottom_height ?>; overflow-y:auto; overflow-x:hidden;">

<?php 
/**
 * 
 * Build the title
 * if Styled was selected.
 * 
 */

if ($row['styletitle'] == 'Styled') {

/**
*
* If Icon was selected.
*
*/

if ($row['usewhich'] == 'Icon' && $row['showtitle'] == 'Yes') { ?>
<div class="column center column-title"><i style="text-shadow:1px 1px 1px #000; width:25px; height:25px; color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i> <?= $row['title'] ?></div>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="button center radius" style="margin:0 auto">
<a href="core/designer/blockbuilder.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['title'] ?>&quot;" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;<a href="core/designer/block-content.php#two" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a>
</div>
<?php }}} 

/**
*
* If Graphic was selected.
*
*/

elseif ($row['usewhich'] == 'Graphic' && $row['showtitle'] == 'Yes') { ?>
<div class="column center column-title"><img src="media/images/<?= $row['graphic_icon'] ?>" style="border:0; width:25px; height:25px" alt="" /> <?= $row['title'] ?></div>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="button center radius" style="margin:0 auto">
<a href="core/designer/blockbuilder.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['title'] ?>&quot;" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;<a href="core/designer/block-content.php#two" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a>
</div>
<?php }}} 

/**
*
* If None selected.
*
*/

elseif ($row['usewhich'] == 'None' && $row['showtitle'] == 'Yes') { ?>
<div class="column center column-title"><?= $row['title'] ?></div>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="button center radius" style="margin:0 auto">
<a href="core/designer/blockbuilder.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['title'] ?>&quot;" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;<a href="core/designer/block-content.php#two" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a>
</div>
<?php }}}}

/**
 * 
 * Options for the block title.
 * If Plain was selected.
 * If Icon was selected.
 * 
 */

elseif ($row['styletitle'] == 'Plain') {
if ($row['usewhich'] == 'Icon' && $row['showtitle'] == 'Yes') { ?>
<h3 class="center"><i style="text-shadow:1px 1px 1px #000; font-size:24px; color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i>&nbsp; <?= $row['title'] ?></h3>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="button center radius" style="margin:0 auto">
<a href="core/designer/blockbuilder.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['title'] ?>&quot;" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;<a href="core/designer/block-content.php#two" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a>
</div>
<?php }}}

/**
*
* If Graphic was selected.
*
*/ 

elseif ($row['usewhich'] == 'Graphic' && $row['showtitle'] == 'Yes') { ?>
<h3 class="center"><img src="media/images/<?= $row['graphic_icon'] ?>" style="border:0; width:25px; height:25px" alt="" /> <?= $row['title'] ?></h3>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="button center radius" style="margin:0 auto">
<a href="core/designer/blockbuilder.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['title'] ?>&quot;" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;<a href="core/designer/block-content.php#two" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a>
</div>
<?php }}} 

/**
*
* If None was selected.
*
*/

elseif ($row['usewhich'] == 'None' && $row['showtitle'] == 'Yes') { ?>
<h3 class="center"><?= $row['title'] ?></h3>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="button center radius" style="margin:0 auto">
<a href="core/designer/blockbuilder.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['title'] ?>&quot;" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;<a href="core/designer/block-content.php#two" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a>
</div>
<?php }}}}

/**
*
* If show title = No or if blank.
*
*/

if ($row['showtitle'] == 'No' || $row['showtitle'] == '') {
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="button center radius" style="margin:0 auto">
<a href="core/designer/blockbuilder.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['title'] ?>&quot;" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;<a href="core/designer/block-content.php#two" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a>
</div>
<?php }}}

if ($row['comments'] == 'Yes') { ?>
<div class="center"><a href="sys/blockcomments.php?id=<?= $row['id'] ?>" target="_blank"><i class="coltitlecolor fa fa-comments-o" title="<?= _COMMENT ?>: &quot;<?= $row['title'] ?>&quot;"></i></a></div>
<?php }

/**
 * 
 * If using a background color.
 * 
 */


if ($row['whichback'] == 'Color') { ?>

<div class="spacer column" style="background:linear-gradient(<?= $row['firstcolor'] ?>, <?= $row['secondcolor'] ?>)"><?= $row['text'] ?>
<?php } 

/**
 * 
 * If using a background image.
 * 
 */ 

 if ($row['whichback'] == 'Image') { ?>

<div class="spacer column" style="background: url('media/images/<?= $row['backimage'] ?>'); background-attachment:fixed; background-size:cover;"><?= $row['text'] ?>
<?php }

/**
 * 
 * If using a background video.
 * 
 */

if ($row['whichback'] == 'Video') { ?>
<div>
<p>
<video autoplay="" controls="" loop="" muted="">
<source src="media/videos/<?= $row['videoback'] ?>.mp4" type="video/mp4" />
<div class="video-back-container"><?= $row['text'] ?></div>
</video>
</p>
 <?php }

/**
 * 
 * If not using a background image or color.
 * 
 */
if ($row['whichback'] == 'None' || $row['whichback'] == '' ) { ?>
<div class="spacer column"><?= $row['text'] ?>
<?php } ?>
 
<?php if ($row['usereadmore'] == 'Yes') { ?>
<p class="center"><a href="sup/readmoreblocks.php?id=<?= $row['id'] ?>" style="text-decoration:none" onclick="basicPopup(this.href);return false"><span class="button"><?= _READMORE ?></span>
<?php } ?>
</div></div>
<?php }}}} ?>
</td></tr></table>

<?php $sql = "SELECT * FROM config_row_two"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$bottomsnipletwidth = $row['bottomsnipletwidth'];
$bottomsnipletheight = $row['bottomsnipletheight']; }} 

$sql = "SELECT * FROM pagerows"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { ?>

<table class="column"><tr class="spacer"><td>
<?php $sql = "SELECT * FROM sniplet WHERE sniplet_group = 'Row Two Bottom' ORDER BY sniplet_position ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {     
if ($row['sniplet_use'] == 'Yes') { ?>
<a href="<?= $row['sniplet_link'] ?>" target="_blank" title="<?= $row['sniplet_text'] ?>">
<div class="column<?= $bottomsnipletwidth ?> stylecard hoverblock card sniplets">
<table><tr>

<?php
/**
 * 
 * Place image on Right side.
 * 
 */

if ($row['imageside'] == 'Right' || $row['imageside'] == '') { ?>
<td class="spacer resp">
<div class="left" style="height:<?= $bottomsnipletheight ?>; overflow-y:auto;">
<?php if ($row['showtitle'] == 'Plain' ) { ?>
<p class="center"><?= $row['sniplet_title'] ?></p>
<?php }

if ($row['showtitle'] == 'Styled' ) { ?>
<div class="column-title coltitlecolor"><p class="center"><?= $row['sniplet_title'] ?></p></div>
<?php } ?>
<a href="<?= $row['sniplet_link'] ?>" target="_blank" style="text-decoration:none" title="<?= $row['sniplet_text'] ?>"><?= $row['sniplet_text'] ?></a>
<p><small>(<?= _DATE ?>: <?= $row['date'] ?>) (<?= _CATEGORY ?>: <?= $row['sniplet_category'] ?>)</small></p>
</div>
</td>
<td class="spacer respimg">
<p><a href="<?= $row['sniplet_link'] ?>" style="text-decoration:none" target="_blank" title="<?= $row['sniplet_text'] ?>">
<img src="media/sniplets/<?= $row['sniplet_image'] ?>" class="twobottom styleimg zoomsnipletimg" alt="<?= $row['sniplet_text'] ?>" />
</p>
</td>
<?php }

/**
 * 
 * Place image on Left side.
 * 
 */

if ($row['imageside'] == 'Left') { ?>
<td class="spacer top">
<p><a href="<?= $row['sniplet_link'] ?>" style="text-decoration:none" target="_blank" title="<?= $row['sniplet_text'] ?>">
<img src="media/sniplets/<?= $row['sniplet_image'] ?>" class="twobottom styleimg zoomsnipletimg" alt="<?= $row['sniplet_text'] ?>" />
</p>
</td>
<td class="spacer resp">
<div class="left" style="height:<?= $bottomsnipletheight ?>; overflow-y:auto;">
<?php if ($row['showtitle'] == 'Plain' ) { ?>
<p class="center"><?= $row['sniplet_title'] ?></p>
<?php }

if ($row['showtitle'] == 'Styled' ) { ?>
<div class="column-title coltitlecolor"><p class="center"><?= $row['sniplet_title'] ?></p></div>
<?php } ?>
<a href="<?= $row['sniplet_link'] ?>" target="_blank" style="text-decoration:none" title="<?= $row['sniplet_text'] ?>"><?= $row['sniplet_text'] ?></a>
<p><small>(<?= _DATE ?>: <?= $row['date'] ?>) (<?= _CATEGORY ?>: <?= $row['sniplet_category'] ?>)</small></p>
</div>
</td>
<?php } ?>
<td class="center">
<?php if ($row['comments'] == 'Yes') { ?>
<a href="sys/snipletcomments.php?id=<?= $row['id'] ?>" target="_blank" title="<?= _COMMENT ?>"><img src="sup/images/comment.png" style="width:20px" alt="<?= _COMMENT ?>" /></a>
<br><?php }

if ($row['sniplet_usefulltext'] == 'Yes') { ?><a href="sup/sniplets.php?id=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false" title="<?= _OPENEASYREADER ?>"><img src="sup/images/uparrow.png" style="width:20px" alt="<?= _OPENEASYREADER ?>" /></a> <?php }

/**
 * 
 * Add the admin direct editing feature.
 * 
 */

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="center"><a href="core/designer/snipletbuilder.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false" title="<?= _EDIT ?>"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a> <a href="core/designer/snipletsreposition.php#two" onclick="basicPopup(this.href);return false"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a></div>
<?php }} ?>
</td></tr></table>
</div>
<?php }}} ?>
</td></tr></table>

<table><tr><td>
<?php }}

/**
 * 
 * Add the content slider
 * if selected.
 * 
 */

if ($useslider == 'Yes' && $slider_position == 'Row Two Bottom') {
require_once 'core/layout/contentslider.php'; }
/**
 * 
 * Add the articles block.
 * 
 */
if ($config_article == 'Row Two Bottom') {
require_once 'core/layout/articlesblock.php';
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<p>- <?= _ROWTWO ?> - <a href="core/designer/website.php#pagination" onclick="basicPopup(this.href);return false"><?= _CONFIGARTICLESPOSITION ?></a></p>
<?php }}}

/**
 * 
 * Add the video block 
 * if selected.
 * 
 */

if ($showvideo == 'Yes' && $setrow == 'Row Two Bottom') { 
require_once 'core/layout/videoblock.php'; }

/**
 * 
 * Build the container and add Plugins.
 * Tag Cloud, Categories, and Archives.
 * 
 */ 

if ($hp_library == 'Block' && $hp_setrow == 'Row Two Bottom' ) {
require_once 'core/layout/libraryblock.php'; } 

/**
 * 
 * Add the sidebar blocks that have been assigned
 * to the Row One position.
 * 
 */ ?>

<table style="width:100%"><tr><td>
<div class="row">
<?php $sql = "SELECT * FROM config_row_two"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$rowtwobottom_height = $row['rowtwobottom_height']; 
$rowtwobottom_width = $row['rowtwobottom_width']; }}
$sql = "SELECT * FROM blocks WHERE archiveblock = 'No' AND position = 'Row Two Bottom' ORDER BY block_position + 0 ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
if ($row['locate'] == 'Below' && $row['usesniplets'] == 'Yes') {
if ($row['position'] == 'Row Two Bottom' && $row['showblock'] == 'Yes' OR $row['showblock'] == '') { ?>
<div class="column<?= $rowtwobottom_width ?> top card hoverblock" style="height:<?= $rowtwobottom_height ?>; overflow-y:auto; overflow-x:hidden;">

<?php 
/**
 * 
 * Build the title
 * if Styled was selected.
 * 
 */

if ($row['styletitle'] == 'Styled') {

/**
*
* If Icon was selected.
*
*/

if ($row['usewhich'] == 'Icon' && $row['showtitle'] == 'Yes') { ?>
<div class="column center column-title"><i style="text-shadow:1px 1px 1px #000; width:25px; height:25px; color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i> <?= $row['title'] ?></div>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="button center radius" style="margin:0 auto">
<a href="core/designer/blockbuilder.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['title'] ?>&quot;" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;<a href="core/designer/block-content.php#two" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a>
</div>
<?php }}} 

/**
*
* If Graphic was selected.
*
*/

elseif ($row['usewhich'] == 'Graphic' && $row['showtitle'] == 'Yes') { ?>
<div class="column center column-title"><img src="media/images/<?= $row['graphic_icon'] ?>" style="border:0; width:25px; height:25px" alt="" /> <?= $row['title'] ?></div>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="button center radius" style="margin:0 auto">
<a href="core/designer/blockbuilder.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['title'] ?>&quot;" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;<a href="core/designer/block-content.php#two" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a>
</div>
<?php }}} 

/**
*
* If None selected.
*
*/

elseif ($row['usewhich'] == 'None' && $row['showtitle'] == 'Yes') { ?>
<div class="column center column-title"><?= $row['title'] ?></div>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="button center radius" style="margin:0 auto">
<a href="core/designer/blockbuilder.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['title'] ?>&quot;" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;<a href="core/designer/block-content.php#two" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a>
</div>
<?php }}}}

/**
 * 
 * Options for the block title.
 * If Plain was selected.
 * If Icon was selected.
 * 
 */

elseif ($row['styletitle'] == 'Plain') {
if ($row['usewhich'] == 'Icon' && $row['showtitle'] == 'Yes') { ?>
<h3 class="center"><i style="text-shadow:1px 1px 1px #000; font-size:24px; color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i>&nbsp; <?= $row['title'] ?></h3>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="button center radius" style="margin:0 auto">
<a href="core/designer/blockbuilder.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['title'] ?>&quot;" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;<a href="core/designer/block-content.php#two" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a>
</div>
<?php }}}

/**
*
* If Graphic was selected.
*
*/ 

elseif ($row['usewhich'] == 'Graphic' && $row['showtitle'] == 'Yes') { ?>
<h3 class="center"><img src="media/images/<?= $row['graphic_icon'] ?>" style="border:0; width:25px; height:25px" alt="" /> <?= $row['title'] ?></h3>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="button center radius" style="margin:0 auto">
<a href="core/designer/blockbuilder.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['title'] ?>&quot;" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;<a href="core/designer/block-content.php#two" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a>
</div>
<?php }}} 

/**
*
* If None was selected.
*
*/

elseif ($row['usewhich'] == 'None' && $row['showtitle'] == 'Yes') { ?>
<h3 class="center"><?= $row['title'] ?></h3>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="button center radius" style="margin:0 auto">
<a href="core/designer/blockbuilder.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['title'] ?>&quot;" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;<a href="core/designer/block-content.php#two" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a>
</div>
<?php }}}}

/**
*
* If show title = No or if blank.
*
*/

if ($row['showtitle'] == 'No' || $row['showtitle'] == '') {
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="button center radius" style="margin:0 auto">
<a href="core/designer/blockbuilder.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['title'] ?>&quot;" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;<a href="core/designer/block-content.php#two" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a>
</div>
<?php }}}

if ($row['comments'] == 'Yes') { ?>
<div class="center"><a href="sys/blockcomments.php?id=<?= $row['id'] ?>" target="_blank"><i class="coltitlecolor fa fa-comments-o" title="<?= _COMMENT ?>: &quot;<?= $row['title'] ?>&quot;"></i></a></div>
<?php }

/**
 * 
 * If using a background color.
 * 
 */


if ($row['whichback'] == 'Color') { ?>

<div class="spacer column" style="background:linear-gradient(<?= $row['firstcolor'] ?>, <?= $row['secondcolor'] ?>)"><?= $row['text'] ?>
<?php } 

/**
 * 
 * If using a background image.
 * 
 */ 

 if ($row['whichback'] == 'Image') { ?>

<div class="spacer column" style="background: url('media/images/<?= $row['backimage'] ?>'); background-attachment:fixed; background-size:cover;"><?= $row['text'] ?>
<?php }

/**
 * 
 * If using a background video.
 * 
 */

if ($row['whichback'] == 'Video') { ?>
<div>
<p>
<video autoplay="" controls="" loop="" muted="">
<source src="media/videos/<?= $row['videoback'] ?>.mp4" type="video/mp4" />
<div class="video-back-container"><?= $row['text'] ?></div>
</video>
</p>
 <?php }

/**
 * 
 * If not using a background image or color.
 * 
 */
if ($row['whichback'] == 'None' || $row['whichback'] == '' ) { ?>
<div class="spacer column"><?= $row['text'] ?>
<?php } ?>
 
<?php if ($row['usereadmore'] == 'Yes') { ?>
<p class="center"><a href="sup/readmoreblocks.php?id=<?= $row['id'] ?>" style="text-decoration:none" onclick="basicPopup(this.href);return false"><span class="button"><?= _READMORE ?></span>
<?php } ?>
</div></div>
<?php }}}} ?>
</td></tr></table>

<table style="width:100%"><tr><td>
<div class="row">
<?php $sql = "SELECT * FROM config_row_two"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$rowtwobottom_height = $row['rowtwobottom_height']; 
$rowtwobottom_width = $row['rowtwobottom_width']; }}
$sql = "SELECT * FROM blocks WHERE archiveblock = 'No' AND position = 'Row Two Bottom' ORDER BY block_position + 0 ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
if ($row['locate'] == 'None' || $row['locate'] == '' && $row['usesniplets'] == 'No' || $row['usesniplets'] == '') {
if ($row['position'] == 'Row Two Bottom' && $row['showblock'] == 'Yes' OR $row['showblock'] == '') { ?>
<div class="column<?= $rowtwobottom_width ?> top card hoverblock" style="height:<?= $rowtwobottom_height ?>; overflow-y:auto; overflow-x:hidden;">

<?php 
/**
 * 
 * Build the title
 * if Styled was selected.
 * 
 */

if ($row['styletitle'] == 'Styled') {

/**
*
* If Icon was selected.
*
*/

if ($row['usewhich'] == 'Icon' && $row['showtitle'] == 'Yes') { ?>
<div class="column center column-title"><i style="text-shadow:1px 1px 1px #000; width:25px; height:25px; color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i> <?= $row['title'] ?></div>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="button center radius" style="margin:0 auto">
<a href="core/designer/blockbuilder.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['title'] ?>&quot;" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;<a href="core/designer/block-content.php#two" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a>
</div>
<?php }}} 

/**
*
* If Graphic was selected.
*
*/

elseif ($row['usewhich'] == 'Graphic' && $row['showtitle'] == 'Yes') { ?>
<div class="column center column-title"><img src="media/images/<?= $row['graphic_icon'] ?>" style="border:0; width:25px; height:25px" alt="" /> <?= $row['title'] ?></div>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="button center radius" style="margin:0 auto">
<a href="core/designer/blockbuilder.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['title'] ?>&quot;" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;<a href="core/designer/block-content.php#two" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a>
</div>
<?php }}} 

/**
*
* If None selected.
*
*/

elseif ($row['usewhich'] == 'None' && $row['showtitle'] == 'Yes') { ?>
<div class="column center column-title"><?= $row['title'] ?></div>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="button center radius" style="margin:0 auto">
<a href="core/designer/blockbuilder.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['title'] ?>&quot;" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;<a href="core/designer/block-content.php#two" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a>
</div>
<?php }}}}

/**
 * 
 * Options for the block title.
 * If Plain was selected.
 * If Icon was selected.
 * 
 */

elseif ($row['styletitle'] == 'Plain') {
if ($row['usewhich'] == 'Icon' && $row['showtitle'] == 'Yes') { ?>
<h3 class="center"><i style="text-shadow:1px 1px 1px #000; font-size:24px; color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i>&nbsp; <?= $row['title'] ?></h3>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="button center radius" style="margin:0 auto">
<a href="core/designer/blockbuilder.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['title'] ?>&quot;" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;<a href="core/designer/block-content.php#two" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a>
</div>
<?php }}}

/**
*
* If Graphic was selected.
*
*/ 

elseif ($row['usewhich'] == 'Graphic' && $row['showtitle'] == 'Yes') { ?>
<h3 class="center"><img src="media/images/<?= $row['graphic_icon'] ?>" style="border:0; width:25px; height:25px" alt="" /> <?= $row['title'] ?></h3>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="button center radius" style="margin:0 auto">
<a href="core/designer/blockbuilder.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['title'] ?>&quot;" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;<a href="core/designer/block-content.php#two" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a>
</div>
<?php }}} 

/**
*
* If None was selected.
*
*/

elseif ($row['usewhich'] == 'None' && $row['showtitle'] == 'Yes') { ?>
<h3 class="center"><?= $row['title'] ?></h3>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="button center radius" style="margin:0 auto">
<a href="core/designer/blockbuilder.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['title'] ?>&quot;" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;<a href="core/designer/block-content.php#two" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a>
</div>
<?php }}}}

/**
*
* If show title = No or if blank.
*
*/

if ($row['showtitle'] == 'No' || $row['showtitle'] == '') {
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="button center radius" style="margin:0 auto">
<a href="core/designer/blockbuilder.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['title'] ?>&quot;" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;<a href="core/designer/block-content.php#two" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a>
</div>
<?php }}}

if ($row['comments'] == 'Yes') { ?>
<div class="center"><a href="sys/blockcomments.php?id=<?= $row['id'] ?>" target="_blank"><i class="coltitlecolor fa fa-comments-o" title="<?= _COMMENT ?>: &quot;<?= $row['title'] ?>&quot;"></i></a></div>
<?php }

/**
 * 
 * If using a background color.
 * 
 */


if ($row['whichback'] == 'Color') { ?>

<div class="spacer column" style="background:linear-gradient(<?= $row['firstcolor'] ?>, <?= $row['secondcolor'] ?>)"><?= $row['text'] ?>
<?php } 

/**
 * 
 * If using a background image.
 * 
 */ 

 if ($row['whichback'] == 'Image') { ?>

<div class="spacer column" style="background: url('media/images/<?= $row['backimage'] ?>'); background-attachment:fixed; background-size:cover;"><?= $row['text'] ?>
<?php }

/**
 * 
 * If using a background video.
 * 
 */

if ($row['whichback'] == 'Video') { ?>
<div>
<p>
<video autoplay="" controls="" loop="" muted="">
<source src="media/videos/<?= $row['videoback'] ?>.mp4" type="video/mp4" />
<div class="video-back-container"><?= $row['text'] ?></div>
</video>
</p>
 <?php }

/**
 * 
 * If not using a background image or color.
 * 
 */
if ($row['whichback'] == 'None' || $row['whichback'] == '' ) { ?>
<div class="spacer column"><?= $row['text'] ?>
<?php } ?>
 
<?php if ($row['usereadmore'] == 'Yes') { ?>
<p class="center"><a href="sup/readmoreblocks.php?id=<?= $row['id'] ?>" style="text-decoration:none" onclick="basicPopup(this.href);return false"><span class="button"><?= _READMORE ?></span>
<?php } ?>
</div></div>
<?php }}}} ?>
</td></tr></table>

</td></tr></table>

<?php
/**
 * 
 * Close the table that is
 * opened in the top row.
 * 
 */?>

</td></tr></table>
