<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

/**
 * 
 * Add the plugins to be
 * included in the top
 * articles block.
 * Right sidebar below
 * the other content.
 * 
 */ 

/**
 * 
* Add the tag cloud.
* 
*/

if ($tags_sidebar == 'Top Article Right' && $tagcloudposition == 'Below') { 
require_once 'core/plugins/tagcloud.php'; }

/**
 * 
* Add the categories.
* 
*/

if ($categories_sidebar == 'Top Article Right' && $categoriesposition == 'Below') { 
require_once 'core/plugins/categories.php'; }

/**
 * 
* Add the spotlight.
* 
*/

if ($spotlight_sidebar == 'Top Article Right' && $spotlightposition == 'Below') { 
require_once 'core/plugins/spotlight.php'; }

/**
 * 
* Add the archive.
* 
*/

if ($archivesidebar == 'Top Article Right' && $archiveposition == 'Below') { 
require_once 'core/plugins/archive.php'; } ?>

</td></tr></table>
