<?php 
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */
 
/**
 * 
 * Option to use background image or colors.
 * 
 */ ?>

<p class="center column-title coltitlecolor"><?= _SEARCHVIDEOS ?> <span class="button"><a href="sup/videoarchive.php" target="_blank">(<?= _VIDEOARCHIVE ?>)</a></span></p>

<?php if ($videoback == 'Image') { ?>
<div style="background: url('media/themes/<?= $videobackimg ?>'); background-attachment:fixed; padding:20px;">
<?php } else { ?>
<div style="background: linear-gradient(<?= $videobackcolor ?>, <?= $videobackcolortwo ?>); padding:20px;">
<?php } ?>

<div class="spacer" style="height:300px; overflow-y:auto;">
<?php $sql = "SELECT * FROM videos WHERE spotlight='No' AND usevideo='Yes' ORDER BY position + 0 ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {

if ($row['usevideo'] == 'Yes' && $row['videoposition'] == 'Video Module') { ?>
<div class="column6 center">
<p class="spacer card"><a href="<?= $row['videolink'] ?>" style="text-decoration:none" target="video-window" title="<?= $row['videotitle'] ?>"><?= _CATEGORY ?>: <?= $row['category'] ?><br><img src="media/videos/<?= $row['videoimage'] ?>" class="styleblockimg zoomimg" alt="<?= $row['videotitle'] ?>" title="<?= $row['videotitle'] ?>" /><br><?= $row['videotitle'] ?></a></p>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="center"><a href="core/designer/videobuilder.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="" /></a>&nbsp;&nbsp;&nbsp;<a href="core/designer/videos_position.php" onclick="basicPopup(this.href);return false"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a></div>
<?php }} ?>
</div>
<?php }}} ?>
</div>
<table class="column"><tr>

<div class="row">

<?php
/**
 * 
 * Build the video screen.
 * For Youtube and/or standard videos.
 * 
 */ ?>

<div class="column2">
<?php if ($youtube == 'Yes') { ?>
<iframe class="videocard" name="video-window" src="<?= $activevideo ?>" title="Video Player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>
<?php } else { ?>
<iframe class="videocard" name="video-window" src="<?= $activevideo ?>" title="Video Player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>
<?php } ?>
</div>

<?php
/**
 * 
 * Build the container where the videos reside.
 * Right side of the video screen.
 * 
 */ ?>

<div class="column2">
<p class="column-title coltitlecolor center"><?= _SPOTLIGHTVIDEOS ?></p>    
<div class="left" style="height:500px; width:100%; overflow-y:auto; overflow-x:hidden;">
<?php $sql = "SELECT * FROM videos WHERE spotlight='Yes' AND usevideo='Yes' ORDER BY position + 0 ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { ?>

<div class="column3 spacer card">

<div style="height:170px; overflow-y:auto; overflow-x:hidden;">

<p class="column-title coltitlecolor center"><?= $row['videotitle'] ?></p>

<?php if ($row['youtube'] == 'Yes') { ?>
<p class="center"><a href="<?= $row['videolink'] ?>" style="text-decoration:none" class="spacer" target="video-window"><img src="media/videos/<?= $row['videoimage'] ?>" class="styleblockimg zoomimg" alt="<?= $row['videotitle'] ?>" title="<?= $row['videotitle'] ?>" /></a></p>

<?php } else { ?>

<p class="center"><a href="<?= $row['videolink'] ?>" style="text-decoration:none" class="spacer" target="video-window" title="<?= $row['videotitle'] ?>"><img src="media/videos/<?= $row['videoimage'] ?>" class="styleblockimg zoomimg" alt="<?= $row['videotitle'] ?>" title="<?= $row['videotitle'] ?>" /></a></p>
<?php }

/**
 * 
 * Add admin direct editing feature.
 * 
 */

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="center"><a href="core/designer/videobuilder.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="" /></a>&nbsp;&nbsp;&nbsp;<a href="core/designer/videos_position.php" onclick="basicPopup(this.href);return false"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a></div>
<?php }} ?>
</div>
<p>&nbsp;</p>
<p class="center column-title coltitlecolor"><small><?= _CATEGORY ?>: <?= $row['category'] ?></small></p>
</div>
<?php }} ?>

</div>
</div>

</td></tr></table>
<br>