<?php

/**
 * Spectra is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra
 * @author    Mike Boyles <codersjunctions@gmail.com>
 * @copyright 2020-2023 Coders Junction
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.coders-junction.com
 */ 
?>

<link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">

<style>.hilite:hover {background: <?= $menu_color_second ?>;color: <?= $linkcolor ?>;}.menuborderright {border-right: .5px solid <?= $menu_color ?>;}.ddlinks {font-size: 16px;}.ddlinks:hover {color: <?= $linkcolor ?>;}</style>

<?php $filename = 'core/megamenu/megamenufade-min.css';
if (file_exists($filename)) {
"$filename"; } 
else {
$filename = '../megamenu/megamenufade-min.css'; } ?>
<link id="effect" rel="stylesheet" media="all" href="<?= $filename ?>" />

<?php $filename = 'core/megamenu/megamenu.min.css';
if (file_exists($filename)) {
"$filename"; } 
else {
$filename = '../megamenu/megamenu.min.css'; } ?>
<link rel="stylesheet" media="all" href="<?= $filename ?>" />

<?php $filename = 'core/megamenu/megamenu.min.js';
if (file_exists($filename)) {
"$filename"; } 
else {
$filename = '../megamenu/megamenu.min.js'; } ?>
<script src="<?= $filename ?>"></script>

<div class="spectramobileheader clearfix" style="height:40px; background:-webkit-gradient(linear,left top,left bottom,from(<?= $menu_color ?>),to(<?= $menu_color_second ?>))">
<a id="spectranavtoggle" class="spectraanimated-arrow"><span></span></a>
</div>

<?php if ($menu_below == 'Yes') { ?>
<div class="spectramainfull clearfix" style="width:98.5%">
<?php } 

else { ?>
<div class="spectramainfull clearfix" style="width:100%">
<?php } ?>

<div class="spectramainwp clearfix">
<nav class="spectramenu clearfix">
<ul class="spectramenu-list" style="background:-webkit-gradient(linear,left top,left bottom,from(<?= $menu_color ?>),to(<?= $menu_color_second ?>))">
<?php require_once 'links.php'; ?>
</ul>
</nav>
</div></div>