<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

if (realpath(__FILE__) == realpath($_SERVER['SCRIPT_FILENAME'])) {
exit('Access Denied');}

global $theme_name;

$sql = "SELECT * FROM config_contentslider, website, themes WHERE theme_name='$theme_name'";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$useslider = $row['useslider'];
$sliderattop = $row['sliderattop'];
$title = $row['title'];
$align = $row['align'];
$title_size = $row['title_size'];
$title_font = $row['title_font'];
$title_bold = $row['title_bold'];
$themes = $row['themes'];
$content_bg = $row['content_bg'];
$gen_text_color = $row['gen_text_color'];
$showtitle = $row['showtitle']; }} 

if ($showtitle == 'No') { } else { ?>

<div class="column-title coltitlecolor" style="font-family:<?= $title_font ?>;font-size:<?= $title_size ?>;font-weight:<?= $title_bold ?>;text-align:<?= $align ?>"><?= $title ?></div>
<?php } ?>

<div class="slider-container" id="wrapper">

<?php $result = mysqli_query($conn, 'SELECT * FROM contentslider ORDER BY slidename');
while ($row = mysqli_fetch_array($result)) { ?>

<div class="theSlides card column" style="width:100%;background:<?= $content_bg ?>; color:<?= $gen_text_color ?>; text-align:<?= $row['captionalign'] ?>;">

<p><?= $row['slidename'] ?></p>

<?= $row['addtext'] ?>

<div class="spacer" style="width:100%;background:<?= $content_bg ?>;text-align:<?= $row['captionalign'] ?>; color:<?= $gen_text_color ?>"><?= $row['caption'] ?></div>

<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {

if ($_SESSION['role'] == 'Admin') { ?>

<div class="column-footer spacer">

<a href="core/designer/slidebuilder.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _EDIT ?>: Content Slider" onclick="basicPopup(this.href);return false"><i class="fa fa-pencil-square-o"></i></a>

</div>

<?php }} ?>

</div>

<?php }
if ($slider_position == 'Middle') { ?>

</div>

<a style="background:<?= $content_bg ?>" class="prev" onclick="plusSlides(-1)"><span style="color:<?= $gen_text_color ?>">&#10094;</span></a>

<a style="background:<?= $content_bg ?>" class="next" onclick="plusSlides(1)"><span style="color:<?= $gen_text_color ?>">&#10095;</span></a>

<?php } elseif ($slider_position == 'Top' or $slider_position == 'Bottom') { ?>

<a style="background:<?= $content_bg ?>" class="prev" onclick="plusSlides(-1)"><span style="color:<?= $gen_text_color ?>">&#10094;</span></a>

<a style="background:<?= $content_bg ?>" class="next" onclick="plusSlides(1)"><span style="color:<?= $gen_text_color ?>">&#10095;</span></a>

<?php }
