<?php 
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */ 

$stmt = $conn->prepare('SELECT usertheme, usetheme FROM accounts WHERE id = ?');
$stmt->bind_param('i', $_SESSION['id']);
$stmt->execute();
$stmt->bind_result($usertheme, $usetheme);
$stmt->fetch();
$stmt->close();
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true && $usetheme == 'Yes') {
if (isset($_GET['id'])) {
$id = $_GET['id']; }
$sql = "SELECT id, usertheme FROM accounts";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
require_once 'core/themes/usertheme.php'; }}
} else {
require_once 'core/themes/theme.php'; } ?>

<style>
.modal {
  display: none;
  position: fixed;
  z-index: 1; 
  padding-top: 100px;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgb(0,0,0);
  background-color: rgba(0,0,0,0.4); }

.modal-content {
  background-color: <?= $content_bg ?>;
  margin: auto;
  padding: 20px;
  width: 80%; }

.close {
  color: #aaaaaa;
  float: right;
  font-size: 28px;
  font-weight: bold; }

.close:hover,
.close:focus {
  color: #000;
  text-decoration: none;
  cursor: pointer; }

.noborder {
  border: 0; }
</style>

<div id="wrapper noborder">

<div id="myBtn" class="button noborder" style="margin:0 auto">
<i style="color:<?= $modal_label_icon_color ?>" class="<?= $modal_label_icon ?>"></i>
<?= $modal_label ?>
</div>

<div id="myModal" class="modal">

<div class="modal-content">
<span class="close">&times;</span>
<p class="spacer"><?= $modal_content ?></p>

<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { 
if ($_SESSION['role'] == 'Admin') { ?>
<div class="center"><a href="core/designer/modal.php" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="" /></a></div>
<?php }} ?>
</div>

</div>
</div>


<script>
var modal = document.getElementById("myModal");
var btn = document.getElementById("myBtn");
var span = document.getElementsByClassName("close")[0];
btn.onclick = function() {
modal.style.display = "block"; }

span.onclick = function() {
modal.style.display = "none"; }

window.onclick = function(event) {
if (event.target == modal) {
modal.style.display = "none"; }}
</script>
