<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

 if (realpath(__FILE__) == realpath($_SERVER['SCRIPT_FILENAME'])) {
exit('Access Denied');}

 // ..... HOST .....
define('DB_HOST', '' . $host . '');

// ..... USERNAME .....
define('DB_USER',  '' . $username . '');

// ..... PASSWORD .....
define('DB_PASSWORD', '' . $password . '');

// ..... DATABASE NAME .....
define('DB_NAME', '' . $db . ''); 

// Admin credentials
define('admin_user','admin');

// Admin password
define('admin_pass','admin');

// 1 vote per poll - prevents the user from voting multiple times on the same poll
define('one_vote_per_poll',false);

// Approval required for polls?
define('approval_required',false);

// Approval required for comments?
define('comments_approval_required', true);

// Default profile image for comments
define('default_profile_image', 'default-profile-image.png');

// Define for new accounts.
define('account_activation', 'false');

// Define for database tools.
define('BACKUP_DIR', 'SPECTRA-backup-files');

define('CHARSET', 'utf8');
define('DB_CHARSET', 'utf8');

global $host, $username, $password, $db;

// DB CONNECTIONS .....
$conn = new mysqli($host, $username, $password, $db);
$mysqli = mysqli_connect("$host", "$username", "$password", "$db"); // Pagination (if used)
$conn = mysqli_connect($host, $username, $password, $db);
$db = mysqli_connect($host, $username, $password, $db);

// If cannot connect die and give error msg
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error); }

mysqli_set_charset($conn, 'utf8');
