<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

if (realpath(__FILE__) == realpath($_SERVER['SCRIPT_FILENAME'])) { exit('Access Denied');}

$sql = "SELECT * FROM plugins"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 

if ($row['showarchivestitle'] == 'Styled' && $row['archivestitle'] == 'Yes') { ?>

<p class="column-title coltitlecolor center"><?= $row['archivetitle'] ?></p>

<?php } elseif ($row['showarchivestitle'] == 'Plain' && $row['archivestitle'] == 'Yes') { ?>

<h3 class="center"><?= $row['archivetitle'] ?></h3>

<?php } ?>

<div style="height:<?= $row['archiveheight'] ?>px; overflow-y:auto;" class="content_bg spacer">

<?php }} 

echo '<p class="center"><a href="sup/archive.php" target="_blank">' . _ARCHIVELIBRARY .'</a></p>';

/**
*  Archive Articles
* 
*/

$sql = "SELECT * FROM articles"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$c_title = $row['c_title']; }}

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM articles WHERE archive = 'Yes'"); 
while ($row = mysqli_fetch_array($result)) { 
$var = $row['count']; }

$result = mysqli_query($conn, "SELECT * FROM articles WHERE archive = 'Yes' ORDER BY c_title ASC"); 

if(empty($row['c_title'])) {} else { ?>

<p class="center"><?= _ARTICLES ?>: (<?= $var ?>)</p>

<?php } while ($row = mysqli_fetch_array($result)) { 
    
$filename = 'sup/articles.php';
if (file_exists($filename)) {
"$filename";
} else {
$filename = '../sup/articles.php'; } ?>

<p class="left"><a href="<?= $filename ?>?id=<?= $row['id'] ?>" style="text-decoration:none" onclick="basicPopup(this.href);return false">&bull; <?= $row['c_title'] ?></a> | <?= $row['date'] ?></p>

<?php }

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE archiveblock = 'Yes'"); 
while ($row = mysqli_fetch_array($result)) { 
$var = $row['count']; }

$result = mysqli_query($conn, "SELECT * FROM blocks WHERE archiveblock = 'Yes' ORDER BY title ASC"); 

if (empty($row['title'])) {} else { ?>
<p class="center"><?= _SIDEBARBLOCKS ?>: (<?= $var ?>)</p>
<?php }

while ($row = mysqli_fetch_array($result)) {

$filename = 'sup/sidebars.php';
if (file_exists($filename)) {
"$filename";
} else {
$filename = '../sup/sidebars.php'; } ?>

<p class="left"><a href="<?= $filename ?>?id=<?= $row['id'] ?>" style="text-decoration:none" onclick="basicPopup(this.href);return false">&bull; <?= $row['title'] ?></a> | <?= $row['date'] ?></p>

<?php }
/**
*  fetch the sniplets 
* 
*/

$sql = "SELECT * FROM sniplet"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$sniplet_title = $row['sniplet_title']; }}

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_archive='Yes'"); 
while ($row = mysqli_fetch_array($result)) { 
$var = $row['count']; }

$result = mysqli_query($conn, "SELECT * FROM sniplet WHERE sniplet_archive = 'Yes' ORDER BY sniplet_title");

if (empty($row['sniplet_title'])) {} else { ?>

<p class="center"><?= _SNIPLETS ?> (<?= $var ?>)</p>
<?php }

while ($row = mysqli_fetch_array($result)) {

$filename = 'sup/sniplets.php';
if (file_exists($filename)) {
"$filename";
} else {
$filename = '../sup/sniplets.php'; } ?>

<p style="text-align:left"><a href="<?= $filename ?>?id=<?= $row['id'] ?>" style="text-decoration:none" onclick="basicPopup(this.href);return false">&bull; <?= $row['sniplet_title'] ?></a></p>
<?php } ?>
<br>

<?php
/**
*  fetch the sniplets 
* 
*/

$sql = "SELECT * FROM flipcard"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$cardtitle = $row['cardtitle']; }}

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM flipcard WHERE archivecard='Yes'"); 
while ($row = mysqli_fetch_array($result)) { 
$var = $row['count']; }

$result = mysqli_query($conn, "SELECT * FROM flipcard WHERE archivecard = 'Yes' ORDER BY cardtitle"); ?>

<p class="center column-title">Flip Cards (<?= $var ?>)</p>

<?php while ($row = mysqli_fetch_array($result)) {

$filename = 'sup/flipcard.php';
if (file_exists($filename)) {
"$filename";
} else {
$filename = '../sup/flipcard.php'; } ?>

<p style="text-align:left"><a href="<?= $filename ?>?id=<?= $row['id'] ?>" style="text-decoration:none" onclick="basicPopup(this.href);return false">&bull; <?= $row['cardtitle'] ?></a></p>
<?php } ?>
<br>

<?php
/**
*  fetch the admin articles 
* 
*/

$sql = "SELECT * FROM adminarticle"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$adminarticletitle = $row['adminarticletitle']; }}

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM adminarticle WHERE archive='Yes'"); 
while ($row = mysqli_fetch_array($result)) { 
$var = $row['count']; }

$result = mysqli_query($conn, "SELECT * FROM adminarticle WHERE archive = 'Yes' ORDER BY adminarticletitle");

if (empty($row['adminarticletitle'])) {} else { ?>

<p class="center"><?= _ADMINARTICLES ?> (<?= $var ?>)</p>
<?php }

while ($row = mysqli_fetch_array($result)) {

$filename = 'sup/adminarticle.php';
if (file_exists($filename)) {
"$filename";
} else {
$filename = '../sup/adminarticle.php'; } ?>

<p style="text-align:left"><a href="<?= $filename ?>?id=<?= $row['id'] ?>" style="text-decoration:none" onclick="basicPopup(this.href);return false">&bull; <?= $row['adminarticletitle'] ?></a></p>
<?php } ?>
<br>
</div>

</div>


<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { if ($_SESSION['role'] == 'Admin') { ?>
<div class="column-footer spacer center">
<a href="../core/designer/plugins.php#archives" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _EDIT ?>" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="" /></a>
</div>
<?php }} ?>
<br>
<hr />