<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

if (realpath(__FILE__) == realpath($_SERVER['SCRIPT_FILENAME'])) {
exit('Access Denied');} 

$filename = 'core/css/digitalclock.min.css';
if (file_exists($filename)) {
"$filename";
} else {
$filename = '../css/digitalclock.min.css'; } ?>

<link rel="stylesheet" href="<?= $filename ?>">

<?php $sql = "SELECT * FROM plugins"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 

if ($row['showclocktitle'] == 'Styled' && $row['clocktitle'] == 'Yes') { ?>

<p class="column-title coltitlecolor center"><?= $row['clock_title'] ?></p>

<?php } elseif ($row['showclocktitle'] == 'Plain' && $row['clocktitle'] == 'Yes') { ?>

<h3 class="center"><?= $row['clock_title'] ?></h3>

<?php }}} ?>

<div id="clockdate">
<div class="clockdate-wrapper">
<div id="clock"></div>
<div id="date"></div>
</div>
</div>
<?php $filename = 'core/js/digitalclock.min.js';
if (file_exists($filename)) {
"$filename";
} else {
$filename = '../js/digitalclock.min.js'; } ?>

<script src="<?= $filename ?>"></script>

<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { if ($_SESSION['role'] == 'Admin') { ?>
<div class="column-footer spacer center">
<a href="../core/designer/plugins.php#time" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _EDIT ?>" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="" /></a>
</div>
<?php }} ?>

<br>
<hr />