<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

if (realpath(__FILE__) == realpath($_SERVER['SCRIPT_FILENAME'])) {
	exit('Access Denied');}

if ($use_linkedin == 'Yes') {
    echo '<a class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="Linkedin" href="' . $linkedin . '" target="_blank"><img src="' . $img_source . 'linkedin.png" width="20" alt="" /></a>';
}

if ($use_twitter == 'Yes') {
    echo '<a class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="Twitter" href="' . $twitter . '" target="_blank"><img src="' . $img_source . 'twitter.png" width="20" alt="" /></a>';
}

if ($use_facebook == 'Yes') {
    echo '<a class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="Facebook" href="' . $facebook . '" target="_blank"><img src="' . $img_source . 'facebook.png" width="20" alt="" /></a>';
}

if ($use_instagram == 'Yes') {
    echo '<a class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="Instagram" href="' . $instagram . '" target="_blank"><img src="' . $img_source . 'instagram.png" width="20" alt="" /></a>';
}

if ($use_youtube == 'Yes') {
    echo '<a class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="YouTube" href="' . $youtube . '" target="_blank"><img src="' . $img_source . 'youtube.png" width="20" alt="" /></a>';
}

if ($use_reddit == 'Yes') {
    echo '<a class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="Reddit" href="' . $reddit . '"><img src="' . $img_source . 'reddit.png" width="20" alt="" /></a>';
}

if ($use_tiktok == 'Yes') {
    echo '<td><a class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="TikTok" href="' . $tiktok . '" target="_blank"><img src="' . $img_source . 'tiktok.png" width="20"></a>';
    } ?>
