<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

if (realpath(__FILE__) == realpath($_SERVER['SCRIPT_FILENAME'])) { exit('Access Denied'); }

/**
 * 
 * Build the Social Media Sidebar.
 * 
 */

$sql = "SELECT * FROM socialmedia"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) {  
while ($row = $result->fetch_assoc()) { ?>

<div class="icon-bar">

<?php if ($row['use_linkedin'] == 'Yes') { ?>
<a href="<?= $row['linkedin'] ?>" target="_blank" class="linkedin"><i class="fa fa-linkedin"></i></a>
<?php }

if ($row['use_twitter'] == 'Yes') { ?>
<a href="<?= $row['twitter'] ?>" target="_blank" class="twitter"><img src="../social icons/twitter.png" style="width:30px; height:30px; border-radius:50%;" alt="Twitter (X)" /></a>
<?php }

if ($row['use_facebook'] == 'Yes') { ?>
<a href="<?= $row['facebook'] ?>" target="_blank" class="facebook"><i class="fa fa-facebook"></i></a>
<?php }

if ($row['use_instagram'] == 'Yes') { ?>
<a href="<?= $row['instagram'] ?>" target="_blank" class="instagram"><i class="fa fa-instagram"></i></a>
<?php }

if ($row['use_youtube'] == 'Yes') { ?>
<a href="<?= $row['youtube'] ?>" target="_blank" class="youtube"><i class="fa fa-youtube"></i></a>
<?php }

if ($row['use_reddit'] == 'Yes') { ?>
<div style="background:red"><a href="<?= $row['reddit'] ?>" target="_blank" class="reddit"><i class="fa fa-reddit"></i></a></div>
<?php }

if ($row['use_tiktok'] == 'Yes') { ?>
<div style="background:red"><a href="<?= $row['tiktok'] ?>" target="_blank" class="tiktok"><i class="fab fa-tiktok"></i></a></div>

<?php }}} ?>
</div>