<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */
  
if (realpath(__FILE__) == realpath($_SERVER['SCRIPT_FILENAME'])) { 
exit('Access Denied'); }

$file_name = 'core';
if (file_exists($file_name)) {
"$file_name";
} else {
$file_name = '../core'; } 

$stmt = $conn->prepare('SELECT usertheme, usetheme FROM accounts WHERE id = ?');
$stmt->bind_param('i', $_SESSION['id']);
$stmt->execute();
$stmt->bind_result(
$usertheme, $usetheme );
$stmt->fetch();
$stmt->close();
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true && $usetheme == 'Yes') { 
if (isset($_GET['id'])) { $id = $_GET['id']; }
$sql = "SELECT id, usertheme FROM accounts"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {  
require_once '' . $file_name . '/themes/usertheme.php'; }}}
else { require_once '' . $file_name . '/themes/theme.php'; } ?>

<style>
.tag-cloud {
  display: inline-block;
  padding: 8px 5px;
  border-radius: 15px;
  margin-top: 5px;
  font-size: 16px;
  color: <?= $gen_text_color ?>;
}

.tag-cloud:hover {
  display: inline-block;
  padding: 8px 5px;
  border-radius: 15px;
  background: #dddddd;
  margin-top: 5px;
  font-size: 16px;
  color: #000000;
}

.hovertextcolor:hover {
  color: #000000;
}
</style>

<?php $sql = "SELECT * FROM plugins"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
 
/**
 * 
 * Display the title either
 * Styled or Plain.
 * 
 */

if ($row['showtagcloudtitle'] == 'Styled' && $row['tagcloudtitle'] == 'Yes') { ?>

<p class="column-title coltitlecolor center"><?= $row['tagcloud_title'] ?></p>

<?php } elseif ($row['showtagcloudtitle'] == 'Plain' && $row['tagcloudtitle'] == 'Yes') { ?>

<h3 class="center"><?= $row['tagcloud_title'] ?></h3>

<?php } 

/**
 * 
 * Set the height of the content window.
 * And allow for overflow.
 * 
 */ ?>

<div class="content_bg" style="height:<?= $row['tagcloud_block_height'] ?>px; overflow-y:auto;">
<div>

<?php }}
$filename = 'sup/pages.php';
if (file_exists($filename)) {
"$filename";
} else {
$filename = '../sup/pages.php'; }

$result = mysqli_query($conn, 'SELECT id, tags FROM newpages ORDER BY tags'); 
while ($row = mysqli_fetch_array($result)) { ?>

<a href="<?= $filename ?>?id=<?= $row['id'] ?>" class="tag-cloud spacer border content_bg" target="_blank" style="text-decoration:none; text-align:center;"><span class="hovertextcolor"><?= $row['tags'] ?></span></a>&nbsp;&nbsp;&nbsp;
<?php }

$filename = 'sup/articles.php';
if (file_exists($filename)) {        
"$filename";
} else {
$filename = '../sup/articles.php'; }

$result = mysqli_query($conn, "SELECT id, tags FROM articles WHERE archive = 'No' ORDER BY tags"); 
while ($row = mysqli_fetch_array($result)) { 

/**
 * 
 * Display the active articles
 * in an array by id and tag.
 */ ?>

<a href="<?= $filename ?>?id=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false" class="tag-cloud border content_bg" style="text-decoration:none; text-align:justify;"><span class="hovertextcolor"><?= $row['tags'] ?></span></a>
<?php }

/**
 * 
 * Display the active blocks
 * in an array by title.
 * 
 */

$result = mysqli_query($conn, "SELECT id, title, text FROM blocks WHERE archiveblock = 'No' ORDER BY title"); 
while ($row = mysqli_fetch_array($result)) { ?>

<a href="../sup/blocks.php?id=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false" class="tag-cloud spacer border content_bg" style="text-decoration:none; text-align:center;"><span class="hovertextcolor"><?= $row['title'] ?></span></a>

<?php } ?>

<p>&nbsp;</p>

</div>
</div>

<?php 
/**
 * 
 * Add the admin direct editing feature.
 * 
 */

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { if ($_SESSION['role'] == 'Admin') { ?>
<div class="column-footer spacer center">
<a href="../core/designer/plugins.php#tags" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _EDIT ?>" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="" /></a>
</div>
<?php }} ?>
<br>
<hr />