<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

/**
 * 
 * This file is used to preview themes from the Designers Dashboard.
 * 
 * 
 */

require_once '../core/builders/config.php';
$sql = "SELECT themes FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) {  
while ($row = $result->fetch_assoc()) { 
$themes = $row['themes']; }} 

global $id; if (isset($_GET['id'])) { 
$id = $_GET['id'];} 
$id = mysqli_real_escape_string($conn, $id); 

$sql = "SELECT * FROM themes WHERE id='$id'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$theme_name = $row['theme_name']; $website_width = $row['website_width']; $back_color = $row['back_color']; $back_opacity = $row['back_opacity']; $cnt_back_shadow = $row['cnt_back_shadow']; $bg_img = $row['bg_img']; $fix_back = $row['fix_back']; $linkcolor = $row['linkcolor']; $wrapper = $row['wrapper']; $content_bg = $row['content_bg']; $mobile_wrapper = $row['mobile_wrapper']; $header_first_color = $row['header_first_color']; $header_second_color = $row['header_second_color']; $header_width = $row['header_width']; $header_height = $row['header_height']; $header_radius = $row['header_radius']; $header_border = $row['header_border']; $header_opacity = $row['header_opacity']; $footer_color = $row['footer_color']; $footer_img = $row['footer_img']; $footer_font_color = $row['footer_font_color']; $tooltip_bg = $row['tooltip_bg']; $tooltip_font_color = $row['tooltip_font_color']; $btn_first_color = $row['btn_first_color']; $btn_second_color = $row['btn_second_color']; $btn_flat_color = $row['btn_flat_color']; $btn_top_border = $row['btn_top_border']; $btn_radius = $row['btn_radius']; $btn_shadow = $row['btn_shadow']; $btn_text_shadow = $row['btn_text_shadow']; $btn_text_color = $row['btn_text_color']; $btn_hover_color = $row['btn_hover_color']; $btn_font_size = $row['btn_font_size']; $btn_font_family = $row['btn_font_family']; $btn_face_hover = $row['btn_face_hover']; $column_title = $row['column_title']; $colradius = $row['colradius']; $col_title_font_fam = $row['col_title_font_fam']; $col_title_font_color = $row['col_title_font_color']; $col_title_font_size = $row['col_title_font_size']; $useborders = $row['useborders']; $btmradius = $row['btmradius']; $facehover = $row['facehover']; $gen_hdr_color = $row['gen_hdr_color']; $gen_text_size = $row['gen_text_size']; $gen_text_hover_color = $row['gen_text_hover_color']; $gen_text_color = $row['gen_text_color']; $gen_font_family = $row['gen_font_family']; $logo_font = $row['logo_font']; $logo_font_size = $row['logo_font_size']; $logo_font_weight = $row['logo_font_weight']; $logo_font_color = $row['logo_font_color']; $align_logo = $row['align_logo']; $logo_shadow = $row['logo_shadow']; $shadow_color = $row['shadow_color']; $menu_below = $row['menu_below']; $footer_img = $row['footer_img']; $header_img = $row['header_img']; $ana_sublogo_font = $row['ana_sublogo_font']; $ana_sublogo_font_size = $row['ana_sublogo_font_size']; $ana_sublogo_font_weight = $row['ana_sublogo_font_weight']; $ana_sublogo_font_color = $row['ana_sublogo_font_color']; $sublogotext = $row['sublogotext']; $column_title_second = $row['column_title_second']; $menu_color_second = $row['menu_color_second']; $menu_color = $row['menu_color']; $column_footer_first = $row['column_footer_first']; $column_footer_second = $row['column_footer_second']; $col_footer_font_fam = $row['col_footer_font_fam']; $col_footer_font_color = $row['col_footer_font_color']; $col_footer_font_size = $row['col_footer_font_size']; $wrapperback = $row['wrapperback']; $menu_below = $row['menu_below']; $header_img = $row['header_img']; $useheadercolor = $row['useheadercolor']; $align_logo = $row['align_logo']; $logo_shadow = $row['logo_shadow']; $shadow_color = $row['shadow_color']; $sublogotext = $row['sublogotext']; $header_first_color = $row['header_first_color']; $header_second_color = $row['header_second_color']; $menu_color = $row['menu_color']; $menu_color_second = $row['menu_color_second'];  }} ?>

<?php $sql = "SELECT * FROM website, themes"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$theme_name = $row['theme_name']; 
$menuselection = $row['menuselection']; 
$pagination = $row['pagination']; 
$logo = $row['logo']; 
$logo_image = $row['logo_image']; 
$uselogoimage = $row['uselogoimage'];
require_once '../core/lang/' . $row['lang'] . '.php'; ?>

<title><?= _THEMEPREVIEW ?></title>
<?php }} ?>

<link rel="stylesheet" href="../core/css/fontawesome.min.css">
<link rel="stylesheet" href="../core/css/fonts.min.css">
<link rel="stylesheet" href="../core/css/style.min.css">
<link rel="stylesheet" href="../core/themes/style.min.css">
<script src="../core/js/fontawesome.min.js" crossorigin="anonymous"></script>
<script src="../core/js/jquery-3.2.1.min.js"></script>

<?php 
/**
 * 
 * Find the background image in the themes folder.
 * 
 */

$imgname = '../media/themes';
if (file_exists($imgname)) {
} else {
$imgname = '../media/themes'; } 

/**
 * 
 * Add the styling with the themes variables.
 * 
 */?>

<style>
body {background: <?= $back_color ?> url('<?= $imgname ?>/<?= $bg_img ?>');background-attachment: <?= $fix_back ?>;width: 100%;opacity: <?= $back_opacity ?>;overflow-x: hidden;}.inner-wrapper {background: <?= $content_bg ?>;max-width: <?= $website_width ?>;border: 0;margin: 0 auto;opacity: 1;}<?php if ($cnt_back_shadow == '') {?>.inner-wrapper {box-shadow: none;}<?php }else {?>.inner-wrapper {box-shadow: 12px 0 15px -4px <?= $cnt_back_shadow ?>, -12px 0 8px -4px <?= $cnt_back_shadow ?>;}<?php }?> @media(max-width:1000px) {.inner-wrapper {width: 100% }}.column-title {background: -webkit-gradient(linear, left top, left bottom, from(<?= $column_title ?>), to(<?= $column_title_second ?>));font-family: <?= $col_title_font_fam ?>;font-size: <?= $col_title_font_size ?>;color: <?= $col_title_font_color ?>;border-radius: <?= $colradius ?> <?= $colradius ?> 0 0;}.column-footer {background: -webkit-gradient(linear, left top, left bottom, from(<?= $column_footer_first ?>), to(<?= $column_footer_second ?>));font-family: <?= $col_footer_font_fam ?>;font-size: <?= $col_footer_font_size ?>;color: <?= $col_footer_font_color ?>;}#wrapper {background: <?= $wrapper ?> url('<?= $imgname ?>/<?= $wrapperback ?>');background-attachment: fixed;width: 100%;border: 0 }@media (max-width:768px) {#wrapper {background: <?= $mobile_wrapper ?>;width: 100%;padding: 0 }}.general-modal-content {background: <?= $wrapper ?>;color: #000 }.responforslider {margin-top: -45px }@media(max-width:600px) {.responforslider {margin-top: 0 }}.sublogotext {text-align: <?= $align_logo ?>;font-size: <?= $ana_sublogo_font_size ?>;font-family: <?= $ana_sublogo_font ?>;color: <?= $ana_sublogo_font_color ?>;font-weight: <?= $ana_sublogo_font_weight ?>;text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.4);text-align: center;}@media(max-width:600px) {.resp-logo {font-size: 18px;text-align: center;}}.header {width: <?= $header_width ?>;height: <?= $header_height ?>;border-radius: <?= $header_radius ?>;border: <?= $header_border ?>;opacity: <?= $header_opacity ?>;margin: 0 auto }@media (max-width:400px) {.headerimage {height: 255px }}.headercolor {background-image: linear-gradient(<?= $header_first_color ?>, <?= $header_second_color ?>);}.headerimage {background-image: url(<?= $imgname ?>/<?= $header_img ?>);background-attachment: fixed;height: <?= $header_height ?>;}.linkcolor {color: <?= $linkcolor ?> }.banner-wrapper {background: <?= $menu_color ?>;width: 100%;height: 100% }.site-title {font-size: <?= $logo_font_size ?>;color: <?= $logo_font_color ?>;padding: 10px 0 10px 0;text-shadow: 1px 1px <?= $logo_shadow ?> <?= $shadow_color ?> }@media (max-width:768px) {.site-title {padding: 40px 0 0 0 }}.footer {background: <?= $footer_color ?> url(<?= $imgname ?>/<?= $footer_img ?>);background-attachment: fixed;color: <?= $footer_font_color ?>;width: 100%;text-align: center;font-size: 14px;padding: 10px 0 10px 0 }.card {background: <?= $content_bg ?>;border: <?= $useborders ?>;border-radius: 0 0 <?= $btmradius ?> <?= $btmradius ?> }[class*=hint--]:after {background: <?= $tooltip_bg ?>;color: <?= $tooltip_font_color ?>;text-align: center }.button {border-top: <?= $btn_top_border ?>;background: <?= $btn_flat_color ?>;background: -webkit-gradient(linear, left top, left bottom, from(<?= $btn_first_color ?>), to(<?= $btn_second_color ?>));background: -moz-linear-gradient(top, <?= $btn_first_color ?>, <?= $btn_second_color ?>);padding: 5px 10px;border-radius: <?= $btn_radius ?>;-webkit-box-shadow: <?= $btn_shadow ?> 0 1px 0;-moz-box-shadow: <?= $btn_shadow ?> 0 1px 0;box-shadow: <?= $btn_shadow ?> 0 1px 0;text-shadow: <?= $btn_text_shadow ?> 0 1px 0;color: <?= $btn_text_color ?>;font-size: <?= $btn_font_size ?>;font-family: <?= $btn_font_family ?>;text-decoration: none;vertical-align: middle }.button:hover {border-top-color: <?= $btn_top_border ?>;background: <?= $btn_flat_color ?>;color: <?= $btn_hover_color ?> }.button:active {border-top-color: <?= $btn_flat_color ?>;background: <?= $btn_flat_color ?> }p {color: <?= $gen_text_color ?>;font-family: <?= $gen_font_family ?>;font-size: <?= $gen_text_size ?> }h1, h2, h3, h4, h5, h6 {color: <?= $gen_hdr_color ?> }a:active, a:link, a:visited {color: <?= $gen_text_color ?>;font-family: <?= $gen_font_family ?>;text-decoration: underline }a:hover {color: <?= $gen_text_hover_color ?>;text-decoration: underline }.coltitle {background-color: <?= $menu_color ?>;border-radius: <?= $btmradius ?>;}.spectramenu>.spectramenu-list>li>.spectramegamenu {width: 100%;left: 0px;position: absolute;top: 70px;color: <?= $linkcolor ?>;z-index: 1000;margin: 0px;text-align: left;padding: 14px 5px;font-size: 15px;background-color: <?= $content_bg ?>;}ul.sub-menu {background-color: <?= $content_bg ?>;}.spectramenu>.spectramenu-list>li>ul.sub-menu {background: <?= $content_bg ?>;color: <?= $gen_text_color ?>;}.spectramainfull {text-align: left;background: -webkit-gradient(linear, left top, left bottom, from(<?= $menu_color ?>), to(<?= $menu_color_second ?>));margin: 0 auto;}.home {background: <?= $menu_color ?>;}.pagination {background: <?= $content_bg ?>;}.spectramenu>.spectramenu-list>li>a.active {background-color: <?= $menu_color ?>;}.spectramenu>.spectramenu-list>li:hover>a {background-color: <?= $menu_color ?>;}.spectramenu>.spectramenu-list>li>ul.sub-menu>li:hover>a {background-color: <?= $menu_color_second ?>;}.spectramenu>.spectramenu-list>li>ul.sub-menu>li>ul.sub-menu>li:hover>a {background-color: <?= $menu_color ?>;}.spectramenu>.spectramenu-list>li>ul.sub-menu>li>ul.sub-menu>li>ul.sub-menu>li:hover a {background-color: <?= $menu_color ?>;}.spacer{padding:10px}.notice { width: 90%; position: sticky;top: 0;z-index: 999;padding: 10px;background: #f1f1f1;color: #000;margin: 0 auto;}@media (max-width:600px) {.notice {top: 50px;}}.column4 {width: 25% }.column2 {width: 50% }@media (max-width:1020px) {.column2, .column4 {width: 100%;float: left;}}</style>

</head>

<body>
<div class="inner-wrapper">
<div class="noborder">

<?php 
/**
 * 
 * Build the header area.
 * Either background image or colors.
 * 
 */

if ($useheadercolor == 'Yes') { ?>
<div style="width:97%; margin:0 auto; background-image:linear-gradient(<?= $header_first_color ?>, <?= $header_second_color ?>);" class="column header headercolor">
<?php } else { ?>
<div style="width:97%; margin:0 auto;" class="header headerimage">
<?php }

/**
 * Add the logo.
 * 
 */  

$sql = "SELECT * FROM website, themes"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$logo = $row['logo']; 
$logo_image = $row['logo_image'];	 
$logoradius = $row['logoradius'];  
$sublogotext = $row['sublogotext']; }}

/**
 * 
 * Find the logo image in the themes folder.
 * 
 */

$img = '../media/themes';
if (file_exists($img)) {
} else {
$img = 'media/themes'; } 

/**
 * 
 * Build the logo with or without image.
 * 
 */

if ($uselogoimage == 'Yes') {	
echo '<div class="site-title" style="text-align:' . $align_logo . ';">&nbsp;&nbsp;<a href="../../index.php" style="text-decoration:none;"><img class="noborder" src="' . $img . '/' . $logo_image . '" style="border:0; width:100px; height:100px;border-radius:' . $logoradius . ';" alt="" />&nbsp;&nbsp;<span class="resp-logo" style="color:' . $logo_font_color . ';text-shadow:1px 1px ' . $logo_shadow . 'px ' . $shadow_color . ';font-family:' . $logo_font . ';font-size:' . $logo_font_size . ';">' . $logo . '</span></a><br><div class="resp-logo sublogotext" style="padding-left:190px;text-shadow:1px 1px ' . $logo_shadow . 'px ' . $shadow_color . ';text-align:' . $align_logo . ';">' . $sublogotext . '</div></div>';
} else {
echo '<div class="resp-logo site-title" style="text-align:' . $align_logo . ';"><a href="../../index.php" style="text-decoration:none;"><div style="color:' . $logo_font_color . '; text-shadow:1px 1px ' . $logo_shadow . 'px ' . $shadow_color . ';font-family:' . $logo_font . '; font-size:' . $logo_font_size . '; padding-left:10px;">' . $logo . '</div></a><br><div class="resp-logo sublogotext" style="padding-left:190px;text-align:' . $align_logo . ';">' . $sublogotext . '</div></div>'; } ?>
</div>

<?php 
/**
 * 
 *  Place Menu Below the logo.
 * 
 */

require_once 'preview-menu.php'; 

/**
 * 
 * Get the themes id.
 * To show the themes name.
 * 
 */ 

if (isset($_GET['id'])) { 
$id = $_GET['id'];} 
$id = mysqli_real_escape_string($conn, $id);

/**
 * 
 * Display messages.
 * 
 */

$sql = "SELECT theme_name FROM themes WHERE id='$id'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) {  
while ($row = $result->fetch_assoc()) { ?> 
<h1 class="center"><?= _THEMEPREVIEW ?> &quot;<?= $row['theme_name'] ?>&quot;<h1>
<h3 class="center"><?= _LINKSMAYNOTWORK ?></h3> 
<?php }} ?>
</div>

<?php
/**
 * Add a button to close the window.
 * 
 */ ?>

<div style="box-shadow:2px 2px 4px #000; border:.5px solid #000;" class="center full radius notice">
<input type="button" style="width:100px" value="Close" onclick="self.close()">

<script>
function windowClose() {
window.open('', '_parent', '');
window.close(); }
</script>
</div>

<table id="wrapper" class="full content-container">
<tr>
<td class="column top">

<?php 
/**
 * 
 * Add the content.
 * 
 */

require_once '../core/layout/index.php'; ?> 
</td></tr></table>

</div>
</div>

<?php require_once 'footer.php';

