<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

 require_once 'main.php';
 
 /**
  * 
  * Find and add the language files.
  * 
  */
 
$sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$logo = $row['logo'];
require_once '../core/lang/' . $row['lang'] . '.php'; }}

 /**
 * 
 * Add the theme.
 * 
 */

$stmt = $conn->prepare('SELECT usertheme, usetheme FROM accounts WHERE id = ?');
$stmt->bind_param('i', $_SESSION['id']);
$stmt->execute();
$stmt->bind_result(
$usertheme, $usetheme );
$stmt->fetch();
$stmt->close();
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true && $usetheme == 'Yes') { 
if (isset($_GET['id'])) { $id = $_GET['id']; }
$sql = "SELECT id, usertheme FROM accounts"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
require_once 'usertheme.php'; }}}
else { require_once 'theme.php'; }

$sql = "SELECT * FROM plugins"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { ?>

<style>
p {font-size: 16px}
</style>

<div id="wrapper">

<div class="inner-wrapper">
    
<p>&nbsp;</p>

<h1 class="center"><?= $logo ?> - <?= $row['archivetitle'] ?></h1>
<hr />

<?php }} 

/**
*  Archive Articles
* 
*/

$sql = "SELECT * FROM articles"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$c_title = $row['c_title']; }}

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM articles WHERE archive = 'Yes'"); 
while ($row = mysqli_fetch_array($result)) { 
$var = $row['count']; }

$result = mysqli_query($conn, "SELECT * FROM articles WHERE archive = 'Yes' ORDER BY c_title ASC"); ?>

<h3 class="center spacer"><?= _ARTICLES ?>: (<?= $var ?>)</h3>

<div class="row">
<?php while ($row = mysqli_fetch_array($result)) { 
    
$filename = 'sup/articles.php';
if (file_exists($filename)) {
"$filename";
} else {
$filename = '../sup/articles.php'; } ?>

<div class="column4 card spacer">
<p><a href="<?= $filename ?>?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank">&bull; <?= $row['c_title'] ?></a> | <?= $row['date'] ?></p>
</div>

<?php } ?>

</div>

<?php $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE archiveblock = 'Yes'"); 
while ($row = mysqli_fetch_array($result)) { 
$var = $row['count']; }

$result = mysqli_query($conn, "SELECT * FROM blocks WHERE archiveblock = 'Yes' ORDER BY title ASC"); ?>

<h3 class="center spacer"><?= _SIDEBARBLOCKS ?>: (<?= $var ?>)</h3>

<div class="row">
<?php while ($row = mysqli_fetch_array($result)) {

$filename = 'sup/sidebars.php';
if (file_exists($filename)) {
"$filename";
} else {
$filename = '../sup/sidebars.php'; } ?>

<div class="column4 spacer card">
<p><a href="<?= $filename ?>?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank">&bull; <?= $row['title'] ?></a> | <?= $row['date'] ?></p>
</div>

<?php } ?>
</div>

<?php
/**
*  fetch the sniplets 
* 
*/

$sql = "SELECT * FROM sniplet"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$sniplet_title = $row['sniplet_title']; }}

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_archive='Yes'"); 
while ($row = mysqli_fetch_array($result)) { 
$var = $row['count']; }

$result = mysqli_query($conn, "SELECT * FROM sniplet WHERE sniplet_archive = 'Yes' ORDER BY sniplet_title"); ?>

<h3 class="center spacer"><?= _SNIPLETS ?> (<?= $var ?>)</h3>

<div class="row">
<?php while ($row = mysqli_fetch_array($result)) {

$filename = 'sup/sniplets.php';
if (file_exists($filename)) {
"$filename";
} else {
$filename = '../sup/sniplets.php'; } ?>

<div class="column4 spacer card">
<p><a href="<?= $filename ?>?id=<?= $row['id'] ?>" style="text-decoration:none" onclick="basicPopup(this.href);return false">&bull; <?= $row['sniplet_title'] ?></a></p>
</div>
<?php } ?>
</div>
<br>

<?php
/**
*  fetch the admin articles 
* 
*/

$sql = "SELECT * FROM adminarticle"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$date = $row['date'];
$adminarticletitle = $row['adminarticletitle']; }}

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM adminarticle WHERE archive='Yes'"); 
while ($row = mysqli_fetch_array($result)) { 
$var = $row['count']; }

$result = mysqli_query($conn, "SELECT * FROM adminarticle WHERE archive = 'Yes' ORDER BY adminarticletitle"); ?>

<div class="card column">
<h3 class="center spacer"><?= _NEWSARTICLES ?> (<?= $var ?>)</h3>

<div class="row">
<?php while ($row = mysqli_fetch_array($result)) {


$filename = '../sup/news.php'; ?>

<div class="column4 spacer card">
<p><a href="<?= $filename ?>?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank">&bull; <?= $row['adminarticletitle'] ?></a> | <?= $date ?></p>
</div>
<?php } ?>
</div>
<br>
</div>

</div>
</div>
</div>
