<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

$sql = "SELECT theme_name FROM themes"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$theme_name = $row['theme_name']; }}

$sql = "SELECT * FROM themes WHERE theme_name = '$theme_name'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { ?>
<link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
<style>
.hilite a:hover {
background: <?= $row['menu_color'] ?>;
color: <?= $linkcolor ?>; }

.borderright {
border-right: .5px solid <?= $row['menu_color'] ?>; }
.ddlinks {font-size: 16px; }

a:hover .ddlinks {
color: <?= $linkcolor ?>; }
</style>

<?php 
/**
 * 
 * Setup to get the theme.
 * Load either the default 
 * or user selected theme.
 * 
 */

$stmt = $conn->prepare('SELECT usertheme, usetheme FROM accounts WHERE id = ?');
$stmt->bind_param('i', $_SESSION['id']);
$stmt->execute();
$stmt->bind_result(
$usertheme, $usetheme );
$stmt->fetch();
$stmt->close();

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true && $usetheme == 'Yes') { 
if (isset($_GET['id'])) { $id = $_GET['id']; }

$sql = "SELECT id, usertheme FROM accounts"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
require_once 'usertheme.php'; }}}
else { require_once 'theme.php'; } 

/** 
 * 
 * Define the menu face color.
 * 
 */ ?>

<link id="effect" rel="stylesheet" media="all" href="../core/megamenu/megamenufade-min.css" />
<link rel="stylesheet" media="all" href="../core/megamenu/megamenu.min.css" />
<script src="../core/megamenu/megamenu.min.js"></script>

<?php
/**
 * 
 * Display the mobile menu
 * and arrow.
 * 
 */ ?>

<div class="spectramobileheader clearfix" style="height:40px; background:-webkit-gradient(linear,left top,left bottom,from(<?= $menu_color ?>),to(<?= $menu_color_second ?>))">
<a id="spectranavtoggle" class="spectraanimated-arrow"><span></span></a>
</div>

<?php 
/**
 * 
 * Show the menu below the header/logo.
 * 
 */

if ($menu_below == 'Yes') { ?>
<div class="spectramainfull clearfix" style="width:<?= $website_width ?>; height:80px; background:-webkit-gradient(linear,left top,left bottom,from(<?= $menu_color ?>),to(<?= $menu_color_second ?>))">
<?php } else { ?>
<div class="spectramainfull clearfix" style="width:<?= $website_width ?>; height:80px; background:-webkit-gradient(linear,left top,left bottom,from(<?= $menu_color ?>),to(<?= $menu_color_second ?>))">
<?php }}} ?>

<div class="spectramainwp clearfix">
<nav class="spectramenu clearfix">
<ul class="spectramenu-list">

<?php 
/**
 * 
 * Get the links and display them.
 * 
 */

require_once '../core/megamenu/links.php'; ?>
</ul>
</nav>
</div>
</div>