<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 * 
 */

require_once 'header.php'; ?>

<style>
.modal {
display: none;
position: fixed;
z-index: 1;
padding-top: 100px;
left: 0;
top: 0;
width: 100%;
height: 100%;
overflow: auto;
background-color: rgb(0,0,0);
background-color: rgba(0,0,0,0.4); }

.modal-content {
background-color: #fefefe;
margin: auto;
padding: 20px;
border: 1px solid #888;
width: 80%; }

.close {
color: #aaaaaa;
float: right;
font-size: 28px;
font-weight: bold; }

.close:hover,
.close:focus {
color: #000;
text-decoration: none;
cursor: pointer; }
</style>

<button class="myBtn_multi">Overview</button>
<button class="myBtn_multi">Articles</button>
<button class="myBtn_multi">Designers Dashboard</button>

<?php
/**
 * 
 * Overview
 * 
 */ ?>
<div class="modal modal_multi">
<div class="modal-content">
<span class="close close_multi">×</span>
<p><iframe src="../core/designer/index.php" style="width:100%; height:500px;"></iframe></p>
</div>
</div>
<?php
/**
 * 
 * Articles
 * 
 */ ?>
<div class="modal modal_multi">
<div class="modal-content">
<span class="close close_multi">×</span>
<p><iframe src="../core/designer/articles.php" style="width:100%; height:500px;"></iframe></p>
</div>
</div>
<?php
/**
 * 
 * General Website Configuration
 * 
 */ ?>
<div  class="modal modal_multi">
<div class="modal-content">
<span class="close close_multi">×</span>
<p><iframe src="../core/designer/website.php" style="width:100%; height:500px;"></iframe></p>
</div>
</div>
<?php
/**
 * 
 * Script to support multiple modals.
 * 
 */ ?>
<script>
var modalparent = document.getElementsByClassName("modal_multi");
var modal_btn_multi = document.getElementsByClassName("myBtn_multi");
var span_close_multi = document.getElementsByClassName("close_multi");
function setDataIndex() {
for (i = 0; i < modal_btn_multi.length; i++) {
modal_btn_multi[i].setAttribute('data-index', i);
modalparent[i].setAttribute('data-index', i);
span_close_multi[i].setAttribute('data-index', i); }}
for (i = 0; i < modal_btn_multi.length; i++) {
modal_btn_multi[i].onclick = function() {
var ElementIndex = this.getAttribute('data-index');
modalparent[ElementIndex].style.display = "block"; };
span_close_multi[i].onclick = function() {
var ElementIndex = this.getAttribute('data-index');
modalparent[ElementIndex].style.display = "none"; }; }
window.onload = function() {
setDataIndex(); };
window.onclick = function(event) {
if (event.target === modalparent[event.target.getAttribute('data-index')]) {
modalparent[event.target.getAttribute('data-index')].style.display = "none"; }
if (event.target === modal) {
modal.style.display = "none"; }};
var modal = document.getElementById('myModal');
var btn = document.getElementById("myBtn");
var span = modal.getElementsByClassName("close")[0];
btn.onclick = function() {
modal.style.display = "block"; }
span.onclick = function() {
modal.style.display = "none"; }
</script>

<?php require_once 'footer.php'; ?>
