<?php
/**
 * Spectra is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
* 
* Prevent direct access.
*
*/

if (!isset($_SERVER['HTTP_REFERER'])) {
echo "<script> window.location.replace('../../index.php') </script>";
exit; }

/** 
 * 
 * Pull-in the config file
 * and start the session.
 * 
 */ 

require_once 'main.php';
session_start(); ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="x-ua-compatible" content="ie=edge">
<meta name="description" content="All Active Accounts Listing">
<meta name="keywords" content="Active, User Accounts, Private Access">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
<?php $sql = "SELECT lang, showuserlist FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$showuserlist = $row['showuserlist'];
require_once '../core/lang/' . $row['lang'] . '.php'; }} ?>
<title><?= _ACTIVEMEMBERACCOUNTS ?></title>
<?php require_once 'header.php'; ?>

<style>
.table-container { width:30%; margin:0 auto;} @media (max-width:1000px) { .table-container { width:100%;}} th {font-size:10px}
</style>

<body> 
 
<div id="wrapper" style="margin:0 auto; width:97%; padding:50px;">
<br>
<div class="inner-wrapper center spacer gentextcolor">

<?php 
/**
 * 
 * Add the search feature.
 * Click on members name or
 * enter name or partial name
 * to search for members.
 * 
 */ ?>

<table><tr>

<?php global $search;

$search = $_POST['search'];

echo '<p class="center">';
echo '' . _SEARCHQUERY . ': '. $search;
echo '&nbsp;&nbsp;&nbsp;<a href="userlist.php">' . _GOBACK . '</a></p>';

$sql = "select * from accounts WHERE username like '%$search%'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while($row = $result->fetch_assoc() ) { ?>

<div class="column6 card"><p class="center">&bull; <a href="profile.php?id=<?=$row['id'] ?>" onclick="basicPopup(this.href);return false"><?= $row["username"] ?></a></p></div>

<?php }} 

else { ?>
<p class="center"><?= _NORECORDS ?></p>
<?php } ?>
</td></tr></table>
</div>

<?php require_once 'footer.php';


