<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php'; 
session_start(); ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description" content="Spectra Sidebar Block">
<meta name="keywords" content="Preview, Block, Information">

<?php if (isset($_GET['id'])) { $id = $_GET['id']; } 

$result = mysqli_query($conn, "SELECT title FROM blocks WHERE id='$id'"); 
while ($row = mysqli_fetch_array($result)) { ?>
<title><?= $row['title']; } ?></title>
<?php $sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$filename = 'core/lang/' . $row['lang'] . '.php';
if (file_exists($filename)) {
require_once "$filename";
} else {
require_once '../core/lang/' . $row['lang'] . '.php'; }}} ?>

<style>
.resp {
width: 30%; }

@media (max-width: 1000px) {
.resp {
width: 100% }}
</style>

<?php if (isset($_GET['id'])) { $id = $_GET['id']; }
$id = mysqli_real_escape_string($conn, $id);
$sql = "SELECT id FROM blocks WHERE id = '$id'";
$result = $conn->query($sql);
if (mysqli_num_rows($result) == 0) {

/**
 * 
 * If block does not exist 
 * send to the 404 page.
 * 
 */

require_once '../builders/404.php';
} else { 
    
/**
 * 
 * If block exist show it.
 * 
 */

require_once 'header.php'; ?>

<br>

<?php if (isset($_GET['id'])) { $id = $_GET['id']; }
$id = mysqli_real_escape_string($conn, $id);
$result = mysqli_query($conn, "SELECT title, text FROM blocks WHERE id='$id'"); 
while ($row = mysqli_fetch_array($result)) { ?>
<div class="resp" style="margin:0 auto">
<div class="column-title center coltitlecolor"><strong> <?= $row['title'] ?></strong></div>
<div class="card column" style="text-shadow:none"><?= $row['text'] ?></div>
<br>

<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="column-footer center spacer" style="margin:0 auto; width:100%;">
<a href="../core/designer/blockbuilder.php?edit=<?= $id ?>" onclick="basicPopup(this.href);return false" title="<?= _EDITARTICLEDIRECTLY ?>"><i class="fa fa-pencil-square-o"></i></a>
</div>
</div>
<?php }}} ?>
</div>
<br>
<br>
<br>
<br>
<?php require_once 'footer.php'; } ?>