<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
require_once 'lang/' . $row['lang'] . '.php'; }} ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,minimum-scale=1">
<title><?= _ADMINACCOUNTS ?></title>
<?php require_once 'header.php'; ?>
<div class="spacer column-title">
<h1 class="center coltitlecolor"><?= _ADMINACCOUNTS ?></h1>
</div>
<div id="wrapper">
<div class="inner-wrapper spacer">
<br><br><br>
<div class="content-block">
<div class="table spacer">
<table>
<thead>
<tr class="left column-title columntitlecolor">
<th scope="col" style="font-size:12px"><?= _ID ?></th>
<th scope="col" style="font-size:12px"><?= _USERNAME ?></th>
<th scope="col" style="font-size:12px"><?= _EMAIL ?></th>
<th scope="col" style="font-size:12px"><?= _ACTIVATIONCODE ?></th>
<th scope="col" style="font-size:12px"><?= _DATE ?></th>
<th scope="col" style="font-size:12px"><?= _ROLE ?></th>
</tr>
</thead>

<?php $sql = "SELECT * FROM accounts WHERE role = 'Admin'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { ?>

<style>
.outline { border: 1px solid black; outline: <?= $linkcolor ?> solid 1px; margin: auto; padding: 1px; text-align: center; }
tr:nth-child(even) {background: <?= $content_bg ?>; color: <?= $gen_text_color ?>;}
</style>
<tr class="gentextcolor outline">
<td data-label="<?= _ID ?>: " style="font-size:12px"><?= $row['id'] ?></td>
<td data-label="<?= _USERNAME ?>: " style="font-size:12px"><?= $row['username'] ?></td>
<td data-label="<?= _EMAIL ?>: " style="font-size:12px"><?= $row['email'] ?></td>
<td data-label="<?= _ACTIVATIONCODE ?>: " style="font-size:12px"><?= $row['activation_code'] ?></td>
<td data-label="<?= _DATE ?>: " style="font-size:12px"><?= $row['date'] ?></td>
<td data-label="<?= _ROLE ?>: " style="font-size:12px"><?= $row['role'] ?></td>
<?php }} ?>
</tr>
</table>
</div>
</div>
<br>
<br>

<?php require_once 'footer.php';