<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 * 
 */

require_once 'main.php';

/**
 * 
 * Get All Table Names From the Database.
 * 
 */

$tables = array();
$sql = "SHOW TABLES";
$result = mysqli_query($conn, $sql);
while ($row = mysqli_fetch_row($result)) {
$tables[] = $row[0]; }
$sqlScript = "";
foreach ($tables as $table) {

/**
 * 
 * Prepare SQLscript for creating table structure.
 * 
 */

$query = "SHOW CREATE TABLE $table";
$result = mysqli_query($conn, $query);
$row = mysqli_fetch_row($result);
$sqlScript .= "\n\n" . $row[1] . ";\n\n";
$query = "SELECT * FROM $table";
$result = mysqli_query($conn, $query);
$columnCount = mysqli_num_fields($result);

/**
 * 
 * Prepare SQLscript for dumping data for each table.
 * 
 */

for ($i = 0; $i < $columnCount; $i ++) {
while ($row = mysqli_fetch_row($result)) {
$sqlScript .= "INSERT INTO $table VALUES(";
for ($j = 0; $j < $columnCount; $j ++) {
$row = $row[$j];

if (isset($row[$j])) {
$sqlScript .= '"' . $row[$j] . '"';

} else {

$sqlScript .= '""'; }

if ($j < ($columnCount - 1)) {
$sqlScript .= ','; }}
$sqlScript .= ");\n"; }}
$sqlScript .= "\n"; }
if(!empty($sqlScript)) {

/**
 * 
 * Save the SQL script to a backup file.
 * 
 */

$backup_file_name = $db . '_backup_' . time() . '.sql';
$fileHandler = fopen($backup_file_name, 'w+');
$number_of_lines = fwrite($fileHandler, $sqlScript);
fclose($fileHandler); 

/**
 * 
 * Download the SQL backup file 
 * to the browser.
 * 
 */

header('Content-Description: File Transfer');
header('Content-Type: application/octet-stream');
header('Content-Disposition: attachment; filename=' . basename($backup_file_name));
header('Content-Transfer-Encoding: binary');
header('Expires: 0');
header('Cache-Control: must-revalidate');
header('Pragma: public');
header('Content-Length: ' . filesize($backup_file_name));
ob_clean();
flush();
readfile($backup_file_name);
exec('rm ' . $backup_file_name); }
