<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { require_once 'lang/' . $row['lang'] . '.php'; }} ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,minimum-scale=1">
<title><?= _INICONFIG ?></title>
<?php require_once 'header.php'; ?>
<div class="inner-wrapper">
<div class="column-title spacer">
<h1 class="center coltitlecolor">PHP ini Configuration</h1>
</div>
<div class="spacer">
<p class="left"><strong><?= _CPANEL ?></strong></p>
<p class="left"><strong><?= _CHANGEVALUES ?></strong></p>
<p class="left">max_execution_time -- 100</p>
<p class="left">max_input_vars -- 1000</p>
<p class="left">memory_limit -- 64m</p>
<p class="left">post_max_size -- 200m</p>
<p class="left">upload_max_filesize -- 200m</p>
<p class="center"><input type="button" value="<?= _CLOSEWINDOW ?>" onclick="self.close()"></p>
</div>

<?php require_once 'footer.php';