<?php 
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

include 'main.php';

$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
require_once 'lang/' . $row['lang'] . '.php'; }} ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,minimum-scale=1">
<title><?= _DOWNLOADSLOG ?></title>
<link rel="stylesheet" href="themes/style.css">
<?php require_once 'themes/theme.php';

$sql = "SELECT * FROM downloadconfig"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {

if ($row['use_downloads'] == 'No' || $row['use_downloads'] == '') { ?>
<h1 style="padding-top:5%; text-align:center"><?= _NOTACTIVE ?></h1>
<?php }
if ($row['use_downloads'] == 'Yes') { ?>
<div class="column-title">
<h1 style="text-align:center" class="coltitlecolor"><?= _DOWNLOADSLOG ?> </i class="fa fas-download"></i></h1>
</div>
<table class="inner-wrapper gentextcolor">
<thead>
<tr class="column-title coltitlecolor">
<th scope="col"><?= _ID ?></th>
<th scope="col"><?= _FILENAME ?></th>
<th scope="col"><?= _FILESIZE ?></th>
<th scope="col"><?= _NUMBERDOWNLOADS ?></th>
<th scope="col"><?= _DATE ?></th>
</tr>
</thead>
<?php $sql = "SELECT * FROM files"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { ?>

<style> 
tr:nth-child(even) { 
background: <?= $content_bg ?> } 
</style>

<tr class="gentextcolor inner-wrapper" style="box-shadow: 2px 2px 5px #000">
<td data-label="<?= _ID ?>: "><?= $row['id'] ?></td>
<td data-label="<?= _FILENAME ?>: "><?= $row['name'] ?></td>
<td data-label="<?= _FILESIZE ?>: "><?= $row['size'] ?></td>
<td data-label="<?= _NUMBERDOWNLOADS ?>: "><?= $row['downloads'] ?></td>
<td data-label="<?= _DATE ?>: "><?= $row['date'] ?></td>
</tr>
<?php }} ?>
</tr>
</table>
<div style="text-align:center" class="column-title">
<a href="print-log.php" style="text-decoration:none">
<span class="btn coltitlecolor"><?= _PRINT ?>
</a>
</div>
<?php }}}