<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */ 

require_once 'main.php';
require_once 'functions.php'; 

$sql = "SELECT lang, zipfile FROM website, zipsupport"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$zipfile = $row['zipfile'];
require_once 'lang/' . $row['lang'] . '.php'; }}

require_once 'themes/theme.php'; ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,minimum-scale=1">
<title><?= _FULLBACKUP ?></title>
<link rel="stylesheet" href="../../core/css/fontawesome/css/font-awesome.min.css">
<link rel="stylesheet" href="../../core/themes/shorthand.css">
<link rel="stylesheet" href="themes/style.css">

<style>
* { 
margin: 0; 
padding: 0; } 

.loader { 
display: none; 
top: 50%; 
left: 50%; 
position: absolute; 
transform: translate(-50%, -50%); } 

.loading { 
border: 2px solid #ccc; 
width: 60px; 	
height: 60px; 
border-radius: 50%; 
border-top-color: #1ecd97; 
border-left-color: #1ecd97; 
animation: spin 1s infinite ease-in; } 
@keyframes spin { 
0% { transform: rotate(0deg); } 
100% { 	transform: rotate(360deg); }}
</style>

</head>
<body id="wrapper">

<div class="inner-wrapper spacer gentextcolor">

<p>&nbsp;</p>

<div class="column-title spacer" style="text-align:center"><h3 class="coltitlecolor"><?= _WEBSITEBACKUP ?> &quot;<?= _FULLBACKUP ?>&quot;</h3></div>
<br>
<h3 style="text-align:center"><?= _WILL_BACKUP ?></h3>
<br>

<div class="mini-container">


<p style="text-align:center">
<a href="full.php" onclick="basicPopup(this.href);return false" class="button" style="text-decoration:none">
<span class="linkcolor"><?= _CONTINUE ?></span>
</a></p> 

</div>
<p>&nbsp;</p>
<p>&nbsp;</p>



<?php //require_once 'footer.php';