<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
$sql = "SELECT * FROM website";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$lang = $row['lang'];
require_once 'lang/' . $lang . '.php';
}}

function update()
{ ?>
<style>
body {
background: #336699
}

#wrapper {
margin: 160px auto;
}

.whisp {
min-height: 260px;
}

#container {
border-radius: 10px;
-moz-border-radius: 10px;
-webkit-border-radius: 10px;
-khtml-border-radius: 10px;
height: 130px;
margin: 0 auto;
position: relative;
width: 356px;
}

#sub-container {
background: #fff;
border: 1px solid #333;
border-color: rgba(0, 0, 0, 0.2);
border-radius: 10px;
-moz-border-radius: 10px;
-webkit-border-radius: 10px;
-khtml-border-radius: 10px;
box-shadow: 0 0 10px #000 inset;
height: 218px;
left: 5px;
position: absolute;
top: 5px;
width: 345px;
}

#sub-header {
background-color: #02435d;
background-color: rgba(2, 67, 93, 0.75);
filter: progid: DXImageTransform.Microsoft.gradient(startColorstr=#c002435d, endColorstr=#c002435d);
border-bottom: 1px solid #002F3F;
border-radius: 5px 5px 0 0;
-moz-border-radius: 5px 5px 0 0;
-webkit-border-radius: 5px 5px 0 0;
-khtml-border-radius: 5px 5px 0 0;
height: 65px;
padding: 10px 0 0;
text-align: center;
color: #fff;
text-shadow: 1px 1px 2px #000;
font-size: 3vw;
}
</style>
<div class="container">
<div id="wrapper" class="whisp">
<div id="content-container">
<div id="container">
<div id="sub-container">
<div id="sub-header">Spectra</div>
<p style="text-align:center;color:#000;"><?= _UPDATESUCCESSFUL ?></p>
<p style="text-align:center"><input type="button" value="<?= _CLOSEWINDOW ?>" onclick="self.close()"></p>
<script>
function windowClose() {
window.open('', '_parent', '');
window.close();
}
</script>
</div>
</div>
</div>
</div>
</div>
<?php }

function showIPAddress()
{
$variableIndex = array(
"HTTP_CLIENT_IP",
"HTTP_X_FORWARDED_FOR",
"HTTP_X_FORWARDED",
"HTTP_FORWARDED_FOR",
"HTTP_FORWARDED",
"REMOTE_ADDR"
);
for ($i = 0; $i < count($variableIndex); $i++) {
if (!isset($ipAddress)) {
if (array_key_exists($variableIndex[$i], $_SERVER)) {
$ipAddress = getenv($variableIndex[$i]);
echo '<p class="left"><b>Your IP address:</b> ' . $ipAddress . '</p>';
break;
}}}}

function savemenu()
{ ?>
<style>
.savemenu {
margin: 0 auto;
margin-top: 0;
width: 315px;
height: 55px;
display: block;
box-shadow: 0 0 5px #000 inset;
z-index: 999;
}

@media(max-width:600px) {
.savemenu {
margin-top: -200px
}
}
</style>
<div class="radius center" id="updatebtn">
<input class="button noborder pointer" style="font-size:13px; font-weight:600;" type="Submit" value="<?= _SAVE ?>" name="Submit">
</div><br>
<?php }

function updatepublish()
{
global $update; ?>
<div class="center input-group">
<?php if ($update == true) { ?>
<button style="cursor:pointer; width:250px;" type="submit" class="button" name="update"><?= _SETBACKUPDIR ?></button>
<?php } else { ?>
<button style="cursor:pointer; width:250px;" class="button" type="submit" name="save"><?= _PUBLISH ?></button>
<?php } ?>
</div>
<?php }

function closewin()
{ ?>
<input type="button" value="Close this window" onclick="self.close()">
<script>
function windowClose() {
window.open('', '_parent', '');
window.close();
}
</script>
<?php }
