<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */ ?>
 
<link rel="stylesheet" href="../../core/css/fontawesome/css/font-awesome.min.css">
<link rel="stylesheet" href="themes/style.min.css">
<link rel="stylesheet" href="../css/pageeditor.css">
<link rel="stylesheet" href="../../core/themes/shorthand.css">
<link rel="stylesheet" href="../../core/css/fonts.css">
<link rel="stylesheet" href="../../core/css/hint.min.css">
<link rel="stylesheet" href="css/admin.css">
<link rel="stylesheet" href="css/polladmin.css">
<link rel="stylesheet" href="css/installer.css">
<link rel="stylesheet" href="css/style.css">
<script src="../../core/js/fontawesome.js" crossorigin="anonymous"></script>
<script src="js/jquery-3.3.1.js"></script>
</head>
<?php require_once 'main.php';
require_once 'themes/theme.php';
require_once 'functions.php'; ?>
<body class="loggedin" style="margin:0 auto; width:<?= $website_width ?>;">
<div id="wrapper">

<?php 
/** 
 * 
 * Closes in footer.php.
 * 
 */ ?>

<div class="inner-wrapper">
<?php global $theme_name; 
$sql = "SELECT * FROM website, themes WHERE theme_name='$theme_name'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$tooltip_bg = $row['tooltip_bg']; 
$lang = $row['lang'];
require_once 'lang/' . $lang . '.php';
if ($row['useheadercolor'] == 'Yes') { ?>
<div style="width:100%; margin:0 auto;" class="header headercolor">
<?php require_once 'logo.php'; ?>
</div>
<?php } else { ?>
<div style="background: url(../../media/themes/<?= $row['header_img'] ?>);background-attachment:fixed; width:<?= $row['website_width'] ?>;margin:0 auto; height:<?= $row['header_height'] ?>">
<?php }}}
require_once 'logo.php'; ?>
</div>
<?php require_once 'menu/index.php';

/** 
 * 
 * Closes in footer.php.
 * 
 */ ?>
 
<div class="row noborder">
<div id="wrapper">
<div class="inner-wrapper">