/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

var fileobj;
function upload_file(e) {
e.preventDefault();
fileobj = e.dataTransfer.files[0];
ajax_file_upload(fileobj);
}

function file_explorer() {
document.getElementById('selectfile').click();
document.getElementById('selectfile').onchange = function() {
fileobj = document.getElementById('selectfile').files[0];
ajax_file_upload(fileobj);
};
}

function ajax_file_upload(file_obj) {
if(file_obj != undefined) {
var form_data = new FormData();                  
form_data.append('file', file_obj);
var xhttp = new XMLHttpRequest();
xhttp.open("POST", "prep_unzip.php", true);
xhttp.onload = function(event) {
oOutput = document.querySelector('.img-content');
if (xhttp.status == 200) {
oOutput.innerHTML = "<p style='text-align:center'><img src='"+ this.responseText +"' alt='File Uploaded' /></p>";
} else {
oOutput.innerHTML = "Error " + xhttp.status + " occurred when trying to upload your file.";
}
}
xhttp.send(form_data);
}
}