<?php
/**
* Spectra est un logiciel conçu pour créer un site Web.
* PHP Version 8+
*
* @category OpenSource
* @package Spectra
* @author Mike Boyles <codersjunctions@gmail.com>
* @copyright 2020-2023 Jonction des codeurs
* @license GNU General Public License <http://www.gnu.org/licenses/>.
* @lien https://www.coders-junction.com
*/ 

// Pack de langue français

// Utilisé lors des installations de mise à jour.


define('_SERVERINFO','Informations sur le serveur');
define('_PHPEXTINSTALL','Extensions PHP installées');
define('_SERVERINFO','Server Information');
define('_PHPEXTINSTALL','PHP Extensions Installed');
define('_CANNOTUPDATE','Impossible de mettre à jour');
define('_THEMEDELETED','Thème supprimé avec succès !');
define('_NUMBEROFTHEMES','Nombre actuel de thèmes');
define('_CLOSE_WINDOW','Fermer la fenêtre');
define('_IMAGEDATADELETED','Données d\'image supprimées !');
define('_UNABLETOOPEN','Impossible d\'ouvrir le dossier');
define('_UNABLETOREADCONFIG','Impossible de lire le fichier de configuration ! Assurez-vous que le fichier est lisible !');
define('_IFCHECKEDON','Si coché, il est allumé.');
define('_COMPLETED','Complété');
define('_SOURCEMUSTBEVALID','la source doit être un chemin valide vers un dossier ou un fichier !');
define('_THEREWASERROR','Une erreur s\'est produite lors du déplacement du fichier vers le répertoire de téléchargement. Veuillez vous assurer que le répertoire de téléchargement est accessible en écriture par le serveur Web.');
define('_UPLOADFAILED','Le téléchargement a échoué. Types de fichiers autorisés :');
define('_FILEUPLOADERROR','Il y a une erreur dans le téléchargement du fichier. Veuillez vérifier l\'erreur suivante.');
define('_SUCCESSFULUPLOAD','Le fichier a été téléchargé avec succès.');
define('_CANUSETHEME','Autoriser les membres à sélectionner leur propre thème ?');
define('_PAGINATIONTHEMESETTINGS','Paramètres de pagination');
define('_TAKEAMINUTE','Ajouter un commentaire au module. (max 155 caractères de texte)');
define('_USINGTHEME','Utilisation du thème');
define('_NOTUSINGDEFAULTTHEME','Membres n\'utilisant pas le thème par défaut');
define('_ERRORINFILE','Cette erreur est généralement causée par le fait que la valeur de upload_max_filesize est trop basse. Pour corriger cela, accédez à votre fichier php.ini et augmentez la valeur.');
define('_CHOOSEZIP','Choisissez le fichier .zip pour le téléchargement');
define('_THEMEIMPORTINSTALL','Installation');
define('_THENEXTSTEP','La dernière étape supprimera les fichiers utilisés lors de l\'installation.');
define('_CLEANUP','Nettoyage après installation');
define('_IMPORTCOMPLETE','Installation complète');
define('_NEXTSTEP','La prochaine étape mettra à jour les numéros de version.');
define('_INSTALLSQL','Cela modifiera la table \'card_content\' et ajoutera la variable \'cardtitle\' à la base de données et supprimera la variable \'title\'.<br>Veuillez <a href="../tools.php" onclick= "basicPopup(this.href);return false">sauvegardez d\'abord votre base de données</a>.');
define('_POPULATETABLE','Mettre à jour les informations de version.');
define('_CODEINSERTED','Le code suivant sera inséré en 2 étapes.');

// En général

define('_MAINTENANCEMODEOFF','Le mode maintenance est (Désactivé)');
define('_MAINTENANCEMODEON','Le mode de maintenance est (activé)');
define('_TURNON','Activer le mode maintenance');
define('_TURNOFF','Désactiver le mode maintenance');
define('_TURNMODEON','(Facultatif) Activez le mode maintenance avant d\'effectuer des mises à jour');
define('_NONE','Aucun');
define('_THEMEIMPORTCOMPLETE','La fonctionnalité d\'importation de thème est terminée');
define('_GOHERETOCONTINUE','Allez ici pour continuer');
define('_CREATEDTABLE','Table créée (themecode) et valeurs ajoutées avec succès !');
define('_ERRORCREATINGTABLE','Erreur lors de la création du tableau : ');
define('_DONOTHAVEPERMISSION','Vous n\'avez pas la permission d\'accéder à cette page!');
define('_CONFIGSETTINGS','Paramètres du fichier de configuration');
define('_FAILEDTODELETE','Impossible de supprimer le fichier');
define('_NEWTHEMESUCCESSFUL','Nouveau thème créé avec succès');
define('_THEMEERROR','Erreur : Thème non ajouté ! Raison:');
define('_MUSTBEVALID','source doit être un chemin valide vers un dossier ou un fichier !');
define('_MUSTBELOADED','l\'extension zip doit être chargée !');
define('_HELLO','Bonjour');
define('_DELETEDSUCCESSFULLY','Supprimé avec succès!');
define('_THEREISSOMEERROR','Il y a une erreur dans le téléchargement du fichier. Veuillez vérifier l\'erreur suivante.');
define('_FILESUCCESSFULLYUPLOADED','Le fichier a été téléchargé avec succès.');
define('_ERRORMOVINGTOFOLDER','Une erreur s\'est produite lors du déplacement du fichier vers le répertoire de téléchargement. Assurez-vous que le répertoire de téléchargement est accessible en écriture par le serveur Web.');
define('_ALLOWEDFILETYPES','Le téléchargement a échoué. Types de fichiers autorisés :');
define('_NOFILESSELECTED','Aucun fichier sélectionné.');
define('_SUCCESSFULLYUPLOADED','Téléchargé avec succès.');
define('_LARGERTHANALLOWLIMIT','Erreur : la taille du fichier dépasse la limite autorisée (2 Mo).');
define('_TYPENOTALLOWED','le type de fichier n\'est pas autorisé');
define('_ERRORUPLOADING','Erreur lors du téléchargement');
define('_RESTORESUCCESS','Restauration de la base de données terminée avec succès.');
define('_INVALIDFILETYPE','Type de fichier non valide, décompressez d\'abord le fichier .gz. Sélectionnez ensuite le fichier .sql.');
define('_USETHEME','Thème');
define('_SUBMITTHEME','Soumettre (ajouter un thème)');
define('_YES','Oui ');
define('_NO','Non');
define('_TITLE','Titre');
define('_MAX55TEXT','max 55 caractères de texte');
define('_SUBMIT','Soumettre');
define('_SUBJECT','Sujet');
define('_MESSAGE','Message');
define('_YOUREMAIL','Votre e-mail');
define('_REFRESHPAGE','Rafraîchir la page');
define('_UPDATETHERECORD','Mettre à jour l\'enregistrement');
define('_PUBLISH','Publier');
define('_WELCOME','Bienvenu');
define('_COMMENT','Commenter');
define('_ADMINDASHBOARD','Tableau de bord des administrateurs');
define('_REFRESH','Rafraîchir la page');
define('_CHATMANAGER','Gestionnaire de chat');
define('_DELETEANYLINES','Supprimez toutes les lignes pour les supprimer de la salle de discussion.');

// Le menu du haut

define('_INACTIVEACCOUNTS','Comptes inactifs');
define('_MENU','Menu');
define('_HOME','Accueil');
define('_ACCOUNTS','Comptes');
define('_ALLACCOUNTS','Tous les comptes');
define('_ARTICLES','Des articles');
define('_DESIGNERDASHBOARD','Tableau de bord du concepteur');
define('_USERLOG','Journal des visiteurs');
define('_ALLCOMMENTS','Tous les commentaires');
define('_LOGINATTEMPTS','Tentatives de connexion');
define('_LOGOUT','Se déconnecter');
define('_ACTIVEUSERSLIBRARY','Bibliothèque d\'utilisateurs partagés');
define('_MANAGERS','Outils des gestionnaires');
define('_MEMBERIMAGES','Ce sont les images que vos membres actifs ont téléchargées.');
define('_DELETEIMAGES','Supprimez toutes les images inappropriées.');

// ipdb.php
define('_UNIQUEVISITS','Visites uniques');
define('_WILLNOTAFFECT','Leur suppression n\'affectera pas votre nombre de visiteurs.');

// index.php

define('_USERACCOUNTS','Comptes utilisateur');
define('_ACCOUNTSPERPAGE','Allez dans Paramètres pour choisir le nombre de comptes à afficher par page.');
define('_ALLMEMBERACCOUNTS','Tous les comptes membres');
define('_USERNAME','NOM D\'UTILISATEUR');
define('_EMAIL','E-MAIL');
define('_ACTIVATIONCODE','CODE D\'ACTIVATION');
define('_DATE','DATE');
define('_ROLE','RÔLE');
define('_ACTION','ACTION');
define('_DELETE','EFFACER');
define('_ID','identifiant');
define('_PREV','Précédente');
define('_NEXT','Suivant');
define('_CREATEACCOUNT','Créer un compte');
define('_LASTLOGIN','Dernière connexion');
define('_DELETESELECTEDROWS','Supprimer les lignes sélectionnées');

// account.php

define('_CREATENEWACCOUNT','Créer un nouveau compte');
define('_REMEMBERMECODE','Se souvenir de moi');
define('_PASSWORD','Mot de passe');

// active-accounts.php and admin-accounts.php

define('_ACTIVEACCOUNTS','Comptes actifs');
define('_GOTOSETTINGS','Allez dans Paramètres pour choisir le nombre de comptes à afficher par page.');
define('_ADMINACCOUNTS','Comptes administrateur');

// comments.php, comment-settings.php and comments-index.php

define('_PAGEID','Identifiant de la page');
define('_PARENTCOMMENTID','ID de commentaire parent');
define('_PARENTID','ID parent');
define('_COMMENTS','commentaires');
define('_COMMENTID','Identifiant de commentaire');
define('_THEREARENOCOMMENTS','Il n\'y a pas de commentaires');
define('_VOTES','Votes');
define('_APPROVED','Approuvé');
define('_DATETIMESUBMITTED','Date/heure de soumission');
define('_CONTENT','Contenu');
define('_ACTIONS','Actions');
define('_EDIT','ÉDITER');
define('_APPROVE','APPROUVER');
define('_SETTINGS','Réglages');
define('_COMMENTSDASHBOARD','Tableau de bord des commentaires');
define('_TODAYSCOMMENTS','Commentaires d\'aujourd\'hui');
define('_AWAITINGAPPROVAL','En attente d\'approbation');
define('_TOTALCOMMENTS','Total des commentaires');
define('_TOTALPAGES','Pages totales');
define('_NAME','Nom ');
define('_DATETIME','Date/Heure');
define('_IMGURL','URL de l\'image');
define('_NEWEST','Le plus récent');
define('_OLDEST','Le plus ancien');

// db_backup.php, db_optimize.php and db_restore.php, export.php, exportthemes.php, update.php, upload.php

define('_UPLOADTHEMEFILE','Choisissez le fichier de thème');
define('_DBBACKUP','Base de données de sauvegarde');
define('_OPTDB','Optimiser la base de données');
define('_DBRESTORE','Restaurer la base de données');
define('_UPDATE','METTRE À JOUR LE DOSSIER');
define('_UPDATESUCCESSFUL','Mise à jour réussie!');
define('_UPLOADFILES','Télécharger des fichiers');
define('_PRINTLOG','Imprimer le journal des téléchargements');
define('_SUBMITARTICLE','Soumettre l\'article');
define('_BACKUPINPROGRESS','La sauvegarde est en cours');
define('_OPTIMIZATIONCOMPLETE','Optimisation de la base de données terminée');
define('_RESTOREDATABASE','Restaurer la base de données');
define('_EXPORTSQL','Exporter le fichier .txt des thèmes');
define('_EXPORTPARA','Cela vous permettra d\'exporter les fichiers de base de données de thèmes que vous pouvez utiliser pour échanger des thèmes avec d\'autres. Lorsque vous êtes prêt, cliquez sur le bouton \'Continuer\' ci-dessous pour commencer.');
define('_CONTINUE','Continuez');
define('_THEMEEXPORTER','Exportateur de thème');
define('_EXPORTEDSUCCESSPARA','Base de données exportée avec succès !<br><br>Pour télécharger ce fichier, accédez à <a href="tools.php">Outils de base de données</a> et recherchez themes.sql');
define('_BESURETODELETE','Assurez-vous de supprimer le fichier themes.sql avant d\'utiliser à nouveau la fonction d\'exportation.');
define('_DATABASETOOLS','Outils de base de données');
define('_IFYOUHAVENTALREADY','Si vous ne l\'avez pas déjà fait, vous devez décompresser l\'archive .gz. Vous aurez besoin du fichier .sql pour effectuer la restauration.');
define('_CHECKBACKUPFILE','Choisissez le fichier de sauvegarde .sql');
define('_RESTORE','Restaurer');
define('_RETURN','Retourner');
define('_DONOTCOPY','Ne copiez pas ceci, c\'est uniquement à titre de référence, voir ci-dessous pour les thèmes');

// downloadlog.php

define('_DOWNLOADSLOG','Journal des téléchargements');
define('_FILENAME','Nom de fichier');
define('_FILESIZE','Taille du fichier (Ko)');
define('_NUMBERDOWNLOADS','# Téléchargements');
define('_PRINT','Imprimer');
define('_NOTACTIVE','Le module de téléchargement n\'est pas actif');

// emailtemplate.php

define('_EMAILTEMPLATE','Modèle d\'e-mail');
define('_SAVE','Sauvegarder');
define('_PREVIEW','Aperçu');

// filter.php and filters.php

define('_WORD','Mot');
define('_REPLACEMENT','Remplacement');
define('_CREATEFILTER','Créer un filtre');
define('_NOFILTERS','Il n\'y a pas de filtres');
define('_COMMENTFILTERS','Filtres de commentaires');
define('_FILTER','Filtre');

// footer.php

define('_POWEREDBY','Propulsé par Spectra Version');

// Fichiers de mise à jour de la base de données -------------------

// cleanup.php, install.php, populate.php, tools.php, uploadsql.php, upsqlfiles.php, updater.php

define('_USINGVERSION','Vous utilisez actuellement la version Spectra');
define('_WILL_ASSIST','Cela vous aidera à installer les versions de mise à jour de la version de Spectra.<br>Les dossiers et les fichiers seront téléchargés dans le répertoire racine de Spectra tout en gardant la structure du répertoire intacte.<br>Seuls les fichiers qui se trouvent dans le dossier de mise à jour que vous choisissez seront ajoutés .<br><br>Vous devriez faire un');
define('_AND','et');
define('_AUTOUPDATER','Mise à jour automatique des fichiers');
define('_UPLOADUNZIP','Télécharger, décompresser et remplacer automatiquement ');
define('_CHOOSETHEZIP','Choisissez le fichier spectra_update.zip fourni avec la mise à jour la plus récente et laissez Spectra remplacer automatiquement les anciens fichiers pour vous.<br>Une fois cette opération terminée, vous serez redirigé vers l\'outil de mise à jour de la base de données Spectra.<br>Allez ici pour vous assurer que vous disposez de la bonne version.');
define('_UPDATES','Mises à jour');
define('_AUTOUPDATE','Mise à jour automatique');
define('_MANUALUPDATE','Mise à jour manuelle');
define('_READABOUT','Cliquez sur À propos pour en savoir plus');
define('_ABOUT','À propos');
define('_CLICKTHISICON','Après avoir supprimé des fichiers, cliquez toujours sur cette icône');
define('_TOREFRESHPAGE','pour actualiser cette page. Cette étape réinitialisera automatiquement la barre d\'adresse du navigateur et évitera les erreurs.');
define('_FILEMANAGER','Gestionnaire de fichiers');
define('_UPDATEMANAGER','Gestionnaire de mise à jour');
define('_STEPONE','Étape 1');
define('_STEPTWO','Étape 2');
define('_UPDATEMGTTOOLS','Mettre à jour les outils de gestion');
define('_NOTZIPFILE','Le fichier que vous essayez de télécharger n\'est pas un fichier .zip. Veuillez réessayer.');
define('_ZIPFILE','Le fichier');
define('_UPLOADED','a été téléchargé et décompressé avec succès.');
define('_WASAPROBLEM','Il y a eu un problème avec le téléchargement.');
define('_TRYAGAIN','Veuillez réessayer.');
define('_PACKAGEUPLOADER','Téléchargeur de paquets Spectra');
define('_WILLLETYOUUPLOAD','Cela vous permettra de télécharger des dossiers à partir des mises à jour de la version Spectra. Il remplacera automatiquement les fichiers dans les dossiers par les nouvelles versions/mises à jour. Vous devez sauvegarder vos fichiers actuels avant de continuer.');
define('_FULLBACKUP','Sauvegarde complète des fichiers');
define('_BEFORECONTINUING','avant de continuer.');
define('_USEZIPUTILITY','Spectra vous offre la possibilité d\'utiliser son utilitaire .zip pour télécharger et remplacer les anciens fichiers.');
define('_MANUALUPDATER','Mise à jour manuelle des fichiers');
define('_UNZIPUPLOAD','Décompressez, téléchargez et remplacez manuellement');
define('_WILLUPLOADFOLDERS','Cela vous aidera à télécharger des dossiers/fichiers pour les nouvelles versions de Spectra. Les dossiers seront téléchargés dans le répertoire racine de Spectra et remplaceront uniquement les fichiers qui se trouvent dans le dossier de mise à jour.');
define('_IMPORTFILES','Importer des fichiers');
define('_UPDATEDB','Mettre à jour la base de données');
define('_UPDATE_SUCCESSFUL','La mise à jour s\'est terminée avec succès et le fichier spectra.sql a été supprimé.');
define('_SETUPINSTALL','Configuration Installation');
define('_SETUPINSTALLATION','Configuration Installation');
define('_SPECTRADBUPDATER','Mise à jour de la base de données Spectra');
define('_CONNECTIONHASBEENMADE','Une connexion a été établie avec votre base de données et elle est prête pour la mise à jour. Cliquez sur Continuer lorsque vous êtes prêt.');
define('_UPDATEDBFILES','Mettre à jour les fichiers de la base de données');
define('_WILLUPDATEDBFILES','Cela mettra à jour les fichiers de base de données (pas une installation complète) si vous effectuez une mise à niveau à partir de la version :');
define('_TOVERSION','Vers la version :');
define('_UPLOADTHEFILES','Téléchargez les fichiers dans le &quot;Modifications de fichier&quot; dossier en gardant la structure du répertoire intacte.');
define('_SHOULDBACKUPDB','Vous devez <a href="db_backup.php" onclick="basicPopup(this.href);return false">sauvegarder votre base de données</a> avant de continuer ! (Fermer la fenêtre contextuelle lorsque la sauvegarde est terminée)');
define('_UPLOADSQLFILE','Télécharger le fichier spectra.sql');
define('_WILLLETUPLOADSQLFILE','Cela vous permettra de télécharger le fichier spectra.sql qui est utilisé pour mettre à jour votre base de données.<br>Une fois la mise à jour terminée, il sera supprimé.');
define('_CONTENTSOFSQLFILE','Contenu du fichier spectra.sql');
define('_UPDATEDATABASE','Mettre à jour la base de données');
define('_UPDATEDATABASEINFO','Ceci est pour faire des mises à jour de la base de données sur les nouvelles versions.<br>Une fois le programme de mise à jour exécuté, il ajoutera le contenu du fichier spectra.sql à la base de données.<br>Une fois terminé, il supprimera le fichier spectra.sql.<br>Suivez les instructions du programme d\'installation.');
define('_EXTNOTALLOWED','Cette extension de fichier n\'est pas autorisée. Veuillez télécharger un fichier SQL uniquement.');
define('_THEFILE','Le fichier');
define('_HASBEENUPLOADED','a été téléchargé avec succès.');
define('_ANERROROCCURED','Une erreur s\'est produite. Veuillez contacter l\'administrateur.');
define('_THESEARETHEERRORS','Ce sont les erreurs :');
define('_FILEEXCEEDS','Le fichier dépasse la taille maximale (1 Mo)');
define('_THENEXTSTEPWILL','La prochaine étape téléchargera theme.php dans le dossier admin/themes. S\'il y a un fichier theme.php maintenant, il sera écrasé.<br>Il est important que cela soit fait en dernier afin qu\'un thème soit attribué au tableau de bord des administrateurs avant la fin de la mise à jour.');
define('_UPLOADFILE','Téléverser un fichier');
define('_FIRSTLINEMUSTMATCH','La première ligne dans la fenêtre ci-dessous aura le numéro de version qui doit correspondre');
define('_IFDIFFERENT','Si différent, supprimez le fichier et téléchargez le bon.<br>Il s\'agit d\'une fenêtre en lecture seule et le contenu ne peut pas être modifié ici.');
define('_DBDISPLAYINGVERSION','Votre base de données affiche la version');
define('_DBISCURRENT','Votre base de données est à jour.');
define('_YOUORSOMEONEELSE','Vous ou quelqu\'un d\'autre avez peut-être déjà exécuté le programme d\'installation.');
define('_FILESAREPRESENT','<p>Il y a des fichiers présents dans le &quot;<strong>temp</strong>&quot; dossier (<?= basename($image) ?>) qui doit être supprimé ou supprimé !<br>L\'exécution d\'un fichier inconnu dans la base de données pourrait causer des dommages irréparables.<br>Attendez toujours de télécharger le fichier spectra.sql jusqu\'à ce que vous soyez exécutant le programme d\'installation.<br>Tout ce qui est placé dans le &quot;<strong>temp</strong>&quot; dossier sera supprimé par le programme d\'installation.<br>Assurez-vous de télécharger tous les fichiers sauf spectra.sql avant d\'exécuter le programme d\'installation.</p>');
define('_FILECONTENT','Contenu du fichier');
define('_SPECTRAWILLNOTRUN','Spectra ne fonctionnera pas sous cette version. Choisissez une version inférieure à');
define('_IFYOUDOWNLOADED','Si vous avez téléchargé une version de Spectra supérieure à');
define('_YOUNEEDTOUPLOAD','Vous devez télécharger les fichiers de ce package, puis revenir ici et exécuter le programme d\'installation.');
define('_DBISUPTODATE','Votre base de données est à jour pour la version Spectra');
define('_RUNNINGPHPVERSION','Votre système exécute la version PHP');
define('_OKAY','D\'accord');
define('_DOWNLOADCURRENTUPDATE','Télécharger la mise à jour actuelle');
define('_UPLOADSQL','Cette extension de fichier n\'est pas autorisée. Veuillez télécharger un fichier SQL uniquement.');
define('_ERROROCCURED','Une erreur s\'est produite.');

// import.php, upload.php, uploadfiles.php, imageuploader.php, backup.php, config-ini.php, functions.php

define('_WILL_BACKUP','Si vous avez des fichiers de sauvegarde dans les &quot;Sauvegardes disponibles&quot; liste, il est recommandé de les télécharger puis de les supprimer.<br>Cette sauvegarde les inclura et peut entraîner l\'échec de la sauvegarde si elle est trop volumineuse.<br>Pour les sauvegardes en ligne uniquement');
define('_WILLBACKUP','Cela sauvegardera le répertoire que vous choisissez.<br>Ne fermez pas cette fenêtre tant que la sauvegarde n\'est pas terminée.<br>Une liste de répertoires apparaîtra dans la fenêtre ci-dessous lorsque la sauvegarde sera terminée.');
define('_BACKUP_COMPLETE','Veuillez fermer cette fenêtre et actualiser la page.<br>Pour enregistrer le contenu, cliquez avec le bouton droit de la souris et choisissez Enregistrer la page sous... (changez .htm en .txt)');
define('_SETBACKUPDIR','Définir le répertoire de sauvegarde');
define('_BACKUPCOMPLETE','Sauvegarde terminée');
define('_FULL_BACKUP','sauvegarde complète<br>S\'il s\'agit d\'un serveur local, cette option sauvegardera l\'intégralité du serveur. Ou une sauvegarde en ligne');
define('_CHOOSEDIRTOBACKUP','Choisissez le répertoire à sauvegarder :<br>( localhost - spectra ou online host - public_html )<br>Une fois que vous avez choisi le dossier dans le menu déroulant, cliquez sur Définir le répertoire de sauvegarde pour le définir dans la base de données. Cliquez ensuite sur Démarrer la sauvegarde pour terminer le processus.');
define('_LOCALSERVERONLY','Serveur local uniquement');
define('_ONLINEHOSTVERVERONLY','Serveur hôte en ligne uniquement');
define('_STARTBACKUP','Démarrer la sauvegarde');
define('_HAVESETDIR','Vous avez défini le répertoire de sauvegarde<br>Fermez cette fenêtre et cliquez sur Démarrer la sauvegarde pour continuer.');
define('_INICONFIG','Configuration initiale de PHP');
define('_CPANEL','Dans le panneau de configuration de votre hébergeur, accédez à : MultiPHP INI Editor');
define('_CHANGEVALUES','Une fois là-bas, modifiez les valeurs au moins comme suit. Cela permettra une augmentation de plus de 1,65 To de la compression .zip.');
define('_RECEIVEERROR','Si vous avez un grand nombre de fichiers dans le &quot;core&quot; répertoire et recevoir une erreur de serveur,');
define('_GO_HERE','ALLEZ ICI</a> pour en savoir plus sur la façon de résoudre le problème.');
define('_UPLOADTHEMEIMG','Télécharger des images de thème');
define('_UPLOADIMAGESPARA','Téléchargez les images fournies avec le thème. Cela placera l\'image du thème dans le dossier (media/themes/) et sera accessible pour l\'édition en utilisant &quot;<a href="../../core/designer/elFinder/elfinder.html" onclick="basicPopup (this.href);return false">Bibliothèque multimédia</a>&quot; Ainsi, lorsque vous prévisualisez le thème, il s\'affichera avec les images.');
define('_IMPORTTHEMEIMG','Importer le fichier image du thème');
define('_OPENTHEMEFOLDER','Ouvrir le dossier d\'images de thème');
define('_REFRESHAFTERUPLOAD','Actualiser la fenêtre après l\'importation du fichier');
define('_FILETOOLARGE','Fichier trop large');
define('_UPLOADSUCCESSFUL','Téléchargement réussi !');
define('_FAILEDTOUPLOAD','Échec du téléchargement !');
define('_IMAGEMUSTBE','Votre extension de fichier doit être');
define('_STOP','STOP : Avant de continuer, vous devez <a href="tools.php" onclick="basicPopup(this.href);return false">sauvegarder votre base de données');
define('_CHECKID_','Vérifiez le thème que vous importez par rapport à la liste des thèmes ci-dessous qui se trouvent actuellement dans la base de données.<br>Assurez-vous que le numéro <span class="link">ID</span> et <span class="link ">Le nom du thème</span> est différent. Dans le code du thème, le numéro d\'identification est la première valeur (ex : \'9\')');
define('_PASTETHEMECODE','Collez le code du thème ci-dessous');
define('_ISANEXAMPLE','Ceci est un exemple<br>Le thème que vous importez <strong><u>doit être au format suivant</u></strong>. Les valeurs du thème que vous importez seront différentes de celles de l\'exemple, mais le format doit être le même.<br>CECI EST IMPORTANT POUR ÉVITER LES ERREURS !<br>Si vous voyez du code dans un autre format qui semble suspect NE l\'importez PAS dans la base de données. Chaque thème a 75 valeurs, tout thème avec plus ou moins de valeurs ne sera pas ajouté à la base de données.');
define('_THEMENAME','Nom du thème');
define('_CODEWILLBESUBMITTED','Le code que vous collez ici sera soumis à la base de données une fois que vous aurez cliqué sur le bouton Soumettre (ajouter un thème) ci-dessous.');
define('_LOADTHEMEFILE','Vous pouvez charger un fichier de thème dans la fenêtre ci-dessous pour examen');
define('_AVAILTHEMEFILES','<strong>Fichiers de thème disponibles<br>Cliquez sur le fichier de thème pour le charger dans la fenêtre de révision.</strong>');
define('_GOHERETODELETEFILES','Supprimer les fichiers de thème');
define('_ABOUTTODELETE','Vous êtes sur le point de supprimer...');
define('_BACKUPWEBSITE','Site Web de sauvegarde');
define('_WEBSITEBACKUP','Utilitaires de sauvegarde de site Web');
define('_WILLASSIST','Cela vous aidera à sauvegarder l\'intégralité de votre site Web Spectra. Pour sauvegarder la base de données ');
define('_GOHERE','VA ICI');
define('_CLICKONFOLDER','Cliquez sur le dossier pour terminer la sauvegarde.<br> Parfois, si le système est lent/occupé, cela peut prendre quelques secondes pour que la liste des fichiers s\'affiche dans la fenêtre contextuelle. Veuillez patienter.');
define('_AVAILABLE_BACKUPS','Sauvegardes disponibles');
define('_CLICKREFRESH','Cliquez sur le bouton Actualiser <a href="backup.php"><i class="fa fa-refresh"></i></a> après avoir effectué des sauvegardes ou supprimé des sauvegardes pour voir les modifications et effacer la barre d\'adresse du navigateur pour Prévenir les erreurs.');
define('_PARTEXT','Un fichier zip répertorié ci-dessous avec l\'extension .part signifie que le processus de compression n\'est pas terminé.');
define('_IFSYSSLOW','Remarque : Si votre système est lent, laissez le processus se terminer avant d\'effectuer une autre sauvegarde. Actualisez cette page pour voir si l\'extension .part a été supprimée.');
define('_IMPORTTHEMEFILE','Importer un fichier de thème (.txt)');
define('_UPLOAD','Télécharger');
define('_CHOOSETHEMEFILE','Choisissez un fichier de thème...');
define('_CLOSEWINDOW','Ferme cette fenêtre');
define('_THEMESINLIBRARY','Thèmes de la bibliothèque');
define('_RENAMELONGIMGNAME','Vous devez renommer les longs noms d\'image avant de les télécharger.');
define('_CHOOSEIMGFILE','Choisissez le fichier image du thème');


// login_attempts.php, populate.php

define('_FAILEDLOGINATTEMPTS','Tentatives de connexion infructueuses');
define('_IPLOOKUP','Recherche d\'adresse IP');
define('_ATTEMPTSLEFT','Tentatives restantes');
define('_SELECTALL','Tout sélectionner');
define('_DESELECTALL','Tout déselectionner');
define('_DELETESELECTED','Supprimer sélectionnée');
define('_NODATAYET','Il n\'y a pas encore de données.');

// managelibrary.php

define('_ACTIONPERMANENT','Cette action est permanente.');
define('_AMSOCIALSHARING','Partage social des membres actifs');
define('_AMSHARINGPARA','Ce sont les fichiers téléchargés dans le Social Sharing Builder. Il vous permet de conserver une liste du moment où le fichier a été téléchargé. Il enregistre également l\'adresse IP et le nom d\'utilisateur de la personne qui télécharge le fichier image.<br>Vous pouvez voir le fichier image en cliquant sur le nom de l\'image. Vous pouvez également rechercher l\'adresse IP en cliquant sur le numéro IP.');
define('_IMGNAME','Nom de l\'image');
define('_SIZE','Taille');
define('_IP','IP');
define('_AREYOUSURE','Êtes-vous sûr de vouloir supprimer ceci ?');
define('_REFRESH_PAGE','Rafraîchir la page après la suppression');
define('_UPLOADIMG','Importer des images');
define('_CANUPLOADSIZE','Vous pouvez télécharger des images de fond d\'écran dans la bibliothèque de partage actif pour que tous les membres actifs puissent les utiliser.<br><b>La taille de téléchargement doit être inférieure ou égale à 500 ko.</b>');

// member-submissions.php

define('_TAGS','Mots clés');
define('_AUTHOR','Auteur');
define('_CATEGORY','Catégorie');
define('_MBRSUBMITTED','Membre soumis');
define('_MEMBERSUBMITTEDARTICLES','Articles soumis par les membres');

// poll.php, polls.php, poll-dashboard.php, list.php, result.php, create.php, poll-menu.php, menu/index.php

define('_ROWHEADER','En-tête de ligne');
define('_PLAIN','Plaine');
define('_STYLED','Stylisé');
define('_ABOVE','Au-dessus de');
define('_BELOW','Dessous');
define('_POLLS','Les sondages'); // élément du menu
define('_CREATEPOLL','Créer un sondage');
define('_BRIEFDESC','Brève description');
define('_ANSWERS','Réponses');
define('_ANSWERONE','Réponse 1');
define('_ADDANSWER','Ajouter une réponse');
define('_STARTDATE','Date de début');
define('_EXPIRES','Expire ?');
define('_NUMBEROFCHOICES','Nombre de choix');
define('_SUCCESS','Succès');
define('_ADMINPOLLSETTINGS','Paramètres du sondage de l\'administrateur');
define('_LEFT','Gauche');
define('_RIGHT','Droit');
define('_USEPOLLMOD','Utiliser le module de sondage ?');
define('_SHOWTITLE','Montrer le titre?');
define('_SHOWTITLESTYLE','Afficher le style du titre ?');
define('_MODTITLE','Titre du module');
define('_USEMOD','Qui peut utiliser le module ?');
define('_POSITIONONHP','Position sur la page d\'accueil');
define('_PUBLIC','Public');
define('_MEMBERS','Membres');
define('_POLLSLIST','Liste des sondages');
define('_POLLSETTINGS','Paramètres du sondage');
define('_ADMINSETTINGS','Paramètres d\'administration');
define('_DESC','Description');
define('_EXPIRESENABLED','Expires Enabled');
define('_DATESUBMITTED','Date Submitted');
define('_POLLLISTING','Poll Listing');
define('_DESCRIPTION','Description');
define('_NOPOLLS','Il n\'y a pas de sondages récents');
define('_EXPIREDATE','Date d\'expiration');
define('_SUBMITDATE','Date butoire');
define('_VIEW','Voir');
define('_POLLSDASHBOARD','Tableau de bord des sondages');
define('_NOPOLLSAWAITING','Il n\'y a pas de sondages en attente d\'approbation.');
define('_TODAYSPOLLS','Sondages du jour');
define('_TOTALPOLLS','Nombre total de sondages');
define('_TOTALANSWERS','Total des réponses');
define('_POLLSRESULTS','Résultats des sondages');
define('_RESULTSFORPOLLS','Les résultats de tous les sondages sont ci-dessous.');
define('_ONCANVASLEFT','Sur toile Gauche');
define('_ONCANVASRIGHT','Droite sur toile');
define('_OFFCANVASLEFT','Hors toile à gauche');
define('_OFFCANVASRIGHT','Hors toile à droite');
define('_ROWONETOP','Haut de la première rangée');
define('_ROWTWOTOP','Haut de la deuxième rangée');
define('_ROWTHREETOP','Haut de la rangée trois');
define('_ROWFOURTOP','Haut de la rangée quatre');
define('_ROWFIVETOP','Haut de la rangée cinq');
define('_ROWSIXTOP','Haut de la rangée six');
define('_ROWSEVENTOP','Haut de la rangée sept');
define('_ROWEIGHTTOP','Haut de la rangée huit');
define('_ROWNINETOP','Haut de la rangée neuf');
define('_ROWTENTOP','Haut de la rangée dix');
define('_ROWELEVENTOP','Haut de la onzième rangée');
define('_ROWTWELVETOP','Haut de la rangée douze');
define('_ROWONEMIDDLE','Rangée Un Milieu');
define('_ROWTWOMIDDLE','Deuxième rangée au milieu');
define('_ROWTHREEMIDDLE','Rangée trois au milieu');
define('_ROWFOURMIDDLE','Rangée 4 Milieu');
define('_ROWFIVEMIDDLE','Rangée Cinq Milieu');
define('_ROWSIXMIDDLE','Rangée Six Milieu');
define('_ROWSEVENMIDDLE','Rangée sept au milieu');
define('_ROWEIGHTMIDDLE','Rang Huit Milieu');
define('_ROWNINEMIDDLE','Milieu de la rangée neuf');
define('_ROWTENMIDDLE','Milieu de la rangée dix');
define('_ROWELEVENMIDDLE','Milieu de la rangée onze');
define('_ROWTWELVEMIDDLE','Milieu de la rangée douze');
define('_ROWONEBOTTOM','Rangée 1 en bas');
define('_ROWTWOBOTTOM','Rangée deux en bas');
define('_ROWTHREEBOTTOM','Rangée trois en bas');
define('_ROWFOURBOTTOM','Ligne quatre en bas');
define('_ROWFIVEBOTTOM','Rangée cinq en bas');
define('_ROWSIXBOTTOM','Rangée Six Bas');
define('_ROWSEVENBOTTOM','Rangée sept en bas');
define('_ROWEIGHTBOTTOM','Ligne huit en bas');
define('_ROWNINEBOTTOM','Rangée neuf en bas');
define('_ROWTENBOTTOM','Rangée dix en bas');
define('_ROWELEVENBOTTOM','Ligne onze en bas');
define('_ROWTWELVEBOTTOM','Ligne douze en bas');
define('_ROWONE','Première rangée');
define('_ROWTWO','Deuxième rangée');
define('_ROWTHREE','Rangée trois');
define('_ROWFOUR','Rangée quatre');
define('_ROWFIVE','Rangée cinq');
define('_ROWSIX','Sixième rangée');
define('_ROWSEVEN','Rangée sept');
define('_ROWEIGHT','Huitième rang');
define('_ROWNINE','Rangée neuf');
define('_ROWTEN','Rangée dix');
define('_ROWELEVEN','Rangée onze');
define('_ROWTWELVE','Ligne douze');

// settings.php

define('_AVATAR','Avatar');
define('_AVATARSETTINGS','Paramètres d\'avatar');
define('_REFRESH_PAGE_','Actualisez la page après Enregistrer pour voir le changement.');
define('_SETAVATARHEIGHTWIDTH','Définir la hauteur/largeur de l\'avatar :');
define('_USER','Utilisateur');
define('_AVATARTOALLOW','Définir quel avatar autoriser');
define('_USEROPTION','&quot;Utilisateur&quot; laisse le membre décider.<br>&quot;Gravatar&quot; le rayon, la largeur et la hauteur sont prédéfinis sur un cercle et une taille de 80 pixels.<br>&quot;Avatar&quot; permet au membre d\'ajouter une URL pour afficher son avatar.');
define('_AVATARRADIUS','Rayon d\'avatar');
define('_SETRADIUS','Définit le rayon de l\'avator membre. (50 % est rond) Actualisez la page après avoir enregistré pour voir le changement.');
define('_MISCSETTINGS','Paramètres divers');
define('_CONTROLFEATURES','Les paramètres suivants contrôlent les fonctionnalités du tableau de bord d\'administration et du compte des membres.');
define('_NUMBERMEMBERACCOUNTS','Nombre de comptes membres à afficher sur les pages de liste de comptes ?');
define('_SETPAGINATIONTOTAL','Définir le total de pagination ?');
define('_PAGINATIONISAUTOMATIC','La pagination est automatique, mais si le nombre de pages créées est élevé, vous devrez peut-être le définir plus haut. Si vous remarquez que les boutons de pagination ne sont pas stylés, cela indique que vous devez augmenter le nombre. Pour un site modéré (1000-2000 membres), vous pouvez définir le nombre sur 100 ou 200.');

// themeimporter.php, updatethemecode.php

define('_THEMEIMPORTER','Importateur de thème');
define('_ADDTHEMETODB','Cette étape ajoutera le thème à la base de données.');
define('_UPDATESUCCESS','Mise à jour réussie!');

// themecontroller/index.php

define('_UPLOADFOLDER','Télécharger le dossier');
define('_SETTHEMEFOLDERNAME','Vous n\'avez pas défini le nom du dossier de thèmes.<br>Entrez le nom du dossier de thèmes et cliquez sur "Mettre à jour l\'enregistrement" et "Actualiser la page" pour continuer.');
define('_UPLOADHTML5THEME','Télécharger le dossier de thème HTML5');
define('_WILLUPLOADFOLDER','Cela téléchargera votre dossier de thème');
define('_INTOHTMLTHEMES','dans le dossier html-themes.');
define('_CHOOSE','Choisir');
define('_FOLDERFORUPLOAD','Dossier à télécharger');
define('_PERCENTAGE','Pourcentage');
define('_PROGRESS','Progrès');
define('_FILESUPLOADED','Fichiers téléchargés');
define('_LOADERANIMATION','Animation du chargeur');
define('_CLOSETHISWINDOW','Ferme cette fenêtre');

// tools.php

define('_DOWNLOAD','Télécharger');
define('_BACKUPDATABASE','Base de données de sauvegarde');
define('_QUICKHASSLEFREE','Un moyen rapide et simple de sauvegarder régulièrement votre base de données. Assurez-vous de télécharger une copie chaque fois que vous effectuez une sauvegarde.');
define('_OPTIMIZEDATABASE','Optimiser la base de données');
define('_USETHISTOOL','Utilisez cet outil si vous avez apporté des modifications importantes à la base de données.');
define('_THISWILLRESTORE','Cela restaurera une base de données corrompue.');
define('_AVAILABLEBACKUPS','Fichiers de sauvegarde de base de données disponibles et fichier d\'exportation de thème');
define('_BACKUPFILE','Fichier de sauvegarde');
define('_EXPORTTHEMES','Thèmes d\'exportation');
define('_THISWILLEXPORT','Cela exportera les fichiers de thèmes pour le partage.');
define('_IMPORTTHEMES','Importer des thèmes');
define('_THISWILLIMPORT','Cela importera des thèmes dans la base de données.');
define('_DELETEBACKUPFILE','Êtes-vous sûr de vouloir supprimer ce fichier de sauvegarde ?');
define('_ACTIONCANCELLED','L\'action a été annulée par l\'utilisateur');
define('_PERMANENT','Es-tu sûr? Cette action est permanente !');


// userlog.php

define('_VISITORSLOG','Journal des visiteurs');
define('_RECORDSVISITS','Enregistre les visites sur votre site Web.');
define('_TOTALRECORDS','Nombre total d\'enregistrements');
define('_PAGEURL','L\'URL de la page');
define('_REFERRER','URL de référence');
define('_IPADDRESS','Adresse IP');
define('_USERAGENT','Agent utilisateur');
define('_DATETIMECREATED','Date/heure de création');

// viewthemefolder.php

define('_CLICKFORPREVIEW','Cliquez sur l\'image pour un aperçu. S\'ouvre dans un nouvel onglet du navigateur.');



