<?php
/**
* Spectra ist eine Software zum Erstellen einer Website.
* PHP-Version 8+
*
* @category OpenSource
* @Paket CMS-Spektren
* @Autor Mike Boyles <codersjunctions@gmail.com>
* @copyright 2020-2023 Coders Junction
* @license GNU General Public License <http://www.gnu.org/licenses/>.
* @link https://www.coders-junction.com
*/ 

// Sprachpaket Deutsch

// Wird während Update-Installationen verwendet.


define('_SERVERINFO','Serverinformation');
define('_PHPEXTINSTALL','PHP-Erweiterungen installiert');
define('_CANNOTUPDATE','Kann nicht aktualisiert werden');
define('_THEMEDELETED','Theme erfolgreich gelöscht!');
define('_NUMBEROFTHEMES','Aktuelle Themenanzahl');
define('_CLOSE_WINDOW','Fenster schließen');
define('_IMAGEDATADELETED','Bilddaten gelöscht!');
define('_UNABLETOOPEN','Ordner kann nicht geöffnet werden');
define('_UNABLETOREADCONFIG','Konfigurationsdatei kann nicht gelesen werden! Stellen Sie sicher, dass die Datei lesbar ist!');
define('_IFCHECKEDON','Wenn aktiviert, ist es eingeschaltet.');
define('_COMPLETED','Vollendet');
define('_SOURCEMUSTBEVALID','Quelle muss ein gültiger Pfad zu einem Ordner oder einer Datei sein!');
define('_THEREWASERROR','Beim Verschieben der Datei in das Upload-Verzeichnis ist ein Fehler aufgetreten. Bitte stellen Sie sicher, dass das Upload-Verzeichnis vom Webserver beschreibbar ist.');
define('_UPLOADFAILED','Upload fehlgeschlagen. Zulässige Dateitypen:');
define('_FILEUPLOADERROR','Beim Hochladen der Datei ist ein Fehler aufgetreten. Bitte überprüfen Sie den folgenden Fehler.');
define('_SUCCESSFULUPLOAD','Die Datei wurde erfolgreich hochgeladen.');
define('_CANUSETHEME','Mitgliedern erlauben, ihr eigenes Thema auszuwählen?');
define('_PAGINATIONTHEMESETTINGS','Paginierungs');
define('_TAKEAMINUTE','Fügen Sie dem Modul einen Kommentar hinzu. (maximal 155 Textzeichen)');
define('_USINGTHEME','Theme verwenden');
define('_NOTUSINGDEFAULTTHEME','Mitglieder verwenden kein Standarddesign');
define('_ERRORINFILE','Dieser Fehler wird normalerweise dadurch verursacht, dass der Wert von upload_max_filesize zu niedrig eingestellt ist. Um dies zu korrigieren, gehen Sie zu Ihrer php.ini-Datei und erhöhen Sie den Wert.');
define('_CHOOSEZIP','Wählen Sie .zip-Datei zum Hochladen');
define('_THEMEIMPORTINSTALL','Installation');
define('_THENEXTSTEP','Der letzte Schritt löscht die während der Installation verwendeten Dateien.');
define('_CLEANUP','Bereinigung nach der Installation');
define('_IMPORTCOMPLETE','Installation abgeschlossen');
define('_NEXTSTEP','Im nächsten Schritt werden die Versionsnummern aktualisiert.');
define('_INSTALLSQL','Dadurch wird die Tabelle \'card_content\' geändert und die Variable \'cardtitle\' zur Datenbank hinzugefügt und die Variable \'title\' entfernt.<br>Bitte <a href="../tools.php" onclick= "basicPopup(this.href);return false">sichern Sie zuerst Ihre Datenbank</a>.
');
define('_POPULATETABLE','Versionsinformationen aktualisieren.');
define('_CODEINSERTED','Der folgende Code wird in 2 Schritten eingefügt.');

// Im Allgemeinen

define('_MAINTENANCEMODEOFF','Der Wartungsmodus ist (Aus)');
define('_MAINTENANCEMODEON','Der Wartungsmodus ist (Ein)');
define('_TURNON','Aktivieren Sie den Wartungsmodus');
define('_TURNOFF','Schalten Sie den Wartungsmodus aus');
define('_TURNMODEON','(Optional) Schalten Sie den Wartungsmodus ein, bevor Sie Aktualisierungen vornehmen.');
define('_NONE','Keiner');
define('_THEMEIMPORTCOMPLETE','Die Theme-Importfunktion ist abgeschlossen');
define('_GOHERETOCONTINUE','Klicken Sie hier, um fortzufahren');
define('_CREATEDTABLE','Tabelle (Themecode) erstellt und Werte erfolgreich hinzugefügt!');
define('_ERRORCREATINGTABLE','Fehler beim Erstellen der Tabelle: ');
define('_DONOTHAVEPERMISSION','Sie haben keine Berechtigung, auf diese Seite zuzugreifen!');
define('_CONFIGSETTINGS','Konfigurationsdateieinstellungen');
define('_FAILEDTODELETE','Datei konnte nicht gelöscht werden');
define('_NEWTHEMESUCCESSFUL','Neues Theme erfolgreich erstellt');
define('_THEMEERROR','Fehler: Thema nicht hinzugefügt! Grund:');
define('_MUSTBEVALID','Quelle muss ein gültiger Pfad zu einem Ordner oder einer Datei sein!');
define('_MUSTBELOADED','Erweiterungs-ZIP muss geladen sein!');
define('_HELLO','Hallo');
define('_DELETEDSUCCESSFULLY','Erfolgreich gelöscht!');
define('_THEREISSOMEERROR','Beim Hochladen der Datei ist ein Fehler aufgetreten. Bitte überprüfen Sie den folgenden Fehler.');
define('_FILESUCCESSFULLYUPLOADED','Die Datei wurde erfolgreich hochgeladen.');
define('_ERRORMOVINGTOFOLDER','Beim Verschieben der Datei in das Upload-Verzeichnis ist ein Fehler aufgetreten. Bitte stellen Sie sicher, dass das Upload-Verzeichnis vom Webserver beschreibbar ist.');
define('_ALLOWEDFILETYPES','Upload fehlgeschlagen. Zulässige Dateitypen:');
define('_NOFILESSELECTED','Keine Dateien ausgewählt.');
define('_SUCCESSFULLYUPLOADED','Erfolgreich hochgeladen.');
define('_LARGERTHANALLOWLIMIT','Fehler: Die Dateigröße ist größer als der zulässige Grenzwert (2 MB).');
define('_TYPENOTALLOWED','Dateityp ist nicht zulässig');
define('_ERRORUPLOADING','Fehler beim Hochladen');
define('_RESTORESUCCESS','Datenbankwiederherstellung erfolgreich abgeschlossen.');
define('_INVALIDFILETYPE','Ungültiger Dateityp. Entpacken Sie zuerst die .gz-Datei. Wählen Sie dann die .sql-Datei aus.');
define('_USETHEME','Thema');
define('_SUBMITTHEME','Senden (Design hinzufügen)');
define('_YES','ja');
define('_NO','Nein');
define('_TITLE','Titel');
define('_MAX55TEXT','max. 55 Textzeichen');
define('_SUBMIT','einreichen');
define('_SUBJECT','Gegenstand');
define('_MESSAGE','Nachricht');
define('_YOUREMAIL','Deine E-Mail');
define('_REFRESHPAGE','Seite neu laden');
define('_UPDATETHERECORD','Aktualisieren Sie den Datensatz');
define('_PUBLISH','Veröffentlichen');
define('_WELCOME','Herzlich willkommen');
define('_COMMENT','Kommentar');
define('_ADMINDASHBOARD','Administratoren-Dashboard');
define('_REFRESH','Seite neu laden');
define('_CHATMANAGER','Chat-Manager');
define('_DELETEANYLINES','Löschen Sie alle Zeilen, um sie aus dem Chatroom zu entfernen.');

// The top menu

define('_INACTIVEACCOUNTS','Inaktive Konten');
define('_MENU','Speisekarte');
define('_HOME','Heim');
define('_ACCOUNTS','Konten');
define('_ALLACCOUNTS','Alle Konten');
define('_ARTICLES','Artikel');
define('_DESIGNERDASHBOARD','Designer-Dashboard');
define('_USERLOG','Besucherprotokoll');
define('_ALLCOMMENTS','Alle Kommentare');
define('_LOGINATTEMPTS','Anmeldeversuche');
define('_LOGOUT','Ausloggen');
define('_ACTIVEUSERSLIBRARY','Gemeinsame Benutzerbibliothek');
define('_MANAGERS','Manager-Tools');
define('_MEMBERIMAGES','Dies sind die Bilder, die Ihre aktiven Mitglieder hochgeladen haben.');
define('_DELETEIMAGES','Löschen Sie alle unangemessenen Bilder.');

// ipdb.php
define('_UNIQUEVISITS','Einzigartige Besuche');
define('_WILLNOTAFFECT','Das Löschen dieser Einträge wirkt sich nicht auf Ihre Besucherzahl aus.');

// index.php

define('_USERACCOUNTS','Benutzerkonten');
define('_ACCOUNTSPERPAGE','Gehen Sie zu Einstellungen, um die Anzahl der Konten auszuwählen, die pro Seite angezeigt werden sollen.');
define('_ALLMEMBERACCOUNTS','Alle Mitgliedskonten');
define('_USERNAME','NUTZERNAME');
define('_EMAIL','EMAIL');
define('_ACTIVATIONCODE','AKTIVIERUNGSCOD');
define('_DATE','DATUM');
define('_ROLE','ROLLE');
define('_ACTION','AKTION');
define('_DELETE','LÖSCHEN');
define('_ID','ICH WÜRDE');
define('_PREV','Vorher');
define('_NEXT','Nächste');
define('_CREATEACCOUNT','Benutzerkonto erstellen');
define('_LASTLOGIN','Letzte Anmeldung');
define('_DELETESELECTEDROWS','Ausgewählte Zeile(n) löschen');

// account.php

define('_CREATENEWACCOUNT','Neuen Account erstellen');
define('_REMEMBERMECODE','Erinnere dich an mich Code');
define('_PASSWORD','Passwort');

// active-accounts.php and admin-accounts.php

define('_ACTIVEACCOUNTS','Aktive Konten');
define('_GOTOSETTINGS','Gehen Sie zu Einstellungen, um die Anzahl der Konten auszuwählen, die pro Seite angezeigt werden sollen.');
define('_ADMINACCOUNTS','Admin-Konten');

// comments.php, comment-settings.php and comments-index.php

define('_PAGEID','Seiten-ID');
define('_PARENTCOMMENTID','Übergeordnete Kommentar-ID');
define('_PARENTID','Eltern ID');
define('_COMMENTS','Bemerkungen');
define('_COMMENTID','Kommentar-ID');
define('_THEREARENOCOMMENTS','Es gibt keine Kommentare');
define('_VOTES','Stimmen');
define('_APPROVED','Zugelassen');
define('_DATETIMESUBMITTED','Datum/Uhrzeit übermittelt');
define('_CONTENT','Inhalt');
define('_ACTIONS','Aktionen');
define('_EDIT','BEARBEITEN');
define('_APPROVE','GENEHMIGEN');
define('_SETTINGS','Einstellungen');
define('_COMMENTSDASHBOARD','Kommentar-Dashboard');
define('_TODAYSCOMMENTS','Kommentare von heute');
define('_AWAITINGAPPROVAL','Warten auf Genehmigung');
define('_TOTALCOMMENTS','Kommentare insgesamt');
define('_TOTALPAGES','Alle Seiten');
define('_NAME','Name');
define('_DATETIME','Terminzeit');
define('_IMGURL','Bild URL');
define('_NEWEST','Neueste');
define('_OLDEST','Älteste');

// db_backup.php, db_optimize.php and db_restore.php, export.php, exportthemes.php, update.php, upload.php

define('_UPLOADTHEMEFILE','Wählen Sie Designdatei');
define('_DBBACKUP','Backup-Datenbank');
define('_OPTDB','Datenbank optimieren');
define('_DBRESTORE','Datenbank wiederherstellen');
define('_UPDATE','AUFZEICHNUNG AKTUALISIEREN');
define('_UPDATESUCCESSFUL','Aktualisierung erfolgreich!');
define('_UPLOADFILES','Daten hochladen');
define('_PRINTLOG','Downloadprotokoll drucken');
define('_SUBMITARTICLE','Artikel einreichen');
define('_BACKUPINPROGRESS','Die Sicherung wird ausgeführt ');
define('_OPTIMIZATIONCOMPLETE','Datenbankoptimierung abgeschlossen');
define('_RESTOREDATABASE','Datenbank wiederherstellen');
define('_EXPORTSQL','Exportieren Sie die .txt-Datei der Designs');
define('_EXPORTPARA','Auf diese Weise können Sie die Themendatenbankdateien exportieren, die Sie verwenden können, um Themen mit anderen auszutauschen. Wenn Sie fertig sind, klicken Sie unten auf die Schaltfläche \'Weiter\', um zu beginnen.');
define('_CONTINUE','Fortsetzen');
define('_THEMEEXPORTER','Design-Exporteur');
define('_EXPORTEDSUCCESSPARA','Datenbank erfolgreich exportiert!<br><br>Um diese Datei herunterzuladen, gehen Sie zu <a href="tools.php">Datenbank-Tools</a> und suchen Sie nach themes.sql');
define('_BESURETODELETE','Achten Sie darauf, die Datei themes.sql zu löschen, bevor Sie die Exportfunktion erneut verwenden.');
define('_DATABASETOOLS','Datenbank-Tools');
define('_IFYOUHAVENTALREADY','Falls noch nicht geschehen, sollten Sie das .gz-Archiv entpacken. Sie benötigen die .sql-Datei, um die Wiederherstellung durchzuführen.');
define('_CHECKBACKUPFILE','Wählen Sie die .sql-Sicherungsdatei');
define('_RESTORE','Wiederherstellen');
define('_RETURN','Zurückkehren');
define('_DONOTCOPY','Kopieren Sie dies nicht, es dient nur als Referenz. Siehe unten für Themen');

// downloadlog.php

define('_DOWNLOADSLOG','Download-Protokoll');
define('_FILENAME','Dateiname');
define('_FILESIZE','Dateigröße (KB)');
define('_NUMBERDOWNLOADS','# Downloads');
define('_PRINT','Drucken');
define('_NOTACTIVE','Download-Modul ist nicht aktiv');

// emailtemplate.php

define('_EMAILTEMPLATE','E-Mail-Vorlage');
define('_SAVE','Speichern');
define('_PREVIEW','Vorschau');

// filter.php and filters.php

define('_WORD','Wort');
define('_REPLACEMENT','Ersatz');
define('_CREATEFILTER','Filter erstellen');
define('_NOFILTERS','Es gibt keine Filter');
define('_COMMENTFILTERS','Kommentarfilter');
define('_FILTER','Filter');

// footer.php

define('_POWEREDBY','Powered by Spectra-Version ');

// Datenbankaktualisierungsdateien -------------------

// cleanup.php, install.php, populate.php, tools.php, uploadsql.php, upsqlfiles.php, updater.php

define('_USINGVERSION','Sie verwenden derzeit die Spectra-Version');
define('_WILL_ASSIST','Dies hilft Ihnen bei der Installation von Spectra-Versionsaktualisierungen.<br>Ordner und Dateien werden in das Stammverzeichnis von Spectra hochgeladen, während die Verzeichnisstruktur intakt bleibt.<br>Nur die Dateien, die sich in dem von Ihnen ausgewählten Update-Ordner befinden, werden hinzugefügt .<br><br>Du solltest a');
define('_AND','Und');
define('_AUTOUPDATER','Automatischer Datei-Updater');
define('_UPLOADUNZIP','Automatisch hochladen, entpacken und ersetzen ');
define('_CHOOSETHEZIP','Wählen Sie die spectra_update.zip-Datei aus, die mit dem neuesten Update geliefert wurde, und lassen Sie Spectra die alten Dateien automatisch für Sie ersetzen.<br>Sobald dies abgeschlossen ist, werden Sie zum Update-Tool der Spectra-Datenbank weitergeleitet.<br>Gehen Sie hierher, um sicherzugehen dass Sie die richtige Release-Version haben.');
define('_UPDATES','Aktualisierung');
define('_AUTOUPDATE','Automatisches Update');
define('_MANUALUPDATE','Manuelles Update');
define('_READABOUT','Klicken Sie auf Info, um mehr zu erfahren');
define('_ABOUT','Um');
define('_CLICKTHISICON','Klicken Sie nach dem Löschen von Dateien immer auf dieses Symbol');
define('_TOREFRESHPAGE','um diese Seite zu aktualisieren. Dieser Schritt setzt die Adressleiste des Browsers automatisch zurück und verhindert Fehler.');
define('_FILEMANAGER','Dateimanager');
define('_UPDATEMANAGER','Update Manager');
define('_STEPONE','Schritt 1');
define('_STEPTWO','Schritt 2');
define('_UPDATEMGTTOOLS','Verwaltungstools aktualisieren');
define('_NOTZIPFILE','Die Datei, die Sie hochladen möchten, ist keine ZIP-Datei. Bitte versuche es erneut.');
define('_ZIPFILE','Die Datei');
define('_UPLOADED','wurde erfolgreich hochgeladen und entpackt.');
define('_CLOSETHISWINDOW','Schließe dieses Fenster.');
define('_WASAPROBLEM','Beim Hochladen ist ein Problem aufgetreten.');
define('_TRYAGAIN','Bitte versuche es erneut.');
define('_PACKAGEUPLOADER','Spectra-Paket-Uploader');
define('_WILLLETYOUUPLOAD','Dadurch können Sie Ordner aus den Spectra-Versionsaktualisierungen hochladen. Dateien in den Ordnern werden automatisch durch die neuen Versionen/Updates ersetzt. Sie sollten Ihre aktuellen Dateien sichern, bevor Sie fortfahren.');
define('_FULLBACKUP','VOLLSTÄNDIGE Dateisicherung');
define('_BEFORECONTINUING','vor dem Fortfahren.');
define('_USEZIPUTILITY','Spectra bietet Ihnen die Möglichkeit, mit seinem .zip-Dienstprogramm alte Dateien hochzuladen und zu ersetzen.');
define('_MANUALUPDATER','Manueller Datei-Updater');
define('_UNZIPUPLOAD','Entpacken, hochladen und manuell ersetzen');
define('_WILLUPLOADFOLDERS','Dies hilft Ihnen beim Hochladen von Ordnern/Dateien für neue Versionen von Spectra. Ordner werden in das Stammverzeichnis von Spectra hochgeladen und ersetzen nur die Dateien, die sich im Update-Ordner befinden.');
define('_IMPORTFILES','Dateien importieren');
define('_UPDATEDB','Aktualisieren Sie die Datenbank');
define('_UPDATE_SUCCESSFUL','Die Aktualisierung wurde erfolgreich abgeschlossen und die Datei spectra.sql wurde gelöscht.');
define('_SETUPINSTALL','Setup-Installation');
define('_SETUPINSTALLATION','Setup-Installation');
define('_SPECTRADBUPDATER','Spectra Database Updater');
define('_CONNECTIONHASBEENMADE','Es wurde eine Verbindung zu Ihrer Datenbank hergestellt und sie ist bereit für das Update. Klicken Sie auf Weiter, wenn Sie fertig sind.');
define('_UPDATEDBFILES','Datenbankdateien aktualisieren');
define('_WILLUPDATEDBFILES','Dadurch werden Datenbankdateien aktualisiert (keine vollständige Installation), wenn Sie ein Upgrade von Version:');
define('_TOVERSION','Zur Version:');
define('_UPLOADTHEFILES','Laden Sie die Dateien im Bereich &quot;Dateiänderungen&quot; hoch. Ordner, der die Verzeichnisstruktur intakt hält.');
define('_SHOULDBACKUPDB','Sie sollten <a href="db_backup.php" onclick="basicPopup(this.href);return false">Ihre Datenbank sichern</a> bevor Sie fortfahren! (Schließen Sie das Popup-Fenster, wenn die Sicherung abgeschlossen ist)');
define('_UPLOADSQLFILE','Laden Sie die Datei spectra.sql hoch');
define('_WILLLETUPLOADSQLFILE','Dadurch können Sie die spectra.sql-Datei hochladen, die zum Aktualisieren Ihrer Datenbank verwendet wird.<br>Sobald das Update abgeschlossen ist, wird es gelöscht.');
define('_CONTENTSOFSQLFILE','Inhalt der spectra.sql-Datei');
define('_UPDATEDATABASE','Datenbank auf den neusten Stand bringen');
define('_UPDATEDATABASEINFO','Dies dient zum Aktualisieren der Datenbank bei neuen Versionsfreigaben.<br>Sobald der Updater ausgeführt wird, fügt er den Inhalt der spectra.sql-Datei zur Datenbank hinzu.<br>Nach Abschluss wird die Datei spectra.sql gelöscht.<br>Befolgen Sie die Anweisungen im Installationsprogramm.');
define('_EXTNOTALLOWED','Diese Dateierweiterung ist nicht zulässig. Bitte laden Sie nur eine SQL-Datei hoch.');
define('_THEFILE','Die Datei');
define('_HASBEENUPLOADED','wurde erfolgreich hochgeladen.');
define('_ANERROROCCURED','Ein Fehler ist aufgetreten. Bitte wenden Sie sich an den Administrator.');
define('_THESEARETHEERRORS','Das sind die Fehler:');
define('_FILEEXCEEDS','Datei überschreitet maximale Größe (1 MB)');
define('_THENEXTSTEPWILL','Im nächsten Schritt wird theme.php in den Ordner admin/themes hochgeladen. Wenn dort jetzt eine theme.php-Datei vorhanden ist, wird diese überschrieben.<br>Es ist wichtig, dass dies zuletzt geschieht, damit dem Administrator-Dashboard ein Thema zugewiesen wird, bevor der Updater fertig ist.');
define('_UPLOADFILE','Datei hochladen');
define('_FIRSTLINEMUSTMATCH','Die erste Zeile im folgenden Fenster enthält die Versionsnummer, die übereinstimmen muss');
define('_IFDIFFERENT','Falls anders, löschen Sie die Datei und laden Sie die richtige hoch.<br>Dies ist ein schreibgeschütztes Fenster und der Inhalt kann hier nicht geändert werden.');
define('_DBDISPLAYINGVERSION','Ihre Datenbank zeigt die Version an');
define('_DBISCURRENT','Ihre Datenbank ist aktuell.');
define('_YOUORSOMEONEELSE','Möglicherweise haben Sie oder jemand anderes das Installationsprogramm bereits ausgeführt.');
define('_FILESAREPRESENT','<p>Es sind Dateien im &quot;<strong>temp</strong>&quot; Ordner (<?= basename($image) ?>), der gelöscht oder entfernt werden sollte!<br>Das Ausführen einer unbekannten Datei in der Datenbank kann zu irreparablen Schäden führen.<br>Warten Sie immer mit dem Hochladen der spectra.sql-Datei, bis Sie fertig sind Ausführen des Installationsprogramms.<br>Alles, was sich im &quot;<strong>temp</strong>&quot; wird vom Installationsprogramm gelöscht.<br>Achten Sie darauf, alle Dateien außer spectra.sql hochzuladen, bevor Sie das Installationsprogramm ausführen.</p>');
define('_FILECONTENT','Dateiinhalt');
define('_SPECTRAWILLNOTRUN','Spectra läuft unter dieser Version nicht. Wählen Sie eine Version kleiner als');
define('_IFYOUDOWNLOADED','Wenn Sie eine Version von Spectra heruntergeladen haben, die höher ist als');
define('_YOUNEEDTOUPLOAD','Sie müssen die Dateien in diesem Paket hochladen, dann hierher zurückkehren und das Installationsprogramm ausführen.');
define('_DBISUPTODATE','Ihre Datenbank ist für die Spectra-Version auf dem neuesten Stand');
define('_RUNNINGPHPVERSION','Auf Ihrem System wird die PHP-Version ausgeführt');
define('_OKAY','OK');
define('_DOWNLOADCURRENTUPDATE','Laden Sie das aktuelle Update herunter');
define('_UPLOADSQL','Diese Dateierweiterung ist nicht zulässig. Bitte laden Sie nur eine SQL-Datei hoch.');
define('_ERROROCCURED','Ein Fehler ist aufgetreten.');

// import.php, upload.php, uploadfiles.php, imageuploader.php, backup.php, config-ini.php, functions.php

define('_WILL_BACKUP','Wenn Sie Sicherungsdateien in der Liste &quot;Verfügbare Sicherungen&quot; Auflistung, wird empfohlen, dass Sie sie herunterladen und dann löschen.<br>Diese Sicherung enthält sie und kann dazu führen, dass die Sicherung fehlschlägt, wenn sie zu groß ist.<br>Nur für Online-Backups');
define('_WILLBACKUP','Dadurch wird das von Ihnen gewählte Verzeichnis gesichert.<br>Schließen Sie dieses Fenster nicht, bis die Sicherung abgeschlossen ist.<br>Eine Verzeichnisliste wird im Fenster unten angezeigt, wenn die Sicherung abgeschlossen ist.');
define('_BACKUP_COMPLETE','Bitte schließen Sie dieses Fenster und aktualisieren Sie die Seite.<br>Um den Inhalt zu speichern, klicken Sie mit der rechten Maustaste und wählen Sie Seite speichern unter... (ändern Sie .htm in .txt)');
define('_SETBACKUPDIR','Sicherungsverzeichnis festlegen');
define('_BACKUPCOMPLETE','Sicherung komplett');
define('_FULL_BACKUP','vollständige Sicherung<br>Wenn es sich um einen lokalen Server handelt, sichert diese Option den gesamten Server. Oder online wird ein Backup erstellt');
define('_CHOOSEDIRTOBACKUP','Wählen Sie das zu sichernde Verzeichnis:<br>( localhost - spectra oder online host - public_html )<br>Sobald Sie den Ordner aus dem Dropdown-Menü ausgewählt haben, klicken Sie auf Set Backup Directory, um ihn in der Datenbank festzulegen. Klicken Sie dann auf Sicherung starten, um den Vorgang abzuschließen.');
define('_LOCALSERVERONLY','Nur lokaler Server');
define('_ONLINEHOSTVERVERONLY','Nur Online-Host-Server');
define('_STARTBACKUP','Sicherung starten');
define('_HAVESETDIR','Sie haben das Sicherungsverzeichnis festgelegt<br>Schließen Sie dieses Fenster und klicken Sie auf Sicherung starten, um fortzufahren.');
define('_INICONFIG','PHP-INI-Konfiguration');
define('_CPANEL','Gehen Sie in der Systemsteuerung Ihres Webhosts zu: MultiPHP INI Editor');
define('_CHANGEVALUES','Ändern Sie dort die Werte mindestens auf die folgenden. Dies ermöglicht eine Erhöhung der .zip-Komprimierung um mehr als 1,65 TB.');
define('_RECEIVEERROR','Wenn Sie eine große Anzahl von Dateien im &quot;Kern&quot; Verzeichnis und erhalte einen Serverfehler,');
define('_GO_HERE','GEHEN SIE HIER</a>, um mehr darüber zu erfahren, wie Sie das Problem beheben können.');
define('_UPLOADTHEMEIMG','Themenbilder hochladen');
define('_UPLOADIMAGESPARA','Laden Sie die Bilder hoch, die mit dem Design geliefert wurden. Dadurch wird das Motivbild im Ordner (media/themes/) abgelegt und kann zur Bearbeitung mit &quot;<a href="../../core/designer/elFinder/elfinder.html" onclick="basicPopup (this.href);return false">Medienbibliothek</a>" Wenn Sie also das Design in der Vorschau anzeigen, wird es mit den Bildern angezeigt.');
define('_IMPORTTHEMEIMG','Design-Bilddatei importieren');
define('_OPENTHEMEFOLDER','Öffnen Sie den Bildordner des Themas');
define('_REFRESHAFTERUPLOAD','Fenster nach dem Importieren der Datei aktualisieren');
define('_FILETOOLARGE','Datei zu groß');
define('_UPLOADSUCCESSFUL','Hochladen erfolgreich!');
define('_FAILEDTOUPLOAD','Hochladen fehlgeschlagen!');
define('_IMAGEMUSTBE','Ihre Dateierweiterung muss sein');
define('_STOP','STOPP: Bevor Sie fortfahren, sollten Sie <a href="tools.php" onclick="basicPopup(this.href);return false">Ihre Datenbank sichern');
define('_CHECKID_','Überprüfen Sie das Thema, das Sie importieren, anhand der Liste der Themen unten, die sich jetzt in der Datenbank befinden.<br>Stellen Sie sicher, dass die <span class="link">ID</span>-Nummer und <span class="link ">Designname</span> ist anders. Im Themencode ist die ID-Nummer der erste Wert (z. B.: \'9\')');
define('_PASTETHEMECODE','Fügen Sie den Themencode unten ein');
define('_ISANEXAMPLE','Dies ist ein Beispiel<br>Das Design, das Sie importieren, <strong><u>muss das folgende Format haben</u></strong>. Die Werte in dem Design, das Sie importieren, unterscheiden sich von denen im Beispiel, aber das Format muss dasselbe sein.<br>DAS IST WICHTIG, UM FEHLER ZU VERMEIDEN!<br>Wenn Sie Code in einem anderen Format sehen, der verdächtig aussieht Importieren Sie es NICHT in die Datenbank. Jedes Thema hat 75 Werte, Themen mit mehr oder weniger Werten werden nicht zur Datenbank hinzugefügt.');
define('_THEMENAME','Themenname');
define('_CODEWILLBESUBMITTED','Der Code, den Sie hier einfügen, wird an die Datenbank gesendet, sobald Sie unten auf die Schaltfläche Senden (Design hinzufügen) klicken.');
define('_LOADTHEMEFILE','Sie können eine Designdatei zur Überprüfung in das folgende Fenster laden');
define('_AVAILTHEMEFILES','<strong>Verfügbare Themendateien<br>Klicken Sie auf die Themendatei, um sie in das Überprüfungsfenster zu laden.</strong>');
define('_GOHERETODELETEFILES','Theme-Dateien löschen');
define('_ABOUTTODELETE','Sie sind im Begriff zu löschen ...');
define('_BACKUPWEBSITE','Backup-Website');
define('_WEBSITEBACKUP','Dienstprogramme zum Sichern von Websites');
define('_WILLASSIST','Dies hilft Ihnen bei der Sicherung Ihrer gesamten Spectra-Website. Um die Datenbank zu sichern ');
define('_GOHERE','GEHE HIER HIN');
define('_CLICKONFOLDER','Klicken Sie auf den Ordner, um die Sicherung abzuschließen.<br>Wenn das System langsam/beschäftigt ist, kann es manchmal einige Sekunden dauern, bis die Dateiliste im Popup-Fenster angezeigt wird. Bitte haben Sie Geduld.');
define('_AVAILABLE_BACKUPS','Verfügbare Sicherungen');
define('_CLICKREFRESH','Klicken Sie nach dem Erstellen oder Löschen von Sicherungen auf die Schaltfläche „Aktualisieren“ <a href="backup.php"><i class="fa fa-refresh"></i></a>, um die Änderungen anzuzeigen und die Adressleiste des Browsers zu löschen Fehler vermeiden.');
define('_PARTEXT','Eine unten aufgeführte ZIP-Datei mit der Erweiterung .part bedeutet, dass der ZIP-Vorgang noch nicht abgeschlossen ist.');
define('_IFSYSSLOW','Hinweis: Wenn Ihr System langsam ist, warten Sie, bis der Vorgang abgeschlossen ist, bevor Sie eine weitere Sicherung durchführen. Aktualisieren Sie diese Seite, um zu sehen, ob die Erweiterung .part entfernt wurde.');
define('_IMPORTTHEMEFILE','Designdatei (.txt) importieren');
define('_UPLOAD','Hochladen');
define('_CHOOSETHEMEFILE','Wählen Sie eine Themendatei...');
define('_CLOSEWINDOW','Schließe dieses Fenster');
define('_THEMESINLIBRARY','Themen in der Bibliothek');
define('_RENAMELONGIMGNAME','Sie sollten lange Bildnamen vor dem Hochladen umbenennen.');
define('_CHOOSEIMGFILE','Wählen Sie Design-Bilddatei');

// login_attempts.php, populate.php

define('_FAILEDLOGINATTEMPTS','Fehlgeschlagene Anmeldeversuche');
define('_IPLOOKUP','IP-Adressensuche');
define('_ATTEMPTSLEFT','Versuche übrig');
define('_SELECTALL','Wählen Sie Alle');
define('_DESELECTALL','Alle abwählen');
define('_DELETESELECTED','Ausgewählte löschen');
define('_NODATAYET','Es gibt noch keine Daten.');
define('_NEXTFINALSTEP','Im nächsten und letzten Schritt wird die Tabelle gefüllt.');

// managelibrary.php

define('_ACTIONPERMANENT','Diese Aktion ist dauerhaft.');
define('_AMSOCIALSHARING','Aktive Mitglieder Social Sharing');
define('_AMSHARINGPARA','Dies sind die Dateien, die in den Social Sharing Builder hochgeladen wurden. Es ermöglicht Ihnen, eine Liste darüber zu führen, wann die Datei hochgeladen wurde. Außerdem werden die IP-Adresse und der Benutzername der Person aufgezeichnet, die die Bilddatei hochgeladen hat.<br>Sie können die Bilddatei anzeigen, indem Sie auf den Bildnamen klicken. Sie können die IP-Adresse auch nachschlagen, indem Sie auf die IP-Nummer klicken.');
define('_IMGNAME','Bildname');
define('_SIZE','Größe');
define('_IP','IP');
define('_AREYOUSURE','Möchten Sie dies wirklich löschen?');
define('_REFRESH_PAGE','Seite nach dem Löschen aktualisieren');
define('_UPLOADIMG','Bilder hochladen');
define('_CANUPLOADSIZE','Sie können Hintergrundbilder in die Active Sharing-Bibliothek hochladen, die alle aktiven Mitglieder verwenden können.<br><b>Die Upload-Größe darf 500 KB oder weniger betragen.</b>');

// member-submissions.php

define('_TAGS','Stichworte');
define('_AUTHOR','Autor');
define('_CATEGORY','Kategorie');
define('_MBRSUBMITTED','Mitglied eingereicht');
define('_MEMBERSUBMITTEDARTICLES','Von Mitgliedern eingereichte Artikel');

// poll.php, polls.php, poll-dashboard.php, list.php, result.php, create.php, poll-menu.php, menu/index.php

define('_ROWHEADER','Zeilenkopf');
define('_PLAIN','Schmucklos');
define('_STYLED','Gestylt');
define('_ABOVE','Über');
define('_BELOW','Unter');
define('_POLLS','Umfragen'); // Menüpunkt
define('_CREATEPOLL','Umfrage erstellen');
define('_BRIEFDESC','Kurze Beschreibung');
define('_ANSWERS','Antworten');
define('_ANSWERONE','Antwort 1');
define('_ADDANSWER','Antwort hinzufügen');
define('_STARTDATE','Startdatum');
define('_EXPIRES','Läuft ab?');
define('_NUMBEROFCHOICES','Anzahl der Auswahlmöglichkeiten');
define('_SUCCESS','Erfolg');
define('_ADMINPOLLSETTINGS','Admin-Umfrageeinstellungen');
define('_LEFT','Links');
define('_RIGHT','Rechts');
define('_USEPOLLMOD','Benutzen Sie das Umfragemodul?');
define('_SHOWTITLE','Titel anzeigen?');
define('_SHOWTITLESTYLE','Titelstil anzeigen?');
define('_MODTITLE','Modultitel');
define('_USEMOD','Wer kann das Modul nutzen?');
define('_POSITIONONHP','Position on home page');
define('_PUBLIC','Öffentlich');
define('_MEMBERS','Mitglieder');
define('_POLLSLIST','Umfrageliste');
define('_POLLSETTINGS','Umfrageeinstellungen');
define('_ADMINSETTINGS','Admin-Einstellungen');
define('_DESC','Beschreibung');
define('_EXPIRESENABLED','Läuft ab. Aktiviert');
define('_DATESUBMITTED','Datum der Übermittlung');
define('_POLLLISTING','Umfrageliste');
define('_DESCRIPTION','Beschreibung');
define('_NOPOLLS','Es liegen keine aktuellen Umfragen vor');
define('_EXPIREDATE','Ablaufdatum');
define('_SUBMITDATE','Abgabetermin');
define('_VIEW','Sicht');
define('_POLLSDASHBOARD','Umfragen-Dashboard');
define('_NOPOLLSAWAITING','Es gibt keine Umfragen, die auf ihre Genehmigung warten.');
define('_TODAYSPOLLS','Die heutigen Umfragen');
define('_TOTALPOLLS','Gesamtzahl der Umfragen');
define('_TOTALANSWERS','Gesamtantworten');
define('_POLLSRESULTS','Umfrageergebnisse');
define('_RESULTSFORPOLLS','Die Ergebnisse aller Umfragen finden Sie unten.');
define('_ONCANVASLEFT','Links auf der Leinwand');
define('_ONCANVASRIGHT','Auf der Leinwand rechts');
define('_OFFCANVASNOTACTIVE','Off-Canvas-Seitenleisten sind nicht aktiv.');
define('_ONCANVASNOTACTIVE','Seitenleisten auf der Leinwand sind nicht aktiv.');
define('_ROWONETOP','Reihe eins oben');
define('_ROWTWOTOP','Reihe zwei oben');
define('_ROWTHREETOP','Reihe drei oben');
define('_ROWFOURTOP','Reihe vier oben');
define('_ROWFIVETOP','Reihe fünf oben');
define('_ROWSIXTOP','Reihe sechs oben');
define('_ROWSEVENTOP','Reihe sieben oben');
define('_ROWEIGHTTOP','Reihe acht oben');
define('_ROWNINETOP','Reihe neun oben');
define('_ROWTENTOP','Reihe zehn oben');
define('_ROWELEVENTOP','Reihe elf oben');
define('_ROWTWELVETOP','Zeile zwölf oben');
define('_ROWONEMIDDLE','Reihe eins Mitte');
define('_ROWTWOMIDDLE','Reihe zwei Mitte');
define('_ROWTHREEMIDDLE','Reihe drei Mitte');
define('_ROWFOURMIDDLE','Reihe vier Mitte');
define('_ROWFIVEMIDDLE','Reihe fünf Mitte');
define('_ROWSIXMIDDLE','Reihe sechs Mitte');
define('_ROWSEVENMIDDLE','Reihe sieben Mitte');
define('_ROWEIGHTMIDDLE','Reihe acht Mitte');
define('_ROWNINEMIDDLE','Reihe neun, Mitte');
define('_ROWTENMIDDLE','Reihe zehn Mitte');
define('_ROWELEVENMIDDLE','Reihe elf Mitte');
define('_ROWTWELVEMIDDLE','Reihe zwölf, Mitte');
define('_ROWONEBOTTOM','Reihe eins unten');
define('_ROWTWOBOTTOM','Reihe zwei unten');
define('_ROWTHREEBOTTOM','Reihe drei unten');
define('_ROWFOURBOTTOM','Zeile vier unten');
define('_ROWFIVEBOTTOM','Reihe fünf unten');
define('_ROWSIXBOTTOM','Reihe sechs unten');
define('_ROWSEVENBOTTOM','Reihe sieben unten');
define('_ROWEIGHTBOTTOM','Reihe acht unten');
define('_ROWNINEBOTTOM','Zeile neun unten');
define('_ROWTENBOTTOM','Zeile zehn unten');
define('_ROWELEVENBOTTOM','Reihe elf unten');
define('_ROWTWELVEBOTTOM','Zeile zwölf unten');
define('_ROWONE','Reihe eins');
define('_ROWTWO','Reihe Zwei');
define('_ROWTHREE','Reihe drei');
define('_ROWFOUR','Reihe vier');
define('_ROWFIVE','Reihe fünf');
define('_ROWSIX','Reihe sechs');
define('_ROWSEVEN','Reihe sieben');
define('_ROWEIGHT','Reihe acht');
define('_ROWNINE','Zeile neun');
define('_ROWTEN','Zeile zehn');
define('_ROWELEVEN','Reihe elf');
define('_ROWTWELVE','Zeile zwölf');

// settings.php

define('_AVATAR','Benutzerbild');
define('_AVATARSETTINGS','Avatar-Einstellungen');
define('_REFRESH_PAGE_','Aktualisieren Sie die Seite nach dem Speichern, um die Änderung zu sehen.');
define('_SETAVATARHEIGHTWIDTH','Avatar-Höhe/Breite einstellen:');
define('_USER','Benutzer');
define('_AVATARTOALLOW','Legen Sie fest, welcher Avatar zugelassen werden soll');
define('_USEROPTION','"Benutzer" lässt das Mitglied entscheiden.<br>&quot;Gravatar&quot; Radius, Breite und Höhe sind auf einen Kreis und eine Größe von 80 Pixel voreingestellt.<br>&quot;Avatar&quot; ermöglicht es dem Mitglied, eine URL hinzuzufügen, um seinen Avatar anzuzeigen.');
define('_AVATARRADIUS','Avatar Radius');
define('_SETRADIUS','Legt den Radius für den Member-Avator fest. (50 % ist rund) Aktualisieren Sie die Seite nach dem Speichern, um die Änderung zu sehen.');
define('_MISCSETTINGS','Verschiedene Einstellungen');
define('_CONTROLFEATURES','Die folgenden Einstellungen steuern Funktionen im Admin-Dashboard und im Mitgliedskonto.');
define('_NUMBERMEMBERACCOUNTS','Anzahl der Mitgliedskonten, die auf den Kontolistenseiten angezeigt werden sollen?');
define('_SETPAGINATIONTOTAL','Paginierungssumme festlegen?');
define('_PAGINATIONISAUTOMATIC','Die Paginierung erfolgt automatisch, aber wenn die Anzahl der erstellten Seiten hoch ist, müssen Sie sie möglicherweise höher einstellen. Wenn Sie bemerken, dass die Paginierungsschaltflächen nicht formatiert sind, ist dies ein Hinweis darauf, dass Sie die Nummer erhöhen müssen. Für eine moderate Site (1000-2000 Mitglieder) möchten Sie die Zahl vielleicht auf 100 oder 200 setzen.');

// themeimporter.php, updatethemecode.php

define('_THEMEIMPORTER','Theme-Importeur');
define('_ADDTHEMETODB','Dieser Schritt fügt das Design der Datenbank hinzu.');
define('_UPDATESUCCESS','Aktualisierung erfolgreich!');

// tools.php

define('_DOWNLOAD','Herunterladen');
define('_BACKUPDATABASE','Backup-Datenbank');
define('_QUICKHASSLEFREE','Eine schnelle und problemlose Möglichkeit, Ihre Datenbank regelmäßig zu sichern. Stellen Sie sicher, dass Sie bei jeder Sicherung eine Kopie herunterladen.');
define('_OPTIMIZEDATABASE','Datenbank optimieren');
define('_USETHISTOOL','Verwenden Sie dieses Tool, wenn Sie große Änderungen an der Datenbank vorgenommen haben.');
define('_THISWILLRESTORE','Dadurch wird eine beschädigte Datenbank wiederhergestellt.');
define('_AVAILABLEBACKUPS','Verfügbare Datenbank-Sicherungsdateien und Design-Exportdatei');
define('_BACKUPFILE','Sicherungs-Dateien');
define('_IMPORTTHEMES','Themen importieren');
define('_THISWILLIMPORT','Dadurch werden Themen in die Datenbank importiert.');
define('_EXPORTTHEMES','Designs exportieren');
define('_THISWILLEXPORT','Dadurch werden die Themendateien zum Teilen exportiert.');
define('_DELETEBACKUPFILE','Möchten Sie diese Sicherungsdatei wirklich löschen?');
define('_ACTIONCANCELLED','Aktion wurde vom Benutzer abgebrochen');
define('_PERMANENT','Bist du sicher? Diese Aktion ist dauerhaft!');

// userlog.php

define('_VISITORSLOG','Besucherprotokoll');
define('_RECORDSVISITS','Zeichnet Besuche auf Ihrer Website auf.');
define('_TOTALRECORDS','Gesamtrekorde');
define('_PAGEURL','Seiten-URL');
define('_REFERRER','Referrer-URL');
define('_IPADDRESS','IP Adresse');
define('_USERAGENT','User-Agent');
define('_DATETIMECREATED','Erstellungsdatum/-uhrzeit');

// viewthemefolder.php

define('_CLICKFORPREVIEW','Klicken Sie auf das Bild für eine Vorschau. Wird in einem neuen Browser-Tab geöffnet.');




