<?php
/**
* Spectra es un software diseñado para construir un sitio web.
* PHP versión 8+
*
* @categoría Código abierto
* @paquete CMS Espectros
* @autor Mike Boyles <codersjunctions@gmail.com>
* @copyright 2020-2023 Coders Junction
* @license Licencia pública general GNU <http://www.gnu.org/licenses/>.
* @enlace https://www.coders-junction.com
*/ 

// Paquete de idioma Español

// Se utiliza durante las instalaciones de actualización.


define('_SERVERINFO','información del servidor');
define('_PHPEXTINSTALL','Extensiones PHP instaladas');
define('_CANNOTUPDATE','No se puede actualizar');
define('_THEMEDELETED','¡Tema eliminado exitosamente!');
define('_NUMBEROFTHEMES','Número actual de temas');
define('_CLOSE_WINDOW','Cerrar ventana');
define('_IMAGEDATADELETED','¡Datos de imagen eliminados!');
define('_UNABLETOOPEN','No se puede abrir la carpeta');
define('_UNABLETOREADCONFIG','¡No se puede leer el archivo de configuración! ¡Asegúrese de que el archivo sea legible!');
define('_IFCHECKEDON','Si está marcado, está encendido.');
define('_COMPLETED','Terminado');
define('_SOURCEMUSTBEVALID','¡La fuente debe ser una ruta válida a una carpeta o archivo!');
define('_THEREWASERROR','Se produjo algún error al mover el archivo al directorio de carga. Asegúrese de que el servidor web pueda escribir en el directorio de carga.');
define('_UPLOADFAILED','Subida fallida. Tipos de archivo permitidos:');
define('_FILEUPLOADERROR','Hay algún error en la carga del archivo. Por favor verifique el siguiente error.');
define('_SUCCESSFULUPLOAD','El archivo se ha subido correctamente.');
define('_CANUSETHEME','¿Permitir a los miembros seleccionar su propio tema?');
define('_PAGINATIONTHEMESETTINGS','Configuración de paginación');
define('_TAKEAMINUTE','Agregue un comentario al módulo. (máximo 155 caracteres de texto)');
define('_USINGTHEME','Uso del tema');
define('_NOTUSINGDEFAULTTHEME','Miembros que no utilizan el tema predeterminado');
define('_ERRORINFILE','Este error generalmente se debe a que el valor de upload_max_filesize se establece en un valor demasiado bajo. Para corregir esto, vaya a su archivo php.ini y aumente el valor.');
define('_CHOOSEZIP','Elija el archivo .zip para cargar');
define('_THEMEIMPORTINSTALL','Instalación');
define('_THENEXTSTEP','El paso final eliminará los archivos utilizados durante la instalación.');
define('_CLEANUP','Limpieza después de la instalación');
define('_IMPORTCOMPLETE','Instalación completa');
define('_NEXTSTEP','El siguiente paso actualizará los números de versión.');
define('_INSTALLSQL','Esto alterará la tabla \'card_content\' y agregará la variable \'cardtitle\' a la base de datos y eliminará la variable \'title\'.<br>Por favor <a href="../tools.php" onclick= "basicPopup(this.href);return false">haga una copia de seguridad de su base de datos</a> primero.');
define('_POPULATETABLE','Actualice la información de la versión.');
define('_CODEINSERTED','El siguiente código se insertará en 2 pasos.');

// En general

define('_MAINTENANCEMODEOFF','El modo de mantenimiento está (apagado)');
define('_MAINTENANCEMODEON','El modo de mantenimiento está (activado)');
define('_TURNON','Activar el modo de mantenimiento');
define('_TURNOFF','Desactivar el modo de mantenimiento');
define('_TURNMODEON','(Opcional) Active el modo de mantenimiento antes de realizar actualizaciones');
define('_NONE','Ninguno');
define('_THEMEIMPORTCOMPLETE','La función de importación de temas está completa');
define('_GOHERETOCONTINUE','Vaya aquí para continuar');
define('_CREATEDTABLE','¡Tabla creada (código de tema) y valores agregados con éxito!');
define('_ERRORCREATINGTABLE','Error al crear la tabla: ');
define('_DONOTHAVEPERMISSION','¡Usted no tiene permiso para acceder a esta página!');
define('_CONFIGSETTINGS','Ajustes del archivo de configuración');
define('_FAILEDTODELETE','No se pudo eliminar el archivo');
define('_NEWTHEMESUCCESSFUL','Nuevo tema creado con éxito');
define('_THEMEERROR','Error: ¡Tema no agregado! Razón:');
define('_MUSTBEVALID','¡la fuente debe ser una ruta válida a una carpeta o archivo!');
define('_MUSTBELOADED','¡La extensión zip debe estar cargada!');
define('_HELLO','Hola');
define('_DELETEDSUCCESSFULLY','¡Borrado exitosamente!');
define('_THEREISSOMEERROR','Hay algún error en la carga del archivo. Por favor revise el siguiente error.');
define('_FILESUCCESSFULLYUPLOADED','El archivo se ha subido correctamente.');
define('_ERRORMOVINGTOFOLDER','Hubo un error al mover el archivo al directorio de carga. Asegúrese de que el servidor web pueda escribir en el directorio de carga.');
define('_ALLOWEDFILETYPES','Subida fallida. Tipos de archivo permitidos:');
define('_NOFILESSELECTED','No hay archivos seleccionados.');
define('_SUCCESSFULLYUPLOADED','Cargado con éxito.');
define('_LARGERTHANALLOWLIMIT','Error: el tamaño del archivo es mayor que el límite permitido (2 MB).');
define('_TYPENOTALLOWED','el tipo de archivo no está permitido');
define('_ERRORUPLOADING','Error al cargar');
define('_RESTORESUCCESS','La restauración de la base de datos se completó con éxito.');
define('_INVALIDFILETYPE','Tipo de archivo no válido, primero descomprima el archivo .gz. Luego seleccione el archivo .sql.');
define('_USETHEME','Tema');
define('_SUBMITTHEME','Enviar (añadir tema)');
define('_YES','sí');
define('_NO','No');
define('_TITLE','Título');
define('_MAX55TEXT','máximo 55 caracteres de texto');
define('_SUBMIT','Entregar');
define('_SUBJECT','Sujeto');
define('_MESSAGE','Mensaje');
define('_YOUREMAIL','Tu correo electrónico');
define('_REFRESHPAGE','Actualizar página');
define('_UPDATETHERECORD','Actualizar el registro');
define('_PUBLISH','Publicar');
define('_WELCOME','Bienvenidos');
define('_COMMENT','Comentario');
define('_ADMINDASHBOARD','Panel de administradores');
define('_REFRESH','Actualizar página');
define('_CHATMANAGER','Administrador de chat');
define('_DELETEANYLINES','Elimine cualquier línea para eliminarla de la sala de chat.');

// el menú superior

define('_INACTIVEACCOUNTS','Cuentas inactivas');
define('_MENU','Menú');
define('_HOME','Casa');
define('_ACCOUNTS','cuentas');
define('_ALLACCOUNTS','Todas las cuentas');
define('_ARTICLES','Artículos');
define('_DESIGNERDASHBOARD','Panel de diseñador');
define('_USERLOG','Registro de visitantes');
define('_ALLCOMMENTS','todos los comentarios');
define('_LOGINATTEMPTS','Intentos de acceso');
define('_LOGOUT','Cerrar sesión');
define('_ACTIVEUSERSLIBRARY','Biblioteca de usuarios compartidos');
define('_MANAGERS','Herramientas para gerentes');
define('_MEMBERIMAGES','Estas son las imágenes que han subido sus miembros activos.');
define('_DELETEIMAGES','Elimine cualquier imagen inapropiada.');

// ipdb.php
define('_UNIQUEVISITS','Visitas únicas');
define('_WILLNOTAFFECT','Eliminarlos no afectará el recuento de visitantes.');


// index.php

define('_USERACCOUNTS','Cuentas de usuario');
define('_ACCOUNTSPERPAGE','Vaya a Configuración para elegir la cantidad de cuentas que se mostrarán por página');
define('_ALLMEMBERACCOUNTS','Todas las cuentas de miembros');
define('_USERNAME','NOMBRE DE USUARIO');
define('_EMAIL','EMAIL');
define('_ACTIVATIONCODE','CÓDIGO DE ACTIVACIÓN');
define('_DATE','FECHA');
define('_ROLE','PAPEL');
define('_ACTION','ACCIÓN');
define('_DELETE','ELIMINAR');
define('_ID','IDENTIFICACIÓN');
define('_PREV','Anterior');
define('_NEXT','Próximo');
define('_CREATEACCOUNT','Crear una cuenta');
define('_LASTLOGIN','Último acceso');
define('_DELETESELECTEDROWS','Eliminar fila(s) seleccionada(s)');

// account.php

define('_CREATENEWACCOUNT','Crear una nueva cuenta');
define('_REMEMBERMECODE','Recuérdame Código');
define('_PASSWORD','Contraseña');

// active-accounts.php and admin-accounts.php

define('_ACTIVEACCOUNTS','Cuentas activas');
define('_GOTOSETTINGS','Vaya a Configuración para elegir la cantidad de cuentas que se mostrarán por página.');
define('_ADMINACCOUNTS','Cuentas de administrador');

// comments.php, comment-settings.php and comments-index.php

define('_PAGEID','ID de página');
define('_PARENTCOMMENTID','ID de comentario principal');
define('_PARENTID','Identificación de los padres');
define('_COMMENTS','Comentarios');
define('_COMMENTID','ID de comentario');
define('_THEREARENOCOMMENTS','No hay comentarios');
define('_VOTES','Votos');
define('_APPROVED','Aprobado');
define('_DATETIMESUBMITTED','Fecha/hora de envío');
define('_CONTENT','Contenido');
define('_ACTIONS','Comportamiento');
define('_EDIT','EDITAR');
define('_APPROVE','APROBAR');
define('_SETTINGS','Ajustes');
define('_COMMENTSDASHBOARD','Panel de comentarios');
define('_TODAYSCOMMENTS','Comentarios de hoy');
define('_AWAITINGAPPROVAL','esperando aprobacion');
define('_TOTALCOMMENTS','Comentarios totales');
define('_TOTALPAGES','Paginas totales');
define('_NAME','Nombre');
define('_DATETIME','Fecha y hora');
define('_IMGURL','URL de la imagen');
define('_NEWEST','El mas nuevo');
define('_OLDEST','El mas viejo');

// db_backup.php, db_optimize.php and db_restore.php, export.php, exportthemes.php,  update.php, upload.php

define('_UPLOADTHEMEFILE','Elija el archivo de tema');
define('_DBBACKUP','Base de datos de respaldoe');
define('_OPTDB','Optimizar base de datos');
define('_DBRESTORE','Restaurar base de datos');
define('_UPDATE','ACTUALIZAR REGISTRO');
define('_UPDATESUCCESSFUL','¡Actualización exitosa!');
define('_UPLOADFILES','Subir archivos');
define('_PRINTLOG','Imprimir registro de descargas');
define('_SUBMITARTICLE','Enviar artículo');

define('_BACKUPINPROGRESS','La copia de seguridad está en progreso');
define('_OPTIMIZATIONCOMPLETE','Optimización de base de datos completa');
define('_RESTOREDATABASE','Restaurar base de datos');
define('_EXPORTSQL','Exportar archivo .txt de temas');
define('_EXPORTPARA','Esto le permitirá exportar los archivos de la base de datos de temas que puede usar para intercambiar temas con otros. Cuando esté listo, haga clic en el botón \'Continuar\' a continuación para comenzar.');
define('_CONTINUE','Continuar');
define('_THEMEEXPORTER','Exportador de temas');
define('_EXPORTEDSUCCESSPARA','Base de datos exportada correctamente.<br><br>Para descargar este archivo, vaya a <a href="tools.php">Herramientas de base de datos</a> y busque themes.sql');
define('_BESURETODELETE','Asegúrese de eliminar el archivo themes.sql antes de volver a utilizar la función de exportación.
');
define('_DATABASETOOLS','Herramientas de base de datos');
define('_IFYOUHAVENTALREADY','Si aún no lo ha hecho, debe descomprimir el archivo .gz. Necesitará el archivo .sql para realizar la restauración. ');
define('_CHECKBACKUPFILE','Elija el archivo de copia de seguridad .sql');
define('_RESTORE','Restaurar');
define('_RETURN','Regreso');
define('_DONOTCOPY','No copie esto. Es solo para referencia. Vea a continuación los temas.');

// downloadlog.php

define('_DOWNLOADSLOG','Registro de descargas');
define('_FILENAME','Nombre del archivo');
define('_FILESIZE','Tamaño del archivo (Kb)');
define('_NUMBERDOWNLOADS','# Descargas ');
define('_PRINT','Impresión');
define('_NOTACTIVE','El módulo de descargas no está activo');

// emailtemplate.php

define('_EMAILTEMPLATE','Plantilla de correo electrónico');
define('_SAVE','Ahorrar');
define('_PREVIEW','Avance');

// filter.php and filters.php

define('_WORD','Palabra');
define('_REPLACEMENT','Reemplazo');
define('_CREATEFILTER','Crear filtro');
define('_NOFILTERS','no hay filtros');
define('_COMMENTFILTERS','Filtros de comentarios');
define('_FILTER','Filtrar');

// footer.php

define('_POWEREDBY','Desarrollado por la versión de Spectra');

// Archivos de actualización de base de datos -------------------

// cleanup.php, install.php, populate.php, tools.php, uploadsql.php, upsqlfiles.php, updater.php

define('_USINGVERSION','Actualmente está utilizando la versión Spectra');
define('_WILL_ASSIST','Esto lo ayudará a instalar las versiones de actualización de la versión de Spectra.<br>Las carpetas y los archivos se cargarán en el directorio raíz de Spectra mientras se mantiene intacta la estructura del directorio.<br>Solo se agregarán los archivos que se encuentran en la carpeta de actualización que elija. .<br><br>Deberías hacer un');
define('_AND','y');
define('_AUTOUPDATER','Actualizador automático de archivos');
define('_UPLOADUNZIP','Cargar, descomprimir y reemplazar automáticamente ');
define('_CHOOSETHEZIP','Elija el archivo spectra_update.zip que vino con la actualización más reciente y deje que Spectra reemplace los archivos antiguos automáticamente.<br>Una vez que esto esté completo, accederá a la herramienta de actualización de la base de datos de Spectra.<br>Vaya aquí para asegurarse que tiene la versión de lanzamiento adecuada.');
define('_UPDATES','Actualizaciones');
define('_AUTOUPDATE','Actualización automática');
define('_MANUALUPDATE','Actualización manual');
define('_READABOUT','Haga clic en Acerca de para obtener más información');
define('_ABOUT','Acerca de');
define('_CLICKTHISICON','Después de eliminar archivos, siempre haga clic en este icono');
define('_TOREFRESHPAGE','para actualizar esta página. Este paso restablecerá automáticamente la barra de direcciones del navegador y evitará errores.');
define('_FILEMANAGER','Administrador de archivos');
define('_UPDATEMANAGER','Gestor de actualizaciones');
define('_STEPONE','Paso 1');
define('_STEPTWO','Paso 2');
define('_UPDATEMGTTOOLS','Herramientas de administración de actualizaciones');
define('_NOTZIPFILE','El archivo que intenta cargar no es un archivo .zip. Inténtalo de nuevo.');
define('_ZIPFILE','El archivo');
define('_UPLOADED','fue cargado y desempaquetado con éxito.');
define('_WASAPROBLEM','Hubo un problema con la carga.');
define('_TRYAGAIN','Inténtalo de nuevo.');
define('_PACKAGEUPLOADER','Cargador de paquetes Spectra');
define('_WILLLETYOUUPLOAD','Esto le permitirá cargar carpetas de las actualizaciones de la versión de Spectra. Reemplazará automáticamente los archivos dentro de las carpetas con las nuevas versiones/actualizaciones. Debe hacer una copia de seguridad de sus archivos actuales antes de continuar.');
define('_FULLBACKUP','Copia de seguridad de archivos COMPLETA');
define('_BEFORECONTINUING','Antes de continuar.');
define('_USEZIPUTILITY','Spectra le ofrece la opción de usar su utilidad .zip para cargar y reemplazar archivos antiguos.');
define('_MANUALUPDATER','Actualizador manual de archivos');
define('_UNZIPUPLOAD','Descomprimir, cargar y reemplazar manualmente');
define('_WILLUPLOADFOLDERS','Esto lo ayudará a cargar carpetas/archivos para los lanzamientos de nuevas versiones de Spectra. Las carpetas se cargarán en el directorio raíz de Spectra y reemplazarán solo los archivos que se encuentran en la carpeta de actualización.');
define('_IMPORTFILES','Importar archivos');
define('_UPDATEDB','Actualizar la base de datos');
define('_UPDATE_SUCCESSFUL','La actualización se completó con éxito y el archivo spectra.sql se eliminó.');
define('_SETUPINSTALL','Configuración Instalación');
define('_SETUPINSTALLATION','Configuración Instalación');
define('_SPECTRADBUPDATER','Actualizador de base de datos de espectros');
define('_CONNECTIONHASBEENMADE','Se ha realizado una conexión a su base de datos y está lista para la actualización. Haga clic en continuar cuando esté listo.');
define('_UPDATEDBFILES','Actualizar archivos de base de datos');
define('_WILLUPDATEDBFILES','Esto actualizará los archivos de la base de datos (no una instalación completa) si está actualizando desde la versión:');
define('_TOVERSION','A la versión:');
define('_UPLOADTHEFILES','Cargue los archivos en la sección &quot;Cambios de archivo&quot; carpeta manteniendo intacta la estructura de directorios.');
define('_SHOULDBACKUPDB','¡Debe <a href="db_backup.php" onclick="basicPopup(this.href);return false">Hacer una copia de seguridad de su base de datos</a> antes de continuar! (Cierre la ventana emergente cuando se complete la copia de seguridad)');
define('_UPLOADSQLFILE','Sube el archivo spectra.sql');
define('_WILLLETUPLOADSQLFILE','Esto le permitirá cargar el archivo spectra.sql que se usa para actualizar su base de datos.<br>Una vez que se complete la actualización, se eliminará.');
define('_CONTENTSOFSQLFILE','Contenido del archivo spectra.sql');
define('_UPDATEDATABASE','Actualizar base de datos');
define('_UPDATEDATABASEINFO','Esto es para realizar actualizaciones en la base de datos sobre lanzamientos de nuevas versiones.<br>Una vez que se ejecuta el actualizador, agregará el contenido del archivo spectra.sql a la base de datos.<br> Una vez completado, eliminará el archivo spectra.sql.<br>Siga las instrucciones del instalador.');
define('_EXTNOTALLOWED','Esta extensión de archivo no está permitida. Cargue solo un archivo SQL.');
define('_THEFILE','El archivo');
define('_HASBEENUPLOADED','se ha subido con éxito.');
define('_ANERROROCCURED','Ocurrió un error. Póngase en contacto con el administrador.');
define('_THESEARETHEERRORS','Estos son los errores:');
define('_FILEEXCEEDS','El archivo supera el tamaño máximo (1 MB)');
define('_THENEXTSTEPWILL','El siguiente paso cargará theme.php en la carpeta admin/themes. Si ahora hay un archivo theme.php, se sobrescribirá.<br>Es importante que esto se haga al final para que se asigne un tema al Panel de administración antes de que finalice la actualización.');
define('_UPLOADFILE','Subir archivo');
define('_FIRSTLINEMUSTMATCH','La primera línea en la ventana de abajo tendrá el número de versión que debe coincidir');
define('_IFDIFFERENT','Si es diferente, elimine el archivo y cargue el correcto.<br>Esta es una ventana de solo lectura y el contenido no se puede cambiar aquí.');
define('_DBDISPLAYINGVERSION','Su base de datos está mostrando la versión');
define('_DBISCURRENT','Su base de datos está actualizada.');
define('_YOUORSOMEONEELSE','Es posible que usted u otra persona ya haya ejecutado el instalador.');
define('_FILESAREPRESENT','<p>Hay archivos presentes en el &quot;<strong>temp</strong>&quot; carpeta (<?= basename($image) ?>) que debe eliminarse o eliminarse.<br>Ejecutar un archivo desconocido en la base de datos podría causar daños irreparables.<br>Esperar siempre para cargar el archivo spectra.sql hasta que esté ejecutando el instalador.<br>Cualquier cosa colocada en el &quot;<strong>temp</strong>&quot; el instalador eliminará la carpeta.<br>Asegúrese de cargar todos los archivos excepto spectra.sql antes de ejecutar el instalador.</p>');
define('_FILECONTENT','Contenido del archivo');
define('_SPECTRAWILLNOTRUN','Spectra no funcionará con esta versión. Elige una versión inferior a');
define('_IFYOUDOWNLOADED','Si ha descargado una versión de Spectra que es superior a');
define('_YOUNEEDTOUPLOAD','Debe cargar los archivos en ese paquete, luego volver aquí y ejecutar el instalador.');
define('_DBISUPTODATE','Su base de datos está actualizada para la versión Spectra');
define('_RUNNINGPHPVERSION','Su sistema está ejecutando la versión de PHP');
define('_OKAY','OK');
define('_DOWNLOADCURRENTUPDATE','Descargar actualización actual');
define('_UPLOADSQL','Esta extensión de archivo no está permitida. Cargue solo un archivo SQL.');
define('_ERROROCCURED','Ocurrió un error.');

// import.php, upload.php, uploadfiles.php, imageuploader.php, backup.php, config-ini.php, functions.php

define('_WILL_BACKUP','Si tiene archivos de copia de seguridad en la sección &quot;Copias de seguridad disponibles&quot; listado, se recomienda que los descargue y luego los elimine.<br>Esta copia de seguridad los incluirá y puede hacer que la copia de seguridad falle si es demasiado grande.<br>Sólo para copias de seguridad en línea');
define('_WILLBACKUP','Esto creará una copia de seguridad del directorio que elija.<br>No cierre esta ventana hasta que se complete la copia de seguridad.<br>Aparecerá una lista de directorios en la ventana siguiente cuando se complete la copia de seguridad.');
define('_BACKUP_COMPLETE','Cierre esta ventana y actualice la página.<br>Para guardar el contenido, haga clic con el botón derecho y elija Guardar página como... (cambie .htm a .txt)');
define('_SETBACKUPDIR','Establecer directorio de copia de seguridad');
define('_BACKUPCOMPLETE','Copia de seguridad completa');
define('_FULL_BACKUP','copia de seguridad completa<br>Si esto está en un servidor local, esta opción hará una copia de seguridad de todo el servidor. O en línea hará una copia de seguridad');
define('_CHOOSEDIRTOBACKUP','Elija el directorio para respaldar:<br>(host local - espectros o host en línea - public_html)<br>Una vez que haya elegido la carpeta del menú desplegable, haga clic en Establecer directorio de respaldo para configurarlo en la base de datos. Luego haga clic en Iniciar copia de seguridad para completar el proceso.');
define('_LOCALSERVERONLY','Solo servidor local');
define('_ONLINEHOSTVERVERONLY','Solo servidor host en línea');
define('_STARTBACKUP','Comenzar respaldo');
define('_HAVESETDIR','Ha configurado el directorio de copia de seguridad<br>Cierre esta ventana y haga clic en Iniciar copia de seguridad para continuar.');
define('_INICONFIG','Configuración inicial de PHP');
define('_CPANEL','En su panel de control de alojamiento web, vaya a: MultiPHP INI Editor');
define('_CHANGEVALUES','Una vez allí cambie los valores al menos a los siguientes. Esto permitirá un aumento de más de 1,65 tb en la compresión .zip.');
define('_RECEIVEERROR','Si tiene una gran cantidad de archivos en el &quot;núcleo&quot; directorio y recibir un error del servidor,');
define('_GO_HERE','IR AQUÍ</a> para obtener más información sobre cómo solucionar el problema.');
define('_UPLOADTHEMEIMG','Subir imágenes del tema');
define('_UPLOADIMAGESPARA','Sube las imágenes que venían con el tema. Esto colocará la imagen del tema en la carpeta (media/themes/) y se puede acceder para editarla usando &quot;<a href="../../core/designer/elFinder/elfinder.html" onclick="basicPopup (this.href);return false">Biblioteca multimedia</a>&quot; por lo tanto, cuando obtenga una vista previa del tema, se mostrará con las imágenes.');
define('_IMPORTTHEMEIMG','Importar archivo de imagen de tema');
define('_OPENTHEMEFOLDER','Abrir carpeta de imágenes de tema');
define('_REFRESHAFTERUPLOAD','Actualizar ventana después de importar archivo');
define('_FILETOOLARGE','Archivo demasiado grande');
define('_UPLOADSUCCESSFUL','¡Subida exitosa!');
define('_FAILEDTOUPLOAD','¡No se pudo cargar!');
define('_IMAGEMUSTBE','La extensión de su archivo debe ser');
define('_STOP','PARE: Antes de continuar, debe <a href="tools.php" onclick="basicPopup(this.href);return false">haga una copia de seguridad de su base de datos');
define('_CHECKID_','Verifique el tema que está importando con la lista de temas a continuación que están en la base de datos ahora.<br>Asegúrese de que el número de <span class="link">ID</span> y <span class="link ">Nombre del tema</span> es diferente. En el código del tema, el número de ID es el primer valor (por ejemplo, \'9\')');
define('_PASTETHEMECODE','Pegue el código del tema a continuación');
define('_ISANEXAMPLE','Este es un ejemplo<br>El tema que está importando <strong><u>debe tener el siguiente formato</u></strong>. Los valores en el tema que está importando serán diferentes a los del ejemplo, pero el formato debe ser el mismo.<br>¡ESTO ES IMPORTANTE PARA EVITAR ERRORES!<br>Si ve código en otro formato que parece sospechoso NO lo importe a la base de datos. Cada tema tiene 75 valores, cualquier tema con más o menos valores no se agregará a la base de datos.');
define('_THEMENAME','Nombre del tema');
define('_CODEWILLBESUBMITTED','El código que pegue aquí se enviará a la base de datos una vez que haga clic en el botón Enviar (agregar tema) a continuación.');
define('_LOADTHEMEFILE','Puede cargar un archivo de tema en la ventana de abajo para su revisión');
define('_AVAILTHEMEFILES','<strong>Archivos de temas disponibles<br>Haga clic en el archivo de tema para cargarlo en la ventana de revisión.</strong>');
define('_GOHERETODELETEFILES','Eliminar archivos de tema');
define('_ABOUTTODELETE','Está a punto de eliminar...');
define('_BACKUPWEBSITE','Sitio web de respaldo');
define('_WEBSITEBACKUP','Utilidades de copia de seguridad del sitio web');
define('_WILLASSIST','Esto lo ayudará a realizar una copia de seguridad de todo su sitio web de Spectra. Para hacer una copia de seguridad de la base de datos ');
define('_GOHERE','VEN AQUÍ');
define('_CLICKONFOLDER','Haga clic en la carpeta para completar la copia de seguridad.<br>A veces, si el sistema está lento/ocupado, la lista de archivos puede tardar unos segundos en mostrarse en la ventana emergente. Por favor sea paciente.');
define('_AVAILABLE_BACKUPS','Copias de seguridad disponibles');
define('_CLICKREFRESH','Haga clic en el botón Actualizar <a href="backup.php"><i class="fa fa-refresh"></i></a> después de realizar o eliminar copias de seguridad para ver los cambios y borrar la barra de direcciones del navegador para Prevenir errores.');
define('_PARTEXT','Un archivo zip enumerado a continuación con la extensión .part significa que el proceso zip no ha finalizado.');
define('_IFSYSSLOW','Nota: si su sistema es lento, deje que el proceso termine antes de hacer otra copia de seguridad. Actualice esta página para ver si se eliminó la extensión .part.');
define('_IMPORTTHEMEFILE','Importar archivo de tema (.txt)');
define('_UPLOAD','Subir');
define('_CHOOSETHEMEFILE','Elija un archivo de tema...');
define('_CLOSEWINDOW','Cierra esta ventana');
define('_THEMESINLIBRARY','Temas en la biblioteca');
define('_RENAMELONGIMGNAME','Debe cambiar el nombre de las imágenes largas antes de cargarlas.');
define('_CHOOSEIMGFILE','Elija el archivo de imagen del tema');

// login_attempts.php, populate.php

define('_FAILEDLOGINATTEMPTS','Intentos de inicio de sesión fallidos');
define('_IPLOOKUP','Búsqueda de direcciones IP');
define('_ATTEMPTSLEFT','Intentos restantes');
define('_SELECTALL','Seleccionar todo');
define('_DESELECTALL','Deseleccionar todo');
define('_DELETESELECTED','Eliminar seleccionado');
define('_NODATAYET','No hay datos todavía.');

// managelibrary.php

define('_ACTIONPERMANENT','Esta acción es permanente.');
define('_AMSOCIALSHARING','Intercambio social de miembros activos');
define('_AMSHARINGPARA','Estos son los archivos cargados en Social Sharing Builder. Le permite mantener una lista de cuándo se cargó el archivo. También registra la dirección IP y el nombre de usuario de la persona que carga el archivo de imagen.<br>Puede ver el archivo de imagen haciendo clic en el nombre de la imagen. También puede buscar la dirección IP haciendo clic en el número de IP.');
define('_IMGNAME','Nombre de la imágen');
define('_SIZE','Tamaño');
define('_IP','IP');
define('_AREYOUSURE','¿Estás seguro de que quieres eliminar esto?');
define('_REFRESH_PAGE','Actualizar página después de eliminar');
define('_UPLOADIMG','Subir imágenes');
define('_CANUPLOADSIZE','Puede cargar imágenes de fondo de pantalla en la biblioteca de uso compartido activo para que las usen todos los miembros activos.<br><b>El tamaño de carga debe ser de 500 kb o menos.</b>');

// member-submissions.php

define('_TAGS','Etiquetas');
define('_AUTHOR','Autor');
define('_CATEGORY','Categoría');
define('_MBRSUBMITTED','Miembro enviado');
define('_MEMBERSUBMITTEDARTICLES','Artículos enviados por miembros');

// poll.php, polls.php, poll-dashboard.php, list.php, result.php, create.php, poll-menu.php, menu/index.php

define('_ROWHEADER','Encabezado de fila');
define('_PLAIN','Plano');
define('_STYLED','con estilo');
define('_ABOVE','Arriba');
define('_BELOW','Abajo');
define('_POLLS','Centro'); // opción del menú
define('_CREATEPOLL','Crear encuesta');
define('_BRIEFDESC','Breve descripción');
define('_ANSWERS','respuestas');
define('_ANSWERONE','respuesta 1');
define('_ADDANSWER','Agregar respuesta');
define('_STARTDATE','Fecha de inicio');
define('_EXPIRES','¿Caduca?');
define('_NUMBEROFCHOICES','Número de opciones');
define('_SUCCESS','Éxito');
define('_ADMINPOLLSETTINGS','Configuración de la encuesta de administración');
define('_LEFT','Izquierdo');
define('_RIGHT','Derecho');
define('_USEPOLLMOD','¿Usar el módulo de encuesta?');
define('_SHOWTITLE','¿Mostrar título?');
define('_SHOWTITLESTYLE','¿Mostrar el estilo del título?');
define('_MODTITLE','Título de módulo');
define('_USEMOD','¿Quién puede usar el módulo?');
define('_POSITIONONHP','Posición en la página de inicio');
define('_PUBLIC','Público');
define('_MEMBERS','miembros');
define('_POLLSLIST','Lista de encuestas');
define('_POLLSETTINGS','Configuración de la encuesta');
define('_ADMINSETTINGS','Configuración de administrador');
define('_DESC','Descripción');
define('_EXPIRESENABLED','Caduca Habilitado');
define('_DATESUBMITTED','Fecha Enviado');
define('_POLLLISTING','Listado de encuestas');
define('_DESCRIPTION','Descripción');
define('_NOPOLLS','No hay encuestas recientes.');
define('_EXPIREDATE','Fecha de caducidad');
define('_SUBMITDATE','Fecha de envío');
define('_VIEW','Vista');
define('_POLLSDASHBOARD','Panel de encuestas');
define('_NOPOLLSAWAITING','No hay encuestas pendientes de aprobación.');
define('_TODAYSPOLLS','Encuestas de hoy');
define('_TOTALPOLLS','Encuestas totales');
define('_TOTALANSWERS','Respuestas totales');
define('_POLLSRESULTS','Resultados de encuestas');
define('_RESULTSFORPOLLS','Los resultados de todas las encuestas se encuentran a continuación.');
define('_ONCANVASLEFT','Sobre lienzo Izquierda');
define('_ONCANVASRIGHT','Sobre lienzo Derecha');
define('_OFFCANVASLEFT','Izquierda fuera del lienzo');
define('_OFFCANVASRIGHT','Fuera del lienzo Derecha');
define('_ROWONETOP','Parte superior de la fila uno');
define('_ROWTWOTOP','Fila dos superior');
define('_ROWTHREETOP','Fila tres superior');
define('_ROWFOURTOP','Fila cuatro superior');
define('_ROWFIVETOP','Fila cinco superior');
define('_ROWSIXTOP','Parte superior de la fila seis');
define('_ROWSEVENTOP','Parte superior de la fila siete');
define('_ROWEIGHTTOP','Parte superior de la fila ocho');
define('_ROWNINETOP','Parte superior de la fila nueve');
define('_ROWTENTOP','fila diez parte superior');
define('_ROWELEVENTOP','Parte superior de la fila once');
define('_ROWTWELVETOP','Parte superior de la fila doce');
define('_ROWONEMIDDLE','Fila Uno Medio');
define('_ROWTWOMIDDLE','Fila Dos Medio');
define('_ROWTHREEMIDDLE','Fila tres medio');
define('_ROWFOURMIDDLE','Fila Cuatro Medio');
define('_ROWFIVEMIDDLE','Fila Cinco Medio');
define('_ROWSIXMIDDLE','Fila Seis Medio');
define('_ROWSEVENMIDDLE','Fila Siete Medio');
define('_ROWEIGHTMIDDLE','Fila Ocho Medio');
define('_ROWNINEMIDDLE','Fila Nueve Medio');
define('_ROWTENMIDDLE','Fila Diez Medio');
define('_ROWELEVENMIDDLE','Fila Once Medio');
define('_ROWTWELVEMIDDLE','Fila Doce Medio');
define('_ROWONEBOTTOM','Parte inferior de la fila uno');
define('_ROWTWOBOTTOM','Fila dos inferior');
define('_ROWTHREEBOTTOM','Fila tres inferior');
define('_ROWFOURBOTTOM','Fila cuatro inferior');
define('_ROWFIVEBOTTOM','Fila cinco inferior');
define('_ROWSIXBOTTOM','Fila seis inferior');
define('_ROWSEVENBOTTOM','Fila siete inferior');
define('_ROWEIGHTBOTTOM','Fila Ocho Abajo');
define('_ROWNINEBOTTOM','Parte inferior de la fila nueve');
define('_ROWTENBOTTOM','Fila diez inferior');
define('_ROWELEVENBOTTOM','Parte inferior de la fila once');
define('_ROWTWELVEBOTTOM','Fila Doce Inferior');
define('_ROWONE','fila uno');
define('_ROWTWO','fila dos');
define('_ROWTHREE','fila tres');
define('_ROWFOUR','fila cuatro');
define('_ROWFIVE','fila cinco');
define('_ROWSIX','fila seis');
define('_ROWSEVEN','fila siete');
define('_ROWEIGHT','fila ocho');
define('_ROWNINE','fila nueve');
define('_ROWTEN','fila diez');
define('_ROWELEVEN','fila once');
define('_ROWTWELVE','fila doce');

// settings.php

define('_AVATAR','Avatar');
define('_AVATARSETTINGS','Configuración de avatares');
define('_REFRESH_PAGE_','Actualice la página después de Guardar para ver el cambio.');
define('_SETAVATARHEIGHTWIDTH','Establecer la altura/anchura del avatar:');
define('_USER','Usuario');
define('_AVATARTOALLOW','Establecer qué avatar permitir');
define('_USEROPTION','&quot;Benutzer&quot; lässt das Mitglied entscheiden.<br>&quot;Gravatar&quot; Radius, Breite und Höhe sind auf einen Kreis und eine Größe von 80 Pixel voreingestellt.<br>&quot;Avatar&quot; ermöglicht es dem Mitglied, eine URL hinzuzufügen, um seinen Avatar anzuzeigen.');
define('_AVATARRADIUS','Radio de avatar');
define('_SETRADIUS','Establece el radio para el miembro avator. (50% es redondo) Actualice la página después de Guardar para ver el cambio.');
define('_MISCSETTINGS','Otras configuraciones');
define('_CONTROLFEATURES','Las siguientes configuraciones controlan las funciones en el panel de administración y la cuenta de los miembros.');
define('_NUMBERMEMBERACCOUNTS','¿Número de cuentas de miembros para mostrar en las páginas de listado de cuentas?');
define('_SETPAGINATIONTOTAL','¿Establecer total de paginación?');
define('_PAGINATIONISAUTOMATIC','La paginación es automática, pero si el número de páginas creadas es alto, es posible que deba configurarlo más alto. Si observa que los botones de paginación no tienen estilo, es una indicación de que necesita aumentar el número. Para un sitio moderado (1000-2000 miembros), es posible que desee establecer el número en 100 o 200.');

// themeimporter.php, updatethemecode.php

define('_THEMEIMPORTER','Importador de temas');
define('_ADDTHEMETODB','Este paso agregará el tema a la base de datos.');
define('_UPDATESUCCESS','¡Actualización exitosa!');

// themecontroller/index.php

define('_UPLOADFOLDER','Cargar carpeta');
define('_SETTHEMEFOLDERNAME','No ha establecido el nombre de la carpeta de temas.<br>Ingrese el nombre de la carpeta de temas y haga clic en "Actualizar el registro" y "Actualizar página" para continuar.');
define('_UPLOADHTML5THEME','Cargar carpeta de tema HTML5');
define('_WILLUPLOADFOLDER','Esto cargará tu carpeta de temas.');
define('_INTOHTMLTHEMES','en la carpeta html-themes.');
define('_CHOOSE','Escoger');
define('_FOLDERFORUPLOAD','Carpeta para cargar');
define('_PERCENTAGE','Porcentaje');
define('_PROGRESS','Progreso');
define('_FILESUPLOADED','Archivos cargados');
define('_LOADERANIMATION','Animación del cargador');
define('_CLOSETHISWINDOW','Cierra esta ventana');

// tools.php

define('_DOWNLOAD','Descargar');
define('_BACKUPDATABASE','Base de datos de respaldo');
define('_QUICKHASSLEFREE','Una forma rápida y sin complicaciones de hacer una copia de seguridad de su base de datos con regularidad. Asegúrese de descargar una copia cada vez que realice una copia de seguridad.');
define('_OPTIMIZEDATABASE','Optimizar base de datos');
define('_USETHISTOOL','Utilice esta herramienta si ha realizado grandes cambios en la base de datos.');
define('_THISWILLRESTORE','Esto restaurará una base de datos corrupta.');
define('_AVAILABLEBACKUPS','Archivos de respaldo de base de datos disponibles y archivo de exportación de tema');
define('_BACKUPFILE','Archivos de respaldo');
define('_EXPORTTHEMES','Exportar temas');
define('_THISWILLEXPORT','Esto exportará los archivos de temas para compartir.');
define('_IMPORTTHEMES','Importar temas');
define('_THISWILLIMPORT','Esto importará temas a la base de datos.');
define('_DELETEBACKUPFILE','¿Estás seguro de que quieres eliminar este archivo de copia de seguridad?');
define('_ACTIONCANCELLED','La acción fue cancelada por el usuario');
define('_PERMANENT','¿Está seguro? ¡Esta acción es permanente!');

// userlog.php

define('_VISITORSLOG','Registro de visitantes');
define('_RECORDSVISITS','Registra las visitas a tu sitio web.');
define('_TOTALRECORDS','Registros totales');
define('_PAGEURL','URL de la página');
define('_REFERRER','URL de referencia');
define('_IPADDRESS','Dirección IP');
define('_USERAGENT','Agente de usuario');
define('_DATETIMECREATED','Fecha/hora de creación');

// viewthemefolder.php

define('_CLICKFORPREVIEW','Haga clic en la imagen para obtener una vista previa. Se abre en una nueva pestaña del navegador.
');




