<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 * 
 */

require_once 'admin-main.php';

$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
require_once 'lang/' . $row['lang'] . '.php'; }} 

check_loggedin($conn, '../index.php');
$stmt = $conn->prepare('SELECT password, email, role, username FROM accounts WHERE id = ?');

/**
 * 
 * Get the account info 
 * using the logged-in session ID.
 * 
 */

$stmt->bind_param('i', $_SESSION['id']);
$stmt->execute();
$stmt->bind_result($password, $email, $role, $username);
$stmt->fetch();
$stmt->close();

/**
 * 
 * Check if the user is an admin.
 * 
 */

if ($role != 'Admin') {	
exit('' . _DONOTHAVEPERMISSION . '');
}

