<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 * 
 */

require_once 'main.php';
require_once 'functions.php';
require_once 'themes/theme.php';


$sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 	
while ($row = $result->fetch_assoc()) {
$maintenance_mode = $row['maintenance_mode']; }} ?>

<br>

<form method="post" action="maintenance.php" style="border:0">

<div style="padding-top:4%"></div>

<div class="inner-wrapper" style="width:250px; padding:10px; border-radius:10px; text-align:center; margin:0 auto">
<h3 class="center"><?= _TURNON ?></h3>

<p class="center">
<select name="maintenance_mode">
<option><?= $maintenance_mode ?></option>
<option value="Yes"><?= _YES ?><option>
<option value="No"><?= _NO  ?></option>
</select></p>

<?php savemenu(); ?>

</form>
</div>