<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 * 
 */

require_once 'main.php';

$sql = "SELECT lang FROM website";
$result = $conn->query($sql);
if ($result->num_rows > 0) {	
while ($row = $result->fetch_assoc()) {	 
require_once 'lang/' . $row['lang'] . '.php';}} ?> 

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,minimum-scale=1">
<title><?=_SUBMITARTICLE?></title>
<?php require_once 'header.php'; ?>
<div class="spacer column-title"><h1 class="center coltitlecolor"><?=_MEMBERSUBMITTEDARTICLES?></h1></div>
<div class="inner-wrapper spacer">
<div class="content-block">
<div class="table spacer">
<table>
<thead>
<tr class="right column-title coltitlecolor">
<th scope="col" style="font-size:12px"><?=_ID?></th>
<th scope="col" style="font-size:12px"><?=_TITLE?></th>
<th scope="col" style="font-size:12px"><?=_TAGS?></th>
<th scope="col" style="font-size:12px"><?=_AUTHOR?></th>
<th scope="col" style="font-size:12px"><?=_CATEGORY?></th>
<th scope="col" style="font-size:12px"><?=_MBRSUBMITTED?></th>
<th scope="col" style="font-size:12px"><?=_EMAIL?></th>
<th scope="col" style="font-size:12px"><?=_DATE?></th>
<th scope="col" style="font-size:12px"><?=_ACTION?></th>
</tr>
</thead>

<?php $sql = "SELECT * FROM articles WHERE mbrsubmitted = 'Yes'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) {	
while ($row = $result->fetch_assoc()) { ?>

<style>tr:nth-child(even) {background: <?=$wrapper?>}</style>
<tr class="right gentextcolor">
<td data-label="<?=_ID?>: " style="font-size:12px"><?=$row['id']?></td>
<td data-label="<?=_TITLE?>: " style="font-size:12px"><?=$row['c_title']?></td>
<td data-label="<?=_TAGS?>: " style="font-size:12px"><?=$row['tags']?></td>
<td data-label="<?=_AUTHOR?>: " style="font-size:12px"><?=$row['author']?></td>
<td data-label="<?=_CATEGORY?>: " style="font-size:12px"><?=$row['category']?></td>
<td data-label="<?=_MBRSUBMITTED?>: " style="font-size:12px"><?=$row['mbrsubmitted']?></td>
<td data-label="<?=_EMAIL?>: " style="font-size:12px"><?=$row['email']?></td>
<td data-label="<?=_DATE?>: " style="font-size:12px"><?=$row['date']?></td>
<td>

<table><tr><td>
<a href="../../core/designer/articlebuilder.php?edit=<?=$row['id']?>" style="text-decoration:none"><span style="font-size:12px" class="button"><?=_EDIT?></span></a>
</td>
<td>
<a href="../../core/designer/savearticles.php?del=<?=$row['id'];?>" style="text-decoration:none" onclick="return confirm('<?= _AREYOUSURE ?> [<?= _TITLE ?>: <?=$row['c_title']?>]')" title="<?= _ACTIONPERMANENT ?>"><span style="font-size:12px" class="button"><?=_DELETE?></span></a>
</td></tr></table>
<?php }} ?>
</td>
</tr>
</table>

<br>
<br>
</div>
</div>
</div>

<?php require_once 'footer.php';
