<?php
global $db, $admin_file, $dbname;
$total_gain = 0;
$histo = 0;
$cpt = 0;

require_once('header.php'); ?>

<div class="center title">Optimizing <?= $dbname ?></span></div>
<br>
<br>

<table><tr><td class="topichead center thick">Table</td>
<td class="topichead center thick">Size</td>
<td class="topichead center thick">Status</td>
<td class="topichead center thick">Space Saved</td></tr>

<?php $db_clean = $dbname;
$tot_data = 0;
$tot_idx = 0;
$tot_all = 0;

$local_query = 'SHOW TABLE STATUS FROM spectra';

$result = $conn->query($local_query);
if ($result->num_rows > 0) {
while ($row = $result->fetch_row()) {
$tot_data = $row['Data_length'];
$tot_idx = $row['Index_length'];
$total = $tot_data+$tot_idx;
$total = $total/1024;
$total = round($total, 3);
$gain = $row['Data_free'];
$gain = $gain/1024;
$total_gain += $gain;
$gain = round($gain, 3);

$local_query = 'OPTIMIZE TABLE ' . $row[0];

$resultat = $conn->query($local_query);
if ($gain == 0) {
echo '<tr><td class="thick">' . $row[0] . '</td>' . '<td class="thick">' . $total . ' Kb' . '</td>' . '<td class="thick">Already Optimized</td><td class="thick">0 Kb</td></tr>';
} else {
echo '<tr><td class="thick">' . $row[0] . '</td>' . '<td class="thick">' . $total . ' Kb' . '</td>' . '<td class="thick">Optimized</td><td class="thick">' . $gain . ' Kb</td></tr>';
}}} ?>
</table>

<br>

<?php $total_gain = round($total_gain, 3);

echo '<div class="title center">Optimization Results<br><br>Total Space Saved ' . $total_gain . ' Kb<br>';
$sql_query = 'CREATE TABLE IF NOT EXISTS optimize_gain(gain decimal(10,3)) TYPE=MyISAM';
$result = $conn->query($sql_query);
$sql_query = 'INSERT INTO optimize_gain (gain) VALUES (\'' . $total_gain . '\')';
$result = $conn->query($sql_query);
$sql_query = 'SELECT * FROM_optimize_gain';
$result = $conn->query($sql_query);
while ($row = $result->fetch_row()) {
$histo+=$row[0];
$cpt+=1;
} ?>
<p class="center">You have run this script <?= $cpt ?> Times<br>
<?= $histo ?> Kb Saved</p></div>';

include_once('footer.php'); ?>