<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */ 

require_once 'main.php';

$sql = "SELECT * FROM config_row_one, config_row_two, 
config_row_three, config_row_four, 
config_row_five, config_row_six, 
config_row_seven, config_row_eight, 
config_row_nine, config_row_ten, 
config_row_eleven, config_row_twelve"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$rowonesidebars = $row['rowonesidebars']; 
$rowtwosidebars = $row['rowtwosidebars']; 
$rowthreesidebars = $row['rowthreesidebars']; 
$rowfoursidebars = $row['rowfoursidebars']; 
$rowfivesidebars = $row['rowfivesidebars']; 
$rowsixsidebars = $row['rowsixsidebars']; 
$rowsevensidebars = $row['rowsevensidebars']; 
$roweightsidebars = $row['roweightsidebars']; 
$rowninesidebars = $row['rowninesidebars']; 
$rowtensidebars = $row['rowtensidebars']; 
$rowelevensidebars = $row['rowelevensidebars']; 
$rowtwelvesidebars = $row['rowtwelvesidebars']; }}

$sql = "SELECT * FROM polladmin"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 	
while ($row = $result->fetch_assoc()) {
$polltitle = $row['polltitle']; 
$usepoll = $row['usepoll']; 
$cansee = $row['cansee']; 
$position = $row['position']; 
$showtitle = $row['showtitle'];
$showtitlestyle = $row['showtitlestyle']; 
$placemod = $row['placemod']; 
$comment = $row['comment']; }} ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="x-ua-compatible" content="ie=edge">
<meta name="description" content="">
<meta name="keywords" content="">
<meta name="author" content="Mike">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
<title><?= _ADMINPOLLSETTINGS ?></title>

<?php require_once 'header.php';
require_once 'poll-menu.php'; ?>

<div class="inner-wrapper spacer">

<div class="mini-container">

<div class="column-title"><h1 class="center"><?= _SETTINGS ?></h1></div>

<form action="poll-adminsave.php" target="_blank" method="post" style="border:0">

<p class="left"><?= _USEPOLLMOD ?> 
<select name="usepoll">
<option><?= $usepoll ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select></p>

<p class="left"><?= _SHOWTITLE ?> 
<select name="showtitle">
<option><?= $showtitle ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select></p>

<p class="left">Place module above or below the content block. 
<select name="placemod">
<option><?= $placemod ?></option>
<option value="Above"><?= _ABOVE ?></option>
<option value="Below"><?= _BELOW ?></option>
</select></p>

<p class="left"><?= _SHOWTITLESTYLE ?> 
<select name="showtitlestyle">
<option><?= $showtitlestyle ?></option>
<option value="Plain"><?= _PLAIN ?></option>
<option value="Styled"><?= _STYLED ?></option>
</select></p>

<p class="left"><?= _MODTITLE ?>: <input type="text" name="polltitle" value="<?= $polltitle ?>"></p>

<p class="left"><?= _USEMOD ?> 
<select name="cansee">
<option><?= $cansee ?></option>
<option value="Public"><?= _PUBLIC ?></option>
<option value="Members"><?= _MEMBERS ?></option>
</select></p>

<?php $sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$hp_sidebars = $row['hp_sidebars']; $hp_oncanvas_sidebars = $row['hp_oncanvas_sidebars']; }} ?>

<p class="left"><?= _POSITIONONHP ?>:  
<select name="position">
<option><?= $position ?></option>
<?php if ($hp_sidebars == '' or $hp_sidebars == 'None') { } else { ?>
<option value="Off-canvas Left"><?= _OFFCANVASLEFT ?></option>
<option value="Off-canvas Right"><?= _OFFCANVASRIGHT ?></option>
<?php } 
if ($hp_oncanvas_sidebars == '' or $hp_oncanvas_sidebars == 'None') { } else { ?>
<option value="On-canvas Left"><?= _ONCANVASLEFT ?></option>
<option value="On-canvas Right"><?= _ONCANVASRIGHT ?></option>
<?php }
if ($rowonesidebars == 'Left' or $rowonesidebars == 'Both') { ?>
<option value="Row One Left"><?= _ROWONE ?> <?= _LEFT ?></option>
<?php }
if ($rowonesidebars == 'Right' or $rowonesidebars == 'Both') { ?>
<option value="Row One Right"><?= _ROWONE ?> <?= _RIGHT ?></option>
<?php } 

if ($rowtwosidebars == 'Left' or $rowtwosidebars == 'Both') { ?>
<option value="Row Two Left"><?= _ROWTWO ?> <?= _LEFT ?></option>
<?php }
if ($rowtwosidebars == 'Right' or $rowtwosidebars == 'Both') { ?>
<option value="Row Two Right"><?= _ROWTWO ?> <?= _RIGHT ?></option>
<?php } 

if ($rowthreesidebars == 'Left' or $rowthreesidebars == 'Both') { ?>
<option value="Row Three Left"><?= _ROWTHREE ?> <?= _LEFT ?></option>
<?php }
if ($rowthreesidebars == 'Right' or $rowthreesidebars == 'Both') { ?>
<option value="Row Three Right"><?= _ROWTHREE ?> <?= _RIGHT ?></option>
<?php }

if ($rowfoursidebars == 'Left' or $rowfoursidebars == 'Both') { ?>
<option value="Row Four Left"><?= _ROWFOUR ?> <?= _LEFT ?></option>
<?php }
if ($rowfoursidebars == 'Right' or $rowfoursidebars == 'Both') { ?>
<option value="Row Four Right"><?= _ROWFOUR ?> <?= _RIGHT ?></option>
<?php }

if ($rowfivesidebars == 'Left' or $rowfivesidebars == 'Both') { ?>
<option value="Row Five Left"><?= _ROWFIVE ?> <?= _LEFT ?></option>
<?php }
if ($rowfivesidebars == 'Right' or $rowfivesidebars == 'Both') { ?>
<option value="Row Five Right"><?= _ROWFIVE ?> <?= _RIGHT ?></option>
<?php }

if ($rowsixsidebars == 'Left' or $rowsixsidebars == 'Both') { ?>
<option value="Row Six Left"><?= _ROWSIX ?> <?= _LEFT ?></option>
<?php }
if ($rowsixsidebars == 'Right' or $rowsixsidebars == 'Both') { ?>
<option value="Row Six Right"><?= _ROWSIX ?> <?= _RIGHT ?></option>
<?php }

if ($rowsevensidebars == 'Left' or $rowsevensidebars == 'Both') { ?>
<option value="Row Seven Left"><?= _ROWSEVEN ?> <?= _LEFT ?></option>
<?php }
if ($rowsevensidebars == 'Right' or $rowsevensidebars == 'Both') { ?>
<option value="Row Seven Right"><?= _ROWSEVEN ?> <?= _RIGHT ?></option>
<?php }

if ($roweightsidebars == 'Left' or $roweightsidebars == 'Both') { ?>
<option value="Row Eight Left"><?= _ROWEIGHT ?> <?= _LEFT ?></option>
<?php }
if ($roweightsidebars == 'Right' or $roweightsidebars == 'Both') { ?>
<option value="Row Eight Right"><?= _ROWEIGHT ?> <?= _RIGHT ?></option>
<?php }

if ($rowninesidebars == 'Left' or $rowninesidebars == 'Both') { ?>
<option value="Row Nine Left"><?= _ROWNINE ?> <?= _LEFT ?></option>
<?php }
if ($rowninesidebars == 'Right' or $rowninesidebars == 'Both') { ?>
<option value="Row Nine Right"><?= _ROWNINE ?> <?= _RIGHT ?></option>
<?php }

if ($rowtensidebars == 'Left' or $rowtensidebars == 'Both') { ?>
<option value="Row Ten Left"><?= _ROWTEN ?> <?= _LEFT ?></option>
<?php }
if ($rowtensidebars == 'Right' or $rowtensidebars == 'Both') { ?>
<option value="Row Ten Right"><?= _ROWTEN ?> <?= _RIGHT ?></option>
<?php }

if ($rowelevensidebars == 'Left' or $rowelevensidebars == 'Both') { ?>
<option value="Row Eleven Left"><?= _ROWELEVEN ?> <?= _LEFT ?></option>
<?php }
if ($rowelevensidebars == 'Right' or $rowelevensidebars == 'Both') { ?>
<option value="Row Eleven Right"><?= _ROWELEVEN ?> <?= _RIGHT ?></option>
<?php }

if ($rowtwelvesidebars == 'Left' or $rowtwelvesidebars == 'Both') { ?>
<option value="Row Twelve Left"><?= _ROWTWELVE ?> <?= _LEFT ?></option>
<?php }
if ($rowtwelvesidebars == 'Right' or $rowtwelvesidebars == 'Both') { ?>
<option value="Row Twelve Right"><?= _ROWTWELVE ?> <?= _RIGHT ?></option>
<?php } ?>
<option value="None"><?= _NONE ?></option>
</select></p>

<p class="left"><?= _TAKEAMINUTE ?>
<input name="comment" value="<?= $comment ?>"style="width:100%" maxlength="155" size="155">
</p>

<?php savemenu(); ?>

 </form>

 </div>
 </div>

<?php require_once 'footer.php';
