<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */
 
require_once 'functions.php'; 

$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
require_once 'lang/' . $row['lang'] . '.php'; }} ?>

<link rel="stylesheet" href="../../core/css/fontawesome/css/font-awesome.min.css">
<link rel="stylesheet" href="themes/style.css">
<link rel="stylesheet" href="../css/pageeditor.css">
<link rel="stylesheet" href="../../core/themes/shorthand.css">
<link rel="stylesheet" href="../../core/css/fonts.css">
<link rel="stylesheet" href="../../core/css/hint.min.css">
<link rel="stylesheet" href="css/admin.css">
<link rel="stylesheet" href="css/installer.css">

<style>
* { 
margin: 0; padding: 0; } 

.loader { 
display: none; 
top: 50%; 
left: 50%; 
position: absolute; 
transform: translate(-50%, -50%); } 

.loading { 
border: 2px solid #ccc; 
width: 60px; 	
height: 60px; 
border-radius: 50%; 
border-top-color: #1ecd97; 
border-left-color: #1ecd97; 
animation: spin 1s infinite ease-in; } 

@keyframes spin { 
0% { 
transform: rotate(0deg); } 

100% { 	
transform: rotate(360deg); }}
</style>

<script src="../../core/js/fontawesome.js" crossorigin="anonymous"></script>
</head>
<body>

<?php 
/**
 * 
 * Backup the sup folder.
 * 
 */

require_once 'themes/theme.php'; ?>
<div class="inner-wrapper spacer">
<div class="column-title"><h3 class="coltitlecolor center"><?= _WEBSITEBACKUP ?> &quot;SUP&quot;</h3></div>
<h4 class="center"><?= _WILLBACKUP ?></h4>
<p>&nbsp;</p>
<p class="center"><a href="sup.php" target="window" class="button" style="text-decoration:none" onclick="spinner()"><span class="linkcolor"><?= _CONTINUE ?></span></a></p>
<div class="loader">
<div class="loading"></div>
</div>
<p>&nbsp;</p>
<div class="center button">
<?php closewin(); ?>
</div>
<p>&nbsp;</p>
<iframe style="background:#f0f0f0; width:100%; height:430px; margin:0 auto; overflow:auto;" class="radius spacer" name="window"></iframe>
</div>

<script type="text/javascript">
function spinner() {
document.getElementsByClassName("loader")[0].style.display = "block"; }
</script>

</body>
</html>