<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */ 

require_once 'functions.php';

$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
require_once 'lang/' . $row['lang'] . '.php'; }}

require_once 'header.php'; ?>
<script src="../../core/js/fontawesome.js" crossorigin="anonymous"></script>
</head>
<body>

<?php require_once 'themes/theme.php'; ?>

<div class="inner-wrapper spacer">
    
<?php if($_FILES["zip_file"]["name"]) {
$filename = $_FILES["zip_file"]["name"];
$source = $_FILES["zip_file"]["tmp_name"];
$type = $_FILES["zip_file"]["type"];
$name = explode(".", $filename);
$accepted_types = array('application/zip', 'application/x-zip-compressed', 'multipart/x-zip', 'application/x-compressed');
foreach($accepted_types as $mime_type) {
if($mime_type == $type) {
$okay = true;
break; }}

/**
 * 
 * If is a .zip file
 * upload it.
 * 
 */

$continue = strtolower($name[1]) == 'zip' ? true : false;
if(!$continue) {
$message = "<div class='center'><h3 class='center'>" . _NOTZIPFILE . "</h3></div>"; }

/**
 * 
 * Unpack the file and send
 * the contents to the root directory.
 * The files included will replace
 * the ones in the root directory.
 * 
 */

$target_path = "../../".$filename;
if(move_uploaded_file($source, $target_path)) {
$zip = new ZipArchive();
$x = $zip->open($target_path);
if ($x === true) {
$zip->extractTo("../../");
$zip->close();
unlink($target_path); }

/**
 * 
 * Show any messages generated
 * during the upload.
 * 
 */

$message = "<div class='center'><h3 class='center'>" . _ZIPFILE . " ($filename) " . _UPLOADED . "</h3><br><p class='center'><a href='updater/index.php' style='text-decoration:none' onclick='basicPopup(this.href);return false' class='button'><span style='color:#ffffff'>" . _CONTINUE . "</span></a></div>";
} else {	
$message = "<h3 class='center'>" . _WASAPROBLEM . "<br>" . _ERRORINFILE . "<br><a href='filemgt.php'>" . _TRYAGAIN . "</a></h3>"; }}?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,minimum-scale=1">
<body>
<div class="card center spacer">
<?php if($message) echo "<h3 class='center'>$message</h3>"; ?>
</div>
<p>&nbsp;</p>

<?php require_once 'footer.php';