<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

/**
 * 
 * Folder path to be flushed.
 * 
 */

$folder_path = "temp";

/**
 * 
 * List name of files inside
 * specified folder.
 * 
 */

$files = glob($folder_path . '/*');

/**
 * 
 * Deleting all the files in the list.
 * 
 */

foreach ($files as $file) {

if (is_file($file))

/**
 * 
 * Delete the given file.
 * 
 */

unlink($file); }

require_once 'header.php'; ?>

<?php $sql = "SELECT * FROM website, themes";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$lang = $row['lang'];
$useheadercolor = $row['useheadercolor']; }}
require_once '../lang/' . $lang . '.php';

require_once '../themes/theme.php'; ?>

<div class="column-title">
<h3 class="coltitlecolor center"><?= _UPDATE_SUCCESSFUL ?></h3>
</div>

<br>
<p class="center"><a href="../../../index.php" style="text-decoration:none;"><button class="spacer" style="width:200px"><?= _CONTINUE ?></button></a></p>
<br>
<br>
<br>

<?php require_once '../footer.php'; ?>