<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */ ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="x-ua-compatible" content="ie=edge">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
<title>Spectra Version Updater</title>
<link rel="stylesheet" href="../themes/style.css">
<link rel="stylesheet" href="../../../../core/themes/shorthand.css">
<link rel="stylesheet" href="../../../core/css/fonts.css">
<link rel="stylesheet" href="../css/admin.css">
<link rel="stylesheet" href="../css/installer.css">
</head>
<?php require_once '../../../core/builders/config.php';

$sql = "SELECT admintheme FROM website";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$admintheme = $row['admintheme'];}}

$sql = "SELECT * FROM website, themes WHERE theme_name='$admintheme'";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$theme_name = $row['theme_name']; ?>

<body class="loggedin" style="background: url('../../../media/themes/<?= $row['bg_img'] ?>');background-attachment:<?=$row['fix_back'] ?>;width:<?= $row['website_width'] ?>; margin: 0 auto;">
<?php }}

require_once '../themes/theme.php'; ?>

<div id="wrapper">
<div class="inner-wrapper">

<?php $sql = "SELECT * FROM website, themes WHERE theme_name = '$theme_name'";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$tooltip_bg = $row['tooltip_bg'];
$lang = $row['lang'];
require_once '../lang/' . $lang . '.php';

if ($row['useheadercolor'] == 'No') { ?>
<div style="background: url(../../../media/themes/<?= $header_img ?>); height:<?= $row['header_height'] ?>">
<?php require_once '../logo.php'; ?>
</div>
<?php } elseif ($row['useheadercolor'] == 'Yes') { ?>
<div style="width:100%; margin:0 auto;" class="header headercolor">
<?php }}}  
require_once '../logo.php'; ?>
</div>
<?php require_once 'menu/index.php'; ?>
<br>
<div class="inner-wrapper">
