<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once '../../../core/builders/config.php';

$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
require_once '../lang/' . $row['lang'] . '.php'; }} 

require_once 'version.php'; ?>
<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="x-ua-compatible" content="ie=edge">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
<title>Spectra Version Updater</title>
<link rel="stylesheet" href="../themes/style.css">
<link rel="stylesheet" href="../../../../core/themes/shorthand.css">
<link rel="stylesheet" href="../../../core/css/fonts.css">
<link rel="stylesheet" href="../css/admin.css">
<link rel="stylesheet" href="../css/installer.css">
</head>
<body>

<?php $currentDirectory = getcwd();
$uploadDirectory = "/temp/";
$errors = [];
$fileExtensionsAllowed = ['sql'];
$fileName = $_FILES['the_file']['name'];
$fileSize = $_FILES['the_file']['size'];
$fileTmpName  = $_FILES['the_file']['tmp_name'];
$fileType = $_FILES['the_file']['type'];
@$fileExtension = strtolower(end(explode('.', $fileName)));
$uploadPath = $currentDirectory . $uploadDirectory . basename($fileName);

if (isset($_POST['submit'])) {

if (!in_array($fileExtension, $fileExtensionsAllowed)) {
$errors[] = "" . _UPLOADSQL . "";
echo '<br><br><div class="center"><a href="uploadsql.php"><button style="width:200px">' . _RETURN . '</button></a></div><br><br>'; }

if ($fileSize > 1000000) {
$errors[] = "File exceeds maximum size (1MB)"; }

if (empty($errors)) {
$didUpload = move_uploaded_file($fileTmpName, $uploadPath);

if ($didUpload) {
echo "<h1 class='center'>" . _THEFILE . " " . basename($fileName) . " " . _HASBEENUPLOADED . "</h1>";
echo '<br><br><div class="center"><a href="uploadsql.php"><button style="width:200px">' . _RETURN . '</button></a></div><br><br>';
} else {
echo "<h1 class='center'>" . _ERROROCCURED . " ?></h1>";
echo '<br><br><div class="center"><a href="uploadsql.php"><button style="width:200px">' . _RETURN . '</button></a></div><br><br>';
}} else {
foreach ($errors as $error) {
echo $error . "These are the errors" . "\n";
}}} ?>

</body>
</html>