<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

$sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while($row = $result->fetch_assoc()) { 
require_once 'lang/' . $row['lang'] . '.php'; }} ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,minimum-scale=1">
<title><?=_UPLOADFILES?></title>

<style>
 * {margin: 0;padding: 0;}.loader {display: none;top: 50%;left: 50%;position: absolute;transform: translate(-50%, -50%);}.loading {border: 2px solid #ccc;width: 60px;height: 60px;border-radius: 50%;border-top-color: #1ecd97;border-left-color: #1ecd97;animation: spin 1s infinite ease-in;}@keyframes spin {0% {transform: rotate(0deg);}100% {transform: rotate(360deg);}}form {background: #888;color: #ffffff;width: 30%;margin: 100px auto;padding: 30px;border: 1px solid #555;border-radius: 14px;box-shadow: 12px 0 15px -4px rgba(0, 0, 0, 0.2), -12px 0 8px -4px rgba(0, 0, 0, 0.2);}input {width: 100%;border: 1px solid #f1e1e1;display: block;padding: 5px 10px;}button {border: none;padding: 10px;border-radius: 5px;}
 </style>

<?php $message = ''; 
if (isset($_POST['uploadBtn']) && $_POST['uploadBtn'] == 'Upload') {
if (isset($_FILES['uploadedFile']) && $_FILES['uploadedFile']['error'] === UPLOAD_ERR_OK) {

/**
 * 
 * Get details of the uploaded file.
 * 
 */

$fileTmpPath = $_FILES['uploadedFile']['tmp_name'];
$fileName = $_FILES['uploadedFile']['name'];
$fileSize = $_FILES['uploadedFile']['size'];
$fileType = $_FILES['uploadedFile']['type'];
$fileNameCmps = explode(".", $fileName);
$fileExtension = strtolower(end($fileNameCmps));

/**
 * 
 * Sanitize file-name.
 * 
 */

$newFileName = $fileName;

/**
 * 
 * Check if file has one of the following extensions.
 * 
 */

$allowedfileExtensions = array('txt');
if (in_array($fileExtension, $allowedfileExtensions)) {

/**
 * 
 * Directory in which the uploaded file will be moved.
 * 
 */

$uploadFileDir = 'SPECTRA-backup-files/';

$dest_path = $uploadFileDir . $newFileName;
if(move_uploaded_file($fileTmpPath, $dest_path))  {
$message ='' . _SUCCESSFULUPLOAD . ''; }
else {
$message = '' . _THEREWASERROR . ''; }}
else {
$message = '' . _UPLOADFAILED . ' ' . implode(',', $allowedfileExtensions); }}
else {
$message = '' . _FILEUPLOADERROR . '<br>';
$message .= 'Error:' . $_FILES['uploadedFile']['error']; }}
$_SESSION['message'] = $message;
if (isset($_SESSION["message"]) && !empty($_SESSION["message"])) {
$message = $_SESSION["message"];
echo "<h3 style='padding-top:6%;text-align:center'>" . $message. "</h3>";
unset($_SESSION['message']); } ?>

<div style="padding-top:3%;text-align:center;margin:0 auto;">
<input type="button" class="btn" value="<?=_CLOSEWINDOW?>" onclick="self.close()">
</div>

<script>
function windowClose() { window.open('','_parent','');
window.close();}
</script>