<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 * 
 */

require_once 'main.php';

require_once 'themes/theme.php';

$sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while($row = $result->fetch_assoc()) { 
require_once 'lang/' . $row['lang'] . '.php'; }} ?> 

<style> 
body {
background: #B2CCE6;
width: 100%;}

.column {
background-color: #336699;
float: left;
width: 23%;
padding: 3px;
height: 150px;
border: .5px solid #fff;}

.row:after {
content: "";
display: table;
clear: both;}

.center {
text-align: center;}
</style>

<div class="card" style="margin:0 auto">
<p class="center"><?= _CLICKFORPREVIEW ?><br>
<input type="button" value="<?= _CLOSEWINDOW ?>" onclick="self.close()"></p>

<?php $files = glob("../../media/themes/*.*");
for ($i = 0; $i < count($files); $i++) {
$image = $files[$i];
$supported_file = array(
'gif',
'jpg',
'jpeg',
'png',
'webp'
); ?>

<div class="row">
<?php $ext = strtolower(pathinfo($image, PATHINFO_EXTENSION));
if (in_array($ext, $supported_file)) { ?>
<div class="column center card"><a href="<?= $image ?>" onclick="basicPopup(this.href);return false"><img src="<?= $image ?>" style="width:100%; height:100%;" alt="" /></a><br><span style="color:#ffffff;"><?= basename($image) ?></span></div>
<?php }} ?>
</div>
</div>

<script>
function basicPopup(url) {
popupWindow = window.open(url, 'popUpWindow', 'height=800,width=1000,left=100,top=100,resizable=yes,scrollbars=yes,toolbar=no,menubar=no,location=no,directories=no, status=no'); }
</script>