<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

if (!isset($_SERVER['HTTP_REFERER'])) { echo "<script> window.location.replace('../index.php') </script>";
exit; }

if (isset($_POST["req"])) {

/**
 * 
 * LOAD LIBRARY
 * 
 */

require "core.php";
require "lib-msg.php";
switch ($_POST["req"]) {

/**
 * 
 * INVALID
 * 
 */

default:
echo "Invalid request";
break;

/**
 * 
 * LIST MESSAGES
 * 
 */

case "list":
$msg = $MSG->getMsg($_POST["uid"], $_SESSION["user"]["id"]);
if (count($msg) > 0) {
foreach ($msg as $m) {
$css = $m["user_from"] == $_SESSION["user"]["id"] ? "mout" : "min"; ?>
<div class="<?= $css ?>">
<div class="mdate"><?= $m["date_send"] ?></div>
<div class="mtxt"><?= $m["message"] ?></div>
</div>
<?php }}
break;

/**
 * 
 * SEND MESSAGE
 * 
 */

case "send":
echo $MSG->send($_SESSION["user"]["id"], $_POST["to"], $_POST["msg"])
? "OK" : $MSG->error;
break;
}}
