<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

$sql = "SELECT * FROM website, themes, version"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) {
 while ($row = $result->fetch_assoc()) {
$copyright = $row['copyright']; 
$footer_font_color = $row['footer_font_color']; 
$current_version = $row['current_version']; }}

/**
 * 
 * Show the theme that this
 * member chose or show the 
 * default theme.
 * 
 */

$stmt = $conn->prepare('SELECT usertheme, usetheme FROM accounts WHERE id = ?');
$stmt->bind_param('i', $_SESSION['id']);
$stmt->execute();
$stmt->bind_result( $usertheme, $usetheme );
$stmt->fetch();
$stmt->close();
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true && $usetheme == 'Yes') { 
if (isset($_GET['id'])) { $id = $_GET['id']; }
$sql = "SELECT id, usertheme FROM accounts"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { 
require_once '../sup/usertheme.php'; }}}
else { require_once '../sup/theme.php'; } ?>

<div class="footer full center spacer">
<a class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="Visit Spectra" href="https://www.papamikescreations.org" style="text-decoration:none" target="_blank"><span class="footer"><?= _POWEREDBY ?> <?= $current_version ?></span></a>
<br>
<div><?= $copyright ?></div>
<br>
<br>
<br>
</div>
</div>
</div>
</div>
<br>

<?php
/**
 * 
 * Script that controls the popup window.
 * 
 */ ?>

<script>
function basicPopup(url) {
popupWindow = window.open(url, 'popUpWindow', 'height=700,width=1000,left=100,top=100,resizable=yes,scrollbars=yes,toolbar=no,menubar=no,location=no,directories=no, status=no'); }
</script>

<?php
/**
 * 
 * Script that controls the 
 * accordion window.
 * 
 */ ?>

<script>
var acc = document.getElementsByClassName("accordion");
var i;
for (i = 0; i < acc.length; i++) {
acc[i].addEventListener("click", function() {
this.classList.toggle("active");
var panel = this.nextElementSibling;
if (panel.style.display === "block") {
panel.style.display = "none";
} else {
panel.style.display = "block";
}
});
}
</script>
</body>
</html>