<?php
/**
* Spectra ist eine Software zum Erstellen einer Website.
* PHP-Version 8
*
* @category OpenSource
* @Paket CMS-Spektren
* @Autor Mike Boyles <codersjunctions@gmail.com>
* @copyright 2020-2023 Coders Junction
* @license GNU General Public License <http://www.gnu.org/licenses/>.
* @link https://www.coders-junction.com
*/

// Sprachpaket Deutsch

// Im Allgemeinen

define('_USERNAMEMAX','Maximal 25 Zeichen');
define('_ALLOWCOMMENTS','Erlauben Sie Mitgliedern, Kommentare abzugeben');
define('_VISITORS','Besucher');
define('_SITEINMAINTMODE','Die Website befindet sich im Wartungsmodus.');
define('_MAINTMODE','Wartungsmodus');
define('_MAKINGUPDATES','<h2 class="center">Wir nehmen wichtige Aktualisierungen der Website vor<br><br>und sind bald wieder zurück<br><br>Entschuldigen Sie die Unannehmlichkeiten</h2>');
define('_HOMEPAGE','Startseite');
define('_LOSTON','Verloren');
define('_ADMINCOMMENTS','Kommentare zur Admin-Nachricht');
define('_ACCOUNTISACTIVELOGIN','Ihr Konto ist nun aktiviert, Sie können sich anmelden!');
define('_ACCOUNTALREADYACTIVATED','Ihr Konto ist bereits aktiviert oder existiert nicht!<br>Bitte gehen Sie hier zu');
define('_LOGINREGISTER','Anmeldung Registrieren');
define('_NOEMAILACCOUNT','Es wurde kein E-Mail-Konto angegeben.');
define('_BACKTO','Zurück zu');
define('_SHOWMORE','Zeig mehr');
define('_FORGOT_PASSWORD','Passwort vergessen');
define('_PLEASECLICK','Bitte klicken Sie auf den folgenden Link, um Ihr Passwort zurückzusetzen');
define('_PASSWORDRESET','Passwort zurücksetzen');
define('_ACCESSDENIEDMUSTBEMEMBER','Zugriff abgelehnt. Um das Kontaktformular nutzen zu können, müssen Sie Mitglied sein.');
define('_GOTOHOMEPAGE','Gehen Sie zur Startseite');
define('_AVATARSETTINGS','Avatar-Einstellungen');
define('_HEADERHEIGHT','Header-Höhe');
define('_CHOOSESTYLING','Wählen Sie das Styling für das Profilbild.');
define('_ROUND','Runden');
define('_SQUARE','Quadrat');
define('_PROFILEIMGSTYLE','Rund ist für ein Standardsymbol 100px X 100px. Square ist für größere Bilder.');
define('_PREVIEWSTYLES','Beispielstile in der Vorschau ansehen<br><small>(Zum Öffnen klicken)</small>');
define('_SIDEBARSTYLES','Seitenleistenstile');
define('_HORIZONTALALIGN','Titel ausrichten (horizontal)');
define('_VERTICALALIGN','Titel ausrichten (vertikal - in Pixel (px) von oben nach unten)');
define('_CENTER','Center');
define('_TITLESHADOW','Titelschatten (optional)');
define('_TITLESHADOWCOLOR','Titel Schattenfarbe');
define('_FONTSIZE','Schriftgröße');
define('_NOSIDEBARS','Keine Seitenleisten');
define('_SIDEBARSLEFTRIGHT','Seitenleisten links/rechts');
define('_SOCIALSHARINGPAGE','Social-Sharing-Seite für aktive Mitglieder');
define('_MEMBERSSHARING','Mitglieder, Teilen, Informationen');
define('_PREVIEWTHEMES','Vorschau-Designs');
define('_ORLINKTOONE','or Link zu einem. Gehen Sie zu Details bearbeiten.');
define('_MBRSETTINGS','Mitgliedseinstellungen');
define('_IFAVATARISSELECTED','Wenn Avatar ausgewählt ist, geben Sie die Bild-URL ein.');
define('_CHOOSEAVATARTYPE','Avatartyp wählen?');
define('_ADDAVATAR','Sie haben keinen Avatar? Gehen Sie zu Einstellungen bearbeiten, um eine Verknüpfung zu Ihren Einstellungen herzustellen.');
define('_CHANGEAVATAR','Avatar ändern');
define('_AVATAR','Vollständige Avatar-URL');
define('_CHANGETHEME','Thema ändern');
DEFINE('_EDITACCOUNT','Profil bearbeiten');
define('_USETHEME','Verwenden Sie ein anderes Thema');
define('_CANUSETHEME','Sie können beim Besuch ein anderes Design auswählen und sind angemeldet.');
define('_USERTHEME','Thema');
define('_CHOOSEUSERLANG','Sprache wählen');
define('_USELANG','Andere Sprache wählen?');
define('_DEFAULTLANG','Standardsprache:');
define('_USERLANG','Sprache gewählt');
define('_SOCIALSHARING','Soziales Teilen');
define('_SOCIALSHARINGNOTACTIVE','Social Sharing ist nicht aktiv <a href="contactstaff.php">Mitarbeiter kontaktieren</a>, um es anzufordern.');
define('_YES','Jawohl');
define('_NO','Nein');
define('_TITLE','Titel');
define('_MAX55TEXT','max. 55 Textzeichen');
define('_SUBMIT','einreichen');
define('_SUBJECT','Fach');
define('_MESSAGE','Nachricht');
define('_YOUREMAIL','Deine E-Mail');
define('_REFRESHPAGE','Seite neu laden');
define('_UPDATETHERECORD','Aktualisieren Sie den Datensatz');
define('_PUBLISH','Veröffentlichen');
define('_WELCOME','Willkommen');
define('_CHATROOM','Chatroom');
define('_USING','Verwenden');
define('_ACTIVEMBRSS','Aktive Mitglieder Social Sharing');
define('_DATEJOINED','Beitrittsdatum');
define('_RESIDESIN','Wohnt in');
define('_INTERESTARE','Interesse sind');
define('_YOURNAME','Ihren Namen');

//Page Titles

define('_CARDEDCOMMENTS','Kardierte Kommentare');
define('_AUTHENACCOUNT','Konto authentifizieren');
define('_USERCOMMENTS','Benutzerkommentare');

// Das Top-Menü

define('_MENU','Speisekarte');
define('_HOME','Zuhause');
define('_ACCOUNT','Konto');
define('_PROFILE','Profil');
define('_CONTACT','Kontakt');
define('_SUBMITARTICLE','Artikel einreichen');
define('_ADMINDASHBOARD','Admin-Dashboard');
define('_DESIGNERDASHBOARD','Designer-Dashboard');
define('_LOGOUT','Ausloggen');
define('_DOWNLOAD','Downloads');

// index.php login und registration.php Seiten

define('_SHOWPASSWORD','Passwort anzeigen');
define('_USEREXIST','Benutzername existiert, bitte wählen Sie einen anderen!<br><a href="registration.php">Zurück</a>');
define('_PLEASECOMPLETE','Bitte füllen Sie das Anmeldeformular aus!');
define('_ACTIVATIONREQUIRED','Eine Kontoaktivierung ist erforderlich.');
define('_CLICKTOACTIVATE','Bitte klicken Sie auf den folgenden Link, um Ihr Konto zu aktivieren.');
define('_LOGIN','Anmeldung');
define('_REGISTER','Registrieren');
define('_ADMINLOGIN','Admin login');
define('_REMEMBERME','Erinnere dich an mich');
define('_LOGINREGISTRATION','Anmeldung/Registrierung');
define('_SIGNIN','Anmelden');
define('_USERNAME','Nutzername');
define('_PASSWORD','Passwort');
define('_CONFIRMPASSWORD','Bestätige das Passwort');
define('_EMAIL','Email');
define('_REGISTRATION','Anmeldung');

// home.php

define('_NEWSFROMSTAFF','Neues von der Belegschaft');
define('_MEMBERSHOMEPAGE','Homepage des Mitglieds');
define('_WELCOMEBACK','Willkommen zurück');

// activate.php

define('_ACTIVATEACCOUNT','Aktives Konto');
define('_ACCOUNTISACTIVE','Ihr Konto ist jetzt aktiviert, Sie können sich anmelden!');
define('_NOCODEEMAILSPECIFIED','Es wurde kein Code und/oder E-Mail angegeben!');

// emailtemplate.php, resendactivation.php

define('_RESENDACTIVATIONEMAIL','Aktivierungsmail erneut senden');
define('_ACCOUNTACTIVATIONREQUIRED','Kontoaktivierung erforderlich');

// articlebuilder.php

define('_ARTICLEBUILDER','Artikel-Generator');
define('_MEMBERSUBMITTEDARTICLE','Mitglied eingereichter Artikel');
define('_MEMBERSUBMITTEDNOTE','Als Mitglied können Sie Artikel einreichen, die zusammen mit allen anderen Artikeln auf der Homepage angezeigt werden.<br>Sie können von anderen Mitgliedern ausgedruckt und kommentiert werden.<br><b><i>Artikel, die beunruhigende Bilder oder Inhalte enthalten, werden <u>nicht</u> genehmigt.</i></b> ');
define('_USERINFOWILLBESENT','Ihre Benutzerinformationen werden gesendet, um Sie als Autor zu identifizieren. Ihre persönlichen Daten werden niemals weitergegeben.');
define('_DISPLAYAUTHORSNAME','Name des Autors anzeigen');
define('_ARTICLETAG','Artikel-Tag: (Geben Sie 1 Tag mit maximal 25 Textzeichen ein)');
define('_CHOOSECATEGORY','Kategorie auswählen');
define('_ARTICLECONTENT','Artikelinhalt');


// authenticate.php

define('_CANNOTLOGINNOW','Sie können sich gerade nicht einloggen, bitte versuchen Sie es später noch einmal!');
define('_INCORRECTTOKEN','Falsches Token angegeben');
define('_PLEASEACTIVEACCOUNT','Bitte aktivieren Sie Ihr Konto, um sich anzumelden, klicken Sie auf');
define('_HERE','Hier');
define('_TORESENDEMAIL',' um die Aktivierungs-E-Mail erneut zu senden!');
define('_SUCCESS','Erfolg!');
define('_INCORRECTUSERNAMEPASSWORD','<div class="center spacer">Benutzername und/oder Passwort falsch<br><a href="index.php">Zurück</a></div>');
define('_YOUHAVE','Sie haben');
define('_ATTEMPTSREMAINING','verbleibende Versuche');
define('_PLEASEACTIVATEACCOUNT', 'Bitte aktivieren Sie Ihr Konto oder gehen Sie ');
define('_PLEASEFILLUSERNAMEPASSWORD','Bitte füllen Sie sowohl das Benutzername- als auch das Passwortfeld aus!');

// chat.php

define('_USER','Benutzer');
define('_HASLEFTCHAT','hat die Chatsitzung verlassen.');
define('_CHATSAREDELETED','Alle Chats werden jede Nacht für diesen Tag gelöscht.');
define('_EXIT','AUSFAHRT');
define('_SEND','Senden');
define('_CHATROOMCLOSED','Der Chatraum ist vorerst geschlossen');

// comments.php

define('_FILESIZE','Dateigröße');
define('_DOWNLOADS','Downloads');
define('_DATE','Datum');
define('_CATEGORY','Kategorie');
define('_COMMENTS','Kommentare');
define('_VOTES','Stimmen');
define('_NEWEST','Neueste');
define('_OLDEST','Älteste');
define('_AWAITINGAPPROVAL','Warten auf Genehmigung');
define('_REPLY','Antwort');
define('_YOURNAMEREQ','Ihren Namen');
define('_WRITECOMMENT','Schreiben Sie hier Ihren Kommentar.');
define('_PHOTOURL','URL des Fotosymbols (optional)');

// contact.php und contactstaff.php

define('_SENTALONGWITHEMAIL','Diese wird zusammen mit Ihrer E-Mail gesendet');
define('_CONTACTSTAFF','Wenden Sie sich an das Personal');
define('_TURNEDOFFBYADMIN','Diese Funktion wurde vom Administrator deaktiviert.');
define('_MESSAGESENT','Nachricht gesendet. Danke!');
define('_ERROROCCURED','Fehler aufgetreten, bitte versuchen Sie es später erneut');
define('_INVALIDNAME','Ungültiger Name');
define('_INVALIDSUBJECT','Ungültiger Betreff');
define('_INVALIDEMAIL','Ungültige E-Mail');
define('_MESSAGESHOULDNOTBEEMPTY','Das Nachrichtenfeld darf nicht leer sein.');
define('_SENTWITHEMAIL','Diese wird zusammen mit Ihrer E-Mail gesendet');


// footer.php

define('_POWEREDBY','Powered by Spectra, Version');

// generator/index.php

define('_SETTINGS','Einstellungen');
define('_INCLUDEUPPERCASE','Großbuchstaben einschließe');
define('_INCLUDELOWERCASE','Kleinbuchstaben einschließen');
define('_INCLUDENUMBERS','Zahlen einschließen');
define('_INCLUDESYMBOLS','Symbole einbeziehen');
define('_GENERATEDPASSWORD','Generiertes Passwort');
define('_GENERATEPASSWORD','Generiere Passwort');
define('_CLICKTOCOPY','klicken, um zu kopieren');
define('_COPIED','kopiert');
define('_PASSWORDGENERATOR','Passwortgenerator');

// lost.php

define('_LOST','OOPS, Sie sind dem falschen Weg gefolgt<br><br>Entweder haben Sie sich verlaufen oder versuchen sich zu registrieren.<br><br>Entschuldigung, die Registrierung neuer Benutzer ist derzeit auf dieser Website nicht aktiviert.');
define('_ONINACTIVEPAGE','YSie befinden sich auf einer inaktiven Seite unter');
define('_SHOULDGO','du solltest gehen');

// profile.php

define('_BIO_MAX','Biografie (max. 1500 Zeichen)');
define('_INTEREST_MAX','Interesse (max. 500 Zeichen)');
define('_BIO','Biografie');
define('_INTEREST','Interesse');
define('_REALNAME','Echter Name');
define('_LOCATION','Standort');
define('_OPTIONALINFO','optionale Information');
define('_ANYTHINGADDED','Alles, was Sie hier hinzufügen, ist für andere aktive Mitglieder sichtbar, die möglicherweise die Mitgliederliste einsehen.');
define('_SOCIAL_MEDIA','Soziale Medien (optional)');
define('_MEMBERSLIST','Social-Media-Konten in der Mitgliederliste anzeigen?');
define('_ACCOUNTSWILLSHOW','Wenn Ja, werden nur die Konten angezeigt, die Sie unten eingeben.');
define('_ACCOUNTNUMBERNAME','Geben Sie nur Ihre Kontonummer/Ihren Namen ein.');
define('_THEMESELECTION','Themenauswahl');
define('_MSGCENTER','Nachrichtenzentrum');
define('_ROLE', 'Rolle');
define('_MEMBERSINCE', 'Mitglied seit');
define('_EDITDETAILS', 'Details bearbeiten');
define('_EDITYOURPROFILE', 'Bearbeite dein Profil');
define('_DONTHAVEAVATAR', 'Sie haben keinen Avatar? Gehe zu');
define('_YOURPROFILE', 'Dein Profil');
define('_ONLYIFCHANGING', '(Nur beim Ändern von Passwörtern)');
define('_CANNOTBECHANGED', '(kann nicht geändert werden)');
define('_AREOPTIONAL', 'Folgendes ist optional');
define('_FULLURL', 'Vollständige URL');
define('_NONE', 'Keiner');
define('_SOCIALMEDIA', 'Sozialen Medien');
define('_ACCOUNTEXIST','Es existiert bereits ein Konto mit diesem Benutzernamen und/oder dieser E-Mail-Adresse!');
define('_HAVECHANGEDEMAIL','Sie haben Ihre E-Mail-Adresse geändert, Sie müssen Ihr Konto erneut aktivieren!');

// register.php, registration.php

define('_CHECKEMAILTOACTIVATEACCOUNT','Bitte überprüfen Sie Ihre E-Mail, um Ihr Konto zu aktivieren!');
define('_REGISTEREDSUCCESLOGIN','Sie haben sich erfolgreich registriert, jetzt können Sie sich einloggen!');
define('_CHECKEMAILANDSPAM','Überprüfen Sie die E-Mail, um Ihr Konto zu aktivieren. Überprüfen Sie auch den Spam-Ordner.');
define('_SUCCESSFULLYREGISTERED','Sie haben sich erfolgreich registriert. Bitte loggen Sie sich ein.');
define('_USERNAMEEMAILEXISTS','Benutzername und/oder E-Mail existiert!');
define('_PASSWORDSDONOTMATCH','Passwörter stimmen nicht überein!');
define('_PASSWORDSMUSTBEBETWEEN','Das Passwort muss zwischen 5 und 20 Zeichen lang sein!');
define('_PLEASECOMPLETEREGFORM','Bitte füllen Sie das Anmeldeformular aus');
define('_USEPASSGENERATOR','Verwenden Sie den Passwortgenerator');

// register-with-activation.php

define('_USERNAMENOTVALID', 'Nutzername ist ungültig!');
define('_EMAILNOTVALID', 'Email ist ungültig!');
define('_PLEASE_COMPLETE', 'Bitte füllen Sie das Anmeldeformular aus.');
define('_EMAILUSED', 'Diese E-Mail-Adresse wird bereits verwendet! Bitte wählen Sie eine andere aus.');
define('_PASSWORDMUSTBE', 'Das Passwort muss zwischen 5 und 20 Zeichen lang sein!');
define('_ALLFIELDSREQ', 'Alle Felder sind erforderlich!');
define('_PASSWORDNOMATCH', 'Passwörter stimmen nicht überein!');
define('_RETURNTOREG', 'Zurück zum Anmeldeformular');
define('_CHECKEMAILTOACTIVATEACCOUNTSPAM', 'Bitte überprüfen Sie Ihre E-Mails, um Ihr Konto zu aktivieren.<br>Überprüfen Sie auch Ihren SPAM-Ordner.');
define('_COULDNOTPREPARESTATEMENT', 'Erklärung konnte nicht vorbereitet werden!');
define('_WELCOMETO','Willkommen zu');
define('_CLICKFOLLOWINGLINK','Wir freuen uns, Sie als neues Mitglied zu haben!<br><br>Bitte klicken Sie auf den folgenden Link, um Ihr Konto zu aktivieren.');
define('_ACTIVATE_ACCOUNT','Aktivieren Sie Ihr Konto</a><br><br>Und sehen Sie sich unbedingt all die coolen Funktionen an, die wir zu bieten haben.');

// resendactivation.php

define('_SENTTOEMAIL','<p style="padding:10px;background:#ffffff;color:#000000">Der Aktivierungslink wurde an Ihre E-Mail gesendet!<br>Überprüfen Sie unbedingt Ihren SPAM-Ordner.</p>');
define('_NOEMAIL','<p style="padding:10px;background:#ffffff;color:#000000">Wir haben kein Konto mit dieser E-Mail!</p>');

// resetpassword.php

define('_RESETPASSWORD','Passwort zurücksetzen');

// success.php

define('_ARTICLESUBMITTEDSUCCESSFULLY','Artikel erfolgreich eingereicht!');
define('_CLOSEWINDOWCONTINUE','Schließen Sie dieses Fenster, um fortzufahren');
define('_IFAPPROVED','Bei Genehmigung wird Ihr Artikel zusammen mit allen anderen Artikeln angezeigt.');
define('_WILLCONTACTYOU','Wir werden Sie bald kontaktieren.');

// usercomments.php

define('_YOUMUSTLOGIN','Sie müssen sich zum Kommentieren <a href="index.php" onclick="basicPopup(this.href);return false">anmelden</a>.');

// upload.php

define('_UPLOADSUCCESSFUL','Datei erfolgreich hochgeladen. Wenn Sie mit dem Hochladen von Bildern fertig sind, schließen Sie dieses Fenster und aktualisieren Sie Ihren Browser, um fortzufahren.');
define('_FAILEDTOUPLOAD','Datei konnte nicht hochgeladen werden.');
define('_FILETOOLARGE','Datei ist zu groß');

// uploadimages.php

define('_UPLOADSINTOLIBRARY','Die gesamte Gemeinschaft aktiver Mitglieder hat Zugriff auf alles, was Sie in die Bibliothek hochladen.<br>Nur Hintergrundbilddateien (jpg, gif, png, jpeg) sind erlaubt.<br><br><b>Die Bibliothek wird täglich von überwacht die Administratoren und alle unangemessenen Dateien werden entfernt.<br>Das Upload-Limit beträgt 300 KB</b>');
define('_RECORDEDNOTSHARED','werden aufgezeichnet, aber nicht weitergegeben.');
define('_CLOSEWINDOW','Schließe dieses Fenster');
define('_YOURIP','Deine IP:');
define('_ANDUSERNAME','und Benutzername:');
define('_UPLOADCOMPRESSIMAGES','Bilder hochladen und komprimieren');
define('_SELECTIMAGEFILE','Bilddatei auswählen');
define('_COMPRESSIMAGE','Bild komprimieren');
define('_ORGIMGSIZE','Originalbildgröße:');
define('_COMPIMGSIZE','Komprimierte Bildgröße:');