<?php

/**
 * Spectra — это программное обеспечение, предназначенное для создания веб-сайтов.
 * PHP версии 8
 *
 * @категория OpenSource
 * @пакет Spectra
 * @author Майк Бойлз <codersjunctions@gmail.com>
 * @copyright 2020-2024 Coders Junction
 * @license Стандартная общественная лицензия GNU <http://www.gnu.org/licenses/>.
 * @ссылка https://www.coders-junction.com
 */

// Языковой пакет Русский

// В основном

define('_USERNAMEMAX','максимум 25 символов');
define('_ALLOWCOMMENTS','Разрешить участникам комментировать');
define('_VISITORS','Посетители');
define('_SITEINMAINTMODE','Сайт находится в режиме обслуживания.');
define('_MAINTMODE','Режим обслуживания');
define('_MAKINGUPDATES','<h2 class="center">Мы делаем важные обновления сайта<br><br>И скоро вернемся<br><br>Приносим извинения за неудобства</h2>');
define('_HOMEPAGE','Домашняя страница');
define('_LOSTON','Потерян на');
define('_ADMINCOMMENTS','Комментарии к сообщению администратора');
define('_ACCOUNTISACTIVELOGIN','Ваша учетная запись активирована, вы можете войти!');
define('_ACCOUNTALREADYACTIVATED','Ваша учетная запись уже активирована или не существует!<br>Перейдите сюда, чтобы');
define('_LOGINREGISTER','Войти/Зарегистрироваться');
define('_NOEMAILACCOUNT','Учетная запись электронной почты не указана.');
define('_BACKTO','Вернуться к');
define('_SHOWMORE','Показать больше');
define('_FORGOT_PASSWORD','Забыли пароль');
define('_PLEASECLICK','Пожалуйста, нажмите на следующую ссылку, чтобы сбросить пароль на');
define('_PASSWORDRESET','Восстановление пароля');
define('_ACCESSDENIEDMUSTBEMEMBER','Доступ запрещен. Вы должны быть участником, чтобы использовать контактную форму.');
define('_GOTOHOMEPAGE','Перейти на главную страницуe');
define('_AVATARSETTINGS','Настройки аватара');
define('_HEADERHEIGHT','Высота заголовка');
define('_CHOOSESTYLING','Выберите стиль для изображения профиля.');
define('_ROUND','Круглый');
define('_SQUARE','Квадрат');
define('_PROFILEIMGSTYLE','Круглый для стандартной иконки 100px X 100px. Квадрат для больших изображений.');
define('_PREVIEWSTYLES','Предварительный просмотр образцов стилей<br><small>(щелкните, чтобы открыть)</small>');
define('_SIDEBARSTYLES','Стили боковой панели');
define('_HORIZONTALALIGN','Выровнять заголовок (по горизонтали)');
define('_VERTICALALIGN','Выровнять заголовок (по вертикали - в пикселях (px) сверху вниз)');
define('_CENTER','Центр');
define('_TITLESHADOW','Тень заголовка (необязательно)');
define('_TITLESHADOWCOLOR','Цвет тени заголовка');
define('_FONTSIZE','Размер шрифта');
define('_NOSIDEBARS','Нет боковых панелей');
define('_SIDEBARSLEFTRIGHT','Боковые панели слева/справа');
define('_SOCIALSHARINGPAGE','Активные участники Страница обмена в социальных сетях');
define('_MEMBERSSHARING','Участники, Обмен, Информация');
define('_PREVIEWTHEMES','Vista previa de temas');
define('_ORLINKTOONE','или Ссылка на один. Перейдите к редактированию сведений.');
define('_MBRSETTINGS','Настройки участника');
define('_IFAVATARISSELECTED','Если выбран аватар, введите URL-адрес изображения.');
define('_CHOOSEAVATARTYPE','Выбрать тип аватара?');
define('_ADDAVATAR','Нет аватара? Перейдите в «Редактировать настройки», чтобы установить ссылку на свою.');
define('_CHANGEAVATAR','Сменить аватар');
define('_AVATAR','Полный URL аватара');
define('_CHANGETHEME','Менять тему');
DEFINE('_EDITACCOUNT','Редактировать профиль');
define('_USETHEME','Использовать другую тему');
define('_CANUSETHEME','Вы можете выбрать использование другой темы при посещении и авторизации.');
define('_USERTHEME','тему');
define('_CHOOSEUSERLANG','Выберите язык');
define('_USELANG','Выбрать другой язык?');
define('_DEFAULTLANG','Язык по умолчанию:');
define('_USERLANG','Выбранный язык');
define('_SOCIALSHARING','Социальный обмен');
define('_SOCIALSHARINGNOTACTIVE','Социальный обмен не активен. <a href="contactstaff.php">Свяжитесь с персоналом</a>, чтобы запросить его.');
define('_YES', 'да');
define('_NO', 'Нет');
define('_TITLE', 'Заголовок');
define('_MAX55TEXT', 'не более 55 текстовых символов');
define('_SUBMIT', 'Представлять на рассмотрение');
define('_SUBJECT', 'Тема');
define('_MESSAGE', 'Сообщение');
define('_YOUREMAIL', 'Ваш адрес электронной почты');
define('_REFRESHPAGE', 'Обновить страницу');
define('_UPDATETHERECORD', 'Обновить запись');
define('_PUBLISH', 'Публиковать');
define('_WELCOME', 'Добро пожаловать');
define('_CHATROOM', 'Чат');
define('_USING','С использованием');
define('_ACTIVEMBRSS','Активные участники Социальный обмен');
define('_DATEJOINED','Дата регистрации');
define('_RESIDESIN','Проживает в');
define('_INTERESTARE','Интересы');
define('_YOURNAME','Ваше имя');

//Page Titles

define('_CARDEDCOMMENTS', 'Карточные комментарии');
define('_AUTHENACCOUNT', 'Аутентификация учетной записи');
define('_USERCOMMENTS', 'Комментарии пользователей');


// Tон верхнее меню

define('_MENU', 'Меню');
define('_HOME', 'Дома');
define('_ACCOUNT', 'Счет');
define('_PROFILE', 'Профиль');
define('_CONTACT', 'Контакт');
define('_SUBMITARTICLE', 'Отправить статью');
define('_ADMINDASHBOARD', 'Панель администратора');
define('_DESIGNERDASHBOARD', 'Панель конструктора');
define('_LOGOUT', 'Выйти');
define('_DOWNLOAD','Загрузки');

// index.php login а также registration.php pages

define('_SHOWPASSWORD','Показать пароль');
define('_USEREXIST', 'Имя пользователя существует, выберите другое!<br><a href="registration.php">Вернуться</a>');
define('_PLEASECOMPLETE', 'Пожалуйста, заполните регистрационную форму!');
define('_ACTIVATIONREQUIRED', 'Требуется активация учетной записи.');
define('_CLICKTOACTIVATE', 'Пожалуйста, нажмите на следующую ссылку, чтобы активировать свою учетную запись.');
define('_LOGIN', 'Авторизоваться');
define('_REGISTER', 'регистр');
define('_LOGINREGISTRATION', 'Вход Регистрация');
define('_ADMINLOGIN', 'Вход администратора');
define('_REMEMBERME', 'Запомни меня');
define('_FORGOTPASSWORD', 'Забыл пароль');
define('_SIGNIN', 'Войти');
define('_USERNAME', 'Имя пользователя');
define('_PASSWORD', 'Пароль');
define('_CONFIRMPASSWORD', 'Подтвердить Пароль');
define('_EMAIL', 'Эл. адрес');

// home.php

define('_NEWSFROMSTAFF', 'Новости от сотрудников');
define('_MEMBERSHOMEPAGE', 'Домашняя страница участника');
define('_WELCOMEBACK', 'Добро пожаловать обратно');

// activate.php

define('_ACTIVATEACCOUNT', 'Активная учетная запись');
define('_ACCOUNTISACTIVE', 'Ваша учетная запись активирована, вы можете войти!');
define('_NOCODEEMAILSPECIFIED', 'Не указан код и/или адрес электронной почты!');

// emailtemplate.php, resendactivation.php

define('_RESENDACTIVATIONEMAIL', 'Отправить повторно письмо для активации');
define('_ACCOUNTACTIVATIONREQUIRED', 'Требуется активация учетной записи');

// articlebuilder.php

define('_ARTICLEBUILDER', 'Конструктор статей');
define('_MEMBERSUBMITTEDARTICLE', 'Участник представил статью');
define('_MEMBERSUBMITTEDNOTE', 'Как участник вы можете отправлять статьи, которые будут отображаться на главной странице вместе со всеми другими статьями.<br>Они могут быть распечатаны и прокомментированы другими участниками.<br><b><i>Статьи, содержащие неприятные изображения или содержание, <u>не будут</u> одобрены.</i></b> ');
define('_USERINFOWILLBESENT', 'Ваша пользовательская информация будет отправлена для идентификации вас как автора. Ваша личная информация никогда не разглашается.');
define('_DISPLAYAUTHORSNAME', 'Показать имя автора ');
define('_ARTICLETAG', 'Тег статьи: (Введите 1 тег длиной не более 25 символов)');
define('_CHOOSECATEGORY', 'Выберите категорию');
define('_ARTICLECONTENT', 'Содержание статьи');

// authenticate.php

define('_CANNOTLOGINNOW', 'Вы не можете войти в систему прямо сейчас, пожалуйста, повторите попытку позже!');
define('_INCORRECTTOKEN', 'Предоставлен неверный токен');
define('_PLEASEACTIVEACCOUNT', 'Пожалуйста, активируйте свою учетную запись, чтобы войти, нажмите ');
define('_HERE', 'здесь');
define('_TORESENDEMAIL', ' повторно отправить активационное письмо! ');
define('_SUCCESS', 'Успех!');
define('_INCORRECTUSERNAMEPASSWORD', '<div class="center spacer">Неверное имя пользователя и/или пароль<br><a href="index.php">Вернуться</a></div>');
define('_YOUHAVE', 'у тебя есть');
define('_ATTEMPTSREMAINING', 'осталось попыток');
define('_PLEASEACTIVATEACCOUNT', 'Пожалуйста, активируйте свою учетную запись или перейдите ');
define('_PLEASEFILLUSERNAMEPASSWORD','Пожалуйста, заполните поля имени пользователя и пароля!');

// chat.php

define('_USER', 'Пользователь');
define('_HASLEFTCHAT', 'вышел из сеанса чата.');
define('_CHATSAREDELETED', 'Все чаты удаляются каждую ночь в этот день.');
define('_EXIT', 'ВЫХОД');
define('_SEND', 'Отправлять');
define('_CHATROOMCLOSED', 'Чат пока закрыт');

// comments.php

define('_FILESIZE','Размер файла');
define('_DOWNLOADS','Загрузки');
define('_DATE','Дата');
define('_CATEGORY','Категория');
define('_COMMENTS', 'Комментарии');
define('_VOTES', 'Голоса');
define('_NEWEST', 'Новейшие');
define('_OLDEST', 'Самый старый');
define('_AWAITINGAPPROVAL', 'В ожидании подтверждения');
define('_REPLY', 'Отвечать');
define('_YOURNAMEREQ', 'Ваше имя');
define('_WRITECOMMENT', 'Напишите свой комментарий здесь.');
define('_PHOTOURL', 'URL-адрес значка фотографии (необязательно)');

// contact.php а также contactstaff.php

define('_SENTALONGWITHEMAIL', 'Это будет отправлено вместе с вашей электронной почтой');
define('_CONTACTSTAFF', 'Связаться с персоналом');
define('_TURNEDOFFBYADMIN', 'Эта функция была отключена моим администратором.');
define('_MESSAGESENT', 'Сообщение отправлено. Спасибо!');
define('_ERROROCCURED', 'Произошла ошибка, повторите попытку позже');
define('_INVALIDNAME','Неправильное имя');
define('_INVALIDSUBJECT','Недопустимая тема');
define('_INVALIDEMAIL','Неверный адрес электронной почты');
define('_MESSAGESHOULDNOTBEEMPTY','Поле сообщения не должно быть пустым.');
define('_SENTWITHEMAIL','Это будет отправлено вместе с вашей электронной почтой');


// footer.php

define('_POWEREDBY', 'Работает на Spectra, Версия');

// generator/index.php

define('_SETTINGS','Настройки');
define('_INCLUDEUPPERCASE','Включить верхний регистр');
define('_INCLUDELOWERCASE','Включить строчные буквы');
define('_INCLUDENUMBERS','Включить числа');
define('_INCLUDESYMBOLS','Включить символы');
define('_GENERATEDPASSWORD','Сгенерированный пароль');
define('_GENERATEPASSWORD','Сгенерировать пароль');
define('_CLICKTOCOPY','нажмите, чтобы скопировать');
define('_COPIED','скопировано');
define('_PASSWORDGENERATOR','Генератор паролей');

// lost.php

define('_LOST', 'К сожалению, вы выбрали неверный путь<br><br>Вы либо заблудились, либо пытаетесь зарегистрироваться.<br><br>К сожалению, в настоящее время регистрация новых пользователей на этом веб-сайте не активирована.');
define('_ONINACTIVEPAGE', 'Вы находитесь на неактивной странице в');
define('_SHOULDGO', 'ты должен идти');

// profile.php

define('_BIO_MAX','Биография (не более 1500 знаков)');
define('_INTEREST_MAX','Интерес (максимум 500 символов)');
define('_BIO','биография');
define('_INTEREST','Интерес');
define('_REALNAME','Настоящее имя');
define('_LOCATION','Расположение');
define('_OPTIONALINFO','Дополнительная информация');
define('_ANYTHINGADDED','Все, что вы добавите сюда, будет видно другим активным участникам, которые могут просматривать список участников.');
define('_SOCIAL_MEDIA','Социальные сети (необязательно)');
define('_MEMBERSLIST','Показывать учетные записи социальных сетей в списке участников?');
define('_ACCOUNTSWILLSHOW','Если да, будут показаны только те учетные записи, которые вы введете ниже.');
define('_ACCOUNTNUMBERNAME','Введите только номер счета/имя.');
define('_THEMESELECTION','Выбор темы');
define('_MSGCENTER','Центр сообщений');
define('_ROLE', 'Роль');
define('_MEMBERSINCE', 'Участник с');
define('_EDITDETAILS', 'Редактировать детали');
define('_EDITYOURPROFILE', 'Редактировать профиль');
define('_DONTHAVEAVATAR', 'Нет аватара? Идти к');
define('_YOURPROFILE', 'Ваш профиль');
define('_ONLYIFCHANGING', '(Только при смене паролей)');
define('_CANNOTBECHANGED', '(не может быть изменен)');
define('_AREOPTIONAL', 'Следующее является необязательным');
define('_FULLURL', 'Полный URL');
define('_NONE', 'Никто');
define('_SOCIALMEDIA', 'Социальные медиа');
define('_ACCOUNTEXIST','Учетная запись с таким именем пользователя и/или электронной почтой уже существует!');
define('_HAVECHANGEDEMAIL','Вы изменили свой адрес электронной почты, вам необходимо повторно активировать свою учетную запись!');

// register.php, registration.php

define('_CHECKEMAILTOACTIVATEACCOUNT', 'Пожалуйста, проверьте свою электронную почту, чтобы активировать учетную запись!');
define('_REGISTEREDSUCCESLOGIN', 'Вы успешно зарегистрировались, теперь вы можете войти!');
define('_CHECKEMAILANDSPAM','Проверьте электронную почту, чтобы активировать свою учетную запись. Также проверьте папку со спамом.');
define('_SUCCESSFULLYREGISTERED','Вы успешно зарегистрировались. Пожалуйста, войдите.');
define('_USERNAMEEMAILEXISTS','Имя пользователя и/или электронная почта существует!');
define('_PASSWORDSDONOTMATCH','Пароли не совпадают!');
define('_PASSWORDSMUSTBEBETWEEN','Пароль должен быть от 5 до 20 символов!');
define('_PLEASECOMPLETEREGFORM','Пожалуйста, заполните регистрационную форму');
define('_USEPASSGENERATOR','Используйте генератор паролей');

// register-with-activation.php

define('_USERNAMENOTVALID', 'Имя пользователя недействительно!');
define('_EMAILNOTVALID', 'Email не является допустимым!');
define('_PLEASE_COMPLETE', 'Пожалуйста, заполните регистрационную форму.');
define('_EMAILUSED', 'Этот адрес электронной почты уже используется! Пожалуйста, выберите другой.');
define('_PASSWORDMUSTBE', 'Пароль должен содержать от 5 до 20 символов!');
define('_ALLFIELDSREQ', 'Все поля обязательны к заполнению!');
define('_PASSWORDNOMATCH', 'Пароли не совпадают!');
define('_RETURNTOREG', 'Вернуться к регистрационной форме');
define('_CHECKEMAILTOACTIVATEACCOUNTSPAM', 'Пожалуйста, проверьте свою электронную почту, чтобы активировать учетную запись.<br>Также проверьте папку СПАМ.');
define('_COULDNOTPREPARESTATEMENT', 'Не удалось подготовить выписку!');
define('_WELCOMETO','Добро пожаловать в');
define('_CLICKFOLLOWINGLINK','Мы рады видеть вас в качестве нового члена!<br><br>Пожалуйста, нажмите на следующую ссылку, чтобы активировать свою учетную запись.');
define('_ACTIVATE_ACCOUNT','Активируйте свою учетную запись</a><br><br>И обязательно ознакомьтесь со всеми интересными функциями, которые мы можем предложить.');

// resendactivation.php

define('_SENTTOEMAIL','<p style="padding:10px;background:#ffffff;color:#000000">Ссылка для активации отправлена вам на почту!<br>Обязательно проверьте папку СПАМ.</p>');
define('_NOEMAIL','<p style="padding:10px;background:#ffffff;color:#000000">У нас нет учетной записи с этим адресом электронной почты!</p>');

// resetpassword.php

define('_RESETPASSWORD', 'Сброс пароля');

// success.php

define('_ARTICLESUBMITTEDSUCCESSFULLY', 'Статья успешно отправлена!');
define('_CLOSEWINDOWCONTINUE', 'Закройте это окно, чтобы продолжить');
define('_IFAPPROVED', 'В случае одобрения ваша статья будет отображаться вместе со всеми другими статьями.');
define('_WILLCONTACTYOU', 'Мы свяжемся с вами в ближайшее время.');

// usercomments.php

define('_YOUMUSTLOGIN', 'Вы должны <a href="index.php" onclick="basicPopup(this.href);return false">логин</a>, чтобы комментировать.');

// upload.php

define('_UPLOADSUCCESSFUL', 'Файл успешно загружен. Если вы закончили загрузку изображений, закройте это окно и обновите браузер, чтобы продолжить.');
define('_FAILEDTOUPLOAD', 'Не удалось загрузить файл.');
define('_FILETOOLARGE', 'Файл слишком большой');

// uploadimages.php

define('_UPLOADSINTOLIBRARY', 'Все сообщество активных участников имеет доступ ко всему, что вы загружаете в библиотеку.<br>Разрешены только файлы фоновых изображений (jpg, gif, png, jpeg).<br><br><b>Библиотека ежедневно контролируется администраторы и все неприемлемые файлы будут удалены.<br>Ограничение загрузки – 300 КБ</b>');
define('_RECORDEDNOTSHARED','будут записаны, но не переданы.');
define('_CLOSEWINDOW','Закрыть это окно');
define('_YOURIP','Ваш IP:');
define('_ANDUSERNAME','и имя пользователя:');
define('_UPLOADCOMPRESSIMAGES','Загрузить и сжать изображения');
define('_SELECTIMAGEFILE','Выберите файл изображения');
define('_COMPRESSIMAGE','Сжать изображение');
define('_ORGIMGSIZE','Исходный размер изображения:');
define('_COMPIMGSIZE','Размер сжатого изображения:');
