<?php
/**
* Spectra es un software diseñado para construir un sitio web.
* PHP versión 8
*
* @categoría Código abierto
* @paquete CMS Espectros
* @autor Mike Boyles <codersjunctions@gmail.com>
* @copyright 2020-2023 Coders Junction
* @license Licencia pública general GNU <http://www.gnu.org/licenses/>.
* @enlace https://www.coders-junction.com
*/



// Paquete de idioma Español

// En general

define('_USERNAMEMAX','25 caracteres máximo');
define('_ALLOWCOMMENTS','Permitir a los miembros comentar');
define('_VISITORS','Visitantes');
define('_SITEINMAINTMODE','El sitio está en modo de mantenimiento.');
define('_MAINTMODE','Modo de mantenimiento');
define('_MAKINGUPDATES','<h2 class="center">Estamos realizando actualizaciones importantes en el sitio<br><br>Y volveremos pronto<br><br>Disculpe las molestias</h2>');
define('_HOMEPAGE','Página de inicio');
define('_LOSTON','Perdido en');
define('_ADMINCOMMENTS','Comentarios de mensajes de administrador');
define('_ACCOUNTISACTIVELOGIN','Tu cuenta ya está activada, ¡puedes iniciar sesión!');
define('_ACCOUNTALREADYACTIVATED','¡Su cuenta ya está activada o no existe!<br>Vaya aquí para');
define('_LOGINREGISTER','Iniciar sesión/Registrarse');
define('_NOEMAILACCOUNT','No se especificó ninguna cuenta de correo electrónico.');
define('_BACKTO','De regreso');
define('_SHOWMORE','Mostrar más');
define('_FORGOT_PASSWORD','Has olvidado tu contraseña');
define('_PLEASECLICK','Por favor haga clic en el siguiente enlace para restablecer su contraseña en');
define('_PASSWORDRESET','Restablecimiento de contraseña');
define('_ACCESSDENIEDMUSTBEMEMBER','Acceso denegado. Debes ser miembro para utilizar el formulario de contacto.');
define('_GOTOHOMEPAGE','Ir a la pagina principal');
define('_AVATARSETTINGS','Configuración de avatares');
define('_HEADERHEIGHT','Altura del encabezado');
define('_CHOOSESTYLING','Elija el estilo de la imagen de perfil.');
define('_ROUND','Redondo');
define('_SQUARE','Cuadrado');
define('_PROFILEIMGSTYLE','Redondo es para un ícono estándar de 100px X 100px. Square es para imágenes más grandes.');
define('_PREVIEWSTYLES','Vista previa de estilos de muestra<br><small>(Haga clic para abrir)</small>');
define('_SIDEBARSTYLES','Estilos de barra lateral');
define('_HORIZONTALALIGN','Alinear título (horizontal)');
define('_VERTICALALIGN','Alinear título (vertical - en píxeles (px) de arriba a abajo)');
define('_CENTER','Centro');
define('_TITLESHADOW','Sombra de título (opcional)');
define('_TITLESHADOWCOLOR','Color de la sombra del título');
define('_FONTSIZE','Tamaño de fuente');
define('_NOSIDEBARS','Sin barras laterales');
define('_SIDEBARSLEFTRIGHT','Barras laterales izquierda/derecha');
define('_SOCIALSHARINGPAGE','Página de intercambio social de miembros activos');
define('_MEMBERSSHARING','Miembros, Parte, Información');
define('_PREVIEWTHEMES','Vista previa de temas');
define('_ORLINKTOONE','o Enlace a uno. Ve a Editar detalles.');
define('_MBRSETTINGS','Configuración de miembros');
define('_IFAVATARISSELECTED','Si se selecciona Avatar, ingrese la URL de las imágenes.');
define('_CHOOSEAVATARTYPE','¿Elegir tipo de avatar?');
define('_ADDAVATAR','¿No tienes un avatar? Vaya a Editar configuración para vincular la suya.');
define('_CHANGEAVATAR','Cambiar avatar');
define('_AVATAR','URL completa del avatar');
define('_CHANGETHEME','Cambiar de tema');
DEFINE('_EDITACCOUNT','Editar perfil');
define('_USETHEME','Usar un tema diferente');
define('_CANUSETHEME','Puede seleccionar usar un tema diferente cuando visite y esté conectado.');
define('_USERTHEME','Tema');
define('_CHOOSEUSERLANG','Elige lengua');
define('_USELANG','¿Seleccionar un idioma diferente?');
define('_DEFAULTLANG','Idioma predeterminado:');
define('_USERLANG','Idioma elegido');
define('_SOCIALSHARING','Compartiendo socialmente');
define('_SOCIALSHARINGNOTACTIVE','Compartir en redes sociales no está activo. <a href="contactstaff.php">Comuníquese con el personal</a> para solicitarlo.');
define('_YES','sí');
define('_NO','No');
define('_TITLE','Título');
define('_MAX55TEXT','máximo 55 caracteres de texto');
define('_SUBMIT','Entregar');
define('_SUBJECT','Sujeto');
define('_MESSAGE','Mensaje');
define('_YOUREMAIL','Tu correo electrónico');
define('_REFRESHPAGE','Actualizar página');
define('_UPDATETHERECORD','Actualizar el registro');
define('_PUBLISH','Publicar');
define('_WELCOME','Bienvenidos');
define('_CHATROOM','Sala de chat');
define('_USING','Usando');
define('_ACTIVEMBRSS','Intercambio social de miembros activos');
define('_DATEJOINED','Fecha de Registro');
define('_RESIDESIN','Reside en');
define('_INTERESTARE','Los intereses son');
define('_YOURNAME','Su nombre');

//Page Titles

define('_CARDEDCOMMENTS','Comentarios grabados');
define('_AUTHENACCOUNT','Autenticar cuenta');
define('_USERCOMMENTS','Comentarios del usuario');


// el menú superior

define('_MENU','Menú');
define('_HOME','Casa');
define('_ACCOUNT','Cuenta');
define('_PROFILE','Perfil');
define('_CONTACT','Contacto');
define('_SUBMITARTICLE','Enviar artículo');
define('_ADMINDASHBOARD','Panel de administración');
define('_DESIGNERDASHBOARD','Panel de diseñador');
define('_LOGOUT','Cerrar sesión');
define('_DOWNLOAD','Descargas');

// index.php login and registration.php pages

define('_SHOWPASSWORD','Mostrar contraseña');
define('_USEREXIST','El nombre de usuario existe, ¡elija otro!<br><a href="registration.php">Volver</a>');
define('_PLEASECOMPLETE','¡Por favor complete el formulario de registro!');
define('_ACTIVATIONREQUIRED','Se requiere activación de cuenta.');
define('_CLICKTOACTIVATE','Por favor, haga clic en el siguiente enlace para activar su cuenta.');
define('_LOGIN','Acceso');
define('_REGISTER','Registrarse');
define('_ADMINLOGIN','Inicio de sesión de administrador');
define('_LOGINREGISTRATION','Iniciar sesión/Registrarse');
define('_REMEMBERME','Recuérdame');
define('_FORGOTPASSWORD','Se te olvidó tu contraseña');
define('_SIGNIN','Registrarse');
define('_USERNAME','Nombre de usuario');
define('_PASSWORD','Contraseña');
define('_CONFIRMPASSWORD','Confirmar contraseña');
define('_EMAIL','Correo electrónico'); //usado varias veces
define('_REGISTRATION','Registro');

// home.php

define('_NEWSFROMSTAFF','Noticias del personal');
define('_MEMBERSHOMEPAGE','Página de inicio de miembros');
define('_WELCOMEBACK','Bienvenido de nuevo');

// activate.php

define('_ACTIVATEACCOUNT','Cuenta activa');
define('_ACCOUNTISACTIVE','Tu cuenta ya está activada, ¡puedes iniciar sesión!');
define('_NOCODEEMAILSPECIFIED','¡No se especificó ningún código y/o correo electrónico!');

// emailtemplate.php, resendactivation.php

define('_RESENDACTIVATIONEMAIL','Reenviar E-Mail de activación');
define('_ACCOUNTACTIVATIONREQUIRED','Activación de cuenta requerida');

// articlebuilder.php

define('_ARTICLEBUILDER','Creador de artículos');
define('_MEMBERSUBMITTEDARTICLE','Artículo enviado por un miembro');
define('_MEMBERSUBMITTEDNOTE','Como miembro, puede enviar artículos que se mostrarán en la página de inicio junto con todos los demás artículos.<br>Pueden ser impresos y comentados por otros miembros.<br><b><i>Aquellos artículos que contengan imágenes o contenidos preocupantes <u>no</u> serán aprobados.</i></b>');
define('_USERINFOWILLBESENT','Su información de usuario será enviada para identificarlo como el autor. Tu información personal nunca se comparte.');
define('_DISPLAYAUTHORSNAME','Mostrar el nombre de los autores');
define('_ARTICLETAG','Etiqueta del artículo: (Ingrese 1 etiqueta de 25 caracteres de texto como máximo)');
define('_CHOOSECATEGORY','Elegir la categoría');
define('_ARTICLECONTENT','Contenido del artículo');


// authenticate.php

define('_CANNOTLOGINNOW','No puede iniciar sesión en este momento, inténtelo de nuevo más tarde.');
define('_INCORRECTTOKEN','Token incorrecto proporcionado');
define('_PLEASEACTIVEACCOUNT','Active su cuenta para iniciar sesión, haga clic en');
define('_HERE','aquí');
define('_TORESENDEMAIL','para reenviar el correo electrónico de activación!');
define('_SUCCESS','¡Éxito!');
define('_INCORRECTUSERNAMEPASSWORD','<div class="center spacer">Usuario y/o contraseña incorrectos<br><a href="index.php">Volver</a></div> ');
define('_YOUHAVE','tienes');
define('_ATTEMPTSREMAINING','intentos restantes');
define('_PLEASEACTIVATEACCOUNT', 'Activa tu cuenta o ve ');
define('_PLEASEFILLUSERNAMEPASSWORD','¡Complete los campos de nombre de usuario y contraseña!');

// chat.php

define('_USER','Usuario');
define('_HASLEFTCHAT','ha abandonado la sesión de chat.');
define('_CHATSAREDELETED','Todos los chats se eliminan cada noche de ese día.');
define('_EXIT','SALIDA');
define('_SEND','Enviar');
define('_CHATROOMCLOSED','La sala de chat está cerrada por ahora');

// comments.php

define('_FILESIZE','Tamaño del archivo');
define('_DOWNLOADS','Descargas');
define('_DATE','Fecha');
define('_CATEGORY','Categoría');
define('_COMMENTS','Comentarios');
define('_VOTES','Votos');
define('_NEWEST','El mas nuevo');
define('_OLDEST','El mas viejo');
define('_AWAITINGAPPROVAL','Esperando aprobacion');
define('_REPLY','Respuesta');
define('_YOURNAMEREQ','Su nombre');
define('_WRITECOMMENT','Escribe tu comentario aqui.');
define('_PHOTOURL','URL del icono de la foto (opcional)');

// contact.php and contactstaff.php

define('_SENTALONGWITHEMAIL','Esto será enviado junto con su correo electrónico');
define('_CONTACTSTAFF','Póngase en contacto con el personal');
define('_TURNEDOFFBYADMIN','Esta característica ha sido desactivada por el administrador.');
define('_MESSAGESENT','Mensaje enviado. ¡Gracias!');
define('_ERROROCCURED','Ocurrió un error, inténtalo de nuevo más tarde');
define('_INVALIDNAME','Nombre inválido');
define('_INVALIDSUBJECT','Asunto invalido');
define('_INVALIDEMAIL','Email inválido');
define('_MESSAGESHOULDNOTBEEMPTY','El campo de mensaje no debe estar vacío.');
define('_SENTWITHEMAIL','Esto será enviado junto con su correo electrónico');


// footer.php

define('_POWEREDBY','Desarrollado por Spectra, Versión');

// generator/index.php

define('_SETTINGS','Ajustes');
define('_INCLUDEUPPERCASE','Incluir mayúscula');
define('_INCLUDELOWERCASE','Incluir minúsculas');
define('_INCLUDENUMBERS','Incluir números');
define('_INCLUDESYMBOLS','Incluir símbolos');
define('_GENERATEDPASSWORD','Contraseña generada');
define('_GENERATEPASSWORD','Generar contraseña');
define('_CLICKTOCOPY','haga clic para copiar');
define('_COPIED','copiado');
define('_PASSWORDGENERATOR','Generador de contraseñas');

// lost.php

define('_LOST','Vaya, ha seguido el camino equivocado<br><br>Está perdido o está intentando registrarse.<br><br>Lo sentimos, el registro de nuevo usuario no está activado en este sitio web en este momento.');
define('_ONINACTIVEPAGE','Estás en una página inactiva en');
define('_SHOULDGO','deberías ir');

// profile.php

define('_BIO_MAX','Biography (máximo 1500 caracteres)');
define('_INTEREST_MAX','Interés (máximo 500 caracteres)');
define('_BIO','Biografía');
define('_INTEREST','Interés');
define('_REALNAME','Nombre real');
define('_LOCATION','Ubicación');
define('_OPTIONALINFO','información opcional');
define('_ANYTHINGADDED','Todo lo que agregue aquí será visible para otros miembros activos que pueden ver la lista de miembros.');
define('_SOCIAL_MEDIA','Redes sociales (opcional)');
define('_MEMBERSLIST','¿Mostrar cuentas de redes sociales en la lista de miembros?');
define('_ACCOUNTSWILLSHOW','En caso afirmativo, solo se mostrarán las cuentas que ingrese a continuación.');
define('_ACCOUNTNUMBERNAME','Ingrese su número de cuenta/nombre solamente.');
define('_THEMESELECTION','Selección de tema');
define('_MSGCENTER','Centro de mensajes');
define('_ROLE', 'Role');
define('_MEMBERSINCE', 'Miembro desde');
define('_EDITDETAILS', 'Editar detalles');
define('_EDITYOURPROFILE', 'Edite su perfil');
define('_DONTHAVEAVATAR', '¿No tienes un avatar? Ir a');
define('_YOURPROFILE', 'Tu perfil');
define('_ONLYIFCHANGING', '(Solo si cambia las contraseñas)');
define('_CANNOTBECHANGED', '(no puede ser cambiado)');
define('_AREOPTIONAL', 'Los siguientes son opcionales');
define('_FULLURL', 'URL completa');
define('_NONE', 'Ninguno');
define('_SOCIALMEDIA', 'Medios de comunicación social');
define('_ACCOUNTEXIST','¡La cuenta ya existe con ese nombre de usuario y/o correo electrónico!');
define('_HAVECHANGEDEMAIL','Ha cambiado su dirección de correo electrónico, ¡necesita reactivar su cuenta!');

// register.php, registration.php

define('_CHECKEMAILTOACTIVATEACCOUNT','¡Por favor, revisa tu e-mail para activar tu cuenta!');
define('_REGISTEREDSUCCESLOGIN','Te has registrado correctamente, ¡ya puedes iniciar sesión!');
define('_CHECKEMAILANDSPAM','Verifique el correo electrónico para activar su cuenta. También revisa la carpeta de correo no deseado.');
define('_SUCCESSFULLYREGISTERED','Se ha registrado exitosamente. Por favor Iniciar sesión.');
define('_USERNAMEEMAILEXISTS','¡El nombre de usuario y/o el correo electrónico existen!');
define('_PASSWORDSDONOTMATCH','¡Las contraseñas no coinciden!');
define('_PASSWORDSMUSTBEBETWEEN','¡La contraseña debe tener entre 5 y 20 caracteres!');
define('_PLEASECOMPLETEREGFORM','Por favor complete el formulario de registro');
define('_USEPASSGENERATOR','Usar generador de contraseñas');

// register-with-activation.php

define('_USERNAMENOTVALID', '¡El nombre de usuario no es válido!');
define('_EMAILNOTVALID', '¡El correo no es válido!');
define('_PLEASE_COMPLETE', 'Por favor complete el formulario de registro.');
define('_EMAILUSED', '¡Esta dirección de correo electrónico ya está en uso! Por favor elije otro.');
define('_PASSWORDMUSTBE', '¡La contraseña debe tener entre 5 y 20 caracteres!');
define('_ALLFIELDSREQ', '¡Todos los campos son obligatorios!');
define('_PASSWORDNOMATCH', '¡Las contraseñas no coinciden!');
define('_RETURNTOREG', 'Regresar al formulario de registro');
define('_CHECKEMAILTOACTIVATEACCOUNTSPAM', 'Por favor revise su correo electrónico para activar su cuenta.<br>También revise su carpeta de SPAM.');
define('_COULDNOTPREPARESTATEMENT', '¡No se pudo preparar la declaración!');
define('_WELCOMETO','Bienvenido a');
define('_CLICKFOLLOWINGLINK','¡Nos complace tenerlo como nuevo miembro!<br><br>Haga clic en el siguiente enlace para activar su cuenta.');
define('_ACTIVATE_ACCOUNT','Active su cuenta</a><br><br>Y asegúrese de comprobar todas las funciones interesantes que tenemos para ofrecer.
');

// resendactivation.php

define('_SENTTOEMAIL','<p style="padding:10px;background:#ffffff;color:#000000">¡El enlace de activación ha sido enviado a su correo electrónico!<br>Asegúrese de revisar su carpeta de SPAM.</p>');
define('_NOEMAIL','<p style="padding:10px;background:#ffffff;color:#000000">¡No tenemos una cuenta con ese correo electrónico!</p>');

// resetpassword.php

define('_RESETPASSWORD','Restablecer la contraseña');

// success.php

define('_ARTICLESUBMITTEDSUCCESSFULLY','¡Artículo enviado con éxito!');
define('_CLOSEWINDOWCONTINUE','Cierra esta ventana para continuar');
define('_IFAPPROVED','Si se aprueba, su artículo se mostrará junto con todos los demás artículos.');
define('_WILLCONTACTYOU','Nos pondremos en contacto con usted pronto.');

// usercomments.php

define('_YOUMUSTLOGIN','Debes <a href="index.php" onclick="basicPopup(this.href);return false">iniciar sesión</a> para comentar.');

// upload.php

define('_UPLOADSUCCESSFUL','El archivo ha subido correctamente. Si ha terminado de cargar imágenes, cierre esta ventana y actualice su navegador para continuar.');
define('_FAILEDTOUPLOAD','No se pudo cargar el archivo.');
define('_FILETOOLARGE','El archivo es demasiado grande');

// uploadimages.php

define('_UPLOADSINTOLIBRARY','Toda la comunidad de miembros activos tiene acceso a todo lo que cargue en la biblioteca.<br>Solo se permiten archivos de imagen de fondo (jpg, gif, png, jpeg).<br><br><b>La biblioteca es monitoreada diariamente por los administradores y todos los archivos inapropiados serán eliminados.<br>El límite de carga es de 300 kb</b>');
define('_RECORDEDNOTSHARED','será grabado pero no compartido.');
define('_CLOSEWINDOW','Cierra esta ventana');
define('_YOURIP','Tu dirección Ip:');
define('_ANDUSERNAME','y nombre de usuario:');
define('_UPLOADCOMPRESSIMAGES','Cargar y comprimir imágenes');
define('_SELECTIMAGEFILE','Seleccionar archivo de imagen');
define('_COMPRESSIMAGE','Comprimir imagen');
define('_ORGIMGSIZE','Tamaño de imagen original:');
define('_COMPIMGSIZE','Tamaño de la imagen comprimida:');

