<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
 
$sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
require_once 'lang/' . $row['lang'] . '.php'; }} ?>

<style> 
#wrapper {
margin: 160px auto;}

.whisp {
min-height: 260px;}

#container {
border: 1px solid gray;
border-color: rgba(255, 255, 255, 0.1);
border-radius: 10px;
-moz-border-radius: 10px;
-webkit-border-radius: 10px;
-khtml-border-radius: 10px;
margin: 0 auto;
position: relative;
width: 40%;}

@media(max-width:900px) {
#container {
width: 90% }}

#sub-container {
background: #fff;
border: 1px solid #333;
border-color: rgba(0, 0, 0, 0.2);
border-radius: 10px;
-moz-border-radius: 10px;
-webkit-border-radius: 10px;
-khtml-border-radius: 10px;
box-shadow: 0 0 10px #000 inset;
height: 338px;
left: 5px;
position: absolute;
top: 5px;
width: 100%;}

#sub-header {
background-color: #02435d;
background-color: rgba(2, 67, 93, 0.75);
filter: progid:DXImageTransform.Microsoft.gradient(startColorstr=#c002435d, endColorstr=#c002435d);
border-bottom: 1px solid #002F3F;
border-radius: 5px 5px 0 0;
-moz-border-radius: 5px 5px 0 0;
-webkit-border-radius: 5px 5px 0 0;
-khtml-border-radius: 5px 5px 0 0;
height: 90px;
padding: 10px 0 0;
text-align: center;
color: #fff;
text-shadow: 1px 1px 2px #000;
font-size: 3vw;}
</style>

<?php $sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { ?>

<body style="background: url(../media/themes/<?= $row['successful_bg'] ?>)no-repeat; background-attachment:fixed;">

<div class="container">
<div id="wrapper" class="whisp">
<div id="content-container">
<div id="container">
<div id="sub-container">
<div id="sub-header"> <?= $row['logo'] ?> </div>
<?php }} 

/**
 * 
 * Display messages to the 
 * member who submitted 
 * the article.
 * 
 */ ?>

<div style="text-align:center">
<p style="text-align:center" class="black"><strong><?= _ARTICLESUBMITTEDSUCCESSFULLY ?></strong></p>
<p style="text-align:center" class="black"><strong><?= _IFAPPROVED ?></strong></p>
<p style="text-align:center" class="spacer"><?= _WILLCONTACTYOU ?></p>
<p style="text-align:center"><a href="index.php"><span class="black"><?= _CLOSEWINDOWCONTINUE ?></span></a></p>
</div>
<br>
<br>

<script>
function windowClose() {
window.open('', '_parent', ''); 
window.close(); }
</script>

</div>
</div>
</div>
</div>
</div>

</body>
</html>