<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {  
require_once '../lang/' . $row['lang'] . '.php'; }} ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="x-ua-compatible" content="ie=edge">
<meta name="description" content="">
<meta name="keywords" content="">
<meta name="author" content="Mike">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
<title><?= _ADMIMG ?></title>
<link rel="stylesheet" href="../css/lightbox.min.css">
<link rel="stylesheet" href="../themes/style.min.css" />
<?php require_once '../../sup/theme.php'; ?>
<script src="../js/lightbox-plus-jquery.min.js"></script>
</head>
<body class="inner-wrapper">
    
<div id="wrapper" class="column spacer">
<h3 class="center"><?= _CLICKTOOPEN ?></h3>
<?php $path = "../../media/adminimg";
if (isset($_POST['file']) && is_array($_POST['file'])) {
foreach ($_POST['file'] as $file) {
unlink($path . "/" . $file) or die("Failed to delete file"); }} ?>
<form action="<?= htmlspecialchars($_SERVER["PHP_SELF"]) ?>" name="form1" method="post" class="noborder">
<?php
$path = "../../media/adminimg";
$dir_handle = @opendir($path) or die("Unable to open folder"); ?>
<div style="margin:0 auto; width:90%; height:100%; overflow-y:scroll;">
<table>
<tr>
<?php while (false !== ($file = readdir($dir_handle))) {
if ($file == "index.php")
continue;
if ($file == ".")
continue;
if ($file == "..")
continue; ?>
<td class="column5 card radius" style="width:200px; height:200px; margin:0 auto; padding:10px">
<input type="CHECKBOX" name="file[]" value="<?= $file ?>">
<a href="../../media/adminimg/<?= $file ?>" data-lightbox="image"><img src="../../media/adminimg/<?= $file ?>" data-lightbox="admin" style='width:130px;height:130px;' alt="<?= $file ?>"></a><br><span class="gentextcolor"><?= $file ?></span>
</td>
<?php  }
closedir($dir_handle); ?>
</tr>
</table>
</div>
</div>
<p class="full center"><input type="submit" class="quarter button" style="width:200px" name="Delete" value="<?= _DELETEIMAGES ?>"> &nbsp;&nbsp;&nbsp;<a href="adminimages.php"><?= _REFRESH ?></a></p>
<p>&nbsp;</p>
</form>
<p class="center"><input type="button" value="<?= _CLOSETHISWINDOW ?>" onclick="self.close()"></p>
<p>&nbsp;</p>

<script>
function basicPopup(url) {
popupWindow = window.open(url, 'popUpWindow', 'height=550,width=450,left=100,top=100,resizable=yes,scrollbars=yes,toolbar=no,menubar=no,location=no,directories=no, status=no'); }
</script>

</body>
</html>