<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php'; ?>

<link rel="icon" type="image/ico" sizes="16x16" href="favicon.ico">
<link rel="icon" type="image/png" sizes="16x16" href="favicon.png">
<link rel="stylesheet" href="../css/style.min.css">
<link rel="stylesheet" href="../css/fontawesome.min.css">
<link rel="stylesheet" href="../css/jside-menu.min.css">
<?php $sql = "SELECT * FROM website, themes"; 

$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$themes = $row['themes'];  
$theme_name = $row['theme_name']; 
$menuselection = $row['menuselection'];
require_once '../lang/' . $row['lang'] . '.php'; }}

/**
 * 
 * Get the theme.
 * 
 */

$stmt = $conn->prepare('SELECT usertheme, usetheme FROM accounts WHERE id = ?');
$stmt->bind_param('i', $_SESSION['id']);
$stmt->execute();
$stmt->bind_result(
$usertheme, $usetheme );
$stmt->fetch();
$stmt->close();
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true && $usetheme == 'Yes') { 
if (isset($_GET['id'])) { $id = $_GET['id']; }
$sql = "SELECT id, usertheme FROM accounts"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { 
require_once '../themes/usertheme.php'; }}}
else { require_once '../themes/theme.php'; } ?>
<link rel="stylesheet" href="../css/fonts.min.css">
<script src="../js/fontawesome.min.js" crossorigin="anonymous"></script>
<script src="../js/jquery-3.2.1.min.js"></script>
</head>
<body class="loggedin">

<div class="inner-wrapper">
<?php $sql = "SELECT * FROM config_contentslider, website, themes WHERE theme_name='$theme_name'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) { 
$uselogoimage = $row['uselogoimage']; 
$menu_below = $row['menu_below']; 
$sliderattop = $row['sliderattop']; 
$header_img = $row['header_img']; 
$useheadercolor = $row['useheadercolor']; 
$useslider = $row['useslider']; 
$logo = $row['logo']; 
$logo_image = $row['logo_image']; 
$align_logo = $row['align_logo']; 
$logo_shadow = $row['logo_shadow']; 
$shadow_color = $row['shadow_color']; 
$sublogotext = $row['sublogotext']; 
$menuselection = $row['menuselection']; 
$header_first_color = $row['header_first_color']; 
$header_second_color = $row['header_second_color']; 
$menu_color = $row['menu_color']; 
$menu_color_second = $row['menu_color_second']; }} ?>

<div id="wrapper">
<div class="row noborder">
<?php if ($useheadercolor == 'Yes') { ?>
<div style="width:97%; margin:0 auto;background-image: linear-gradient(<?= $header_first_color ?>, <?= $header_second_color ?>);" class="column header headercolor">
<?php } else { ?>
<div style="width:97%; margin:0 auto;" class="header headerimage">
<?php }                        
require_once 'logo.php'; ?>
</div>

<?php 
/**
 * 
 * Place Menu Below the logo.
 * 
 */

if ($menuselection == 'Menubar') {
require_once '../megamenu/index.php'; } ?>
</div>

<?php 
if ($menuselection == 'Offcanvas') {
$filename = '../megamenu/sidemenu.php';
if (file_exists($filename)) {
require_once "$filename";
} else {
require_once '../megamenu/sidemenu.php'; }}

                    
