<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

$filename = 'main.php';

if (file_exists($filename)) {
require_once "$filename";
} else {
require_once 'main.php';}

$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
require_once '../lang/' . $row['lang'] . '.php'; }}

if (isset($_GET['id'])) { $id = $_GET['id'];
$id = mysqli_real_escape_string($conn, $id); }

/**
 * 
 *  If page does not exist send to the 404 page.
 * 
 */

$sql = "SELECT id FROM newpages WHERE id = '$id'"; 
$result = $conn->query($sql); 
if (mysqli_num_rows($result) == 0) { 
require_once '404.php';
} else { 

/**
 * 
 *  If page exist show it.
 * 
 */

$sql = "SELECT pagename, pagetext FROM newpages WHERE id=$id"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="x-ua-compatible" content="ie=edge">
<meta name="description" content="Printing articles that were created by the administrator and/or members.">
<meta name="keywords" content="webdesign, articles, videos, Content Management, Coding Tips, member submitted">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
<title><?= _PRINTARTICLE ?> <?= $row['pagename'] ?></title>
<body>

<div style="text-align:center; padding-top:100px; border:.5px solid #ccc; margin:0 auto; padding:20px;border-radius:15px">
<h2><?= $row['pagename'] ?></h2>
<?= $row['pagetext'] ?>
</div>
</body>
</html>
<?php }}} ?>