<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php'; ?>

<div style="box-shadow:1px 1px 2px #000; background:#fff; border:.5px solid #ccc" class="radius column3"><?= _CALENDAR ?>
<br> <img src="images/calendar.png" style="width:100px; height:75px;" alt="" />
<p class="black center"><?= _WHICHSIDEBAR ?>
<br>
<select name="calendar">
<option>
<?= $calendar ?>
</option>			
<option value="None"><?= _NONE ?></option>
<option value="Left"><?= _LEFT ?></option>
<option value="Right"><?= _RIGHT ?></option>
</select>
</p>
</div>
<div style="box-shadow:1px 1px 2px #000; background:#fff; border:.5px solid #ccc" class="radius column3"><?= _TAGCLOUD ?>
<br> <img src="images/tagcloud.gif" style="width:100px; height:75px;" alt="" />
<p class="black center"><?= _WHICHSIDEBAR ?>
<br>

<select name="tagcloud">
<option>
<?= $tagcloud ?>
</option>
<option value="None"><?= _NONE ?></option>
<option value="Left"><?= _LEFT ?></option>
<option value="Right"><?= _RIGHT ?></option>
</select>
</p>
</div>

<div style="box-shadow:1px 1px 2px #000; background:#fff; border:.5px solid #ccc" class="radius column3"><?= _CAT ?>
<br> <img src="images/category.png" style="width:100px; height:75px;" alt="" />
<p class="black center"><?= _WHICHSIDEBAR ?>
<br>
<select name="categories">
<option>
<?= $categories ?>
</option>
<option value="None"><?= _NONE ?></option>
<option value="Left"><?= _LEFT ?></option>
<option value="Right"><?= _RIGHT ?></option>
</select>
</p>
</div>

<div style="box-shadow:1px 1px 2px #000; background:#fff; border:.5px solid #ccc" class="radius column3"><?= _QL ?>
<br> <img src="images/quicklinks.png" style="width:100px; height:75px;" alt="" />
<p class="black center"><?= _WHICHSIDEBAR ?>
<br>
<select name="quicklinks">
<option>
<?= $quicklinks ?>
</option>
<option value="None"><?= _NONE ?></option>
<option value="Left"><?= _LEFT ?></option>
<option value="Right"><?= _RIGHT ?></option>
</select>
</p>
</div>

<div style="box-shadow:1px 1px 2px #000; background:#fff; border:.5px solid #ccc" class="radius column3"><a class="position-grid__cell hint--right hint--medium hint--rounded" aria-label="<?=_MUSTHAVEGOOGLESETUP?>"><i style="font-size:18px; color:#ff0000;" class="fa fa-question-circle"></i></a> <?= _SEARCH ?>
<br><img src="images/search.png" style="width:100px; height:75px;" alt="" />
<p class="black center"><?= _WHICHSIDEBAR ?>
<br>
<select name="search">
<option>
<?= $search ?>
</option>
<option value="None"><?= _NONE ?></option>
<option value="Left"><?= _LEFT ?></option>
<option value="Right"><?= _RIGHT ?></option>
</select>
</p>
</div>

<div style="box-shadow:1px 1px 2px #000; background:#fff; border:.5px solid #ccc" class="radius column3"><?= _SPOTLIGHT ?>
<br> <img src="images/spotlight.jpg" style="width:100px; height:75px;" alt="" />
<p class="black center"><?= _WHICHSIDEBAR ?>
<br>
<select name="spotlight">
<option>
<?= $spotlight ?>
</option>
<option value="None"><?= _NONE ?></option>
<option value="Left"><?= _LEFT ?></option>
<option value="Right"><?= _RIGHT ?></option>
</select>
</p>
</div>

</div>