<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */
require_once 'main.php';
require_once 'header.php'; 

$sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 	
while ($row = $result->fetch_assoc()) {
$padding = $row['padding']; 
$radius = $row['radius']; 
$shadow = $row['shadow']; 
$border = $row['border']; 
$firstcolor = $row['firstcolor']; 
$secondcolor = $row['secondcolor']; 
$backimg = $row['backimg']; 
$selectback = $row['selectback']; 
$styling = $row['styling']; }} ?>

<div class="inner-wrapper center"style="padding:100px">

<?php if ($selectback == 'Image') { ?>
<button style="background: url('../media/images/<?= $backimg ?>'); border:<?= $border ?>; box-shadow:<?= $shadow ?>; padding:<?= $padding ?>; color:#ffffff; border-radius:<?= $radius ?>;"><i class="fa fa-angle-double-up"></i></button>
<?php } else { ?>
<button style="background: linear-gradient(<?= $firstcolor ?>, <?= $secondcolor ?>); border:<?= $border ?>; box-shadow:<?= $shadow ?>; padding:<?= $padding ?>; color:#ffffff; border-radius:<?= $radius ?>;"><i class="fa fa-angle-double-up"></i></button>
<?php } ?>   

<p>&nbsp;</p>

<p><a href="backtotop.php" class="button center"><?= _REFRESHPAGE ?></a></p>

<h3 class="center"><?= _WILLSTAYOPEN ?></h3>

<p class="center"><input type="button" value="Close this window" onclick="self.close()"></p>

</div>

<?php require_once 'footer.php';