<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
require_once 'saveblock.php';
closenav();

if (isset($_GET['edit'])) {
$id = $_GET['edit'];
$update = true;
$record = mysqli_query($db, "SELECT * FROM blocks WHERE id=$id"); {
$n = mysqli_fetch_array($record);
$title = $n['title'];
$text = $n['text'];
$position = $n['position'];
$icon = $n['icon'];
$icon_color = $n['icon_color'];
$usewhich = $n['usewhich'];
$graphic_icon = $n['graphic_icon'];
$archiveblock = $n['archiveblock']; 
$showtitle = $n['showtitle']; 
$backimage = $n['backimage'];
$firstcolor = $n['firstcolor'];
$secondcolor = $n['secondcolor'];
$whichback = $n['whichback'];
$showblock = $n['showblock'];
$locate = $n['locate'];
$usesniplets = $n['usesniplets'];
$styletitle = $n['styletitle'];
$category = $n['category'];
$spotlight = $n['spotlight'];
$readmore = $n['readmore'];
$usereadmore = $n['usereadmore'];
$description = $n['description'];
$keywords = $n['keywords'];
$comments = $n['comments'];
$videoback = $n['videoback']; }}

$sql = "SELECT * FROM config_row_one, config_row_two, config_row_three, 
config_row_four, config_row_five, config_row_six, 
config_row_seven, config_row_eight, config_row_nine, 
config_row_ten, config_row_eleven, config_row_twelve"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$rowonesidebars = $row['rowonesidebars']; 
$rowtwosidebars = $row['rowtwosidebars']; 
$rowthreesidebars = $row['rowthreesidebars']; 
$rowfoursidebars = $row['rowfoursidebars']; 
$rowfivesidebars = $row['rowfivesidebars']; 
$rowsixsidebars = $row['rowsixsidebars']; 
$rowsevensidebars = $row['rowsevensidebars']; 
$roweightsidebars = $row['roweightsidebars']; 
$rowninesidebars = $row['rowninesidebars']; 
$rowtensidebars = $row['rowtensidebars']; 
$rowelevensidebars = $row['rowelevensidebars']; 
$rowtwelvesidebars = $row['rowtwelvesidebars'];
$userowone = $row['userowone']; 
$userowtwo = $row['userowtwo'];
$userowthree = $row['userowthree']; 
$userowfour = $row['userowfour']; 
$userowfive = $row['userowfive']; 
$userowsix = $row['userowsix']; 
$userowseven =$row['userowseven']; 
$useroweight = $row['useroweight']; 
$userownine = $row['userownine']; 
$userowten =$row['userowten']; 
$useroweleven = $row['useroweleven']; 
$userowtwelve = $row['userowtwelve']; }} ?>

<link rel="stylesheet" type="text/css" href="css/pageeditor.css">

<div class="column-title radius"><h1 class="center coltitlecolor"><?= _BLOCKBUILDER ?></h1></div>

<br>

<div class="inner-wrapper input-group radius">

<?php $results = mysqli_query($db, "SELECT * FROM blocks"); ?>

<form method="post" action="saveblock.php" class="noborder">

<?php updatepublish(); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="mini-container spacer" style="padding:10px">

<div class="spacer mini-container" style="width:100%">

<p class="left"><strong><?= _SHOWTHISBLOCK ?></strong> 
<select name="showblock">
<option><?= $showblock ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select>

<p class="left"><?= _SIDEBAR_TITLE ?><br>
<input maxlength="55" style="font-size:22px;width:290px;" type="text" name="title" value="<?= $title ?>">
<p>

<p class="left"><strong><?= _SHOWTITLE ?></strong> 
<select name="showtitle">
<option><?= $showtitle ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select>

<p class="left"><strong><?= _STYLETITLE ?>: </strong> 
<select name="styletitle">
<option><?= $styletitle ?></option>
<option value="Plain"><?= _PLAIN ?></option>
<option value="Styled"><?= _STYLED ?></option>
<option value="None"><?= _NONE ?></option>
</select>

<p class="left"><strong><?= _PLACEBLOCKINARCHIVE ?></strong>
<select name="archiveblock">
<option><?= $archiveblock ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select>
</p>

<p class="left"><strong><?= _CATEGORY ?>: </strong>
<select name="category">
<option><?= $category ?></option>
<?php $result = mysqli_query($conn, 'SELECT catname FROM pagecategory ORDER BY catname');
while ($row = mysqli_fetch_array($result)) { ?>
<option value="<?= $row['catname'] ?>"><?= $row['catname'] ?></option>
<?php } ?>
</select>
</p>

<p class="left"><strong><?= _SPOTLIGHT ?>? </strong>
<select name="spotlight">
<option><?= $spotlight ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select>
</p>

<p class="left"><strong><?= _ALLOWCOMMENTS ?>?</strong> 
<select name="comments">
<option><?= $comments ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select>

<p class="center">- <?= _SEO_ ?> -</p>

<p class="left"><strong><?= _DESCRIPTION ?>:</strong>
<input name="description" value="<?= $description ?>" style="width:100%">
</p>

<p class="left"><strong><?= _KEYWORDS ?>:  (<?= _SEPARATEWITHCOMMAS ?>)</strong>
<input name="keywords" value="<?= $keywords ?>" style="width:100%">
</p>

</div>
<br>

<div class="mini-container full spacer" style="width:100%">
<p class="center column-title coltitlecolor"><?= _POSITIONBLOCK ?></p>

<?php $sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$hp_sidebars = $row['hp_sidebars']; 
$hp_oncanvas_sidebars = $row['hp_oncanvas_sidebars'];
$sidebars_used = $row['sidebars_used']; }} 

if ($hp_sidebars == '' or $hp_sidebars == 'None') { echo '<p class="left">' . _OFFCANVASSIDEBARSOFF . ' <a href="website.php#configsidebars" onclick="basicPopup(this.href);return false">' . _TURNON . '</a></p>'; }

if ($hp_oncanvas_sidebars == 'None' or $hp_oncanvas_sidebars == '') { echo '<p class="left">' . _ONCANVASSIDEBARSOFF . ' <a href="website.php#configsidebars" onclick="basicPopup(this.href);return false">' . _TURNON . '</a></p>'; } ?>

<p class="left"><strong><?= _CHOOSE_POSITION ?>: </strong>
<select name="position">
<option><?= $position ?></option>
<option class="column-title gentextcolor">----- <?= _ROWS ?> <?= _LAYERS ?> -----</option>

<?php if ($sidebars_used == 'Left' || $sidebars_used == 'Both') { ?>
<option value="Top Article Left"><?= _TOPARTICLELEFT ?></option>
<?php }
if ($sidebars_used == 'Right' || $sidebars_used == 'Both') { ?>
<option value="Top Article Right"><?= _TOPARTICLERIGHT ?></option>
<?php } 

$sql = "SELECT usetop, usemiddle, usebottom FROM config_row_one"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
if ($userowone == 'Yes') { 
if ($row['usetop'] == 'Yes') { ?>
<option value="Row One Top"><?= _ROWONETOP ?></option>
<?php }
if ($row['usemiddle'] == 'Yes') { ?>
<option value="Row One Middle"><?= _ROWONEMIDDLE ?></option>
<?php }
if ($row['usebottom'] == 'Yes') { ?>
<option value="Row One Bottom"><?= _ROWONEBOTTOM ?></option>
<?php }}}}

$sql = "SELECT usetop, usemiddle, usebottom FROM config_row_two"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
if ($userowtwo == 'Yes') { 
if ($row['usetop'] == 'Yes') { ?>
<option value="Row Two Top"><?= _ROWTWOTOP ?></option>
<?php }
if ($row['usemiddle'] == 'Yes') { ?>
<option value="Row Two Middle"><?= _ROWTWOMIDDLE ?></option>
<?php }
if ($row['usebottom'] == 'Yes') { ?>
<option value="Row Two Bottom"><?= _ROWTWOBOTTOM ?></option>
<?php }}}}

$sql = "SELECT usetop, usemiddle, usebottom FROM config_row_three"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
if ($userowthree == 'Yes') { 
if ($row['usetop'] == 'Yes') { ?>
<option value="Row Three Top"><?= _ROWTHREETOP ?></option>
<?php }
if ($row['usemiddle'] == 'Yes') { ?>
<option value="Row Three Middle"><?= _ROWTHREEMIDDLE ?></option>
<?php }
if ($row['usebottom'] == 'Yes') { ?>
<option value="Row Three Bottom"><?= _ROWTHREEBOTTOM ?></option>
<?php }}}}

$sql = "SELECT usetop, usemiddle, usebottom FROM config_row_four"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
if ($userowfour== 'Yes') { 
if ($row['usetop'] == 'Yes') { ?>
<option value="Row Four Top"><?= _ROWFOURTOP ?></option>
<?php }
if ($row['usemiddle'] == 'Yes') { ?>
<option value="Row Four Middle"><?= _ROWFOURMIDDLE ?></option>
<?php }
if ($row['usebottom'] == 'Yes') { ?>
<option value="Row Four Bottom"><?= _ROWFOURBOTTOM ?></option>
<?php }}}}

$sql = "SELECT usetop, usemiddle, usebottom FROM config_row_five"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
if ($userowfive == 'Yes') { 
if ($row['usetop'] == 'Yes') { ?>
<option value="Row Five Top"><?= _ROWFIVETOP ?></option>
<?php }
if ($row['usemiddle'] == 'Yes') { ?>
<option value="Row Five Middle"><?= _ROWFIVEMIDDLE ?></option>
<?php }
if ($row['usebottom'] == 'Yes') { ?>
<option value="Row Five Bottom"><?= _ROWFIVEBOTTOM ?></option>
<?php }}}}

$sql = "SELECT usetop, usemiddle, usebottom FROM config_row_six"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
if ($userowsix == 'Yes') { 
if ($row['usetop'] == 'Yes') { ?>
<option value="Row Six Top"><?= _ROWSIXTOP ?></option>
<?php }
if ($row['usemiddle'] == 'Yes') { ?>
<option value="Row Six Middle"><?= _ROWSIXMIDDLE ?></option>
<?php }
if ($row['usebottom'] == 'Yes') { ?>
<option value="Row Six Bottom"><?= _ROWSIXBOTTOM ?></option>
<?php }}}}

$sql = "SELECT usetop, usemiddle, usebottom FROM config_row_seven"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
if ($userowseven == 'Yes') { 
if ($row['usetop'] == 'Yes') { ?>
<option value="Row Seven Top"><?= _ROWSEVENTOP ?></option>
<?php }
if ($row['usemiddle'] == 'Yes') { ?>
<option value="Row Seven Middle"><?= _ROWSEVENMIDDLE ?></option>
<?php }
if ($row['usebottom'] == 'Yes') { ?>
<option value="Row Seven Bottom"><?= _ROWSEVENBOTTOM ?></option>
<?php }}}}

$sql = "SELECT usetop, usemiddle, usebottom FROM config_row_eight"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
if ($useroweight == 'Yes') { 
if ($row['usetop'] == 'Yes') { ?>
<option value="Row Eight Top"><?= _ROWEIGHTTOP ?></option>
<?php }
if ($row['usemiddle'] == 'Yes') { ?>
<option value="Row Eight Middle"><?= _ROWEIGHTMIDDLE ?></option>
<?php }
if ($row['usebottom'] == 'Yes') { ?>
<option value="Row Eight Bottom"><?= _ROWEIGHTBOTTOM ?></option>
<?php }}}}

$sql = "SELECT usetop, usemiddle, usebottom FROM config_row_nine"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
if ($userownine == 'Yes') { 
if ($row['usetop'] == 'Yes') { ?>
<option value="Row Nine Top"><?= _ROWNINETOP ?></option>
<?php }
if ($row['usemiddle'] == 'Yes') { ?>
<option value="Row Nine Middle"><?= _ROWNINEMIDDLE ?></option>
<?php }
if ($row['usebottom'] == 'Yes') { ?>
<option value="Row Nine Bottom"><?= _ROWNINEBOTTOM ?></option>
<?php }}}}

$sql = "SELECT usetop, usemiddle, usebottom FROM config_row_ten"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
if ($userowten == 'Yes') { 
if ($row['usetop'] == 'Yes') { ?>
<option value="Row Ten Top"><?= _ROWTENTOP ?></option>
<?php }
if ($row['usemiddle'] == 'Yes') { ?>
<option value="Row Ten Middle"><?= _ROWTENMIDDLE ?></option>
<?php }
if ($row['usebottom'] == 'Yes') { ?>
<option value="Row Ten Bottom"><?= _ROWTENBOTTOM ?></option>
<?php }}}}

$sql = "SELECT usetop, usemiddle, usebottom FROM config_row_eleven"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
if ($useroweleven == 'Yes') { 
if ($row['usetop'] == 'Yes') { ?>
<option value="Row Eleven Top"><?= _ROWELEVENTOP ?></option>
<?php }
if ($row['usemiddle'] == 'Yes') { ?>
<option value="Row Eleven Middle"><?= _ROWELEVENMIDDLE ?></option>
<?php }
if ($row['usebottom'] == 'Yes') { ?>
<option value="Row Eleven Bottom"><?= _ROWELEVENBOTTOM ?></option>
<?php }}}}

$sql = "SELECT usetop, usemiddle, usebottom FROM config_row_twelve"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
if ($userowtwelve == 'Yes') { 
if ($row['usetop'] == 'Yes') { ?>
<option value="Row Twelve Top"><?= _ROWTWELVETOP ?></option>
<?php }
if ($row['usemiddle'] == 'Yes') { ?>
<option value="Row Twelve Middle"><?= _ROWTWELVEMIDDLE ?></option>
<?php }
if ($row['usebottom'] == 'Yes') { ?>
<option value="Row Twelve Bottom"><?= _ROWTWELVEBOTTOM ?></option>
<?php }}}} ?>

<option class="column-title gentextcolor">------ <?= _SIDEBARS ?> ------</option>
<?php if ($hp_oncanvas_sidebars == 'None' or $hp_oncanvas_sidebars == '' && $hp_sidebars == 'None' or $hp_sidebars == '') { ?>
<option><?= _NONEACTIVE ?></option> 
<?php }
if ($hp_sidebars == '' or $hp_sidebars == 'None') { } else { ?>
<option value="Off-canvas Left"><?= _OFFCANVASLEFT ?></option>
<option value="Off-canvas Right"><?= _OFFCANVASRIGHT ?></option>
<?php } 
if ($hp_oncanvas_sidebars == '' or $hp_oncanvas_sidebars == 'None') { } else { ?>
<option value="On-canvas Left"><?= _ONCANVASLEFT ?></option>
<option value="On-canvas Right"><?= _ONCANVASRIGHT ?></option>
<?php } ?>
<option class="column-title gentextcolor">----- <?= _ROWS ?> <?= _SIDEBARS ?> -----</option>

<?php if ($rowonesidebars == 'Left' or $rowonesidebars == 'Both') { ?>
<option value="Row One Left"><?= _ROWONE ?> <?= _LEFT ?></option>
<?php }
if ($rowonesidebars == 'Right' or $rowonesidebars == 'Both') { ?>
<option value="Row One Right"><?= _ROWONE ?> <?= _RIGHT ?></option>
<?php } 

if ($rowtwosidebars == 'Left' or $rowtwosidebars == 'Both') { ?>
<option value="Row Two Left"><?= _ROWTWO ?> <?= _LEFT ?></option>
<?php }
if ($rowtwosidebars == 'Right' or $rowtwosidebars == 'Both') { ?>
<option value="Row Two Right"><?= _ROWTWO ?> <?= _RIGHT ?></option>
<?php } 

if ($rowthreesidebars == 'Left' or $rowthreesidebars == 'Both') { ?>
<option value="Row Three Left"><?= _ROWTHREE ?> <?= _LEFT ?></option>
<?php }
if ($rowthreesidebars == 'Right' or $rowthreesidebars == 'Both') { ?>
<option value="Row Three Right"><?= _ROWTHREE ?> <?= _RIGHT ?></option>
<?php }

if ($rowfoursidebars == 'Left' or $rowfoursidebars == 'Both') { ?>
<option value="Row Four Left"><?= _ROWFOUR ?> <?= _LEFT ?></option>
<?php }
if ($rowfoursidebars == 'Right' or $rowfoursidebars == 'Both') { ?>
<option value="Row Four Right"><?= _ROWFOUR ?> <?= _RIGHT ?></option>
<?php }

if ($rowfivesidebars == 'Left' or $rowfivesidebars == 'Both') { ?>
<option value="Row Five Left"><?= _ROWFIVE ?> <?= _LEFT ?></option>
<?php }
if ($rowfivesidebars == 'Right' or $rowfivesidebars == 'Both') { ?>
<option value="Row Five Right"><?= _ROWFIVE ?> <?= _RIGHT ?></option>
<?php }

if ($rowsixsidebars == 'Left' or $rowsixsidebars == 'Both') { ?>
<option value="Row Six Left"><?= _ROWSIX ?> <?= _LEFT ?></option>
<?php }
if ($rowsixsidebars == 'Right' or $rowsixsidebars == 'Both') { ?>
<option value="Row Six Right"><?= _ROWSIX ?> <?= _RIGHT ?></option>
<?php }

if ($rowsevensidebars == 'Left' or $rowsevensidebars == 'Both') { ?>
<option value="Row Seven Left"><?= _ROWSEVEN ?> <?= _LEFT ?></option>
<?php }
if ($rowsevensidebars == 'Right' or $rowsevensidebars == 'Both') { ?>
<option value="Row Seven Right"><?= _ROWSEVEN ?> <?= _RIGHT ?></option>
<?php }

if ($roweightsidebars == 'Left' or $roweightsidebars == 'Both') { ?>
<option value="Row Eight Left"><?= _ROWEIGHT ?> <?= _LEFT ?></option>
<?php }
if ($roweightsidebars == 'Right' or $roweightsidebars == 'Both') { ?>
<option value="Row Eight Right"><?= _ROWEIGHT ?> <?= _RIGHT ?></option>
<?php }

if ($rowninesidebars == 'Left' or $rowninesidebars == 'Both') { ?>
<option value="Row Nine Left"><?= _ROWNINE ?> <?= _LEFT ?></option>
<?php }
if ($rowninesidebars == 'Right' or $rowninesidebars == 'Both') { ?>
<option value="Row Nine Right"><?= _ROWNINE ?> <?= _RIGHT ?></option>
<?php }

if ($rowtensidebars == 'Left' or $rowtensidebars == 'Both') { ?>
<option value="Row Ten Left"><?= _ROWTEN ?> <?= _LEFT ?></option>
<?php }
if ($rowtensidebars == 'Right' or $rowtensidebars == 'Both') { ?>
<option value="Row Ten Right"><?= _ROWTEN ?> <?= _RIGHT ?></option>
<?php }

if ($rowelevensidebars == 'Left' or $rowelevensidebars == 'Both') { ?>
<option value="Row Eleven Left"><?= _ROWELEVEN ?> <?= _LEFT ?></option>
<?php }
if ($rowelevensidebars == 'Right' or $rowelevensidebars == 'Both') { ?>
<option value="Row Eleven Right"><?= _ROWELEVEN ?> <?= _RIGHT ?></option>
<?php }

if ($rowtwelvesidebars == 'Left' or $rowtwelvesidebars == 'Both') { ?>
<option value="Row Twelve Left"><?= _ROWTWELVE ?> <?= _LEFT ?></option>
<?php }
if ($rowtwelvesidebars == 'Right' or $rowtwelvesidebars == 'Both') { ?>
<option value="Row Twelve Right"><?= _ROWTWELVE ?> <?= _RIGHT ?></option>
<?php } ?>
</select> 
</p> 

<p class="left" style="line-height:1.6"><?= _WHENUSINGSNIPLETS ?></p>

<p class="left"><strong><?= _ARESNIPLETSBEINGUSED ?></strong><br> 
<select name="usesniplets">
<option><?= $usesniplets ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select></p>

<p class="left"><strong><?= _PLACEABOVEBELOW ?></strong><br>
<select name="locate">
<option><?= $locate ?></option>
<option value="Above"><?= _ABOVE ?></option>
<option value="Below"><?= _BELOW ?></option>
<option value="None"><?= _NONE ?></option>
</select></p>

</div>
<br>

<div class="noborder mini-container full" style="width:100%">
<p class="column-title coltitlecolor center"><?= _BACKGROUND ?> (<?= _OPTIONAL ?>)

<p class="left"><strong><?= _CHOOSEBACKGROUND ?></strong><br>
<select name="whichback">
<option><?= $whichback ?></option>
<option value="Color"><?= _COLOR ?></option>
<option value="Image"><?= _IMAGE ?></option>
<option value="Video"><?= _VIDEO ?></option>
<option value="None"><?= _NONE ?></option>
</select> <?= _CANNOTBE_USED ?>
</p>

<p class="left"><strong><?= _BACKIMAGE ?></strong></p>
<input maxlength="25" style="font-size:22px;width:280px;" type="text" name="backimage" value="<?= $backimage ?>"><br>

<?= _VIDEOPARA ?>
<input maxlength="25" style="font-size:22px;width:280px;" type="text" name="videoback" value="<?= $videoback ?>"><br>

<br>

<p class="left"><strong><?= _FIRSTCOLOR ?></strong></p>
<input maxlength="25" style="font-size:22px;width:280px;" type="text" name="firstcolor" value="<?= $firstcolor ?>"><br>

<p class="left"><strong><?= _SECONDCOLOR ?></strong></p>
<input maxlength="25" style="font-size:22px;width:280px;" type="text" name="secondcolor" value="<?= $secondcolor ?>">

</div>
<br>

<div class="mini-container spacer" style="width:100%">

<p class="column-title center coltitlecolor"><?= _GRAPHICORICON ?></h3></p>

<?= _GRAPHICORICONPARA ?>

<p class="left"><strong><?= _ENTERCHOICEHERE ?>.</strong>
<select name="usewhich">
<option><?= $usewhich ?></option>
<option value="Icon"><?= _ICON ?></option>
<option value="Graphic"><?= _GRAPHIC ?></option>
<option value="None"><?= _NONE ?></option>
</select>
</p>

<p class="left"><strong><?= _IFUSINGGRAPHICICON ?><a href="elFinder/elfinder.html" onclick="basicPopup(this.href);return false" class="link"><?= _MEDIALIBRARY ?></a><?= _UPLOADTOIMAGES_FOLDER ?></strong></p>

<p class="left"><strong><?= _GRAPHICICON ?></strong></p>
<input maxlength="25" style="font-size:22px;width:280px;" type="text" name="graphic_icon" value="<?= $graphic_icon ?>"><br>

<p class="left"><strong><?= _FAICON ?></strong></p>
<input maxlength="25" style="font-size:22px;width:280px;" type="text" name="icon" value="<?= $icon ?>"><br>

<p class="left"><strong><?= _FAICONCOLOR ?></strong></p>
<input maxlength="25" style="font-size:22px;width:280px;" type="text" name="icon_color" value="<?= $icon_color ?>">

<br>
</div>
<br>

<div class="mini-container spacer" style="width:100%">

<h3 class="radius column-title spacer center"><?= _BLOCKCONTENT ?></h3>

<br>
        
<textarea id="editor" type="text" name="text"><?= htmlentities($text, ENT_QUOTES) ?></textarea>

</div> 
<br>

<div class="mini-container spacer" style="width:100%">

<h3 class="radius column-title spacer center"><?= _READMORE ?></h3>

<p>&nbsp;</p>

<p class="center"><strong><?= _USEREADMORE ?></strong><br> 
<select name="usereadmore">
<option><?= $usereadmore ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select>

<p>&nbsp;</p>

<textarea id="editor" type="text" name="readmore"><?= $readmore ?></textarea>

</form>

</div>
</div>
</div>

<?php require_once 'footer.php';