<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="x-ua-compatible" content="ie=edge">
<meta name="description" content="">
<meta name="keywords" content="">
<meta name="author" content="Mike">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
<title>Box Shadows</title>
</head>
<body style="background: #cccccc">
<div class="card spacer radius">
<h3 style="text-align:center"><?= _BOXSHADOWEXAMPLES ?></h3>

<p class="center"><?= _COPYANDPASTE ?></p>

<div class="border spacer radius">
<a title="<?= _CLICK_COPY ?>"><p class="center copy" style="width:100%">1px 0 40px 0 rgba(50,50,50,.3)</p></a>
<div style="box-shadow: 1px 0 40px 0 rgba(50,50,50,.3); width:100%; display:block;" class="center gentextcolor"><?= _EXAMPLE ?></div>
</div>

<br><br>

<div class="border spacer radius">
<a title="<?= _CLICK_COPY ?>"><p class="center copy">12px 0 15px -4px rgba(0, 0, 0, 0.2), -12px 0 8px -4px rgba(0, 0, 0, 0.2)</p></a>
<div style="box-shadow: 12px 0 15px -4px rgba(0, 0, 0, 0.2), -12px 0 8px -4px rgba(0, 0, 0, 0.2); width:100%; display:block;" class="spacer center gentextcolor"><?= _EXAMPLE ?></div>
</div>

<br><br>

<div class="border spacer radius">
<a title="<?= _CLICK_COPY ?>"><p class="center copy">0 0 5px 2px #000, inset 0 3px 18px #000</p></a>
<div style="box-shadow: 0 0 5px 2px #000, inset 0 3px 18px #000; width:100%; display:block;" class="spacer center gentextcolor"><?= _EXAMPLE ?></div>
</div>

<br><br>

<div class="border spacer radius">
<a title="<?= _CLICK_COPY ?>"><p class="center copy">0 4px 8px 0 rgba(0, 0, 0, 0.2)</p></a>
<div style="box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2); width:100%; display:block;" class="spacer center gentextcolor"><?= _EXAMPLE ?></div>
</div>

<br><br>

<div class="border spacer radius">
<a title="<?= _CLICK_COPY ?>"><p class="center copy">2px 3px 4px #000000</p></a>
<div style="box-shadow: 2px 3px 4px #000000; width:100%; display:block;" class="spacer center gentextcolor"><?= _EXAMPLE ?></div>
</div>

<br><br>

</div>

<script>
spans = document.querySelectorAll(".copy");
for (const span of spans) {
span.onclick = function() {
document.execCommand("copy");
}

span.addEventListener("copy", function(event) {
event.preventDefault();
if (event.clipboardData) {
event.clipboardData.setData("text/plain", span.textContent);
console.log(event.clipboardData.getData("text"))
}
});
}
</script>
</body>
</html>