<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once '../builders/config.php';

// initialize variables
$catname = "";
$id = 0;
$update = false;


// Create new category 
if (isset($_POST['save'])) {
$catname = mysqli_real_escape_string($conn, $_POST['catname']);
mysqli_query($db, "INSERT INTO pagecategory (catname) VALUES ('$catname')");
$_SESSION['message'] = "Category Saved!";
echo "<script> window.location.replace('categoriesall.php') </script>"; }

// Update existing category
if (isset($_POST['update'])) {
$id = $_POST['id'];
$catname = mysqli_real_escape_string($conn, $_POST['catname']);

mysqli_query($db, "UPDATE pagecategory SET catname='$catname' WHERE id=$id");
$_SESSION['message'] = "Category Updated!";
echo "<script> window.location.replace('categoriesall.php') </script>"; }

// Delete exiting category from db
if (isset($_GET['del'])) {
$id = $_GET['del'];
mysqli_query($db, "DELETE FROM pagecategory WHERE id=$id");
$_SESSION['message'] = "Category deleted!";
echo "<script> window.location.replace('categoriesall.php') </script>"; }

$results = mysqli_query($db, "SELECT catname FROM pagecategory");
