<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
closenav();

$sql = "SELECT * FROM modules"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { ?>

<form action="helpers/contactform.php" target="_blank" method="post" class="noborder">

<?php savemenu(); ?>

<div>

<div class="radius spacer mini-container inner-wrapper full" style="border:0">

<div class="spacer column-title">
<h1 class="center coltitlecolor"><?= _PUBLICCONTACT ?></h1>
</div>

<p class="center"><?= _THISISPUBLICFORM ?></p>

<p class="center"><?= _IFYOUADDMESSAGE ?></p>

<br>

<p class="left"><strong><?= _USEPUBLICFORM ?>? </strong>
<select name="use_contact">
<option><?= $row['use_contact'] ?></option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select> <?= _IFYES ?>
</p>

<p class="left"><?= _USECUSTOMFORM ?> <a href="https://www.jotform.com" target="_blank"><?= _JOTFORM ?></a> <?= _ORSPECTRAFORM ?></p>

<h3 class="column-title coltitlecolor center"><?= _JOTFORMONLY ?></h3>

<p class="left"><strong><?= _USEJOTFORM ?>? </strong>
<select name="use_jotform">
<option><?= $row['use_jotform'] ?></option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>

<p class="left"><strong><?= _IFUSINGJOTFORM ?>:</strong> <input name="jotform_user" value="<?= $row['jotform_user'] ?>" style="background:#f1f1f1;color:#000000;" maxlength="15" size="15"> (<?= _EXJOTFORMUSER ?>)</p>

<h3 class="column-title coltitlecolor center"><?= _OPTIONALFAICON ?></h3>

<p class="left"><strong><?= _FONTAWESOMEICON ?>: </strong><input style="background:#f1f1f1; color:#000;" type="text" name="contact_icon" style="width:200px" value="<?= htmlentities($row['contact_icon'], ENT_QUOTES) ?>"></p>

<p class="left"><strong><?= _FONTAWESOMEICONCOLOR ?>: </strong><input style="background:#f1f1f1; color:#000;" type="text" name="contact_icon_color" style="200px" value="<?= htmlentities($row['contact_icon_color'], ENT_QUOTES) ?>"></p>

<h3 class="column-title coltitlecolor center"><?= _SPECTRAFORMONLY ?></h3>
<p class="left"><strong><?= _YOUREMAIL ?>: </strong><input style="background:#f1f1f1; color:#000;" type="text" name="toEmail" maxlength="55" size="55" value="<?= htmlentities($row['toEmail'], ENT_QUOTES) ?>"> (<?= _NOTWITHJOTFORM ?>)</p>

<p class="left"><?= _IFSETUPRECAPTCHA ?><a href="recaptcha.php" target="_blank" title="Opens in a new window." class="link"><?= _GOHERE ?></a></p>

<br>

<p class="center"><?= _YOUCANPLACEMSG ?></p>

<p class="column-title center coltitlecolor"><strong><?= _CONTACTFORMMSG ?></strong></p>

<textarea id="editor" type="text" name="contact_text"><?= htmlentities($row['contact_text'], ENT_QUOTES) ?></textarea>

<?php }} ?>

</div>
</div>

<?php require_once 'footer.php';