<?php 
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
require_once 'container-save.php';
closenav();

if (isset($_GET['edit'])) {
$id = $_GET['edit'];
$update = true;
$record = mysqli_query($db, "SELECT * FROM container WHERE id='$id'"); {
$n = mysqli_fetch_array($record);
$title = $n['title']; 
$position = $n['position'];
$number = $n['number']; 
$content_one = $n['content_one'];  
$content_two = $n['content_two'];  
$content_three = $n['content_three'];  
$content_four = $n['content_four'];  
$content_five = $n['content_five'];  
$content_six = $n['content_six'];  
$content_seven = $n['content_seven'];  
$content_eight = $n['content_eight'];  }} ?>

<?php $sql = "SELECT * FROM pagerows"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$namerow= $row['namerow']; 
$row_position = $row['row_position']; }}?>

<style>
p { 
color: <?= $gen_text_color ?>; } 

.card7 { 
background:<?= $wrapper ?>;
padding: 20px; }

.column2 {
width: 50%; }

@media (max-width: 1000px) {
.column2 {
width: 100%;
float: left; }}

.action-card {
height: 50px;
display: flex;
flex-direction: column;
border: 1px solid rgba(255, 255, 255, 0.25);
border-radius: 20px;
background: <?= $content_bg ?>;
box-shadow: 0 0 10px 1px rgba(0, 0, 0, 0.25);
backdrop-filter: blur(15px); }

.content-card {
margin: 20px auto;
padding: 14px 24px;
border: 2px solid #FFF;
border-radius: 15px;
box-shadow: 0 0 5px 2px <?= $cnt_back_shadow ?>, inset 0 3px 18px rgba(100,100,100,0.25);
width: 97%;
height: 600px;
display: flex;
flex-direction: column;
border: 1px solid <?= $wrapper ?>;
background: linear-gradient(<?= $content_bg ?>, <?= $wrapper ?>);
backdrop-filter: blur(15px); }

#mytopBtn {
display: none;
position: fixed;
bottom: 20px;
right: 30px;
z-index: 99999;
font-size: 18px;
border: none;
outline: none;
background-color: red;
color: white;
cursor: pointer;
padding: 15px;
border-radius: 4px; }

#mytopBtn:hover {
background-color: #555; }
</style>

<button onclick="topFunction()" id="mytopBtn" title="Go to top"><?= _TOP ?></button>

<link rel="stylesheet" type="text/css" href="css/pageeditor.css">

<div class="inner-wrapper" style="box-shadow:none; width:97%; margin:0 auto;">

<div class="column-title spacer"><h1 class="coltitlecolor center"><?= _CONTAINERS ?></h1></div>

<input type="hidden" name="id" value="<?= $id; ?>">

<h1 class="left"><a href="container.php" style="text-decoration:none" class="btn"><span class="white"> <?= _ADDNEW ?> </span></a></h1>

<div class="spacer full input-group">

<?php require_once 'container-jumpbox.php'; ?>

<br>

<?php
/**
 * 
 * Row One Top
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="one"><?= _ROWONETOP ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM container WHERE set_position='Row One Top' ORDER BY set_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column2 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['title'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _CONTAINER ?> <?= _POSITION ?>: <?= $row['set_position'] ?></p>
<p class="center"><?= _CONTENT ?> <?= _ONE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_one'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _TWO ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_two'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _THREE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_three'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FOUR ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_four'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FIVE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_five'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SIX ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_six'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SEVEN ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_seven'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _EIGHT ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_eight'] ?></div>
</div>
<div class="center action-card">
<p><a href="container.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="container-save.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row One Middle
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="onemiddle"><?= _ROWONEMIDDLE ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM container WHERE set_position='Row One Middle' ORDER BY set_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column2 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['title'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _CONTAINER ?> <?= _POSITION ?>: <?= $row['set_position'] ?></p>
<p class="center"><?= _CONTENT ?> <?= _ONE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_one'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _TWO ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_two'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _THREE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_three'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FOUR ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_four'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FIVE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_five'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SIX ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_six'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SEVEN ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_seven'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _EIGHT ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_eight'] ?></div>
</div>
<div class="center action-card">
<p><a href="container.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="container-save.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row One Bottom
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="onebottom"><?= _ROWONEBOTTOM ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM container WHERE set_position='Row One Bottom' ORDER BY set_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column2 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['title'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _CONTAINER ?> <?= _POSITION ?>: <?= $row['set_position'] ?></p>
<p class="center"><?= _CONTENT ?> <?= _ONE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_one'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _TWO ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_two'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _THREE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_three'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FOUR ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_four'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FIVE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_five'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SIX ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_six'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SEVEN ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_seven'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _EIGHT ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_eight'] ?></div>
</div>
<div class="center action-card">
<p><a href="container.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="container-save.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Two Top
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="two"><?= _ROWTWOTOP ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM container WHERE set_position='Row Two Top' ORDER BY set_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column2 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['title'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _CONTAINER ?> <?= _POSITION ?>: <?= $row['set_position'] ?></p>
<p class="center"><?= _CONTENT ?> <?= _ONE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_one'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _TWO ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_two'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _THREE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_three'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FOUR ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_four'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FIVE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_five'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SIX ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_six'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SEVEN ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_seven'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _EIGHT ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_eight'] ?></div>
</div>
<div class="center action-card">
<p><a href="container.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="container-save.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Two Middle
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="twomiddle"><?= _ROWTWOMIDDLE ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM container WHERE set_position='Row Two Middle' ORDER BY set_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column2 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['title'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _CONTAINER ?> <?= _POSITION ?>: <?= $row['set_position'] ?></p>
<p class="center"><?= _CONTENT ?> <?= _ONE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_one'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _TWO ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_two'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _THREE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_three'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FOUR ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_four'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FIVE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_five'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SIX ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_six'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SEVEN ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_seven'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _EIGHT ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_eight'] ?></div>
</div>
<div class="center action-card">
<p><a href="container.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="container-save.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * Row Two Bottom
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="twobottom"><?= _ROWTWOBOTTOM ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM container WHERE set_position='Row Two Bottom' ORDER BY set_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column2 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['title'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _CONTAINER ?> <?= _POSITION ?>: <?= $row['set_position'] ?></p>
<p class="center"><?= _CONTENT ?> <?= _ONE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_one'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _TWO ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_two'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _THREE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_three'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FOUR ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_four'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FIVE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_five'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SIX ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_six'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SEVEN ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_seven'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _EIGHT ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_eight'] ?></div>
</div>
<div class="center action-card">
<p><a href="container.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="container-save.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Three Top
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="three"><?= _ROWTHREETOP ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM container WHERE set_position='Row Three Top' ORDER BY set_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column2 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['title'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _CONTAINER ?> <?= _POSITION ?>: <?= $row['set_position'] ?></p>
<p class="center"><?= _CONTENT ?> <?= _ONE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_one'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _TWO ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_two'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _THREE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_three'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FOUR ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_four'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FIVE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_five'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SIX ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_six'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SEVEN ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_seven'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _EIGHT ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_eight'] ?></div>
</div>
<div class="center action-card">
<p><a href="container.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="container-save.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Three Middle
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="threemiddle"><?= _ROWTHREEMIDDLE ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM container WHERE set_position='Row Three Middle' ORDER BY set_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column2 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['title'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _CONTAINER ?> <?= _POSITION ?>: <?= $row['set_position'] ?></p>
<p class="center"><?= _CONTENT ?> <?= _ONE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_one'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _TWO ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_two'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _THREE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_three'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FOUR ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_four'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FIVE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_five'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SIX ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_six'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SEVEN ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_seven'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _EIGHT ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_eight'] ?></div>
</div>
<div class="center action-card">
<p><a href="container.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="container-save.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Three Bottom
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="threebottom"><?= _ROWTHREEBOTTOM ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM container WHERE set_position='Row Three Bottom' ORDER BY set_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column2 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['title'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _CONTAINER ?> <?= _POSITION ?>: <?= $row['set_position'] ?></p>
<p class="center"><?= _CONTENT ?> <?= _ONE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_one'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _TWO ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_two'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _THREE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_three'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FOUR ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_four'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FIVE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_five'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SIX ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_six'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SEVEN ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_seven'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _EIGHT ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_eight'] ?></div>
</div>
<div class="center action-card">
<p><a href="container.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="container-save.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Four Top
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="four"><?= _ROWFOURTOP ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM container WHERE set_position='Row Four Top' ORDER BY set_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column2 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['title'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _CONTAINER ?> <?= _POSITION ?>: <?= $row['set_position'] ?></p>
<p class="center"><?= _CONTENT ?> <?= _ONE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_one'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _TWO ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_two'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _THREE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_three'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FOUR ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_four'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FIVE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_five'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SIX ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_six'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SEVEN ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_seven'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _EIGHT ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_eight'] ?></div>
</div>
<div class="center action-card">
<p><a href="container.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="container-save.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Four Middle
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="fourmiddle"><?= _ROWFOURMIDDLE ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM container WHERE set_position='Row Four Middle' ORDER BY set_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column2 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['title'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _CONTAINER ?> <?= _POSITION ?>: <?= $row['set_position'] ?></p>
<p class="center"><?= _CONTENT ?> <?= _ONE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_one'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _TWO ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_two'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _THREE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_three'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FOUR ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_four'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FIVE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_five'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SIX ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_six'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SEVEN ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_seven'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _EIGHT ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_eight'] ?></div>
</div>
<div class="center action-card">
<p><a href="container.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="container-save.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Four Bottom
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="fourbottom"><?= _ROWFOURBOTTOM ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM container WHERE set_position='Row Four Bottom' ORDER BY set_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column2 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['title'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _CONTAINER ?> <?= _POSITION ?>: <?= $row['set_position'] ?></p>
<p class="center"><?= _CONTENT ?> <?= _ONE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_one'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _TWO ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_two'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _THREE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_three'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FOUR ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_four'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FIVE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_five'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SIX ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_six'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SEVEN ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_seven'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _EIGHT ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_eight'] ?></div>
</div>
<div class="center action-card">
<p><a href="container.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="container-save.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Five Top
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="five"><?= _ROWFIVETOP ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM container WHERE set_position='Row Five Top' ORDER BY set_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column2 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['title'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _CONTAINER ?> <?= _POSITION ?>: <?= $row['set_position'] ?></p>
<p class="center"><?= _CONTENT ?> <?= _ONE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_one'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _TWO ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_two'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _THREE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_three'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FOUR ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_four'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FIVE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_five'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SIX ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_six'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SEVEN ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_seven'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _EIGHT ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_eight'] ?></div>
</div>
<div class="center action-card">
<p><a href="container.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="container-save.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Five Middle
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="fivemiddle"><?= _ROWFIVEMIDDLE ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM container WHERE set_position='Row Five Middle' ORDER BY set_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column2 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['title'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _CONTAINER ?> <?= _POSITION ?>: <?= $row['set_position'] ?></p>
<p class="center"><?= _CONTENT ?> <?= _ONE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_one'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _TWO ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_two'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _THREE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_three'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FOUR ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_four'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FIVE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_five'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SIX ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_six'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SEVEN ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_seven'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _EIGHT ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_eight'] ?></div>
</div>
<div class="center action-card">
<p><a href="container.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="container-save.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Five Bottom
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="fivebottom"><?= _ROWFIVEBOTTOM ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM container WHERE set_position='Row Five Bottom' ORDER BY set_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column2 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['title'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _CONTAINER ?> <?= _POSITION ?>: <?= $row['set_position'] ?></p>
<p class="center"><?= _CONTENT ?> <?= _ONE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_one'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _TWO ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_two'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _THREE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_three'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FOUR ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_four'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FIVE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_five'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SIX ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_six'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SEVEN ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_seven'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _EIGHT ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_eight'] ?></div>
</div>
<div class="center action-card">
<p><a href="container.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="container-save.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Six Top
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="six"><?= _ROWSIXTOP ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM container WHERE set_position='Row Six Top' ORDER BY set_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column2 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['title'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _CONTAINER ?> <?= _POSITION ?>: <?= $row['set_position'] ?></p>
<p class="center"><?= _CONTENT ?> <?= _ONE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_one'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _TWO ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_two'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _THREE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_three'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FOUR ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_four'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FIVE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_five'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SIX ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_six'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SEVEN ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_seven'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _EIGHT ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_eight'] ?></div>
</div>
<div class="center action-card">
<p><a href="container.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="container-save.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Six Middle
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="sixmiddle"><?= _ROWSIXMIDDLE ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM container WHERE set_position='Row Six Middle' ORDER BY set_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column2 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['title'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _CONTAINER ?> <?= _POSITION ?>: <?= $row['set_position'] ?></p>
<p class="center"><?= _CONTENT ?> <?= _ONE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_one'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _TWO ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_two'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _THREE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_three'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FOUR ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_four'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FIVE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_five'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SIX ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_six'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SEVEN ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_seven'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _EIGHT ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_eight'] ?></div>
</div>
<div class="center action-card">
<p><a href="container.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="container-save.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Six Bottom
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="sixbottom"><?= _ROWSIXBOTTOM ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM container WHERE set_position='Row Six Bottom' ORDER BY set_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column2 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['title'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _CONTAINER ?> <?= _POSITION ?>: <?= $row['set_position'] ?></p>
<p class="center"><?= _CONTENT ?> <?= _ONE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_one'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _TWO ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_two'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _THREE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_three'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FOUR ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_four'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FIVE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_five'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SIX ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_six'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SEVEN ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_seven'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _EIGHT ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_eight'] ?></div>
</div>
<div class="center action-card">
<p><a href="container.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="container-save.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Seven Top
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="seven"><?= _ROWSEVENTOP ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM container WHERE set_position='Row Seven Top' ORDER BY set_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column2 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['title'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _CONTAINER ?> <?= _POSITION ?>: <?= $row['set_position'] ?></p>
<p class="center"><?= _CONTENT ?> <?= _ONE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_one'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _TWO ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_two'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _THREE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_three'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FOUR ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_four'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FIVE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_five'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SIX ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_six'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SEVEN ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_seven'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _EIGHT ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_eight'] ?></div>
</div>
<div class="center action-card">
<p><a href="container.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="container-save.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Seven Middle
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="sevenmiddle"><?= _ROWSEVENMIDDLE ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM container WHERE set_position='Row Seven Middle' ORDER BY set_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column2 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['title'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _CONTAINER ?> <?= _POSITION ?>: <?= $row['set_position'] ?></p>
<p class="center"><?= _CONTENT ?> <?= _ONE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_one'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _TWO ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_two'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _THREE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_three'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FOUR ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_four'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FIVE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_five'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SIX ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_six'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SEVEN ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_seven'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _EIGHT ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_eight'] ?></div>
</div>
<div class="center action-card">
<p><a href="container.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="container-save.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Seven Bottom
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="sevenbottom"><?= _ROWSEVENBOTTOM ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM container WHERE set_position='Row Seven Bottom' ORDER BY set_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column2 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['title'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _CONTAINER ?> <?= _POSITION ?>: <?= $row['set_position'] ?></p>
<p class="center"><?= _CONTENT ?> <?= _ONE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_one'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _TWO ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_two'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _THREE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_three'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FOUR ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_four'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FIVE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_five'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SIX ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_six'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SEVEN ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_seven'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _EIGHT ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_eight'] ?></div>
</div>
<div class="center action-card">
<p><a href="container.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="container-save.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Eight Top
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="eight"><?= _ROWEIGHTTOP ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM container WHERE set_position='Row Eight Top' ORDER BY set_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column2 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['title'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _CONTAINER ?> <?= _POSITION ?>: <?= $row['set_position'] ?></p>
<p class="center"><?= _CONTENT ?> <?= _ONE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_one'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _TWO ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_two'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _THREE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_three'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FOUR ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_four'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FIVE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_five'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SIX ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_six'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SEVEN ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_seven'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _EIGHT ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_eight'] ?></div>
</div>
<div class="center action-card">
<p><a href="container.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="container-save.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Eight Middle
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="eightmiddle"><?= _ROWEIGHTMIDDLE ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM container WHERE set_position='Row Eight Middle' ORDER BY set_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column2 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['title'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _CONTAINER ?> <?= _POSITION ?>: <?= $row['set_position'] ?></p>
<p class="center"><?= _CONTENT ?> <?= _ONE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_one'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _TWO ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_two'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _THREE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_three'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FOUR ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_four'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FIVE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_five'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SIX ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_six'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SEVEN ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_seven'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _EIGHT ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_eight'] ?></div>
</div>
<div class="center action-card">
<p><a href="container.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="container-save.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Eight Bottom
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="eightbottom"><?= _ROWEIGHTBOTTOM ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM container WHERE set_position='Row Eight Bottom' ORDER BY set_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column2 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['title'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _CONTAINER ?> <?= _POSITION ?>: <?= $row['set_position'] ?></p>
<p class="center"><?= _CONTENT ?> <?= _ONE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_one'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _TWO ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_two'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _THREE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_three'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FOUR ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_four'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FIVE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_five'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SIX ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_six'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SEVEN ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_seven'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _EIGHT ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_eight'] ?></div>
</div>
<div class="center action-card">
<p><a href="container.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="container-save.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Nine Top
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="nine"><?= _ROWNINETOP ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM container WHERE set_position='Row Nine Top' ORDER BY set_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column2 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['title'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _CONTAINER ?> <?= _POSITION ?>: <?= $row['set_position'] ?></p>
<p class="center"><?= _CONTENT ?> <?= _ONE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_one'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _TWO ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_two'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _THREE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_three'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FOUR ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_four'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FIVE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_five'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SIX ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_six'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SEVEN ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_seven'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _EIGHT ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_eight'] ?></div>
</div>
<div class="center action-card">
<p><a href="container.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="container-save.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Nine Middle
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="ninemiddle"><?= _ROWNINEMIDDLE ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM container WHERE set_position='Row Nine Middle' ORDER BY set_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column2 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['title'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _CONTAINER ?> <?= _POSITION ?>: <?= $row['set_position'] ?></p>
<p class="center"><?= _CONTENT ?> <?= _ONE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_one'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _TWO ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_two'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _THREE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_three'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FOUR ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_four'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FIVE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_five'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SIX ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_six'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SEVEN ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_seven'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _EIGHT ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_eight'] ?></div>
</div>
<div class="center action-card">
<p><a href="container.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="container-save.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Nine Bottom
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="ninebottom"><?= _ROWNINEBOTTOM ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM container WHERE set_position='Row Nine Bottom' ORDER BY set_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column2 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['title'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _CONTAINER ?> <?= _POSITION ?>: <?= $row['set_position'] ?></p>
<p class="center"><?= _CONTENT ?> <?= _ONE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_one'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _TWO ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_two'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _THREE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_three'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FOUR ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_four'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FIVE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_five'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SIX ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_six'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SEVEN ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_seven'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _EIGHT ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_eight'] ?></div>
</div>
<div class="center action-card">
<p><a href="container.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="container-save.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Ten Top
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="ten"><?= _ROWTENTOP ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM container WHERE set_position='Row Ten Top' ORDER BY set_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column2 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['title'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _CONTAINER ?> <?= _POSITION ?>: <?= $row['set_position'] ?></p>
<p class="center"><?= _CONTENT ?> <?= _ONE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_one'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _TWO ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_two'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _THREE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_three'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FOUR ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_four'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FIVE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_five'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SIX ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_six'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SEVEN ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_seven'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _EIGHT ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_eight'] ?></div>
</div>
<div class="center action-card">
<p><a href="container.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="container-save.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Ten Middle
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="tenmiddle"><?= _ROWTENMIDDLE ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM container WHERE set_position='Row Ten Middle' ORDER BY set_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column2 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['title'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _CONTAINER ?> <?= _POSITION ?>: <?= $row['set_position'] ?></p>
<p class="center"><?= _CONTENT ?> <?= _ONE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_one'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _TWO ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_two'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _THREE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_three'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FOUR ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_four'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FIVE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_five'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SIX ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_six'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SEVEN ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_seven'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _EIGHT ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_eight'] ?></div>
</div>
<div class="center action-card">
<p><a href="container.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="container-save.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Ten Bottom
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="tenbottom"><?= _ROWTENBOTTOM ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM container WHERE set_position='Row Ten Bottom' ORDER BY set_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column2 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['title'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _CONTAINER ?> <?= _POSITION ?>: <?= $row['set_position'] ?></p>
<p class="center"><?= _CONTENT ?> <?= _ONE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_one'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _TWO ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_two'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _THREE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_three'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FOUR ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_four'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FIVE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_five'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SIX ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_six'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SEVEN ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_seven'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _EIGHT ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_eight'] ?></div>
</div>
<div class="center action-card">
<p><a href="container.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="container-save.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Eleven Top
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="eleven"><?= _ROWELEVENTOP ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM container WHERE set_position='Row Eleven Top' ORDER BY set_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column2 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['title'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _CONTAINER ?> <?= _POSITION ?>: <?= $row['set_position'] ?></p>
<p class="center"><?= _CONTENT ?> <?= _ONE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_one'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _TWO ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_two'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _THREE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_three'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FOUR ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_four'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FIVE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_five'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SIX ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_six'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SEVEN ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_seven'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _EIGHT ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_eight'] ?></div>
</div>
<div class="center action-card">
<p><a href="container.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="container-save.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Eleven Middle
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="elevenmiddle"><?= _ROWELEVENMIDDLE ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM container WHERE set_position='Row Eleven Middle' ORDER BY set_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column2 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['title'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _CONTAINER ?> <?= _POSITION ?>: <?= $row['set_position'] ?></p>
<p class="center"><?= _CONTENT ?> <?= _ONE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_one'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _TWO ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_two'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _THREE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_three'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FOUR ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_four'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FIVE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_five'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SIX ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_six'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SEVEN ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_seven'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _EIGHT ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_eight'] ?></div>
</div>
<div class="center action-card">
<p><a href="container.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="container-save.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Eleven Bottom
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="elevenbottom"><?= _ROWELEVENBOTTOM ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM container WHERE set_position='Row Eleven Bottom' ORDER BY set_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column2 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['title'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _CONTAINER ?> <?= _POSITION ?>: <?= $row['set_position'] ?></p>
<p class="center"><?= _CONTENT ?> <?= _ONE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_one'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _TWO ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_two'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _THREE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_three'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FOUR ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_four'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FIVE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_five'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SIX ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_six'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SEVEN ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_seven'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _EIGHT ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_eight'] ?></div>
</div>
<div class="center action-card">
<p><a href="container.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="container-save.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Twelve Top
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="twelve"><?= _ROWTWELVETOP ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM container WHERE set_position='Row Twelve Top' ORDER BY set_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column2 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['title'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _CONTAINER ?> <?= _POSITION ?>: <?= $row['set_position'] ?></p>
<p class="center"><?= _CONTENT ?> <?= _ONE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_one'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _TWO ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_two'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _THREE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_three'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FOUR ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_four'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FIVE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_five'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SIX ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_six'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SEVEN ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_seven'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _EIGHT ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_eight'] ?></div>
</div>
<div class="center action-card">
<p><a href="container.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="container-save.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Twelve Middle
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="twelvemiddle"><?= _ROWTWELVEMIDDLE ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM container WHERE set_position='Row Twelve Middle' ORDER BY set_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column2 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['title'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _CONTAINER ?> <?= _POSITION ?>: <?= $row['set_position'] ?></p>
<p class="center"><?= _CONTENT ?> <?= _ONE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_one'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _TWO ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_two'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _THREE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_three'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FOUR ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_four'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FIVE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_five'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SIX ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_six'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SEVEN ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_seven'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _EIGHT ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_eight'] ?></div>
</div>
<div class="center action-card">
<p><a href="container.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="container-save.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Twelve Bottom
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="twelvebottom"><?= _ROWTWELVEBOTTOM ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM container WHERE set_position='Row Twelve Bottom' ORDER BY set_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column2 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['title'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _CONTAINER ?> <?= _POSITION ?>: <?= $row['set_position'] ?></p>
<p class="center"><?= _CONTENT ?> <?= _ONE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_one'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _TWO ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_two'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _THREE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_three'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FOUR ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_four'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _FIVE ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_five'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SIX ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_six'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _SEVEN ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_seven'] ?></div>
<p class="center"><?= _CONTENT ?> <?= _EIGHT ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content_eight'] ?></div>
</div>
<div class="center action-card">
<p><a href="container.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="container-save.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>
</td></tr></table>

</div>
<br>
<br>
<script>
let mybutton = document.getElementById("mytopBtn");
window.onscroll = function() {scrollFunction()};
function scrollFunction() {
if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
mybutton.style.display = "block";
} else {
mybutton.style.display = "none"; }}
function topFunction() {
document.body.scrollTop = 0;
document.documentElement.scrollTop = 0; }
</script>

<?php require_once 'footer.php';