<?php 
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */ 

require_once 'header.php'; ?>

<style>
tr:nth-child(even) {
background: <?=$content_bg?>; 
color: <?=$gen_text_color?>; }
</style>

<div id="wrapper" class="spacer">

<div class="inner-wrapper">

<div class="column-title center">
<h1 class="coltitlecolor"><?= _CONTAINEREXAMPLE ?></h1>
</div>

<p class="center" style="font-size:18px; line-height:1.6"><?= _EXAMPLEBUILD ?></p>
<p>&nbsp;</p>

<p class="center"><img src="images/container.png" alt="Example Container" /></p>

<?php require_once 'footer.php';