<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

$sql = "SELECT * FROM contentmodconfig"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$modtitle = $row['modtitle']; 
$usemod = $row['usemod']; 
$modheight = $row['modheight']; 
$modposition = $row['modposition']; 
$useimg = $row['useimg']; 
$modbackimg = $row['modbackimg']; 
$modbackcolorone = $row['modbackcolorone']; 
$modbackcolortwo = $row['modbackcolortwo']; 
$thumbradius = $row['thumbradius']; }} ?>

<style>
.module {width:40%} 

@media (max-width:1000px) { 
.module {width:100%}}
</style>

<link rel="stylesheet" href="../css/contentmod.css">
<div class="inner-wrapper spacer">
<div class="column-title spacer"><h1 class="center coltitlecolor"><?= _PREVCONTENTMOD ?></h1></div>
<p class="center"><?= _KEEPWINDOWOPEN ?></p>
<table><tr><td class="column">
<div class="module" style="margin:0 auto;">
<div class="column-title column top" style="border-radius:0"><?= $modtitle ?></div>
<div class="card column">
<?php if ($useimg == 'Image') { ?>
<div class="app" style="background: url('../media/images/<?= $modbackimg ?>'); height:<?= $modheight ?>;">
<?php }
else { ?>
<div class="app" style="background: linear-gradient(to top, <?= $modbackcolorone ?>, <?= $modbackcolortwo ?>); height:<?= $modheight ?>; overflow:auto;">
<?php } ?>

<!-- BUILD ARRAY -->
<?php $sql = "SELECT * FROM contentmod"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
<div class="list-item">
<div class="list-thumb">
<img src="../media/images/<?= $row['contentthumbimg'] ?>" class="spacer pointer" alt="Click To Open" title="Click To Open" style="width:100%; height:100%; border-radius:<?= $thumbradius ?>;"> 
</div>
<div class="movie-detail">
<div class="short-detail">
<table>
<tr class="column full">
<td class="title-"><?= $row['contentname'] ?></td>
</tr>
<tr>
<td class="author"><?= $row['contentsubname'] ?></td>
</tr>
</table>
</div>
<div class="full-detail">
<br>
<br>
<br>
<div class="title- spacer"><p><?= $row['contentname'] ?><br>
<?= $row['contentsubname'] ?></p></div>
<div class="spacer">
<div class="info" style="width:100%">
<div class="story spacer" style="height:350px; overflow:auto;">
<?= $row['contentmain'] ?>
</div>
</div>
</div>
</div>
</div>
</div><!-- END ARRAY -->
<?php }} ?>
</div>
</div>
</div>
</td></tr></table>
</div>
<br>
<script src='../js/jquery-3.6.0.min.js'></script>
<script src="../js/contentmod.js"></script>
