<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
require_once 'functions.php';
require_once 'filesLogic.php';
closenav();
require_once 'downloads.php';

if (isset($_GET['edit'])) {
$id = $_GET['edit'];
$update = true;
$record = mysqli_query($db, "SELECT * FROM files WHERE id=$id"); {
$n = mysqli_fetch_array($record);
$title = $n['title'];
$name = $n['name'];
$info = $n['info'];
$cat_name = $n['cat_name'];
$archive = $n['archive'];
$downloadspagename = $n['downloadspagename'];
$allowcomments = $n['allowcomments'];
$showcount = $n['showcount']; }} ?>

<link rel="stylesheet" type="text/css" href="css/pageeditor.css">
<?php $results = mysqli_query($db, "SELECT * FROM files"); ?>
<div style="padding-left:20px">
<?php require_once 'downloadsmenu.php'; ?>
</div>

<form method="post" action="downloads.php" class="noborder">

<?php updatepublish(); ?>
<div class="mini-container">
<div class="radius spacer inner-wrapper">
<div class="spacer column-title">
<h1 class="center coltitlecolor"><?= _DOWNLOADSBUILDER ?></h1>
</div>
<br>
<input type="hidden" name="id" value="<?= $id ?>">

<div class="clearfix" style="width:95%; margin:0 auto;">
<p class="left"><?= _TITLE ?>:
<input style="background:#f1f1f1; color:#000; width:300px;" type="text" name="title" maxlength="35" size="35" value="<?= $title ?>">
</div>

<div class="clearfix" style="width:95%; margin:0 auto;">
<p class="left"><?= _NAME ?>: (<?= _FILLEDAUTO ?>)
<input type="hidden" name="name" value="<?= $name ?>"><?= $name ?>
</div>

<div class="clearfix" style="width:95%; margin:0 auto;">
<p class="left"><?= _CATEGORY ?>:
<select name="cat_name">
<option value="<?= $cat_name ?>"><?= $cat_name ?></option>
<?php $result = mysqli_query($conn, 'SELECT cat_name FROM downloadscategory ORDER BY cat_name');
while ($row = mysqli_fetch_array($result)) { ?>
<option value="<?= $row['cat_name'] ?>"><?= $row['cat_name'] ?></option>
<?php } ?>
</select>
</p>
</div>
<div class="clearfix" style="width:95%; margin:0 auto;">
<p class="left"><?= _ARCHIVETHISFILE ?>:
<select name="archive">
<option value="<?= $archive ?>"><?= $archive ?></option>
<option "Yes"><?= _YES ?></option>
<option "No"><?= _NO ?></option>
</select>
</p>
</div>

<div class="clearfix" style="width:95%; margin:0 auto;">
<p class="left"><?= _ALLOWCOMMENTS ?>:
<select name="allowcomments">
<option value="<?= $allowcomments ?>"><?= $allowcomments ?></option>
<option "Yes"><?= _YES ?></option>
<option "No"><?= _NO ?></option>
</select>
</p>
</div>

<div class="clearfix" style="width:95%; margin:0 auto;">
<p class="left"><?= _NUMBERDOWNLOADSMADE ?>:
<select name="showcount">
<option><?= $showcount ?></option>
<option "Public"><?= _PUBLIC ?></option>
<option "Admin"><?= _ADMIN ?></option>
</select>
</p>
</div>

<div class="clearfix" style="width:95%; margin:0 auto;">
<p class="left"><?= _ASSIGNTOPAGE ?>
<select name="downloadspagename">
<option value="<?= $downloadspagename ?>"><?= $downloadspagename ?></option>
<?php $result = mysqli_query($conn, "SELECT id, downloadspagename FROM downloadspages");
while ($row = mysqli_fetch_array($result)) { ?>
<option value="<?= $row['downloadspagename'] ?>"><?= $row['downloadspagename'] ?></option>
<?php } ?>					
</select>
</p>
</div>

<div class="clearfix" style="width:95%; margin:0 auto;">
<p class="spacer center column-title coltitlecolor"><?= _INFOABOUTDOWNLOAD ?></p>
<textarea id="editor" name="info"><?= $info ?></textarea>
</div>
</div>
</div>
</form>
<?php require_once 'footer.php';