<?php
/**
 * Spectra Downloads Suite is software designed to support a website.
 * PHP version 8
 *
 * @category  OpenSource
 * @package   Spectra Downloads Suite
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

// initialize variables
$downloadspagename = "";
$pagecontent = "";
$style = "";
$faicon = "";
$faiconcolor = "";
$cardback = "";
$selectbg = "";
$colorone = "";
$colortwo = "";
$topmenu = "";
$description = "";
$keywords = "";
$usepage = "";
$id = 0;
$update = false;

// Create new
if (isset($_POST['save'])) {
$downloadspagename = mysqli_real_escape_string($conn, $_POST['downloadspagename']);
$pagecontent = mysqli_real_escape_string($conn, $_POST['pagecontent']);
$style = mysqli_real_escape_string($conn, $_POST['style']);
$faicon = mysqli_real_escape_string($conn, $_POST['faicon']);
$faiconcolor = mysqli_real_escape_string($conn, $_POST['faiconcolor']);
$cardback = mysqli_real_escape_string($conn, $_POST['cardback']); 
$selectbg = mysqli_real_escape_string($conn, $_POST['selectbg']);
$colorone = mysqli_real_escape_string($conn, $_POST['colorone']);
$colortwo = mysqli_real_escape_string($conn, $_POST['colortwo']);
$topmenu = mysqli_real_escape_string($conn, $_POST['topmenu']);
$description = mysqli_real_escape_string($conn, $_POST['description']);
$keywords = mysqli_real_escape_string($conn, $_POST['keywords']); 
$usepage = mysqli_real_escape_string($conn, $_POST['usepage']);

mysqli_query($db, "INSERT INTO downloadspages (downloadspagename, pagecontent, style, faicon, faiconcolor, cardback, selectbg, colorone, colortwo, topmenu, description, keywords, usepage) VALUES ('$downloadspagename', '$pagecontent', '$style', '$faicon', '$faiconcolor', '$cardback', '$selectbg', '$colorone', '$colortwo', '$topmenu', '$description', '$keywords', '$usepage')");
$_SESSION['message'] = "New Page Saved!";
echo "<script> window.location.replace('downloadspagesall.php') </script>";
}

// Update existing
if (isset($_POST['update'])) {
$id = $_POST['id'];
$downloadspagename = mysqli_real_escape_string($conn, $_POST['downloadspagename']);
$pagecontent = mysqli_real_escape_string($conn, $_POST['pagecontent']);
$style = mysqli_real_escape_string($conn, $_POST['style']);
$faicon = mysqli_real_escape_string($conn, $_POST['faicon']);
$faiconcolor = mysqli_real_escape_string($conn, $_POST['faiconcolor']);
$cardback = mysqli_real_escape_string($conn, $_POST['cardback']); 
$selectbg = mysqli_real_escape_string($conn, $_POST['selectbg']);
$colorone = mysqli_real_escape_string($conn, $_POST['colorone']);
$colortwo = mysqli_real_escape_string($conn, $_POST['colortwo']);
$topmenu = mysqli_real_escape_string($conn, $_POST['topmenu']);
$description = mysqli_real_escape_string($conn, $_POST['description']);
$keywords = mysqli_real_escape_string($conn, $_POST['keywords']); 
$usepage = mysqli_real_escape_string($conn, $_POST['usepage']);

mysqli_query($db, "UPDATE downloadspages SET downloadspagename='$downloadspagename', pagecontent='$pagecontent', style='$style', faicon='$faicon', faiconcolor='$faiconcolor', cardback='$cardback', selectbg='$selectbg', colorone='$colorone', colortwo='$colortwo', topmenu='$topmenu', description='$description', keywords='$keywords', usepage='$usepage' WHERE id=$id");
$_SESSION['message'] = "Updated Page!";
echo "<script> window.location.replace('downloadspagesall.php') </script>"; }

// Delete exiting
if (isset($_GET['del'])) {
$id = $_GET['del'];
mysqli_query($db, "DELETE FROM downloadspages WHERE id=$id");
$_SESSION['message'] = "Page Deleted Successfully!";
echo "<script> window.location.replace('downloadspagesall.php') </script>"; }

$results = mysqli_query($db, "SELECT * FROM downloadspages");