<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 	
while ($row = $result->fetch_assoc()) {
require_once 'lang/' . $row['lang'] . '.php'; }}

$sql = "SELECT * FROM files";
$result = mysqli_query($conn, $sql);
$files = mysqli_fetch_all($result, MYSQLI_ASSOC);

// Uploads files
if (isset($_POST['save'])) {

// name of the uploaded file
$filename = $_FILES['myfile']['name'];

// destination of the file on the server
$destination = '../../media/downloads/' . $filename;

// get the file extension
$extension = pathinfo($filename, PATHINFO_EXTENSION);

/**
 * 
 * The physical file on a 
 * temporary uploads directory 
 * on the server.
 * 
 */

$file = $_FILES['myfile']['tmp_name'];
$size = $_FILES['myfile']['size'];

/**
 * 
 * Allow only .zip and .pdf
 * extensions and set the 
 * upload size.
 * 
 */

if (!in_array($extension, ['zip', 'pdf'])) {
echo '' ._FILEEXTMUSTBE . ' .zip or .pdf';
} elseif ($_FILES['myfile']['size'] > 84000000) {
echo '' . _FILETOOLARGE . ''; 
} else {
if (move_uploaded_file($file, $destination)) {
$sql = "INSERT INTO files (name, size, downloads) VALUES ('$filename', $size, 0)";
if (mysqli_query($conn, $sql)) {
echo '' . _UPLOAD_SUCCESSFUL . ''; }
} else {
echo '' . _FAILEDTOUPLOAD . ''; }}} 

/**
 * 
 * Downloads files.
 * Get the files id.
 * 
 */

if (isset($_GET['file_id'])) {
$id = $_GET['file_id'];

/**
 * 
 * Fetch the file to 
 * download from the 
 * database.
 * 
 */

$sql = "SELECT * FROM files WHERE id=$id";
$result = mysqli_query($conn, $sql);

$file = mysqli_fetch_assoc($result);
$filepath = '../../media/downloads/' . $file['name'];

if (file_exists($filepath)) {
header('Content-Description: File Transfer');
header('Content-Type: application/octet-stream');
header('Content-Disposition: attachment; filename=' . basename($filepath));
header('Expires: 0');
header('Cache-Control: must-revalidate');
header('Pragma: public');
header('Content-Length: ' . filesize('../../media/downloads/' . $file['name']));
readfile('../../media/downloads/' . $file['name']);

/**
 * Update the downloads count.
 * 
 */ 

$newCount = $file['downloads'] + 1;
$updateQuery = "UPDATE files SET downloads=$newCount WHERE id=$id";
mysqli_query($conn, $updateQuery);
exit; }}