<?php 
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
require_once 'flipcardsave.php';
closenav();

if (isset($_GET['edit'])) {
$id = $_GET['edit'];
$update = true;
$record = mysqli_query($db, "SELECT * FROM flipcard WHERE id='$id'"); {
$n = mysqli_fetch_array($record);
$usecard = $n['usecard'];
$flipcardback = $n['flipcardback'];
$backimage = $n['backimage'];
$photo = $n['photo'];
$backcolorfirst = $n['backcolorfirst'];
$backcolorsecond = $n['backcolorsecond'];
$content = $n['content'];
$setheight = $n['setheight'];
$containercolorfirst = $n['containercolorfirst'];
$containercolorsecond = $n['containercolorsecond'];
$location = $n['location'];
$cardcategory = $n['cardcategory'];
$archivecard = $n['archivecard'];
$cardtitle = $n['cardtitle'];
$position = $n['position']; }} ?>

<?php $sql = "SELECT * FROM pagerows"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$namerow= $row['namerow']; 
$row_position = $row['row_position']; }}?>

<style>
p { 
color: <?= $gen_text_color ?>; } 

.card7 { 
background:<?= $wrapper ?>;
padding: 20px; }

.column2 {
width: 50%; }

@media (max-width: 1000px) {
.column2 {
width: 100%;
float: left; }}

.action-card {
height: 50px;
display: flex;
flex-direction: column;
border: 1px solid rgba(255, 255, 255, 0.25);
border-radius: 20px;
background: <?= $content_bg ?>;
box-shadow: 0 0 10px 1px rgba(0, 0, 0, 0.25);
backdrop-filter: blur(15px); }

.content-card {
margin: 20px auto;
padding: 14px 24px;
border: 2px solid #FFF;
border-radius: 15px;
box-shadow: 0 0 5px 2px <?= $cnt_back_shadow ?>, inset 0 3px 18px rgba(100,100,100,0.25);
width: 97%;
height: 400px;
display: flex;
flex-direction: column;
border: 1px solid <?= $wrapper ?>;
background: linear-gradient(<?= $content_bg ?>, <?= $wrapper ?>);
backdrop-filter: blur(15px); }

#mytopBtn {
display: none;
position: fixed;
bottom: 20px;
right: 30px;
z-index: 99999;
font-size: 18px;
border: none;
outline: none;
background-color: red;
color: white;
cursor: pointer;
padding: 15px;
border-radius: 4px; }

#mytopBtn:hover {
background-color: #555; }
</style>

<button onclick="topFunction()" id="mytopBtn" title="<?= _TOP ?>"><?= _TOP ?></button>

<link rel="stylesheet" type="text/css" href="css/pageeditor.css">

<div class="inner-wrapper" style="box-shadow:none; width:97%; margin:0 auto;">

<div class="column-title spacer"><h1 class="coltitlecolor center"><?= _FLIPCARDS ?></h1></div>

<input type="hidden" name="id" value="<?= $id; ?>">

<h1 class="left"><a href="flipcardbuilder.php" style="text-decoration:none" class="btn"><span class="white"> <?= _ADDNEW ?> </span></a></h1>

<div class="spacer full input-group">

<?php require_once 'flipcardjumpbox.php'; ?>

<br>

<?php
/**
 * 
 * Above Top Articles
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="top"><?= _ABOVE ?> <?= _TOP ?> <?= _ARTICLES ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Above Top Articles' ORDER BY position + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= _ID ?>:(<?= $row['id'] ?>)&nbsp;&nbsp;&nbsp;<?= $row['cardtitle'] ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div style="height:300px; overflow-y:auto;">
<div class="left card gentextcolor" style="height:300px; overflow-y:auto; text-decoration:none;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Top Articles Left
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="one"><?= _TOP ?> <?= _ARTICLES ?> <?= _LEFT ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Top Articles Left' ORDER BY position + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= _ID ?>:(<?= $row['id'] ?>)&nbsp;&nbsp;&nbsp;<?= $row['cardtitle'] ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div style="height:300px; overflow-y:auto;">
<div class="left card gentextcolor" style="height:300px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Top Articles Right
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="one"><?= _TOP ?> <?= _ARTICLES ?> <?= _RIGHT ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Top Articles Right' ORDER BY position + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= _ID ?>:(<?= $row['id'] ?>)&nbsp;&nbsp;&nbsp;<?= $row['cardtitle'] ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div style="height:300px; overflow-y:auto;">
<div class="left card gentextcolor" style="height:300px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row One Top
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="one"><?= _ROWONETOP ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row One Top' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row One Middle
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="onemiddle"><?= _ROWONEMIDDLE ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row One Middle' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row One Bottom
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="onebottom"><?= _ROWONEBOTTOM ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row One Bottom' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row One Left
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="oneLsidebars"><?= _ROWONE ?> <?= _LEFT ?> <?= _SIDEBAR ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row One Left' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row One Right
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="oneRsidebars"><?= _ROWONE ?> <?= _RIGHT ?> <?= _SIDEBAR ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row One Right' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Two Top
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="two"><?= _ROWTWOTOP ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Two Top' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Two Middle
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="twomiddle"><?= _ROWTWOMIDDLE ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Two Middle' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Two Bottom
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="twobottom"><?= _ROWTWOBOTTOM ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Two Bottom' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Two Left
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="twoLsidebars"><?= _ROWTWO ?> <?= _LEFT ?> <?= _SIDEBAR ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Two Left' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Two Right
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="twoRsidebars"><?= _ROWTWO ?> <?= _RIGHT ?> <?= _SIDEBAR ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Two Right' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Three Top
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="three"><?= _ROWTHREETOP ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Three Top' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Three Middle
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="threemiddle"><?= _ROWTHREEMIDDLE ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Three Middle' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Three Bottom
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="threebottom"><?= _ROWTHREEBOTTOM ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Three Bottom' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Three Left
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="threeLsidebars"><?= _ROWTHREE ?> <?= _LEFT ?> <?= _SIDEBAR ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Three Left' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Three Right
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="threeRsidebars"><?= _ROWTHREE ?> <?= _RIGHT ?> <?= _SIDEBAR ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Three Right' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Four Top
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="four"><?= _ROWFOURTOP ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Four Top' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Four Middle
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="fourmiddle"><?= _ROWFOURMIDDLE ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Four Middle' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Four Bottom
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="fourbottom"><?= _ROWFOURBOTTOM ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Four Bottom' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Four Left
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="fourLsidebars"><?= _ROWFOUR ?> <?= _LEFT ?> <?= _SIDEBAR ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Four Left' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Four Right
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="fourRsidebars"><?= _ROWFOUR ?> <?= _RIGHT ?> <?= _SIDEBAR ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Four Right' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Five Top
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="five"><?= _ROWFIVETOP ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Five Top' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Five Middle
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="fivemiddle"><?= _ROWFIVEMIDDLE ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Five Middle' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Five Bottom
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="fivebottom"><?= _ROWFIVEBOTTOM ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Five Bottom' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Five Left
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="fiveLsidebars"><?= _ROWFIVE ?> <?= _LEFT ?> <?= _SIDEBAR ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Five Left' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Five Right
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="fiveRsidebars"><?= _ROWFIVE ?> <?= _RIGHT ?> <?= _SIDEBAR ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Five Right' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Six Top
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="six"><?= _ROWSIXTOP ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Six Top' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Six Middle
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="sixmiddle"><?= _ROWSIXMIDDLE ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Six Middle' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Six Bottom
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="sixbottom"><?= _ROWSIXBOTTOM ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Six Bottom' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Six Left
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="sixLsidebars"><?= _ROWSIX ?> <?= _LEFT ?> <?= _SIDEBAR ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Six Left' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Six Right
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="sixRsidebars"><?= _ROWSIX ?> <?= _RIGHT ?> <?= _SIDEBAR ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Six Right' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Seven Top
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="seven"><?= _ROWSEVENTOP ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Seven Top' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Seven Middle
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="sevenmiddle"><?= _ROWSEVENMIDDLE ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Seven Middle' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Seven Bottom
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="sevenbottom"><?= _ROWSEVENBOTTOM ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Seven Bottom' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Seven Left
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="sevenLsidebars"><?= _ROWSEVEN ?> <?= _LEFT ?> <?= _SIDEBAR ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Seven Left' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Seven Right
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="sevenRsidebars"><?= _ROWSEVEN ?> <?= _RIGHT ?> <?= _SIDEBAR ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Seven Right' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Eight Top
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="eight"><?= _ROWEIGHTTOP ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Eight Top' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Eight Middle
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="eightmiddle"><?= _ROWEIGHTMIDDLE ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Eight Middle' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Eight Bottom
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="eightbottom"><?= _ROWEIGHTBOTTOM ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Eight Bottom' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Eight Left
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="eightLsidebars"><?= _ROWEIGHT ?> <?= _LEFT ?> <?= _SIDEBAR ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Eight Left' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Eight Right
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="eightRsidebars"><?= _ROWEIGHT ?> <?= _RIGHT ?> <?= _SIDEBAR ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Eight Right' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Nine Top
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="nine"><?= _ROWNINETOP ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Nine Top' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Nine Middle
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="ninemiddle"><?= _ROWNINEMIDDLE ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Nine Middle' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Nine Bottom
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="ninebottom"><?= _ROWNINEBOTTOM ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Nine Bottom' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Nine Left
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="nineLsidebars"><?= _ROWNINE ?> <?= _LEFT ?> <?= _SIDEBAR ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Nine Left' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Nine Right
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="nineRsidebars"><?= _ROWNINE ?> <?= _RIGHT ?> <?= _SIDEBAR ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Nine Right' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Ten Top
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="ten"><?= _ROWTENTOP ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Ten Top' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Ten Middle
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="tenmiddle"><?= _ROWTENMIDDLE ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Ten Middle' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Ten Bottom
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="tenbottom"><?= _ROWTENBOTTOM ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Ten Bottom' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Ten Left
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="tenLsidebars"><?= _ROWTEN ?> <?= _LEFT ?> <?= _SIDEBAR ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Ten Left' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Ten Right
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="tenRsidebars"><?= _ROWTEN ?> <?= _RIGHT ?> <?= _SIDEBAR ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Ten Right' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Eleven Top
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="eleven"><?= _ROWELEVENTOP ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Eleven Top' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Eleven Middle
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="elevenmiddle"><?= _ROWELEVENMIDDLE ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Eleven Middle' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Eleven Bottom
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="elevenbottom"><?= _ROWELEVENBOTTOM ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Eleven Bottom' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Eleven Left
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="elevenLsidebars"><?= _ROWELEVEN ?> <?= _LEFT ?> <?= _SIDEBAR ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Eleven Left' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Eleven Right
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="elevenRsidebars"><?= _ROWELEVEN ?> <?= _RIGHT ?> <?= _SIDEBAR ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Eleven Right' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Twelve Top
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="twelve"><?= _ROWTWELVETOP ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Twelve Top' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Twelve Middle
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="twelvemiddle"><?= _ROWTWELVEMIDDLE ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Twelve Middle' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Twelve Bottom
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="twelvebottom"><?= _ROWTWELVEBOTTOM ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Twelve Bottom' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Twelve Left
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="twelveLsidebars"><?= _ROWTWELVE ?> <?= _LEFT ?> <?= _SIDEBAR ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Twelve Left' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row Twelve Right
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="twelveRsidebars"><?= _ROWTWELVE ?> <?= _RIGHT ?> <?= _SIDEBAR ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'Row Twelve Right' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row On-canvas Left Sidebar
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="oncanvassidebars"><?= _ONCANVAS ?> <?= _LEFT ?> <?= _SIDEBAR ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'On-canvas Left' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

<br>

<?php
/**
 * 
 * Row On-canvas Right Sidebar
 * 
 */ ?>

<table id="wrapper"><tr><td>    
<div class="column-title"><h1 class="coltitlecolor center" id="oncanvassdebars"><?= _ONCANVAS ?> <?= _RIGHT ?> <?= _SIDEBAR ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM flipcard WHERE location = 'On-canvas Right' ORDER BY position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['cardtitle'] ?></p>
<div style="height:600px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['position'] ?></p>
<div class="left card gentextcolor" style="height:100px; overflow-y:auto;"><?= $row['content'] ?></div>
</div>
<div class="center action-card">
<p>
<a href="flipcardbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none">
<img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" />
</a>
&nbsp;&nbsp;&nbsp;
<a href="flipcardsavesave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>">
<img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" />
</a>
</p>
</div></div></div>
<?php } ?>
</td></tr></table>

</div>
<br>
<br>
<script>
let mybutton = document.getElementById("mytopBtn");
window.onscroll = function() {scrollFunction()};
function scrollFunction() {
if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
mybutton.style.display = "block";
} else {
mybutton.style.display = "none"; }}
function topFunction() {
document.body.scrollTop = 0;
document.documentElement.scrollTop = 0; }
</script>

<?php require_once 'footer.php';