<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'header.php';
require_once 'flipcardsave.php';

closenav();

if (isset($_GET['edit'])) {
$id = $_GET['edit'];
$update = true;
$record = mysqli_query($db, "SELECT * FROM flipcard WHERE id=$id"); {
$n = mysqli_fetch_array($record);
$usecard = $n['usecard'];
$flipcardback = $n['flipcardback'];
$backimage = $n['backimage'];
$photo = $n['photo'];
$backcolorfirst = $n['backcolorfirst'];
$backcolorsecond = $n['backcolorsecond'];
$content = $n['content'];
$setheight = $n['setheight'];
$containercolorfirst = $n['containercolorfirst'];
$containercolorsecond = $n['containercolorsecond'];
$location = $n['location'];
$cardcategory = $n['cardcategory'];
$archivecard = $n['archivecard'];
$cardtitle = $n['cardtitle'];
$description = $n['description'];
$keywords = $n['keywords']; }}

$sql = "SELECT * FROM config_row_one, config_row_two, config_row_three, 
config_row_four, config_row_five, config_row_six, config_row_seven, 
config_row_eight, config_row_nine, config_row_ten, config_row_eleven, config_row_twelve";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$rowonesidebars = $row['rowonesidebars'];
$rowtwosidebars = $row['rowtwosidebars'];
$rowthreesidebars = $row['rowthreesidebars'];
$rowfoursidebars = $row['rowfoursidebars'];
$rowfivesidebars = $row['rowfivesidebars'];
$rowsixsidebars = $row['rowsixsidebars'];
$rowsevensidebars = $row['rowsevensidebars'];
$roweightsidebars = $row['roweightsidebars'];
$rowninesidebars = $row['rowninesidebars'];
$rowtensidebars = $row['rowtensidebars'];
$rowelevensidebars = $row['rowelevensidebars'];
$rowtwelvesidebars = $row['rowtwelvesidebars'];
$userowone = $row['userowone'];
$userowtwo = $row['userowtwo'];
$userowthree = $row['userowthree'];
$userowfour = $row['userowfour'];
$userowfive = $row['userowfive'];
$userowsix = $row['userowsix'];
$userowseven = $row['userowseven'];
$useroweight = $row['useroweight'];
$userownine = $row['userownine'];
$userowten = $row['userowten'];
$useroweleven = $row['useroweleven'];
$userowtwelve = $row['userowtwelve']; }}

$sql = "SELECT * FROM website";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$hp_sidebars = $row['hp_sidebars'];
$hp_oncanvas_sidebars = $row['hp_oncanvas_sidebars'];
$sidebars_used = $row['sidebars_used']; }}

$results = mysqli_query($db, "SELECT * FROM flipcard"); ?>

<form method="post" action="flipcardsave.php" class="noborder">

<input type="hidden" name="id" value="<?= $id ?>">

<?php updatepublish(); ?>

<div class="column-title spacer"><h1 class="coltitlecolor center"><?= _FLIPCARDS ?> <?= _BUILDER ?></h1></div>
<div class="inner-wrapper" style="box-shadow:none; width:97%; margin:0 auto;">
<br>

<div class="top mini-container">

<?php if ($hp_oncanvas_sidebars == 'None' or $hp_oncanvas_sidebars == '') {
echo '<p>' . _ONCANVASSIDEBARSOFF . ' <a href="website.php#configsidebars" onclick="basicPopup(this.href);return false">' . _TURNON . '</a></p>';
} ?>

<p class="left"><strong><?= _USETHISCARD ?>? </strong>
<select name="usecard">
<option><?= $usecard ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select>
</p>

<p class="left"><strong><?= _TITLE ?>:</strong><br>
<input name="cardtitle" value="<?= $cardtitle ?>" style="width:230px">
</p>

<p class="left"><strong><?= _PLACECARDINARCHIVE ?>? </strong>
<select name="archivecard">
<option><?= $archivecard ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select>
</p>

<p class="left"><strong><?= _CHOOSECAT ?> </strong>
<select name="cardcategory">
<option><?= $cardcategory ?></option>
<?php $result = mysqli_query($conn, 'SELECT catname FROM pagecategory ORDER BY catname');
while ($row = mysqli_fetch_array($result)) { ?>
<option value="<?= $row['catname'] ?>"><?= $row['catname'] ?></option>
<?php } ?>
</select>
</p>

<p class="left"><strong><?= _ASSIGNTOGROUP ?></strong>
<select name="location">
<option><?= $location ?></option>
<option class="column-title gentextcolor">------ <?= _SIDEBARS ?> ------</option>
<?php if ($hp_oncanvas_sidebars == 'None' or $hp_oncanvas_sidebars == '' && $hp_sidebars == 'None' or $hp_sidebars == '') { ?>
<option><?= _NONEACTIVE ?></option> 
<?php }
if ($hp_oncanvas_sidebars == 'Left' or $hp_oncanvas_sidebars == 'Both') { ?>
<option value="On-canvas Left"><?= _ONCANVASLEFT ?></option>
<?php }
if ($hp_oncanvas_sidebars == 'Right' or $hp_oncanvas_sidebars == 'Both') { ?>
<option value="On-canvas Right"><?= _ONCANVASRIGHT ?></option>
<?php }

$sql = "SELECT usetop, usemiddle, usebottom FROM config_row_one";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
if ($userowone == 'Yes') {
if ($row['usetop'] == 'Yes') { ?>
<option class="column-title gentextcolor">----- <?= _TOP ?> <?= _ARTICLES ?> -----</option>
<option value="Above Top Articles"><?= _ABOVE ?> <?= _TOP ?> <?= _ARTICLES ?></option>
<?php if ($sidebars_used == 'Left' || $sidebars_used == 'Both') { ?>
<option value="Top Article Left"><?= _TOPARTICLELEFT ?></option>
<?php }
if ($sidebars_used == 'Right' || $sidebars_used == 'Both') { ?>
<option value="Top Article Right"><?= _TOPARTICLERIGHT ?></option>
<?php } ?>
<option class="column-title gentextcolor">-------- <?= _ROWS ?> --------</option>
<option value="Row One Top"><?= _ROWONETOP ?></option>
<?php }
if ($row['usemiddle'] == 'Yes') { ?>
<option value="Row One Middle"><?= _ROWONEMIDDLE ?></option>
<?php }
if ($row['usebottom'] == 'Yes') { ?>
<option value="Row One Bottom"><?= _ROWONEBOTTOM ?></option>
<?php }}}}

$sql = "SELECT usetop, usemiddle, usebottom FROM config_row_two";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
if ($userowtwo == 'Yes') {
if ($row['usetop'] == 'Yes') { ?>
<option value="Row Two Top"><?= _ROWTWOTOP ?></option>
<?php }
if ($row['usemiddle'] == 'Yes') { ?>
<option value="Row Two Middle"><?= _ROWTWOMIDDLE ?></option>
<?php }
if ($row['usebottom'] == 'Yes') { ?>
<option value="Row Two Bottom"><?= _ROWTWOBOTTOM ?></option>
<?php }}}}

$sql = "SELECT usetop, usemiddle, usebottom FROM config_row_three";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
if ($userowthree == 'Yes') {
if ($row['usetop'] == 'Yes') { ?>
<option value="Row Three Top"><?= _ROWTHREETOP ?></option>
<?php }
if ($row['usemiddle'] == 'Yes') { ?>
<option value="Row Three Middle"><?= _ROWTHREEMIDDLE ?></option>
<?php }
if ($row['usebottom'] == 'Yes') { ?>
<option value="Row Three Bottom"><?= _ROWTHREEBOTTOM ?></option>
<?php }}}}

$sql = "SELECT usetop, usemiddle, usebottom FROM config_row_four";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
if ($userowfour == 'Yes') {
if ($row['usetop'] == 'Yes') { ?>
<option value="Row Four Top"><?= _ROWFOURTOP ?></option>
<?php }
if ($row['usemiddle'] == 'Yes') { ?>
<option value="Row Four Middle"><?= _ROWFOURMIDDLE ?></option>
<?php }
if ($row['usebottom'] == 'Yes') { ?>
<option value="Row Four Bottom"><?= _ROWFOURBOTTOM ?></option>
<?php }}}}

$sql = "SELECT usetop, usemiddle, usebottom FROM config_row_five";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
if ($userowfive == 'Yes') {
if ($row['usetop'] == 'Yes') { ?>
<option value="Row Five Top"><?= _ROWFIVETOP ?></option>
<?php }
if ($row['usemiddle'] == 'Yes') { ?>
<option value="Row Five Middle"><?= _ROWFIVEMIDDLE ?></option>
<?php }
if ($row['usebottom'] == 'Yes') { ?>
<option value="Row Five Bottom"><?= _ROWFIVEBOTTOM ?></option>
<?php }}}}

$sql = "SELECT usetop, usemiddle, usebottom FROM config_row_six";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
if ($userowsix == 'Yes') {
if ($row['usetop'] == 'Yes') { ?>
<option value="Row Six Top"><?= _ROWSIXTOP ?></option>
<?php }
if ($row['usemiddle'] == 'Yes') { ?>
<option value="Row Six Middle"><?= _ROWSIXMIDDLE ?></option>
<?php }
if ($row['usebottom'] == 'Yes') { ?>
<option value="Row Six Bottom"><?= _ROWSIXBOTTOM ?></option>
<?php }}}}

$sql = "SELECT usetop, usemiddle, usebottom FROM config_row_seven";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
if ($userowseven == 'Yes') {
if ($row['usetop'] == 'Yes') { ?>
<option value="Row Seven Top"><?= _ROWSEVENTOP ?></option>
<?php }
if ($row['usemiddle'] == 'Yes') { ?>
<option value="Row Seven Middle"><?= _ROWSEVENMIDDLE ?></option>
<?php }
if ($row['usebottom'] == 'Yes') { ?>
<option value="Row Seven Bottom"><?= _ROWSEVENBOTTOM ?></option>
<?php }}}}

$sql = "SELECT usetop, usemiddle, usebottom FROM config_row_eight";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
if ($useroweight == 'Yes') {
if ($row['usetop'] == 'Yes') { ?>
<option value="Row Eight Top"><?= _ROWEIGHTTOP ?></option>
<?php }
if ($row['usemiddle'] == 'Yes') { ?>
<option value="Row Eight Middle"><?= _ROWEIGHTMIDDLE ?></option>
<?php }
if ($row['usebottom'] == 'Yes') { ?>
<option value="Row Eight Bottom"><?= _ROWEIGHTBOTTOM ?></option>
<?php }}}}
$sql = "SELECT usetop, usemiddle, usebottom FROM config_row_nine";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
if ($userownine == 'Yes') {
if ($row['usetop'] == 'Yes') { ?>
<option value="Row Nine Top"><?= _ROWNINETOP ?></option>
<?php }
if ($row['usemiddle'] == 'Yes') { ?>
<option value="Row Nine Middle"><?= _ROWNINEMIDDLE ?></option>
<?php }
if ($row['usebottom'] == 'Yes') { ?>
<option value="Row Nine Bottom"><?= _ROWNINEBOTTOM ?></option>
<?php }}}}

$sql = "SELECT usetop, usemiddle, usebottom FROM config_row_ten";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
if ($userowten == 'Yes') {
if ($row['usetop'] == 'Yes') { ?>
<option value="Row Ten Top"><?= _ROWTENTOP ?></option>
<?php }
if ($row['usemiddle'] == 'Yes') { ?>
<option value="Row Ten Middle"><?= _ROWTENMIDDLE ?></option>
<?php }
if ($row['usebottom'] == 'Yes') { ?>
<option value="Row Ten Bottom"><?= _ROWTENBOTTOM ?></option>
<?php }}}}

$sql = "SELECT usetop, usemiddle, usebottom FROM config_row_eleven";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
if ($useroweleven == 'Yes') {
if ($row['usetop'] == 'Yes') { ?>
<option value="Row Eleven Top"><?= _ROWELEVENTOP ?></option>
<?php }
if ($row['usemiddle'] == 'Yes') { ?>
<option value="Row Eleven Middle"><?= _ROWELEVENMIDDLE ?></option>
<?php }
if ($row['usebottom'] == 'Yes') { ?>
<option value="Row Eleven Bottom"><?= _ROWELEVENBOTTOM ?></option>
<?php }}}}

$sql = "SELECT usetop, usemiddle, usebottom FROM config_row_twelve";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
if ($userowtwelve == 'Yes') {
if ($row['usetop'] == 'Yes') { ?>
<option value="Row Twelve Top"><?= _ROWTWELVETOP ?></option>
<?php }
if ($row['usemiddle'] == 'Yes') { ?>
<option value="Row Twelve Middle"><?= _ROWTWELVEMIDDLE ?></option>
<?php }
if ($row['usebottom'] == 'Yes') { ?>
<option value="Row Twelve Bottom"><?= _ROWTWELVEBOTTOM ?></option>
<?php }}}} ?>

<option class="column-title gentextcolor">------ <?= _ROWS ?> <?= _SIDEBARS ?> ------</option>

<?php if ($rowonesidebars == 'Left' or $rowonesidebars == 'Both') { ?>
<option value="Row One Left"><?= _ROWONE ?>     <?= _LEFT ?></option>
<?php }
if ($rowonesidebars == 'Right' or $rowonesidebars == 'Both') { ?>
<option value="Row One Right"><?= _ROWONE ?>     <?= _RIGHT ?></option>
<?php }

if ($rowtwosidebars == 'Left' or $rowtwosidebars == 'Both') { ?>
<option value="Row Two Left"><?= _ROWTWO ?>     <?= _LEFT ?></option>
<?php }
if ($rowtwosidebars == 'Right' or $rowtwosidebars == 'Both') { ?>
<option value="Row Two Right"><?= _ROWTWO ?>     <?= _RIGHT ?></option>
<?php }

if ($rowthreesidebars == 'Left' or $rowthreesidebars == 'Both') { ?>
<option value="Row Three Left"><?= _ROWTHREE ?>     <?= _LEFT ?></option>
<?php }
if ($rowthreesidebars == 'Right' or $rowthreesidebars == 'Both') { ?>
<option value="Row Three Right"><?= _ROWTHREE ?>     <?= _RIGHT ?></option>
<?php }

if ($rowfoursidebars == 'Left' or $rowfoursidebars == 'Both') { ?>
<option value="Row Four Left"><?= _ROWFOUR ?>     <?= _LEFT ?></option>
<?php }
if ($rowfoursidebars == 'Right' or $rowfoursidebars == 'Both') { ?>
<option value="Row Four Right"><?= _ROWFOUR ?>     <?= _RIGHT ?></option>
<?php }

if ($rowfivesidebars == 'Left' or $rowfivesidebars == 'Both') { ?>
<option value="Row Five Left"><?= _ROWFIVE ?>     <?= _LEFT ?></option>
<?php }
if ($rowfivesidebars == 'Right' or $rowfivesidebars == 'Both') { ?>
<option value="Row Five Right"><?= _ROWFIVE ?>     <?= _RIGHT ?></option>
<?php }

if ($rowsixsidebars == 'Left' or $rowsixsidebars == 'Both') { ?>
<option value="Row Six Left"><?= _ROWSIX ?>     <?= _LEFT ?></option>
<?php }
if ($rowsixsidebars == 'Right' or $rowsixsidebars == 'Both') { ?>
<option value="Row Six Right"><?= _ROWSIX ?>     <?= _RIGHT ?></option>
<?php }

if ($rowsevensidebars == 'Left' or $rowsevensidebars == 'Both') { ?>
<option value="Row Seven Left"><?= _ROWSEVEN ?>     <?= _LEFT ?></option>
<?php }
if ($rowsevensidebars == 'Right' or $rowsevensidebars == 'Both') { ?>
<option value="Row Seven Right"><?= _ROWSEVEN ?>     <?= _RIGHT ?></option>
<?php }

if ($roweightsidebars == 'Left' or $roweightsidebars == 'Both') { ?>
<option value="Row Eight Left"><?= _ROWEIGHT ?>     <?= _LEFT ?></option>
<?php }
if ($roweightsidebars == 'Right' or $roweightsidebars == 'Both') { ?>
<option value="Row Eight Right"><?= _ROWEIGHT ?>     <?= _RIGHT ?></option>
<?php }

if ($rowninesidebars == 'Left' or $rowninesidebars == 'Both') { ?>
<option value="Row Nine Left"><?= _ROWNINE ?>     <?= _LEFT ?></option>
<?php }

if ($rowninesidebars == 'Right' or $rowninesidebars == 'Both') { ?>
<option value="Row Nine Right"><?= _ROWNINE ?>     <?= _RIGHT ?></option>
<?php }

if ($rowtensidebars == 'Left' or $rowtensidebars == 'Both') { ?>
<option value="Row Ten Left"><?= _ROWTEN ?>     <?= _LEFT ?></option>
<?php }
if ($rowtensidebars == 'Right' or $rowtensidebars == 'Both') { ?>
<option value="Row Ten Right"><?= _ROWTEN ?>     <?= _RIGHT ?></option>
<?php }

if ($rowelevensidebars == 'Left' or $rowelevensidebars == 'Both') { ?>
<option value="Row Eleven Left"><?= _ROWELEVEN ?>     <?= _LEFT ?></option>
<?php }
if ($rowelevensidebars == 'Right' or $rowelevensidebars == 'Both') { ?>
<option value="Row Eleven Right"><?= _ROWELEVEN ?>     <?= _RIGHT ?></option>
<?php }

if ($rowtwelvesidebars == 'Left' or $rowtwelvesidebars == 'Both') { ?>
<option value="Row Twelve Left"><?= _ROWTWELVE ?>     <?= _LEFT ?></option>
<?php }
if ($rowtwelvesidebars == 'Right' or $rowtwelvesidebars == 'Both') { ?>
<option value="Row Twelve Right"><?= _ROWTWELVE ?>     <?= _RIGHT ?></option>
<?php } ?>

</select></p>

<p class="left"><strong><?= _PHOTOORIMAGE ?></strong><br>
<select name="flipcardback">
<option><?= $flipcardback ?></option>
<option value="Photo">Photo</option>
<option value="Image">Image</option>
</select>
</p>

<p class="left"><strong><?= _IFPHOTO ?></strong><br>
<input style="background:#f1f1f1; width:50%;" type="text" name="photo" value="<?= $photo ?>">
</p>

<p class="left"><strong><?= _IF_IMAGE_ ?></strong><br>
<input style="background:#f1f1f1; width:50%;" type="text" name="backimage" value="<?= $backimage ?>">
</p>

<p class="left"><strong><?= _BACKFIRST_ ?>:</strong><br>
<input style="background:#f1f1f1; width:100px;" type="text" name="backcolorfirst" value="<?= $backcolorfirst ?>">
</p>

<p class="left"><strong><?= _BACKSECOND_ ?>:</strong><br>
<input style="background:#f1f1f1; width:100px;" type="text" name="backcolorsecond" value="<?= $backcolorsecond ?>">
</p>

<h3 class="center"><?= _SITSINCONTAINER ?></h3>

<p class="left"><strong><?= _CONTAINERFIRSTCOLOR ?>:</strong><br>
<input style="background:#f1f1f1; width:100px;" type="text" name="containercolorfirst" value="<?= $containercolorfirst ?>">
</p>

<p class="left"><strong><?= _CONTAINERSECONDCOLOR ?>:</strong><br>
<input style="background:#f1f1f1; width:100px;" type="text" name="containercolorsecond" value="<?= $containercolorsecond ?>">
</p>

<p class="left"><strong><?= _SETHEIGHT ?> (<?= _SIDEBARPOSITION ?>)</strong><br>
<select name="setheight">
<option><?= $setheight ?></option>
<option value="200px">200px</option>
<option value="210px">210px</option>
<option value="220px">220px</option>
<option value="230px">230px</option>
<option value="240px">240px</option>
<option value="250px">250px</option>
<option value="260px">260px</option>
<option value="270px">270px</option>
<option value="280px">280px</option>
<option value="290px">290px</option>
<option value="300px">300px</option>
<option value="310px">310px</option>
<option value="320px">320px</option>
<option value="330px">330px</option>
<option value="340px">340px</option>
<option value="350px">350px</option>
<option value="360px">360px</option>
<option value="370px">370px</option>
<option value="380px">380px</option>
<option value="390px">390px</option>
<option value="400px">400px</option>
<option value="410px">410px</option>
<option value="420px">420px</option>
<option value="430px">430px</option>
<option value="440px">440px</option>
<option value="450px">450px</option>
<option value="460px">460px</option>
<option value="470px">470px</option>
<option value="480px">480px</option>
<option value="490px">490px</option>
<option value="500px">500px</option>
<option value="510px">510px</option>
<option value="520px">520px</option>
<option value="530px">530px</option>
<option value="540px">540px</option>
<option value="550px">550px</option>
<option value="560px">560px</option>
<option value="570px">570px</option>
<option value="580px">580px</option>
<option value="590px">590px</option>
<option value="600px">600px</option>
</select>
</p>

<p class="left"><strong><?= _DESCRIPTION ?>: (<?= _OPTIONAL ?> - <?= _SEO ?>)</strong><br>
<input name="description" value="<?= $description ?>" style="width:100%">
</p>

<p class="left"><strong><?= _KEYWORDS ?>: (<?= _OPTIONAL ?> - <?= _SEPARATEWITHCOMMAS ?>)</strong><br>
<input name="keywords" value="<?= $keywords ?>" style="width:100%">
</p>

<br>

<p class="left"><strong><?= _CONTENT ?>: (<?= _CHANGEFONTCOLOR ?>)</strong><br>
<textarea id="editor" type="text" name="content"><?= $content ?></textarea>
</p>

</div>
</div>

</form>

<?php require_once 'footer.php';