<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
require_once 'savegallery.php';
closenav();

if (isset($_GET['edit'])) {
$id = $_GET['edit'];
$update = true;
$record = mysqli_query($db, "SELECT * FROM galleries WHERE id=$id"); {
$n = mysqli_fetch_array($record);
$ifused = $n['ifused'];
$title = $n['title'];
$addtxt = $n['addtxt'];
$cardback = $n['cardback'];
$description = $n['description'];
$keywords = $n['keywords']; }} ?>

<link rel="stylesheet" type="text/css" href="css/pageeditor.css">
<br>
<?php require_once 'gallerymenu.php'; ?>
<br><br><br>

<div class="spacer column-title">
<h1 class="center coltitlecolor"><i style="font-size:28px" class="fa fa-picture-o"></i> <?= _GALLERYMGTTOOLS ?></h1>
</div>
<div class="card noborder">
<?php $results = mysqli_query($db, "SELECT * FROM galleries"); ?>

<form method="post" action="savegallery.php" class="noborder">

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">

<p class="center"><?= _BUILDEDITGALLERY ?></p>

<style>
.responsiveL {
width: 25%; }

.responsiveL {
width: 75%; }

.responsiveR {
width: 24%; }

@media(max-width:600px) {

.responsiveL,
.responsiveR {
width: 100%; }}
</style>

<table>
<tr style="border:0">
<td class="top card noborder responsiveL">

<p class="center"><?= _ADDTEXTIFANY ?></p>
<textarea name="addtxt" id="editor"><?= htmlentities($addtxt, ENT_QUOTES) ?></textarea>

</td>
<td class="responsiveR card noborder spacer top">

<p class="center"><strong>&quot;<?= $title ?>&quot;</strong></p>

<p class="left"><strong><?= _USETHISGALLERY ?> </strong>
<select name="ifused">
<option><?= $ifused ?></option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>

<p class="center"><strong> <?= _FOLDERNAME ?> </strong></p>
<input type="text" name="title" style="width:100%" maxlength="25" size="25" value="<?= $title ?>">
<p class="left"><?= _FOLDERNAMEINFO ?></p>

<p class="center"><strong> <?= _CARDBACKGROUND ?> </strong></p>
<input type="text" name="cardback" style="width:100%" maxlength="25" size="25" value="<?= $cardback ?>">
<p class="left"><?= _CARDBACKINFO ?></p>
<p class="center"><?= _SEO ?>
<p class="center"><strong> <?= _DESCRIPTION ?> </strong></p>
<input type="text" name="description" style="width:100%" value="<?= $description ?>">
<p class="left"><?= _DESCRIPTIONINFO ?></p>

<p class="center"><strong> <?= _META_TAGS ?> </strong></p>
<input type="text" name="keywords" style="width:100%" value="<?= $keywords ?>">
<p class="left"><?= _META_TAGSINFO ?>.</p>

<?php updatepublish(); ?>

</div>
</div>

</td>
</tr>
</table>

</form>
</div>
<?php require_once 'footer.php';