<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once '../functions.php';
if (isset($_POST['Submit'])) {
$fp_sidebars = mysqli_real_escape_string($conn, $_POST['fp_sidebars']);
$fp_useback = mysqli_real_escape_string($conn, $_POST['fp_useback']);
$fp_padding = mysqli_real_escape_string($conn, $_POST['fp_padding']);
$fp_border = mysqli_real_escape_string($conn, $_POST['fp_border']);
$fp_boxshadow = mysqli_real_escape_string($conn, $_POST['fp_boxshadow']);
$fp_radius = mysqli_real_escape_string($conn, $_POST['fp_radius']);
$fp_library = mysqli_real_escape_string($conn, $_POST['fp_library']);
$fp_setrow = mysqli_real_escape_string($conn, $_POST['fp_setrow']);
$fp_oncanvas_sidebars = mysqli_real_escape_string($conn, $_POST['fp_oncanvas_sidebars']);
$fp_leftwidth = mysqli_real_escape_string($conn, $_POST['fp_leftwidth']);
$fp_rightwidth = mysqli_real_escape_string($conn, $_POST['fp_rightwidth']);
$fp_showuserinfo = mysqli_real_escape_string($conn, $_POST['fp_showuserinfo']); }

$update = "UPDATE config_fp SET 
fp_sidebars='$fp_sidebars', 
fp_useback='$fp_useback', 
fp_padding='$fp_padding', 
fp_border='$fp_border', 
fp_boxshadow='$fp_boxshadow', 
fp_radius='$fp_radius',   
fp_library='$fp_library', 
fp_setrow='$fp_setrow', 
fp_oncanvas_sidebars='$fp_oncanvas_sidebars', 
fp_leftwidth='$fp_leftwidth', 
fp_rightwidth='$fp_rightwidth', 
fp_showuserinfo='$fp_showuserinfo'
";

echo '<br>';

$conn->query($update) or die("Cannot update");

$ip = getenv('REMOTE_ADDR', true) ?: getenv('REMOTE_ADDR');
if ($update) {
require_once '../update.php'; }