<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

require_once '../functions.php';

if (isset($_POST['Submit'])) {
$use_downloads = mysqli_real_escape_string($conn, $_POST['use_downloads']);
$download_icon = mysqli_real_escape_string($conn, $_POST['download_icon']);
$download_icon_color = mysqli_real_escape_string($conn, $_POST['download_icon_color']);
$downloads_public = mysqli_real_escape_string($conn, $_POST['downloads_public']);
$columnnumber = mysqli_real_escape_string($conn, $_POST['columnnumber']);
$moduleheight = mysqli_real_escape_string($conn, $_POST['moduleheight']);
$homepagecontent = mysqli_real_escape_string($conn, $_POST['homepagecontent']);
$usedownloadscounter = mysqli_real_escape_string($conn, $_POST['usedownloadscounter']);
}

$update = "UPDATE downloadconfig SET 
use_downloads='$use_downloads', 
download_icon='$download_icon', 
download_icon_color='$download_icon_color', 
downloads_public='$downloads_public', 
columnnumber='$columnnumber', 
moduleheight='$moduleheight', 
homepagecontent='$homepagecontent', 
usedownloadscounter='$usedownloadscounter' 
"; ?>

<br>

<?php $conn->query($update) or die("Cannot update");

$ip = getenv('REMOTE_ADDR', true) ?: getenv('REMOTE_ADDR');

if ($update) {

require_once '../update.php'; }
