<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once '../functions.php';

if (isset($_POST['Submit'])) {
$album_name = mysqli_real_escape_string($conn, $_POST['album_name']);
$sub_text = mysqli_real_escape_string($conn, $_POST['sub_text']);
$hdr_size = mysqli_real_escape_string($conn, $_POST['hdr_size']);
$album_font = mysqli_real_escape_string($conn, $_POST['album_font']);
$colorboxtheme = mysqli_real_escape_string($conn, $_POST['colorboxtheme']);
$whichmenu = mysqli_real_escape_string($conn, $_POST['whichmenu']);
$img_padding = mysqli_real_escape_string($conn, $_POST['img_padding']);
$img_bg_color = mysqli_real_escape_string($conn, $_POST['img_bg_color']);
$img_bg_color_second = mysqli_real_escape_string($conn, $_POST['img_bg_color_second']);
$img_text_color = mysqli_real_escape_string($conn, $_POST['img_text_color']);
$img_text_size = mysqli_real_escape_string($conn, $_POST['img_text_size']);
$img_outside_border_color = mysqli_real_escape_string($conn, $_POST['img_outside_border_color']);
$img_outside_border_width = mysqli_real_escape_string($conn, $_POST['img_outside_border_width']);
$img_outside_border_style = mysqli_real_escape_string($conn, $_POST['img_outside_border_style']);
$img_inside_border_color = mysqli_real_escape_string($conn, $_POST['img_inside_border_color']);
$img_inside_border_width = mysqli_real_escape_string($conn, $_POST['img_inside_border_width']);
$img_inside_border_style = mysqli_real_escape_string($conn, $_POST['img_inside_border_style']);
$use_img_bg = mysqli_real_escape_string($conn, $_POST['use_img_bg']);
$img_bg_image = mysqli_real_escape_string($conn, $_POST['img_bg_image']);
$img_radius = mysqli_real_escape_string($conn, $_POST['img_radius']);
$img_inner_shadow = mysqli_real_escape_string($conn, $_POST['img_inner_shadow']);
$img_inner_radius = mysqli_real_escape_string($conn, $_POST['img_inner_radius']);
$img_inner_shadow_color = mysqli_real_escape_string($conn, $_POST['img_inner_shadow_color']);
$img_caption_bg = mysqli_real_escape_string($conn, $_POST['img_caption_bg']);
$img_caption_color = mysqli_real_escape_string($conn, $_POST['img_caption_color']);
$captionpadding = mysqli_real_escape_string($conn, $_POST['captionpadding']);
$theme = mysqli_real_escape_string($conn, $_POST['theme']); }

$update = "UPDATE gallery_config SET 
album_name='$album_name',
sub_text='$sub_text',
hdr_size='$hdr_size', 
album_font='$album_font', 
colorboxtheme='$colorboxtheme', 
whichmenu='$whichmenu',
img_padding='$img_padding',
img_bg_color='$img_bg_color',
img_bg_color_second='$img_bg_color_second',
img_text_color='$img_text_color',
img_text_size='$img_text_size',
img_outside_border_color='$img_outside_border_color',
img_outside_border_width='$img_outside_border_width',
img_outside_border_style='$img_outside_border_style',
img_inside_border_color='$img_inside_border_color',
img_inside_border_width='$img_inside_border_width',
img_inside_border_style='$img_inside_border_style',
use_img_bg='$use_img_bg',
img_bg_image='$img_bg_image',
img_radius='$img_radius',
img_inner_shadow='$img_inner_shadow',
img_inner_radius='$img_inner_radius',
img_inner_shadow_color='$img_inner_shadow_color',
img_caption_bg='$img_caption_bg',
img_caption_color='$img_caption_color',
captionpadding='$captionpadding',
theme='$theme'
"; ?>

<br><br>

<?php $conn->query($update) or die("Cannot update");

$ip = getenv('REMOTE_ADDR', true) ?: getenv('REMOTE_ADDR');

if ($update) {

require_once '../update.php'; }