<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

require_once '../functions.php';

if (isset($_POST['Submit'])) {
$quicklinks_sidebar = mysqli_real_escape_string($conn, $_POST['quicklinks_sidebar']);
$quicklinks_title = mysqli_real_escape_string($conn, $_POST['quicklinks_title']);
$quicklinks_title_icon = mysqli_real_escape_string($conn, $_POST['quicklinks_title_icon']);
$quicklinks_title_icon_color = mysqli_real_escape_string($conn, $_POST['quicklinks_title_icon_color']);
$calendar_sidebar = mysqli_real_escape_string($conn, $_POST['calendar_sidebar']);
$calendar_title = mysqli_real_escape_string($conn, $_POST['calendar_title']);
$calendar_title_icon = mysqli_real_escape_string($conn, $_POST['calendar_title_icon']);
$calendar_title_icon_color = mysqli_real_escape_string($conn, $_POST['calendar_title_icon_color']);
$categories_sidebar = mysqli_real_escape_string($conn, $_POST['categories_sidebar']);
$categories_block_height = mysqli_real_escape_string($conn, $_POST['categories_block_height']);
$categories_title = mysqli_real_escape_string($conn, $_POST['categories_title']);
$categories_title_icon = mysqli_real_escape_string($conn, $_POST['categories_title_icon']);
$categories_title_icon_color = mysqli_real_escape_string($conn, $_POST['categories_title_icon_color']);
$clock_sidebar = mysqli_real_escape_string($conn, $_POST['clock_sidebar']);
$clock_title = mysqli_real_escape_string($conn, $_POST['clock_title']);
$clock_title_icon = mysqli_real_escape_string($conn, $_POST['clock_title_icon']);
$clock_title_icon_color = mysqli_real_escape_string($conn, $_POST['clock_title_icon_color']);
$tags_sidebar = mysqli_real_escape_string($conn, $_POST['tags_sidebar']);
$tagcloud_title = mysqli_real_escape_string($conn, $_POST['tagcloud_title']);
$tagcloud_title_icon = mysqli_real_escape_string($conn, $_POST['tagcloud_title_icon']);
$tagcloud_title_icon_color = mysqli_real_escape_string($conn, $_POST['tagcloud_title_icon_color']);
$tagcloud_block_height = mysqli_real_escape_string($conn, $_POST['tagcloud_block_height']);
$spotlight_sidebar = mysqli_real_escape_string($conn, $_POST['spotlight_sidebar']);
$spotlight_title = mysqli_real_escape_string($conn, $_POST['spotlight_title']);
$spotlight_title_icon = mysqli_real_escape_string($conn, $_POST['spotlight_title_icon']);
$spotlight_title_icon_color = mysqli_real_escape_string($conn, $_POST['spotlight_title_icon_color']);
$spotlight_block_height = mysqli_real_escape_string($conn, $_POST['spotlight_block_height']);
$archivesidebar = mysqli_real_escape_string($conn, $_POST['archivesidebar']);
$archivetitle = mysqli_real_escape_string($conn, $_POST['archivetitle']);
$archivetitle_icon = mysqli_real_escape_string($conn, $_POST['archivetitle_icon']);
$archivetitle_icon_color = mysqli_real_escape_string($conn, $_POST['archivetitle_icon_color']);
$archiveheight = mysqli_real_escape_string($conn, $_POST['archiveheight']);
$archiveposition = mysqli_real_escape_string($conn, $_POST['archiveposition']);
$calendarposition = mysqli_real_escape_string($conn, $_POST['calendarposition']);
$categoriesposition = mysqli_real_escape_string($conn, $_POST['categoriesposition']);
$tagcloudposition = mysqli_real_escape_string($conn, $_POST['tagcloudposition']);
$spotlightposition = mysqli_real_escape_string($conn, $_POST['spotlightposition']);
$quicklinksposition = mysqli_real_escape_string($conn, $_POST['quicklinksposition']);
$showarchivestitle = mysqli_real_escape_string($conn, $_POST['showarchivestitle']);
$showcalendartitle = mysqli_real_escape_string($conn, $_POST['showcalendartitle']);
$showcategoriestitle = mysqli_real_escape_string($conn,$_POST['showcategoriestitle']);
$showtagcloudtitle = mysqli_real_escape_string($conn, $_POST['showtagcloudtitle']);
$showspotlighttitle = mysqli_real_escape_string($conn, $_POST['showspotlighttitle']);
$showquicklinkstitle = mysqli_real_escape_string($conn, $_POST['showquicklinkstitle']);
$showclocktitle = mysqli_real_escape_string($conn, $_POST['showclocktitle']);
$clockposition = mysqli_real_escape_string($conn, $_POST['clockposition']);
$archivestitle = mysqli_real_escape_string($conn, $_POST['archivestitle']);
$calendartitle = mysqli_real_escape_string($conn, $_POST['calendartitle']);
$categorytitle = mysqli_real_escape_string($conn, $_POST['categorytitle']);
$clocktitle = mysqli_real_escape_string($conn, $_POST['clocktitle']);
$tagcloudtitle = mysqli_real_escape_string($conn, $_POST['tagcloudtitle']);
$spotlighttitle = mysqli_real_escape_string($conn, $_POST['spotlighttitle']);
$quicklinktitle = mysqli_real_escape_string($conn, $_POST['quicklinktitle']);
$usesearch = mysqli_real_escape_string($conn, $_POST['usesearch']);
$googlecode = mysqli_real_escape_string($conn, $_POST['googlecode']);
$position = mysqli_real_escape_string($conn, $_POST['position']);
$showstats = mysqli_real_escape_string($conn, $_POST['showstats']);
$statstitle = mysqli_real_escape_string($conn, $_POST['statstitle']); 
$statstitlename = mysqli_real_escape_string($conn, $_POST['statstitlename']); 
$showstatstitle = mysqli_real_escape_string($conn, $_POST['showstatstitle']);
$statsposition = mysqli_real_escape_string($conn, $_POST['statsposition']);
$previewthemes = mysqli_real_escape_string($conn, $_POST['previewthemes']);
$scrollstatdownload = mysqli_real_escape_string($conn, $_POST['scrollstatdownload']);
$themeheight = mysqli_real_escape_string($conn, $_POST['themeheight']); 
$themetitle = mysqli_real_escape_string($conn, $_POST['themetitle']); 
$themetitlestyle = mysqli_real_escape_string($conn, $_POST['themetitlestyle']);
$themeposition = mysqli_real_escape_string($conn, $_POST['themeposition']); }

$update = "UPDATE plugins SET 
quicklinks_sidebar='$quicklinks_sidebar', 
quicklinks_title='$quicklinks_title', 
quicklinks_title_icon='$quicklinks_title_icon', 
quicklinks_title_icon_color='$quicklinks_title_icon_color', 
calendar_sidebar='$calendar_sidebar', 
calendar_title='$calendar_title', 
calendar_title_icon='$calendar_title_icon', 
calendar_title_icon_color='$calendar_title_icon_color', 
categories_sidebar='$categories_sidebar', 
categories_title='$categories_title', 
categories_title_icon='$categories_title_icon', 
categories_title_icon_color='$categories_title_icon_color', 
clock_sidebar='$clock_sidebar', 
clock_title='$clock_title', 
clock_title_icon='$clock_title_icon', 
clock_title_icon_color='$clock_title_icon_color', 
tags_sidebar='$tags_sidebar', 
tagcloud_title='$tagcloud_title', 
tagcloud_title_icon='$tagcloud_title_icon', 
tagcloud_title_icon_color='$tagcloud_title_icon_color', 
spotlight_sidebar='$spotlight_sidebar', 
spotlight_title='$spotlight_title', 
spotlight_title_icon='$spotlight_title_icon', 
spotlight_title_icon_color='$spotlight_title_icon_color', 
spotlight_block_height='$spotlight_block_height', 
categories_block_height='$categories_block_height', 
tagcloud_block_height='$tagcloud_block_height', 
archivesidebar='$archivesidebar',
archivetitle='$archivetitle', 
archivetitle_icon='$archivetitle_icon', 
archivetitle_icon_color='$archivetitle_icon_color', 
archiveheight='$archiveheight', 
archiveposition='$archiveposition', 
calendarposition='$calendarposition', 
categoriesposition='$categoriesposition', 
tagcloudposition='$tagcloudposition', 
spotlightposition='$spotlightposition', 
quicklinksposition='$quicklinksposition', 
showarchivestitle='$showarchivestitle', 
showcalendartitle='$showcalendartitle', 
showcategoriestitle='$showcategoriestitle', 
showtagcloudtitle='$showtagcloudtitle', 
showspotlighttitle='$showspotlighttitle', 
showquicklinkstitle='$showquicklinkstitle', 
showclocktitle='$showclocktitle', 
clockposition='$clockposition', 
archivestitle='$archivestitle', 
calendartitle='$calendartitle', 
categorytitle='$categorytitle', 
clocktitle='$clocktitle', 
tagcloudtitle='$tagcloudtitle', 
spotlighttitle='$spotlighttitle', 
quicklinktitle='$quicklinktitle', 
usesearch='$usesearch', 
googlecode='$googlecode',
position='$position', 
showstats='$showstats', 
statstitle='$statstitle', 
statstitlename='$statstitlename', 
showstatstitle='$showstatstitle', 
statsposition='$statsposition', 
previewthemes='$previewthemes', 
scrollstatdownload='$scrollstatdownload', 
themeheight='$themeheight', 
themetitle='$themetitle', 
themetitlestyle='$themetitlestyle', 
themeposition='$themeposition'
"; ?>

<br>

<?php $conn->query($update) or die("Cannot update");

$ip = getenv('REMOTE_ADDR', true) ?: getenv('REMOTE_ADDR');

if ($update) {

require_once '../update.php'; }