<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

require_once '../functions.php';

if (isset($_POST['Submit'])) {
$styleboxcolor = mysqli_real_escape_string($conn, $_POST['styleboxcolor']);
$stylebuttoncolor = mysqli_real_escape_string($conn, $_POST['stylebuttoncolor']);
$styletextcolor = mysqli_real_escape_string($conn, $_POST['styletextcolor']);
$styleboxshadow = mysqli_real_escape_string($conn, $_POST['styleboxshadow']);
$stylesecondcolor = mysqli_real_escape_string($conn, $_POST['stylesecondcolor']);
$stylefirstcolor = mysqli_real_escape_string($conn, $_POST['stylefirstcolor']);
$placeimage = mysqli_real_escape_string($conn, $_POST['placeimage']);
$styleimage = mysqli_real_escape_string($conn, $_POST['styleimage']);
$styleboxopacity = mysqli_real_escape_string($conn, $_POST['styleboxopacity']);
$addcopyright = mysqli_real_escape_string($conn, $_POST['addcopyright']);
$stylelogofont = mysqli_real_escape_string($conn, $_POST['stylelogofont']);
$stylelogosize = mysqli_real_escape_string($conn, $_POST['stylelogosize']);
$boxwidth = mysqli_real_escape_string($conn, $_POST['boxwidth']);
$stylebuttontextcolor = mysqli_real_escape_string($conn, $_POST['stylebuttontextcolor']);
$styletop = mysqli_real_escape_string($conn, $_POST['styletop']);
$topimage = mysqli_real_escape_string($conn, $_POST['topimage']);
$topmessage = mysqli_real_escape_string($conn, $_POST['topmessage']);
$topheight = mysqli_real_escape_string($conn, $_POST['topheight']);
$inputfirstcolor = mysqli_real_escape_string($conn, $_POST['inputfirstcolor']); 
$inputsecondcolor = mysqli_real_escape_string($conn, $_POST['inputsecondcolor']);
$inputtextcolor = mysqli_real_escape_string($conn, $_POST['inputtextcolor']);
$styletopfirstcolor = mysqli_real_escape_string($conn, $_POST['styletopfirstcolor']); 
$styletopsecondcolor = mysqli_real_escape_string($conn, $_POST['styletopsecondcolor']);
$whichback = mysqli_real_escape_string($conn, $_POST['whichback']);
$videoname = mysqli_real_escape_string($conn, $_POST['videoname']); }

$update = "UPDATE style SET 
styleboxcolor='$styleboxcolor', 
stylebuttoncolor='$stylebuttoncolor', 
styletextcolor='$styletextcolor', 
styleboxshadow='$styleboxshadow', 
stylesecondcolor='$stylesecondcolor', 
stylefirstcolor='$stylefirstcolor', 
styleimage='$styleimage', 
placeimage='$placeimage', 
styleboxopacity='$styleboxopacity',  
addcopyright='$addcopyright', 
stylelogofont='$stylelogofont', 
stylelogosize='$stylelogosize', 
boxwidth='$boxwidth', 
stylebuttontextcolor='$stylebuttontextcolor', 
styletop='$styletop', 
topimage='$topimage', 
topmessage='$topmessage', 
topheight='$topheight', 
inputfirstcolor='$inputfirstcolor', 
inputsecondcolor='$inputsecondcolor', 
inputtextcolor='$inputtextcolor', 
styletopfirstcolor='$styletopfirstcolor', 
styletopsecondcolor='$styletopsecondcolor',
whichback='$whichback', 
videoname='$videoname'"; ?>

<?php $conn->query($update) or die("Cannot update");

$ip = getenv('REMOTE_ADDR', true) ?: getenv('REMOTE_ADDR');

if ($update) {

require_once '../update.php'; }