<?php
/**
 * Spectra is software designed to build a website.
 * PHP version 8+
 * 
 * @category  OpenSource
 * @package   Spectra
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

// Language Pack English
// General Items ---------------------

define('_USEPAGE','Use This Page');
define('_CHANGEFONTCOLOR','Be sure to choose a font color that can be seen on the background you chose.');
define('_REPOSITIONPAGES','Reposition pages within menu columns.<br>Drag a page up or down within the same column.<br>To change the pages menu location click Edit.');
define('_TOTALACTIVE','Total Active Pages');
define('_TOTALINACTIVE','Total Inactive Pages');
define('_FILETOOLARGE','File is too large.');
define('_FAILEDTOUPLOAD','File failed to upload.');
define('_GETTING_STARTED','
<ul class="left gentextcolor">Steps To Getting Started:
<li>Configure the module.</li>
<li>Add downloads categories.</li>
<li>Create downloads pages.</li>
<li>Last, start adding downloads.</li>
</ul>');
define('_FULLARTICLES','Full articles are located in the article module.<br>Mini articles can be positioned in any sidebar on the home page.');
define('_WINDOWSCROLLS','window scrolls');
define('_USEMINI','Position this Mini article');
define('_MINIINFO','The mini articles are good for poetry or small articles.');
define('_CHOOSEFULLMINI','Choose Full or Mini Article');
define('_IFMINI','If Mini is selected you can place an optional icon beside the title.');
define('_TEASERTEXT_','Enter the teaser text: (mini articles only)');
define('_ICONCODE','Enter fontawesome icon code: (mini articles only)');
define('_ICON_COLOR_','Enter fontawesome icon color: (mini articles only)');
define('_SET_HEIGHT_','Set Container Height (window scrolls)');
define('_ENTER_TITLE','Enter Mini Articles Block Title:');
define('_MUSTBESET_','must be set');
define('_CLICKTOOPEN','Click To Open If Mini Was Selected');
define('_SETTINGSINTHISWINDOW','Setting in this window are for Mini articles only.');
define('_MINIOPTIONAL','Optional For Mini Articles Only');
define('_CHOOSEIMAGEORICON','Choose Image or font awesome Icon.');
define('_SETIMAGESIZE','Set the size of the Image.');
define('_SETICONSIZE','Set the size of the Icon.');
define('_MUSTBESET','set to Yes if using position "Row One Top Articles"');
define('_MUSTBEUSED','If "Row One Top Articles" is used then pagination must also be used.');
define('_PAGINATIONMUSTBEUSED','When the articles block is placed in a row that uses sidebars, the pagination feature must be used.');
define('_CONTENTADDED','Content added to the sidebars using the editors below will show at the top above blocks and sniplets.');
define('_TOPARTICLELEFT','Top Article Left');
define('_TOPARTICLERIGHT','Top Article Right');
define('_PLACECONTENT','Place content in the sidebars using the Block Builder and Sniplet Builder');
define('_OPTIONALSIDEBARS','Optional Sidebars');
define('_LIKES','Likes');
define('_USELIKES','Use Likes');
define('_NOTSET','Not Set');
define('_CLICK_COPY','Click To Copy');
define('_COPYANDPASTE','Click on the shadow value to copy then paste it into the box-shadow input box.');
define('_OPTIONALTITLE','Optional Article Block Title: (identifies the content of the articles block)');
define('_SETTINGSFORLOCATION','Settings For Location &quot;Row One Top Articles&quot; <u>Only</u>');
define('_IFCHOSEN','If &quot;Row One Top Articles&quot; was chosen select how many articles to show in a row.');
define('_SELECTSTANDARDHEIGHT','If Row One Top Articles was chosen select the standard height of the articles.<br>If showing 1 article per row the option auto can be selected.');
define('_POSITIONCONTENT','Position content at top in sidebar?');
define('_LOGOSARESTYLED','The logo and sub-logo are styled in the individual themes.');
define('_VIDEOLOCATION','Place Video in video folder. (must be mp4 enter name only ex: myvideo)');
define('_IFUSING_IMAGE','If using an image, choose fixed or scroll.');
define('_IFUSING_VIDEO','If using a video do not choose 1');
define('_PLACEINVIDEOFOLDER','(place in videos folder and enter name only. Must be mp4.)');
define('_VIDEOIMAGE','Video Image: (leave blank if not using)');
define('_CANNOTBE_USED','Video backgrounds cannot be used if placing this Block in a sidebar.');
define('_VIDEOPARA','<p class="left">Video backgrounds are best used in a row/layer with 1, 2, or 3 blocks per row.<br>The video does not expand to cover the content entered in that block.<br>If content is larger than the video the content will show outside of the video. This is especially true on mobile devices where all of the content will fall below the video for better viewing.<br><br><strong>Video (if used place in videos folder. Must be .mp4 enter name only ex: clouds)</strong></p>');
define('_MUSTBEASSIGNED','plugins must be assigned to the library');
define('_IFIMAGECHOSEN','* If Image was chosen and if using the themes background image then leave the next option blank.');
define('_SHOWAUTHORDATE','Show Author and Date in Footer?');
define('_ONLYIFSHOWPERROW','Only if show per row is greater than 1.');
define('_FORSEO','For SEO Use (Search Engine Optimization)');
define('_THEMEDESCRIPTION','Theme Description (optional) Plain text only no punctuation.');
define('_THEMEKEYWORDS','Theme Keywords (optional) Separate with commas.');
define('_IFIMGISLARGER','If the image is larger than the sniplet height, the container(s) will resize automatically.');
define('_SNIPLETIMGSIZE','Sniplet Image Size');
define('_QUICKSTART','Quick Start Guide');
define('_MEMBER','Member');
define('_WHOCANSEE','Set who can see this.');
define('_TOTALVIDEOS','Total All Videos');
define('_SPOTLIGHTVIDEOS','Spotlight Videos');
define('_NOTINSPOTLIGHT','Not in Spotlight Videos');
define('_ARCHIVEDVIDEOS','Archived Videos');
define('_FORARCHIVINGVIDEO','Instructions For Archiving a Video');
define('_SETSHOWVIDEOTONO','Set Show Video to \'No\'');
define('_SETCHOOSELOCATION','Set Choose Location to \'Video Archive\'');
define('_SETSPOTLIGHTTONO','Set Spotlight to \'No\'');
define('_SETARCHIVETOYES','Set Archive to \'Yes\'');
define('_SIDEBARPOSITION','Sidebar Position Only');
define('_WILLCONFIGMOD','This will configure the video module.');
define('_VIDEOARCHIVEPAGE','Video Archive Page');
define('_IMAGEORVIDEO','Set the placeholder Image or Video');
define('_ONTHESCREENBEFORE','What is on the screen before a video choice is made.');
define('_PLACEINVIDEOSFOLDER','Place in videos folder (enter name only ex: back.jpg or if video, video.mp4)');
define('_MUSTBEMP','Videos must be .mp4 only.');
define('_KEYWORDS','Keywords');
define('_SEO_','Aids in Search Engine Optimization');
define('_SEPARATEWITHCOMMAS','Separate with commas');
define('_PRINTTHISPAGE','Print This Page');
define('_OPENINNEWWINDOW','Open in a New Window');
define('_JUMPBOX','Jump To Settings');
define('_IFPAGINATIONUSED','Settings if Pagination <u>IS</u> used.');
define('_IFPAGINATIONNOTUSED','Settings if Pagination <u>IS NOT</u> used.');
define('_ROWSEXPLAINED','Rows Explained');
define('_PASTE','Paste');
define('_PADCONTAINER','Container Padding');
define('_CONTAINERHEIGHT','Container Height');
define('_USEBACKCOLORIMAGE','Use a background color or image?');
define('_IFCOLORFIRST','If Color enter first color.');
define('_IFCOLORSECOND','If Color enter second color.');
define('_IFIMAGE','If Image enter image name only select from images folder. (back.jpg).');
define('_JUMPTOPLUGINS','Jump To Plugin');
define('_WHENTURNEDON','When the sidebar is turned on, videos, blocks, and sniplets can be placed in them along with any content you build using the Content Builders below.');
define('_UPLOAD_SUCCESSFUL','The file uploaded successfully. Close this window and refresh your browser to continue.');
define('_FILEEXTMUSTBE','Your file extension must be');
define('_CANUSETHEME','Allow members to set their own theme?');
define('_HOVERSTRENGTH','Strength of the Hover Effect.');
define('_ZOOMIMG','Use the image zoom effect?');
define('_THEZOOMEFFECT','You can choose to use the image zoom effect for the sniplet images on mouseover.');
define('_HOVEREFFECTCAUSES','The hover effect causes a small shadow to appear on the blocks and sniplets on mouseover.');
define('_USEHOVEREFFECT','Use Hover Effect?');
define('_IMPORTTHEME','Import Themes');
define('_EXPORTTHEME','Export Themes');
define('_STATSSCROLL','The download category window scrolls, set the height of that window.');
define('_FA_ICON','Font Awesome Icon (optional).');
define('_TITLEURL','Use Title Text as a Link? If Yes Enter URL here. (If No Leave Blank).');
define('_SNIPLETRADIUS','Sniplet Image Radius: ');
define('_VIEWEDIT','View/Edit');
define('_CHOOSE_LOCATION','Choose Location. (Video Module or Sidebar)');
define('_VIDEO','Video');
define('_MODULE','Module');
define('_IMAGESIDE','Set Image Position: Choose Left or Right if placing sniplet in a row.');
define('_IMAGESIDEBAR','Set Image Position: Choose Top or Bottom if placing sniplet in a sidebar.');
define('_POSITIONPLUGINS','Position Plugins Above or Below the content created using the Sidebar Content Builder.');
define('_PLUGIN','Plugin');
define('_STATUS','Status');
define('_NOINACTIVEARTICLES','No Inactive Articles');
define('_INACTIVE','Inactive');
define('_ADDTITLE','Add Title');
define('_NOTITLE','There is no title.');
define('_CLOCK','Clock');
define('_ACTIVATE','Activate');
define('_QUICKSTATS','Quick Stats');
define('_ISROWACTIVE','Is This Row Active?');
define('_SITEMAP','Sitemap');
define('_NOT_ACTIVE','Is Not Active');
define('_TURNSIDEBARON','Turn Sidebar On');
define('_SNIPLETSINSIDEBAR','Are There Sniplets In This Sidebar?');
define('_NOOTHERCONTENT','No Other Content');
define('_ADDITIONALCONTENT','There is Content');
define('_ROWSSIDEBARCONTENT','Rows Sidebar Content');
define('_NOPLUGINS','No Plugins');
define('_HOMEPAGEBUILD','Home Page Build');
define('_BLOCKSINSIDEBAR','Are There Blocks In This Sidebar?');
define('_SET_SNIPLET_HEIGHT','Set Sniplet Height:');
define('_NUMBERSNIPLETSPERROOW','Number of Sniplets per row.');
define('_SNIPLETHEIGHT','Set Sniplet Height');
define('_SETBORDERSTYLE','Set Border Style');
define('_LAYERS','Layers');
define('_USINGSNIPLETS','Using Sniplets?');
define('_LOCATION','Location');
define('_WHENUSINGSNIPLETS','When using sniplets in a row (not sidebars) the choice can be made to position this block above or below them.<br>If a Rows Layer was chosen the next 2 options must be completed.<br>If a rows sidebar was selected you can choose to position the block above or below the content block.');
define('_ARESNIPLETSBEINGUSED','Are sniplets being used in the rows layer you chose? Skip for rows sidebars.');
define('_PLACEABOVEBELOW','Place this block Above or Below the sniplets in rows or if used in a rows sidebar Above or Below the content block.');
define('_SHOWTHISBLOCK','Show This Block?');
define('_POSITIONBLOCK','Positioning the Block');
define('_CHOOSE_POSITION','Choose the position');
define('_STYLETITLE','Style Title');
define('_ADMIN','Admin');
define('_PUBLIC','Public');
define('_ONCANVAS','On Canvas');
define('_SNIPLETSINLAYER','Are Sniplets in this layer?');
define('_TOTALSNIPLETS','Total Sniplets:');
define('_TOTALBLOCKS','Total Blocks:');
define('_BLOCKSINLAYER','Are Blocks in this layer?');
define('_LAYERCONTAINS','<div class="coltitle">This Layer Contains The Following</div>');
define('_LAYER','Layer');
define('_ARTICLES_','Are Articles Located Here?');
define('_VIDEOS_','Is The Video Module Located Here?');
define('_CANTURNLAYEROFF','This layer can be turned off.');
define('_USELAYER','Use This Layer?');
define('_DESIGN','Design');
define('_CHOOSETHEME','Choose Theme');
define('_CHOOSETOUSE','You can choose to use the Default image holder theme or Design your own.<br>If you choose Default you can skip the remainder of this page.');
define('_SELECTTHEMETYPE','Select Theme Type:');
define('_POSITIONCONTAINER','Position the text container');
define('_MENU_LOCATION','Menu Location');
define('_USEFULLTEXT','Use Sniplet Full Text?');
define('_WILLBEDISPLAYED','Will be displayed at the top of the sidebar you choose.');
define('_CANBESTYLED','The title can be styled or plain.');
define('_ONLYIF','Only if a sidebar position is chosen.');
define('_SITESTATS','Site Statistics');
define('_SHOWSTATS','Show Statistics ');
define('_STATSTITLE','Stats Title');
define('_ROWHEADER','Row Header');
define('_ROWHEADERTOP','Row Header Top');
define('_ROWHEADERMIDDLE','Row Header Middle');
define('_ROWHEADERBOTTOM','Row Header Bottom');
define('_TEASERTEXT','The teaser text is what is displayed in the sniplet container on the homepage. It is intended to make visitors curious. The full text further tells what the sniplet content is about.');
define('_TEASER_TEXT','Teaser Text');
define('_FULLTEXT','Full Text Unlimited Content');
define('_READMORE_CONTENT','Read More Content');
define('_EXAMPLESNIPLET','Example Sniplet Showing The Teaser Text');
define('_PLAINTEXT','Enter Plain Text Only:</strong>');
define('_LOGOIMGWIDTH','Logo Image Width');
define('_USETITLE','Use Title');
define('_TITLESTYLE','Use Title Styling');
define('_ROWTITLE','Title:');
define('_NONEACTIVE','None Active');
define('_NUMBEROFARTICLES','Number of articles to show per page in the Articles Dashboard?');
define('_SELECTROW','Select Row Position');
define('_SHOWSTYLEDTITLE','Show title styled or plain?');
define('_STYLED','Styled');
define('_PLAIN','Plain');
define('_POSITIONSEARCH','If a sidebar is selected. Place the search feature Above or Below the content block?');
define('_JUMPTOROWS','Jump To Rows');
define('_ROWS','Rows');
define('_REPOICONS','Reposition Icons');
define('_PLACE_IMAGE','50 characters max: Place in images folder. Enter name only ex: back.jpg');
define('_CONFIGURATION','Configuration');
define('_USEROW','Use This Row?');
define('_ABOVE','Above');
define('_BELOW','Below');
define('_SETPLUGIN','Set plugin above or below the content block.');
define('_SIDEBARSUSEDINROWS','For sidebars that are used within a row, only those sidebars that are turned on will show in the &quot;Position&quot; choice.<br>Choose the row and left or right sidebar. Also, choose if the plugin is located above or below the content block.');
define('_DROPDOWNBLOCK','Dropdown');
define('_LIBRARYNOTACTIVE','The Library is not active.');
define('_OFFCANVASNOTACTIVE','Off-canvas Sidebars are not active.');
define('_ONCANVASNOTACTIVE','On-canvas Sidebars are not active.');
define('_CANNOTBEUSEDINLIBRARY','The plugins Quick Links, Calendar and Clock cannot be used in the Library. Only in the sidebars.');
define('_SHOWUSERINFO','Show User Information on the Home page?');
define('_LOGGEDINTOSEE','Must be logged in to see.');
define('_REPOSITIONCONTENT','Reposition Content');
define('_REPOCONTENT','The best feature that Spectra has is giving the Admin the ability to move content around on the homepage. Articles can be positioned on any of the 12-page positions. The same for Blocks and Sniplets. When building Blocks and/or Sniplets you choose the position on the page where you want to place them. Sniplets are in rows with up to 6 (you decide) in a layer and unlimited number of layers in each row. Blocks are in rows with up to 6 (you decide) and an unlimited number of layers in each row. To move either a Block or Sniplet to another row, click the edit icon and when the editing window opens choose the row you want to move it to. To change the position within the same row click the arrow icon and when the editing window opens drag and drop the item into a new position within the same row.');
define('_LIBRARY','Library');
define('_NUMBERPERROW','Number of Blocks per row:');
define('_CONFIGROWS','Configure Rows');
define('_CARDS','Cards');
define('_TABS','Tabs');
define('_NOTUSEDWITHNEWSPAGE','Cards Are Not Used With The Template "News Page" Use Blocks Instead');
define('_OFFCANVASLEFT','Off-canvas Left');
define('_OFFCANVASRIGHT','Off-canvas Right');
define('_IFBLOCKWASSELECTED','If Block was selected choose the Row position.');
define('_CONTENTTYPE','Content Type');
define('_BLOCKS','Blocks');
define('_ASSIGNROWS','Assign Rows');
define('_CONFIGARTICLES','Configure the Articles');
define('_CHOSENEWSPAGE','You chose the "News Page" module for your home page layout. Choose the row you want to add the articles to. You can change this at any time.');
define('_CHOOSEROWLOCATION','Choose Row Location (Row One Top Articles places the articles above everything else on the page except the Admin News block.)');
define('_NOCONFIGNEEDED','No configuration is needed for the template you chose');
define('_CHOOSEROW','Choose Row');
define('_SETROW','If Block was selected choose Row.');
define('_WHICHROW','Set in which position.');
define('_REPOSITION','Reposition');
define('_COMPACTARTICLESACTIVE','Compact Articles is Active');
define('_SIDEELEMENTLINKS','Sidemenu Element Links');
define('_CLICKFORLARGERVIEW','Click Image For Larger View');
define('_THENREFRESHPAGE','Then Refresh The Page To See Changes.');
define('_AVATARSETTINGS','If allow registration equals Yes <a href="../../sys/admin/avatars.php" onclick="basicPopup(this.href);return false">go here</a> to configure avatar settings.');
define('_OPENINLIGHTBOX','Open in lightbox');
define('_NOICONUSED','No Icon Used');
define('_USEEDITOR','Use Full Editor or Simple Message Box');
define('_SIMPLE','Simple');
define('_HOWTO','How-To');
define('_ID','ID');
define('_NO','No');
define('_YES','Yes');
define('_LEFT','Left');
define('_RIGHT','Right');
define('_ADDNEW','Add New');
define('_TITLE','Title');
define('_AUTHOR','Author');
define('_PRINTAVAILABLE','Print Available');
define('_PUBLISHED','Published');
define('_NOTPUBLISHED','Not Published');
define('_ARCHIVED','Archived');
define('_ACTION','Action');
define('_EDIT','Edit');
define('_DELETE','Delete');
define('_PREVIEW','Preview');
define('_NEXT','Next');
define('_PREV','Prev');
define('_TAGS','Tags');
define('_CATEGORY','Category');
define('_SPOTLIGHT','Spotlight');
define('_SHOWAUTHOR','Show Author');
define('_SUBMITTED','Submitted');
define('_MEMBERSUBMITTED','Member Submitted');
define('_OPENSINNEWWINDOW','Opens in a new window.');
define('_OPENSINPOPUP','Opens in popup window');
define('_AREYOUSURE','Are you sure you want to delete this item?');
define('_SAVE','Save');
define('_BY','By');
define('_DATE','Date');
define('_REPOSITIONDISABLED','Reposition: (Link is disabled)');
define('_FONTAWESOMEICONS','Font Awesome Icons');
define('_CANUSEKEYPAD','You Can Use Your Computer Keypad.');

// Main Menu and Side Menu ---------------------

// menu/index.php and menu/sidemenu.php ---------------------

define('_CARDED_CONTENT_','Carded Content');
define('_NEWSPAGE','News Page');
define('_NEWSPAGECONFIG','News Page Configure');
define('_CONFIGCOMPOSER','Configure Composer Module');
define('_BUILDCOMPOSERS','Build Composers');
define('_ADDEDITCOMPOSERS','Add/Edit Composers');
define('_COMPOSER','Composer');
define('_LOGINPAGESTYLING','Login Page Styling');
define('_CAROUSEL','Carousel');
define('_CONFIGCAROUSEL','Configure Carousel');
define('_VIEWEDITSLIDES','View/Edit Slides');
define('_EDITACTIVESLIDE','Edit Active Slide');
define('_NEWSLIDE','Build New Slide');
define('_CONFIGCARDEDPAGE','Configure Carded Page');
define('_SIDEMENUELEMENT','Sidemenu Element');
define('_ACTIVEMEMBERS','Active Members Social Sharing');
define('_MENU','Menu');
define('_HOME','Home');
define('_GOTOLINKS','Go to links');
define('_YOURHOMEPAGE','Your Homepage');
define('_GETTINGSTARTED','Getting Started');
define('_ADMINDASHBOARD','Admin Dashboard');
define('_GENERALCONFIGURATION','General Configuration');
define('_GENERALWEBSITECONFIG','General Website Configuration');
define('_ADMINBLOCK','Administrators block');
define('_BUILDTHELOGO','Build the Logo');
define('_EMAILREGSETTINGS','Email Registration Settings');
define('_FOOTCONFIG','Footer Configuration');
define('_GOOGLERECAPTCHA','Google reCAPTCHA');
define('_LANGSETTINGS','Language Settings');
define('_MEMBERNEWS','Members News');
define('_SOCIALMEDIA','Social Media');
define('_CONTENT','Content');
define('_SIDEBARBLOCKS','Sidebar Blocks');
define('_POSITIONSIDEBARBLOCKS','Position Sidebar Blocks');
define('_ARTICLES','Articles');
define('_POSITIONARTICLES','Position Articles');
define('_MEMBERALLCANSEE','Member (all can see)');
define('_ADMINONLY','Admin (only)');
define('_VISITOR','Visitor');
define('_SETMSGHEIGHT','Set block height if more than 1 is set per row.');
define('_MSGPERROW','Set number of blocks per row.');
define('_NEWSBLOCKTITLE','Admin Message Configuration');
define('_NEWSBLOCKPARA','You can add a title to the top of the block to identify the news category. Such as "Top News Stories".');
define('_ADMINMESSAGE','Admin Message');
define('_POSITIONADMINMESSAGE','Position Admin Message');
define('_ADDBLOCKTITLE','Add Block Title');
define('_CONTENTMODULES','Content Modules');
define('_BUILDEDITCARDS','Build/Edit Cards');
define('_CONFIGCARDS','Configure Cards');
define('_REPOSITIONCARDS','Reposition Cards');
define('_BUILDEDITTABS','Build/Edit Tabs');
define('_CONFIGTABS','Configure Tabs');
define('_ONEPLUSLAYOUT','One Plus Layout');
define('_CUSTOMPAGES','Custom Templates');
define('_ONEPLUSVIDEO','One Plus Header Video');
define('_HOWTOGUIDE','One Plus How To Guide');
define('_FLOATINGPAGEBUILDER','Floating Blocks Builder');
define('_REPOSITIONFPPAGE','Repositionner la page flottante');
define('_REPOSITIONFBPAGE','Reposition Floating Blocks');
define('_CONFIGFP','Configure Floating Blocks Page');
define('_FBHOWTO','Floating Blocks How-To');
define('_FBPAGE','News Page');
define('_ONEPLUS','One Plus');
define('_MENUS','Menus');
define('_PAGESAUTOMENU','Pages Auto Menu');
define('_SINGLELINKSMENU','Single Links Menu');
define('_QUICKLINKSBLOCKMENU','Quick Links Block Menu');
define('_MEGAMENU','Mega Menus');
define('_MODULES','Modules');
define('_BLOCKSLIDER','Block Slider');
define('_CONTENTSLIDER','Content Slider');
define('_CONTACTFORM','Contact Form');
define('_DOWNLOADSYSTEM','Downloads Suite');
define('_GALLERYMODULE','Gallery Module');
define('_FAQS','FAQs');
define('_LINKTOME','Link To Me');
define('_MODALWINDOW','Modal Window');
define('_PHOTOGALLERY','Spectra Gallery');
define('_SEARCH','Search');
define('_PAGES','Pages');
define('_MANAGEALLPAGES','Manage All Pages');
define('_PAGECATEGORIES','Page Categories');
define('_NAMEAUTOMENUS','Name Auto Menus');
define('_PLUGINS','Plugins');
define('_THEMES','Themes');
define('_MANAGEALLTHEMES','Manage All Themes');
define('_BUILDNEWTHEME','Build New Theme');
define('_PREVIEWTHEMES','Preview Themes');
define('_LOGOUT','Logout');
define('_QUICKEDITS','Theme Quick Edits');

// activemembers-block.php

define('_ACTIVEMEMBERSBLOCK','Active Members Block');
define('_ACTIVEMEMBERSPARA','The active members block will list all members that have published information about themselves and want to make it available to other active members.<br>Active members can read the information and socialize in the chat room. You can choose if you want to use this feature on your website or not.');
define('_USEAMBLOCK','Use Active Members Block');
define('_CAUTIONMSG','The profile message will appear at the top of the members\' profile page. It is used to pass caution to members about improper use of the active members sharing page.<br>Or any other information you think is appropriate.');
define('_PROFILEMSG','Profile Message');


// admin_block.php ------------------------------

define('_INFOADMINBLOCK','The admin block contains links to various areas that only the admin(s) can see. Also, only the admin(s) can see this block. When turned on it is located in either the Left or Right Sidebars.');
define('_USEADMINBLOCK','Use Admin Block?');
define('_ADMINBLOCKTITLE','Admin Block Title');
define('_BLOCKISHELPFUL','This block is also helpful when you want to add links that only you can see.');
define('_VIEWADDLINKS','View/Edit Links');

// adminarticle.php -----------------------------

define('_ADMINBLOCKHEIGHT','Admin Block Height');
define('_ADMINARTICLEMSG','Admin Article/Message');
define('_GENSETTINGS','General Settings');
define('_MSGPOSITION','The admin news/message block is located at the top of the page above the "Row One Top" position.<br>The different settings are:<br>Admin: Only the admin(s) when logged in can see this.<br>Member: Only members and admins when logged in can see this.<br>Visitor: Everyone can see this without being logged in.<br>These are set in the <a href="adminarticle.php" target="_blank">article builder</a>.');
define('_MSG_POSITION','The different settings are:<br>Admin: Only the admin(s) when logged in can see this.<br>Member: Only members and admins when logged in can see this.<br>Visitor: Everyone can see this without being logged in.');
define('_IFYOUADD','This feature is usually for important messages or upcoming events. You can build as many as you need.<br>Be sure to <a href="website.php#newstitle" target="_blank">configure</a> it before building blocks.');
define('_USEADMINARTICLE','Use Administrators Article/Message?');
define('_ALLOWPRINTING','Allow printing?');
define('_ARTICLEBACK','Article Background');
define('_USEBACKORIMAGE','You can use either a background color or image but not both. (optional)');
define('_USINGWHICH','Which will you be using?');
define('_CANUSEGRADIENTORSOLID','You can choose to use a gradient or solid color as the background. For a gradient enter 2 different color values. For a solid enter the same color value in both boxes.');
define('_COPYPASTE','Copy and paste color values.');
define('_UPLOADTHEMESFOLDER','(upload into themes folder .. enter name only Ex: back.jpg)');
define('_ENTERMSGTITLE','Enter Message Title');
define('_MSGCONTENT','Message Content');
define('_BACKCOLORFIRST','Back Color First');
define('_BACKCOLORSECOND','Back Color Second');

//  adminarticleall.php --------------------------

define('_YOUCANCREATE','You can create as many administrator articles as you need.  They show at the top of all other articles on the home page.');

// adminarticle-position.php ---------------------

define('_REPOSITIONADMINARTICLES','Reposition Admin Articles');
define('_CHANGEARTICLEPOSITION','To change the position of an article, left click on the card and drag it to a new position.<br>The new position will be automatically saved. Once the card has been repositioned it will show in the new order on the homepage.');

// adminlinksall.php -----------------------------

define('_ADMINLINKSDASHBOARD','Admin Links Dashboard');
define('_VIEWEDITLINKS','View, Edit, and/or Delete any of the links from here. Any link added here can only be seen by the Admin.');
define('_ACTIVE','Active');
define('_LINKNAME','Link Name');
define('_LINKURL','Link URL');
define('_LINKICON','Link Icon');

// adminlinksbuilder ------------------------------

define('_ADMINLINKSBUILDER','Admin Links Builder');
define('_ONLYADMINCANSEE','You can add as many links to the Admin Links Block Menu as you need. Only admins who are logged in can see them.');
define('_USETHISLINK','Use this link?');
define('_NAME','Name');
define('_URL','URL');
define('_ICON','Icon');
define('_ICON_COLOR','Icon Color');
define('_TITLETEXT','Title text: (shows on mouseover) ');

// articlebuilder.php ------------------------------

define('_CREATECATEGORIES','Be sure to <a href="categoriesall.php" onclick="basicPopup(this.href);return false">create categories</a> before building articles and/or pages.');
define('_CHOOSETOOPEN','Choose how to open the Read More content.');
define('_NEWTAB','New Tab');
define('_POPUP','Popup');
define('_DROP_DOWN','Dropdown');
define('_READMORE','Read More');
define('_IFUSED','If used a ');
define('_BUTTONWILLAPPEAR','button will appear at the bottom of the article.');
define('_READMORECONTENT','Read More Content (if used)');
define('_ADD','Add');
define('_CONTENTFORTHISARTICLE','content for this article?');
define('_SEO','META Description and META Tags aid in Search Engine Optimization (SEO).');
define('_IFUSINGBOTH','(If using Both)');
define('_IMG_SIDE','Place image on which side?');
define('_CARTICLESACTIVE','Compact Articles is active and if you choose to use images, allows you to add an image on the left, right, or both sides of the article. Or not use any.');
define('_PLACEIMAGES','Place article images in the &apos;images&apos; folder. Enter name only (ex: image.jpg).');
define('_ARTICLEIMAGE','Article Image:');
define('_METADESCRIPTION','Meta Description');
define('_ARTICLEBUILDER','Article Builder');
define('_GENERALSETTINGS','General Settings');
define('_ENTERTITLE','<strong>Title:</strong> (Enter a title even if you choose not to show it in the article.)');
define('_DISPLAYARTICLETITLE','Display article title?');
define('_ARTICLETITLEWILLSHOW',' (If you choose No the title will still show in the Article Manager.)');
define('_PUBLISHTHISARTICLE','Publish this article?');
define('_TURNOFFFOREDITING','(The article can be turned off (No) for editing.)');
define('_PLACEINARCHIVE','Place this article in the archives?');
define('_LINKWILLBEREMOVED','If placed in the archive the link to it will be removed from all plugins except the Archives block.');
define('_DISPLAYAUTHORNAME','Display authors name?');
define('_MAKEAVAILFORPRINT','Make article available for printing? ');
define('_SHAREONFACEBOOK','Allow Sharing on Facebook?');
define('_ARTICLETAG','Article Tag');
define('_CHOOSECAT','Choose Category?');
define('_CREATECAT','Create More Categories');
define('_LABELTHISARTICLE','You can label this article as Being in the Spotlight. See the Spotlight Plugin for more.');
define('_PLACEINSPOTLIGHT','Place this article in the Spotlight?');
define('_BESURETOTURNON','(Be sure to <a href="plugins.php#spotlight" onclick="basicPopup(this.href);return false" class="link">turn on</a> in the Plugins.)');
define('_ARTICLEBACKIMAGECOLOR','Article Background Image or Color');
define('_ORCHOOSENONE','You can use either a background Color, Image or choose None.');
define('_WHICHUSING','Which will you be using? If not using, choose None and skip the remainder of this section.');
define('_COLOR','Color');
define('_IMAGE','Image');
define('_NONE','None');
define('_CHOOSEGRADIENTORSOLID','You can choose to use a gradient or solid color as the background. For a gradient enter 2 different color values. For a solid enter the same color value in both boxes.');
define('_ARTICLEBACKFIRST','Background color first');
define('_ARTICLEBACKSECOND','Background color second');
define('_ARTICLEBACKIMAGE','Background image');
define('_UPLOADINTOTHEMESFOLDER','Upload</a> into themes folder .. enter name only Ex: back.jpg)');
define('_ARTICLECONTENT','Article Content');
define('_SUBMITTEDBYMEMBER','This article was submitted by a member, you can contact them.');
define('_COLORPICKER','Color Picker');

// article-position.php -------------------------------

define('_REPOSITIONARTICLE','Reposition Articles');
define('_REPOSITIONINFO','To change the position of an article, left click on the card and drag it to a new position. The new position will be automatically saved.<br> Once the card has been repositioned it will show in the new order on the homepage.<br>Articles that have been archived will not show here.');

// articles.php ---------------------------------------
// See General Items

// blocksliderall.php, blocksliderbuilder.php, blocksliderconfig.php, blockslidermenu.php ---------------------

define('_UNLIMITEDSLIDES','You can add an unlimited number of slides to the Block Slider.<br>Be sure to turn the Slider <a href="blocksliderconfig.php" target="_blank" title="Opens in a new tab."><span class="link blue"> ON HERE</span></a> for use on the index pages.');
define('_SLIDENAME','Slide Name');
define('_ACTIONPERMANENT','This action is permanent.');
define('_DESIGNEDFOR','The Block Slider was designed mainly for pictures/images but you can also add videos.');
define('_HOWTOSLIDE','HOW TO BUILD A SLIDE<div style="float:right"> [open/close]</div>');
define('_HOWTOSLIDETEXT','<p class="left monserrat black">You can build as many slides as you want quickly and easily. *Note: Keep in mind that every picture, image, and/or video you enter must have a width of 100% and no height set.</p><p class="left black">Instructions for Pictures/Images:</p><p class="left monserrat black"><strong>To get started:</strong><br>- In the <b>Content Builder</b> below click the Image Icon <i class="fa fa-image"></i> to open the Image Properties dialog box and click on the Browse Server button.<br>- Upload your picture/image to the <b>blockslider</b> folder.<br>- Set the width to 100%, height is automatically set so <b>make sure that input field is blank</b>.<p class="left monserrat black">Tip: If you compress your images/pictures before adding them to the library they will load faster.<br><a href="https://compressjpeg.com/" target="_blank" class="link">Here is an excellent resource for that.</a></p><p class="left black">Instructions for Videos:</p><p class="left monserrat black">1. To get started: in the <b>Content Builder</b> below click the Video Icon <i class="fa fa-image"></i> to open the Video Properties dialog box and click on the Browse Server button. Upload your video to the <b>blockslider</b> folder. Your video will be displayed in the Preview window. Make sure that <b>Enable controls</b> is checked. Click OK</p><p class="left monserrat black">2. Click the Source button.  In the code look for width="" and change the value to width="100%" look for height="" and delete it. That is all, click the source button to go back to the screen. You will see a large video icon in the box.</p><p class="left monserrat black">When the video is viewed in the Block Slider it can be enlarged to Full Screen.</p>');
define('_NAMETHISSLIDE','<strong>Name this slide (title):</strong> (25 text characters max. Appears below the image/video.)');
define('_CONTENTBUILDER','Content Builder');
define('_CAPTIONTEXTBUILDER','Caption Text Builder');
define('_PLACEDBELOWTITLE','<p class="center">The Caption text is placed just below the title of each slide.</p><p class="center"><strong>Caption: (as much text as you need it will wrap)</strong></p>');
define('_BLOCKSLIDERSETTINGS','Block Slider Settings');
define('_WIDTHHEIGHTPRESET','The width is preset and height is self adjusting.');
define('_USEBLOCKSLIDER','Use Block Slider');
define('_TITLEMAX','Title: (55 characters max)');
define('_SHOWWHICHSIDEBAR','Show in which sidebar');
define('_USEFONTAWESOME','Use a Font Awesome icon in the title bar.  (optional)');
define('_FONTAWESOMEICONCOLOR','Fontawesome Icon Color');
define('_BLOCKSLIDERQUICKLINKS','Block Slider Quick Links');
define('_SLIDERCONFIG','Slider Configuration');
define('_MANAGESLIDES','Manage Slides');
define('_BUILDNEWSLIDE','Build New Slide');

// boxshadow.php

define('_BOXSHADOWEXAMPLES','Examples of box-shadow (copy/paste from below or add your own do not enter the word &quot;box-shadow&quot;).');
define('_CLOSETHISWINDOW','Close This Window');

// cardedpagebuilder.php, cardedpageall.php, cardedpagereposition.php, cardedpageconfig.php

define('_SINGLECARDWIDTH','Single Card Width?');
define('_IFONECARD','If you chose single card in a row, you can set the width of that card.');
define('_PLACEINFOLDER',' (optional) Place image in cardedpage folder (enter name only example: back.jpg).');
define('_CARDEDPAGECONTENT','Carded Page Content');
define('_CARDEDPAGECARDBUILDER','Carded Page Card Builder');
define('_REPOSTIONCARDEDPAGECARD','Reposition Carded Page Cards');
define('_OPTIONAL','Optional');
define('_CARDEDPAGEPARA','The carded page is for those sites that have a lot of content on the home page. Such as news sites or photo galleries. You can fill the page up with cards.');
define('_PAGETITLE','Page Title? (if used)');
define('_TITLEFONT','Title Font?');
define('_USECARDEDPAGE','Use Carded Page?');
define('_IMAGEHEIGHT','Height of the image?');
define('_CONTENTAREAHEIGHT','Height of the content area?');
define('_CARDSINROW','How many cards in a row?');
define('_CARDEDPAGE','Carded Page');

// carousel.php, carouselall.php, carouselactiveslide.php, carouselbuilder.php, 

define('_CAROUSELTITLE','Carousel Title');
define('_YOUARE_USING','You are using the layout');
define('_CENTER_TOP','which has 2 additional positions, Full Top, and Full Bottom.');
define('_CAROUSELSETTINGS','Carousel Settings');
define('_USECAROUSEL','Use Carousel ?');
define('_USEBACKCOLORORIMAGE','Use Background Color or Image ?');
define('_BACKIMAGEUPLOAD','Background Image (upload to images folder)');
define('_ENTERSAMECOLORTWICE','For solid color enter same color value twice.');
define('_FIRSTCOLOR','First Gradient Color:');
define('_SECONDCOLOR','Second Gradient Color:');
define('_LEFTRIGHTARROWCOLOR','Left and Right Arrow Color:');
define('_ENTERNAMEONLY','Enter image name only (example: back2.jpg)');
define('_UNLIMITEDNUMBERSLIDES','You can add an unlimited number of slides to the carousel.');
define('_CAROUSELACTIVESLIDEBLDR','Carousel Active Slide Builder');
define('_ACTIVESHOWSFIRST','The Carousel\'s Active Slide shows first in the module and does not have the MORE feature.');
define('_SLIDEIMAGEUPLOAD','Slide Image: (upload to carousel folder)');
define('_TITLEFONTCOLOR','Title Font Color:');
define('_ACTIVESLIDECONTENT','Active Slide Content');
define('_USESLIDE','Use This Slide?');
define('_CAROUSELSLIDEBLDR','Carousel Slide Builder');
define('_SLIDEIMAGE','Slide Image: (upload to carousel folder enter name only ex: back.jpg)');
define('_DECIDEMORETEXT','You can decide if you will need additional text (More) shown for this slide.<br>The slides content window scrolls but this option lets you add even more content to support an article or page.');
define('_USEMORETEXT','Use More Text?');
define('_ENTERMORETEXT','Enter the &quot;More&quot; additional text (if needed):');

// cardbuilder.php, card-content.php, cardsall.php ---------------------

define('_CARDBUILDER','Card Builder');
define('_PUBLISHTHISCARD','Publish this card');
define('_CANBETURNEDOFF','(The card can be turned off (No) for editing.)');
define('_REMOVESTHISCARD','Archiving removes this card from the homepage and places it in the archives. Be sure that the Archive plugin ');
define('_HASBEENTURNEDON','has been turned on</a>.<br>(usually for cards that have been on the homepage for a while)');
define('_ARCHIVETHISCARD','Archive this card');
define('_CARDTAG','Card Tag');
define('_CHOOSECATEGORY','Choose Category');
define('_CREATEMORECATEGORIES','Create More Categories');
define('_USEBACKGROUND','Use background');
define('_BKSETTINGSIFUSED','Background Settings (if used)');
define('_ENTERBKIMAGE','Enter background image');
define('_UPLOADCARDSFOLDER','Upload to cards folder');
define('_USEGRADIENT','You can use a gradient background color. Enter 2 different color values. For a solid color, enter the same value twice.');
define('_BACKFIRST','Enter background color first');
define('_BACKSECOND','Enter background color second');
define('_CARDCONTENT','Card Content');
define('_POSITIONCARDCONTENT','Position Card Content');
define('_CHANGECARDPOSITION','<p class="center">To change the position of a card, left click on it and drag it to a new position. The new position will be automatically saved.</p><p class="center">Once the card has been repositioned it will show in the new order on the homepage.</p>');
define('_UNLIMITEDCARDS','You can create an unlimited number of cards. You can turn them on/off and reposition them on your homepage at anytime.');
define('_POSITION','Position');
define('_BACKGROUND','Background');
define('_PUBLISH','Publish');

// chat.php
define('_CHATROOM','Chatroom');
define('_LEAVECHATMSG','Leave a message for your chat room members.');
define('_USECHATROOM','Use the chat room');

// clearlogfile.php

define('_THEFILE','The file');
define('_WASDELETEDSUCCESS','was deleted successfully!');
define('_WASANERROR','There was a error deleting the file');
define('_WASRECREATED','The file was recreated successfully');

// compactarticles.php

define('_COMPACT' . _ARTICLES_ . '','Compact Articles');
define('_COMPACTARTICLES','Compact Articles Configuration');
define('_COMPACTARTICLESPARA','Compact Articles uses the articles that you make using the Article Builder and lets you configure the block that houses the article content. Set the height, sidebars, and if you want the content in the block to scroll or not. You can also add a left-side or right-side image to the article.');
define('_USESIDEBARS','Use Sidebars');
define('_ARTICLEBLOCKHEIGHT','Article Block Height');
define('_SCROLLARTICLEBLOCK','Scroll The Article Block');

// composerconfig.php, composerbuilder.php, composersall.php

define('_CANNOT_BEUSED','Composer cannot be used with the News Page module.');
define('_ADDTEXT','<strong>Additional Text</strong> (example: Click the image to open the gallery)');
define('_TITLEFONTSIZE','Title Font Size');
define('_TITLEFONTFAMILY','Title Font Family');
define('_USECOLORORIMAGE','Use Background Color or Image?');
define('_FIRSTBGCOLOR','First Background Color');
define('_SECONDBGCOLOR','Second Background Color');
define('_BACK_IMAGE','<strong>Background Image</strong> (place in composer folder)');
define('_DISPLAY','Display');
define('_DISPLAYREADMORETEXT','How to display read more text?');
define('_NEW','New Tab');
define('_DROP_DOWN_CONTENT','Dropdown');
define('_READMOREOPTIONS','Options:<br><strong>Dropdown</strong> is usually for a small amount of text. A small scrollable window will open below the Read More button.<br><strong>Popup</strong> will hold a large amount of content and the read more content is displayed in a popup window.<br><strong>New</strong> opens a new browser window and contains both the article and read more content.');
define('_COMPOSERBUILDER','Composer Builder');
define('_COMPOSERINFO','Composer is a module that will hold a huge amount of content from images to text to videos and lots more. The content handlers are called composers and you can add as many to the module as you need.');
define('_USECOMPOSER','Use This Composer?');
define('_ARCHIVECOMPOSER','Archive This Composer?');
define('_COMPOSERNAME','Composer Title');
define('_FORREFERENCE','for your reference');
define('_PLACEINCOMPOSERFOLDER','place in composer folder');
define('_USEREADMORE','Use Read More Content?');
define('_READMORETEXT','Read More Text (optional)');
define('_NAMEONLY','name only ex: 2.jpg');
define('_COMPOSERMODTITLE','Composer Module Title');
define('_USECOMPOSERMOD','Use Composer Module?');
define('_COMPOSERMOD','Composer Module');
define('_CANNOTBEUSED','cannot be used with this template.');

// configcards.php ---------------------

define('_CONFIGCARDCONTENT','Configure Card Content');
define('_USEWITHANYTEMPLATE','You Can Use Cards With Any Template.');
define('_HAVECHOOSENLAYOUT','You have chosen the layout');
define('_USECARDS','Use Cards');
define('_CARDWIDTH','Card Width');
define('_FULL','Full');
define('_HALF','Half');
define('_THIRD','Third');
define('_QUARTER','Quarter');
define('_ONECARD','displays 1 card in a row.');
define('_TWOCARDS','displays 2 cards in a row.');
define('_THREECARDS','displays 3 cards in a row.');
define('_FOURCARDS','displays 4 cards in a row.');
define('_SETHEIGHT','Card Height');
define('_CONTENTWILLSCROLL','The content will scroll if it is greater than the height you set here.');
define('_POSITIONCARDPLUS','Position the cards at the top (below the video) or bottom (above the footer)');
define('_POSITIONCARDONE','Position the cards at the top (below the header/logo) or bottom (above the footer)');
define('_BOTTOM','Bottom');
define('_POSITIONTOLAYOUT','Position the cards to this layout.');
define('_FULLTOP','Full Top');
define('_FULLBOTTOM','Full Bottom');
define('_CENTERTOP','Center Top');
define('_CENTERBOTTOM','Center Bottom');
define('_ABOVEARTICLES','Above the center articles.');
define('_BELOWHEADERLOGO','Below the header/logo (covers all columns)');
define('_BELOWARTICLES','Below the Center Articles');
define('_ABOVEFOOTERCOVERSALL','Above the Footer (covers all columns)');

// container.php, container-all.php, container-reposition.php

define('_CONTAINEREXAMPLE','Container Example');

define('_EXAMPLEBUILD','Containers have 8 areas for content. Areas can be turned on or off.<br>There are two ways to add a background to an area either by using the editors image tool or using the input field.<br>If using the input field, text can overlay the background.<br>An entire websites homepage can be built by using 1 container or multiple containers.<br>When placing containers on the homepage, go to the row that will be used and configure it.<br>There can be up to 3 containers in a rows layer.');
define('_OPTIONALGRAPHICORICON','Add an optional icon or graphic beside the title?');
define('_IFGRAPHIC','If Graphic: (place in images folder enter name only. ie: back.jpg)');
define('_IFICON','If Icon (enter font awesome code):');
define('_IFICONCOLOR','If Icon (enter optional icon color)');
define('_BACKGROUNDSTYLING','Optional Container Background Styling<br>(This will add a background to the entire container. Do not use individual backgrounds if this is used.)');
define('_CHOOSE_BACKGROUND','Choose optional background color or image:');
define('_IF_IMAGE','If Image: (place in images folder enter name only. ie: back.jpg)');
define('_IF_COLOR','If Color: (enter first gradient color value)');
define('_IF_GRADIENT','If Color: (enter second gradient color value)');
define('_ROWLAYERASSIGN','Row/Layer Assignment');
define('_CONTENTAREA','Content Area');
define('_ONE','One');
define('_TWO','Two');
define('_THREE','Three');
define('_FOUR','Four');
define('_FIVE','Five');
define('_SIX','Six');
define('_SEVEN','Seven');
define('_EIGHT','Eight');
define('_ASSIGNTOROW','Assign container to which row/layer?');
define('_CONTAINERBUILDER','Container Builder');
define('_NUMBEROFCONTAINERS','Number of containers to show in the row you chose.');
define('_CONTAINERHAS','Each container has two columns Left and Right with four layers in each column.<br>Only those areas that you add content in will be displayed. <a href="container-example.php" target="_blank">See Example.</a><br>Place background images in the images folder.');
define('_LEFTCOLUMN','Left Column');
define('_RIGHTCOLUMN','Right Column');
define('_CONTAINERS','Containers');
define('_CONTAINER','Container');
define('_SETCONTAINERHEIGHT','Set the Container height');
define('_NUMBERCONTAINERS','Number of Containers in this layer?');
define('_BUILDER','Builder');
define('_CONTAINERALL','Containers All');
define('_REPOSITIONCONTAINERS','Reposition Containers');

// contentmodmenu.php, contentmodall.php, contentmodbuilder.php, contentmodconfig.php

define('_PREVCONTENTMOD','Preview Content Module');
define('_KEEPWINDOWOPEN','Preview the changes as you make them. Refresh the window each time a change is made.');
define('_UNLIMITEDMODS','You can add an unlimited number of modules. Also any content, videos, text, it\'s up to you.');
define('_PREVIEWASBEINGBUILT','Preview Module As It Is Being Built');
define('_CONTENTMENU','Content Module Menu ');
define('_CONTENTCONFIG','Content Module Configuration');
define('_MODBUILDER','Module Builder');
define('_VIEWEDITMODS','View/Edit Modules');
define('_THUMBIMAGE','Thumb Image');
define('_MODNAME','Module Name');
define('_SUBTEXT','Sub Text');
define('_CONTENTMODULE','Content Module');
define('_USEMOD','Use This Mod');
define('_MAINCONTENT','Main Content');
define('_PLACEINIMGFOLDER','Place in images folder');
define('_POSITIONMODIN','Position the module in either the Left or Right sidebar.');
define('_MOD_TITLE','Module Title');
define('_USECONTENTMOD','Use Content Module');
define('_POSITIONCONTENTMOD','Position Content Module');
define('_MODHEIGHT','Height of Module Window');
define('_USEBACKIMGORCOLOR','Use Background Image or Colors?');
define('_BACKIMGIFUSED','Background Image (if used)');
define('_PLACEINIMAGESFOLDER','Place in topbar folder');
define('_IFGRADIENT','if gradient');

// categoriesall.php, categorybuilder.php ---------------------

define('_ADDMANYCATEGORIES','<h4 class="center gentextcolor">You can add as many categories as you like.</h4>
<p class="center">You can assign a category to pages as you build them. You can also go back and change the pages category at any time.</p>');
define('_CATNAME','Category Name');
define('_BUILDPAGECATEGORIES','Build Page Categories');
define('_CATEGORYNAME','Category Name: (max 55 text characters)');

// config-effects.php ---------------------

define('_USEOFFCANVASSIDEBAR','Use Off Canvas Sidebar(s)?');
define('_ONEPLUSVIDEOHDR','One Column Plus Header Video');
define('_NOTEHIGHLYRECOMMENDED','*NOTE: It is highly recommended that you open your homepage and refresh it as you make changes.');
define('_HAVECHOSEN','You have chosen the');
define('_LAYOUTCANUSE','layout so you can use this.');
define('_CANNOTUSEWITHOUTONEPLUS','You cannot use this feature because you have not chosen to use the <b>One Plus</b> layout.');
define('_CANNOTUSEWITHOUTFLOATINGBLOCKS','You cannot use this feature because you have not chosen to use the <b>News Page</b> layout.');
define('_CHANGELAYOUTHERE','Go here to change your layout');
define('_RESOURCESFORVIDEOS','Here are some awesome resources for videos at <a href="https://www.pexels.com/videos/" target="_blank" title="Pexels" class="link">Pexels</a>, and also here at <a href="https://www.canva.com/" target="_blank" title="Canva" class="link">Canva</a> and <a href="https://pixabay.com/videos/" class="link" target="_blank">Pixabay</a>');
define('_USEHEADERVIDEO','Use header video');
define('_VIDEOMAYNOTSHOW','When on some mobile devices (mainly cellphones) the video may not show. The first article on the page will take its place.');
define('_VIDEONAMEONLY','Video .. Name Only No Extension (<b>mp4 format only</b> upload into videos folder): (max 55 text characters .. ex: mymovie)');
define('_VIDEOHEIGHT','Video Height');
define('_ADDINGVIDEOWITHTEXT','When adding a video that already has text in it the Video Top padding should be set to 300px but you may need to adjust it to get the look you want.');
define('_WHENADDINGTEXT','When adding text to the video it may push the video screen down the page. You can adjust that here.');
define('_HIGHERNUMBER','A <strong>higher number</strong> will push the video screen down the page.');
define('_LOWERNUMBER','A <strong>lower number</strong> will pull it back up the page.');
define('_VIDEOTOPPADDING','Video Top Padding');
define('_VIDEOTITLETEXT','Video Title Text');
define('_IFUSINGVIDEONOTEXT','<p class="center"><b>If you are using a video that does not need text you can skip this area.</b></p><p class="center">Enter text that will be overlayed on the video. Build the text here as you want it to appear on the screen.</p>');

// configgallerymod.php ---------------------

define('_CONFIGGALLERYMOD','Configure Gallery Modules');
define('_MODLETSDISPLAY','The gallery modules lets you display images with captions that when clicked will open in a slide show similar to the image on the right.');
define('_USEMODULE','Use The Module');
define('_WHICHSIDEBAR','Place in which sidebar');
define('_MODTITLE','Module Title');
define('_SETHEIGHTOFMOD','Module Height');
define('_CONTENTWILL_SCROLL','The content will scroll if it is greater than the height you set here.');
define('_EXAMPLEVIEW','Example view of the Gallery Module');

// configtabs.php ---------------------

define('_CONFIGCONTENTTABS','Configure Content Tabs');
define('_TABSCANCONTAIN','Tabs can contain alot of information is a small space.<br> You can also use Tabs with any template and they will be integrated automatically directly above the articles.');
define('_USETABSMOD','Use Tabs Module');
define('_TABSMAINTITLE','Main Title');
define('_TABHEIGHT','Tab Height');
define('_SET_TABHEIGHT','Set the height of the Tab Module.');

// configuration.php ---------------------

define('_GALLERYCONFIG','Gallery Settings Configuration');
define('_FINETUNE','You can fine tune the appearance of your gallery images by changing the values below.');

// contactform.php ---------------------

define('_USEJOTFORM','Use Jotform');
define('_IFUSINGJOTFORM','If using Jotform enter the user number');
define('_EXJOTFORMUSER','example: https://form.jotform.com/<b>your 15 digit number</b>');
define('_SPECTRAFORMONLY','Spectra Form Use Only');
define('_NOTWITHJOTFORM','do not use with JotForm');
define('_JOTFORMONLY','JotForm Use Only');
define('_USECUSTOMFORM','You can use a customized contact form from');
define('_JOTFORM','JotForm');
define('_ORSPECTRAFORM','or the standard Spectra form.');
define('_PUBLICCONTACT','Public Contact Form');
define('_THISISPUBLICFORM','This is the public contact form, that when turned on, all visitors can use. Some settings here control both forms.');
define('_IFYOUADDMESSAGE','If you add a message to the contact form here it will show on both the public and private forms.');
define('_USEPUBLICFORM','Use Public Email Contact form');
define('_IFYES','If Yes, a link (Contact) will be placed in the menu automatically.');
define('_OPTIONALFAICON','*Optional: You can add a fontawesome icon to the link button.');
define('_YOUREMAIL','Your email address');
define('_IFSETUPRECAPTCHA','Note: If you have setup the Google reCaptcha for new registrations it will automatically show with the contact form. If you have not set that up and you want to use it with the contact form ');
define('_GOHERE','Go Here');
define('_YOUCANPLACEMSG','*Optional: You can place a message at the top of the Contact Form. (example: "SPAM will not be addressed." or other announcements.)');
define('_CONTACTFORMMSG','Contact Form Message');

// content-slider.php ---------------------

define('_NEWSTOP','News Top');
define('_NEWSMIDDLE','News Middle');
define('_TOP','Top');
define('_SLIDERSETTINGS','Content Slider Settings');
define('_USEONHOMEPAGE','Use Content Slider On Home Page');
define('_YOUAREUSING','You are using the');
define('_LAYOUT','layout');
define('_DOESNOTSUPPORTMIDDLE','This layout does not support a middle position.');
define('_DOESNOTSUPPORTSLIDER','This layout does not support the Content Slider.');
define('_SLIDERPOSITION','Choose slider position');
define('_MIDDLE','Middle');
define('_NOTSUPPORTED','Not Supported With This Layout');
define('_SELFADJUSTING','Slider height, width, and colors are self adjusting');
define('_ENTERMAINTITLE','Enter a main title for the content slider: (slides are named individually when created)');
define('_ALIGNMAINTITLE','Align the Title');
define('_MAINTITLEFONTSIZE','Title font size');
define('_CENTER','Center');
define('_MAINTITLEFONTFAM','Main Title Font family');
define('_DEGREEOFBOLDNESS','Degree of Boldness');
define('_HIGHERNUMBERINCREASES','higher number increases the degree of boldness');

// dashboardlogo.php ---------------------

define('_DESIGNERSDASHBOARD','Designers Dashboard');

// downloadcategoriesall.php ---------------------

define('_DOWNLOADSCAT','Downloads Categories');
define('_ASMANYCATS','You can add as many categories as you like.');
define('_ADDCHANGECATS','You can assign a category to downloads as you build them. You can also go back and change the downloads category at any time.');
define('_CATSAVED','Category Saved!');
define('_CATDELETED','Category Deleted');
define('_CATUPDATED','Category Updated');

// downloadsall.php ---------------------

define('_ALLOWCOMMENTS','Allow Comments');
define('_DELETESELECTED','Delete Selected Files');
define('_DOWNLOADSMANAGER','Downloads Manager');
define('_SHAREFILES','The downloads system will let you share your files in .zip and .pdf format.');
define('_ADDINGDOWNLOAD','After adding a download file you should edit it to add additional information.');
define('_DELETEMANUALLY','If deleting a download record, use Media Library to delete the .zip or .pdf file located in the downloads folder.');
define('_REFRESHPAGE','Refresh Page');
define('_PAGENAME','Page Name');

// downloadsbuilder.php ---------------------

define('_ASSIGNTOPAGE','Assign to which downloads page?');
define('_DOWNLOADSBUILDER','Downloads Builder');
define('_FILLEDAUTO','filled in automatically');
define('_INFOABOUTDOWNLOAD','Information About the Download');
define('_ARCHIVETHISFILE','Archive This File?');

// downloadscategory.php ---------------------

define('_BUILDDOWNLOADCATS','Build Downloads Categories');
define('_CAT_NAME','Category Name: (max 35 text characters)');

// downloadsmenu.php ---------------------

define('_DOWNLOADSSYSTEM','Downloads Suite');
define('_USEDOWNLOADS','Configure Downloads');
define('_MANAGEDOWNLOADS','Manage Downloads');
define('_DOWNLOADCATS','Download Categories');
define('_CREATEPAGES','Create Pages');
define('_MANAGEDOWNLOADSPAGES','Manage Download Pages');

//downloadspagesall.php

define('_DOWNLOADSPAGES','Downloads Pages');
define('_ADDASMANYPAGESNEEDED','Add as many download pages as you need.');

// downloadspagenames.php ------------------

define('_IMAGENOTFOUND','Image Not Found');
define('_ADDLINK','Add Link to Top Menu?');
define('_MENULOCATION','Menu Location: If &quot;None&quot; was chosen for &quot;Image or Color&quot; you can select to add the link to the Top Responsive Menu.');
define('_NO_IMAGE','No Image or Color Used');
define('_PAGESTYLE','Page Style');
define('_CARD','Cards');
define('_LISTS','Lists');
define('_CHOOSECARDORLIST','Choose to display downloads in Cards or Lists');
define('_CARDBACKIMGORCOLOR','The downloads menu consist of cards or lists. If you choose cards choose either a background image or color to represent the download. Select from or upload to the <strong>images</strong> folder.');
define('_CARDBGIMAGE','Card Background Image (400px x 400px will be resized)');
define('_IMGORCOLOR','Choose Image or Color');
define('_CANCREATEPAGES','You can create as many pages as you need with an unlimited number of downloads in each page. Each page has it\'s own link in the Downloads Pages menu.');
define('_CREATEDOWNLOADSPAGES','Create Download Pages');
define('_ADDCONTENTTOHEADER','You can add content to the header of the page. (optional)');

// email_settings.php ---------------------

define('_EMAILUSERREG','Email/User Registration Features');
define('_THEFOLLOWINGSETTINGS','The following settings are used for member registration/login features and in the members account contact feature.');
define('_ALLOWNEWMEMBERS','Allow New Member Registration');
define('_LINKACCOUNT','A link (Account) will be placed in the menu automatically.');
define('_IFCHOSENO','If you chose No above, you can skip the remainder.');
define('_THENEXTSETTING',' The next setting controls if you want to use the Users block and if so where you want it to show. You can choose Left or Right sidebar or just under the menu if Top is chosen.');
define('_USEREGISTRATION','Use Registration Sidebar Block');
define('_USEFAICON','*Optional: You can place a font awesome icon along with the link if you want.');
define('_WEBSITEURL','Your Website URL');
define('_WHENSOMEONEREGISTERS',' Is used in the account activation email when someone registers a new account.<br>(Ex: https://www.yoursite.com)');
define('_EMAILADDRESS','Your email address');
define('_ASFROMADDRESS','Will show as the <b>From</b> address for replies.<br>(Ex: you@youremail.com)');

// faqall.php ---------------------

define('_FAQ','Frequently Asked Questions');
define('_FAQBUILDER','FAQ Builder');
define('_HEADER_NAME','Header Name: Example: Menu System (max 55 text characters)');
define('_QANDA','Question and Answer. Example:  <b>What Is The FAQ?</b> It is a place to find answers.</p><p>It is a good practice to type the Question in bold letters so it is easier to read.');

// faqmenu.php ---------------------

define('_FAQQUICKLINKS','FAQ Quick Links');
define('_USEFAQ','Use FAQ');
define('_ADDEDITFAQ','Add/Edit FAQs');

// flipcardbuilder.php, flipcardall.php, flipcardreposition.php 

define('_FLIPCARDS','Flip Cards');
define('_NUMBERCARDSPERROW','Number of cards per row.');
define('_CARDHEIGHT','Card Height');
define('_VIEWEDITCARDS','View/Edit Cards');
define('_REPOFLIPCARDS','Reposition Flip Cards');
define('_USETHISCARD','Use This Card');
define('_PLACECARDINARCHIVE','Place in Archive');
define('_PHOTOORIMAGE','Set the cards face photo or other image.');
define('_IFPHOTO','If Photo: enter name only (use Media Manager to place in the flipcard folder)');
define('_IF_IMAGE_','If Image: enter name only (use Media Manager to place in the flipcard folder)');
define('_BACKFIRST_','Back card background first color (if gradient)');
define('_BACKSECOND_','Back card background second color (if gradient)');
define('_SITSINCONTAINER','The card sits on a container. Enter the color for that container.');
define('_CONTAINERFIRSTCOLOR','Container first color (if gradient)');
define('_CONTAINERSECONDCOLOR','Container second color (if gradient)');

// heropage.php

define('_CONTAINERTEXT','The container holds the text and is positioned on the section.');
define('_ENTER_TEXT','Enter the text exactly as you want it to appear, it will be housed in the container.');
define('_HEROPAGE','Hero Section');
define('_HEROBUILDER','Hero Section Builder');
define('_HEROPAGEOPTIONAL','The hero section is optional');
define('_FIRSTTHING','and if used is the first thing people see when they visit your website. A hero section is the area that immediately shows up on the screen under your menu. It will replace the header and logo.');
define('_FIRST_THING','The hero section is the first thing people see when they visit your website.<br>A hero section is the area that immediately shows up on the screen under or above your menu.<br>It will replace the header and logo.');
define('_TOSETONEUP','Go here to set one up.');
define('_SEECHANGES','View the section while you build it, then turn it on.');
define('_USEHEROPAGE','Use Hero Section ');
define('_PAGEHEIGHT','Height of the section.');
define('_ENTERBACKIMG','Enter background image (place in themes folder and enter name only. Ex: back.jpg)');
define('_SETTOPPADDING','Set the top padding.');
define('_SETLEFTPADDING','Set the left/right padding.');
define('_TEXTCONTAINERSTYLING','Text Container Styling');
define('_OPACITY','Opacity: (ex: .9)');
define('_UPDATETHERECORD','Update the Record and Refresh Page to see the changes as you build the section.');
define('_OPENPREVIEW','Open Full Preview Page');
define('_ADDCONTAINER','Add container width in percentages (for responsive effect).');

// snipletsconfig.php, snipletbuilder.php, snipletsreposition.php, snipletsabout.php

define('_NEWSBOTTOM','Bottom');
define('_NEWSPAGEROWS','Home Page Rows');
define('_ACTIVATEROWS','Activate the rows to use for sniplets.');
define('_CLICKTHEBUTTON','Click the buttons to display the Row');
define('_ROWONE','Row One');
define('_ROWTWO','Row Two');
define('_ROWTHREE','Row Three');
define('_ROWFOUR','Row Four');
define('_ROWFIVE','Row Five');
define('_ROWSIX','Row Six');
define('_ROWSEVEN','Row Seven');
define('_ROWEIGHT','Row Eight');
define('_ROWNINE','Row Nine');
define('_ROWTEN','Row Ten');
define('_ROWELEVEN','Row Eleven');
define('_ROWTWELVE','Row Twelve');
define('_ROWONETOP','Row One Top');
define('_ROWTWOTOP','Row Two Top');
define('_ROWTHREETOP','Row Three Top');
define('_ROWFOURTOP','Row Four Top');
define('_ROWFIVETOP','Row Five Top');
define('_ROWSIXTOP','Row Six Top');
define('_ROWSEVENTOP','Row Seven Top');
define('_ROWEIGHTTOP','Row Eight Top');
define('_ROWNINETOP','Row Nine Top');
define('_ROWTENTOP','Row Ten Top');
define('_ROWELEVENTOP','Row Eleven Top');
define('_ROWTWELVETOP','Row Twelve Top');
define('_ROWONEMIDDLE','Row One Middle');
define('_ROWTWOMIDDLE','Row Two Middle');
define('_ROWTHREEMIDDLE','Row Three Middle');
define('_ROWFOURMIDDLE','Row Four Middle');
define('_ROWFIVEMIDDLE','Row Five Middle');
define('_ROWSIXMIDDLE','Row Six Middle');
define('_ROWSEVENMIDDLE','Row Seven Middle');
define('_ROWEIGHTMIDDLE','Row Eight Middle');
define('_ROWNINEMIDDLE','Row Nine Middle');
define('_ROWTENMIDDLE','Row Ten Middle');
define('_ROWELEVENMIDDLE','Row Eleven Middle');
define('_ROWTWELVEMIDDLE','Row Twelve Middle');
define('_ROWONEBOTTOM','Row One Bottom');
define('_ROWTWOBOTTOM','Row Two Bottom');
define('_ROWTHREEBOTTOM','Row Three Bottom');
define('_ROWFOURBOTTOM','Row Four Bottom');
define('_ROWFIVEBOTTOM','Row Five Bottom');
define('_ROWSIXBOTTOM','Row Six Bottom');
define('_ROWSEVENBOTTOM','Row Seven Bottom');
define('_ROWEIGHTBOTTOM','Row Eight Bottom');
define('_ROWNINEBOTTOM','Row Nine Bottom');
define('_ROWTENBOTTOM','Row Ten Bottom');
define('_ROWELEVENBOTTOM','Row Eleven Bottom');
define('_ROWTWELVEBOTTOM','Row Twelve Bottom');
define('_TOMOVEASNIPLET','To move a sniplet into another row, Edit the sniplet and choose the new row.');
define('_ISTHIS','Is this a Sniplet, Block, Sidebar, or Article?');
define('_NAMETHISROW','Name This Row?');
define('_USETHISROW','Use This Row?');
define('_LIBRARYFEATURE','Library Feature.');
define('_CONFIGSIDEBARS','Configure the Sidebars');
define('_SIDEBARS','Sidebars');
define('_ONCANVASLEFT','On-canvas Left');
define('_ONCANVASRIGHT','On-canvas Right');
define('_OFFCANVASSIDEBARSOFF','Off-canvas sidebars are off.');
define('_ONCANVASSIDEBARSOFF','On-canvas sidebars are off.');
define('_TURNON','Turn On');
define('_LIBRARYEXPLAIN','The library contains the plugins - Categories, Spotlight Articles, Tag Cloud, and Archives.<br>It can be placed as a middle Block or dropdown accordion on the page or as a Right off-canvas sidebar. ');
define('_SELECTSIDEBAR','Select which Off-Canvas Sidebar to use');
define('_CONFIGONCANVASSIDEBARS','Configure On-Canvas Sidebars');
define('_SELECTWHICHSIDEBAR','Select which On-Canvas sidebar to use.');
define('_ADDPLUGINS','Add Plugins to the Sidebar?');
define('_IFPLUGINISYES','If add plugins is Yes, choose which sidebar.');
define('_LEFTSIDEBARWIDTH','Set the width of the Left sidebar (if used)');
define('_RIGHTSIDEBARWIDTH','Set the width of the Right sidebar (if used)');
define('_SIDEBARCONTENTBLOCKS','Add Sidebar Content Blocks?');
define('_CREATEUSING','Create these using the Sidebar Blocks Builder.');
define('_IFYESSELECTSIDEBAR','If above is Yes Select Sidebar.');
define('_BLOCKBUILDER','Block Builder');
define('_NEWSBLOCKS','Blocks');
define('_CONFIGBLOCKS','Configure the Blocks');
define('_GROUPSOFBLOCKS','Blocks can be placed in any of the 12 rows.');
define('_GROUPSOFSNIPLETS','There are 36 groups of Sniplets. They refer to their position on the page.');
define('_BUILDSNIPLETS','Build Sniplets');
define('_VIEWEDITSNIPLETS','View/Edit Sniplets');
define('_CONFIGVIDEOS','Configure the Video block');
define('_SCREENSHOT','See It In Action');
define('_CUSTOM','Custom');
define('_VIDEOSETTINGS','Video Player Settings');
define('_CUSTOMSETTINGS','Custom Settings');
define('_CONFIGPAGE','Configure the News Page');
define('_PADDING','Padding:');
define('_BORDER','Border: (do not set a border if box-shadow is set)');
define('_BOXSHADOW','Box-Shadow');
define('_DEFAULT','Default');
define('_CONTENTAREABACK','Set Content Area (Default or Custom).');
define('_EDITSNIPLET','Edit Sniplet');
define('_FOOT','Footer');
define('_BLOCKLOCATION','Block Location:');
define('_PLACEVIDEOPLAYER','Place the video player in a block or sidebar.');
define('_BLOCK','Block');
define('_VIEW_EDITLINKS','View/Edit Links');
define('_SHOW_VIDEO','Show the Video Player?');
define('_VIDEOPLAYERISATTOP','Video player is located either in a sidebar or as a center content block.');
define('_ENTERACTIVEVIDEO','Enter Active Video Link.');
define('_ISSHOWNINPLAYER','Is shown in the player until another video is selected (placeholder).');
define('_REPOSITIONTOPBLOCKS','Reposition Top Blocks');
define('_REPOSITIONMIDDLEBLOCKS','Reposition Middle Blocks');
define('_REPOSITIONBOTTOMBLOCKS','Reposition Bottom Blocks');
define('_GROUP','Group');
define('_PRESETWIDTH','Preset Width');
define('_GROUPTOPBUILDER','Group Top Builder');
define('_GROUPMIDDLEBUILDER','Group Middle Builder');
define('_GROUPBOTTOMBUILDER','Group Bottom Builder');
define('_GROUPHEADER','Group Header');
define('_GROUPTOP','Group Top');
define('_GROUPMIDDLE','Group Middle');
define('_GROUPMIDDLETOP','Group Middle Top');
define('_GROUPMIDDLEBOTTOM','Group Middle Bottom');
define('_GROUPBOTTOM','Group Bottom');
define('_GROUPTOPCONFIG','Group Top Configure');
define('_GROUPMIDDLECONFIG','Group Middle Configure');
define('_GROUPBOTTOMCONFIG','Group Bottom Configure');
define('_SHOWTITLESTYLE','Show title with themes styling?');
define('_SUCCESSFULLYSAVED','Your change was successfully saved.');
define('_SETSWIDTHFORALL','This will set the width for all blocks in this group.');
define('_CONFIGSNIPLETS','Configure Sniplets');
define('_SNIPLETBUILDER','Sniplet builder');
define('_REPOSITIONSNIPLETS','Reposition Sniplets');
define('_ABOUTSNIPLETS','About Sniplets');
define('_SNIPLETS','Sniplets');
define('_VIEWEDITALLSNIPLETS','View/Edit All Sniplets');
define('_EACHSNIPLETROW','Build the sniplet and add it to any group. Once the sniplet is built be sure to <a href="snipletsreposition.php" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="Open Reposition Window">position</a> it within the group you chose.');
define('_MIDDLETOP','Middle-Top');
define('_MIDDLEBOTTOM','Middle-Bottom');
define('_SNIPLETPARA','<h2 class="center gentextcolor">You can change the position within the same row but you cannot drag a sniplet into another row.</h2><p class="center">To change the position of a sniplet, left click on it and drag it to a new position. The new position will be automatically saved.</p><p class="center">Once the sniplet has been repositioned it will show in the new order on the homepage.</p>');
define('_PLACEIN_ARCHIVE','Place this sniplet in the archive?');
define('_USETHISSNIPLET','Use This Sniplet?');
define('_TEXT','Text');
define('_ENTERTEXT','Enter Text');
define('_ENTERIMAGE','Enter Image');
define('_ENTERLINKURL','Enter Link URL');
define('_WILLADDALINK','This will add a link when the image is clicked.');
define('_PLACEINSNIPLETSFOLDER','place in sniplets folder, enter name only ex: back.jpg');
define('_ASSIGNTOGROUP','Assign to which group?');
define('_CONFIGURESNIPLETS','Configure Sniplets');
define('_ACTIVEONPAGE','Active On Page?');
define('_VIEWBUILDER','View Builder');
define('_VIEWEDITVIDEOS','View/Edit Videos');
define('_VIDEOS','Videos');
define('_YOUTUBEVIDEO','YouTube Video');
define('_ADDASMANY','You can add as many videos as you want.');
define('_SHOWVIDEO','Show this video?');
define('_IMAGEISDISPLAYED','The image is displayed beside the video name on the homepage.');
define('_IFISYOUTUBE','If this is a YouTube video enter the embed src below. example: https://www.youtube.com/embed/IgT24YYn4DU');
define('_VIDEOFILENAME','Video URL');
define('_PLACEVIDEO','Enter full URL to where the video is located.');
define('_VIDEOBUILDER','Video Builder');
define('_SETCONTENTWIDTH','Set the content width.');
define('_STYLEBLOCKS','Style the Blocks?');
define('_ADDBORDER','Add a Border?');
define('_BORDERWILLBE','Border will be 1px solid and the color will vary by the theme being used.');
define('_ADDBOXSHADOW','Add a Box-shadow?');
define('_BOXSHADOWWILLBE','Box-shadow will be 1px 1px 2px and the shadow color will vary by the theme being used.');
define('_THEREAREFOUR','Assign Sniplets to the following rows.');
define('_SNIPLETSAREINNOWAY','Spectra Sniplets are in no way similar to WordPress Sniplets and are not used in the same way. Sniplets is just a name I dreamed up and then later learned about WordPress Sniplets. But because Spectra holds no similarities to WordPress there is no reason to compare them.');
define('_SNIPLETSARESMALL','Their purpose is to get the attention of a visitor to your website by providing briefly an eye catching snippet of text and image that links to larger articles or other content. They are assigned to groups within rows and each group can hold as many sniplets as you want to add.');
define('_TOGETSTARTED','To get started go to the Sniplet Builder and follow the instructions. You can move a sniplet within the group by drag and drop, or into another group at any time.');
define('_WIDTH','Block Width');
define('_USETHISBLOCK','Use This Block?');
define('_CONFIGFLOATINGPAGE','Configure Home Page');
define('_VIEWEDITBLOCKS','View/Edit All Blocks');
define('_ADDNEWBLOCK','Add New Block');
define('_REPOSITIONBLOCKS','Reposition Blocks');
define('_HOWTO_GUIDE','How To Guide');
define('_FLOATINGPAGEMENU','Home Page Menu');
define('_USEBACKGROUNDCOLOR','Use a background color?');
define('_BACKGROUNDONE','Background One');
define('_BACKGROUNDTWO','Background Two');
define('_FB_HOWTO','Home Page How To');
define('_EXPLAINFB','This will explain how to setup your homepage.');
define('_FBPARA1','The Home Page is very flexible. The page is made up of 12 rows. Content is added to the rows when Articles, Blocks, and Sniplets are created. The content items can be repositioned within their assigned row by drag and drop. Also, any content item can be moved from one row to another. You can place as many blocks as you want in each row. It is also good to set the height for all blocks to keep your page uniform. The content of the blocks will scroll if you build blocks that exceed the height you selected.<br><br>To add a Module go to their configuration panels and assign them to a row.');
define('_FBHOWTOSTEPS','How To Steps:');
define('_CHOOSEFB','Choose the template &apos;News Page&apos;.');
define('_CONFIGFBHEIGHT','Configure the Home Page.');
define('_CREATEFBBLOCKS','Create some blocks.');
define('_ARRANGEFBBLOCKS','Arrange the blocks on your homepage.');
define('_CONFIGFB','Home Page');
define('_WHENUSINGFB','The sidebars are housed on and/or off canvas.  If you can decide to use them they can be on both sides or on one side only. The Sidebar button will show at the top of the page and on the side you choose.');
define('_SETTINGHEIGHT','Setting the height of the blocks enhances your page presentation.');
define('_SET_HEIGHT','Set the Block Height:');
define('_FBBLOCKSBUILDER','Blocks');
define('_EACHROW','Each row is 100% wide. You can place as many blocks as you want in each row, but the total widths has to be 100% or less. If less, the blocks will align to the left of the page. It is also good to set the height for all blocks to keep your page uniform. The content of the blocks will scroll if you build blocks that exceed the height you selected.');
define('_FBTITLE','Enter Title');
define('_SETTHEWIDTH','Set The Width (in percents - ie: 15%)');
define('_FB_PAGE','News Page');
define('_FB_REPOSITION','Reposition Blocks');
define('_LEFTCLICK','Left click on a block and drag it to a new position on the page.');
define('_LEARNMOREFB','Learn More About The Home Page ');
define('_LEARNABOUTFB','Each row is 100% wide. You can place as many blocks as you want in each row, but the total widths have to be 100% or less.<br>If less, the blocks will align to the left of the page. It is also good to set the height for all blocks to keep your page uniform.<br>The content of the blocks will scroll if you build blocks that exceed the height you selected. See <a href="images/floatingblockspage.png"  onclick="basicPopup(this.href);return false"><span class="linkcolor">Example</span>');
define('_NEWBLOCK','New Block');

// fontawesome.php ---------------------

define('_SPICEUPMENUS','Spice up your Menus. Copy and Paste the code into the menus Icon Space then choose a color for it.');

// footer.php ---------------------

define('_CMSSPECTRAVERSION','Spectra Version');

// footer-config.php ---------------------

define('_FOOTERCOPYRIGHT','Footer Copyright and Content');
define('_COPYRIGHTNOTICE','Copyright Notice');
define('_FOOTERCONTENT','Footer Content (if any)');

// functions.php ---------------------

define('_IPADDRESS','Your IP Address Is');
define('_OPENFAICONS','Open Font Awesome Icons in a New Window for your convenience.');
define('_MENUICONS','Menu Icons');
define('_UPDATESUCCESSFUL','Update Successful!');
define('_UPDATERECORD','Update the Record');
define('_CLOSEWINDOW','Close This Window To Continue');
define('_QUICKNOTETAKER','Quick Note Taker');

// gallery.php ---------------------

define('_SPECTRAALBUM','Spectra Album');
define('_BUILDAGALLERY','<div class="mini-container"><h3 class="center">HOW TO BUILD A GALLERY<br>Creating a Gallery</h3><ol class="left gentextcolor" style="line-height:1.6"><li>Open Media Library.</li><li>Open the folder named gallery-images.</li><li>Create new folders inside.</li><li>Add your images to those folders.</li><li>Click the ADD NEW button. (below)</li><li>Give the name of your gallery the exact same name as the folder name.</li><li>Follow the prompts and your new gallery is created and added to the gallery menu automatically.</li><li>Finally, go and <a href="usegallery.php" onclick="basicPopup(this.href);return false" title="Opens in a new window" class="link"><span class="blue">turn on the gallery and name the menu link.</span></a></li></ol></div>');
define('_CARDBACK','Card back');

// gallery_config.php ---------------------

define('_CONFIGALBUM','This is where you configure the Album (basically the albums cover) and get it ready for your galleries which are housed inside.');
define('_SUBTEXTCONTENT',' Sub-Text/Content under Album Header Name. Add whatever you like. Leave blank if not used.');
define('_IMGHOLDER','Example of the gallery image holder.');
define('_EXIMGHOLDER','Example Image Holder');
define('_ACTUALIMGHOLDER','This is the actual image holder that you will see in your gallery. To assist you with designing one:');
define('_MAKECHANGES','Make changes');
define('_REFRESHCHANGES','Refresh the page to see the changes.');
define('_ONEOFTHESEIMAGES','To use one of the images below, copy and paste the name into the <b>Background image</b> box and choose <b>Yes</b> to <b>Use an image for the background.</b>');
define('_ALBUMHEADERNAME','Album Header Name');
define('_ALBUMHEADERFONT','Album Header Font family');
define('_ALBUMHEADERNAMESIZE','Size of Album Header Name?');
define('_WHICHMENUFORGALLERY','Which menu do you want to use for your galleries?');
define('_TOPMENU','Top Menu');
define('_DROPDOWNMENU','Dropdown Menu');
define('_GALLERYMENUINFO','Note: If you plan to have a large album with a lot of galleries, you may want to use the Dropdown Menu so as not to run out of space on the Top Menu bar.');
define('_COLORBOXPOPUP','Colorbox Popup');
define('_COLORBOXTHEME','Colorbox Theme');
define('_COLORBOXPOPUPINFO','Choose the theme for the image colorbox. See the screenshots below.');
define('_CLICKFORSCREENSHOTS','Click For Colorbox Screenshots');
define('_STYLE','Style');
define('_CONFIGIMGHOLDER','Configure the gallery image holders.');
define('_SETSPACE','Set the amount of space around the images.');
define('_UPLOADIMAGE','Upload the image using Media Library into the gallery-frames folder then copy/paste the name below.');
define('_USEIMGFORBACK','Use an image for the background?');
define('_BACKIMG','<strong>Background Image:</strong> (Ex: back.jpg)');
define('_IFNOTUSINGIMAGE','If not using an image you can still use either a gradient or solid color. For a gradient enter 2 different color values and for a solid enter the same color value twice.');
define('_CAPTION','Caption');
define('_CAPTIONTEXTSIZE','Caption text size');
define('_CAPTIONFONTCOLOR','Caption Text Color');
define('_CAPTIONPADDING','Caption padding');
define('_INPIXELS','(in pixels)');
define('_AMOUNTOFPADDINGINFO','The amount of padding on the left and right side of the caption. If you increase the padding too much it will affect the size of the thumbnail especially if you have long image names.');
define('_IMGFRAME','Image Holder Frame');
define('_FRAMEOUTSIDERADIUS','<strong>Frame outside radius</strong> (value of 50% creates a circle and is a good effect in some cases.)');
define('_FRAMEINSIDERADIUS','<strong>Frame inside radius</strong> (A value of 50% creates a circle and is a good effect in some cases.)');
define('_BOXSHADOWEFFECT','<strong>Box shadow effect for the photo itself, the higher the number the more effect</strong> (creates a raised effect)');
define('_BOXSHADOWCOLOR','<strong>Box shadow color, colors the amount of shadow above:</strong>(Ex: #000000)');
define('_SETOUTSIDEBORDER','Set outside border');
define('_BORDERWIDTH','Border width');
define('_BORDERSTYLE','Border style');
define('_BORDERCOLOR','<strong>Border color:</strong> (Ex: #000000)');
define('_SETINSIDEBORDER','Set inside border / Mat Board');

// gallerybuilder.php ---------------------

define('_META_TAGSINFO','Enter some keywords that apply to this gallery. (example: Vacation, Flight, Cruise)');
define('_DESCRIPTIONINFO','Describe briefly what this gallery is about. (example: Our recent trip to Hawaii)');
define('_DESCRIPTION','Description');
define('_CARDBACKINFO','The Album has cards that represent the galleries. The visitor can click the card to see that gallery. Enter the image you want to use as the card background. Enter image name only (example: 1.jpg).');
define('_CARDBACKGROUND','Card Background');
define('_GALLERYMGTTOOLS','Gallery Management Tools');
define('_BUILDEDITGALLERY','Build a New Gallery or Edit an Existing Gallery');
define('_ADDTEXTIFANY','<strong>Additional text (if any):</strong><br>This will appear just under the Title of the gallery.');
define('_USETHISGALLERY','Is this gallery being used?');
define('_FOLDERNAME','Folder name:');
define('_FOLDERNAMEINFO',' (max 25 text characters) Must match the name you gave the folder exactly.<br>• The folder name will also be displayed as the Title of the gallery.');
define('_EXAMPLE','Example');
define('_FONTTOUSE','Font to use');
define('_FONTSIZE','Font Size');
define('_FONTCOLOR','Font Color');

// gallerymenu.php ---------------------

define('_GALLERYMENU','Gallery Menu');
define('_GALLERYQUICKLINKS','Gallery Quick Links');
define('_USEGALLERY','Use Gallery');
define('_ALBUMCONFIG','Album Configuration');
define('_ADDEDITGALLERY','ADD/EDIT Galleries');

// gallerymodbuilder.php ---------------------

define('_GALLERYMODBUILDER','Gallery Module Builder');
define('_GALLERYMODINFOONE','You can add as many image modules as you need. Use the Resize tool in');
define('_MEDIALIBRARY','Media Library');
define('_UPLOADTO',' and upload the images into the <b>gallerymod</b> folder.');
define('_GALLERYMODINFOTWO','<p class="left">Each module requires two images, one small for the thumbnail, and one large for the popup.</p><p class="left">Enter the image name only (ex: image.jpg).</p>');
define('_SMALLIMG','Small Image');
define('_SMALLIMGINFO','Usually 300px x 150px');
define('_LARGEIMG','Large Image');
define('_LARGEIMGINFO','Usually 600px x 300px');
define('_CAPTIONINFO','55 text characters max.');

// gallerymodmenu.php ---------------------

define('_GALLERYMODMENU','Gallery Modules Menu');
define('_ADDEDITMODULE','Add/Edit Module');
define('_CONFIGMOD','Configure Module');

// gallerymodpreview.php ---------------------

define('_PREVIEWMODINFO','The preview module is here to let you preview the image sizes you entered, to see if they look right to you. The popup window will not be the same as the one on your homepage module.');
define('_CLOSEPREVIEWWINDOW','Close Preview Window');

// headermenu.php ---------------------

define('_ADDEDITNOTES','Add/Edit Notes');
define('_CLOSE','CLOSE');
define('_FAICONS','Font Awesome Icons');
define('_SPICEUP_MENUS','Spice up your Menus. Copy and Paste the code into the menus Icon Space then choose a color for it.');
define('_CLICKTOCOPY','Left Click The Font Awesome Code To Copy.');
define('_PREVIEWFONTS','Preview Available Fonts');
define('_PREVIEWFONTSINFO','All available fonts are included in the editors Font selection menu and can be selected and added to text.');

// homepage.php

define('_HOMEPAGE','Home Page');
define('_SINGLELINKS','Single Links');
define('_HOMEPAGEISBLOCKED','By default the index (homepage) is blocked so that only you can see it. If you turn it on all visitors can see it.<br>Maybe you want to display your themes for download.<br>If you turn the index page on you can add single links to the menu.');
define('_CHANGEHOMEPAGE','Change Homepage?');

// howto-oneplus.php ---------------------

define('_STEPBYSTEP','A step-by-step guide to getting the One Plus layout up and running.');
define('_ONEPLUSINFO','*NOTE: It is highly recommended that you open your homepage and refresh it as you make changes.');
define('_ONEPLUSPARAONE','1. <strong>Header Video:</strong> If you want to add a video in the header <a href="config-effects.php" class="link position-grid__cell hint--top hint--medium hint--rounded" aria-label="Opens in a new tab"  onclick="basicPopup(this.href);return false">go here and follow the instructions.</a>');
define('_ONEPLUSPARATWO','2. <strong>Header Video Logo:</strong> When choosing to use a video and you do not want the header area to show, it is best to turn the logo off. To do this go to the <a href="themesall.php" onclick="basicPopup(this.href);return false" class="link position-grid__cell hint--top hint--medium hint--rounded" aria-label="Opens in a new tab">themes library</a> and choose the theme you are using.'); 
define('_ONEPLUSPARATWOA','<ol class="gentextcolor"><li><p>Under "<b>Style the Logo</b>" blank out the logo font size.</p></li><li><p>Under "<b>The Header (logo and top menu area)</b>" change the value in "<b>Header Height</b>" to 0 (zero).</p></li></ol><p>This will position the video at the top of the page. If you want to show the header area, use the themes default settings.</p>');
define('_ONEPLUSPARATHREE','3. <strong>Adding Articles:</strong> You can choose between adding a background image, gradient color, or solid color.');
define('_ONEPLUSPARAFOUR','4. <strong>Menu</strong> As with all of the other styles/layouts you can choose between using the <a class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="Places the menu bar below the video screen."><i style="font-size:18px; color:red;" class="fa fa-question-circle"></i></a>One Plus or the <a class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="Places the menu open icon at the top of the video screen."><i style="font-size:18px; color:red;" class="fa fa-question-circle"></i></a> Off Canvas menu. <a href="website.php#menuselection" onclick="basicPopup(this.href);return false" class="link position-grid__cell hint--top hint--medium hint--rounded" aria-label="Opens in a new tab">Go here to choose.</a> ');

// HTML5 Support htmleditor.php, htmlsettings.php, viewhtmlthemesfolder.php, snippets.php, clearlogfile.php, chmod.php

define('_LISTALLFILES','List of all files and folders in the');
define('_STYLESHEETS','Style Sheets');
define('_SAVEFILE','Save File');
define('_TIP','Tip: Click Copy Then Drag The Snippet Into The Editor.');
define('_HTMLCSSEDITOR','HTML/CSS Editor');
define('_HTMLTAGS','HTML5 Tags');
define('_CSSSTYLESHEETS','CSS Style Sheets');
define('_COPYPASTEFILE','Copy/paste the file to edit from the list above.<br>Folders do not have file extensions. You will get a 400 error if you try to edit one.');
define('_ADD_SNIPPETS','Add snippets to the HTML5 theme to turn on Spectra Plugins and Custom Blocks.<br>Simply copy and paste them where you want the plugin to show.');
define('_CUSTOMBLOCKSPARA','Custom blocks are from custom-one through custom-twenty. Each custom block can hold an unlimited number of blocks assigned to the same number.<br>For example, using the sidebar block builder, I can build a block and assign it to custom-one and then add other blocks to that same one.<br>They show on the page below each other. If I use custom-one I only need to add the snippet on the page one time.<br>
Anything that I add to that custom block will go there automatically below the first one.<br>But you can drag a block into a new position or change it\'s custom number at anytime by going to &quot;Position Sidebar Blocks&quot;');
define('_GOSEEVIDEO','Go here to see a Video');
define('_CUSTOMBLOCKS','Custom Blocks');
define('_SCROLLDOWN','Scroll down for custom-blocks: custom-one thru custom-twenty. Click Copy and when the code is hi-lighted it has been copied to the clipboard automatically.');
define('_COPY','Copy');
define('_CLICKCOPY','Click Copy and when the code is hi-lighted it has been copied to the clipboard automatically.');
define('_DOWNLOADSTATS','Downloads Statictics');
define('_WITHOUTPAGINATION','Articles without pagination');
define('_WITHPAGINATION','Articles with pagination');
define('_HITCOUNTER','Unique hit counter');
define('_USERS','Users');
define('_QUICKLINKS','Quick Links');
define('_BACKTOTOP','Back To Top (2 snippets)');
define('_SHOWSBACKTOTOP','Shows the back to top arrow. Place both above the closing body tag.');
define('_SHOWALLTAGS','Show all tags that you add in articles and pages.');
define('_SHOWSALLARTICLES','Shows all articles you mark for the spotlight.');
define('_SHOWSQUICKLINKS','Shows all quicklinks you add.');
define('_SHOWSLOGINREG','Shows user information and login/registration.');
define('_SHOWSARCHIVES','Shows everything you send to the archives.');
define('_ADDTHEMESUPPORT','Add support from Spectra themes.');
define('_THEMESUPPORT','Theme support');
define('_DISPLAYSINFO','Displays all information entered into the General Website Configuration/Footer editor to include copyright info.');
define('_DISPLAYSHITCOUNTER','Display a hit counter in the footer or anywhere.');
define('_DOWNLOAD_STATS','Shows all downloads statistics if the downloads suite is used.');
define('_INFOCAROUSEL','Informational carousel.');
define('_PAGINATIONFEATURE','Displays all articles without the pagination feature.');
define('_ARTICLESPAGINATION','Displays articles with the pagination feature.');
define('_SHOWSRIGHTSIDEBAR','Shows all blocks assigned to the right sidebar.');
define('_SHOWSLEFTSIDEBAR','Show all blocks assigned to the left sidebar.');
define('_SHOWSLOGO','Shows the logo set in General Website Configuration.Logo');
define('_POPULATINGMENU','The spectra self populating menu.');
define('_SERVERIP','Your Server IP Address is:');
define('_CANNOTBECHANGED','This Is a Local Server. Folder Permission Cannot Be Changed.');
define('_FILEPERMISSIONUPDATED','File Permission Has Been Updated To');
define('_HTMLEDITORSETTINGS','HTML Editor Settings');
define('_WINDOWHEIGHT','Window Height:');
define('_MAKE_CHANGES','Make changes to how the editor is displayed to improve visibility.');
define('_MAKEEDITORCHANGES','Change Editor Settings');
define('_VIEWTHE','View the');
define('_INDEXHTML','index.html file while you are editing it.');
define('_REFRESHPAGEWITHOUT','Refresh the page without resending data from the editor.');
define('_OPENSNIPPETSLIBRARY','Open the snippets library to make it handy while adding snippets.');
define('_CSSSHORTHANDCLASSES','CSS Shorthand Classes (if using the theme.php block).');
define('_LISTINGFILESANDFOLDERS','Listing of all files and folders in the');
define('_THEMEFOLDER','theme folder');
define('_WINDOW_HEIGHT','Current Editor Settings: Window Height');
define('_HTML5EDITOR','HTML5 Editor');
define('_EDITDIRECTLY','This allows you to edit the themes index.html file directly.');
define('_GETSTARTED','To Get Started, enter the following snippets into your index.html page:');
define('_COPY_PASTE','Copy/Paste just above the &#60;body&#62; tag');
define('_COPY_PASTEABOVE','Copy/Paste just above the closing &#60;/body&#62; tag');
define('_FASUPPORT','To add Fontawesome support. Add above the &#60;body&#62; tag.');
define('_PREVIEWINDEXPAGE','Preview The Index Page');
define('_INDEXEDITOR','Spectra index.html Editor for theme');
define('_SEESNIPPETS','See Snippets Library in the Designers Toolbox');
define('_LOGIN','Login');
define('_FORGOTPASSWORD','Forgot Password');
define('_SEESNIPPETSLIBRARY','See snippets library in Designers Toolbox');
define('_SEEINDEX','Preview index.html File');

// index.php ---------------------

define('_SIDEBARSPARA','<p class="left">Sidebars are located in numerous positions on the Homepage. There are Off-canvas, On-canvas, and Rows sidebars.<br> 
The Off-canvas sidebars can be accessed by clicking on the menu ||| icon.<br>
The On-canvas sidebars are located on the left and right side and the height covers the entire page.<br> 
The Rows sidebars are only visible within the row they are assigned to and on the Left, Right, or Both sides.</p>');
define('_ADMINPOWER','<p class="left">You as the administrator, when logged in, can edit content directly without having to leave the page you are on. When logged in you will see the <i class="fa fa-edit"></i> edit and <i class="fa fa-arrows"></i> reposition icons at the bottom of articles, sidebar blocks, pages and other areas. Let\'s say you notice a typo on a page or in an article. Simply click the edit icon and that content will popup in a window. Make your changes and save them and it is that simple. And if you want to reposition an article or sidebar block on the homepage click the reposition icon that opens the panel where you drag-n-drop it into its new place on the homepage.</p>');
define('_INTRO','Spectra contains a complete package of tools that will aid you in building a website that is both responsive/fluid and very attractive. It is a complete website package written in CSS3, HTML5, JavaScript, and PHP 8 with extensive CKEditor/ELFinder, and MySQL database support. Spectra comes with in-depth help files you can reference to assist you along the way in setting up and changing all aspects of your site in minutes. Make website changes here in the dashboard and do the tasks needed to support your entire site.');
define('_OVERVIEW','OVERVIEW');
define('_TOUCHESONFEATURES','This touches on the features of Spectra.');
define('_GENINFO','General Info');
define('_GENINFOPARA','<p class="left">To help get you started, the top menu bar can be used to access all parts of the Designers Dashboard. You should spend some time clicking on these to become familiar with each one.</p><p class="left">Spectra comes with an extensive library of help files which you can access by placing your mouse pointer over the <a class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="Extra Help"><i style="font-size:18px; color:red;" class="fa fa-question-circle"></i></a> symbol in any of the areas where you are working.</p>');
define('_ARTICLESPARA','<p class="left">The articles allow you to post a wide range of content. Just like the blocks, you can post pictures, text, and links. You can choose how many Articles to show on the Home Page. Other Articles outside that limit are accessed through the pagination feature (<a href="website.php#pagination" target="_blank" title="Opens in a new window" class="link">Articles Settings</a>) which is located at the bottom of the center articles (if you choose to use it).</p><h1 class="monserrat column-title coltitlecolor">Administrators Message/Article(s)</h1><p class="left">The administrators article/messages(s) are placed on the homepage above the center atricles. It is handy for notices to other admins and advertisements that can be seen by the admin only or all members/visitors. It is not shown on new pages that are created. </p><h1 class="monserrat column-title coltitlecolor">Blocks</h1><p class="left">Add content blocks to the main content body and/or sidebars. Create a unique impression by including the content that your visitors can access readily.</p><h1 class="monserrat column-title coltitlecolor">Member Submitted Articles</h1><p class="left">You can decide if you will let members submit articles from inside of the members dashboard. Once submitted you can review it and decide if you want to publish it or not. Once published it will be added to the other articles on your homepage.</p>');
define('_CONTAINERPARA','<p class="left">Containers can be used in a lot of different configurations. Actually an entire homepage can be built using only one container <a href="container-example.php" target="_blank"><span class="linkcolor">See Example</span></a>. Containers have 8 layers with 2 rows in each and you can build as many as you need and assign them to any of the rows that you have configured. To get started go to the row where you want to place the container(s) and configure it.</p>');
define('_PAGESPARA','<p class="left">You can create as many pages as you need. When building a page you can choose which menu you want it to be added to. You can also choose if you want sidebars on that page and if you want to use Left, Right, or both. It is also easy to use plugins on that new page. Simply turn the ones on that you want to use in the pagebuilder and choose which sidebar to add it to.</p><p class="left">To Start:</p><p class="left">• Go to <a href="pagesall.php" target="_blank" title="Opens in a new window" class="link">Menu/Auto Page Menus</a> to name the menu faces (there are 12 total) that you will be using and turn them on when you are ready for them to show in the menu. The amount of pages you can add to each menu face is unlimited.</p><p class="left">• Page categories should be added as the next step. (see Page Categories below)</p><p class="left">•Lastly, go to <a href="pagesall.php" target="_blank" title="Opens in a new window" class="link">Pages</a> and start creating your new pages.</p><p class="left"> Once you have created a page, it will be automatically added to the menu you chose in the Page-builder. Now it will be accessible to your sites users. You can return and edit the page at anytime.</p><h1 class="monserrat column-title coltitlecolor">Page Categories:</h1><p class="left">You can create as many page categories as you need. Categories are important because it will give users a chance to select from the categories block and go directly to that page instead of searching for it.</p><p class="left">To start:</p><p class="left">• Go to <a href="categoriesall.php" target="_blank" title="Opens in a new window" class="link">Pages/Page Categories</a> to start building your list of categories.</p><p class="left">• Now, when you build a page you can choose from the list of categories in the Page-builder.</p>');
define('_PHOTOGALLERYPARA','<p class="left">Image Gallery:</strong> The galleries that you build are stored in an album and you can build as many galleries as you need. The photo gallery is an excellent place to store all of those family photos or photos of your travels. You can add or remove images from a gallery at any time without affecting the look. So there are never any blank spots.</p>');
define('_MENUSYSTEM','Menu System');
define('_MENUSYSTEMPARA','<p class="left">When turned on, all of the menus listed below are integrated into the overall menu system and displayed in either the Menu Bar or Off Canvas menu with the exception of the Quick Links and Administrators Block they are located in one of the sidebars.</p><div class="spacer"><h2 class="monserrat column-title coltitlecolor">Top level Drop-down Menu</span></h2><p class="left">Holds autopage menu links, single links, social media links, and mega menu content/links.</p><h2 class="monserrat column-title coltitlecolor">Off Canvas Menu</h2><p class="left">The off canvas menu can be opened from either the Left or Right side.</p><h2 class="monserrat column-title coltitlecolor">Pages Auto Menu System</h2><p class="left">The pages menu system consist of 12 dropdown menus that are housed in the main menu bar. You name them anything you want and turn on the ones you want to use. When you build pages you choose which menu you want to add that page to in the pagebuilder. Once the page has been built and published the link to that page will show in the menu you chose automatically. You can go back and reassign the page to a different menu at anytime.</p><div class="center spacer"><img src="images/examplemenu.png" class="examplemenu" alt="" /></div><h2 class="monserrat column-title coltitlecolor">Mega Menu</h2><p class="left">The mega menu consist of unlimited usable menu items and is located in the Top-Level or Off Canvas Menus. You can turn these on/off as you choose. When it is on, it shows in the menu bar as a single link with as much content in each as you choose. The mega menu holds pictures, links and other interesting content.</p></div></div><br><div class="full spacer center noborder">
<div class="spacer"><h2 class="monserrat column-title coltitlecolor">Quick Links</h2><p class="left">The quick links menu is in either the left or right sidebar (you choose) and can show links to all of your most visited areas.</p><h2 class="monserrat column-title coltitlecolor">Administrators Menu</h2><p class="left">The administrators menu block is hidden from all but the admin and contains links that only the admin can see. You as the admin can add as many links as you need to those important areas that only you have access to.</p>');
define('_THEMESPARA','<p class="left">Spectra comes with the theme Crimson set as the default but there are more for you to choose from. Using the powerful theme editor/builder you can build as many themes as you want. You can also edit the themes that come with Spectra. The website and designer dashboard themes can be changed [ <a href="website.php#dashboardtheme" target="_blank" class="link" title="Opens in a new window">HERE</a> ]. The designer dashboard will take on the look of the theme you select. When editing themes the theme builder will display the theme you are editing. Always save your work before refreshing the screen when in the theme builder.</p>');
define('_TEMPLATES','Templates');
define('_TEMPLATESPARA','<p class="left">Templates control the layout of your homepage. There are numerous columns and styles for you to choose from and, depending on your websites content, you can choose the one that is best for your needs. <a href="layoutsexplained.php" target="_blank" title="Opens in a new tab" class="link">Learn more ..</a></p>');
define('_PLUGINSMODS','Plugins and Modules');
define('_PLUGINSMODSPARA','<p class="left">A Plugin is an optional item that can be turned on and is displayed in the homepage sidebars or any pages sidebar that you create. Plugins make navigating your website easy and offer your visitors a quick and easy at-a-glance presentation. You choose those plugins that you want to use and you can turn them on and off at any time. <a href="plugins.php" target="_blank" title="Opens in a new tab" class="link">Learn more ..</a></p><p class="left">Modules are used to add features to the homepage of your website and are integrated into the existing content. They offer an optional and customizable addon to increase the amount of content you can display on your website while at the same time offering a different way of presenting that content.</p>');
define('_ADMINTOOLS','Administrators Tools');
define('_DOWNLOADS_SUITE_','Downloads Suite'); 
define('_DOWNLOADS_SUITE','<p class="left">The Downloads Suite provides administrators with the tools to manage their downloadable files. To use this feature, go to the Modules menu and select Downloads Suite. Turn the system on and allow access to your members and if you choose, make it available for other visitors to your website. Next, you will want to create the pages to house the files. The last step will add the downloads to the database. Upload a .zip or .pdf file and assign it to a page, assign a category, and add a title.</p>');
define('_SSL','Secure Socket Layer (SSL)');
define('_SSLPARA','<p class="left">SSL stands for Secure Sockets Layer and, in short, it\'s the standard technology for keeping an internet connection secure and safeguarding any sensitive data that is being sent between two systems, preventing criminals from reading and modifying any information transferred, including potential personal details. I highly recommend you get one for your website, especially if you are going to offer membership. And it\'s free if you go here. <a href="https://www.sslforfree.com/" target="_blank" class="link">SSL For Free</a></p>');
define('_HTMLTHEMES','HTML5/Bootstrap Themes');
define('_HTMLPARA','<p class="left">Spectra themes can be used along with HTML5/Bootstrap themes. To configure Spectra for your HTML theme go to General Configuration/General Website Configuration and choose HTML5 from the templates dropdown menu and enter the name of the themes folder. Click Update Record and Refresh Page to see other settings. Use the tool to upload the folder.</p>');

// language-settings.php ---------------------

define('_CHOOSELANG','Choose the language to use on your website.');
define('_LANG','Language');
define('_ENGLISH','English');
define('_FRENCH','French');
define('_GERMAN','German');
define('_RUSSIAN','Russian');
define('_SPANISH','Spanish');
define('_NEWLANG','New Language');
define('_ADDNEWLANG','Add New Language');

// layoutsexplained.php ---------------------

define('_LAYOUTSEXPLAINED','Templates Explained');
define('_CLICKLAYOUT','Click on the template to see the description.');
define('_ONECOLUMN','1-Column');
define('_ONECOLUMNPLUS','1-Column Plus');
define('_TWOCOLUMNLEFT','2-Column Left');
define('_TWOCOLUMNRIGHT','2-Column Right');
define('_BOTHSIDEBARSLEFT','Both Sidebars Left');
define('_BOTHSIDEBARSRIGHT','Both Sidebars Right');
define('_THREECOLUMN','3-Column');
define('_FIVECOLUMN','5-Equal-Column');
define('_MAGAZINE','Magazine');
define('_NEWSPAPER','Newspaper');
define('_MEDIA','Media');
define('_GALLERY','Gallery');
define('_OVERALL','Overall Description');

// linktome.php ---------------------

define('_USELINK','Use Link To Me (at bottom of left or right sidebar)?');
define('_ENTERLINKINFO','Enter the link information here.');
define('_LINK_URL','Enter link URL');
define('_NAMEONBTN','Name to appear on button');
define('_CANSTYLEBTN','You can style the button for a better appearance if you choose to do so. If not leave the following blank.');
define('_FIRSTGRADIENT','First Gradient Color');
define('_SECONDGRADIENT','Second Gradient Color');
define('_BTNFONTCOLOR','Button font color');
define('_BTNWIDTH','Button width: (Usually 150px) ');
define('_BTNHEIGHT','Button height: (usually 30px) ');
define('_BTNRADIUS','Button Radius');
define('_BTNBORDER','Button Border');
define('_BTNCODE','Preview of Button Code');

// logo.php ---------------------

define('_BUILDLOGO','Build the Logo');
define('_STYLINGINTHEMES','The logo styling is found in the individual themes.');
define('_WEBSITELOGO','Website Logo');
define('_USELOGOIMG','Use Logo Image?');
define('_LOGOIMGSQROUND','Logo Image Radius or Round (50%)?');
define('_ROUND','Round');
define('_SQUARE','Square');
define('_LOGOIMAGE','<strong>Logo image:</strong> (max 55 characters)');
define('_IMGDIM','(Ex : logo.png) Use the Media Library to upload an image to the <b>themes</b> Folder.');

// megamenuall.php ---------------------

define('_MMMANAGER','Mega Menu Manager');
define('_MMFACENAME','Menu Face Name');
define('_MMICON','Menu Icon (if used)');

// megamenubuilder.php ---------------------

define('_MMBUILDER','Mega Menu Builder');
define('_MMHOWTO','How To Build A Mega Menu &nbsp;&nbsp;&nbsp; [Open || Close]');
define('_MMUSETABLES','When building a Mega Menu it is best to use tables to keep the content aligned properly.');
define('_EXONEROWTHREECOL','Here is an example of a 1 row 3 column table with images.');
define('_CAPHERE','Caption Here');
define('_PARAADDED','This is a paragraph that I added below and outside of the table. You can add as much content as you want in each Mega Menu.');
define('_TABLEISSET','The table is set to 100% width and there is no defined height set and the same with the images.');
define('_HTMLFOREX','The HTML for the example is below.');
define('_USEMM','Use this Mega Menu?');
define('_USEMMINFO','You can turn it off temporarily while editing/updating the content.');
define('_MMTITLE','Enter Mega Menu Title');
define('_MMTITLEINFO','(will appear as menu face title): (max 25 text characters)');
define('_MM_ICON','Enter Mega Menu Icon');
define('_MMICONINFO','(use Font Awesome icon): (max 25 characters)');
define('_MMICON_COLOR','Enter Mega Menu Icon Color (if used)');
define('_MMICON_COLORINFO','(max 7 characters)');
define('_MMCONTENT','Mega Menu Content');

// metatags.php

define('_META_DESCRIPTION','Description');
define('_METAKEYWORDS','Keywords (separate with commas)');
define('_METAAUTHOR','Author (separate with commas)');
define('_SETMETATAGS','Set Homepage Meta Tags');
define('_METAINFO','Change the content information in the Meta Tags to meet your requirements. Helps in search engine optimization.<br><a href="https://www.conductor.com/blog/2021/11/what-are-meta-tags/" target="_blank">Read more on SEO and Metatags.</a>');

// menu-menu.php ---------------------

define('_MENUQL','Menu Quick Links');
define('_AUTOPGMENU','Automatic Page Menus');
define('_SINGLELINKS_MENU','Single Links Menu');
define('_QLSIDEBAR_MENU','Quick Links Sidebar Menu');
define('_MM','Mega Menu');

// miniarticles.php

define('_OFFCANVASSIDEBAR','Off-Canvas Sidebar');
define('_IFYOUCHOSELEFTRIGHT','If you choose the Left or Right side menu enter the Menu Title.');
define('_LEFTSIDE','Left Side Menu');
define('_TITLEOPTIONAL','Title: (optional)');
define('_USESIDEBAR','Use Sidebars?');
define('_USEDROPDOWNMENU','If placing in a sidebar choose Dropdown Menu for Menu Location.');
define('_CHOOSEBG','Choose background color for the content window.');
define('_DROPDOWN','Dropdown Menu');
define('_RIGHTSIDE','Right Side Menu');
define('_ARCHIVE','Archive');
define('_MINIMODNOTAVAILABLE','Mini-Mod is not available for this layout.');
define('_SHOWSWHENLINKISCLICKED','This shows in the window before a link is clicked. The title will show in the menu and on the button face.');
define('_INTROCONTENT','Mini-Mod Intro Content');
define('_VIEWADDMINIMOD','View/Add Mini Content');
define('_MINIMODMENU','Mini Mod Menu');
define('_MINICONFIG','Mini-Mod Configuration');
define('_MINIHEIGHT','Height of Module');
define('_CONFIGREQUIRED','Configuration</a> is required to use');
define('_ADDEDTOMENU','The pages you build will be automatically added to the menu that is built into the module.');
define('_MINIARTICLEMOD','Mini-Mod Configuration');
define('_MINIARTICLEMODPARA','Build as many files as you need and they will be displayed by Mini-Mod on the homepage.<br>Simply turn it on and it will appear in the position you choose.');
define('_USEMINIMOD','Use Mini-Mod Module?');
define('_YOUAREUSINGMINIARTICLES','You are using the');
define('_TEMPLATE','template. Options available for this template are:');
define('_CHOOSEPOSITION','Choose Position');


// modal.php ---------------------

define('_MODALPUWIN',' Modal Popup Window');
define('_CHOOSEMODALUSE','Choose if you want to use the Modal. If so you can add as much content to it that you want.');
define('_USEMODAL','Use the Modal?');
define('_USEMODALINFO',' (the button is displayed at the top of the Sidebar) ');
define('_MODALLABEL','<strong>Enter the Modal Label:</strong> (this shows on the modal activation button)');
define('_LABELICON','<strong>Enter the Modal Label Icon:</strong> (this shows on the modal activation button)');
define('_MODALLABELICONCOLOR','<strong>Enter the Modal Label Icon Color:</strong> (this shows on the modal activation button)');
define('_MODALWINCONTENT','Modal Window Content');

// modsall.php ---------------------

define('_GALLERYMODCONTENT','Gallery Module Content');
define('_GALLERYMODINFO','You can add an unlimited number of images each with a caption.');
define('_GALLERYHOWTO','HOW TO GUIDE');
define('_GALLERYHOWTOPARA','The gallery module lets you add an unlimited number of images to the module that is displayed on your homepage in the sidebar you choose (Left or Right). When visitors click on an image it opens a slideshow in a lightbox popup.<br>Here is a free handy tool for Windows users. Resize images on your desktop using <a href="https://www.bricelam.net/ImageResizer/" target="_blank" title="Opens in a new tab.">Image Resizer</a>. You can also use the <a href="elFinder/elfinder.html" onclick="basicPopup(this.href);return false">Media Library</a> image resizer/editor. Upload your images into the gallerymod folder.<br>Once you have added the images and captions <a href="configgallerymod.php" onclick="basicPopup(this.href);return false">configure</a> the module and turn it on. It will show in the sidebar you choose.<br><br>Click <a href="gallerymodbuilder" class="btn" style="text-decoration:none"><span class="white">Add New</span></a> to get started.');

// notetakerall.php, notetakerbuiilder.php ---------------------

define('_NOTETAKERMGT','Note Taker Management');
define('_NOTETAKERBLDR','Note Taker Builder');

// pagebuilder.php ---------------------

define('_METATAGS','<p class="center black"><strong>Tags and Meta Tags Explained.</strong></p><p class="black justify"><b>Page Tags -</b> are listed on the site\'s home page and are used to link to this page when a visitor clicks on it in one of the plugins. It is essential to have this tag so visitors can find information on your page without having to search for it.<br><br><b>Page Description -</b> is a brief sentence explaining what this page is about. It appears in search engines as the title of the search.<br><br><b>Meta Tags -</b> Page Meta tags are snippets of text that describe the content of a page. The Meta Tags do not appear on the page itself, but only when the  source code is viewed. They are essentially little content descriptors that help tell search engines what a web page is about. (example: Spectra, web design, content management)<br>For multiple tags separate them with commas.<br>All of the above is important to improve your Search Engine Optimization (SEO).</p>');
define('_SEOOPTIMIZE','SEO Optimization');
define('_LEARNMORE','Learn More ?');
define('_META_TAGS','Meta Tags');
define('_PGBLDR','Page Builder');
define('_GENPGSETTINGS','General Page Settings');
define('_USEPG','Use this page?');
define('_TURNOFF_FOREDITING','You can turn it off (take offline) while editing.');
define('_ENTERPGTITLE','Enter Page Title:');
define('_PGCAT','Page Category');
define('_OPEN','OPEN');
define('_CLOSE_','Close');
define('_NAMECATEGORIES','Create more categories.');
define('_ENTERPGTAG','Enter Page Tag: (25 text characters max)');
define('_ASSIGNPGTOMENU','Automatically assign this page to which menu? ');
define('_NAMEMENUS','Name Menus');
define('_USECONTENTSLIDER','Use content slider on this page?');
define('_PGUPDATEEDIT','Page Updates and Editing');
define('_PGUPDATEEDITPARA','<p style="color:#000; text-align:justify;">When you are editing a page, you can turn it off and include a notice on the page instead. Turning this page off will not affect the content you have built. Content will still be available to you here for editing. Using this method your guest and members will stay informed should they visit it while you are making updates.</p>');
define('_TEMPPGNOTUSEDMSG','Temporary Page Not Used Message');
define('_SHORTMSG','( Add as much content as you like or a short message. This will show when the page is offline. )');
define('_MAINPGCONTENT','Main Page Content');
define('_SIDEBARCONTENT','Sidebar Content');
define('_SKIPTHEREST','If not using sidebars choose <b>None</b> below and you can skip the rest.');
define('_SIDEBARDISPLAY','Sidebars (How to Display)');
define('_BOTH','Both');
define('_SIDEBARPLUGINS','Choose Sidebar Plugins');
define('_PLUGINSINFO','If using the Content Sidebars, choose the plugins you want to use (if any) by assigning it to a sidebar.');
define('_LEFTCONTENTBLDR','Left Sidebar Content Builder');
define('_USINGTHIS','Will you be using this?');
define('_LEFTSIDEBARTITLE','Enter Left Sidebar Title:<br>(max 25 text characters)');
define('_RIGHTSIDEBARBLDR','Right Sidebar Content Builder');
define('_RIGHTSIDEBARTITLE','Enter Right Sidebar Title:<br>(max 25 text characters)');
define('_MUSTHAVEGOOGLESETUP','You must have Google search setup to use this plugin.');

// paginationbuilder.php, paginationall.php

define('_STYLEPAGINATION','Choose a Pagination Style');
define('_GOTOEDIT','Go To Edit For a Better View');
define('_PAGINATIONSTYLES','Pagination Styles');
define('_STYLEYOUROWN','Build Your Own');
define('_STYLENAME','Style Name');
define('_PAGINATIONWIDTH','Pagination Width:');
define('_USUALLY','usually 100%');
define('_BACKGROUNDCOLOR','Background Color');
define('_BORDERAROUNDNUMBERS','Border Around Numbers');
define('_BORDERRADIUS','Border Radius');
define('_OVERALLBORDERRADIUS','Overall Border Radius');
define('_OVERALLBORDER','Overall Border');
define('_OVERALLPADDING','Overall Padding');
define('_GRADIENTFIRST','Gradient First Color');
define('_GRADIENTSECOND','Gradient Second Color');
define('_HOVERFONTCOLOR','Hover Font Color');
define('_DOTSCOLOR','Dots Color');
define('_FONTSPADDING','Font Padding');
define('_PAGINATIONPREVIEW','Pagination Preview');
define('_PAGINATIONSTYLING','Pagination Styling');
define('_VIEWEDITALLSTYLES','View/Edit All Styles');

// pagesall.php ---------------------

define('_PGMGT','Page Management');
define('_NAMETHEMENUS','Be Sure To Name The Menus You Are Going To Use Before Building Pages.');
define('_MENUASSIGNMENT','Auto Pages Menu Assignment');
define('_NOTNAMED','Not Named');
define('_ALLPAGES','All Pages');

// pagesautomenubuilder.php ---------------------

define('_USETHISMENU','Use This Menu? ');
define('_NOTNAMEDYET','(Not Named Yet)');
define('_AUTOMENUINTRO','There are 12 pre-set Auto Menus. To set them up, choose the menus you want to use and name the Menu Face.<br>When building pages you can add that page to the menu you choose in the pagebuilder and it will be automatically assigned under that Menu Face.');
define('_MENUFACENAME','Menu Face Name:');
define('_FONTAWESOMEICON','Font Awesome Icon');
define('_ICONCOLOR','Icon Color: (optional)');
define('_PAGESAUTOMENUCONFIG','Pages Auto Menus Configuration');
define('_CLICKOPENCLOSE','Click the menu name to Open/Close it.');
define('_ON','On');
define('_OFF','Off');

// pagesmenu.php ---------------------

define('_PGQL','Pages Quick Links');
define('_ADDEDITPGCAT','Add/Edit Page Categories');
define('_CATBLOCK','Category Block');
define('_NAMEPGMENUS','Name the Page Menus');

// PBplugins.php ---------------------
 
define('_CALENDAR','Calendar');
define('_TAGCLOUD','Tag Cloud');
define('_CAT','Categories');
define('_ANACLOCK','Analog Clock');
define('_DIGCLOCK','Digital Clock');
define('_QL','Quick Links');

// plugins.php ---------------------

define('_PLUGINSPARA','Plugins are optional items that you can place in the sidebar of your choice. They assist your visitors in a number of ways. The most important ones let your visitors link to articles and pages without having to search for them. Choose the ones you want to use by selecting which sidebar you want to position it in. Some of the plugins require further configuration to use. Follow the links to those areas.');
define('_ARCHIVES','Archives');
define('_POSARCHIVES','Position archives block');
define('_SETBLOCKHEIGHT','Set height of block: (in pixels)');
define('_SHOWPAGE','Let members decide if they want their page public or private?');
define('_ARCHIVEBLOCKTITLE','Archive Block Title');
define('_FAOPTIONAL','Font Awesome (optional)');
define('_POSCALENDAR','Position Calendar');
define('_CALBLOCKTITLE','Calendar Block Title');
define('_POSCAT','Position Categories');
define('_CATBLOCKTITLE','Category block title');
define('_ADDEDITCAT','Add/Edit Categories');
define('_DIGANACLOCK','Digital Clock');
define('_POSCLOCK','Position Clock');
define('_CLOCKTYPE','Clock Type');
define('_DIGITAL','digital');
define('_ANALOG','analog');
define('_CLOCKBLOCKTITLE','Clock Block Title');
define('_TAGCLOUDPARA','<p class="left">When building articles and pages you have the option of adding tags to them. They will appear in the Tag Cloud block if you have it turned on by selecting which sidebar to show it in.</p>');
define('_POSTAGCLOUD','Position Tag Cloud');
define('_TAGCLOUDBLOCKTITLE','Tag Cloud Block Title');
define('_SPOTLIGHTARTICLES','Spotlight Articles');
define('_SPOTLIGHTARTICLESPARA','<p class="left">When building articles and pages you have the option of highlighting those that you think are special. They will appear in the Spotlight Articles block if you have it turned on by selecting which sidebar to show it in.</p>');
define('_POSSPOTLIGHTARTICLE','Position Spotlight Articles');
define('_SPOTLIGHTBLOCKTITLE','Spotlight Block Title');
define('_QLPARA','<p class="left">Quick Links are those links to areas on your website that you think visitors will want to visit without having to search for them. If you assign it to a sidebar, do so here then follow the link below to start adding links. Add as many as you want.</p>');
define('_POSQL','Position Quick Links Block');
define('_QLBLOCKTITLE','Quick Links Block Title');
define('_ADDEDITQL','Add/Edit Quick Links');
define('_AUTO','Auto');

// previewcard.php ---------------------

define('_CLOSEPREVWIN','Close the preview window');

// quicklinksall.php

define('_QLDASH','Quick Links Dashboard');
define('_VIEWEDITQLLINKS','View, Edit, and/or Delete any of the links from here.');
define('_CONFIGBLOCK','Configure Block');
define('_QLBUILDER','Quick Links Builder');
define('_QLTITLEPARA','You can add as many links to the Quick Links Block Menu as you need.');
define('_QLLINK','Link name (max: 35 characters)');
define('_QLURL','Link URL (max: 55 characters)');

// quicknotewindow.php ---------------------

define('_QNPARA','<p class="center">TIP: Keep this window open for ready access and to have the ability to take notes from any page inside or outside of the dashboard. All notes, images, and other content that you add here will be displayed in the Note Reader and can be included into the editor using drag-n-drop. This is handy when building pages, articles, sidebars, and any other areas.</p>');

// recaptcha.php ---------------------

define('_RECAPTCHATITLE','Google reCAPTCHA Configuration');
define('_EX','Example');
define('_RECAPTCHAINFO','The recaptcha is used in both the public and private contact form(s) and in new member registration if set to Yes.');
define('_USERECAPTCHA','Use Google reCaptcha?');
define('_RECAPTCHACODE','Your Google reCaptcha Code');
define('_RECAPTCHAPARA','<p>Google reCAPTCHA is a free service from Google that helps protect websites from fraudulent form submissions and bots. Follow these simple steps to set it up for your site.</p>');
define('_RECAPTCHAINSTR','<ol class="gentextcolor"><li>Sign up for an API key pair for your site. <a href="https://www.google.com/recaptcha/about/" onclick="basicPopup(this.href);return false" class="link">Click here to start the process</a>.</li><li>Select v3 Admin Console</li><li>Click on Settings (the cog icon)</li><li>Enter a Label</li><li>Enter a website url</li><li>Enter a Email</li><li>Click Save</li><li>Once saved, the page will change. Click the Settings Icon again</li><li>Click the dropdown reCAPTCHA keys</li><li>Copy the Site Key and paste it in the Google reCAPTCHA Code box above.</li></ol>');

// search.php ---------------------

define('_GOOGLESEARCHCONFIG','Google Search Configuration');
define('_GSEARCHENGINE','<p class="left" style="font-size:16px;"><b>Google Search Engine</b>&nbsp;&nbsp;<a href="https://cse.google.com/cse/all" target="_blank"><span class="link black">Go Here To Get Your FREE Google Search Engine code.</span></a></p><p class="left">If your website is not listed click the Add button and follow the prompts.</p>');
define('_USEGSEARCH','<strong>Use Google Search? </strong>');
define('_GOTOSETUP','<h3 class="left">When you go to Setup you will see "Get Code". Copy the <b>src</b> portion of that code (without the quotes) and paste it in the box below.<br>It will look similar to: https://cse.google.com/cse.js?cx=c111111124dcd426a</h3>');
define('_GSEARCHURL','<p class="left"><strong>Paste Google Search Public URL Here: </strong></p>');

// sidebar.php ---------------------

define('_STYLEISAVAILABLE','The Style sidebar (an extra sidebar) is available with this template.');
define('_SIDEBARRIGHT','Sidebar Right');
define('_SIDEBARLEFT','Sidebar Left');
define('_SIDEBARSBLOCKS','Sidebars/Blocks');
define('_SIDEBARSBLOCKSPARA','<p class="left">Spectra offers flexibility in positioning the Sidebar Blocks in the sites layout. You can choose which sidebar to place a <b>block</b> in and also move the <b>block</b> up and down within that sidebar.</p>');
define('_NOSIDEBARSAVAIL','The number of sidebars available to you depends on the layout.');
define('_YOUCHOSE','You chose');
define('_ASLAYOUT',' as your layout');
define('_GRAPHIC','Graphic');
define('_NOICON','No Icon');
define('_STYLES','Styles<br>Block?');
define('_NOIMAGE','No Image');
define('_HAVETHREESIDEBARS','<span class="link hilite">You have 3 sidebars to add content into (Left, Right, and Style).</span>');
define('_HAVETWOSIDEBARS','<span class="link hilite">You have 2 sidebars to add content into (Left and Right).</span>');
define('_TWORIGHTBELOWLEFT','<span class="link hilite">You have 2 sidebars to add content into. You also chose to move the Right sidebar below the Left.</span>');
define('_ONESIDEBARNOMOVERIGHT','<span class="link hilite">You have 1 sidebar to add content into. You also chose not to move the Right sidebar below the Left.</span>');
define('_ONESIDEBARNOMOVELEFT','<span class="link hilite">You have 1 sidebar to add content into. You also chose not to move the Left sidebar below the Right.</span>');
define('_TWOLEFTBELOWRIGHT','<span class="link hilite">You have 2 sidebars to add content into. You also chose to move the Left sidebar below the Right.</span>');
define('_BOTHSIDEBARS_RIGHT','<span class="hilite link">You have 2 sidebars to add content into on the Right side.</span>');
define('_BOTHSIDEBARS_LEFT','<span class="hilite link">You have 2 sidebars to add content into on the Left side.</span>');
define('_NOSIDEBARS','<span class="link hilite">You cannot use sidebars with this layout.</span>');
define('_SIDEBAR','Sidebar');

// blockbuilder.php ---------------------

define('_SIDEBARBUILDER','Sidebar Builder');
define('_SIDEBAR_TITLE','<strong>Title: (max 25 text characters)</strong>');
define('_SIDEBARBLOCKPOS','Sidebar Block Position');
define('_USINGSTYLE','Are you using the Style sidebar?');
define('_SIDEBARNOTAVAIL','<strong>Style</strong> sidebar is not available with this layout.');
define('_CHOOSEWHICHSIDEBAR','<p class="left">Choose which sidebar.</p>');
define('_STYLESETTINGIGNORED','<p class="left">According to your settings, you can place content in <strong>Left</strong> or <strong>Right</strong> sidebars. <strong>Using Style</strong> setting is ignored.</p>');
define('_USELEFTORRIGHTONLY','<p class="left"><strong>3-Column layout:</strong> You can use <strong>Left</strong> or <strong>Right</strong> sidebars only.</p>');
define('_GENCONFIG','General Website Configurations');
define('_YOUCHOSELAYOUT',' you chose the Layout');
define('_NO_SIDEBARS','(This layout does not use sidebars.)');
define('_ANDMOVEINACTIVE',' and move inactive sidebar');
define('_TWOCOLUMNLAYOUT','2-Column layout');
define('_ISACTIVESETTINGS',' is the active sidebar with the settings you chose.');
define('_NOSIDEBAROPTIONS','Sidebar Options are not available for the');
define('_GRAPHICORICON','Graphic or Icon (optional)');
define('_GRAPHICORICONPARA','<p class="left"><strong>Add a font awesome icon or graphic image to the block title. If you do not want to use either choose None or leave blank.</strong></p>');
define('_ENTERCHOICEHERE','Enter your choice here');
define('_IFUSINGGRAPHICICON','If using a graphic icon use the ');
define('_UPLOADTOIMAGES_FOLDER',' to upload the graphic into the <b>images</b> folder then place the name here. (ex: imgname.png)');
define('_GRAPHICICON','<b>Graphic Icon</b> (if used - will be automatically resized to 25px x 25px png, gif, jpg)');
define('_FAICON','Font Awesome (if used)');
define('_FAICONCOLOR','Font Awesome Icon Color (if used)');
define('_BLOCKCONTENT','Block Content');
define('_PLACEBLOCKINARCHIVE','Place this block in the archives?');
define('_SHOWTITLE','Show Title?');
define('_PLACEBLOCKSANYWHERE','You can place the blocks anywhere. It depends on the code snippet you place in the page.<br>If you choose the same block more than once then the blocks will be positioned below each other but you can change the position at any time.');
define('_SNIPPETSTOUSE','The snippets to use for HTML5 are (example):');
define('_SIDEBARSINUSE','Sidebars in Use Now:');
define('_SIDEBARSARCHIVED','Sidebars Archived:');
define('_CHOOSEBACKGROUND','Choose to use a background image or color or none or leave blank for None.');

// sidebar-content.php ---------------------

define('_POSSIDEBARBLOCKS','Position Blocks');

define('_SIDEBARPARA','<p class="center"><strong>You can change the position within the same row or sidebar but you cannot drag a block into another row or sidebar.</strong></p><p class="center">To change the position of a block, left click on it and drag it to a new position. The new position will be automatically saved.</p><p class="center">Once the card has been repositioned it will show in the new order on the homepage.</p>');

define('_LEFTSIDEBARBLOCKS','Left Sidebar Blocks');
define('_RIGHTSIDEBARBLOCKS','Right Sidebar Blocks');
define('_STYLESIDEBARBLOCKS','Style Sidebar Blocks');
define('_STYLESIDEBARNOTAVAIL','Style Sidebar Blocks are not used with the layout you selected');
define('_EDITBLOCK','Edit Block');

// sidemenuelement.php, sidemenumenu.php, sidemenubuilder.php

define('_USEBACKIMAGEORCOLOR','Use background image, gradient, or solid color');
define('_PLACEINTHEMESFOLDER','Place background image in &quot;themes&quot; folder and enter image name only (ex: back.jpg).');
define('_SIDEMENUPARA','The Sidemenu Element is highly configurable and displays a menu on the left or right side of the homepage. You can also set it to hide when the page is viewed on mobile devices such as phones.');
define('_USESIDEMENU','Use Sidebar Element?');
define('_HIDEONMOBILE','Hide on mobile devices?');
define('_POSITIONSIDEMENU','Position sidemenu:');
define('_SIDEBARMENU','Sidemenu Element Menu');
define('_SIDEMENUCONFIG','Sidemenu Configuration');
define('_SIDEMENUBUILDER','Sidemenu Builder');
define('_SIDEMENUEDITVIEW','Sidemenu View/Edit');
define('_USE_LINK','Use This Link');
define('_SIDEMENUELEMENTBUILDER','Sidemenu Element Links Builder');

// singlelinksall.php ---------------------

define('_HOMEPAGEMUSTBEON','Home Page must be turned on to use the Single Links');
define('_SLDASH','Single Links Dashboard');
define('_VIEWEDIT_LINKS','View, Edit, and/or Delete any of the links from here.');

// singlelinksbuilder.php ---------------------

define('_SLBUILDER','Single Links Builder');
define('_ADDASMANYQL','You can add as many links to the Quick Links Block Menu as you need.');
define('_SLMENUITEMS','Single Menu Items');
define('_SLMENUDISPLAYED','Single menu items are displayed to the left of all other menu items.');
define('_SLUSELINK','Use this link? ');
define('_TITLE_TEXT','Title text: (shows on mouseover) ');

// slidebuilder.php ---------------------

define('_CONTENTSLIDEBUILDER','Content Slide Builder');
define('_BUILDONESLIDE','You can build one slide at a time. The content slider will display an unlimited number of slides.');
define('_TITLETHISSLIDE','Title of this slide');
define('_DISPLAYEDABOVESLIDE','(this will be displayed above the slide)');
define('_ALIGNTITLE','Align the Title');
define('_SLIDEPARA','<p class="center">The caption background is the same as the websites content background color. Also, the slides height and width are flexible and will adjust to the images you add to the slider.</p><p class="center">From here you can add the slides images/content and Caption text.</p>');
define('_SLIDECONTENT','Slide Content');
define('_CAPTION_TEXT','Add Caption text/content.');
define('_CAPTIONTEXTINFO','The Caption text is placed just below each slide and you can add as much text as you want. Other content (images) can be added here as well.');

// sliderall.php ---------------------

define('_ADDUNLIMITEDSLIDES','You can add an unlimited number of slides to the Content Slider.<br>Be sure to turn the Content Slider <a href="content-slider.php"  onclick="basicPopup(this.href);return false" title="Opens in a new tab."><span class="link blue"> ON HERE</span></a> for use on the index pages.');
define('_CSQL','Content Slider Quick Links');
define('_SLIDER_CONFIG','Slider Configuration');
define('_MANAGE_SLIDES','Manage Slides');
define('_BUILDSLIDE','Build New Slide');

// social.php ---------------------

define('_SMINFO','You can choose the social media links you want to use. Also, you can choose where you want them displayed on your site.');
define('_USESM','Use Social Media');
define('_CHOOSELOCATION_HELP','You can choose to place the social media link bar in the header or footer.');
define('_CHOOSELOCATION','Choose the Location?');
define('_HEADER','Header');
define('_FOOTER','Footer');
define('_SMHEADERSTYLE_HELP','If using header location you can choose to use a link bar or dropdown button.');
define('_SMHEADERSTYLE','Header Style?');
define('_SMBAR','Bar');
define('_SMBUTTON','Button');
define('_ADDVERTICLESIDEBAR','Add Social Media Verticle Sidebar?');
define('_ADDVERTICLESIDEBAR_HELP','If using this, set Use Social Media to No. This sidebar will not show on smaller screens. Also, it should be used on sites that are set for a width of 1600px or less.');
define('_USE','Use');
define('_LINK','Link');

// spectranews.php ---------------------

define('_MBRNEWS','Members Account News');
define('_KEEPINFORMED','Keep Your Members Informed');
define('_NEWSINACCOUNTINFO','Put news/information that only your members will see inside of their account space.');

// style.php

define('_OPENCLOSE','open/close');
define('_REGISTER','Register');
define('_REGISTRATION','Registration');
define('_USEPASSGENERATOR','Use Password Generator');
define('_CONFIRMPASSWORD','Confirm Password');
define('_EMAIL','Email');
define('_PREVIEWREGPAGE','Preview Registration Page');
define('_CANSTYLETOPBOX','You can style the top of the box (optional)');
define('_SEEEXAMPLE','SEE EXAMPLE');
define('_STYLETOPOFBOX','Style Top Of Box?');
define('_TOPIMAGE','<strong>Top Image:</strong> (Name Only - resolution minimum 400px x 400px)');
define('_BOXTOPHEIGHT','Height of box top:');
define('_ADDMESSAGE','<strong>Add Message:</strong> (box scrolls if message is long)');
define('_MAINPAGEBACK','Main Page Background');
define('_STYLEINPUT','Style The Input Areas');
define('_INPUTTEXTCOLOR','Input Text Color:');
define('_LEFTTORIGHT','Linear Gradient Colors Run From Left to Right.');
define('_INPUTFIRSTCOLOR','Input First Color:');
define('_LEFTSIDECOLOR','(left side color)');
define('_INPUTSECONDCOLOR','Input Second Color:');
define('_RIGHTSIDECOLOR','(right side color)');
define('_BOXSTYLING','Box Styling');
define('_BOXSHADOWSTYLES','Box-Shadow Styles');
define('_LOGOFONTSTYLING','Logo Font Styling');
define('_USINGOPTIONALTOPBOX','If you are using the optional Box Top Styling, the next 2 settings are not used. Enter the logo in the message box.');
define('_HASFOURSTYLES','Spectra has a premade style for the login/registration screen but you can edit it to make it your own.');
define('_TRANSPARENTBACKIMAGE','Background Image: (minimum resolution 1920x1080)');
define('_BOXTINTCOLOR','Box Tint Color:');
define('_STYLEIMAGE','Background Image:</strong> (leave blank if not used)');
define('_STYLEFIRSTCOLOR','Background Color (first if gradient)');
define('_STYLESECONDCOLOR','Background Color (second if gradient)');
define('_USELOGOIMAGE','Use Your Logo Image? (if so upload to themes folder)');
define('_BUILDINGSTYLETWO','Building Style:');
define('_PLACEIMAGE','Place login/registration box on Left, Right side, or Center it.');
define('_APPEARSABOVE','Appears above the login/registration box.');
define('_LOGINSTYLING','Login/Registration Page Styling');
define('_YOURLOGOIMAGE','Your Logo Image:');
define('_BUILD_LOGO','<strong>Build The Logo</strong></a> To Set a Logo Image. (if using one)');
define('_OPENSPOPUP','Opens in a popup window');
define('_NOIMAGECHOSEN','No Image Chosen');
define('_GOTO','Go To');
define('_DEFAULTSTYLING','This is the default login/registration page styling but you can change it very easily in real time to make it your own. Make changes, &quot;Update the Record&quot; then &quot;Refresh Page&quot; to see the changes.');
define('_BOXWIDTH','Box width (in percentages)');
define('_IMAGEORCOLOR','You can use a background image or colors for the main background.');
define('_IFUSINGIMAGE','If using a background image or video leave the colors blank.');
define('_BOXCOLOR','Box Background Color');
define('_GETBOXSHADOW','If using a box shadow there are some in the Designers Toolbox to choose from or you can use your own. Enter the value only, not the words box-shadow.');
define('_BOXSHADOWVALUE','Box Shadow Value (if used)');
define('_BOXOPACITY','Box Opacity (1 is no opacity)');
define('_BUTTONCOLOR','Login/Register Button Color');
define('_BUTTONTEXTCOLOR','Button Text Color');
define('_BOXTEXTCOLOR','Box Text Color');
define('_LOGOFONTFAMILY','Logo Font Family</strong>');
define('_LOGOFONT_SIZE','Logo Font Size');
define('_ADDCOPYRIGHT','Add Copyright Notice At Bottom Of Box');
define('_PASSWORD','Password');
define('_USERNAME','User Name');
define('_SIGNIN','Sign In');
define('_REMEMBERME','Remember Me');
define('_EDITSTYLE','Edit Style');
define('_VIEWREGPAGE','View Registration Page Example');

// tabbuilder.php, tabsall.php ---------------------

define('_TABBUILDER','Tab Builder');
define('_PUBLISHTAB','Publish this tab?');
define('_TURNOFFFOR_EDITING','(The card can be turned off (No) for editing.)');
define('_TABTITLE','<strong>Tab Title:</strong> (55 characters max)');
define('_TABCONTENT','Tab Content');
define('_UNLIMITEDTABSINFO','You can create an unlimited amount of tabs under one main title.<br>You can turn them on/off at anytime.');

// themesallmenu.php ---------------------

define('_THEMESQL','Themes Quick Links');
define('_MANAGEALL_THEMES','Manage All Themes');
define('_BUILDNEW_THEME','Build New Theme');

// themebuilder.php ---------------------

define('_THEMEBUILDER','Theme Builder');
define('_THEMEBUILDERTIPS','<p class="left" style="line-height:2">TIPS FOR USING THE THEME BUILDER:<br>(1) Do Not refresh the page until you have saved your inputs.<br>(2) If you have trouble with colors, here is an excellent resource you should visit <a href="https://www.color-hex.com/" title="Will Open In New Tab" target="_blank" class="link">Hex Color Codes</a>.<br>(3) When you see this <a class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="You Will Get Additional Info."><i style="font-size:18px; color:red;" class="fa fa-question-circle"></i></a> hover over it to see additional information on that item.<br>(4) Change the Dashboard Theme to match the Theme you are editing.<br><a href="website.php#dashboardtheme" onclick="basicPopup(this.href);return false" class="link">Change the Dashboard Theme</a></p>');
define('_EDITINGTHEME','Editing The Theme');
define('_PREVIEWLOGO','Preview Logo');
define('_MAXTEXT','Max of 25 text characters only.');
define('_ENTERTHEMENAME','Enter Theme Name');
define('_WEBSITEWIDTH','Website width');
define('_STYLELOGO','Style the Logo');
define('_CHNGELOGOTEXT','GO HERE TO CHANGE YOUR LOGO TEXT');
define('_LOGOFONTFAM','Logo Font family');
define('_LOGOFONTSIZE','Logo font size');
define('_LOGOFONTSIZE_HELP','Example: 22px or 3vw');
define('_LOGOBOLDNESS','Degree of boldness');
define('_LOGOBOLDNESS_HELP','Higher number increases the boldness.');
define('_LOGOCOLOR','Logo color');
define('_ALIGNLOGO','Align the logo');
define('_APPLYSHADOWLOGO','>Apply a shadow to the logo text?');
define('_APPLYSHADOWLOGO_HELP','Higher number increases the depth of the shadow (0 = no shadow)');
define('_SHADOWCOLOR','Shadow color');
define('_SHADOWCOLOR_HELP','Only if you are using a shadow on the logo text.');
define('_MENUBELOWLOGO','Place Menu Below Logo?');
define('_MENUBELOWLOGO_HELP','You can place the menu above or below the logo.');
define('_MENUBELOWLOGOINFO','If placing the menu above the logo you may have to increase the Header Height.');
define('_SUBLOGOTEXT','Sub Logo Text Styling (if used)');
define('_SUB_LOGOTEXT','Sub Logo Text (if used)');
define('_MAXCHARACTERS','max: 55 characters');
define('_SUBLOGOTEXT_HELP','This is the sub-logo or second line of the sites main header logo.');
define('_SUBLOGOFONTFAM','Sub Logo Font family');
define('_SUBLOGOFONTSIZE','Sub Logo font size');
define('_SUBLOGOCOLOR','Sub Logo color');
define('_THEHEADER','The Header (logo and top menu area)');
define('_HEADERINFO','You can use either a background color (flat or gradient) or an image for the header. You can define both background image and color but you can only use one at a time. To switch between image and colors turn the header color value on (Yes) or off (No).');
define('_HDRIMG','Header Image: (max: 55 characters)');
define('_HDRNAMEONLY',' Enter name only (Ex: back.jpg).');
define('_HDRIMG_HELP','Header image (if used)');
define('_SELECTIMG','Select an image from the Media Library themes folder.');
define('_USEHDRCOLORS','Using Header Color(s)?');
define('_USEHDRCOLORS_HELP','If using a header image set this to No');
define('_HDRCONSISTOF','The header consist of 2 colors to make up a gradient. If using a flat color for the header enter the same color value in both First and Second Color below.');
define('_HDRFIRSTCOLOR','Header First Color');
define('_HDRSECONDCOLOR','Header Second Color');
define('_HDRFIRSTCOLOR_HELP','The First Color in the gradient.');
define('_HDRSECONDCOLOR_HELP','The Second Color in the gradient.');
define('_HDRWIDTH','Header Width: (usually 100%) ');
define('_HDRWIDTH_HELP','Usually 100%');
define('_HDRHEIGHT','Header Height');
define('_HDRHEIGHT_HELP','Usually 250px. A height of 600px is set for large intros.');
define('_HDRHEIGHTINFO',' A setting below 100px is only used with the 1 column plus style.');
define('_HDROPACITY','Header Opacity: (Preset) ');
define('_HDROPACITY_HELP','This is set to No Transparency and connot be changed.');
define('_HDRBORDERRADIUS','Header Border Radius');
define('_HDRBORDERRADIUS_HELP','If used .. (usually 8px) choose 0 for none.');
define('_HDRBORDER','Header Border');
define('_HDRBORDER_HELP','The border around the Header/Logo Area (Ex: 1px solid #000000');
define('_CONTENTAREAS','Content Areas .. Column Title and Footer');
define('_CONTENTAREASINFO','The content areas (center articles, sidebars, and pages) can be styled here.');
define('_CONTENTBACKCOLOR','Content Background Color');
define('_CONTENTBACKINFO','The content title background can have a gradient or flat color. For a flat color enter the same color value twice.');
define('_COLTITLEBACKCOLORFIRST','Column Title background color (first color)');
define('_COLTITLEBACKCOLORSECOND','Column Title background color (second color)');
define('_COLTITLEFONTFAM','Column Title Font family');
define('_COLTITLEFONTCOLOR','Column Title font color');
define('_COLTITLEFONTSIZE','Column Title font size');
define('_USECONTENTBORDER','Use Borders around Content');
define('_CONTENTBORDERINFO','(Ex: 1px solid #000) If using a different color here than in the Wrapper Background, a Content Border is usually not needed.');
define('_CONTENTBORDERRADIUS','Border Radius: (if using borders above)');
define('_CONTENTTOPRADIUS','Top Border Radius');
define('_CONTENTBOTTOMRADIUS','Bottom Border Radius');
define('_CONTENTFOOTERBACKINFO','The content footer background can have a gradient or flat color. For a flat color enter the same color value twice. This is the area where the article posted by, edit icon, comment icon, and print icon are located.');
define('_CONTENTVIEWEX','Example view of the content footer.');
define('_CONTENTVIEWEXCOMMENT','Comment: (Link is disabled)');
define('_CONTENTVIEWEXEDIT','Edit: (Link is disabled)');
define('_CONTENTVIEWEXPRINT','Print: (Link is disabled)');
define('_COLFOOTBACKFIRST','Column Footer background color (first color)');
define('_COLFOOTBACKSECOND','Column Footer background color (second color)');
define('_COLFOOTFONTFAM','Column Footer Font family');
define('_COLFOOTFONTCOLOR','Column Footer font color');
define('_COLFOOTFONTSIZE','Column Footer font size');
define('_SITEWRAPPER','Site Wrapper');
define('_SITEWRAPPERINFO','The sites content areas (Left and Right Sidebars and Center Articles) sit on the wrapper background and are usually 2 separate colors so that the content will stand out.');
define('_SITEWRAPPERCOLOR','Site Wrapper Color');
define('_SITEWRAPPERCOLORINFO','If using a different color here than in the Content Background, a Content Border is usually not needed.');
define('_SITEWRAPPERCOLOR_HELP','Leave blank for a transparent background.');
define('_SITEMBLWRAPPERCOLOR','Site Mobile Wrapper Color');
define('_SITEMBLWRAPPERCOLORINFO','This is the wrapper color for smaller screens.');
define('_WRAPPERSHADOW','Wrapper Shadow Color');
define('_WRAPPERSHADOW_HELP','The Wrapper Shadow is on both sides of the theme and is only visible if your theme is less than 100% in width.');
define('_WRAPPERSHADOWINFO','Leave blank to remove the shadow.');
define('_BACKCOLORIMAGE','Websites background color/image');
define('_BACKCOLORIMAGEINFO','The background can have a color or image or both. You can also choose to have the background fixed and not scroll with the content or have it scroll. Fixed background images are good when you have a particular image you want to show on the screen at all times. To have the content area transparent leave Content Background Color blank.');
define('_BACKCOLORIMAGE_HELP','If you are using a transparency with your theme you can still assign a color value to the background. It will make the image either darker or lighter depending on the color you choose.');
define('_BACKCOLOR','Background Color');
define('_USEWITHTRANS','Use along with background Transparency.');
define('_BACKTRANS','Background Transparency: (entire website)');
define('_BACKTRANS_HELP','.1 is Full Transparency while 1 is No Transparency.');
define('_FIXBACK','Fix Background?');
define('_FIXBACK_HELP','Fixed background is locked in place.');
define('_FIXED','fixed');
define('_SCROLL','scroll');
define('_BACKIMGOVERRIDE','If a background image is chosen it will override a background color.');
define('_BACKIMGNAME','Enter background image name');
define('_BACKIMGNAME_HELP','Follow the link to upload a background image. Then copy/paste the name and extension of the image here. (Ex: back.jpg)');
define('_BACKNAMEONLY',' Enter name only (Ex: back.jpg).');
define('_ML_HELP','The Media Library is here to help you in building your website. Upload and edit images.');
define('_BACKMEDIA_LIBRARY','[ Select an image from the Media Library themes folder. ]');
define('_BACKPREVIEW','Background Color or Image Preview (if used)');
define('_FONTSTYLING','Font Styling');
define('_FONTSTYLINGINFO','This will style how the text looks in all of the content areas on your site. Also, how you enter the text/content in the editor will affect the appearance. ');
define('_GENFONTFAM','General Content Font Family');
define('_GENTEXTCOLOR','General Text Color');
define('_GENHOVERCOLOR','General Text Hover Color');
define('_GENTEXTSIZE','General Text Size');
define('_GENHDRCOLOR','Header Text Color: (h1, h2, h3, h4, h5, h6) ');
define('_MENUINFO','The menu bar can have a gradient color (two colors) or a flat color. For a gradient, enter two different color values. For a flat only fill in one color.');
define('_MENUCOLORFIRST','Menu Face color: (first) ');
define('_MENUCOLORSECOND','Menu Face color: (second) ');
define('_MENUHOVERCOLOR','Menu Hover Face color');
define('_MENULINKCOLOR','Link color');
define('_MOUSEOVERPOPUP','The Mouse Over Link Popup (Tooltip)');
define('_MOUSEOVERPOPUPINFO','Used in the Designers Dashboard and Social Media Icons on the homepage.');
define('_MOUSEOVERME','Mouse Over Me');
define('_MOUSEOVERME_HELP','Tooltip mouseover example.');
define('_TOOLTIPBACK','Tooltip Background');
define('_TOOLTIPFONTCOLOR','Tooltip Font Color');
define('_BTNSTYLING','Button Styling');
define('_BTNSTYLINGINFO','The <strong><u>button face color</u></strong> can be a gradient or flat color. For a gradient enter the first and second color and leave the flat color blank. If wanting a flat face color then enter a color value there and leave first and second colors blank.');
define('_EXBTN','Example Button');
define('_BTNFIRSTCOLOR','First Color');
define('_BTNSECONDCOLOR','Second Color');
define('_BTNFLATCOLOR','Flat Color');
define('_BTNTOPBORDERCOLOR','Top Border Color');
define('_BTN_RADIUS','Button Radius');
define('_BTNSHADOWCOLOR','Button Shadow Color');
define('_BTNFONTSHADOW','Button Font Shadow');
define('_BTNFONT_COLOR','Button Font Color');
define('_BTNHOVERFACE','Button Hover Face Color');
define('_BTNHOVERFONT','Button Hover Font Color');
define('_BTNFONTSIZE','Button Font Size');
define('_BTNFONTFAM','Font family');
define('_FOOTERAREA','Footer Area');
define('_FOOTERAREAINFO','You can use either a color or image but not both. If both are blank the footer will have the same color as the wrapper.');
define('_FOOTERBACKCOLOR','Footer Background color');
define('_FOOTERBACKIMG','Enter footer background image name');
define('_FOOTERBACKIMG_HELP','Follow the link to upload a background image. Then copy/paste the name and extension of the image here. (Ex: back.jpg)');
define('_FOOTERBACKIMGINFO','Enter name only (Ex: back.jpg).');
define('_FOOTERFONTCOLOR','Footer Font color');
define('_FOOTERML','Select an image from the Media Library themes folder.');
define('_USEIMAGEORCOLOR','You can use a background color or image but not both.');
define('_WRAPPERBACKIMAGE','Wrapper background Image');

// themesall.php ---------------------

define('_SPECTRATHEMES','Spectra Themes');
define('_THEMESTIP','TIP: Click the Preview button to help in theme editing. It will open in a new window and each time you Update the Record refresh the preview window to see the changes you have made.');

// themedata.php

define('_NOCOLOR','No Color');
define('_THEMESDATAINFO','Themes Data (quick edits)');
define('_QUICKEDITFEATURE','Quick Edit feature for use by theme designers.<br>READ MORE ');
define('_VARIABLEISLISTED','The variable is listed above the value for each theme. Use this handy Quick Edit feature to edit any of these directly.');
define('_CLICKTHETHEMENAME','Click on the theme name &apos;button&apos; to go to the theme builder and edit that theme. You can also click the variable to quick edit it without leaving this page (if you choose quick edit, refresh this page to see any changes made).</p><p class="cormorant left black spacer">What is a variable and value? (For example: the numbers 1, 2, 3, etc, represent the location within the database table &quot;themes&quot;. In those numbered areas you will find the variable and value.<br>If you look at the first theme below &quot;MidnightMoon&quot; and position 2 the variable is at the top &quot;theme_name&quot; and the value is underneath &quot;MidnightMoon&quot;)</p><p class="cormorant left black">Variables that are blank have not had a value assigned to them. Hover over the variable to learn more about it. Any new themes added will show here automatically.');
define('_TOTALTHEMES','Total Themes');
define('_TOTALVARIABLES','Total Variables Each Theme');
define('_CLICKTHEPANELS','Click the panels below to View the themes. Click the variable to view/edit the value.');
define('_LOGO','Logo');
define('_WRAPPER','Wrapper');
define('_BUTTON','Button');
define('_TOOLTIP','Tooltip');
define('_GENTEXT','General Text');
define('_THEMENAME','Theme Name');
define('_NAMEOFTHEME','Name of the theme.');
define('_WEBSITE_WIDTH','Width of the container. (Responsive width 100%)');
define('_CAPTIONALIGN','Caption Align');
define('_NOTACTIVE','This variable is not active.');
define('_OPENSINNEWTAB','Edit Using Theme Builder. Opens in a new browser tab.');
define('_HEADERFIRSTCOLOR','Header First Color');
define('_HEADERSECONDCOLOR','Header Second Color');
define('_HEADERIMAGE','Header Image');
define('_HEADERWIDTH','Header Width');
define('_HEADERWIDTHINFO','Set the width of the Header(usually 100%)');
define('_HEADERHEIGHT','Header Height');
define('_HEADERHEIGHTINFO','Set the height of the Header (to accomodate the logo)');
define('_USEHEADERCOLOR','Use Header Color');
define('_USEHEADERCOLORINFO','Use Header Color or Image.');
define('_HEADERRADIUS','Header Radius');
define('_HEADERBORDER','Header Border');
define('_HEADEROPACITY','Header Opacity');
define('_HEADEROPACITYINFO','The Header opacity is preset and cannot be changed.');
define('_LOGOFONTCOLOR','Logo Font Color');
define('_MENUBELOW','Menu Below');
define('_MENUBELOWINFO','Place the menu above the logo or below the logo.');
define('_LOGOSHADOW','Logo Shadow');
define('_LOGOSHADOWINFO','Logo Font Shadow Strength');
define('_LOGOFONT','Logo Font');
define('_SHADOWCOLORINFO','Logo Font Shadow Color');
define('_LOGOFONTWEIGHT','Logo Font Weight');
define('_ANASUBLOGOFONT','Sublogo Font');
define('_ANASUBLOGOFONTSIZE','Sublogo Font Size');
define('_ANASUBLOGOFONTCOLOR','Sublogo Font Color');
define('_ANASUBLOGOFONTWEIGHT','Sublogo Font Weight');
define('_MENUCOLOR','Menu Color');
define('_MENUCOLORINFO','Main menu top color if using a gradient.');
define('_LINKCOLOR','Link Color');
define('_FACEHOVER','Face Hover');
define('_FACEHOVERINFO','Menu face hover color.');
define('_TOOLTIPBG','Tooltip Bg');
define('_TOOLTIPBGINFO','Popup toolkit background color.');
define('_BTNTEXTSHADOW','Btn Text Shadow');
define('_BTNTEXTSHADOWINFO','Shadow on the button face text.');
define('_BTNTEXTCOLOR','Btn Text Color');
define('_BTNTEXTCOLORINFO','Button face text color');
define('_BTNHOVERCOLOR','Btn Hover Color');
define('_BTNTOPBORDER','Btn Top Border Color');
define('_BTNSHADOW','Btn Shadow Color');
define('_WRAPPERINFO','The content containers sit on top of the wrapper.(Site Wrapper Color)');
define('_WRAPPERBACK','Wrapper Back Image');
define('_MOBILEWRAPPER','Mobile Wrapper Color');
define('_CNTSHADOW','Cnt Back Shadow');
define('_CNTSHADOWINFO','Shadow along the outside edge of the container.(leave blank for no shadow)');
define('_BGCOLOR','Back Color');
define('_BGCOLORINFO','Main body background color');
define('_BGIMG','Bg Img');
define('_BGIMGINFO','Main body background image.');
define('_BACKOPACITY','Back Opacity');
define('_BACKOPACITYINFO','This is the opacity for the entire theme.(will allow a background image to show through)');
define('_FIXBACKINFO','Background image can be fixed or scroll.');
define('_GENHDRCOLORINFO','Header Text Color: (h1, h2, h3, h4, h5, h6)');
define('_GENTEXTHOVERCOLOR','Gen Text Hover Color');
define('_COLTITLE','Column Title');
define('_COLTITLEINFO','First column title background color.');
define('_COLTITLESECOND','Column Title Second');
define('_COLTITLESECONDINFO','Second Column Title Color.');
define('_USEBORDERS','Use Borders');
define('_USEBORDERSINFO','Define Borders around content areas.');
define('_COLRADIUS','Col Radius');
define('_COLRADIUSINFO','The Top Column Radius.');
define('_BTMRADIUS','Btm Radius');
define('_BTMRADIUSINFO','The Bottom Column Radius.');
define('_CONTENTBG','Content Background');
define('_CONTENTBGINFO','The content background houses all articles, pages, sidebar blocks (Content Background Color)');
define('_COLFOOTERFIRST','Column Footer First Color');
define('_COLFOOTERSECOND','Column Footer Second Color');
define('_COLFOOTERFONTFAM','Col Footer Font Family First');
define('_COLFOOTERFONTCOLOR','Col Footer Font Color Second');
define('_COLFOOTERFONTSIZE','Col Footer Font Size');
define('_FOOTERIMG','Footer Img');
define('_FOOTERIMGINFO','Themes Footer Background Image');
define('_FOOTERCOLOR','Footer Color');
define('_FOOTERCOLORINFO','Footer background color.(flat color)');
define('_CONT','(continued ..)');

// tools.php ---------------------
 
define('_CALCULATOR','Calculator');
define('_SNIPPETSLIBRARY','HTML5 Snippets Library');
define('_DESIGNERSTOOLBOX','Designers Toolbox');
define('_MEDIALIBRARYINFO','The Media Library is here to help you in building your website. Upload and edit images.');
define('_MEDIA_LIBRARY','Media Library');
define('_QNINFO','Use Quick Note for anything from taking notes, adding images, etc. When you are ready to access this content open Note Reader.');
define('_QUICKNOTE','Quick Note');
define('_FAINFO','Copy and paste Font Awesome icons into your menu settings.');
define('_FA','Font Awesome');
define('_NRINFO','Open Note Reader when you are ready to drag and drop content into the editor.');
define('_NR','Note Reader');
define('_PREVFONTS','Preview all available fonts');
define('_COLORPKR','Color Picker');
define('_IMGCOMPRESS','Image Compressor');
define('_UPLOADCOMPRESSIMG','Upload and Compress Images');
define('_IMGARESTOREDIN','The images that you compress are stored in (media/compressed) folder and can be accessed using Media Library. You can copy/paste them into any other folder.');
define('_ALLOWEDFILES','Allowed file types');
define('_SELECTIMGFILE','Select Image File');
define('_ORIGINALSIZE','Original Image Size');
define('_COMPRESSEDSIZE','Compressed Image Size');
define('_CLICKPREVIEW','Click thumbnail for preview');
define('_COMPRESSIMG','Compress Image');

// topbarconfig.php, topbarbuilder.php, topbarall.php

define('_USECONTENTSAVER','Use Content Saver?');
define('_HIDETOPBAR','Hide Top Bar?');
define('_ALTTEXT','Alt Text');
define('_SEENONHOVER','seen on mouseover/hover');
define('_ORIGINATEFROMHOME','links originate from the home page');
define('_TOPMENUBARBUILDER','Top Bar Menu Builder');
define('_POSITIONEDATTOP','They are positioned at the top of the home page and only the admin can see them.');
define('_USETOPBARMENU','Use Top Bar Menu?');
define('_TOPBAR_MENU','Top Bar Menu');
define('_TOPBARMENU','Admin Only Topbar Menu');


// uploadfiles.php ---------------------

define('_CLOSEWIN','Close This Window');
define('_UPLOAD','upload');
define('_UPLOADFILE','Upload File');

// usedownloads.php ---------------------

define('_NUMBERDOWNLOADSMADE','Who can see number of times item has been downloaded.');
define('_SHOWCOUNTER','Show Visitor Counter?');
define('_HOMEPAGECONTENT','Downloads Homepage Content');
define('_NUMBERTOSHOW','Number of download modules to show in a row.');
define('_CANADDCONTENT','You can add content to the downloads header area.');
define('_DOWNSYS','Downloads System');
define('_USEDOWNSYS','Use the downloads system?');
define('_DOWNLINK','If Yes, a link (Downloads) will be placed in the menu automatically.');
define('_DOWNTOMEMBERS','Make downloads available to non-members?');
define('_OPTIONALFA','*Optional: You can add a fontawesome icon to the link.');
define('_HEIGHTOFMODULE','Height of Downloads Module');
define('_WILLYOUBEUSINGARCHIVEPAGE','Will You Be Using The Archives Page?');
define('_DOWNLOADSARCHIVECONTENT','Downloads Archive Page Header Content (if used)');
define('_DOWNLOADSSUITE','Downloads Suite');
define('_USINGTHEMESPAGE','Will you be using the Themes Page?');
define('_DOWNLOADSUITEROOMS','The Downloads Suite comes with 3 separate pages. The General Downloads, Archives, and Themes pages. Choose the ones you want to open.');
define('_CONTENTFORTHEHEADER','Content For The Header');
define('_DOWNLOADSTHEMESCONTENT','Themes Content (if used)');

// usefaq.php ---------------------

define('_FAQLINK','If Yes, a link (FAQ) will be placed in the menu automatically.');
define('_FAQOPTIONAL','*Optional: You can add a fontawesome icon to the link.');

// usegallery.php ---------------------

define('_LINKNAMEASITAPPEARS','Link Name: (as it appears on the menu face)');
define('_IMGGALLERY','Spectra Image Gallery');
define('_USEIMGGALLERY','Use Spectra Gallery?');
define('_GALLERYLINK','If Yes, a link will be placed in the menu automatically.');
define('_GALLERYINFO','*NOTE: It is important that you  ');
define('_GALLERYINFOCONT','  the gallery before it is turned on to avoid displaying empty space.');
define('_CONFIG','Configure');

// website.php
define('_SETSITEUPDATE','Set the site update to Auto or Manual. If Manual is selected enter the date.');
define('_SITEUPDATE','Site Update Option (optional).');
define('_MANUAL','Manual');
define('_CHOOSE_BACK','Choose a background Image or Video (covers entire hero section)');
define('_IFUSINGVIDEO','if using a video choose none');
define('_ENTERVIDEONAME','If using a Video enter video name only,<br>must be .mp4 (ex: myvideo and place in videos folder)');
define('_USEDEFAULT','Use Default');
define('_ORUSE','Or Use The Default Styling Or Use One Of The Prebuilt Styles.');
define('_IFPAGINATION','If pagination is not used there can be up to 4 articles per row?');
define('_NUMBER_TOSHOW','Number to show per row.');
define('_GOTOTOP','Go To Top');
define('_BACKTOTOPBUTTON','Back To Top button styling');
define('_IFMAKINGCHANGES','If making changes, click "Update the Record" then open ');
define('_PREVIEWWINDOW','preview window');
define('_TOSEECHANGES',' to see the changes as you make them.');
define('_CHOOSESTYLING','Choose Styling? (if No is selected the default styling will be used)');
define('_BACKIMAGEORCOLOR','Use background image or color.');
define('_BACKIMAGENAME','Enter background image if selected. (place in images folder enter name only example: back.jpg)');
define('_IFTWOCOLORS','If color was selected enter 2 separate colors for a gradient or the same color twice for a solid.');
define('_ENTERFIRSTCOLOR','Enter background color if selected. (first gradient example: #336699)');
define('_ENTERSECONDCOLOR','Enter background color if selected. (second gradient example: #223366)');
define('_ENTERBORDER','Enter a border. (example: 1px solid #000000)');
define('_ADDSHADOW','Add a shadow to the button? (example: 2px 2px 3px #000000)');
define('_CHOOSEBORDERRADIUS','Choose a border radius. A choice of 50% is a circle.');
define('_SETPADDING','Set the padding.');
define('_WILLSTAYOPEN','This preview window will stay open in the background until it is closed.');
define('_SHOWUSERLIST','Give access to the "Member List" for active members who are logged-in.');
define('_LINKAPPEARS','The link appears in the menu under Account.');
define('_NEWSPAGECONFIGREQ','The News Page template requires configuration to use.');
define('_CONFIGNEWSPAGE','Configure News Page');
define('_SHOWFOOTER','Show the footer on the homepage?');
define('_MISCSETTINGS','Miscellaneous Settings');
define('_DIRPERMISSION','The &quot;themes&quot; directory permission must be set to 0755 (if using an on-line server).');
define('_YOURSIS','Yours is');
define('_IFDIFFERENT','If different');
define('_CLICKHERE','CLICK HERE');
define('_TOCHANGEIT',' to change it.');
define('_HTMLCOLTWOINFO','See additional settings below for HTML5 and Two column templates.');
define('_COMPACT_ARTICLES','Compact Articles');
define('_CARDED_CONTENT','Carded Content');
define('_HTMLTHEMEONLY','HTML5 Theme Use Only');
define('_IFHTMLCHOSEN','If HTML5 is chosen enter the themes folder name:');
define('_PLACEINTHEMEFOLDER','Place the theme folder in the html-themes directory.');
define('_WILLDISPLAY','Spectra will read and display the contents of the index.html file automatically.');
define('_WHENUPDATEISCLICKED','When &quot;Update the Record&quot; is clicked a new window &quot;Update Successful!&quot; will appear. The background image for that page can be changed here.');
define('_GENSITECONFIG','General Website Configuration');
define('_CHOOSELAYOUT','Choose The Template or Module For Your Website Home Page');
define('_LAYOUTS_EXPLAINED','See Templates Explained');
define('_TEMPLATESREQCONFIG','The module "News Page" requires configuration to use. See the menu item "News Page" for more.');
define('_COLTODISPLAY','Choose the template for your homepage');
define('_MODTODISPLAY','Choose the module for your homepage');
define('_ONE_','One');
define('_TWO_','Two');
define('_THREE_','Three');
define('_FIVEEQUALCOL','5-Equal-Columns');
define('_BOTHSBRIGHT','Both Sidebars Right');
define('_BOTHSBLEFT','Both Sidebars Left');
define('_NEWS_PAPER','Newspaper');
define('_MAG','Magazine');
define('_MEDIA_','Media');
define('_FLOATINGBLOCKS','Floating Blocks Page');
define('_GALLERY_','Gallery');
define('_SETTWOCOLONLY','Settings For &quot;Two&quot; Column Layout Only');
define('_TWOCOLWHICHSIDE','In Two column presentation place sidebar on which side:');
define('_UNUSEDSB','When choosing a Two column presentation, the unused sidebar can be automatically moved below the active sidebar. This will allow you to show any content that you have already built in the unused sidebar without having to move it manually.');
define('_MOVEUNUSEDSB','Two Column Presentation Only. Move unused sidebar?');
define('_THEMESETTINGS','Theme Settings');
define('_WEBSITETHEME','Website/Members Area');
define('_DASHBOARDTHEME','Designers Dashboard');
define('_ADMINTHEME','Administrators Dashboard');
define('_DASHBOARDSETTINGS','Designer Dashboard Settings');
define('_APPLYTODBONLY','Settings here only apply to the Designers Dashboard.');
define('_CHOOSEMENU','Choose menu (Offcanvas, Icon Based, or Menubar)? ');
define('_MENUBAR','Menubar');
define('_OFFCANVAS','Off Canvas');
define('_ARTICLESETTINGS','Articles Settings');
define('_ARTICLESETTINGSINFO','Spectra articles has a pagination feature for large sites and you can set how many articles you want to show on a page. It keeps your pages from being to long which can slow load times.');
define('_USEPAGINATION','Use the Pagination Feature?');
define('_ARTICLESTOSHOW','Number of articles to show on a page?');
define('_IFUSINGPAGINATION','If using Pagination.');
define('_MBRARTICLESINFO','The next setting lets you decide if you want to allow Registered Members to be able to submit articles from inside of their User Home Page.');
define('_ALLOWTOSUBMIT','Allow Users/Members to Submit Articles?');
define('_DOMAINSETTINGS','Domain Settings');
define('_DOMAINSETTINGSINFO','If your website is on a subdomain enter the information below. This will prevent you from having broken links.');
define('_SUBDOMAIN','Is this a subdomain?');
define('_SUBDOMAINNAME','<strong>If so enter subdomain name: </strong> (Ex: mysubdomain)');
define('_COUNTERSETTINGS','Counter and Update Settings');
define('_COUNTERSETTINGSINFO','There is a <b>Unique Visitor Counter</b> in the footer of the index page. You can choose to use it or turn it off in the next setting.');
define('_USECOUNTER','Use Visitor Counter?');
define('_VISITORSTODATE','Visitors to date');
define('_LOGINREGSTYLING','Login and Registration Areas (styling options)');
define('_CHOOSEBACK','Select a background image, video, or background color.');
define('_BACKIMAGE','Background Image (place in themes folder - if used, leave blank if not used)');
define('_USEMLSELECTIMG','Use Media Library and select an image from the themes folder or upload one into that folder. Then copy/paste the name here. (example: myback.jpg)');
define('_BACK_COLOR','Background Color (if used, leave blank if not used)');
define('_STYLELOGOTEXT','Style The Logo Text');
define('_LOGINLOGOCOLOR','Login Website Logo Color');
define('_LOGINLOGOSIZE','Login Website Logo Size');
define('_LOGINLOGOFONTFAM','Login Logo Font family');
define('_CHANGELOGINREGSCREEN','Change login/registration screen.');
define('_TRANSPARENT','Transparent');
define('_NOTTRANSPARENT','Not Transparent');
define('_LOGINREGBOXCOLOR','Login/registration box color: (ex: #336699 .. if Not Transparent)');
define('_CONTACTSTAFF','Contact Staff Feature');
define('_CONTACTSTAFFINFO','<p class="left">You can allow your members to contact you directly from their member home page.<br>* Note: This is a different form than the <b>Public</b> contact form.<br>Click the link below to add a message to both contact forms.</p><p class="left"><a href="contactform.php" onclick="basicPopup(this.href);return false"><span class="linkcolor">Edit the Public Contact Form</span></a></p>');
define('_USECONTACTSTAFF','Use Contact Staff Feature?');
define('_SITESMENUSELECT','Websites Main Menu Selection');
define('_CHOSEONEPLUS','<p class="left">You have chosen to use the <strong>One Plus</strong> layout.</p>');
define('_MENUBELOWVIDEO','<p class="left">Menu Bar below video - choose One Plus.</p>');
define('_OFFCANVASMENU','<p class="left">Offcanvas - will place the menu icon at the top of the video.</p>');
define('_MENUSELECTION','Menu Selection?');
define('_OFFSCREEN','Offcanvas');
define('_OFFCANVASINFO','You can select to use either the Menubar or an Offcanvas menu.<br>If using the Menubar it can be positioned above or below the header logo by editing the theme you have chosen.');
define('_BAR','Menubar');
define('_IFCHOSEMENUBAR','If you choose Menubar you can skip the rest of this page.');
define('_OFFCANVASMENUOPTIONS','Off Canvas Menu Options Only');
define('_IFCHOSEOFFCANVASMENU','If you choose to use the Offcanvas menu you can add a background image to the menu.');
define('_ENTERBACKIMGNAME','Enter background image name</strong> (upload into the images folder .. Ex: myback.jpg)');
define('_PLACEIMGUNDERLOGO','Place an image of your choice at the top of the menu (when open) just under the logo.');
define('_ENTERIMGNAME','<strong>Enter image name</strong> (upload into the images folder .. Ex: myback.jpg)');
define('_BACK_OPACITY','<u>If using a background image you can set set the amount of opacity</u>.<br>Of course the amount of opacity you choose is personal preference but a setting of either .7 or .8 is recommended.');
define('_SETOPACITY','<strong>Set opacity</strong> (for no opacity choose 1)');
define('_MENUWHICHSIDE','Choose which side to have the menu open from (Left or Right).');
define('_MENU_SELECTION','Menu Selection?');
define('_OFFCANVAS_','Offcanvas');
define('_POSITIONPAGINATION','Position Pagination');
define('_USEUPLOADTOOL','Use the folder upload tool?');
define('_IF_YES',' If \'Yes\' be sure to &quot;Update the Record&quot; first then &quot;Refresh Page&quot;.');
define('_VIEWHTMLFOLDER','View HTML Themes Folder');
define('_DISPLAYTHEMEFOLDERS','Do not delete the &quot;blocks&quot; folder.<br>Click the theme folder to preview its index page.');
define('_TOOLSTOUPLOAD','Spectra provides you with the tools to upload your HTML5 theme, edit the index.html page, and add snippets from here.</p><p class="center">Choose the template HTML5 and enter the name of the theme folder, then click on  &quot;<strong>Upgrade the Record</strong>&quot; and &quot;<strong>Refresh Page</strong>&quot; before doing anything else. This will register your HTML5 themes name in the record.');
define('_THEMEFOLDERNAME','Theme Folder Name:');
define('_MUSTMATCH','(must match exactly with the upload folder).');
define('_UPLOADFOLDER','Upload Theme Folder');
define('_WILLUPLOADFOLDER','This will upload the theme folder');
define('_INTOHTMLTHEMES',' into src/');
define('_VIEWUPLOADLOG','View Upload Log File');
define('_CLEARUPLOADLOG','Clear Upload Log File');
define('_VIEWCONTENTS','View the contents of the html-themes folder.');
define('_INDEXPAGE','Index Page');
define('_ADDSNIPPETS','index.html page and add snippets from the library.');
define('_CLICKTOCONTINUE','Click &quot;<strong>Update the Record</strong>&quot; and &quot;<strong>Refresh Page</strong>&quot; after making selections above to continue to the screen builder.');

// THE END ---------------------