<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
closenav();
require_once 'megamenus.php';

if (isset($_GET['edit'])) {
$id = $_GET['edit'];
$update = true;
$record = mysqli_query($db, "SELECT * FROM megamenu WHERE id=$id"); {
$n = mysqli_fetch_array($record);
$mm_name = $n['mm_name'];
$mm_use = $n['mm_use'];
$mm_content = $n['mm_content'];
$mm_icon = $n['mm_icon']; }}

$results = mysqli_query($db, "SELECT * FROM megamenu"); ?>

<style>
p { 
font-size: 18px; 
color: <?= $gen_text_color ?>; } 

.card7 { 
background:<?= $wrapper ?>;
padding: 20px; }

.action-card {
height: 50px;
display: flex;
flex-direction: column;
border: 1px solid rgba(255, 255, 255, 0.25);
border-radius: 20px;
background: <?= $content_bg ?>;
box-shadow: 0 0 10px 1px rgba(0, 0, 0, 0.25);
backdrop-filter: blur(15px); }

.content-card {
margin: 20px auto;
padding: 14px 24px;
border: 2px solid #FFF;
border-radius: 15px;
box-shadow: 0 0 5px 2px <?= $cnt_back_shadow ?>, inset 0 3px 18px rgba(100,100,100,0.25);
width: 97%;
height: 230px;
display: flex;
flex-direction: column;
border: 1px solid <?= $wrapper ?>;
background: linear-gradient(<?= $content_bg ?>, <?= $wrapper ?>);
backdrop-filter: blur(15px); }
</style>

<input type="hidden" name="id" value="<?= $id; ?>">

<table><tr id="wrapper"><td id="wrapper">

<div class="radius spacer inner-wrapper">

<br>

<div class="spacer column-title">
<h1 class="center coltitlecolor"><?= _MMMANAGER ?></h1>
</div>

<br>

<form method="post" action="megamenus.php" class="noborder">

<h3 class="left"><a class="btn" href="megamenubuilder.php" style="text-decoration:none"><span class="white"><?= _ADDNEW ?></span></a></h3>

<?php while ($row = mysqli_fetch_array($results)) { ?>

<div class="column6 card7 left">
<div class="content-card">
<div style="height:180px; overflow-y:auto;">
<p class="center column-title coltitlecolor spacer"><?= $row['mm_name']; ?></p>
<p class="left"><?= _MMICON ?>: <i style="color:<?= $row['mm_icon_color'] ?>" class="<?= $row['mm_icon'] ?>"></i> <?= $row['mm_icon']; ?></p>
</div>

<div class="center action-card">
<p><a href="megamenubuilder.php?edit=<?= $row['id']; ?>" onclick="basicPopup(this.href);return false"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="megamenus.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div>
</div>
</div>
<?php } ?>
</table>

</form>

</div>
<br><br>
</td></tr></table>
<?php require_once 'footer.php';