<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */ 

/**
 * 
 * Social media side menu.
 * 
 */ ?>

<table style="width:140px; background:transparent;">
<?php
if ($use_linkedin == 'Yes') {
echo '<td><a class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="Linkedin" href="' . $linkedin . '" target="_blank"><img src="' . $img_source . 'linkedin.png" width="20" alt="" /></a></td>';
}

if ($use_twitter == 'Yes') {
echo '<td><a class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="Twitter" href="' . $twitter . '" target="_blank"><img src="' . $img_source . 'twitter.png" width="20" alt="" /></a></td>';
}

if ($use_facebook == 'Yes') {
echo '<td><a class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="Facebook" href="' . $facebook . '" target="_blank"><img src="' . $img_source . 'facebook.png" width="20" alt="" /></a></td>';
}

if ($use_instagram == 'Yes') {
echo '<td><a class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="Instagram" href="' . $instagram . '" target="_blank"><img src="' . $img_source . 'instagram.png" width="20" alt="" /></a></td>';
}

if ($use_youtube == 'Yes') {
echo '<td><a class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="YouTube" href="' . $youtube . '" target="_blank"><img src="' . $img_source . 'youtube.png" width="20" alt="" /></a></td>';
}

if ($use_reddit == 'Yes') {
echo '<td><a class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="Reddit" href="' . $reddit . '" target="_blank"><img src="' . $img_source . 'reddit.webp" width="20"></a></td>';
}

if ($use_tiktok == 'Yes') {
echo '<td><a class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="TikTok" href="' . $tiktok . '" target="_blank"><img src="' . $img_source . 'tiktok.png" width="20"></a></td>';
} ?>

</tr>
</table>