<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
require_once 'paginationsave.php';
closenav();

if (isset($_GET['edit'])) {
$id = $_GET['edit'];
$update = true;
$record = mysqli_query($db, "SELECT * FROM pagination WHERE id='$id'"); {
$n = mysqli_fetch_array($record);
$stylename = $n['stylename']; $backcolor = $n['backcolor']; $numberborder = $n['numberborder']; $numberradius = $n['numberradius']; $overallradius = $n['overallradius']; $overallborder = $n['overallborder']; $overallpadding = $n['overallpadding']; $gradientfirst = $n['gradientfirst']; $gradientsecond = $n['gradientsecond']; $hovercolor = $n['hovercolor']; $dotscolor = $n['dotscolor']; $numberspadding = $n['numberspadding']; $numbersfontsize = $n['numbersfontsize']; 
$paginationwidth = $n['paginationwidth']; $numbersfontcolor = $n['numbersfontcolor']; }} ?>

<style>.respL { width:40% } .respR { width:60%; margin: 0 auto; } @media (max-width: 1000px) { .respL, .respR { width:100%; float:left; }} .spacerleft { padding-left: 15px }</style>

<div class="inner-wrapper spacer">
<br>
<div class="column-title spacer"><h1 class="coltitlecolor center"><?= _PAGINATIONSTYLING ?></h1></div>
<p class="center"><a href="paginationall.php" style="text-decoration:none" class="button"><span class="spacer linkcolor"><?= _VIEWEDITALLSTYLES ?></span></a></p>
<table><tr><td class="respL top card">

<form method="post" action="paginationsave.php" class="noborder">

<?php updatepublish(); 

$results = mysqli_query($db, "SELECT * FROM pagination"); ?>

<input type="hidden" name="id" value="<?= $id ?>">

<div class="spacer">

<div class="left mini-container"><input style="width:120px" data-jscolor="jscolor"> <?= _COLORPICKER ?></div>

<p class="left"><strong><?= _STYLENAME ?>:</strong> <input style="background:#f1f1f1;color:#000;" type="text" name="stylename" maxlength="25" size="25" value="<?= $stylename ?>"></p>

<p class="left"><strong><?= _PAGINATIONWIDTH ?></strong> (<?= _USUALLY ?>) <input style="background:#f1f1f1;color:#000;" type="text" name="paginationwidth" maxlength="7" size="7" value="<?= $paginationwidth ?>"></p>

<p class="left"><strong><?= _BACKGROUNDCOLOR ?>:</strong> <input style="background:#f1f1f1;color:#000;" type="text" name="backcolor" maxlength="7" size="7" value="<?= $backcolor ?>"> (<?= _EXAMPLE ?>: #336699)</p>

<p class="left"><strong><?= _BORDERAROUNDNUMBERS ?>:</strong> <input style="background:#f1f1f1;color:#000;" type="text" name="numberborder" maxlength="18" size="18" value="<?= $numberborder ?>"> (<?= _EXAMPLE ?>: 1px solid #000000)</p>

<p class="left"><strong><?= _BORDERRADIUS ?>:</strong> <input style="background:#f1f1f1;color:#000;" type="text" name="numberradius" maxlength="7" size="7" value="<?= $numberradius ?>"> (<?= _EXAMPLE ?>: 12px)</p>

<p class="left"><strong><?= _OVERALLBORDERRADIUS ?>:</strong> <input style="background:#f1f1f1;color:#000;" type="text" name="overallradius" maxlength="7" size="7" value="<?= $overallradius ?>"> (<?= _EXAMPLE ?>: 12px)</p>

<p class="left"><strong><?= _OVERALLBORDER ?>:</strong> <input style="background:#f1f1f1;color:#000;" type="text" name="overallborder" maxlength="18" size="18" value="<?= $overallborder ?>"> (<?= _EXAMPLE ?>: 1px solid #000000)</p>

<p class="left"><strong><?= _OVERALLPADDING ?>:</strong> <input style="background:#f1f1f1;color:#000;" type="text" name="overallpadding" maxlength="5" size="5" value="<?= $overallpadding ?>"> (<?= _EXAMPLE ?>: 12px)</p>

<p class="left"><strong><?= _GRADIENTFIRST ?>:</strong> <input style="background:#f1f1f1;color:#000;" type="text" name="gradientfirst" maxlength="7" size="7" value="<?= $gradientfirst ?>"> (<?= _EXAMPLE ?>: #336699)</p>

<p class="left"><strong><?= _GRADIENTSECOND ?>:</strong> <input style="background:#f1f1f1;color:#000;" type="text" name="gradientsecond" maxlength="7" size="7" value="<?= $gradientsecond ?>"> (<?= _EXAMPLE ?>: #223366)</p>

<p class="left"><strong><?= _HOVERFONTCOLOR ?>:</strong> <input style="background:#f1f1f1;color:#000;" type="text" name="hovercolor" maxlength="7" size="7" value="<?= $hovercolor ?>"> (<?= _EXAMPLE ?>: #223366)</p>

<p class="left"><strong><?= _DOTSCOLOR ?>:</strong> <input style="background:#f1f1f1;color:#000;" type="text" name="dotscolor" maxlength="7" size="7" value="<?= $dotscolor ?>"> (<?= _EXAMPLE ?>: #000000)</p>

<p class="left"><strong><?= _FONTSPADDING ?>:</strong> <input style="background:#f1f1f1;color:#000;" type="text" name="numberspadding" maxlength="4" size="4" value="<?= $numberspadding ?>"> (<?= _EXAMPLE ?>: 5px)</p>

<p class="left"><strong><?= _FONTSIZE ?>:</strong> <input style="background:#f1f1f1;color:#000;" type="text" name="numbersfontsize" maxlength="4" size="4" value="<?= $numbersfontsize ?>"> (<?= _EXAMPLE ?>: 12px)</p>

<p class="left"><strong><?= _FONTCOLOR ?>:</strong> <input style="background:#f1f1f1;color:#000;" type="text" name="numbersfontcolor" maxlength="7" size="7" value="<?= $numbersfontcolor ?>"> (<?= _EXAMPLE ?>: #ffffff)</p>

</form>

<br><br>

</div>

</td>
<td class="respR top">
<div class="inner-wrapper">
<div class="card">
<h1 class="center"><?= _PAGINATIONPREVIEW ?></h1>

<style>
.pagination { background: <?= $backcolor ?>; padding: <?= $overallpadding ?>; display: inline-flex; box-sizing: border-box; box-shadow: none; margin: 0 auto; text-align:center;}
.pagination li { box-sizing: border-box; padding: <?= $numberspadding ?>; }
.pagination li a { box-sizing: border-box; background: linear-gradient(<?= $gradientfirst ?>, <?= $gradientsecond ?>); padding: <?= $numberspadding ?>; text-decoration: none; font-size: <?= $numbersfontsize ?>; font-weight: bold; color: <?= $numbersfontcolor ?>; border-radius: <?= $numberradius ?>; border:<?= $numberborder ?>; }
.pagination li a:hover {color: <?= $hovercolor ?>; }
.pagination .next a, .pagination .prev a { text-transform: uppercase; font-size: <?= $numbersfontsize ?>; }
.dots { color: <?= $dotscolor ?>; font-size: <?= $numbersfontsize ?>; } 
ul { list-style-type: none; border-radius: <?= $overallradius ?>; }
</style>
<div style="background:<?= $backcolor ?>; width:<?= $paginationwidth ?>; margin:0 auto; border-radius:<?= $overallradius ?>;">
<ul class="pagination">
<li><a href=""><?= _PREV ?></a></li> 
<li><a href="">1</a></li>
<li class="dots">...</li>   
<li><a href="">2</a></li> 
<li><a href="">3</a></li>
<li><a href="">4</a></li>      
<li><a href="">5</a></li>        
<li class="dots">...</li>
<li><a href="">9</a></li>
<li><a href=""><?= _NEXT ?></a></li>
</ul>
</div>
</td></tr></table>
</div>
<br>
<br>
</div>
</div>

<?php require_once 'footer.php';