<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

// initialize variables
$stylename = "";
$backcolor = "";
$numberborder = "";   
$numberradius = "";
$overallradius = "";
$overallborder = "";
$gradientfirst = "";
$gradientsecond = "";
$hovercolor = "";
$dotscolor = "";
$numberspadding ="";
$numbersfontsize = "";
$numbersfontcolor = "";
$overallpadding = "";
$paginationwidth = "";
$id = 0;
$update = false;

// Create new style 
if (isset($_POST['save'])) {
$stylename = mysqli_real_escape_string($conn, $_POST['stylename']);
$backcolor = mysqli_real_escape_string($conn, $_POST['backcolor']);
$numberborder = mysqli_real_escape_string($conn, $_POST['numberborder']);   
$numberradius = mysqli_real_escape_string($conn, $_POST['numberradius']);
$overallradius = mysqli_real_escape_string($conn, $_POST['overallradius']);
$overallborder = mysqli_real_escape_string($conn, $_POST['overallborder']);
$gradientfirst = mysqli_real_escape_string($conn, $_POST['gradientfirst']);
$gradientsecond = mysqli_real_escape_string($conn, $_POST['gradientsecond']);
$hovercolor = mysqli_real_escape_string($conn, $_POST['hovercolor']);
$dotscolor = mysqli_real_escape_string($conn, $_POST['dotscolor']);
$numberspadding = mysqli_real_escape_string($conn, $_POST['numberspadding']);
$numbersfontsize = mysqli_real_escape_string($conn, $_POST['numbersfontsize']);
$numbersfontcolor = mysqli_real_escape_string($conn, $_POST['numbersfontcolor']);
$overallpadding = mysqli_real_escape_string($conn, $_POST['overallpadding']);
$paginationwidth = mysqli_real_escape_string($conn, $_POST['paginationwidth']);

mysqli_query($db, "INSERT INTO pagination (stylename, backcolor, numberborder, numberradius, overallradius, overallborder, gradientfirst, gradientsecond, hovercolor, dotscolor, numberspadding, numbersfontsize, numbersfontcolor, overallpadding, paginationwidth) VALUES ('$stylename', '$backcolor', '$numberborder', '$numberradius', '$overallradius', '$overallborder', '$gradientfirst', '$gradientsecond', '$hovercolor', '$dotscolor', '$numberspadding', '$numbersfontsize', '$numbersfontcolor', '$overallpadding', '$paginationwidth')");	
$_SESSION['message'] = "Style Created Successfully!";
echo "<script> window.location.replace('paginationall.php') </script>"; }


// Update existing style
if (isset($_POST['update'])) {
$id = $_POST['id'];
$stylename = mysqli_real_escape_string($conn, $_POST['stylename']);
$backcolor = mysqli_real_escape_string($conn, $_POST['backcolor']);
$numberborder = mysqli_real_escape_string($conn, $_POST['numberborder']);   
$numberradius = mysqli_real_escape_string($conn, $_POST['numberradius']);
$overallradius = mysqli_real_escape_string($conn, $_POST['overallradius']);
$overallborder = mysqli_real_escape_string($conn, $_POST['overallborder']);
$gradientfirst = mysqli_real_escape_string($conn, $_POST['gradientfirst']);
$gradientsecond = mysqli_real_escape_string($conn, $_POST['gradientsecond']);
$hovercolor = mysqli_real_escape_string($conn, $_POST['hovercolor']);
$dotscolor = mysqli_real_escape_string($conn, $_POST['dotscolor']);
$numberspadding = mysqli_real_escape_string($conn, $_POST['numberspadding']);
$numbersfontsize = mysqli_real_escape_string($conn, $_POST['numbersfontsize']);
$numbersfontcolor = mysqli_real_escape_string($conn, $_POST['numbersfontcolor']);
$overallpadding = mysqli_real_escape_string($conn, $_POST['overallpadding']);
$paginationwidth = mysqli_real_escape_string($conn, $_POST['paginationwidth']);

mysqli_query($db, "UPDATE pagination SET stylename='$stylename', backcolor='$backcolor', numberborder='$numberborder', numberradius='$numberradius', overallradius='$overallradius', overallborder='$overallborder', gradientfirst='$gradientfirst', gradientsecond='$gradientsecond', hovercolor='$hovercolor', dotscolor='$dotscolor', numberspadding='$numberspadding', numbersfontsize='$numbersfontsize', numbersfontcolor='$numbersfontcolor', overallpadding='$overallpadding', paginationwidth='$paginationwidth' WHERE id='$id'");
$_SESSION['message'] = "Style Updated Successfully!"; 
echo "<script> window.location.replace('paginationall.php') </script>"; }

// Delete exiting card from db
if (isset($_GET['del'])) {
$id = $_GET['del'];
mysqli_query($db, "DELETE FROM pagination WHERE id=$id");
$_SESSION['message'] = "Style deleted!"; 
echo "<script> window.location.replace('paginationall.php') </script>"; } 

$results = mysqli_query($db, "SELECT * FROM pagination");
