<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

$sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
    
$hp_sidebars = $row['hp_sidebars']; 
$hp_oncanvas_sidebars = $row['hp_oncanvas_sidebars']; 
$hp_library = $row['hp_library'];
$sidebars_used = $row['sidebars_used']; }}

if ($hp_sidebars == 'None' || $hp_sidebars == '') { }

if ($hp_sidebars == 'Left' || $hp_sidebars == 'Both') { ?>
<option value="Off-canvas Left"><?= _OFFCANVASLEFT ?></option>
<?php }

if ($hp_sidebars == 'Right' || $hp_sidebars == 'Both') { ?>
<option value="Off-canvas Right"><?= _OFFCANVASRIGHT ?></option>
<?php }								

if ($hp_oncanvas_sidebars == 'None' || $hp_oncanvas_sidebars == '') { }

if ($hp_oncanvas_sidebars == 'Left' || $hp_oncanvas_sidebars == 'Both') { ?>
<option value="On-canvas Left"><?= _ONCANVASLEFT ?></option>
<?php }

if ($hp_oncanvas_sidebars == 'Right' || $hp_oncanvas_sidebars == 'Both') { ?>
<option value="On-canvas Right"><?= _ONCANVASRIGHT ?></option>
<?php }

if ($hp_library == 'None' || $hp_library == '') { } else { ?>
<option value="Library"><?= _LIBRARY ?></option>
<?php }

if ($sidebars_used == 'Left' || $sidebars_used == 'Both') { ?>
<option value="Top Article Left"><?= _TOPARTICLELEFT ?></option>
<?php }
if ($sidebars_used == 'Right' || $sidebars_used == 'Both') { ?>
<option value="Top Article Right"><?= _TOPARTICLERIGHT ?></option>
<?php }

if ($rowonesidebars == 'Left' || $rowonesidebars == 'Both') { ?>
<option value="Row One Left"><?= _ROWONE ?> <?= _LEFT ?></option>
<?php }
if ($rowonesidebars == 'Right' || $rowonesidebars == 'Both') { ?>
<option value="Row One Right"><?= _ROWONE ?> <?= _RIGHT ?></option>
<?php } 

if ($rowtwosidebars == 'Left' || $rowtwosidebars == 'Both') { ?>
<option value="Row Two Left"><?= _ROWTWO ?> <?= _LEFT ?></option>
<?php }
if ($rowtwosidebars == 'Right' || $rowtwosidebars == 'Both') { ?>
<option value="Row Two Right"><?= _ROWTWO ?> <?= _RIGHT ?></option>
<?php } 

if ($rowthreesidebars == 'Left' || $rowthreesidebars == 'Both') { ?>
<option value="Row Three Left"><?= _ROWTHREE ?> <?= _LEFT ?></option>
<?php }
if ($rowthreesidebars == 'Right' || $rowthreesidebars == 'Both') { ?>
<option value="Row Three Right"><?= _ROWTHREE ?> <?= _RIGHT ?></option>
<?php }

if ($rowfoursidebars == 'Left' || $rowfoursidebars == 'Both') { ?>
<option value="Row Four Left"><?= _ROWFOUR ?> <?= _LEFT ?></option>
<?php }
if ($rowfoursidebars == 'Right' || $rowfoursidebars == 'Both') { ?>
<option value="Row Four Right"><?= _ROWFOUR ?> <?= _RIGHT ?></option>
<?php }

if ($rowfivesidebars == 'Left' || $rowfivesidebars == 'Both') { ?>
<option value="Row Five Left"><?= _ROWFIVE ?> <?= _LEFT ?></option>
<?php }
if ($rowfivesidebars == 'Right' || $rowfivesidebars == 'Both') { ?>
<option value="Row Five Right"><?= _ROWFIVE ?> <?= _RIGHT ?></option>
<?php }

if ($rowsixsidebars == 'Left' || $rowsixsidebars == 'Both') { ?>
<option value="Row Six Left"><?= _ROWSIX ?> <?= _LEFT ?></option>
<?php }
if ($rowsixsidebars == 'Right' || $rowsixsidebars == 'Both') { ?>
<option value="Row Six Right"><?= _ROWSIX ?> <?= _RIGHT ?></option>
<?php }

if ($rowsevensidebars == 'Left' || $rowsevensidebars == 'Both') { ?>
<option value="Row Seven Left"><?= _ROWSEVEN ?> <?= _LEFT ?></option>
<?php }
if ($rowsevensidebars == 'Right' || $rowsevensidebars == 'Both') { ?>
<option value="Row Seven Right"><?= _ROWSEVEN ?> <?= _RIGHT ?></option>
<?php }

if ($roweightsidebars == 'Left' || $roweightsidebars == 'Both') { ?>
<option value="Row Eight Left"><?= _ROWEIGHT ?> <?= _LEFT ?></option>
<?php }
if ($roweightsidebars == 'Right' || $roweightsidebars == 'Both') { ?>
<option value="Row Eight Right"><?= _ROWEIGHT ?> <?= _RIGHT ?></option>
<?php }

if ($rowninesidebars == 'Left' || $rowninesidebars == 'Both') { ?>
<option value="Row Nine Left"><?= _ROWNINE ?> <?= _LEFT ?></option>
<?php }
if ($rowninesidebars == 'Right' || $rowninesidebars == 'Both') { ?>
<option value="Row Nine Right"><?= _ROWNINE ?> <?= _RIGHT ?></option>
<?php }

if ($rowtensidebars == 'Left' || $rowtensidebars == 'Both') { ?>
<option value="Row Ten Left"><?= _ROWTEN ?> <?= _LEFT ?></option>
<?php }
if ($rowtensidebars == 'Right' || $rowtensidebars == 'Both') { ?>
<option value="Row Ten Right"><?= _ROWTEN ?> <?= _RIGHT ?></option>
<?php }

if ($rowelevensidebars == 'Left' || $rowelevensidebars == 'Both') { ?>
<option value="Row Eleven Left"><?= _ROWELEVEN ?> <?= _LEFT ?></option>
<?php }
if ($rowelevensidebars == 'Right' || $rowelevensidebars == 'Both') { ?>
<option value="Row Eleven Right"><?= _ROWELEVEN ?> <?= _RIGHT ?></option>
<?php }

if ($rowtwelvesidebars == 'Left' || $rowtwelvesidebars == 'Both') { ?>
<option value="Row Twelve Left"><?= _ROWTWELVE ?> <?= _LEFT ?></option>
<?php }
if ($rowtwelvesidebars == 'Right' || $rowtwelvesidebars == 'Both') { ?>
<option value="Row Twelve Right"><?= _ROWTWELVE ?> <?= _RIGHT ?></option>
<?php } ?>