<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';

if (isset($_GET['id'])) {
$id = $_GET['id']; }

$id = mysqli_real_escape_string($conn, $id);

$sql = "SELECT * FROM articles WHERE id='" . $id . "'";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) { ?>

<div class="column center column-title"><?= $row['c_title'] ?></div>

<?php if ($row['usewhich'] == 'Image') { ?>

<div class="spacer column" style="background-image:url(../../media/themes/<?= $row['backimage'] ?>);background-attachment:fixed;">
<?= $row['c_text'] ?>

<?php } elseif ($row['usewhich'] == 'Color') { ?>

<div class="spacer column" style="background:-webkit-linear-gradient(top,<?= $row['backcolor'] ?>,<?= $row['backcolor_second'] ?>)">

<?= $row['c_text'] ?>

<?php } elseif ($row['usewhich'] == 'None') { ?>

<div class="spacer card column">

<?= $row['c_text']; }}} ?>

</div>

<br><br>

<?php require_once 'footer.php';