<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php'; ?>

<div class="inner-wrapper">

<div class="column center" style="padding-top:50px">
<input type="button" class="btn" style="width:200px;margin:0 auto;text-align:center;" value="<?= _CLOSEPREVWIN ?>" onclick="self.close()">
</div>

<br>

<div class="inner-wrapper">

<script>
function windowClose() {
window.open('', '_parent', '');
window.close(); }
</script>

<?php global $id;
if (isset($_GET['id'])) { $id = $_GET['id'];
$id = mysqli_real_escape_string($conn, $id); } ?>

<style>
.responsive {
width: 40%; }

@media (max-width: 900px) {
.responsive {
width: 100%; }}
</style>

<div class="radius spacer responsive" style="box-shadow: 12px 0 15px -4px rgba(0, 0, 0, 0.2), -12px 0 8px -4px rgba(0, 0, 0, 0.2);margin:0 auto;">

<?php $sql = "SELECT * FROM blocks WHERE id='$id'";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {

if ($row['usewhich'] == 'Icon') { ?>

<div class="column center column-title coltitlecolor">
<i style="text-shadow:1px 1px 1px #000;width:25px;height:25px;color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i> <?= $row['title'] ?>
</div>

<?php } elseif ($row['usewhich'] == 'Graphic') { ?>

<div class="column center column-title coltitlecolor">
<img src="media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /> <?= $row['title'] ?>
</div>

<?php  } else {

if ($row['usewhich'] == 'None') { ?>

<div class="column center column-title coltitlecolor"><?= $row['title'] ?></div>

<?php }} ?>

<div class="spacer card column"><?= $row['text'] ?></div>

<br><br>

<?php }} ?>

</div>
</div>
</div>

<br><br>

<?php require_once 'footer.php';