<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
require_once 'quick-links.php';
closenav();

if (isset($_GET['edit'])) {
$id = $_GET['edit'];
$update = true;
$record = mysqli_query($db, "SELECT * FROM quicklink_links WHERE id=$id"); {
$n = mysqli_fetch_array($record);
$quicklink_name = $n['quicklink_name'];
$quicklink_link = $n['quicklink_link']; }} ?>

<link rel="stylesheet" type="text/css" href="css/pageeditor.css">

<div class="full radius input-group">
<div class="inner-wrapper">
<div class="spacer column-title">
<h1 class="center" style="color:<?= $linkcolor ?>" class="left"><?= _QLBUILDER ?></h1>
</div>
<p class="center"><?= _QLTITLEPARA ?></p>
<p class="center"><a style="text-decoration:none" href="plugins.php#quicklinks" style="text-decoration:none" title="<?= _CONFIGBLOCK ?>"><span class="btn"><?= _CONFIGBLOCK ?></span></a></p>

<?php $results = mysqli_query($db, "SELECT * FROM quicklink_links"); ?>

<form method="post" action="quick-links.php" class="noborder">

<?php updatepublish(); ?>

<input type="hidden" name="id" value="<?= $id ?>">
<div class="mini-container noborder">
<p class="left spacer"><?= _QLLINK ?>: <input type="text" name="quicklink_name" rows="1" style="width:250px" value="<?= $quicklink_name ?>"></p>
<p class="left spacer"><?= _QLURL ?>: <input type="text" name="quicklink_link" rows="2" style="width:50%" value="<?= $quicklink_link ?>"></p>
<br>
</div>
</div>
</div>

<?php require_once 'footer.php';