<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
closenav();

$results = mysqli_query($db, "SELECT * FROM notetaker"); ?>

<form method="post" action="quicknotewindow.php" class="noborder">

<?php updatepublish();

$admin_notes = "";
$id = 0;
$update = false;

// Create new note 
if (isset($_POST['save'])) {
$admin_notes = mysqli_real_escape_string($conn, $_POST['admin_notes']);
mysqli_query($db, "INSERT INTO notetaker (admin_notes) VALUES ('$admin_notes')"); }

$results = mysqli_query($db, "SELECT * FROM notetaker"); ?>

<div class="full spacer card radius">

<p class="center">
<img src="images/quicknote.png" style="width:130px" class="noborder" alt="" />
</p>

<?= _QNPARA ?>

<br>

<textarea id="editor" name="admin_notes"><?= $admin_notes ?></textarea>

<br>

</div>

</form>

<?php require_once 'footer.php';