<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
closenav();

$sql = "SELECT * FROM modules";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) { ?>

<form action="helpers/recaptcha.php" target="_blank" method="post" class="noborder">

<?php savemenu(); ?>

<div class="input-group">
<div class="card noborder spacer">

<div class="column-title spacer">
<h1 class="center coltitlecolor"><?= _RECAPTCHATITLE ?></h1>
</div>
<div class="mini-container">
<p class="center"><?= _EX ?><br><img src="images/recaptcha.jpg" style="width:200" alt="" /></p>

<br>

<p class="center"><?= _RECAPTCHAINFO ?></p>

<p class="left"><strong><?= _USERECAPTCHA ?> </strong>
<select name="use_recaptcha">
<option><?= $row['use_recaptcha'] ?></option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>

<p class="left">
<strong><?= _RECAPTCHACODE ?>:</strong>.
<br>
<input style="background:#f1f1f1;color:#000;width:350px" type="text" name="recaptcha" value="<?= htmlentities($row['recaptcha'], ENT_QUOTES); }} ?>">
</p>

<?= _RECAPTCHAPARA ?>

<strong><?= _RECAPTCHAINSTR ?></strong>

<br><br>

</div>
</div></div>

<?php require_once 'footer.php';