<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
closenav(); ?>

<script src="js/jquery.min.js"></script>
<script src="js/jquery-ui.min.js"></script>

<style>
.accordion:hover {
background: <?= $menu_color ?>; }

.grid {
border: 1px dotted #000000; 
height: 50px; 
padding-top: 0;}
</style>

<div class="inner-wrapper" style="width:90%; margin:0 auto">

<h3 class="center"><?= _REPOSITIONPAGES ?></h3>

<?php $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM newpages WHERE usepage = 'Yes'"); 
while ($row = mysqli_fetch_array($result)) { 
$varactive = $row['count']; }

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM newpages WHERE usepage = 'No'"); 
while ($row = mysqli_fetch_array($result)) { 
$varinactive = $row['count']; } ?>

<p class="center"><?= _TOTALACTIVE ?>: ( <?= $varactive ?> )&nbsp;&nbsp;<?= _TOTALINACTIVE ?>: ( <?= $varinactive ?> )</p>

<table border="1"><tr><td class="top">

<?php
/**
 * 
 * Menu Number 1.
 * 
 */

$sql = "SELECT * FROM pagesautomenu, newpages";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$usemenu_one = $row['usemenu_one'];
$menuface_one = $row['menuface_one'];
$menuname = $row['menuname'];
$name_one = $row['name_one']; }} 

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM newpages WHERE menuname = 'menu1'"); 
while ($row = mysqli_fetch_array($result)) { 
$var = $row['count']; } ?>

<div class="center accordion column-title coltitlecolor"><?= $menuface_one ?>
<small><span style="float:right">[<?= _OPEN ?> | <?= _CLOSE ?>]</span></small><br>
<small>
<?= _PAGES ?>: (<?= $var ?>)&nbsp;&nbsp;<?= _MENU ?> <?= _ACTIVE ?>? <?php if ($usemenu_one == 'Yes') { ?> (<?=_YES ; } else { ?> (<?= _NO; } ?>)
</small>
</div>

<div class="panel">
<br>
<table>
<tbody class="row_position" style="cursor:grab">    
<?php $sql = "SELECT * FROM newpages WHERE menuname = 'menu1' ORDER BY menuposition + 0 ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
<tr id="<?= $row['id'] ?>" style="background:#f2f2f2">
<td class="grid" class="top">                
<p class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;
"<?= $row['pagename'] ?>"&nbsp;&nbsp;<?= _ACTIVE ?> (<?= $row['usepage'] ?>)&nbsp;&nbsp;
<a href="pagebuilder.php?edit=<?= $row['id'] ?>" target="_blank">[<?= _EDIT ?>]</a></p>
</td>
</tr>
<?php }} ?>     
</tbody>
</table>
</div>

</td><td class="top">

<?php 
/**
* 
* Menu number 2.
* 
*/

$sql = "SELECT * FROM pagesautomenu, newpages";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$usemenu_two = $row['usemenu_two'];
$menuface_two = $row['menuface_two'];
$menuname = $row['menuname'];
$name_two = $row['name_two']; }}

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM newpages WHERE menuname = 'menu2'"); 
while ($row = mysqli_fetch_array($result)) { 
$var = $row['count']; } ?>

<div class="center accordion column-title coltitlecolor"><?= $menuface_two ?>
<small><span style="float:right">[<?= _OPEN ?> | <?= _CLOSE ?>]</span></small><br>
<small>
<?= _PAGES ?>: (<?= $var ?>)&nbsp;&nbsp;<?= _MENU ?> <?= _ACTIVE ?>? <?php if ($usemenu_two == 'Yes') { ?> (<?=_YES ; } else { ?> (<?= _NO; } ?>)
</small>
</div>
<div class="panel">
<br>
<table>
<tbody class="row_position" style="cursor:grab">    
<?php $sql = "SELECT * FROM newpages WHERE menuname = 'menu2' ORDER BY menuposition + 0 ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
<tr id="<?= $row['id'] ?>" style="background:#f2f2f2">
<td class="grid" class="top">                
<p class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;
"<?= $row['pagename'] ?>"&nbsp;&nbsp;<?= _ACTIVE ?> (<?= $row['usepage'] ?>)&nbsp;&nbsp;
<a href="pagebuilder.php?edit=<?= $row['id'] ?>" target="_blank">[<?= _EDIT ?>]</a></p>
</td>
</tr>
<?php }} ?>     
</tbody>
</table>
</div>

</td><td class="top">

<?php 
/**
* 
* Menu number 3.
* 
*/

$sql = "SELECT * FROM pagesautomenu, newpages";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$usemenu_three = $row['usemenu_three'];
$menuface_three = $row['menuface_three'];
$menuname = $row['menuname'];
$name_three = $row['name_three']; }}

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM newpages WHERE menuname = 'menu3'"); 
while ($row = mysqli_fetch_array($result)) { 
$var = $row['count']; } ?>

<div class="center accordion column-title coltitlecolor"><?= $menuface_three ?>
<small><span style="float:right">[<?= _OPEN ?> | <?= _CLOSE ?>]</span></small><br>
<small>
<?= _PAGES ?>: (<?= $var ?>)&nbsp;&nbsp;<?= _MENU ?> <?= _ACTIVE ?>? <?php if ($usemenu_three == 'Yes') { ?> (<?=_YES ; } else { ?> (<?= _NO; } ?>)
</small>
</div>
<div class="panel">
<br>
<table>
<tbody class="row_position" style="cursor:grab">    
<?php $sql = "SELECT * FROM newpages WHERE menuname = 'menu3' ORDER BY menuposition + 0 ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
<tr id="<?= $row['id'] ?>" style="background:#f2f2f2">
<td class="grid" class="top">                
<p class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;
"<?= $row['pagename'] ?>"&nbsp;&nbsp;<?= _ACTIVE ?> (<?= $row['usepage'] ?>)&nbsp;&nbsp;
<a href="pagebuilder.php?edit=<?= $row['id'] ?>" target="_blank">[<?= _EDIT ?>]</a></p>
</td>
</tr>
<?php }} ?>     
</tbody>
</table>
</div>

</td><td class="top">

<?php 
/**
* 
* Menu number 4.
* 
*/

$sql = "SELECT * FROM pagesautomenu, newpages";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$usemenu_four = $row['usemenu_four'];
$menuface_four = $row['menuface_four'];
$menuname = $row['menuname'];
$name_four = $row['name_four']; }}

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM newpages WHERE menuname = 'menu4'"); 
while ($row = mysqli_fetch_array($result)) { 
$var = $row['count']; } ?>

<div class="center accordion column-title coltitlecolor"><?= $menuface_four ?>
<small><span style="float:right">[<?= _OPEN ?> | <?= _CLOSE ?>]</span></small><br>
<small>
<?= _PAGES ?>: (<?= $var ?>)&nbsp;&nbsp;<?= _MENU ?> <?= _ACTIVE ?>? <?php if ($usemenu_four == 'Yes') { ?> (<?=_YES ; } else { ?> (<?= _NO; } ?>)
</small>
</div>
<div class="panel">
<br>
<table>
<tbody class="row_position" style="cursor:grab">    
<?php $sql = "SELECT * FROM newpages WHERE menuname = 'menu4' ORDER BY menuposition + 0 ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
<tr id="<?= $row['id'] ?>" style="background:#f2f2f2">
<td class="grid" class="top">                
<p class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;
"<?= $row['pagename'] ?>"&nbsp;&nbsp;<?= _ACTIVE ?> (<?= $row['usepage'] ?>)&nbsp;&nbsp;
<a href="pagebuilder.php?edit=<?= $row['id'] ?>" target="_blank">[<?= _EDIT ?>]</a></p>
</td>
</tr>
<?php }} ?>     
</tbody>
</table>
</div>

</td></tr></table>

<br>

<table border="1"><tr><td class="top">

<?php 
/**
* 
* Menu number 5.
* 
*/

$sql = "SELECT * FROM pagesautomenu, newpages";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$usemenu_five = $row['usemenu_five'];
$menuface_five = $row['menuface_five'];
$menuname = $row['menuname'];
$name_five = $row['name_five']; }}

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM newpages WHERE menuname = 'menu5'"); 
while ($row = mysqli_fetch_array($result)) { 
$var = $row['count']; } ?>

<div class="center accordion column-title coltitlecolor"><?= $menuface_five ?>
<small><span style="float:right">[<?= _OPEN ?> | <?= _CLOSE ?>]</span></small><br>
<small>
<?= _PAGES ?>: (<?= $var ?>)&nbsp;&nbsp;<?= _MENU ?> <?= _ACTIVE ?>? <?php if ($usemenu_five == 'Yes') { ?> (<?=_YES ; } else { ?> (<?= _NO; } ?>)
</small>
</div>
<div class="panel">
<br>
<table>
<tbody class="row_position" style="cursor:grab">    
<?php $sql = "SELECT * FROM newpages WHERE menuname = 'menu5' ORDER BY menuposition + 0 ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
<tr id="<?= $row['id'] ?>" style="background:#f2f2f2">
<td class="grid" class="top">                
<p class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;
"<?= $row['pagename'] ?>"&nbsp;&nbsp;<?= _ACTIVE ?> (<?= $row['usepage'] ?>)&nbsp;&nbsp;
<a href="pagebuilder.php?edit=<?= $row['id'] ?>" target="_blank">[<?= _EDIT ?>]</a></p>
</td>
</tr>
<?php }} ?>     
</tbody>
</table>
</div>

</td><td class="top">

<?php 
/**
* 
* Menu number 6.
* 
*/

$sql = "SELECT * FROM pagesautomenu, newpages";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$usemenu_six = $row['usemenu_six'];
$menuface_six = $row['menuface_six'];
$menuname = $row['menuname'];
$name_six = $row['name_six']; }}

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM newpages WHERE menuname = 'menu6'"); 
while ($row = mysqli_fetch_array($result)) { 
$var = $row['count']; } ?>

<div class="center accordion column-title coltitlecolor"><?= $menuface_six ?>
<small><span style="float:right">[<?= _OPEN ?> | <?= _CLOSE ?>]</span></small><br>
<small>
<?= _PAGES ?>: (<?= $var ?>)&nbsp;&nbsp;<?= _MENU ?> <?= _ACTIVE ?>? <?php if ($usemenu_six == 'Yes') { ?> (<?=_YES ; } else { ?> (<?= _NO; } ?>)
</small>
</div>
<div class="panel">
<br>
<table>
<tbody class="row_position" style="cursor:grab">    
<?php $sql = "SELECT * FROM newpages WHERE menuname = 'menu6' ORDER BY menuposition + 0 ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
<tr id="<?= $row['id'] ?>" style="background:#f2f2f2">
<td class="grid" class="top">                
<p class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;
"<?= $row['pagename'] ?>"&nbsp;&nbsp;<?= _ACTIVE ?> (<?= $row['usepage'] ?>)&nbsp;&nbsp;
<a href="pagebuilder.php?edit=<?= $row['id'] ?>" target="_blank">[<?= _EDIT ?>]</a></p>
</td>
</tr>
<?php }} ?>     
</tbody>
</table>
</div>

</td><td class="top">

<?php 
/**
* 
* Menu number 7.
* 
*/

$sql = "SELECT * FROM pagesautomenu, newpages";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$usemenu_seven = $row['usemenu_seven'];
$menuface_seven = $row['menuface_seven'];
$menuname = $row['menuname'];
$name_seven = $row['name_seven']; }}

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM newpages WHERE menuname = 'menu7'"); 
while ($row = mysqli_fetch_array($result)) { 
$var = $row['count']; } ?>

<div class="center accordion column-title coltitlecolor"><?= $menuface_seven ?>
<small><span style="float:right">[<?= _OPEN ?> | <?= _CLOSE ?>]</span></small><br>
<small>
<?= _PAGES ?>: (<?= $var ?>)&nbsp;&nbsp;<?= _MENU ?> <?= _ACTIVE ?>? <?php if ($usemenu_seven == 'Yes') { ?> (<?=_YES ; } else { ?> (<?= _NO; } ?>)
</small>
</div>
<div class="panel">
<br>
<table>
<tbody class="row_position" style="cursor:grab">    
<?php $sql = "SELECT * FROM newpages WHERE menuname = 'menu7' ORDER BY menuposition + 0 ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
<tr id="<?= $row['id'] ?>" style="background:#f2f2f2">
<td class="grid" class="top">                
<p class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;
"<?= $row['pagename'] ?>"&nbsp;&nbsp;<?= _ACTIVE ?> (<?= $row['usepage'] ?>)&nbsp;&nbsp;
<a href="pagebuilder.php?edit=<?= $row['id'] ?>" target="_blank">[<?= _EDIT ?>]</a></p>
</td>
</tr>
<?php }} ?>     
</tbody>
</table>
</div>

</td><td class="top">

<?php 
/**
* 
* Menu number 8.
* 
*/

$sql = "SELECT * FROM pagesautomenu, newpages";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$usemenu_eight = $row['usemenu_eight'];
$menuface_eight = $row['menuface_eight'];
$menuname = $row['menuname'];
$name_eight = $row['name_eight']; }}

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM newpages WHERE menuname = 'menu8'"); 
while ($row = mysqli_fetch_array($result)) { 
$var = $row['count']; } ?>

<div class="center accordion column-title coltitlecolor"><?= $menuface_eight ?>
<small><span style="float:right">[<?= _OPEN ?> | <?= _CLOSE ?>]</span></small><br>
<small>
<?= _PAGES ?>: (<?= $var ?>)&nbsp;&nbsp;<?= _MENU ?> <?= _ACTIVE ?>? <?php if ($usemenu_eight == 'Yes') { ?> (<?=_YES ; } else { ?> (<?= _NO; } ?>)
</small>
</div>
<div class="panel">
<br>
<table>
<tbody class="row_position" style="cursor:grab">    
<?php $sql = "SELECT * FROM newpages WHERE menuname = 'menu8' ORDER BY menuposition + 0 ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
<tr id="<?= $row['id'] ?>" style="background:#f2f2f2">
<td class="grid" class="top">                
<p class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;
"<?= $row['pagename'] ?>"&nbsp;&nbsp;<?= _ACTIVE ?> (<?= $row['usepage'] ?>)&nbsp;&nbsp;
<a href="pagebuilder.php?edit=<?= $row['id'] ?>" target="_blank">[<?= _EDIT ?>]</a></p>
</td>
</tr>
<?php }} ?>     
</tbody>
</table>
</div>

</td></tr></table>

<br>

<table border="1"><tr><td class="top">

<?php 
/**
* 
* Menu number 9.
* 
*/

$sql = "SELECT * FROM pagesautomenu, newpages";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$usemenu_nine = $row['usemenu_nine'];
$menuface_nine = $row['menuface_nine'];
$menuname = $row['menuname'];
$name_nine = $row['name_nine']; }}

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM newpages WHERE menuname = 'menu9'"); 
while ($row = mysqli_fetch_array($result)) { 
$var = $row['count']; } ?>

<div class="center accordion column-title coltitlecolor"><?= $menuface_nine ?>
<small><span style="float:right">[<?= _OPEN ?> | <?= _CLOSE ?>]</span></small><br>
<small>
<?= _PAGES ?>: (<?= $var ?>)&nbsp;&nbsp;<?= _MENU ?> <?= _ACTIVE ?>? <?php if ($usemenu_nine == 'Yes') { ?> (<?=_YES ; } else { ?> (<?= _NO; } ?>)
</small>
</div>
<div class="panel">
<br>
<table>
<tbody class="row_position" style="cursor:grab">    
<?php $sql = "SELECT * FROM newpages WHERE menuname = 'menu9' ORDER BY menuposition + 0 ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
<tr id="<?= $row['id'] ?>" style="background:#f2f2f2">
<td class="grid" class="top">                
<p class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;
"<?= $row['pagename'] ?>"&nbsp;&nbsp;<?= _ACTIVE ?> (<?= $row['usepage'] ?>)&nbsp;&nbsp;
<a href="pagebuilder.php?edit=<?= $row['id'] ?>" target="_blank">[<?= _EDIT ?>]</a></p>
</td>
</tr>
<?php }} ?>     
</tbody>
</table>
</div>

</td><td class="top">

<?php 
/**
* 
* Menu number 10.
* 
*/

$sql = "SELECT * FROM pagesautomenu, newpages";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$usemenu_ten = $row['usemenu_ten'];
$menuface_ten = $row['menuface_ten'];
$menuname = $row['menuname'];
$name_ten = $row['name_ten']; }}

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM newpages WHERE menuname = 'menu10'"); 
while ($row = mysqli_fetch_array($result)) { 
$var = $row['count']; } ?>

<div class="center accordion column-title coltitlecolor"><?= $menuface_ten ?>
<small><span style="float:right">[<?= _OPEN ?> | <?= _CLOSE ?>]</span></small><br>
<small>
<?= _PAGES ?>: (<?= $var ?>)&nbsp;&nbsp;<?= _MENU ?> <?= _ACTIVE ?>? <?php if ($usemenu_ten == 'Yes') { ?> (<?=_YES ; } else { ?> (<?= _NO; } ?>)
</small>
</div>
<div class="panel">
<br>
<table>
<tbody class="row_position" style="cursor:grab">    
<?php $sql = "SELECT * FROM newpages WHERE menuname = 'menu10' ORDER BY menuposition + 0 ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
<tr id="<?= $row['id'] ?>" style="background:#f2f2f2">
<td class="grid" class="top">                
<p class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;
"<?= $row['pagename'] ?>"&nbsp;&nbsp;<?= _ACTIVE ?> (<?= $row['usepage'] ?>)&nbsp;&nbsp;
<a href="pagebuilder.php?edit=<?= $row['id'] ?>" target="_blank">[<?= _EDIT ?>]</a></p>
</td>
</tr>
<?php }} ?>     
</tbody>
</table>
</div>

</td><td class="top">

<?php 
/**
* 
* Menu number 11.
* 
*/

$sql = "SELECT * FROM pagesautomenu, newpages";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$usemenu_eleven = $row['usemenu_eleven'];
$menuface_eleven = $row['menuface_eleven'];
$menuname = $row['menuname'];
$name_eleven = $row['name_eleven']; }}

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM newpages WHERE menuname = 'menu11'"); 
while ($row = mysqli_fetch_array($result)) { 
$var = $row['count']; } ?>

<div class="center accordion column-title coltitlecolor"><?= $menuface_eleven ?>
<small><span style="float:right">[<?= _OPEN ?> | <?= _CLOSE ?>]</span></small><br>
<small>
<?= _PAGES ?>: (<?= $var ?>)&nbsp;&nbsp;<?= _MENU ?> <?= _ACTIVE ?>? <?php if ($usemenu_eleven == 'Yes') { ?> (<?=_YES ; } else { ?> (<?= _NO; } ?>)
</small>
</div>
<div class="panel">
<br>
<table>
<tbody class="row_position" style="cursor:grab">    
<?php $sql = "SELECT * FROM newpages WHERE menuname = 'menu11' ORDER BY menuposition + 0 ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
<tr id="<?= $row['id'] ?>" style="background:#f2f2f2">
<td class="grid" class="top">                
<p class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;
"<?= $row['pagename'] ?>"&nbsp;&nbsp;<?= _ACTIVE ?> (<?= $row['usepage'] ?>)&nbsp;&nbsp;
<a href="pagebuilder.php?edit=<?= $row['id'] ?>" target="_blank">[<?= _EDIT ?>]</a></p>
</td>
</tr>
<?php }} ?>     
</tbody>
</table>
</div>

</td><td class="top">

<?php 
/**
* 
* Menu number 12.
* 
*/

$sql = "SELECT * FROM pagesautomenu, newpages";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$usemenu_twelve = $row['usemenu_twelve'];
$menuface_twelve = $row['menuface_twelve'];
$menuname = $row['menuname'];
$name_twelve = $row['name_twelve']; }}

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM newpages WHERE menuname = 'menu12'"); 
while ($row = mysqli_fetch_array($result)) { 
$var = $row['count']; } ?>

<div class="center accordion column-title coltitlecolor"><?= $menuface_twelve ?>
<small><span style="float:right">[<?= _OPEN ?> | <?= _CLOSE ?>]</span></small><br>
<small>
<?= _PAGES ?>: (<?= $var ?>)&nbsp;&nbsp;<?= _MENU ?> <?= _ACTIVE ?>? <?php if ($usemenu_twelve == 'Yes') { ?> (<?=_YES ; } else { ?> (<?= _NO; } ?>)
</small>
</div>
<div class="panel">
<br>
<table>
<tbody class="row_position" style="cursor:grab">    
<?php $sql = "SELECT * FROM newpages WHERE menuname = 'menu12' ORDER BY menuposition + 0 ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
<tr id="<?= $row['id'] ?>" style="background:#f2f2f2">
<td class="grid" class="top">                
<p class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;
"<?= $row['pagename'] ?>"&nbsp;&nbsp;<?= _ACTIVE ?> (<?= $row['usepage'] ?>)&nbsp;&nbsp;
<a href="pagebuilder.php?edit=<?= $row['id'] ?>" target="_blank">[<?= _EDIT ?>]</a></p>
</td>
</tr>
<?php }} ?>     
</tbody>
</table>
</div>
</td></tr></table>

<p>&nbsp;</p>

</div>

<script>
$(".row_position").sortable({
delay: 150,
stop: function() {
var selectedData = new Array();
$('.row_position>tr').each(function() {
selectedData.push($(this).attr("id"));
});
updateOrder(selectedData);
}
});

function updateOrder(data) {
$.ajax({
url: "pagemenuajax.php",
type: 'post',
data: {
position: data
},
success: function() {
alert('Your change was successfully saved.');
window.location.replace('repositionmenuitems.php');
}
})
}
</script>

<?php require_once 'footer.php';