<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'functions.php'; 

if (isset($_POST['Submit'])) {
$userowtwo = $_POST['userowtwo'];
$rowtwotop_height = $_POST['rowtwotop_height']; 
$rowtwotop_width = $_POST['rowtwotop_width'];
$rowtwomiddle_height = $_POST['rowtwomiddle_height']; 
$rowtwomiddle_width = $_POST['rowtwomiddle_width'];
$rowtwobottom_height = $_POST['rowtwobottom_height']; 
$rowtwobottom_width = $_POST['rowtwobottom_width']; 
$rowtwosidebars = $_POST['rowtwosidebars'];
$leftcontent =  mysqli_real_escape_string($conn, $_POST['leftcontent']);
$rightcontent = mysqli_real_escape_string($conn, $_POST['rightcontent']);
$usebackleft = $_POST['usebackleft'];
$usebackright = $_POST['usebackright'];
$backimageleft = mysqli_real_escape_string($conn, $_POST['backimageleft']);
$backimageright = mysqli_real_escape_string($conn, $_POST['backimageright']);
$firstleft = mysqli_real_escape_string($conn, $_POST['firstleft']);
$secondleft = mysqli_real_escape_string($conn, $_POST['secondleft']);
$firstright = mysqli_real_escape_string($conn, $_POST['firstright']);
$secondright = mysqli_real_escape_string($conn, $_POST['secondright']); 
$usetoptitle = $_POST['usetoptitle'];
$toptitle = mysqli_real_escape_string($conn, $_POST['toptitle']);
$topstyle = $_POST['topstyle'];
$usemiddletitle = $_POST['usemiddletitle'];
$middletitle = mysqli_real_escape_string($conn, $_POST['middletitle']);
$middlestyle = $_POST['middlestyle'];
$usebottomtitle = $_POST['usebottomtitle'];
$bottomtitle = mysqli_real_escape_string($conn, $_POST['bottomtitle']);
$bottomstyle = $_POST['bottomstyle']; 
$usetop = $_POST['usetop'];
$usemiddle = $_POST['usemiddle'];
$usebottom = $_POST['usebottom'];
$topsnipletwidth = $_POST['topsnipletwidth'];
$middlesnipletwidth = $_POST['middlesnipletwidth'];
$bottomsnipletwidth = $_POST['bottomsnipletwidth'];
$topsnipletheight = $_POST['topsnipletheight'];
$middlesnipletheight = $_POST['middlesnipletheight'];
$bottomsnipletheight = $_POST['bottomsnipletheight'];
$sniplettopradius = $_POST['sniplettopradius'];
$snipletmiddleradius = $_POST['snipletmiddleradius'];
$snipletbottomradius = $_POST['snipletbottomradius'];
$toptitlelink = mysqli_real_escape_string($conn, $_POST['toptitlelink']);
$middletitlelink = mysqli_real_escape_string($conn, $_POST['middletitlelink']);
$bottomtitlelink = mysqli_real_escape_string($conn, $_POST['bottomtitlelink']);
$toptitleicon = mysqli_real_escape_string($conn, $_POST['toptitleicon']);
$middletitleicon = mysqli_real_escape_string($conn, $_POST['middletitleicon']);
$bottomtitleicon = mysqli_real_escape_string($conn, $_POST['bottomtitleicon']);
$topsnipletimgsize = $_POST['topsnipletimgsize'];
$middlesnipletimgsize = $_POST['middlesnipletimgsize'];
$bottomsnipletimgsize = $_POST['bottomsnipletimgsize'];
$container_height_top = $_POST['container_height_top'];
$container_height_middle = $_POST['container_height_middle'];
$container_height_bottom = $_POST['container_height_bottom'];
$number_top = $_POST['number_top'];
$number_middle = $_POST['number_middle'];
$number_bottom = $_POST['number_bottom'];
$positiontop_left = $_POST['positiontop_left'];
$positiontop_right = $_POST['positiontop_right'];
$topflipcardheight = $_POST['topflipcardheight'];
$middleflipcardheight = $_POST['middleflipcardheight'];
$bottomflipcardheight = $_POST['bottomflipcardheight'];
$topflipcardperrow = $_POST['topflipcardperrow'];
$middleflipcardperrow = $_POST['middleflipcardperrow'];
$bottomflipcardperrow = $_POST['bottomflipcardperrow'];
$top_title = $_POST['top_title'];
$middle_title = $_POST['middle_title'];
$bottom_title = $_POST['bottom_title'];
$usetop_title = $_POST['usetop_title'];
$usemiddle_title = $_POST['usemiddle_title'];
$usebottom_title = $_POST['usebottom_title'];
}
    
$update = "UPDATE config_row_two SET userowtwo='$userowtwo', rowtwotop_height='$rowtwotop_height', rowtwotop_width='$rowtwotop_width', rowtwomiddle_height='$rowtwomiddle_height', rowtwomiddle_width='$rowtwomiddle_width', rowtwobottom_height='$rowtwobottom_height', rowtwobottom_width='$rowtwobottom_width', rowtwosidebars='$rowtwosidebars', leftcontent='$leftcontent', rightcontent='$rightcontent', usebackleft='$usebackleft', usebackright='$usebackright', backimageleft='$backimageleft', backimageright='$backimageright', firstleft='$firstleft', secondleft='$secondleft', firstright='$firstright', secondright='$secondright', usetoptitle='$usetoptitle', toptitle='$toptitle', topstyle='$topstyle', usemiddletitle='$usemiddletitle', middletitle='$middletitle', middlestyle='$middlestyle', usebottomtitle='$usebottomtitle', bottomtitle='$bottomtitle', bottomstyle='$bottomstyle', usetop='$usetop', usemiddle='$usemiddle', usebottom='$usebottom', topsnipletwidth='$topsnipletwidth', middlesnipletwidth='$middlesnipletwidth', bottomsnipletwidth='$bottomsnipletwidth', topsnipletheight='$topsnipletheight', middlesnipletheight='$middlesnipletheight', bottomsnipletheight='$bottomsnipletheight', sniplettopradius='$sniplettopradius', snipletmiddleradius='$snipletmiddleradius', snipletbottomradius='$snipletbottomradius', toptitlelink='$toptitlelink', middletitlelink='$middletitlelink', bottomtitlelink='$bottomtitlelink', toptitleicon='$toptitleicon', middletitleicon='$middletitleicon', bottomtitleicon='$bottomtitleicon', topsnipletimgsize='$topsnipletimgsize', middlesnipletimgsize='$middlesnipletimgsize', bottomsnipletimgsize='$bottomsnipletimgsize', container_height_top='$container_height_top', container_height_middle='$container_height_middle', container_height_bottom='$container_height_bottom', number_top='$number_top', number_middle='$number_middle', number_bottom='$number_bottom', positiontop_left='$positiontop_left', positiontop_right='$positiontop_right', topflipcardheight='$topflipcardheight', middleflipcardheight='$middleflipcardheight', bottomflipcardheight='$bottomflipcardheight', topflipcardperrow='$topflipcardperrow', middleflipcardperrow='$middleflipcardperrow', bottomflipcardperrow='$bottomflipcardperrow', top_title='$top_title', middle_title='$middle_title', bottom_title='$bottom_title', usetop_title='$usetop_title', usemiddle_title='$usemiddle_title', usebottom_title='$usebottom_title'";

echo '<br>';
$conn->query($update) or die("Cannot update");
$ip = getenv('REMOTE_ADDR', true) ?: getenv('REMOTE_ADDR');
if ($update) {
    require_once 'update.php';
}