<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 * 
 */ 
require_once 'main.php';

$sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$lang = $row['lang']; $logo = $row['logo']; }}

require_once 'lang/' . $lang . '.php'; ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="x-ua-compatible" content="ie=edge">
<meta name="description" content="">
<meta name="keywords" content="">
<meta name="author" content="Mike">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
<title><?= _ROWSEXPLAINED ?></title>
<link rel="stylesheet" href="themes/style.css" />
<style>
.resp-table {
width: 97%;
margin: 0 auto; }

.resp-td {
width: 50%; }

@media (max-width: 1000px) {
.resp-table, .resp-td {
width: 100%;
float: left; }}
</style>
</head>
<body style="background:#cccccc">

<div class="header" style="text-align:center">

<h1>- <?= _ROWSEXPLAINED ?> -</h1>

<input type="button" class="pointer border" value="<?= _CLOSETHISWINDOW ?>" onclick="self.close()">
<p>&nbsp;</p>
</div>

<table class="resp-table"><tr>
<td style="background:#dddddd; padding-top:3%;" class="resp-td top border">

<p style="text-align:center"><img src="images/homepage-layout.JPG" style="width:90%; border:3px solid #B8B8B8; padding:5px;" alt="" /></p>

</td><td class="resp-td top">

<p class="center">&bull; <a href="rows-explained.txt" target="_blank"><?= _PRINTTHISPAGE ?></a>&nbsp;&nbsp;&nbsp;&bull; <a href="rows-explained.html" target="_blank"><?= _OPENINNEWWINDOW ?></a></p>

<iframe src="rows-explained.txt" style="background:#f2f2f2; width:100%; height:1000px;"></iframe>

</td></tr></table>

<p>&nbsp;</p>

</body>
</html>