<?php 
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
closenav();
$sql = "SELECT * FROM config_row_two"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$rowtwotop_height = $row['rowtwotop_height']; 
$rowtwotop_width = $row['rowtwotop_width'];
$rowtwomiddle_height = $row['rowtwomiddle_height']; 
$rowtwomiddle_width = $row['rowtwomiddle_width'];
$rowtwobottom_height = $row['rowtwobottom_height']; 
$rowtwobottom_width = $row['rowtwobottom_width']; 
$rowtwosidebars = $row['rowtwosidebars'];
$leftcontent = $row['leftcontent'];
$rightcontent = $row['rightcontent'];
$usebackleft = $row['usebackleft'];
$usebackright = $row['usebackright'];
$backimageleft = $row['backimageleft'];
$backimageright = $row['backimageright'];
$firstleft = $row['firstleft'];
$secondleft = $row['secondleft'];
$firstright = $row['firstright'];
$secondright = $row['secondright'];
$userowtwo = $row['userowtwo'];
$usetoptitle = $row['usetoptitle'];
$toptitle = $row['toptitle'];
$topstyle = $row['topstyle'];
$usemiddletitle = $row['usemiddletitle'];
$middletitle = $row['middletitle'];
$middlestyle = $row['middlestyle'];
$usebottomtitle = $row['usebottomtitle'];
$bottomtitle = $row['bottomtitle'];
$bottomstyle = $row['bottomstyle'];
$usetop = $row['usetop'];
$usemiddle = $row['usemiddle'];
$usebottom = $row['usebottom'];
$topsnipletwidth = $row['topsnipletwidth'];
$middlesnipletwidth = $row['middlesnipletwidth'];
$bottomsnipletwidth = $row['bottomsnipletwidth'];
$topsnipletheight = $row['topsnipletheight'];
$middlesnipletheight = $row['middlesnipletheight'];
$bottomsnipletheight = $row['bottomsnipletheight'];
$sniplettopradius = $row['sniplettopradius'];
$snipletmiddleradius = $row['snipletmiddleradius'];
$snipletbottomradius = $row['snipletbottomradius'];
$toptitlelink = $row['toptitlelink'];
$middletitlelink = $row['middletitlelink'];
$bottomtitlelink = $row['bottomtitlelink'];
$toptitleicon = $row['toptitleicon'];
$middletitleicon = $row['middletitleicon'];
$bottomtitleicon = $row['bottomtitleicon'];
$topsnipletimgsize = $row['topsnipletimgsize'];
$middlesnipletimgsize = $row['middlesnipletimgsize'];
$bottomsnipletimgsize = $row['bottomsnipletimgsize'];
$container_height_top = $row['container_height_top'];
$container_height_middle = $row['container_height_middle'];
$container_height_bottom = $row['container_height_bottom'];
$number_top = $row['number_top'];
$number_middle = $row['number_middle'];
$number_bottom = $row['number_bottom'];
$positiontop_left = $row['positiontop_left'];
$positiontop_right = $row['positiontop_right'];
$topflipcardheight = $row['topflipcardheight'];
$middleflipcardheight = $row['middleflipcardheight'];
$bottomflipcardheight = $row['bottomflipcardheight'];
$topflipcardperrow = $row['topflipcardperrow'];
$middleflipcardperrow = $row['middleflipcardperrow'];
$bottomflipcardperrow = $row['bottomflipcardperrow'];
$top_title = $row['top_title'];
$middle_title = $row['middle_title'];
$bottom_title = $row['bottom_title'];
$usetop_title = $row['usetop_title'];
$usemiddle_title = $row['usemiddle_title'];
$usebottom_title = $row['usebottom_title'];
}} ?>

<link rel="stylesheet" type="text/css" href="css/pageeditor.css">

<style>.inner-wrapper { padding:20px }.responsive { width:50% } @media (max-width: 1000px) { .responsive { width:100% }}</style>

<form method="post" action="row_two_save.php" target="_blank" class="noborder">

<?php savemenu(); ?>

<div class="full radius">
<div class="radius spacer inner-wrapper">

<?php require_once 'rowconfigmenu.php'; ?>

<?php
/**
 * 
 * Build row two top.
 * 
 */ ?>
<div class="row">
<div class="column-title spacer" id="row2"><h1 class="center coltitlecolor"><?= _ROWTWO ?></h1></div>
<div class="column">
<div class="card noborder spacer">

<p class="center"><?= _USEROW ?> 
<select name="userowtwo">
<option><?= $userowtwo ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select></p>

<table><tr><td>

<div class="spacer inner-wrapper">
<p class="center column-title"><?= _TOP ?> <?= _LAYER ?></p>
<p class="center"><?= _CANTURNLAYEROFF ?></p>

<p class="center"><?= _USELAYER ?>  
<select name="usetop">
<option><?= $usetop ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select></p>

<hr class="hr-text" data-content="<?= _BLOCKS ?>">

<p class="center"><?= _SET_HEIGHT ?>
<select name="rowtwotop_height">
<option><?= $rowtwotop_height ?></option>
<option><?= _NONE ?></option>
<?php require 'rowheight.php'; ?>
</select></p>

<p class="center"><?= _NUMBERPERROW ?>
<select name="rowtwotop_width">
<option><?= $rowtwotop_width ?></option>
<option><?= _NONE ?></option>
<option value="1">1</option>
<option value="2">2</option>
<option value="3">3</option>
<option value="4">4</option>
<option value="5">5</option>
<option value="6">6</option>
</select></p>

<hr class="hr-text" data-content="<?= _CONTAINER ?>">

<p class="center"><?= _SETCONTAINERHEIGHT ?>:  
<select name="container_height_top">
<option><?= $container_height_top ?></option>
<?php require 'rowheight.php'; ?>
</select></p>

<p class="center"><?= _NUMBERCONTAINERS ?>:  
<select name="number_top">
<option><?= $number_top ?></option>
<option value="1">1</option>
<option value="2">2</option>
<option value="3">3</option>
</select></p>

<hr class="hr-text" data-content="<?= _SNIPLETS ?>">

<p class="center"><?= _NUMBERSNIPLETSPERROOW ?>
<select name="topsnipletwidth">
<option><?= $topsnipletwidth ?></option>
<option><?= _NONE ?></option>
<option value="1">1</option>
<option value="2">2</option>
<option value="3">3</option>
<option value="4">4</option>
<option value="5">5</option>
<option value="6">6</option>
</select></p>

<p class="center"><?= _SET_SNIPLET_HEIGHT ?>  
<select name="topsnipletheight">
<option><?= $topsnipletheight ?></option>
<option><?= _NONE ?></option>
<?php require 'snipletheight.php'; ?>
</select></p>

<p class="center"><?= _SNIPLETRADIUS ?>
<select name="sniplettopradius">
<option><?= $sniplettopradius ?></option>
<option><?= _NONE ?></option>
<option value="50%">50%</option>
<option value="5px">5px</option>
<option value="6px">6px</option>
<option value="7px">7px</option>
<option value="8px">8px</option>
<option value="9px">9px</option>
<option value="10px">10px</option>
<option value="11px">11px</option>
<option value="12px">12px</option>
<option value="13px">13px</option>
<option value="14px">14px</option>
<option value="15px">15px</option>
</select></p>

<p class="center"><?= _SNIPLETIMGSIZE ?>: 
<select name="topsnipletimgsize">
<option><?= $topsnipletimgsize ?></option>
<option value="80px">80px</option>
<option value="90px">90px</option>
<option value="100px">100px</option>
<option value="110px">110px</option>
<option value="120px">120px</option>
<option value="130px">130px</option>
<option value="140px">140px</option>
<option value="150px">150px</option>
<option value="160px">160px</option>
<option value="170px">170px</option>
<option value="180px">180px</option>
<option value="190px">190px</option>
<option value="200px">200px</option>
<option value="210px">210px</option>
<option value="220px">220px</option>
<option value="230px">230px</option>
<option value="240px">240px</option>
<option value="250px">250px</option>
<option value="260px">260px</option>
<option value="270px">270px</option>
<option value="280px">280px</option>
<option value="290px">290px</option>
<option value="300px">300px</option>
</select><br><?= _IFIMGISLARGER ?></p>

<hr class="hr-text" data-content="<?= _FLIPCARDS ?>">

<p class="center"><?= _NUMBERCARDSPERROW ?>.
<select name="topflipcardperrow">
<option><?= $topflipcardperrow ?></option>
<option><?= _NONE ?></option>
<option value="2">2</option>
<option value="3">3</option>
<option value="4">4</option>
<option value="5">5</option>
<option value="6">6</option>
</select></p>

<p class="center"><?= _CARDHEIGHT ?>: 
<select name="topflipcardheight">
<option><?= $topflipcardheight ?></option>
<option value="200px">200px</option>
<option value="210px">210px</option>
<option value="220px">220px</option>
<option value="230px">230px</option>
<option value="240px">240px</option>
<option value="250px">250px</option>
<option value="260px">260px</option>
<option value="270px">270px</option>
<option value="280px">280px</option>
<option value="290px">290px</option>
<option value="300px">300px</option>
<option value="310px">310px</option>
<option value="320px">320px</option>
<option value="330px">330px</option>
<option value="340px">340px</option>
<option value="350px">350px</option>
<option value="360px">360px</option>
<option value="370px">370px</option>
<option value="380px">380px</option>
<option value="390px">390px</option>
<option value="400px">400px</option>
<option value="410px">410px</option>
<option value="420px">420px</option>
<option value="430px">430px</option>
<option value="440px">440px</option>
<option value="450px">450px</option>
<option value="460px">460px</option>
<option value="470px">470px</option>
<option value="480px">480px</option>
<option value="490px">490px</option>
<option value="500px">500px</option>
<option value="510px">510px</option>
<option value="520px">520px</option>
<option value="530px">530px</option>
<option value="540px">540px</option>
<option value="550px">550px</option>
<option value="560px">560px</option>
<option value="570px">570px</option>
<option value="580px">580px</option>
<option value="590px">590px</option>
<option value="600px">600px</option>
</select></p>

<p class="center"><?= _USETITLE ?> (<?= _OPTIONAL ?>) 
<select name="usetop_title">
<option><?= $usetop_title ?></option>
<option value="Styled"><?= _STYLED ?></option>
<option value="Plain"><?= _PLAIN ?></option>
<option value="No"><?= _NO ?></option>
</select>

<p class="center"><?= _TITLE ?></p>
<p class="center"><input name="top_title" value="<?= $top_title ?>" style="width:100%"></p>

<hr class="hr-text" data-content=" ">

<p class="center coltitle"><?= _OPTIONAL ?></p>
<table><tr><td>
<p class="left"><?= _USETITLE ?>?
<select name="usetoptitle">
<option><?= $usetoptitle ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select></p>
</td>
<td>
<p class="left"><?= _TITLESTYLE ?>?
<select name="topstyle">
<option><?= $topstyle ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select></p>
</td></tr></table>
<p class="left"><?= _ROWTITLE ?>
<input name="toptitle" value="<?= $toptitle ?>" style="width:100%"></p>

<p class="left"><?= _TITLEURL ?>
<input name="toptitlelink" value="<?= $toptitlelink ?>" style="width:100%"></p>

<p class="left"><?= _FA_ICON ?>
<input name="toptitleicon" value="<?= $toptitleicon ?>" style="width:200px"></p>

<p class="center"><?= _LAYERCONTAINS ?></p>
<?php $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Two Top'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$sniplet_group = $row['sniplet_group']; 
if ($sniplet_group == 'Row Two Top') {
echo '<p class="left">' . _SNIPLETSINLAYER . ' (' . _YES . ')'; $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Two Top'"); 
while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
&nbsp;<?= _TOTALSNIPLETS ?> (<?= $var ?>)</p>
<?php }}} else { echo '<p class="left">' . _SNIPLETSINLAYER . '(' . _NO . ')</p>'; }

$sql = "SELECT position FROM blocks WHERE position = 'Row Two Top'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$position = $row['position']; 
if ($position == 'Row Two Top') {
echo '<p class="left">' . _BLOCKSINLAYER . ' (' . _YES . ')'; 
$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Two Top'"); 
while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
&nbsp;<?= _TOTALBLOCKS ?> (<?= $var ?>)</p>
<?php }}} else { echo '<p class="left">' . _BLOCKSINLAYER . ' (' . _NO . ')</p>'; }

$sql = "SELECT location FROM flipcard WHERE location = 'Row Two Top'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$location = $row['location']; 
if ($location == 'Row Two Top') {
echo '<p class="left">' . _FLIPCARDS . ' (' . _YES . ')'; 
$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM flipcard WHERE location = 'Row Two Top'"); 
while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
&nbsp;<?= _FLIPCARDS ?> (<?= $var ?>)</p>
<?php }}} else { echo '<p class="left">' . _FLIPCARDS . ' (' . _NO . ')</p>'; }

$sql = "SELECT set_position FROM container WHERE set_position = 'Row Two Top'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$location = $row['location']; 
if ($set_position == 'Row Two Top') {
echo '<p class="left">' . _CONTAINER . ' (' . _YES . ')'; 
$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM container WHERE location = 'Row Two Top'"); 
while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
&nbsp;<?= _CONTAINER ?> (<?= $var ?>)</p>
<?php }}} else { echo '<p class="left">' . _CONTAINER . ' (' . _NO . ')</p>'; }

$sql = "SELECT config_article FROM website WHERE config_article = 'Row Two Top'";
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$config_article = $row['config_article'];
if ($config_article == 'Row Two Top') {
echo '<p class="left">' . _ARTICLES_ . ' (' . _YES . ')</p>'; }}}
else { echo '<p class="left">' . _ARTICLES_ . ' (' . _NO . ')</p>'; }

$sql = "SELECT setrow FROM website  WHERE setrow = 'Row Two Top'";
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$setrow = $row['setrow'];
if ($setrow == 'Row Two Top') {
echo '<p class="left">' . _VIDEOS_ . ': (' . _YES . ')</p>'; }}}
else { echo '<p class="left">' . _VIDEOS_ . ': (' . _NO . ')</p>'; } ?>

</div>
</div>
<?php 
/**
 * 
 * Build row two middle.
 * 
 */ ?>
</td><td>
<div class="column">
<div class="spacer inner-wrapper">
<p class="center column-title"><?= _MIDDLE ?> <?= _LAYER ?></p>
<p class="center"><?= _CANTURNLAYEROFF ?></p>
<p class="center"><?= _USELAYER ?> 
<select name="usemiddle">
<option><?= $usemiddle ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select></p>

<hr class="hr-text" data-content="<?= _BLOCKS ?>">

<p class="center"><?= _SET_HEIGHT ?>
<select name="rowtwomiddle_height">
<option><?= $rowtwomiddle_height ?></option>
<option><?= _NONE ?></option>
<?php require 'rowheight.php'; ?>
</select></p>

<p class="center"><?= _NUMBERPERROW ?>
<select name="rowtwomiddle_width">
<option><?= $rowtwomiddle_width ?></option>
<option><?= _NONE ?></option>
<option value="1">1</option>
<option value="2">2</option>
<option value="3">3</option>
<option value="4">4</option>
<option value="5">5</option>
<option value="6">6</option>
</select></p>

<hr class="hr-text" data-content="<?= _CONTAINER ?>">

<p class="center"><?= _SETCONTAINERHEIGHT ?>:  
<select name="container_height_middle">
<option><?= $container_height_middle ?></option>
<?php require 'rowheight.php'; ?>
</select></p>

<p class="center"><?= _NUMBERCONTAINERS ?>:  
<select name="number_middle">
<option><?= $number_middle ?></option>
<option value="1">1</option>
<option value="2">2</option>
<option value="3">3</option>
</select></p>

<hr class="hr-text" data-content="<?= _SNIPLETS ?>">

<p class="center"><?= _NUMBERSNIPLETSPERROOW ?>
<select name="middlesnipletwidth">
<option><?= $middlesnipletwidth ?></option>
<option><?= _NONE ?></option>
<option value="1">1</option>
<option value="2">2</option>
<option value="3">3</option>
<option value="4">4</option>
<option value="5">5</option>
<option value="6">6</option>
</select></p>

<p class="center"><?= _SET_SNIPLET_HEIGHT ?>  
<select name="middlesnipletheight">
<option><?= $middlesnipletheight ?></option>
<option><?= _NONE ?></option>
<?php require 'snipletheight.php'; ?>
</select></p>

<p class="center"><?= _SNIPLETRADIUS ?>
<select name="snipletmiddleradius">
<option><?= $snipletmiddleradius ?></option>
<option><?= _NONE ?></option>
<option value="50%">50%</option>
<option value="5px">5px</option>
<option value="6px">6px</option>
<option value="7px">7px</option>
<option value="8px">8px</option>
<option value="9px">9px</option>
<option value="10px">10px</option>
<option value="11px">11px</option>
<option value="12px">12px</option>
<option value="13px">13px</option>
<option value="14px">14px</option>
<option value="15px">15px</option>
</select></p>

<p class="center"><?= _SNIPLETIMGSIZE ?>: 
<select name="middlesnipletimgsize">
<option><?= $middlesnipletimgsize ?></option>
<option value="80px">80px</option>
<option value="90px">90px</option>
<option value="100px">100px</option>
<option value="110px">110px</option>
<option value="120px">120px</option>
<option value="130px">130px</option>
<option value="140px">140px</option>
<option value="150px">150px</option>
<option value="160px">160px</option>
<option value="170px">170px</option>
<option value="180px">180px</option>
<option value="190px">190px</option>
<option value="200px">200px</option>
<option value="210px">210px</option>
<option value="220px">220px</option>
<option value="230px">230px</option>
<option value="240px">240px</option>
<option value="250px">250px</option>
<option value="260px">260px</option>
<option value="270px">270px</option>
<option value="280px">280px</option>
<option value="290px">290px</option>
<option value="300px">300px</option>
</select><br><?= _IFIMGISLARGER ?></p>

<hr class="hr-text" data-content="<?= _FLIPCARDS ?>">

<p class="center"><?= _NUMBERCARDSPERROW ?>.
<select name="middleflipcardperrow">
<option><?= $middleflipcardperrow ?></option>
<option><?= _NONE ?></option>
<option value="2">2</option>
<option value="3">3</option>
<option value="4">4</option>
<option value="5">5</option>
<option value="6">6</option>
</select></p>

<p class="center"><?= _CARDHEIGHT ?>: 
<select name="middleflipcardheight">
<option><?= $middleflipcardheight ?></option>
<option value="200px">200px</option>
<option value="210px">210px</option>
<option value="220px">220px</option>
<option value="230px">230px</option>
<option value="240px">240px</option>
<option value="250px">250px</option>
<option value="260px">260px</option>
<option value="270px">270px</option>
<option value="280px">280px</option>
<option value="290px">290px</option>
<option value="300px">300px</option>
<option value="310px">310px</option>
<option value="320px">320px</option>
<option value="330px">330px</option>
<option value="340px">340px</option>
<option value="350px">350px</option>
<option value="360px">360px</option>
<option value="370px">370px</option>
<option value="380px">380px</option>
<option value="390px">390px</option>
<option value="400px">400px</option>
<option value="410px">410px</option>
<option value="420px">420px</option>
<option value="430px">430px</option>
<option value="440px">440px</option>
<option value="450px">450px</option>
<option value="460px">460px</option>
<option value="470px">470px</option>
<option value="480px">480px</option>
<option value="490px">490px</option>
<option value="500px">500px</option>
<option value="510px">510px</option>
<option value="520px">520px</option>
<option value="530px">530px</option>
<option value="540px">540px</option>
<option value="550px">550px</option>
<option value="560px">560px</option>
<option value="570px">570px</option>
<option value="580px">580px</option>
<option value="590px">590px</option>
<option value="600px">600px</option>
</select></p>

<p class="center"><?= _USETITLE ?> (<?= _OPTIONAL ?>) 
<select name="usemiddle_title">
<option><?= $usemiddle_title ?></option>
<option value="Styled"><?= _STYLED ?></option>
<option value="Plain"><?= _PLAIN ?></option>
<option value="No"><?= _NO ?></option>
</select>

<p class="center"><?= _TITLE ?></p>
<p class="center"><input name="middle_title" value="<?= $middle_title ?>" style="width:100%"></p>

<hr class="hr-text" data-content=" ">

<p class="center coltitle"><?= _OPTIONAL ?></p>
<table><tr><td>
<p class="left"><?= _USETITLE ?>?
<select name="usemiddletitle">
<option><?= $usemiddletitle ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select></p>
</td>
<td>
<p class="left"><?= _TITLESTYLE ?>?
<select name="middlestyle">
<option><?= $middlestyle ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select></p>
</td></tr></table>
<p class="left"><?= _ROWTITLE ?>
<input name="middletitle" value="<?= $middletitle ?>" style="width:100%"></p>

<p class="left"><?= _TITLEURL ?>
<input name="middletitlelink" value="<?= $middletitlelink ?>" style="width:100%"></p>

<p class="left"><?= _FA_ICON ?>
<input name="middletitleicon" value="<?= $middletitleicon ?>" style="width:200px"></p>
<p class="center"><?= _LAYERCONTAINS ?></p>
<?php $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Two Middle'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$sniplet_group = $row['sniplet_group']; 
if ($sniplet_group == 'Row Two Middle') {
echo '<p class="left">' . _SNIPLETSINLAYER . ' (' . _YES . ')'; 
$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Two Middle'"); 
while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
&nbsp;<?= _TOTALSNIPLETS ?> (<?= $var ?>)</p>
<?php }}} else { echo '<p class="left">' . _SNIPLETSINLAYER . ' (' . _NO . ')</p>'; }

$sql = "SELECT position FROM blocks WHERE position = 'Row Two Middle'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$position = $row['position'];
if ($position == 'Row Two Middle') {
echo '<p class="left">' . _BLOCKSINLAYER . ' (' . _YES . ')'; 
$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Two Middle'"); 
while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
&nbsp;<?= _TOTALBLOCKS ?> (<?= $var ?>)</p>
<?php }}} else { echo '<p class="left">' . _BLOCKSINLAYER . ' (' . _NO . ')</p>'; }

$sql = "SELECT location FROM flipcard WHERE location = 'Row Two Middle'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$location = $row['location']; 
if ($location == 'Row Two Middle') {
echo '<p class="left">' . _FLIPCARDS . ' (' . _YES . ')'; 
$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM flipcard WHERE location = 'Row Two Middle'"); 
while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
&nbsp;<?= _FLIPCARDS ?> (<?= $var ?>)</p>
<?php }}} else { echo '<p class="left">' . _FLIPCARDS . ' (' . _NO . ')</p>'; }

$sql = "SELECT set_position FROM container WHERE set_position = 'Row Two Middle'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$location = $row['location']; 
if ($set_position == 'Row One Bottom') {
echo '<p class="left">' . _CONTAINER . ' (' . _YES . ')'; 
$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM container WHERE location = 'Row One Bottom'"); 
while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
&nbsp;<?= _CONTAINER ?> (<?= $var ?>)</p>
<?php }}} else { echo '<p class="left">' . _CONTAINER . ' (' . _NO . ')</p>'; }

$sql = "SELECT config_article FROM website WHERE config_article = 'Row Two Middle'";
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$config_article = $row['config_article'];
if ($config_article == 'Row Two Middle') {
echo '<p class="left">' . _ARTICLES_ . ' (' . _YES . ')</p>'; }}}
else { echo '<p class="left">' . _ARTICLES_ . ' (' . _NO . ')</p>'; } 

$sql = "SELECT setrow FROM website  WHERE setrow = 'Row Two Middle'";
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$setrow = $row['setrow'];
if ($setrow == 'Row Two Middle') {
echo '<p class="left">' . _VIDEOS_ . ': (' . _YES . ')</p>'; }}}
else { echo '<p class="left">' . _VIDEOS_ . ': (' . _NO . ')</p>'; } ?>

</div>
</div>
<?php 
/**
 * 
 * Build row two bottom.
 * 
 */ ?>
</td><td>
<div class="column">
<div class="spacer inner-wrapper">
<p class="center column-title"><?= _BOTTOM?> <?= _LAYER ?></p>
<p class="center"><?= _CANTURNLAYEROFF ?></p>
<p class="center"><?= _USELAYER ?>  
<select name="usebottom">
<option><?= $usebottom ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select></p>

<hr class="hr-text" data-content="<?= _BLOCKS ?>">

<p class="center"><?= _SET_HEIGHT ?>
<select name="rowtwobottom_height">
<option><?= $rowtwobottom_height ?></option>
<option><?= _NONE ?></option>
<?php require 'rowheight.php'; ?>
</select></p>

<p class="center"><?= _NUMBERPERROW ?>
<select name="rowtwobottom_width">
<option><?= $rowtwobottom_width ?></option>
<option><?= _NONE ?></option>
<option value="1">1</option>
<option value="2">2</option>
<option value="3">3</option>
<option value="4">4</option>
<option value="5">5</option>
<option value="6">6</option>
</select></p>

<hr class="hr-text" data-content="<?= _CONTAINER ?>">

<p class="center"><?= _SETCONTAINERHEIGHT ?>:  
<select name="container_height_bottom">
<option><?= $container_height_bottom ?></option>
<?php require 'rowheight.php'; ?>
</select></p>

<p class="center"><?= _NUMBERCONTAINERS ?>:  
<select name="number_bottom">
<option><?= $number_bottom ?></option>
<option value="1">1</option>
<option value="2">2</option>
<option value="3">3</option>
</select></p>

<hr class="hr-text" data-content="<?= _SNIPLETS ?>">

<p class="center"><?= _NUMBERSNIPLETSPERROOW ?>
<select name="bottomsnipletwidth">
<option><?= $bottomsnipletwidth ?></option>
<option><?= _NONE ?></option>
<option value="1">1</option>
<option value="2">2</option>
<option value="3">3</option>
<option value="4">4</option>
<option value="5">5</option>
<option value="6">6</option>
</select></p>

<p class="center"><?= _SET_SNIPLET_HEIGHT ?>  
<select name="bottomsnipletheight">
<option><?= $bottomsnipletheight ?></option>
<option><?= _NONE ?></option>
<?php require 'snipletheight.php'; ?>
</select></p>

<p class="center"><?= _SNIPLETRADIUS ?>
<select name="snipletbottomradius">
<option><?= $snipletbottomradius ?></option>
<option><?= _NONE ?></option>
<option value="50%">50%</option>
<option value="5px">5px</option>
<option value="6px">6px</option>
<option value="7px">7px</option>
<option value="8px">8px</option>
<option value="9px">9px</option>
<option value="10px">10px</option>
<option value="11px">11px</option>
<option value="12px">12px</option>
<option value="13px">13px</option>
<option value="14px">14px</option>
<option value="15px">15px</option>
</select></p>

<p class="center"><?= _SNIPLETIMGSIZE ?>: 
<select name="bottomsnipletimgsize">
<option><?= $bottomsnipletimgsize ?></option>
<option value="80px">80px</option>
<option value="90px">90px</option>
<option value="100px">100px</option>
<option value="110px">110px</option>
<option value="120px">120px</option>
<option value="130px">130px</option>
<option value="140px">140px</option>
<option value="150px">150px</option>
<option value="160px">160px</option>
<option value="170px">170px</option>
<option value="180px">180px</option>
<option value="190px">190px</option>
<option value="200px">200px</option>
<option value="210px">210px</option>
<option value="220px">220px</option>
<option value="230px">230px</option>
<option value="240px">240px</option>
<option value="250px">250px</option>
<option value="260px">260px</option>
<option value="270px">270px</option>
<option value="280px">280px</option>
<option value="290px">290px</option>
<option value="300px">300px</option>
</select><br><?= _IFIMGISLARGER ?></p>

<hr class="hr-text" data-content="<?= _FLIPCARDS ?>">

<p class="center"><?= _NUMBERCARDSPERROW ?>.
<select name="bottomflipcardperrow">
<option><?= $bottomflipcardperrow ?></option>
<option><?= _NONE ?></option>
<option value="2">2</option>
<option value="3">3</option>
<option value="4">4</option>
<option value="5">5</option>
<option value="6">6</option>
</select></p>

<p class="center"><?= _CARDHEIGHT ?>: 
<select name="bottomflipcardheight">
<option><?= $bottomflipcardheight ?></option>
<option value="200px">200px</option>
<option value="210px">210px</option>
<option value="220px">220px</option>
<option value="230px">230px</option>
<option value="240px">240px</option>
<option value="250px">250px</option>
<option value="260px">260px</option>
<option value="270px">270px</option>
<option value="280px">280px</option>
<option value="290px">290px</option>
<option value="300px">300px</option>
<option value="310px">310px</option>
<option value="320px">320px</option>
<option value="330px">330px</option>
<option value="340px">340px</option>
<option value="350px">350px</option>
<option value="360px">360px</option>
<option value="370px">370px</option>
<option value="380px">380px</option>
<option value="390px">390px</option>
<option value="400px">400px</option>
<option value="410px">410px</option>
<option value="420px">420px</option>
<option value="430px">430px</option>
<option value="440px">440px</option>
<option value="450px">450px</option>
<option value="460px">460px</option>
<option value="470px">470px</option>
<option value="480px">480px</option>
<option value="490px">490px</option>
<option value="500px">500px</option>
<option value="510px">510px</option>
<option value="520px">520px</option>
<option value="530px">530px</option>
<option value="540px">540px</option>
<option value="550px">550px</option>
<option value="560px">560px</option>
<option value="570px">570px</option>
<option value="580px">580px</option>
<option value="590px">590px</option>
<option value="600px">600px</option>
</select></p>

<p class="center"><?= _USETITLE ?> (<?= _OPTIONAL ?>) 
<select name="usebottom_title">
<option><?= $usebottom_title ?></option>
<option value="Styled"><?= _STYLED ?></option>
<option value="Plain"><?= _PLAIN ?></option>
<option value="No"><?= _NO ?></option>
</select>

<p class="center"><?= _TITLE ?></p>
<p class="center"><input name="bottom_title" value="<?= $bottom_title ?>" style="width:100%"></p>

<hr class="hr-text" data-content=" ">

<p class="center coltitle"><?= _OPTIONAL ?></p>
<table><tr><td>
<p class="left"><?= _USETITLE ?>?
<select name="usebottomtitle">
<option><?= $usebottomtitle ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select></p>
</td>
<td>
<p class="left"><?= _TITLESTYLE ?>? 
<select name="bottomstyle">
<option><?= $bottomstyle ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select></p>
</td></tr></table>
<p class="left"><?= _ROWTITLE ?>
<input name="bottomtitle" value="<?= $bottomtitle ?>" style="width:100%"></p>

<p class="left"><?= _TITLEURL ?>
<input name="bottomtitlelink" value="<?= $bottomtitlelink ?>" style="width:100%"></p>

<p class="left"><?= _FA_ICON ?>
<input name="bottomtitleicon" value="<?= $bottomtitleicon ?>" style="width:200px"></p>

<p class="center"><?= _LAYERCONTAINS ?></p>
<?php $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Two Bottom'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$sniplet_group = $row['sniplet_group']; 
if ($sniplet_group == 'Row Two Bottom') {
echo '<p class="left">' . _SNIPLETSINLAYER . ' (' . _YES . ')'; 
$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Two Bottom'"); 
while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
&nbsp;<?= _TOTALSNIPLETS ?> (<?= $var ?>)</p>
<?php }}} else { echo '<p class="left">' . _SNIPLETSINLAYER . '(' . _NO . ')</p>'; }

$sql = "SELECT position FROM blocks WHERE position = 'Row Two Bottom'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$position = $row['position'];  
if ($position == 'Row Two Bottom') {
echo '<p class="left">' . _BLOCKSINLAYER . ' (' . _YES . ')'; 
$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Two Bottom'"); 
while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
&nbsp;<?= _TOTALBLOCKS ?> (<?= $var ?>)</p>
<?php }}} else { echo '<p class="left">' . _BLOCKSINLAYER . ' (' . _NO . ')</p>'; }

$sql = "SELECT location FROM flipcard WHERE location = 'Row Two Bottom'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$location = $row['location']; 
if ($location == 'Row Two Bottom') {
echo '<p class="left">' . _FLIPCARDS . ' (' . _YES . ')'; 
$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM flipcard WHERE location = 'Row Two Bottom'"); 
while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
&nbsp;<?= _FLIPCARDS ?> (<?= $var ?>)</p>
<?php }}} else { echo '<p class="left">' . _FLIPCARDS . ' (' . _NO . ')</p>'; }

$sql = "SELECT set_position FROM container WHERE set_position = 'Row Two Bottom'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$location = $row['location']; 
if ($set_position == 'Row Two Bottom') {
echo '<p class="left">' . _CONTAINER . ' (' . _YES . ')'; 
$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM container WHERE location = 'Row Two Bottom'"); 
while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
&nbsp;<?= _CONTAINER ?> (<?= $var ?>)</p>
<?php }}} else { echo '<p class="left">' . _CONTAINER . ' (' . _NO . ')</p>'; }

$sql = "SELECT config_article FROM website WHERE config_article = 'Row Two Bottom'";
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$config_article = $row['config_article'];
if ($config_article == 'Row Two Bottom') {
echo '<p class="left">' . _ARTICLES_ . ' (' . _YES . ')</p>'; }}}
else { echo '<p class="left">' . _ARTICLES_ . ' (' . _NO . ')</p>'; } 

$sql = "SELECT setrow FROM website  WHERE setrow = 'Row Two Bottom'";
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$setrow = $row['setrow'];
if ($setrow == 'Row Two Bottom') {
echo '<p class="left">' . _VIDEOS_ . ': (' . _YES . ')</p>'; }}}
else { echo '<p class="left">' . _VIDEOS_ . ': (' . _NO . ')</p>'; } ?>

</div>
</div>
</div>

</td></tr></table>

<?php
/**
 * 
 * Add the option to use sidebars.
 * Add side-by-side editors.
 * 
 */ ?>
<div class="column-title"><h3 class="coltitlecolor center"><?= _SIDEBARS ?> (<?= _OPTIONAL ?>)</h3></div>
<p class="center"><?= _WHENTURNEDON ?><br><?= _USESIDEBARS ?>? 
<select name="rowtwosidebars">
<option><?= $rowtwosidebars ?></option>
<option value="Left"><?= _LEFT ?></option>
<option value="Right"><?= _RIGHT ?></option>
<option value="Both"><?= _BOTH ?></option>
<option value="None"><?= _NONE ?></option>
</select></p>

<h3 class="center"><?= _BACKGROUND ?> <?= _OPTIONAL ?></h3>

<table><tr><td class="inner-wrapper" style="box-shadow:none">
<h3 class="column-title coltitlecolor center"><?= _LEFT ?> <?= _SIDEBAR ?></h3>
<p class="center"><?= _USEBACKGROUND ?>? 
<select name="usebackleft">
<option><?= $usebackleft ?></option>
<option value="Color"><?= _COLOR ?></option>
<option value="Image"><?= _IMAGE ?></option>
<option value="None"><?= _NONE ?></option>
</select></p>

<p class="center"><?= _POSITIONCONTENT ?>
<select name="positiontop_left">
<option><?= $positiontop_left ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select></p>

<p class="center"><?= _FIRSTCOLOR ?> <input maxlength="7" size="7" name="firstleft" value="<?= $firstleft ?>"></p>

<p class="center"><?= _SECONDCOLOR ?> <input maxlength="7" size="7" name="secondleft" value="<?= $secondleft ?>"></p>

<p class="center"><?= _IMAGE ?>:(<?= _PLACE_IMAGE ?>)</p>
<p class="center"><input class="responsive" name="backimageleft" value="<?= $backimageleft ?>"></p>

</td><td class="inner-wrapper" style="box-shadow:none">
<h3 class="column-title coltitlecolor center"><?= _RIGHT ?> <?= _SIDEBAR ?></h3>
<p class="center"><?= _USEBACKGROUND ?>? 
<select name="usebackright">
<option><?= $usebackright ?></option>
<option value="Color"><?= _COLOR ?></option>
<option value="Image"><?= _IMAGE ?></option>
<option value="None"><?= _NONE ?></option>
</select></p>

<p class="center"><?= _POSITIONCONTENT ?>
<select name="positiontop_right">
<option><?= $positiontop_right ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select></p>

<p class="center"><?= _FIRSTCOLOR ?> <input maxlength="7" size="7" name="firstright" value="<?= $firstright ?>"></p>

<p class="center"><?= _SECONDCOLOR ?> <input maxlength="7" size="7" name="secondright" value="<?= $secondright ?>"></p>

<p class="center"><?= _IMAGE ?>:(<?= _PLACE_IMAGE ?>)</p>
<p class="center"><input class="responsive" name="backimageright" value="<?= $backimageright ?>"></p>

</td></tr></table>

<table><tr><td class="top">
<h3 class="column-title coltitlecolor center"><?= _LEFT ?> <?= _SIDEBAR ?> <?= _CONTENT ?></h3>
<textarea id="editor" type="text" name="leftcontent" style="width:95%">
<?= $leftcontent ?>
</textarea>

</td><td class="top">
<h3 class="column-title coltitlecolor center"><?= _RIGHT ?> <?= _SIDEBAR ?> <?= _CONTENT ?></h3>
<textarea id="editor" type="text" name="rightcontent" style="width:95%">
<?= $rightcontent ?>
</textarea>
</td></tr></table>

<?php
/**
 * 
 * End the rows.
 * 
 */ ?>

</div>
<br>
</form>

<?php require_once 'footer.php';