<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

// initialize variables
$useadminarticle = "";
$adminarticle = "";
$adminarticletitle = "";
$printon = "";
$author = "";
$usewhich = "";
$backcolor = "";
$backcolor_second = "";
$backimage = "";
$showtitle = "";
$allowcomments = "";
$date_author = "";
$visibility = "";
$spotlight = "";
$archive = "";
$backattach = "";
$id = 0;
$update = false;

// Create new article 
if (isset($_POST['save'])) {
$useadminarticle = mysqli_real_escape_string($conn, $_POST['useadminarticle']);
$adminarticle = mysqli_real_escape_string($conn, $_POST['adminarticle']);
$adminarticletitle = mysqli_real_escape_string($conn, $_POST['adminarticletitle']);
$printon = mysqli_real_escape_string($conn, $_POST['printon']);
$author = mysqli_real_escape_string($conn, $_POST['author']);
$usewhich = mysqli_real_escape_string($conn, $_POST['usewhich']);
$backcolor = mysqli_real_escape_string($conn, $_POST['backcolor']);
$backcolor_second = mysqli_real_escape_string($conn, $_POST['backcolor_second']);
$backimage = mysqli_real_escape_string($conn, $_POST['backimage']);
$showtitle = mysqli_real_escape_string($conn, $_POST['showtitle']);
$allowcomments = mysqli_real_escape_string($conn, $_POST['allowcomments']);
$date_author = mysqli_real_escape_string($conn, $_POST['date_author']);
$visibility = mysqli_real_escape_string($conn, $_POST['visibility']);
$spotlight = mysqli_real_escape_string($conn, $_POST['spotlight']);
$archive = mysqli_real_escape_string($conn, $_POST['archive']);
$backattach = mysqli_real_escape_string($conn, $_POST['backattach']);

mysqli_query($db, "INSERT INTO adminarticle (useadminarticle, adminarticle, adminarticletitle, printon, author, usewhich, backcolor, backcolor_second, backimage, showtitle, allowcomments, date_author, visibility, spotlight, archive, backattach) VALUES ('$useadminarticle', '$adminarticle', '$adminarticletitle', '$printon', '$author', '$usewhich', '$backcolor', '$backcolor_second', '$backimage', '$showtitle', '$allowcomments', '$date_author', '$visibility', '$spotlight', '$archive', '$backattach')");
echo "<script> window.location.replace('adminarticleall.php') </script>";
}

// Update existing article
if (isset($_POST['update'])) {
$id = $_POST['id'];
$useadminarticle = mysqli_real_escape_string($conn, $_POST['useadminarticle']);
$adminarticle = mysqli_real_escape_string($conn, $_POST['adminarticle']);
$adminarticletitle = mysqli_real_escape_string($conn, $_POST['adminarticletitle']);
$printon = mysqli_real_escape_string($conn, $_POST['printon']);
$author = mysqli_real_escape_string($conn, $_POST['author']);
$usewhich = mysqli_real_escape_string($conn, $_POST['usewhich']);
$backcolor = mysqli_real_escape_string($conn, $_POST['backcolor']);
$backcolor_second = mysqli_real_escape_string($conn, $_POST['backcolor_second']);
$backimage = mysqli_real_escape_string($conn, $_POST['backimage']);
$showtitle = mysqli_real_escape_string($conn, $_POST['showtitle']);
$allowcomments = mysqli_real_escape_string($conn, $_POST['allowcomments']);
$date_author = mysqli_real_escape_string($conn, $_POST['date_author']);
$visibility = mysqli_real_escape_string($conn, $_POST['visibility']);
$spotlight = mysqli_real_escape_string($conn, $_POST['spotlight']);
$archive = mysqli_real_escape_string($conn, $_POST['archive']);
$backattach = mysqli_real_escape_string($conn, $_POST['backattach']);

mysqli_query($db, "UPDATE adminarticle SET useadminarticle='$useadminarticle', adminarticle='$adminarticle', adminarticletitle='$adminarticletitle', printon='$printon', author='$author', usewhich='$usewhich', backcolor='$backcolor', backcolor_second='$backcolor_second', backimage='$backimage', showtitle='$showtitle', allowcomments='$allowcomments', date_author='$date_author', visibility='$visibility', spotlight='$spotlight', archive='$archive', backattach='$backattach' WHERE id=$id");
echo "<script> window.location.replace('adminarticleall.php') </script>";
}

// Delete exiting article from db
if (isset($_GET['del'])) {
$id = $_GET['del'];
mysqli_query($db, "DELETE FROM adminarticle WHERE id=$id");
echo "<script> window.location.replace('adminarticleall.php') </script>";
}


$results = mysqli_query($db, "SELECT * FROM adminarticle");
