<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

// initialize the variables
$c_title = "";
$c_text = "";
$tags = "";
$spotlight = "";
$author = "";
$showauthor = "";
$allowcomments = "";
$printon = "";
$publish = "";
$email = "";
$usetitle = "";
$usewhich = "";
$backcolor = "";
$backcolor_second = "";
$backimage = "";
$archive = "";
$metatags = "";
$description = "";
$readmore = "";
$usereadmore = "";
$readmoretarget = "";
$category = "";
$mbrsubmitted = "";
$article_container = "";
$shorttext = "";
$icon = "";
$iconcolor = "";
$mini_position = "";
$chooseicon = "";
$g_image = "";
$setimgsize = "";
$seticonsize = "";
$setheight = "";
$imgradius = "";
$id = 0;
$update = false;

// Create new article 
if (isset($_POST['save'])) {
$c_title = mysqli_real_escape_string($conn, $_POST['c_title']);
$c_text = mysqli_real_escape_string($conn,  $_POST['c_text']);
$tags = mysqli_real_escape_string($conn, $_POST['tags']);
$spotlight = mysqli_real_escape_string($conn, $_POST['spotlight']);
$author = mysqli_real_escape_string($conn, $_POST['author']);
$showauthor = mysqli_real_escape_string($conn, $_POST['showauthor']);
$allowcomments = mysqli_real_escape_string($conn, $_POST['allowcomments']);
$printon = mysqli_real_escape_string($conn, $_POST['printon']);
$publish = mysqli_real_escape_string($conn, $_POST['publish']);
$category = mysqli_real_escape_string($conn, $_POST['category']);
$usetitle = mysqli_real_escape_string($conn, $_POST['usetitle']);
$usewhich = mysqli_real_escape_string($conn, $_POST['usewhich']);
$backcolor = mysqli_real_escape_string($conn, $_POST['backcolor']);
$backcolor_second = mysqli_real_escape_string($conn, $_POST['backcolor_second']);
$backimage = mysqli_real_escape_string($conn, $_POST['backimage']);
$archive = mysqli_real_escape_string($conn, $_POST['archive']);
$metatags = mysqli_real_escape_string($conn, $_POST['metatags']);
$description = mysqli_real_escape_string($conn,  $_POST['description']);
$readmore = mysqli_real_escape_string($conn, $_POST['readmore']);
$usereadmore = mysqli_real_escape_string($conn, $_POST['usereadmore']);
$readmoretarget = mysqli_real_escape_string($conn, $_POST['readmoretarget']);
$mbrsubmitted = mysqli_real_escape_string($conn, $_POST['mbrsubmitted']);
$article_container = mysqli_real_escape_string($conn, $_POST['article_container']);
$shorttext = mysqli_real_escape_string($conn, $_POST['shorttext']);
$icon = mysqli_real_escape_string($conn, $_POST['icon']);
$iconcolor = mysqli_real_escape_string($conn, $_POST['iconcolor']);
$mini_position = mysqli_real_escape_string($conn, $_POST['mini_position']);
$chooseicon = mysqli_real_escape_string($conn, $_POST['chooseicon']);
$g_image = mysqli_real_escape_string($conn, $_POST['g_image']);
$setimgsize = mysqli_real_escape_string($conn, $_POST['setimgsize']);
$seticonsize = mysqli_real_escape_string($conn, $_POST['seticonsize']);
$setheight = mysqli_real_escape_string($conn, $_POST['setheight']);
$imgradius = mysqli_real_escape_string($conn, $_POST['imgradius']); 

mysqli_query($db, "INSERT INTO articles (c_title, c_text, tags, spotlight, author, showauthor, printon, allowcomments, publish, category, usetitle, usewhich, backcolor, backcolor_second, backimage, archive, metatags, description, readmore, usereadmore, readmoretarget,  mbrsubmitted, article_container, shorttext, icon, iconcolor, mini_position, chooseicon, g_image, setimgsize, seticonsize, setheight, imgradius) VALUES ('$c_title', '$c_text', '$tags', '$spotlight', '$author', '$showauthor', '$printon', '$allowcomments', '$publish', '$category', '$usetitle', '$usewhich', '$backcolor', '$backcolor_second', '$backimage', '$archive', '$metatags', '$description', '$readmore', '$usereadmore', '$readmoretarget', '$mbrsubmitted', '$article_container', '$shorttext', '$icon', '$iconcolor', '$mini_position', '$chooseicon', '$g_image', '$setimgsize', '$seticonsize', '$setheight', '$imgradius')");
echo "<script> window.location.replace('articles.php') </script>"; }

// Update existing article
if (isset($_POST['update'])) {
$id = $_POST['id'];
$c_title = mysqli_real_escape_string($conn, $_POST['c_title']);
$c_text = mysqli_real_escape_string($conn,  $_POST['c_text']);
$tags = mysqli_real_escape_string($conn, $_POST['tags']);
$spotlight = mysqli_real_escape_string($conn, $_POST['spotlight']);
$author = mysqli_real_escape_string($conn, $_POST['author']);
$showauthor = mysqli_real_escape_string($conn, $_POST['showauthor']);
$allowcomments = mysqli_real_escape_string($conn, $_POST['allowcomments']);
$printon = mysqli_real_escape_string($conn, $_POST['printon']);
$publish = mysqli_real_escape_string($conn, $_POST['publish']);
$category = mysqli_real_escape_string($conn, $_POST['category']);
$usetitle = mysqli_real_escape_string($conn, $_POST['usetitle']);
$usewhich = mysqli_real_escape_string($conn, $_POST['usewhich']);
$backcolor = mysqli_real_escape_string($conn, $_POST['backcolor']);
$backcolor_second = mysqli_real_escape_string($conn, $_POST['backcolor_second']);
$backimage = mysqli_real_escape_string($conn, $_POST['backimage']);
$archive = mysqli_real_escape_string($conn, $_POST['archive']);
$metatags = mysqli_real_escape_string($conn, $_POST['metatags']);
$description = mysqli_real_escape_string($conn,  $_POST['description']);
$readmore = mysqli_real_escape_string($conn, $_POST['readmore']);
$usereadmore = mysqli_real_escape_string($conn, $_POST['usereadmore']);
$readmoretarget = mysqli_real_escape_string($conn, $_POST['readmoretarget']);
$mbrsubmitted = mysqli_real_escape_string($conn, $_POST['mbrsubmitted']);
$article_container = mysqli_real_escape_string($conn, $_POST['article_container']);
$shorttext = mysqli_real_escape_string($conn, $_POST['shorttext']);
$icon = mysqli_real_escape_string($conn, $_POST['icon']);
$iconcolor = mysqli_real_escape_string($conn, $_POST['iconcolor']);
$mini_position = mysqli_real_escape_string($conn, $_POST['mini_position']);
$chooseicon = mysqli_real_escape_string($conn, $_POST['chooseicon']);
$g_image = mysqli_real_escape_string($conn, $_POST['g_image']);
$setimgsize = mysqli_real_escape_string($conn, $_POST['setimgsize']);
$seticonsize = mysqli_real_escape_string($conn, $_POST['seticonsize']);
$setheight = mysqli_real_escape_string($conn, $_POST['setheight']);
$imgradius = mysqli_real_escape_string($conn, $_POST['imgradius']); 

mysqli_query($db, "UPDATE articles SET c_title='$c_title', c_text='$c_text', tags='$tags', spotlight='$spotlight', author='$author', showauthor='$showauthor', printon='$printon', allowcomments='$allowcomments', publish='$publish', category='$category', usetitle='$usetitle', usewhich='$usewhich', backcolor='$backcolor', backcolor_second='$backcolor_second', backimage='$backimage', archive='$archive', metatags='$metatags', description='$description', readmore='$readmore', usereadmore='$usereadmore', readmoretarget='$readmoretarget', mbrsubmitted='$mbrsubmitted', article_container='$article_container', shorttext='$shorttext', icon='$icon', iconcolor='$iconcolor', mini_position='$mini_position', chooseicon='$chooseicon', g_image='$g_image', setimgsize='$setimgsize', seticonsize='$seticonsize', setheight='$setheight', imgradius='$imgradius' WHERE id=$id");
$_SESSION['message'] = "Article Updated!";
echo "<script> window.location.replace('articles.php') </script>";
}

// Delete exiting article from db
if (isset($_GET['del'])) {
$id = $_GET['del'];
mysqli_query($db, "DELETE FROM articles WHERE id=$id");
$_SESSION['message'] = "Article deleted!";
echo "<script> window.location.replace('articles.php') </script>";
}


$results = mysqli_query($db, "SELECT * FROM articles");
