<?php require_once 'main.php';

/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

/**
 * 
 * Find and add the language files.
 * 
 */

$sql = "SELECT * FROM website, themes"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$themes = $row['themes']; 
$theme_name = $row['theme_name']; 
$menuselection = $row['menuselection'];

require_once 'lang/' . $row['lang'] . '.php'; }}

/**
 * 
 * Add the theme.
 * 
 */

$stmt = $conn->prepare('SELECT usertheme, usetheme FROM accounts WHERE id = ?');
$stmt->bind_param('i', $_SESSION['id']);
$stmt->execute();
$stmt->bind_result(
$usertheme, $usetheme );
$stmt->fetch();
$stmt->close();
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true && $usetheme == 'Yes') { 
if (isset($_GET['id'])) { $id = $_GET['id']; }
$sql = "SELECT id, usertheme FROM accounts"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
require_once 'usertheme.php'; }}}
else { require_once 'theme.php'; }

 /**
  * 
  * Define the header styling.
  * Use colors.
  * 
  */

 if ($useheadercolor == 'Yes') { ?>
 <div style="width:97%; margin:0 auto; background-image:linear-gradient(<?= $header_first_color ?>, <?= $header_second_color ?>);" class="column header headercolor">
 <?php } 
 else { 

 /**
  * 
  * Define the header styling.
  * Use image.
  * 
  */ ?>

 <div style="width:97%; margin:0 auto;" class="header headerimage">
 <?php }

 /**
  * 
  *  If selected place the Menu BELOW the logo.
  *
  */

 if ($menu_below == 'Yes') {

 /**
  * 
  *  Get logo with image if selected.
  * 
  */

 if ($uselogoimage == 'Yes') {
 require_once '../../builders/logo.php'; }
 else {

 /**
  * 
  *  Get logo without image.
  * 
  */

 require_once 'logo.php'; } ?>
 </div>

 <?php 
 /**
  * 
  *  Place Menu Below the logo.
  * 
  */

 if ($menuselection == 'Menubar') {
 require_once 'menu.php'; }

 /**
  * 
  * End If selected place the Menu BELOW the logo.
  * 
  */

 } 
 else { 

 /**
  * 
  *  If selected place Menu ABOVE the logo.
  * 
  */

 if ($menuselection == 'Menubar') {
 require_once '../../../layout/menu.php'; }

 /**
  * 
  * Get logo with image.
  * 
  */

 if ($uselogoimage == 'Yes') {
 require_once 'logo.php'; }
 else {

 /**
  * 
  * Get logo without image.
  *
  */

 require_once 'logo.php'; } ?>
 </div>
 <?php }

 /**
  * 
  * If selected place Menu ABOVE the logo.
  * 
  * 
  * If the offcanvas sidemenu
  * is selected, find it and
  * display it replacing the
  * menubar. Does not affect
  * the logo.
  * 
  */

 if ($menuselection == 'Offcanvas') {
 $filename = '../core/megamenu/sidemenu.php';
 if (file_exists($filename)) {
 require_once "$filename"; } 
 else {
 require_once 'core/megamenu/sidemenu.php'; }} 

 /**
  * 
  * Add a wrapper to the page.
  * Close it in footer.php
  *
  */ ?>
  
 <div class="inner-wrapper spacer">


