<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

require_once '../functions.php';

if (isset($_POST['Submit'])) {
$number_to_show = mysqli_real_escape_string($conn, $_POST['number_to_show']);
$pagination = mysqli_real_escape_string($conn, $_POST['pagination']);
$allow_article = mysqli_real_escape_string($conn, $_POST['allow_article']);
$position_pagination = mysqli_real_escape_string($conn, $_POST['position_pagination']);
$paginationstyle = mysqli_real_escape_string($conn, $_POST['paginationstyle']);
$perrow = mysqli_real_escape_string($conn, $_POST['perrow']);
$config_article = mysqli_real_escape_string($conn, $_POST['config_article']); 
$numbertoshow = mysqli_real_escape_string($conn, $_POST['numbertoshow']);
$articleheight = mysqli_real_escape_string($conn, $_POST['articleheight']); }

$update = "UPDATE website SET number_to_show='$number_to_show', pagination='$pagination', allow_article='$allow_article', position_pagination='$position_pagination', paginationstyle='$paginationstyle', perrow='$perrow', config_article='$config_article', numbertoshow='$numbertoshow', articleheight='$articleheight'"; ?>

<?php $conn->query($update) or die("Cannot update");

$ip = getenv('REMOTE_ADDR', true) ?: getenv('REMOTE_ADDR');

if ($update) {

require_once '../update.php'; }