<?php
/**
* Spectra ist eine Software zum Erstellen einer Website.
* PHP-Version 8
*
* @category OpenSource
* @Paket CMS-Spektren
* @Autor Mike Boyles <admin@papamikescreations.org>
* @copyright 2020-2023 Coders Junction
* @license GNU General Public License <http://www.gnu.org/licenses/>.
* @link https://www.papamikescreations.org
*/

// Sprachpaket Deutsch
// Allgemeine Artikel --------------------- 

define('_SHOWFOOTER','Fußzeile anzeigen');
define('_MISCSETTINGS','Verschiedene Einstellungen');
define('_PREVIEWTHEMES','Vorschau der Themen');
define('_ROWS','Reihen');
define('_JUMPTOROWS','Gehen Sie zur Zeile');
define('_CONFIGROWSINFO','Zeilen müssen konfiguriert werden, bevor ihnen Inhalte zugewiesen werden.<br>Schalten Sie die Zeile und die Ebene ein und konfigurieren Sie dann den Typ des Inhaltsblocks, den Sie dort zuweisen.<br>Sie müssen nur die Dinge konfigurieren, die Sie in dieser Zeilenebene verwenden werden.<br>Obwohl einige vielleicht alles hintereinander verwenden möchten.');
define('_WALKTHRUCONFIG','Dadurch werden Sie durch die Konfigurationseinstellungen geführt, während Sie Ihre Website für das Hinzufügen von Inhalten vorbereiten. Wenn Sie fertig sind, klicken Sie auf Weiter.');
define('_CONTINUE','Weitermachen');
define('_HAVECOMPLETED','Sie haben den Einrichtungsassistenten abgeschlossen.');
define('_OVERVIEWPAGE','Übersichtsseite');
define('_IFMAKINGCHANGES','Wenn Sie Änderungen vornehmen, klicken Sie dann auf „Datensatz aktualisieren“. ');
define('_ORSELECTMENU','oder aus dem Menü auswählen');
define('_STEPBYSTEP','Verwenden Sie die <a href="step-by-step.php"><u>Schritt-für-Schritt-Anleitung</u></a> oder wählen Sie aus dem Menü aus, um die Konfigurationen zu vervollständigen/zu ändern.');
define('_DESIGNERSDASHBOARD','Designer-Dashboard');
define('_GOHERE','Gehe hier hin');
define('_READABOUTFEATURES','Informieren Sie sich zunächst über alle Funktionen, die Spectra zu bieten hat.');
define('_QUICKSTARTCONTAINS','Das Schnellstart-Setup enthält Einstellungen für die Bereiche, die Sie konfigurieren müssen, damit Sie mit der Erstellung von Inhalten auf der Homepage beginnen können. Es wird empfohlen, dass Sie hier beginnen, dann aber zurückgehen und alle Einstellungen noch einmal genauer überprüfen, beginnend mit der Seite <a href="../website.php" target="_blank"><u>Allgemeine Website-Konfiguration</u></a>. Je vertrauter Sie mit Spectra werden, desto schneller werden Sie lernen, Anpassungen vorzunehmen.');
define('_WHEREDOISTART','Wo soll ich anfangen');
define('_QUICKSTARTPARA','<p class="left">ARTIKEL: Der beste Ausgangspunkt ist die Verwendung der Artikel. Klicken Sie auf <a href="articles.php" target="_blank"><u>Artikeleinstellungen</u></a>, um den Artikelblock zu konfigurieren. Sobald dies erledigt ist, wird jeder von Ihnen erstellte Artikel automatisch an dieser Stelle auf der Seite angezeigt. Sie können sie innerhalb des Blocks verschieben, indem Sie sie per Drag & Drop einer neuen Position zuweisen.</p>
<p class="left">ZEILEN/LAYERS: Tatsächlich kann eine Website mit nur einer Zeile erstellt werden. Wählen Sie die Zeile und die Ebenen innerhalb dieser Zeile aus, die Sie verwenden möchten. Klicken Sie auf der Startseite auf den Konfigurationslink und schalten Sie die Zeile und die Ebenen ein. Jetzt können Sie der Zeile/Ebene Blöcke, Sniplets und Seitenleisteninhalte zuweisen.</p>
<p class="left">CONTAINER: Ein Container allein kann zum Aufbau der Homepage verwendet werden. Und ein Container kann jeder Zeile/Ebene zugewiesen und neben Blöcken, Sniplets, Artikeln und Videos verwendet werden. Ein Container ist einfach einzurichten und wenn Sie ihn zu Ihrem eigenen machen, werden Sie Ihrer Kreativität freien Lauf lassen. Jeder Container hat zwei Spalten links und rechts mit vier Ebenen in jeder Spalte. Es werden nur die Bereiche angezeigt, in denen Sie Inhalte hinzufügen. Platzieren Sie Hintergrundbilder im Bilderordner.</p>
<p class="left">BLÖCKE: Die Blöcke sind hochgradig anpassbar und können jeder von Ihnen aktivierten Position auf der Homepage zugewiesen werden. Weisen Sie die Blockhöhe und die Anzahl der Blöcke zu, die Sie dieser Zeile/Ebene hinzufügen möchten, wenn Sie die Zeilen/Ebenen konfigurieren.</p><p class="left">SNIPLETS: Die Sniplets oder Teaser-Inhaltsblöcke sind genau wie die Blöcke hochgradig anpassbar und können an jeder aktivierten Position auf der Homepage platziert werden. Konfigurieren Sie die Höhe, Breite und den Bildradius, wenn Sie die Zeile/Ebene konfigurieren.</p><p class="left">SIDEBARS: Spectra verfügt über eine große Auswahl an Sidebars. Es gibt On-Canvas-Seitenleisten, die die gesamte vertikale Länge der Seite von oben bis unten abdecken. Off-Canvas-Seitenleisten werden von links oder rechts oder von beiden Seiten der Seite eingeblendet, wenn auf das Menüsymbol geklickt wird. Zeilen-Seitenleisten decken nur die gesamte vertikale Länge der Zeile/Ebenen ab und befinden sich auf der linken, rechten oder beiden Seiten.</p><p class="left">VIDEOS: Der Videoblock kann in jeder aktivierten Zeile/Ebene platziert werden. Videos können auch in Seitenleisten platziert werden. Platzieren Sie diese besonderen Videos im Spotlight. Ältere können im Archiv abgelegt und in der Archivgalerie angesehen werden.</p>');
define('_YES','Ja');
define('_NO','NEIN');
define('_SHOW_VIDEO','Video anzeigen');
define('_SELECTROW','Wählen Sie Zeile/Ebene aus');
define('_ROWONETOP','Reihe eins oben');
define('_ROWTWOTOP','Reihe zwei oben');
define('_ROWTHREETOP','Reihe drei oben');
define('_ROWFOURTOP','Reihe vier oben');
define('_ROWFIVETOP','Reihe fünf oben');
define('_ROWSIXTOP','Reihe sechs oben');
define('_ROWSEVENTOP','Reihe sieben oben');
define('_ROWEIGHTTOP','Reihe acht oben');
define('_ROWNINETOP','Reihe neun oben');
define('_ROWTENTOP','Reihe zehn oben');
define('_ROWELEVENTOP','Reihe elf oben');
define('_ROWTWELVETOP','Zeile zwölf oben');
define('_ROWONEMIDDLE','Reihe eins Mitte');
define('_ROWTWOMIDDLE','Reihe zwei Mitte');
define('_ROWTHREEMIDDLE','Reihe drei Mitte');
define('_ROWFOURMIDDLE','Reihe vier Mitte');
define('_ROWFIVEMIDDLE','Reihe fünf Mitte');
define('_ROWSIXMIDDLE','Reihe sechs Mitte');
define('_ROWSEVENMIDDLE','Reihe sieben Mitte');
define('_ROWEIGHTMIDDLE','Reihe acht Mitte');
define('_ROWNINEMIDDLE','Reihe neun, Mitte');
define('_ROWTENMIDDLE','Reihe zehn Mitte');
define('_ROWELEVENMIDDLE','Reihe elf Mitte');
define('_ROWTWELVEMIDDLE','Reihe zwölf, Mitte');
define('_ROWONEBOTTOM','Reihe eins unten');
define('_ROWTWOBOTTOM','Reihe zwei unten');
define('_ROWTHREEBOTTOM','Reihe drei unten');
define('_ROWFOURBOTTOM','Zeile vier unten');
define('_ROWFIVEBOTTOM','Reihe fünf unten');
define('_ROWSIXBOTTOM','Reihe sechs unten');
define('_ROWSEVENBOTTOM','Reihe sieben unten');
define('_ROWEIGHTBOTTOM','Reihe acht unten');
define('_ROWNINEBOTTOM','Zeile neun unten');
define('_ROWTENBOTTOM','Zeile zehn unten');
define('_ROWELEVENBOTTOM','Reihe elf unten');
define('_ROWTWELVEBOTTOM','Zeile zwölf unten');
define('_USEBACKIMGORCOLOR','Verwenden Sie ein Hintergrundbild oder eine Farbe');
define('_BACKIMAGE','Hintergrundbild');
define('_BACKCOLORFIRST','Erste Farbe');
define('_BACKCOLORSECOND','Zweite Farbe');
define('_ENTERACTIVEVIDEO','Geben Sie „Aktives Video“ ein');
define('_ISSHOWNINPLAYER','Wird im Player angezeigt, bis ein anderes Video ausgewählt wird (Platzhalter).');
define('_IFISYOUTUBE','Wenn es sich um ein YouTube-Video handelt, geben Sie unten die Einbettungsquelle ein. Beispiel: https://www.youtube.com/embed/IgT24YYn4DU');
define('_VIDEOARCHIVEPAGE','Videoarchivseite');
define('_IMAGEORVIDEO','Legen Sie den Platzhalter Bild oder Video fest');
define('_IMAGE','Bild');
define('_VIDEO','Video');
define('_NONE','Keiner');
define('_COLOR','Farbe');
define('_ONTHESCREENBEFORE','Was wird auf dem Bildschirm angezeigt, bevor eine Videoauswahl getroffen wird?');
define('_PLACEINVIDEOSFOLDER','Im Videoordner ablegen (nur Namen eingeben, z. B. back.jpg oder bei Video video.mp4)');
define('_MUSTBEMP','Videos dürfen nur .mp4 sein.');
define('_MAXCHARACTERS','max: 55 Zeichen');
define('_VIDEOCONFIG','Videokonfiguration');
define('_RETURN','Zurückkehren');
define('_VIDEOSETTINGS','Video-Einstellungen');
define('_UPDATESUCCESSFUL','Aktualisierung erfolgreich');
define('_CLOSETHISWINDOW','Schließe dieses Fenster');
define('_CHOOSEROWLOCATION','Wählen Sie Zeilenposition');
define('_NUMBEROFARTICLES','Anzahl der Artikel, die pro Seite im Artikel-Dashboard angezeigt werden sollen?');
define('_MBRARTICLESINFO','Mit der nächsten Einstellung können Sie entscheiden, ob Sie registrierten Mitgliedern erlauben möchten, Artikel von ihrer Benutzer-Homepage aus einzureichen.');
define('_ALLOWTOSUBMIT','Benutzern/Mitgliedern erlauben, Artikel einzureichen?');
define('_IFPAGINATIONUSED','Einstellungen, wenn Paginierung <u>IS</u> verwendet wird.');
define('_ARTICLESETTINGSINFO','Spectra-Artikel verfügen über eine Paginierungsfunktion für große Websites und Sie können festlegen, wie viele Artikel Sie auf einer Seite anzeigen möchten. Dadurch wird verhindert, dass Ihre Seiten zu lang werden, was die Ladezeiten verlangsamen kann.');
define('_USEPAGINATION','Verwenden Sie die Paginierungsfunktion?');
define('_POSITIONPAGINATION','Paginierung positionieren');
define('_TOP','Spitze');
define('_BOTTOM','Unten');
define('_BOTH','Beide');
define('_OPENSINNEWWINDOW','Öffnet in einem neuen Fenster.');
define('_STYLEPAGINATION','Wählen Sie einen Paginierungsstil');
define('_STYLEYOUROWN','Bau dein eigenes');
define('_USEDEFAULT','Verwende den Standard');
define('_ARTICLESTOSHOW','Anzahl der Artikel, die auf einer Seite angezeigt werden sollen?');
define('_IFPAGINATIONNOTUSED','Einstellungen, wenn Paginierung <u>NICHT</u> verwendet wird.');
define('_IFPAGINATION','Wenn keine Paginierung verwendet wird, können bis zu 4 Artikel pro Zeile vorhanden sein?');
define('_NUMBER_TOSHOW','Anzahl, die pro Zeile angezeigt werden soll.');
define('_SETBLOCKHEIGHT','Höhe des Blocks festlegen: (in Pixel)');
define('_ORUSE','Oder verwenden Sie den Standardstil oder einen der vorgefertigten Stile.');
define('_IFUSINGPAGINATION','Bei Verwendung von Paginierung.');
define('_ARTICLECONFIG','Artikelkonfiguration');
define('_CONTACTSTAFFINFO','<p class="center">Sie können Ihren Mitgliedern erlauben, Sie direkt über ihre Mitglieder-Homepage zu kontaktieren.<br>* Hinweis: Dies ist ein anderes Formular als das <b>Öffentliche</b> Kontaktformular.<br>Klicken Sie auf den Link unten, um eine Nachricht hinzuzufügen zu beiden Kontaktformularen.</p><p class="center"><a href="../../../core/designer/contactform.php" target="_blank">Bearbeiten Sie das öffentliche Kontaktformular</a></p>');
define('_USECONTACTSTAFF','Funktion „Personal kontaktieren“ nutzen?');
define('_CONTACTSTAFF','Kontaktieren Sie die Mitarbeiter');
define('_SETUPWIZARD','Setup-Assistent');
define('_UNIQUEVISITORCOUNTER','Einzigartiger Besucherzähler');
define('_COUNTERSETTINGSINFO','In der Fußzeile der Indexseite befindet sich ein <b>Einzigartiger Besucherzähler</b>. Sie können es in der nächsten Einstellung verwenden oder deaktivieren.');
define('_USECOUNTER','Besucherzähler nutzen?');
define('_COUNTERVISIBLE','Zähler ist sichtbar?');
define('_VISITORSTODATE','Bisherige Besucher');
define('_LOGOSETUP','Logo-Setup');
define('_WEBSITELOGO','Website-Logo');
define('_SUBLOGOTEXT','Sub-Logo-Text');
define('_USELOGOIMAGE','Verwenden Sie ein Logobild');
define('_IMGRADIUS','Bildradius');
define('_LOGOIMAGE','Logobild');
define('_PLACEINTHEMESFOLDER','Platzieren Sie das Bild im Themenordner.');
define('_IMGWIDTH','Bild breite');
define('_HOMEPAGECONFIG','Homepage-Konfiguration');
define('_LIBRARYEXPLAIN','Die Bibliothek enthält die Plugins Kategorien, Spotlight-Artikel, Tag Cloud und Archive.<br>Sie kann als mittlerer Block oder Dropdown-Akkordeon auf der Seite oder als Seitenleiste direkt außerhalb der Leinwand platziert werden.');
define('_LIBRARYFEATURE','Bibliotheksfunktion');
define('_RIGHT','Rechts');
define('_BLOCK','Block');
define('_DROPDOWNBLOCK','Runterfallen');
define('_SETROW','Zeile festlegen');
define('_HOVEREFFECTCAUSES','Durch den Hover-Effekt erscheint beim Mouseover ein kleiner Schatten auf den Blöcken und Sniplets.');
define('_USEHOVEREFFECT','Hover-Effekt verwenden?');
define('_HOVERSTRENGTH','Stärke des Schwebeeffekts.');
define('_THEZOOMEFFECT','Sie können den Bildzoomeffekt für die Sniplet-Bilder beim Mouseover verwenden.');
define('_ZOOMIMG','Den Bildzoomeffekt nutzen?');
define('_SNIPLETS','Schnepfen');
define('_BORDERRADIUS','Grenzradius');
define('_CONFIGSIDEBARS','Konfigurieren Sie die Seitenleisten');
define('_SELECTWHICHSIDEBAR','Wählen Sie aus, welche On-Canvas-Seitenleiste verwendet werden soll.');
define('_CONFIGONCANVASSIDEBARS','Konfigurieren Sie On-Canvas-Seitenleisten');
define('_LEFTSIDEBARWIDTH','Legen Sie die Breite der linken Seitenleiste fest (falls verwendet).');
define('_RIGHTSIDEBARWIDTH','Legen Sie die Breite der rechten Seitenleiste fest (falls verwendet).');
define('_CONFIG','Konfigurieren');
define('_BLOCKS','Blöcke');
define('_SELECTSIDEBAR','Wählen Sie aus, welche Off-Canvas-Seitenleiste verwendet werden soll');
define('_LEFT','Links');
define('_MENUSELECTION','Menüauswahl');
define('_OFFCANVASINFO','Sie können wählen, ob Sie die Menüleiste oder ein Offcanvas-Menü verwenden möchten.<br>Wenn Sie die Menüleiste verwenden, kann diese über oder unter dem Header-Logo positioniert werden, indem Sie das von Ihnen ausgewählte Thema bearbeiten.');
define('_BAR','Menüleiste');
define('_OFFSCREEN','Offcanvas');
define('_IFCHOSEMENUBAR','Wenn Sie „Menüleiste“ wählen, können Sie den Rest dieser Seite überspringen.');
define('_OFFCANVASMENUOPTIONS','Nur Off-Canvas-Menüoptionen');
define('_IFCHOSEOFFCANVASMENU','Wenn Sie sich für die Verwendung des Offcanvas-Menüs entscheiden, können Sie dem Menü ein Hintergrundbild hinzufügen.');
define('_ENTERBACKIMGNAME','Geben Sie den Namen des Hintergrundbilds ein</strong> (in den Bilderordner hochladen ... Beispiel: myback.jpg)');
define('_PLACEIMGUNDERLOGO','Platzieren Sie ein Bild Ihrer Wahl oben im Menü (sofern geöffnet) direkt unter dem Logo.');
define('_ENTERIMGNAME','<strong>Bildnamen eingeben</strong> (in den Bilderordner hochladen ... Beispiel: myback.jpg)');
define('_MENUWHICHSIDE','Wählen Sie aus, von welcher Seite aus das Menü geöffnet werden soll (links oder rechts).');
define('_MENU_SELECTION','Menüauswahl?');
define('_METAINFO','Hilft bei der Suchmaschinenoptimierung. <a href="https://www.conductor.com/blog/2021/11/what-are-meta-tags/" target="_blank">Lesen Sie mehr über SEO und Metatags.</a>');
define('_META_DESCRIPTION','Beschreibung');
define('_METAKEYWORDS','Schlüsselwörter (durch Kommas trennen)');
define('_METAAUTHOR','Autor (durch Kommas trennen)');
define('_META_TAGS','Meta-Tags');
define('_THEMESELECTION','Themenauswahl');
define('_WEBSITETHEME','Website/Mitgliederbereich');
define('_DASHBOARDTHEME','Designer-Dashboard');
define('_ADMINTHEME','Administrator-Dashboard');
define('_CANUSETHEME','Mitgliedern erlauben, ihr eigenes Thema festzulegen?');
define('_SPECTRASETUPWIZARD','Spectra-Schnelleinrichtungsassistent');
define('_THESETUPWIZARD','Der Einrichtungsassistent hilft Ihnen dabei, Ihre Website in kurzer Zeit zum Laufen zu bringen.');
define('_SELECTFEATURES','Wählen Sie aus der Menüliste oben die Funktionen aus, die Sie konfigurieren möchten.');
define('_ARTICLESETTINGS','Artikeleinstellungen');
define('_METATAGCONFIG','Meta-Tag-Konfiguration');
define('_VISITORCOUNTERSETTINGS','Besucherzählereinstellungen');
define('_SOCIALMEDIA','Sozialen Medien');
define('_SMINFO','Sie können die Social-Media-Links auswählen, die Sie verwenden möchten. Außerdem können Sie auswählen, wo sie auf Ihrer Website angezeigt werden sollen.');
define('_USESM','Nutzen Sie soziale Medien');
define('_CHOOSELOCATION_HELP','Sie können wählen, ob Sie die Social-Media-Linkleiste in der Kopf- oder Fußzeile platzieren möchten.');
define('_CHOOSELOCATION','Wählen Sie den Standort?');
define('_HEADER','Header');
define('_FOOTER','Fusszeile');
define('_SMHEADERSTYLE_HELP','Wenn Sie die Position in der Kopfzeile verwenden, können Sie eine Linkleiste oder eine Dropdown-Schaltfläche verwenden.');
define('_SMHEADERSTYLE','Header-Stil?');
define('_SMBAR','Bar');
define('_SMBUTTON','Taste');
define('_ADDVERTICLESIDEBAR_HELP','Wenn Sie dies verwenden, stellen Sie „Social Media verwenden“ auf „Nein“ ein. Diese Seitenleiste wird auf kleineren Bildschirmen nicht angezeigt. Außerdem sollte es auf Websites verwendet werden, die auf eine Breite von 1600 Pixel oder weniger eingestellt sind.');
define('_ADDVERTICLESIDEBAR','Social-Media-Verticle-Seitenleiste hinzufügen?');
define('_LINK','Verknüpfung');
define('_USE','Verwenden');
