<?php
/**
* Spectra programmata fabricandi locum constituunt.
* PHP version 8
*
* @category OpenSource
* @package Spectra
* @author Mike Boyles <admin@papamikescreations.org>
* @copyright 2020-2023 Codes Junction
* @LICENTIA GNU Publica Licentiatus <http://www.gnu.org/licenses/>.
* @link https://www.papamikescreations.org
*/

// Language Pack Latin
// General Items ---------------------

define('_SHOWFOOTER','Monstra Footer');
define('_MISCSETTINGS','Insedit Occasus');
define('_PREVIEWTHEMES','Praevius Themes');
define('_ROWS','Rows');
define('_JUMPTOROWS','Vade ad Row');
define('_CONFIGROWSINFO','Ordines configurari debent antequam contentus illis tribuas.<br>Verte ordinem et stratum In tum configurare genus clausulae contenti quam ibi assignas.<br> Tantum opus est configurare ea quae in strato illo ordinum utere. .<br>Quamvis omnia ordine uti velint.');
define('_WALKTHRUCONFIG','Hoc te ambulabit per uncinis conformationem, dum tuum website paratum habebis contentus addere. Cum sis paratus click Perge.');
define('_CONTINUE','Continue');
define('_HAVECOMPLETED','Perfecisti magus setup.');
define('_OVERVIEWPAGE','Overview Page');
define('_IFMAKINGCHANGES','Si mutationes facit, preme "Renovatio Record" tum ');
define('_ORSELECTMENU','aut eligere ex menu');
define('_STEPBYSTEP','Utere <a href="step-by-step.php"><u>gradus gradatim</u></a> duce vel e menu elige ad figuras complendas/mutandas.');
define('_DESIGNERSDASHBOARD','Designers Dashboard');
define('_GOHERE','Ite huc');
define('_READABOUTFEATURES','i et lege de omnibus spectris liniamenta offerenda.');
define('_QUICKSTARTCONTAINS','Celer initium setup continet occasus pro illis locis quae configurare debes ut in pagina contenta aedificare possis. Commendatur ut hic incipias sed tunc regredi et recognitionem pleniorem facere omnium occasus incipiens a <a href="../website.php" target="_blank"><u>General Website Configuration</u></a> pagina. Ut commodius fies utens spectris, citius temperamenta facere disces.');
define('_WHEREDOISTART','Ubi sum Committitur');
define('_QUICKSTARTPARA','<p class="left">Articles: Locus committitur optimus utendo articulis. Preme in <a href="articles.php" target="_blank"><u>Articulorum Optiones</u></a> configurare articulos clausos. Nunc semel factum quodlibet articulum creabis sponte ad illum locum in pagina ibit. Circumspicere intra truncum potes utendo retia et stilla pluma ut novae positio eas assignes.</p><p class="left">ROWS/LAYERS: Profecto website uno tantum ordine aedificari potest. Ordinem et ordines intra illum ordinem, quem uti voles, elige. Deprime in ligamen configurationis in pagina protoco et in ordine et in stratis verte. Nunc dare potes Caudices, sniplets et Pars contenta ordini/iamento.</p>
<p class="left">CONTAINERS: Una continens sola adhiberi potest protocollum construendi. Et continens assignari potest cuivis ordinum/laterum et usui lateris Caudices, Sniplets, Articuli, et Videos. Continens facile est ut habeat et efficiat suum certe creatricem tuam ostendet. Quodlibet continens duas columnas sinistra et dextra habet cum quattuor ordinibus in unaquaque columna. Solummodo ea loca quae addis contenta in promptu erunt proponendum. Place background imagines in imaginibus folder.</p>
<p class="left">Blocks: Caudices valde customizabiles sunt et cuivis positio in pagina protocollum quod in te convertisti assignari possunt. Stipes altitudini tribue quotque huic versui/strato addere vis, cum ordines/stratas configurare vis.</p><p class="left">SNIPLETS: Sniplets vel teaser contenti caudices valde customizabiles sunt sicut caudices et in quolibet loco in pagina prima versa in. Configurare altitudinem, latitudinem, et radios imaginis cum remigare/circuitum.</p> configurare
<p class="left">SIDEBARS: Spectra magna cum laterum agmine venit. In-carbasa latera sunt quae totam perpendiculi longitudinem paginae a summo ad imum tegunt. Off-carbasa latera ab laeva vel dextra vel in utraque pagina labatur cum icon in menu clicked. Ordines laterales totam longitudinem perpendicularis remigandi / laminis tantum obtegunt et ad laevam, dextram vel ad utramque partem sita sunt.</p><p class="left">VIDEOS: Video truncum collocari potest in aliquo ordine/circulo qui in verso. Videos etiam in sidebars collocari posse. Speciales illas videos in Vestibulum arcu pones et pro iis quae vetera collocari possunt in archivo et in archivo archivi.</p>');
define('_YES','Ita');
define('_NO','No');
define('_SHOW_VIDEO','Ostendere Video');
define('_SELECTROW','Lego Row / Stratum');
define('_ROWONETOP','Row One Top');
define('_ROWTWOTOP','Row Duo Top');
define('_ROWTHREETOP','Row Three Top');
define('_ROWFOURTOP','Row Quattuor Top');
define('_ROWFIVETOP','Row Quinque Top');
define('_ROWSIXTOP','Row Six Top');
define('_ROWSEVENTOP','Row Septem Top');
define('_ROWEIGHTTOP','Row Octo Top');
define('_ROWNINETOP','Row Novem Top');
define('_ROWTENTOP','Row Ten Top');
define('_ROWELEVENTOP','Row Undecim Top');
define('_ROWTWELVETOP','Row Duodecim Top');
define('_ROWONEMIDDLE','Row One Middle');
define('_ROWTWOMIDDLE','Row Duo Medio');
define('_ROWTHREEMIDDLE','Row Tres Medio');
define('_ROWFOURMIDDLE','Row Quattuor Medio');
define('_ROWFIVEMIDDLE','Row Quinque Medio');
define('_ROWSIXMIDDLE','Row Sex Medio');
define('_ROWSEVENMIDDLE','Row Septem Medio');
define('_ROWEIGHTMIDDLE','Row Octo Medio');
define('_ROWNINEMIDDLE','Row Novem Medio');
define('_ROWTENMIDDLE','Row Decem Medio');
define('_ROWELEVENMIDDLE','Row XI Medio');
define('_ROWTWELVEMIDDLE','Row XII Medio');
define('_ROWONEBOTTOM','Row One Bottom');
define('_ROWTWOBOTTOM','Row Duo Solum');
define('_ROWTHREEBOTTOM','Row Tres Solum');
define('_ROWFOURBOTTOM','Row quattuor Solum');
define('_ROWFIVEBOTTOM','Row Quinque Solum');
define('_ROWSIXBOTTOM','Row Sex Solum');
define('_ROWSEVENBOTTOM','Row Septem Solum');
define('_ROWEIGHTBOTTOM','Row Octo Solum');
define('_ROWNINEBOTTOM','Row Novem Solum');
define('_ROWTENBOTTOM','Row Decem Solum');
define('_ROWELEVENBOTTOM','Row Undecim Solum');
define('_ROWTWELVEBOTTOM','Row Duodecim Solum');
define('_USEBACKIMGORCOLOR','Utere Maecenas vitae vel Coloris');
define('_BACKIMAGE','Background Image');
define('_BACKCOLORFIRST','Primum Color');
define('_BACKCOLORSECOND','Secundus Color');
define('_ENTERACTIVEVIDEO','Intra Active Video');
define('_ISSHOWNINPLAYER','Ostenditur in ludio ludius donec alius video electus (placeholder).');
define('_IFISYOUTUBE','Si hoc est a YouTube intrant src src infra. exemplum: https://www.youtube.com/embed/IgT24YYn4DU');
define('_VIDEOARCHIVEPAGE','Video Archive Page');
define('_IMAGEORVIDEO','Imago vel pone placeholder Video');
define('_IMAGE','Image');
define('_VIDEO','Video');
define('_NONE','Nullus');
define('_COLOR','Color');
define('_ONTHESCREENBEFORE','Quid in scrinio antequam electionis video fiat.');
define('_PLACEINVIDEOSFOLDER','Pone in folder (nomen tantum ex: back.jpg vel si video, video.mp4)');
define('_MUSTBEMP','Videos .mp4 tantum esse debet.');
define('_MAXCHARACTERS','max: LV characteribus');
define('_VIDEOCONFIG','Video configurationis');
define('_RETURN','Redi');
define('_VIDEOSETTINGS','Video Occasus');
define('_UPDATESUCCESSFUL','Update Prosperum ac');
define('_CLOSETHISWINDOW','Prope hanc Fenestram');
define('_CHOOSEROWLOCATION','Elige Row Location');
define('_NUMBEROFARTICLES','Numerum articulorum ostendere per paginam in articulis Dashboard?');
define('_MBRARTICLESINFO','Proxima occasus permittit tibi decernere si vis permittere Sodales Registered ut articulos ab interiore Paginae usoris suae submittere possint.');
define('_ALLOWTOSUBMIT','Patitur Users / Membra submittere Articuli?');
define('_IFPAGINATIONUSED','Occasus si Pagination <u>IS</u> usus est.');
define('_ARTICLESETTINGSINFO','Spectra vasa pagination pro magnis locis habet et quot articulos in pagina ostendere vis potes ponere. Paginas tuas servat ab esse ad longum quod tempora onerare tardare potest.');
define('_USEPAGINATION','Pagination Feature utere?');
define('_POSITIONPAGINATION','Positionem Pagination');
define('_TOP','Top');
define('_BOTTOM','Bottom');
define('_BOTH','uterque');
define('_OPENSINNEWWINDOW','Aperit in fenestra nova.');
define('_STYLEPAGINATION','Elige Pagination Style');
define('_STYLEYOUROWN','Aedificare tuum');
define('_USEDEFAULT','Usus Default');
define('_ARTICLESTOSHOW','Numeros articulos monstrare in pagina?');
define('_IFPAGINATIONNOTUSED','Occasus si pagination <u>non</u> usus est.');
define('_IFPAGINATION','Si paginatio non adhibetur, esse potest usque ad 4 capitula per ordinem?');
define('_NUMBER_TOSHOW','Numerum ostendere per ordinem.');
define('_SETBLOCKHEIGHT','Set summa scandalum (per elementa)');
define('_ORUSE','Vel Utere Default Styling vel Usus One Prebuilt Styles.');
define('_IFUSINGPAGINATION','Si pagination utens.');
define('_ARTICLECONFIG','Articulus configurationis');
define('_CONTACTSTAFFINFO','<p class="center">Potes permittere membra tua ad te immediate ex eorum membro paginam domesticum contactum.<br>* Nota: Haec alia forma est quam forma contactus <b>Public</b>.<br>Click inferiorem vinculum addere nuntium ad utrumque contactum formas.</p><p class="center"><a href="../../../core/designer/contactform.php" target="_blank">Edere Formam Contactum Publicam</a></p>');
define('_USECONTACTSTAFF','Contact Staff Feature utere?');
define('_CONTACTSTAFF','Contactus Staff');
define('_SETUPWIZARD','Setup Veneficus');
define('_UNIQUEVISITORCOUNTER','Unique Visitator Counter');
define('_COUNTERSETTINGSINFO','<b>Unique Visitator Counter</b> in pagina footer est index. Potes uti eo vel in proximo occasu vertere.');
define('_USECOUNTER','Utere Visitatore Video?');
define('_COUNTERVISIBLE','Peripatetici visibile est?');
define('_VISITORSTODATE','Visitors ad date');
define('_LOGOSETUP','Logo Setup');
define('_WEBSITELOGO','Website Logo');
define('_SUBLOGOTEXT','Sub Logo Text');
define('_USELOGOIMAGE','Utere Logo Image');
define('_IMGRADIUS','Imago Badius');
define('_LOGOIMAGE','Logo Image');
define('_PLACEINTHEMESFOLDER','Place imaginem in themata folder.');
define('_IMGWIDTH','Imago Latitudo');
define('_HOMEPAGECONFIG','Home Page configurationis');
define('_LIBRARYEXPLAIN','The library continet plugins - Categorias, Articuli Spotlight, Tag Cloud, et Archives.<br> Poni potest ut medius Clausus vel stillicidium accordion in pagina vel ut ius carbasi sidebar.');
define('_LIBRARYFEATURE','Bibliotheca Feature');
define('_RIGHT','ius');
define('_BLOCK','Obstructionum');
define('_DROPDOWNBLOCK','Decidere');
define('_SETROW','Set Row');
define('_HOVEREFFECTCAUSES','Effectus tabernus parva umbram facit apparere in caudices et sniples in murisover.');
define('_USEHOVEREFFECT','Usus Hover effectus?');
define('_HOVERSTRENGTH','Fortitudo hover Effect.');
define('_THEZOOMEFFECT','Potes eligere ut imago zoom effectus ad sniplet imagines in murisover.');
define('_ZOOMIMG','Imagine zoom effectus utere?');
define('_SNIPLETS','Snipelets');
define('_BORDERRADIUS','Terminus Radius');
define('_CONFIGSIDEBARS','Configurare Sidebars');
define('_SELECTWHICHSIDEBAR','Lego, quibus in-Canvas sidebar utendum est.');
define('_CONFIGONCANVASSIDEBARS','Configurare De-Carmina Sidebars');
define('_LEFTSIDEBARWIDTH','Pone latitudinem partem sinistram (si usus est)');
define('_RIGHTSIDEBARWIDTH','Pone latitudinem lateris dextri (si adhibetur)');
define('_CONFIG','Configurare');
define('_BLOCKS','Caudices');
define('_SELECTSIDEBAR','Elige quod Off-Canvas Pars ad usum');
define('_LEFT','Left');
define('_MENUSELECTION','Menu Electio');
define('_OFFCANVASINFO','Potes uti vel Menubar vel Offcanvas menu.<br>Si Menubar utens, supra vel infra caput logo collocari potest, thema quod elegeris emendo.');
define('_BAR','Menubar');
define('_OFFSCREEN','Offcanvas');
define('_IFCHOSEMENUBAR','Si Menubar vis eligere potes ceteras paginae huius skip.');
define('_OFFCANVASMENUOPTIONS','Off Canvas Menu Options Tantum');
define('_IFCHOSEOFFCANVASMENU','Si tabula Offcanvas uti libet, imaginem fundi fundi ad menu addere potes.');
define('_ENTERBACKIMGNAME','Intrant background imaginem nominis</strong> (inscriptio in imaginibus folder .. Ex: myback.jpg)');
define('_PLACEIMGUNDERLOGO','Pone imaginem electionis tuae in summitate menu (quando aperta) sub logo.');
define('_ENTERIMGNAME','<strong>Intra nomen imaginis</strong> (inscriptio in imaginibus folder .. Ex: myback.jpg)');
define('_MENUWHICHSIDE','Elige quam partem habere ex menu aperta (an ad dextram).');
define('_MENU_SELECTION','Menu Electio?');
define('_METAINFO','Adjuvat in inquisitione optimiizationis machinae. <a href="https://www.conductor.com/blog/2021/11/what-are-meta-tags/" target="_blank">Read plura in SEO et Metatags.</a>');
define('_META_DESCRIPTION','Descriptio');
define('_METAKEYWORDS','Keywords (separate commatibus)');
define('_METAAUTHOR','Auctor (separate commatibus)');
define('_META_TAGS','Meta Tags');
define('_THEMESELECTION','Theme Electio');
define('_WEBSITETHEME','Website/Membra Area');
define('_DASHBOARDTHEME','Designers Dashboard');
define('_ADMINTHEME','Administratores Dashboard');
define('_CANUSETHEME','Patitur membra suum propositum ponere?');
define('_SPECTRASETUPWIZARD','Spectra Velox Setup Veneficus');
define('_THESETUPWIZARD','Veneficus setup hic adiuvare vos adepto vestri website sursum et in brevi temporis spatio currit.');
define('_SELECTFEATURES','Lineamenta elige tibi ex elencho elencho configurare supra.');
define('_ARTICLESETTINGS','Articuli Occasus');
define('_METATAGCONFIG','Meta Tag configurationis');
define('_VISITORCOUNTERSETTINGS','Visitor Video Occasus');
define('_SOCIALMEDIA','Amicabiliter interventus');
define('_SMINFO','Potes eligere nexus instrumentorum socialium quos vis utere. Etiam, eligere potes ubi vis ea in situ tuo monstrari.');
define('_USESM','Social Media utere');
define('_CHOOSELOCATION_HELP','Potes eligere ut ligamentum instrumentorum communicationis socialis in capite vel footer ponere velis.');
define('_CHOOSELOCATION','Elige Location?');
define('_HEADER','Header');
define('_FOOTER','Footer');
define('_SMHEADERSTYLE_HELP','Si usus capitis loco uti potes eligere ut nexum vectis vel dropdown deprimendo.');
define('_SMHEADERSTYLE','Header Style?');
define('_SMBAR','Bar');
define('_SMBUTTON','Button');
define('_ADDVERTICLESIDEBAR_HELP','Si hoc utens, Social Media utere ad No. Pars haec in tegumenta minora non ostendet. Etiam in locis utendum est 1600px pro latitudine positae vel minus.');
define('_ADDVERTICLESIDEBAR','Add Social Media Verticle Pars?');
define('_LINK','Link');
define('_USE','Usus');
