<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */ 
require_once 'main.php';
require_once 'header.php';
 
$sql = "SELECT sidemenuback, sidemenubacksecond, sidemenubackimage, usesidemenu, showhide, position, sidemenubackchoice FROM sidemenuelement";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$sidemenuback = $row['sidemenuback'];
$sidemenubacksecond = $row['sidemenubacksecond'];
$sidemenubackimage = $row['sidemenubackimage'];
$usesidemenu = $row['usesidemenu'];
$showhide = $row['showhide'];
$position = $row['position'];
$sidemenubackchoice = $row['sidemenubackchoice']; }} ?>

<link rel="stylesheet" type="text/css" href="css/pageeditor.css">

<style>
.main-menu {
position: absolute;
top: 0;
bottom: 0;
height: 100%;
width: 55px;
overflow: hidden;
-webkit-transition: width .2s linear;
transition: width .2s linear;
-webkit-transform: translateZ(0) scale(1, 1);
transform: translateZ(0) scale(1, 1);
box-shadow: 1px 0 15px rgba(0, 0, 0, 0.07);
opacity: 1;
z-index: 999; }
</style>

<form method="post" action="helpers/sidemenuelement.php" target="_blank" class="noborder">

<link rel="stylesheet" href="../plugins/sidemenu/style.css">
<?php require_once '../plugins/sidemenu/index.php'; 

savemenu(); ?>

<?php require_once 'sidemenumenu.php'; ?>

<br><br>

<div class="card">

<div class="column-title spacer"><h1 class="coltitlecolor center"><?= _SIDEMENUELEMENT ?></h1></div>

<p class="center"><?= _SIDEMENUPARA ?></p>

<p class="column-title center coltitlecolor"><?= _GENSETTINGS ?></p>

<div class="mini-container noborder">

<p class="left"><?= _USESIDEMENU ?>  
<select name="usesidemenu">
<option><?= $usesidemenu ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select>
</p>

<p class="left"><?= _USEBACKIMAGEORCOLOR ?>  
<select name="sidemenubackchoice">
<option><?= $sidemenubackchoice ?></option>
<option value="Image"><?= _IMAGE ?></option>
<option value="Color"><?= _COLOR ?></option>
<option value="None"><?= _NONE ?></option>
</select>
</p>

<p class="left"><?= _BACKCOLORFIRST ?>: <input name="sidemenuback" class="spacer" style="background:#f0f0f0; width:300px;" value="<?= $sidemenuback ?>">
</p>

<p class="left"><?= _BACKCOLORSECOND ?>: <input name="sidemenubacksecond" class="spacer" style="background:#f0f0f0; width:300px;" value="<?= $sidemenubacksecond ?>">
</p>

<p class="left"><?= _BACKIMAGE ?> <input name="sidemenubackimage" class="spacer" style="background:#f0f0f0; width:300px;" value="<?= $sidemenubackimage ?>"><br>
<?= _PLACEINTHEMESFOLDER ?></p>

<p class="left"><?= _HIDEONMOBILE ?>
<select name="showhide">
<option><?= $showhide ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select>
</p>

<p class="left"><?= _POSITIONSIDEMENU ?>
<select name="position">
<option><?= $position ?></option>
<option value="Left"><?= _LEFT ?></option>
<option value="Right"><?= _RIGHT ?></option>
</select>
</p>

</div>
</div>

<?php require_once 'footer.php';