<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */


require_once 'main.php';

// initialize variables
$uselink = "";
$link_name = "";
$link_url = "";
$linktitle = "";
$link_icon = "";
$link_icon_color = "";
$id = 0;
$update = false;

// Create new link 
if (isset($_POST['save'])) {
$uselink = mysqli_real_escape_string($conn, $_POST['uselink']);
$link_name = mysqli_real_escape_string($conn, $_POST['link_name']);
$link_url = mysqli_real_escape_string($conn, $_POST['link_url']);
$linktitle = mysqli_real_escape_string($conn, $_POST['linktitle']);
$link_icon = mysqli_real_escape_string($conn, $_POST['link_icon']);
$link_icon_color = mysqli_real_escape_string($conn, $_POST['link_icon_color']);

mysqli_query($db, "INSERT INTO singlelinks (uselink, link_name, link_url, linktitle, link_icon, link_icon_color) VALUES ('$uselink', '$link_name', '$link_url', '$linktitle', '$link_icon', '$link_icon_color')");
$_SESSION['message'] = "Link Saved!";
echo "<script> window.location.replace('singlelinksall.php') </script>"; }

// Update existing link
if (isset($_POST['update'])) {
$id = $_POST['id'];
$uselink = mysqli_real_escape_string($conn, $_POST['uselink']);
$link_name = mysqli_real_escape_string($conn, $_POST['link_name']);
$link_url = mysqli_real_escape_string($conn, $_POST['link_url']);
$linktitle = mysqli_real_escape_string($conn, $_POST['linktitle']);
$link_icon = mysqli_real_escape_string($conn, $_POST['link_icon']);
$link_icon_color = mysqli_real_escape_string($conn, $_POST['link_icon_color']);

mysqli_query($db, "UPDATE singlelinks SET uselink='$uselink', link_name='$link_name', link_url='$link_url', linktitle='$linktitle', link_icon='$link_icon', link_icon_color='$link_icon_color' WHERE id=$id");
$_SESSION['message'] = "Link Updated!";
echo "<script> window.location.replace('singlelinksall.php') </script>"; }

// Delete exiting link from db
if (isset($_GET['del'])) {
$id = $_GET['del'];
mysqli_query($db, "DELETE FROM singlelinks WHERE id=$id");
$_SESSION['message'] = "Link deleted!";
echo "<script> window.location.replace('singlelinksall.php') </script>"; }

$results = mysqli_query($db, "SELECT * FROM singlelinks");
