<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
require_once 'singlelinks.php';
closenav();

if (isset($_GET['edit'])) {
$id = $_GET['edit'];
$update = true;

$record = mysqli_query($db, "SELECT * FROM singlelinks WHERE id='$id'"); {
$n = mysqli_fetch_array($record);
$uselink = $n['uselink'];
$link_name = $n['link_name'];
$link_url = $n['link_url'];
$linktitle = $n['linktitle'];
$link_icon = $n['link_icon'];
$link_icon_color = $n['link_icon_color']; }} ?>

<style>
p { 
font-size: 18px; 
color: <?= $gen_text_color ?>; } 

.card7 { 
background:<?= $wrapper ?>;
padding: 20px; }

.action-card {
height: 50px;
display: flex;
flex-direction: column;
border: 1px solid rgba(255, 255, 255, 0.25);
border-radius: 20px;
background: <?= $content_bg ?>;
box-shadow: 0 0 10px 1px rgba(0, 0, 0, 0.25);
backdrop-filter: blur(15px); }

.content-card {
margin: 20px auto;
padding: 14px 24px;
border: 2px solid #FFF;
border-radius: 15px;
box-shadow: 0 0 5px 2px <?= $cnt_back_shadow ?>, inset 0 3px 18px rgba(100,100,100,0.25);
width: 97%;
height: 300px;
display: flex;
flex-direction: column;
border: 1px solid <?= $wrapper ?>;
background: linear-gradient(<?= $content_bg ?>, <?= $wrapper ?>);
backdrop-filter: blur(15px); }
</style>
<link rel="stylesheet" type="text/css" href="css/pageeditor.css">

<table><tr id="wrapper"><td>
<div class="full radius spacer" style="border:0">
<div class="spacer column-title"><h1 class="center coltitlecolor"><?= _SLDASH ?></h1></div>

<br>

<p class="center"><?= _VIEWEDIT_LINKS ?></p>

<?php $results = mysqli_query($db, "SELECT * FROM singlelinks"); ?>

<form method="post" action="singlelinks.php" class="noborder">

<input type="hidden" name="id" value="<?= $id; ?>">

<h1 class="left"><a href="singlelinksbuilder.php" style="text-decoration:none" class="btn"><span class="white"> <?= _ADDNEW ?> </span></a></h1>

<div class="spacer full input-group">

<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">
<p class="center column-title coltitlecolor spacer"><?= $row['link_name'] ?></p>
<div style="height:200px; overflow-y:auto;">
<p class="left"><?= _ACTIVE ?>: <?= $row['uselink'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['link_url'] ?>" target="_blank"><?= $row['link_url'] ?></a></p>
<p class="left"><?= _LINKICON ?>: <i style="color:<?= $row['link_icon_color'] ?>" class="<?= $row['link_icon'] ?>"></i> <?= $row['link_icon'] ?></p>
</div>
<div class="center action-card">
<p><a href="singlelinksbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="singlelinks.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>

<?php } ?>

</td></tr></table>
<br><br>

</div></div>

<?php require_once 'footer.php';