<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

// initialize variables
$addtext = "";
$slidename = "";
$caption = "";
$captionalign = "";
$id = 0;
$update = false;

// Create new page
if (isset($_POST['save'])) {
$addtext = mysqli_real_escape_string($conn, $_POST['addtext']);
$slidename = mysqli_real_escape_string($conn, $_POST['slidename']);
$caption = mysqli_real_escape_string($conn, $_POST['caption']);
$captionalign = mysqli_real_escape_string($conn, $_POST['captionalign']);

mysqli_query($db, "INSERT INTO contentslider (addtext, slidename, caption, captionalign) VALUES ('$addtext', '$slidename', '$caption', '$captionalign')");
$_SESSION['message'] = "Slide Saved!";
echo "<script> window.location.replace('sliderall.php') </script>"; }

// Update existing slide
if (isset($_POST['update'])) {
$id = $_POST['id'];
$addtext = mysqli_real_escape_string($conn, $_POST['addtext']);
$slidename = mysqli_real_escape_string($conn, $_POST['slidename']);
$caption = mysqli_real_escape_string($conn, $_POST['caption']);
$captionalign = mysqli_real_escape_string($conn, $_POST['captionalign']);

mysqli_query($db, "UPDATE contentslider SET addtext='$addtext', slidename='$slidename', caption='$caption', captionalign='$captionalign' WHERE id=$id");
$_SESSION['message'] = "Slide Updated!";
echo "<script> window.location.replace('sliderall.php') </script>"; }

// Delete exiting slide from db
if (isset($_GET['del'])) {
$id = $_GET['del'];
mysqli_query($db, "DELETE FROM contentslider WHERE id=$id");
$_SESSION['message'] = "Slide deleted!";
echo "<script> window.location.replace('sliderall.php') </script>"; }

$results = mysqli_query($db, "SELECT * FROM contentslider");
