<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
require_once 'slide.php';
closenav();
if (isset($_GET['edit'])) {
$id = $_GET['edit'];
$update = true;
$record = mysqli_query($db, "SELECT * FROM contentslider WHERE id=$id"); {
$n = mysqli_fetch_array($record);
$addtext = $n['addtext'];
$slidename = $n['slidename'];
$caption = $n['caption'];
$captionalign = $n['captionalign']; }} ?>

<link rel="stylesheet" type="text/css" href="css/pageeditor.css">

<?php $results = mysqli_query($db, "SELECT * FROM contentslider"); ?>

<form method="post" action="slide.php" class="noborder">

<?php updatepublish(); ?>

<br>

<div style="padding-left:20px"><?php require_once 'slider-menu.php'; ?></div>

<br><br>

<input type="hidden" name="id" value="<?= $id ?>">

<div class="inner-wrapper full spacer radius input-group">

<div class="spacer column-title">
<h1 class="center coltitlecolor"><?= _CONTENTSLIDEBUILDER ?></h1>
</div>
<div class="mini-container">
<p class="center"><?= _BUILDONESLIDE ?></p>

<div class="center full spacer gentextcolor noborder"><strong><?= _TITLETHISSLIDE ?>:</strong>

<br>

<input type="text" name="slidename" style="width:350px" value="<?= $slidename ?>">

<p class="center"><?= _DISPLAYEDABOVESLIDE ?></p>

<p class="center"><?= _ALIGNTITLE ?>:
<select name="captionalign">
<option><?= $captionalign ?></option>
<option value="Left"><?= _LEFT ?></option>
<option value="Center"><?= _CENTER ?></option>
<option value="Right"><?= _RIGHT ?></option>
</select>
</p>

</div>

<?= _SLIDEPARA ?>
</div>
<div class="spacer full">

<h4 class="center" style="color:<?= $gen_text_color ?>"><?= _SLIDECONTENT ?></h4>

<textarea id="editor" name="addtext" style="width:100%"><?= htmlentities($addtext, ENT_QUOTES) ?></textarea>

<h4 class="center" style="color:<?= $gen_text_color ?>"><?= _CAPTION_TEXT ?></h4>

<p class="center"><?= _CAPTIONTEXTINFO ?></p>

<br>

<textarea name="caption" id="editor" style="width:100%"><?= htmlentities($caption, ENT_QUOTES) ?></textarea>

</div>

<?php require_once 'footer.php';