<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

// initialize variables
$sniplet_title = "";
$sniplet_text = "";
$sniplet_use = "";
$sniplet_image = "";
$sniplet_group = "";
$sniplet_archive = "";
$sniplet_link = "";
$sniplet_category = "";
$sniplet_fulltext = "";
$sniplet_usefulltext = "";
$imageside = "";
$imagesidebar = "";
$snipletheight = "";
$description = "";
$keywords = "";
$comments = "";
$showtitle = "";
$id = 0;
$update = false;


// Create new sniplet
if (isset($_POST['save'])) {
$sniplet_title = mysqli_real_escape_string($conn, $_POST['sniplet_title']);
$sniplet_text = mysqli_real_escape_string($conn, $_POST['sniplet_text']);
$sniplet_use = mysqli_real_escape_string($conn, $_POST['sniplet_use']);
$sniplet_image = mysqli_real_escape_string($conn, $_POST['sniplet_image']);
$sniplet_group = mysqli_real_escape_string($conn, $_POST['sniplet_group']);
$sniplet_archive = mysqli_real_escape_string($conn, $_POST['sniplet_archive']);
$sniplet_link = mysqli_real_escape_string($conn, $_POST['sniplet_link']);
$sniplet_category = mysqli_real_escape_string($conn, $_POST['sniplet_category']);
$sniplet_fulltext = mysqli_real_escape_string($conn, $_POST['sniplet_fulltext']);
$sniplet_usefulltext = mysqli_real_escape_string($conn, $_POST['sniplet_usefulltext']);
$imageside = mysqli_real_escape_string($conn, $_POST['imageside']);
$imagesidebar = mysqli_real_escape_string($conn, $_POST['imagesidebar']);
$snipletheight = mysqli_real_escape_string($conn, $_POST['snipletheight']);
$description = mysqli_real_escape_string($conn,  $_POST['description']);
$keywords = mysqli_real_escape_string($conn,  $_POST['keywords']);
$comments = mysqli_real_escape_string($conn,  $_POST['comments']);
$showtitle = mysqli_real_escape_string($conn,   $_POST['showtitle']);

mysqli_query($db, "INSERT INTO sniplet (sniplet_title, sniplet_text, sniplet_use, sniplet_image, sniplet_group, sniplet_archive, sniplet_link, sniplet_category, sniplet_fulltext, sniplet_usefulltext, imageside, imagesidebar, snipletheight, description, keywords, comments, showtitle) VALUES ('$sniplet_title', '$sniplet_text', '$sniplet_use', '$sniplet_image', '$sniplet_group', '$sniplet_archive', '$sniplet_link', '$sniplet_category', '$sniplet_fulltext', '$sniplet_usefulltext', '$imageside', '$imagesidebar', '$snipletheight', '$description', '$keywords', '$comments', '$showtitle')");
$_SESSION['message'] = "Sniplet Saved!";
echo "<script> window.location.replace('snipletsreposition.php') </script>"; }

// Update existing sniplet
if (isset($_POST['update'])) {
$id = $_POST['id'];
$sniplet_title = mysqli_real_escape_string($conn, $_POST['sniplet_title']);
$sniplet_text = mysqli_real_escape_string($conn, $_POST['sniplet_text']);
$sniplet_use = mysqli_real_escape_string($conn, $_POST['sniplet_use']);
$sniplet_image = mysqli_real_escape_string($conn, $_POST['sniplet_image']);
$sniplet_group = mysqli_real_escape_string($conn, $_POST['sniplet_group']);
$sniplet_archive = mysqli_real_escape_string($conn, $_POST['sniplet_archive']);
$sniplet_link = mysqli_real_escape_string($conn, $_POST['sniplet_link']);
$sniplet_category = mysqli_real_escape_string($conn, $_POST['sniplet_category']);
$sniplet_fulltext = mysqli_real_escape_string($conn, $_POST['sniplet_fulltext']);
$sniplet_usefulltext = mysqli_real_escape_string($conn, $_POST['sniplet_usefulltext']);
$imageside = mysqli_real_escape_string($conn, $_POST['imageside']);
$imagesidebar = mysqli_real_escape_string($conn, $_POST['imagesidebar']);
$snipletheight = mysqli_real_escape_string($conn, $_POST['snipletheight']);
$description = mysqli_real_escape_string($conn,  $_POST['description']);
$keywords = mysqli_real_escape_string($conn,  $_POST['keywords']);
$comments = mysqli_real_escape_string($conn,  $_POST['comments']);
$showtitle = mysqli_real_escape_string($conn,   $_POST['showtitle']);

mysqli_query($db, "UPDATE sniplet SET sniplet_title='$sniplet_title', sniplet_text='$sniplet_text', sniplet_use='$sniplet_use', sniplet_image='$sniplet_image', sniplet_group='$sniplet_group', sniplet_archive='$sniplet_archive', sniplet_link='$sniplet_link', sniplet_category='$sniplet_category', sniplet_fulltext='$sniplet_fulltext', sniplet_usefulltext='$sniplet_usefulltext', imageside='$imageside', imagesidebar='$imagesidebar', snipletheight='$snipletheight', description='$description', keywords='$keywords', comments='$comments', showtitle='$showtitle' WHERE id=$id");
$_SESSION['message'] = "Sniplet Updated!";
echo "<script> window.location.replace('snipletsreposition.php') </script>"; }

// Delete sniplet from db
if (isset($_GET['del'])) {
$id = $_GET['del'];
mysqli_query($db, "DELETE FROM sniplet WHERE id=$id");
$_SESSION['message'] = "Sniplet deleted!";
echo "<script> window.location.replace('snipletsall.php') </script>"; }

$results = mysqli_query($db, "SELECT * FROM sniplet");
