<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
require_once 'topbarsave.php';
closenav();

if (isset($_GET['edit'])) {
$id = $_GET['edit'];
$update = true;
$record = mysqli_query($db, "SELECT linkicon, alttext, linkurl FROM topbarbuilder WHERE id='$id'"); {
$n = mysqli_fetch_array($record);
$linkicon = $n['linkicon'];
$alttext = $n['alttext'];
$linkurl = $n['linkurl'];  }} ?>

<link rel="stylesheet" type="text/css" href="css/pageeditor.css">

<form method="post" action="topbarsave.php" class="noborder">

<?php updatepublish(); ?>

<div class="radius spacer inner-wrapper">

<div class="spacer column-title"><h1 class="center coltitlecolor"><?= _TOPMENUBARBUILDER ?></h1></div>

<p class="left">
<a href="topbarreposition.php" style="text-decoration:none"  onclick="basicPopup(this.href);return false" class="button"><?= _REPOICONS ?></a>
</p>

<div class="mini-container">

<?php $results = mysqli_query($db, "SELECT linkicon, alttext, linkurl FROM topbarbuilder"); ?>

<input type="hidden" name="id" value="<?= $id ?>">

<div class="full input-group">

<p class="left"><strong><?= _ICON ?>:</strong> (<?= _PLACEINIMAGESFOLDER ?>)</p>
<p class="left"><input maxlength="55" style="width:250px" type="text" name="linkicon" value="<?= $linkicon ?>"></p>

<p class="left"><strong><?= _ALTTEXT ?>:</strong> (<?= _SEENONHOVER ?> )</p>
<p class="left"><input maxlength="55" style="width:250px" type="text" name="alttext" value="<?= $alttext ?>"></p>

<p class="left"><strong><?= _URL ?>:</strong> (<?= _ORIGINATEFROMHOME ?>) </p>
<p class="left"><input maxlength="155" type="text" name="linkurl" value="<?= $linkurl ?>"></p>

</form>
</div>
</div>
</div>

<?php require_once 'footer.php'; 