<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

// initialize variables
$linkicon = "";
$alttext = "";
$linkurl = "";
$id = 0;
$update = false;

// Create new tab 
if (isset($_POST['save'])) {
$linkicon = mysqli_real_escape_string($conn,  $_POST['linkicon']);
$alttext = mysqli_real_escape_string($conn, $_POST['alttext']);
$linkurl = mysqli_real_escape_string($conn, $_POST['linkurl']);

mysqli_query($db, "INSERT INTO topbarbuilder (linkicon, alttext, linkurl) VALUES ('$linkicon', '$alttext', '$linkurl')");
$_SESSION['message'] = "Link Created Successfully!";
echo "<script> window.location.replace('topbarall.php') </script>"; }


// Update existing link
if (isset($_POST['update'])) {
$id = $_POST['id'];
$linkicon = mysqli_real_escape_string($conn,  $_POST['linkicon']);
$alttext = mysqli_real_escape_string($conn, $_POST['alttext']);
$linkurl = mysqli_real_escape_string($conn, $_POST['linkurl']);

mysqli_query($db, "UPDATE topbarbuilder SET linkicon='$linkicon', alttext='$alttext', linkurl='$linkurl' WHERE id=$id");
$_SESSION['message'] = "Link Updated Successfully!";
echo "<script> window.location.replace('topbarall.php') </script>"; }

// Delete exiting link from db
if (isset($_GET['del'])) {
$id = $_GET['del'];
mysqli_query($db, "DELETE FROM topbarbuilder WHERE id=$id");
$_SESSION['message'] = "Link deleted!";
echo "<script> window.location.replace('topbarall.php') </script>"; }


$results = mysqli_query($db, "SELECT linkicon alttext, linkurl FROM topbarbuilder");
