<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
closenav();

$sql = "SELECT * FROM modules";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) { ?>

<br>
<div style="padding-left:20px"><?php require_once 'gallerymenu.php'; ?></div>

<form action="helpers/usegallery.php" target="_blank" method="POST" class="noborder">

<?php savemenu(); ?>

<div class="spacer card noborder">

<div class="spacer column-title">
<h1 class="center coltitlecolor"><?= _IMGGALLERY ?></h1>
</div>
<div class="mini-container noborder spacer">
<p class="left"><strong><?= _USEIMGGALLERY ?> </strong>
<select name="use_gallery">
<option><?= $row['use_gallery'] ?></option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>

<p class="left"><strong><?= _SHOWCOUNTER ?> </strong>
<select name="showcounter">
<option><?= $row['showcounter'] ?></option>
<option value="Admin"><?= _ADMIN ?></option>
<option value="Public"><?= _PUBLIC ?></option>
</select>
</p>

<p class="left"><?= _GALLERYLINK ?></p>

<p class="left"><strong><?= _LINKNAMEASITAPPEARS ?></strong> <input style="background:#f1f1f1; color:#000;" type="text" name="gallery_linkname" style="width:200px" value="<?= htmlentities($row['gallery_linkname'], ENT_QUOTES) ?>"></p>

<p class="left"><?= _OPTIONALFA ?></p>

<p class="left"><strong><?= _FAICON ?>: </strong><input style="background:#f1f1f1; color:#000;" type="text" name="gallery_icon" style="width:200px" value="<?= htmlentities($row['gallery_icon'], ENT_QUOTES) ?>"></p>

<p class="left"><strong><?= _FAICONCOLOR ?>: </strong><input style="background:#f1f1f1; color:#000;" type="text" name="gallery_icon_color" style="200px" value="<?= htmlentities($row['gallery_icon_color'], ENT_QUOTES) ?>"></p>

<?php }} ?>

<p class="left"><?= _GALLERYINFO ?><a href="gallery_config.php" target="_blank" title="<?= _OPENSINNEWWINDOW ?>" class="link"> <?= _CONFIG ?> </a><?= _GALLERYINFOCONT ?></p>

</div>
</div>

<br>
<br>

<br>
<br>
<br>


<?php require_once 'footer.php';