<?php 
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
require_once 'videos.php';
closenav();
if (isset($_GET['edit'])) {
$id = $_GET['edit'];
$update = true;
$record = mysqli_query($db, "SELECT * FROM videos WHERE id='$id'"); {
$n = mysqli_fetch_array($record);
$usevideo = $n['usevideo'];
$videoarchive = $n['videoarchive'];
$videolink = $n['videolink']; 
$videotitle = $n['videotitle'];
$videoimage = $n['videoimage']; }} ?>

<style>
.card7 { 
background:<?= $wrapper ?>;
padding: 20px; }

.action-card {
height: 50px;
display: flex;
flex-direction: column;
border: 1px solid rgba(255, 255, 255, 0.25);
border-radius: 20px;
background: <?= $content_bg ?>;
box-shadow: 0 0 10px 1px rgba(0, 0, 0, 0.25);
backdrop-filter: blur(15px); }

.content-card {
margin: 20px auto;
padding: 14px 24px;
border: 2px solid #FFF;
border-radius: 15px;
box-shadow: 0 0 5px 2px <?= $cnt_back_shadow ?>, inset 0 3px 18px rgba(100,100,100,0.25);
width: 97%;
height: 400px;
display: flex;
flex-direction: column;
border: 1px solid <?= $wrapper ?>;
background: linear-gradient(<?= $content_bg ?>, <?= $wrapper ?>);
backdrop-filter: blur(15px); }

.jumpbox {
width: 350px;
box-shadow: 2px 2px 4px #000;
margin: 0 auto;
text-align: center; }


.button {
box-shadow: 2px 2px 4px #000; }

.button:hover {
box-shadow: none; }

#mytopBtn {
display: none;
position: fixed;
bottom: 20px;
right: 30px;
z-index: 99999;
font-size: 18px;
border: none;
outline: none;
background-color: red;
color: white;
cursor: pointer;
padding: 15px;
border-radius: 4px; }

#mytopBtn:hover {
background-color: #555; }
</style>
<link rel="stylesheet" type="text/css" href="css/pageeditor.css">
<button onclick="topFunction()" id="mytopBtn" title="Go to top"><?= _TOP ?></button>
<div class="inner-wrapper" style="box-shadow:none; width:97%; margin:0 auto;">
<table class="full"><tr id="wrapper"><td>

<div class="column-title spacer"><h1 class="coltitlecolor center"><?= _VIDEOS ?></h1></div>

<br>
<p class="center"><strong><?= _JUMPTOROWS ?></strong></p>
<div class="mini-container jumpbox">
<table id="wrapper"><tr id="wrapper" class="spacer">
<td class="center"><a href="#one" style="text-decoration:none" class="button"><span class="linkcolor">1</span></a></td>
<td class="center"><a href="#two" style="text-decoration:none" class="button"><span class="linkcolor">2</span></a></td>
<td class="center"><a href="#three" style="text-decoration:none" class="button"><span class="linkcolor">3</span></a></td>
<td class="center"><a href="#four" style="text-decoration:none" class="button"><span class="linkcolor">4</span></a></td>
<td class="center"><a href="#five" style="text-decoration:none" class="button"><span class="linkcolor">5</span></a></td>
<td class="center"><a href="#six" style="text-decoration:none" class="button"><span class="linkcolor">6</span></a></td></tr>
<tr id="wrapper" class="spacer"><td class="center"><a href="#seven" style="text-decoration:none" class="button"><span class="linkcolor">7</span></a></td>
<td class="center"><a href="#eight" style="text-decsoration:none" class="button"><span class="linkcolor">8</span></a></td>
<td class="center"><a href="#nine" style="text-decoration:none" class="button"><span class="linkcolor">9</span></a></td>
<td class="center"><a href="#ten" style="text-decoration:none" class="button"><span class="linkcolor">10</span></a></td>
<td class="center"><a href="#eleven" style="text-decoration:none" class="button"><span class="linkcolor">11</span></a></td>
<td class="center"><a href="#twelve" style="text-decoration:none" class="button"><span class="linkcolor">12</span></a></td>
</td></tr></table>
<p class="center"><a href="#module" style="text-decoration:none" class="button"><span class="linkcolor"><?= _VIDEO ?> <?= _MODULE ?></span></a></p>
<p class="center"><a href="#oncanvas" style="text-decoration:none" class="button"><span class="linkcolor"><?= _ONCANVAS ?> <?= _SIDEBARS ?></span></a></p>
<p class="center"><a href="#offcanvas" style="text-decoration:none" class="button"><span class="linkcolor"><?= _OFFCANVAS ?> <?= _SIDEBARS ?></span></a></p>
</div>
<br>

<form method="post" action="videosall.php" class="noborder">
<input type="hidden" name="id" value="<?= $id; ?>">

<h1 class="left"><a href="videobuilder.php" style="text-decoration:none" class="btn"><span class="white"> <?= _ADDNEW ?> </span></a></h1>

<div class="spacer full input-group">

<?php $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM videos"); 
while ($row = mysqli_fetch_array($result)) { 
$var = $row['count']; } ?>

<p class="center"><?= _TOTALVIDEOS ?> ( <?= $var ?> )</p>

<h1 class="spacer center column-title coltitlecolor" id="module"><?= _VIDEO ?> <?= _MODULE ?></h1>
<table><tr id="wrapper"><td>
<?php $results = mysqli_query($db, "SELECT * FROM videos WHERE videoposition='Video Module'");
while ( $row = mysqli_fetch_array($results)) { 

/**
 * 
 * Build the array for the videos.
 * 
 */ ?>

<div class="column5 card7 left">
<div class="content-card">
<p class="center column-title coltitlecolor spacer"><?= $row['videotitle'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _YOUTUBEVIDEO ?>: <?= $row['youtube'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['usevideo'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['videoposition'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['videolink'] ?>" onclick="basicPopup(this.href);return false"><?= $row['videolink'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['videoimage'] ?><br><a href="../media/sniplets/<?= $row['videoimage'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['videoimage'] ?>" style="width:150px; height:150px; border-radius:50%; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);" alt="" /></a></p>
</div>
<div class="center action-card">
<p><a href="videobuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="videos.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div>
</div>
</div>
<?php } ?>
</td></tr></table>

<h3 class="center">- <?= _ARCHIVEDVIDEOS ?> -</h3>

<table><tr id="wrapper"><td>
<?php $results = mysqli_query($db, "SELECT * FROM videos WHERE videoposition='Video Archive'");
while ( $row = mysqli_fetch_array($results)) { 

/**
 * 
 * Build the array for the videos.
 * 
 */ ?>

<div class="column5 card7 left">
<div class="content-card">
<p class="center column-title coltitlecolor spacer"><?= $row['videotitle'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _YOUTUBEVIDEO ?>: <?= $row['youtube'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['usevideo'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['videoposition'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['videolink'] ?>" onclick="basicPopup(this.href);return false"><?= $row['videolink'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['videoimage'] ?><br><a href="../media/sniplets/<?= $row['videoimage'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['videoimage'] ?>" style="width:150px; height:150px; border-radius:50%; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);" alt="" /></a></p>
</div>
<div class="center action-card">
<p><a href="videobuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="videos.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div>
</div>
</div>
<?php } ?>
</td></tr></table>
<br>
<p class="column-title coltitlecolor spacer" id="one"><?= _ROWONE ?> <?= _LEFT ?> <?= _SIDEBARS ?></p>
<table><tr id="wrapper"><td>
<?php $results = mysqli_query($db, "SELECT * FROM videos WHERE videoposition='Row One Left'");
while ( $row = mysqli_fetch_array($results)) { 

/**
 * 
 * Build the array for the videos.
 * 
 */ ?>

<div class="column5 card7 left">
<div class="content-card">
<p class="center column-title coltitlecolor spacer"><?= $row['videotitle'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _YOUTUBEVIDEO ?>: <?= $row['youtube'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['usevideo'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['videoposition'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['videolink'] ?>" onclick="basicPopup(this.href);return false"><?= $row['videolink'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['videoimage'] ?><br><a href="../media/sniplets/<?= $row['videoimage'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['videoimage'] ?>" style="width:150px; height:150px; border-radius:50%; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);" alt="" /></a></p>
</div>
<div class="center action-card">
<p><a href="videobuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="videos.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div>
</div>
</div>
<?php } ?>
</td></tr></table>
<br>
<p class="column-title coltitlecolor spacer"><?= _ROWONE ?> <?= _RIGHT ?> <?= _SIDEBARS ?></p>
<table><tr id="wrapper"><td>
<?php $results = mysqli_query($db, "SELECT * FROM videos WHERE videoposition='Row One Right'");
while ( $row = mysqli_fetch_array($results)) {

/**
 * 
 * Build the array for the videos.
 * 
 */ ?>

<div class="column5 card7 left">
<div class="content-card">
<p class="center column-title coltitlecolor spacer"><?= $row['videotitle'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _YOUTUBEVIDEO ?>: <?= $row['youtube'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['usevideo'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['videoposition'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['videolink'] ?>" onclick="basicPopup(this.href);return false"><?= $row['videolink'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['videoimage'] ?><br><a href="../media/sniplets/<?= $row['videoimage'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['videoimage'] ?>" style="width:150px; height:150px; border-radius:50%; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);" alt="" /></a></p>
</div>
<div class="center action-card">
<p><a href="videobuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="videos.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div>
</div>
</div>
<?php } ?>
</td></tr></table>
<br>
<p class="column-title coltitlecolor spacer" id="two"><?= _ROWTWO ?> <?= _LEFT ?> <?= _SIDEBARS ?></p>
<table><tr id="wrapper"><td>
<?php $results = mysqli_query($db, "SELECT * FROM videos WHERE videoposition='Row Two Left'");
while ( $row = mysqli_fetch_array($results)) { 

/**
 * 
 * Build the array for the videos.
 * 
 */ ?>

<div class="column5 card7 left">
<div class="content-card">
<p class="center column-title coltitlecolor spacer"><?= $row['videotitle'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _YOUTUBEVIDEO ?>: <?= $row['youtube'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['usevideo'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['videoposition'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['videolink'] ?>" onclick="basicPopup(this.href);return false"><?= $row['videolink'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['videoimage'] ?><br><a href="../media/sniplets/<?= $row['videoimage'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['videoimage'] ?>" style="width:150px; height:150px; border-radius:50%; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);" alt="" /></a></p>
</div>
<div class="center action-card">
<p><a href="videobuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="videos.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div>
</div>
</div>
<?php } ?>
</td></tr></table>
<br>
<p class="column-title coltitlecolor spacer"><?= _ROWTWO ?> <?= _RIGHT ?> <?= _SIDEBARS ?></p>
<table><tr id="wrapper"><td>
<?php $results = mysqli_query($db, "SELECT * FROM videos WHERE videoposition='Row Two Right'");
while ( $row = mysqli_fetch_array($results)) { 

/**
 * 
 * Build the array for the videos.
 * 
 */ ?>

<div class="column5 card7 left">
<div class="content-card">
<p class="center column-title coltitlecolor spacer"><?= $row['videotitle'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _YOUTUBEVIDEO ?>: <?= $row['youtube'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['usevideo'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['videoposition'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['videolink'] ?>" onclick="basicPopup(this.href);return false"><?= $row['videolink'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['videoimage'] ?><br><a href="../media/sniplets/<?= $row['videoimage'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['videoimage'] ?>" style="width:150px; height:150px; border-radius:50%; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);" alt="" /></a></p>
</div>
<div class="center action-card">
<p><a href="videobuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="videos.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div>
</div>
</div>
<?php } ?>
</td></tr></table>

<br>
<p class="column-title coltitlecolor spacer" id="three"><?= _ROWTHREE ?> <?= _LEFT ?> <?= _SIDEBARS ?></p>
<table><tr id="wrapper"><td>
<?php $results = mysqli_query($db, "SELECT * FROM videos WHERE videoposition='Row Three Left'");
while ( $row = mysqli_fetch_array($results)) {

/**
 * 
 * Build the array for the videos.
 * 
 */ ?>

<div class="column5 card7 left">
<div class="content-card">
<p class="center column-title coltitlecolor spacer"><?= $row['videotitle'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _YOUTUBEVIDEO ?>: <?= $row['youtube'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['usevideo'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['videoposition'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['videolink'] ?>" onclick="basicPopup(this.href);return false"><?= $row['videolink'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['videoimage'] ?><br><a href="../media/sniplets/<?= $row['videoimage'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['videoimage'] ?>" style="width:150px; height:150px; border-radius:50%; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);" alt="" /></a></p>
</div>
<div class="center action-card">
<p><a href="videobuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="videos.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div>
</div>
</div>
<?php } ?>
</td></tr></table>

<br>
<p class="column-title coltitlecolor spacer"><?= _ROWTHREE ?> <?= _RIGHT ?> <?= _SIDEBARS ?></p>
<table><tr id="wrapper"><td>
<?php $results = mysqli_query($db, "SELECT * FROM videos WHERE videoposition='Row Three Right'");
while ( $row = mysqli_fetch_array($results)) { 

/**
 * 
 * Build the array for the videos.
 * 
 */ ?>

<div class="column5 card7 left">
<div class="content-card">
<p class="center column-title coltitlecolor spacer"><?= $row['videotitle'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _YOUTUBEVIDEO ?>: <?= $row['youtube'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['usevideo'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['videoposition'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['videolink'] ?>" onclick="basicPopup(this.href);return false"><?= $row['videolink'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['videoimage'] ?><br><a href="../media/sniplets/<?= $row['videoimage'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['videoimage'] ?>" style="width:150px; height:150px; border-radius:50%; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);" alt="" /></a></p>
</div>
<div class="center action-card">
<p><a href="videobuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="videos.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div>
</div>
</div>
<?php } ?>
</td></tr></table>

<br>
<p class="column-title coltitlecolor spacer" id="four"><?= _ROWFOUR ?> <?= _LEFT ?> <?= _SIDEBARS ?></p>
<table><tr id="wrapper"><td>
<?php $results = mysqli_query($db, "SELECT * FROM videos WHERE videoposition='Row Four Left'");
while ( $row = mysqli_fetch_array($results)) { 

/**
 * 
 * Build the array for the videos.
 * 
 */ ?>

<div class="column5 card7 left">
<div class="content-card">
<p class="center column-title coltitlecolor spacer"><?= $row['videotitle'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _YOUTUBEVIDEO ?>: <?= $row['youtube'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['usevideo'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['videoposition'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['videolink'] ?>" onclick="basicPopup(this.href);return false"><?= $row['videolink'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['videoimage'] ?><br><a href="../media/sniplets/<?= $row['videoimage'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['videoimage'] ?>" style="width:150px; height:150px; border-radius:50%; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);" alt="" /></a></p>
</div>
<div class="center action-card">
<p><a href="videobuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="videos.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div>
</div>
</div>
<?php } ?>
</td></tr></table>

<br>
<p class="column-title coltitlecolor spacer"><?= _ROWFOUR ?> <?= _RIGHT ?> <?= _SIDEBARS ?></p>
<table><tr id="wrapper"><td>
<?php $results = mysqli_query($db, "SELECT * FROM videos WHERE videoposition='Row Four Right'");
while ( $row = mysqli_fetch_array($results)) { 

/**
 * 
 * Build the array for the videos.
 * 
 */ ?>

<div class="column5 card7 left">
<div class="content-card">
<p class="center column-title coltitlecolor spacer"><?= $row['videotitle'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _YOUTUBEVIDEO ?>: <?= $row['youtube'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['usevideo'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['videoposition'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['videolink'] ?>" onclick="basicPopup(this.href);return false"><?= $row['videolink'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['videoimage'] ?><br><a href="../media/sniplets/<?= $row['videoimage'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['videoimage'] ?>" style="width:150px; height:150px; border-radius:50%; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);" alt="" /></a></p>
</div>
<div class="center action-card">
<p><a href="videobuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="videos.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div>
</div>
</div>
<?php } ?>
</td></tr></table>

<br>
<p class="column-title coltitlecolor spacer" id="five"><?= _ROWFIVE ?> <?= _LEFT ?> <?= _SIDEBARS ?></p>
<table><tr id="wrapper"><td>
<?php $results = mysqli_query($db, "SELECT * FROM videos WHERE videoposition='Row Five Left'");
while ( $row = mysqli_fetch_array($results)) { 

/**
 * 
 * Build the array for the videos.
 * 
 */ ?>

<div class="column5 card7 left">
<div class="content-card">
<p class="center column-title coltitlecolor spacer"><?= $row['videotitle'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _YOUTUBEVIDEO ?>: <?= $row['youtube'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['usevideo'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['videoposition'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['videolink'] ?>" onclick="basicPopup(this.href);return false"><?= $row['videolink'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['videoimage'] ?><br><a href="../media/sniplets/<?= $row['videoimage'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['videoimage'] ?>" style="width:150px; height:150px; border-radius:50%; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);" alt="" /></a></p>
</div>
<div class="center action-card">
<p><a href="videobuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="videos.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div>
</div>
</div>
<?php } ?>
</td></tr></table>

<br>
<p class="column-title coltitlecolor spacer"><?= _ROWFIVE ?> <?= _RIGHT ?> <?= _SIDEBARS ?></p>
<table><tr id="wrapper"><td>
<?php $results = mysqli_query($db, "SELECT * FROM videos WHERE videoposition='Row Five Right'");
while ( $row = mysqli_fetch_array($results)) { 

/**
 * 
 * Build the array for the videos.
 * 
 */ ?>

<div class="column5 card7 left">
<div class="content-card">
<p class="center column-title coltitlecolor spacer"><?= $row['videotitle'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _YOUTUBEVIDEO ?>: <?= $row['youtube'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['usevideo'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['videoposition'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['videolink'] ?>" onclick="basicPopup(this.href);return false"><?= $row['videolink'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['videoimage'] ?><br><a href="../media/sniplets/<?= $row['videoimage'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['videoimage'] ?>" style="width:150px; height:150px; border-radius:50%; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);" alt="" /></a></p>
</div>
<div class="center action-card">
<p><a href="videobuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="videos.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div>
</div>
</div>
<?php } ?>
</td></tr></table>

<br>
<p class="column-title coltitlecolor spacer" id="six"><?= _ROWSIX ?> <?= _LEFT ?> <?= _SIDEBARS ?></p>
<table><tr id="wrapper"><td>
<?php $results = mysqli_query($db, "SELECT * FROM videos WHERE videoposition='Row Six Left'");
while ( $row = mysqli_fetch_array($results)) { 

/**
 * 
 * Build the array for the videos.
 * 
 */ ?>

<div class="column5 card7 left">
<div class="content-card">
<p class="center column-title coltitlecolor spacer"><?= $row['videotitle'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _YOUTUBEVIDEO ?>: <?= $row['youtube'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['usevideo'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['videoposition'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['videolink'] ?>" onclick="basicPopup(this.href);return false"><?= $row['videolink'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['videoimage'] ?><br><a href="../media/sniplets/<?= $row['videoimage'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['videoimage'] ?>" style="width:150px; height:150px; border-radius:50%; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);" alt="" /></a></p>
</div>
<div class="center action-card">
<p><a href="videobuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="videos.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div>
</div>
</div>
<?php } ?>
</td></tr></table>

<br>
<p class="column-title coltitlecolor spacer"><?= _ROWSIX ?> <?= _RIGHT ?> <?= _SIDEBARS ?></p>
<table><tr id="wrapper"><td>
<?php $results = mysqli_query($db, "SELECT * FROM videos WHERE videoposition='Row Six Right'");
while ( $row = mysqli_fetch_array($results)) { 

/**
 * 
 * Build the array for the videos.
 * 
 */ ?>

<div class="column5 card7 left">
<div class="content-card">
<p class="center column-title coltitlecolor spacer"><?= $row['videotitle'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _YOUTUBEVIDEO ?>: <?= $row['youtube'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['usevideo'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['videoposition'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['videolink'] ?>" onclick="basicPopup(this.href);return false"><?= $row['videolink'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['videoimage'] ?><br><a href="../media/sniplets/<?= $row['videoimage'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['videoimage'] ?>" style="width:150px; height:150px; border-radius:50%; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);" alt="" /></a></p>
</div>
<div class="center action-card">
<p><a href="videobuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="videos.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div>
</div>
</div>
<?php } ?>
</td></tr></table>

<br>
<p class="column-title coltitlecolor spacer" id="seven"><?= _ROWSEVEN ?> <?= _LEFT ?> <?= _SIDEBARS ?></p>
<table><tr id="wrapper"><td>
<?php $results = mysqli_query($db, "SELECT * FROM videos WHERE videoposition='Row Seven Left'");
while ( $row = mysqli_fetch_array($results)) {

/**
 * 
 * Build the array for the videos.
 * 
 */ ?>

<div class="column5 card7 left">
<div class="content-card">
<p class="center column-title coltitlecolor spacer"><?= $row['videotitle'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _YOUTUBEVIDEO ?>: <?= $row['youtube'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['usevideo'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['videoposition'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['videolink'] ?>" onclick="basicPopup(this.href);return false"><?= $row['videolink'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['videoimage'] ?><br><a href="../media/sniplets/<?= $row['videoimage'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['videoimage'] ?>" style="width:150px; height:150px; border-radius:50%; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);" alt="" /></a></p>
</div>
<div class="center action-card">
<p><a href="videobuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="videos.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div>
</div>
</div>
<?php } ?>
</td></tr></table>

<br>
<p class="column-title coltitlecolor spacer"><?= _ROWSEVEN ?> <?= _RIGHT ?> <?= _SIDEBARS ?></p>
<table><tr id="wrapper"><td>
<?php $results = mysqli_query($db, "SELECT * FROM videos WHERE videoposition='Row Seven Right'");
while ( $row = mysqli_fetch_array($results)) { 

/**
 * 
 * Build the array for the videos.
 * 
 */ ?>

<div class="column5 card7 left">
<div class="content-card">
<p class="center column-title coltitlecolor spacer"><?= $row['videotitle'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _YOUTUBEVIDEO ?>: <?= $row['youtube'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['usevideo'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['videoposition'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['videolink'] ?>" onclick="basicPopup(this.href);return false"><?= $row['videolink'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['videoimage'] ?><br><a href="../media/sniplets/<?= $row['videoimage'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['videoimage'] ?>" style="width:150px; height:150px; border-radius:50%; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);" alt="" /></a></p>
</div>
<div class="center action-card">
<p><a href="videobuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="videos.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div>
</div>
</div>
<?php } ?>
</td></tr></table>

<br>
<p class="column-title coltitlecolor spacer" id="eight"><?= _ROWEIGHT ?> <?= _LEFT ?> <?= _SIDEBARS ?></p>
<table><tr id="wrapper"><td>
<?php $results = mysqli_query($db, "SELECT * FROM videos WHERE videoposition='Row Eight Left'");
while ( $row = mysqli_fetch_array($results)) {

/**
 * 
 * Build the array for the videos.
 * 
 */ ?>

<div class="column5 card7 left">
<div class="content-card">
<p class="center column-title coltitlecolor spacer"><?= $row['videotitle'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _YOUTUBEVIDEO ?>: <?= $row['youtube'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['usevideo'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['videoposition'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['videolink'] ?>" onclick="basicPopup(this.href);return false"><?= $row['videolink'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['videoimage'] ?><br><a href="../media/sniplets/<?= $row['videoimage'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['videoimage'] ?>" style="width:150px; height:150px; border-radius:50%; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);" alt="" /></a></p>
</div>
<div class="center action-card">
<p><a href="videobuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="videos.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div>
</div>
</div>
<?php } ?>
</td></tr></table>

<br>
<p class="column-title coltitlecolor spacer"><?= _ROWEIGHT ?> <?= _RIGHT ?> <?= _SIDEBARS ?></p>
<table><tr id="wrapper"><td>
<?php $results = mysqli_query($db, "SELECT * FROM videos WHERE videoposition='Row Eight Right'");
while ( $row = mysqli_fetch_array($results)) { 

/**
 * 
 * Build the array for the videos.
 * 
 */ ?>

<div class="column5 card7 left">
<div class="content-card">
<p class="center column-title coltitlecolor spacer"><?= $row['videotitle'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _YOUTUBEVIDEO ?>: <?= $row['youtube'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['usevideo'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['videoposition'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['videolink'] ?>" onclick="basicPopup(this.href);return false"><?= $row['videolink'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['videoimage'] ?><br><a href="../media/sniplets/<?= $row['videoimage'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['videoimage'] ?>" style="width:150px; height:150px; border-radius:50%; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);" alt="" /></a></p>
</div>
<div class="center action-card">
<p><a href="videobuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="videos.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div>
</div>
</div>
<?php } ?>
</td></tr></table>

<br>
<p class="column-title coltitlecolor spacer" id="nine"><?= _ROWNINE ?> <?= _LEFT ?> <?= _SIDEBARS ?></p>
<table><tr id="wrapper"><td>
<?php $results = mysqli_query($db, "SELECT * FROM videos WHERE videoposition='Row Nine Left'");
while ( $row = mysqli_fetch_array($results)) { 

/**
 * 
 * Build the array for the videos.
 * 
 */ ?>

<div class="column5 card7 left">
<div class="content-card">
<p class="center column-title coltitlecolor spacer"><?= $row['videotitle'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _YOUTUBEVIDEO ?>: <?= $row['youtube'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['usevideo'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['videoposition'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['videolink'] ?>" onclick="basicPopup(this.href);return false"><?= $row['videolink'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['videoimage'] ?><br><a href="../media/sniplets/<?= $row['videoimage'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['videoimage'] ?>" style="width:150px; height:150px; border-radius:50%; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);" alt="" /></a></p>
</div>
<div class="center action-card">
<p><a href="videobuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="videos.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div>
</div>
</div>
<?php } ?>
</td></tr></table>

<br>
<p class="column-title coltitlecolor spacer"><?= _ROWNINE ?> <?= _RIGHT ?> <?= _SIDEBARS ?></p>
<table><tr id="wrapper"><td>
<?php $results = mysqli_query($db, "SELECT * FROM videos WHERE videoposition='Row Nine Right'");
while ( $row = mysqli_fetch_array($results)) { 

/**
 * 
 * Build the array for the videos.
 * 
 */ ?>

<div class="column5 card7 left">
<div class="content-card">
<p class="center column-title coltitlecolor spacer"><?= $row['videotitle'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _YOUTUBEVIDEO ?>: <?= $row['youtube'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['usevideo'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['videoposition'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['videolink'] ?>" onclick="basicPopup(this.href);return false"><?= $row['videolink'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['videoimage'] ?><br><a href="../media/sniplets/<?= $row['videoimage'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['videoimage'] ?>" style="width:150px; height:150px; border-radius:50%; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);" alt="" /></a></p>
</div>
<div class="center action-card">
<p><a href="videobuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="videos.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div>
</div>
</div>
<?php } ?>
</td></tr></table>

<br>
<p class="column-title coltitlecolor spacer" id="ten"><?= _ROWTEN ?> <?= _LEFT ?> <?= _SIDEBARS ?></p>
<table><tr id="wrapper"><td>
<?php $results = mysqli_query($db, "SELECT * FROM videos WHERE videoposition='Row Ten Left'");
while ( $row = mysqli_fetch_array($results)) { 

/**
 * 
 * Build the array for the videos.
 * 
 */ ?>

<div class="column5 card7 left">
<div class="content-card">
<p class="center column-title coltitlecolor spacer"><?= $row['videotitle'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _YOUTUBEVIDEO ?>: <?= $row['youtube'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['usevideo'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['videoposition'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['videolink'] ?>" onclick="basicPopup(this.href);return false"><?= $row['videolink'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['videoimage'] ?><br><a href="../media/sniplets/<?= $row['videoimage'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['videoimage'] ?>" style="width:150px; height:150px; border-radius:50%; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);" alt="" /></a></p>
</div>
<div class="center action-card">
<p><a href="videobuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="videos.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div>
</div>
</div>
<?php } ?>
</td></tr></table>

<br>
<p class="column-title coltitlecolor spacer"><?= _ROWTEN ?> <?= _RIGHT ?> <?= _SIDEBARS ?></p>
<table><tr id="wrapper"><td>
<?php $results = mysqli_query($db, "SELECT * FROM videos WHERE videoposition='Row Ten Right'");
while ( $row = mysqli_fetch_array($results)) { 

/**
 * 
 * Build the array for the videos.
 * 
 */ ?>

<div class="column5 card7 left">
<div class="content-card">
<p class="center column-title coltitlecolor spacer"><?= $row['videotitle'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _YOUTUBEVIDEO ?>: <?= $row['youtube'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['usevideo'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['videoposition'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['videolink'] ?>" onclick="basicPopup(this.href);return false"><?= $row['videolink'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['videoimage'] ?><br><a href="../media/sniplets/<?= $row['videoimage'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['videoimage'] ?>" style="width:150px; height:150px; border-radius:50%; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);" alt="" /></a></p>
</div>
<div class="center action-card">
<p><a href="videobuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="videos.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div>
</div>
</div>
<?php } ?>
</td></tr></table>

<br>
<p class="column-title coltitlecolor spacer" id="eleven"><?= _ROWELEVEN ?> <?= _LEFT ?> <?= _SIDEBARS ?></p>
<table><tr id="wrapper"><td>
<?php $results = mysqli_query($db, "SELECT * FROM videos WHERE videoposition='Row Eleven Left'");
while ( $row = mysqli_fetch_array($results)) { 

/**
 * 
 * Build the array for the videos.
 * 
 */ ?>

<div class="column5 card7 left">
<div class="content-card">
<p class="center column-title coltitlecolor spacer"><?= $row['videotitle'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _YOUTUBEVIDEO ?>: <?= $row['youtube'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['usevideo'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['videoposition'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['videolink'] ?>" onclick="basicPopup(this.href);return false"><?= $row['videolink'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['videoimage'] ?><br><a href="../media/sniplets/<?= $row['videoimage'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['videoimage'] ?>" style="width:150px; height:150px; border-radius:50%; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);" alt="" /></a></p>
</div>
<div class="center action-card">
<p><a href="videobuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="videos.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div>
</div>
</div>
<?php } ?>
</td></tr></table>

<br>
<p class="column-title coltitlecolor spacer"><?= _ROWELEVEN ?> <?= _RIGHT ?> <?= _SIDEBARS ?></p>
<table><tr id="wrapper"><td>
<?php $results = mysqli_query($db, "SELECT * FROM videos WHERE videoposition='Row Eleven Right'");
while ( $row = mysqli_fetch_array($results)) { 

/**
 * 
 * Build the array for the videos.
 * 
 */ ?>

<div class="column5 card7 left">
<div class="content-card">
<p class="center column-title coltitlecolor spacer"><?= $row['videotitle'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _YOUTUBEVIDEO ?>: <?= $row['youtube'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['usevideo'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['videoposition'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['videolink'] ?>" onclick="basicPopup(this.href);return false"><?= $row['videolink'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['videoimage'] ?><br><a href="../media/sniplets/<?= $row['videoimage'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['videoimage'] ?>" style="width:150px; height:150px; border-radius:50%; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);" alt="" /></a></p>
</div>
<div class="center action-card">
<p><a href="videobuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="videos.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div>
</div>
</div>
<?php } ?>
</td></tr></table>

<br>
<p class="column-title coltitlecolor spacer" id="twelve"><?= _ROWTWELVE ?> <?= _LEFT ?> <?= _SIDEBARS ?></p>
<table><tr id="wrapper"><td>
<?php $results = mysqli_query($db, "SELECT * FROM videos WHERE videoposition='Row Twelve Left'");
while ( $row = mysqli_fetch_array($results)) { 

/**
 * 
 * Build the array for the videos.
 * 
 */ ?>

<div class="column5 card7 left">
<div class="content-card">
<p class="center column-title coltitlecolor spacer"><?= $row['videotitle'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _YOUTUBEVIDEO ?>: <?= $row['youtube'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['usevideo'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['videoposition'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['videolink'] ?>" onclick="basicPopup(this.href);return false"><?= $row['videolink'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['videoimage'] ?><br><a href="../media/sniplets/<?= $row['videoimage'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['videoimage'] ?>" style="width:150px; height:150px; border-radius:50%; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);" alt="" /></a></p>
</div>
<div class="center action-card">
<p><a href="videobuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="videos.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div>
</div>
</div>
<?php } ?>
</td></tr></table>

<br>
<p class="column-title coltitlecolor spacer"><?= _ROWTWELVE ?> <?= _RIGHT ?> <?= _SIDEBARS ?></p>
<table><tr id="wrapper"><td>
<?php $results = mysqli_query($db, "SELECT * FROM videos WHERE videoposition='Row Twelve Right'");
while ( $row = mysqli_fetch_array($results)) { 

/**
 * 
 * Build the array for the videos.
 * 
 */ ?>

<div class="column5 card7 left">
<div class="content-card">
<p class="center column-title coltitlecolor spacer"><?= $row['videotitle'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _YOUTUBEVIDEO ?>: <?= $row['youtube'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['usevideo'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['videoposition'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['videolink'] ?>" onclick="basicPopup(this.href);return false"><?= $row['videolink'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['videoimage'] ?><br><a href="../media/sniplets/<?= $row['videoimage'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['videoimage'] ?>" style="width:150px; height:150px; border-radius:50%; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);" alt="" /></a></p>
</div>
<div class="center action-card">
<p><a href="videobuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="videos.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div>
</div>
</div>
<?php } ?>
</td></tr></table>

<br>
<p class="column-title coltitlecolor spacer" id="oncanvas"><?= _ONCANVAS ?> <?= _LEFT ?> <?= _SIDEBARS ?></p>
<table><tr id="wrapper"><td>
<?php $results = mysqli_query($db, "SELECT * FROM videos WHERE videoposition='On-canvas Left'");
while ( $row = mysqli_fetch_array($results)) { 

/**
 * 
 * Build the array for the videos.
 * 
 */ ?>

<div class="column5 card7 left">
<div class="content-card">
<p class="center column-title coltitlecolor spacer"><?= $row['videotitle'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _YOUTUBEVIDEO ?>: <?= $row['youtube'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['usevideo'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['videoposition'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['videolink'] ?>" onclick="basicPopup(this.href);return false"><?= $row['videolink'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['videoimage'] ?><br><a href="../media/sniplets/<?= $row['videoimage'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['videoimage'] ?>" style="width:150px; height:150px; border-radius:50%; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);" alt="" /></a></p>
</div>
<div class="center action-card">
<p><a href="videobuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="videos.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div>
</div>
</div>
<?php } ?>
</td></tr></table>

<br>
<p class="column-title coltitlecolor spacer" id="oncanvas"><?= _ONCANVAS ?> <?= _RIGHT ?> <?= _SIDEBARS ?></p>
<table><tr id="wrapper"><td>
<?php $results = mysqli_query($db, "SELECT * FROM videos WHERE videoposition='On-canvas Right'");
while ( $row = mysqli_fetch_array($results)) { 

/**
 * 
 * Build the array for the videos.
 * 
 */ ?>

<div class="column5 card7 left">
<div class="content-card">
<p class="center column-title coltitlecolor spacer"><?= $row['videotitle'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _YOUTUBEVIDEO ?>: <?= $row['youtube'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['usevideo'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['videoposition'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['videolink'] ?>" onclick="basicPopup(this.href);return false"><?= $row['videolink'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['videoimage'] ?><br><a href="../media/sniplets/<?= $row['videoimage'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['videoimage'] ?>" style="width:150px; height:150px; border-radius:50%; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);" alt="" /></a></p>
</div>
<div class="center action-card">
<p><a href="videobuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="videos.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div>
</div>
</div>
<?php } ?>
</td></tr></table>

<br>
<p class="column-title coltitlecolor spacer" id="offcanvas"><?= _OFFCANVAS ?> <?= _LEFT ?> <?= _SIDEBARS ?></p>
<table><tr id="wrapper"><td>
<?php $results = mysqli_query($db, "SELECT * FROM videos WHERE videoposition='Off-canvas Left'");
while ( $row = mysqli_fetch_array($results)) { 

/**
 * 
 * Build the array for the videos.
 * 
 */ ?>

<div class="column5 card7 left">
<div class="content-card">
<p class="center column-title coltitlecolor spacer"><?= $row['videotitle'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _YOUTUBEVIDEO ?>: <?= $row['youtube'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['usevideo'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['videoposition'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['videolink'] ?>" onclick="basicPopup(this.href);return false"><?= $row['videolink'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['videoimage'] ?><br><a href="../media/sniplets/<?= $row['videoimage'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['videoimage'] ?>" style="width:150px; height:150px; border-radius:50%; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);" alt="" /></a></p>
</div>
<div class="center action-card">
<p><a href="videobuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="videos.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div>
</div>
</div>
<?php } ?>
</td></tr></table>

<br>
<p class="column-title coltitlecolor spacer" id="oncanvas"><?= _OFFCANVAS ?> <?= _RIGHT ?> <?= _SIDEBARS ?></p>
<table><tr id="wrapper"><td>
<?php $results = mysqli_query($db, "SELECT * FROM videos WHERE videoposition='Off-canvas Right'");
while ( $row = mysqli_fetch_array($results)) { 

/**
 * 
 * Build the array for the videos.
 * 
 */ ?>

<div class="column5 card7 left">
<div class="content-card">
<p class="center column-title coltitlecolor spacer"><?= $row['videotitle'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _YOUTUBEVIDEO ?>: <?= $row['youtube'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['usevideo'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['videoposition'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['videolink'] ?>" onclick="basicPopup(this.href);return false"><?= $row['videolink'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['videoimage'] ?><br><a href="../media/sniplets/<?= $row['videoimage'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['videoimage'] ?>" style="width:150px; height:150px; border-radius:50%; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);" alt="" /></a></p>
</div>
<div class="center action-card">
<p><a href="videobuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="videos.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div>
</div>
</div>
<?php } ?>
</td></tr></table>

<script>
let mybutton = document.getElementById("mytopBtn");
window.onscroll = function() {scrollFunction()};
function scrollFunction() {
if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
mybutton.style.display = "block";
} else {
mybutton.style.display = "none"; }}
function topFunction() {
document.body.scrollTop = 0;
document.documentElement.scrollTop = 0; }
</script>

<?php require_once 'footer.php';