<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
closenav();

$sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 	
while ($row = $result->fetch_assoc()) {
$themes = $row['themes']; 
$dashboard_theme = $row['dashboard_theme']; 
$number_to_show = $row['number_to_show']; 
$pagination = $row['pagination']; 
$subdomain = $row['subdomain']; 
$Subdomain_name = $row['Subdomain_name']; 
$usecounter = $row['usecounter']; 
$allow_article = $row['allow_article']; 
$contact_staff = $row['contact_staff']; 
$menuselection = $row['menuselection']; 
$back_image = $row['back_image'];  
$sidemenuimage = $row['sidemenuimage']; 
$offcanvas_position = $row['offcanvas_position']; 
$dashboardmenu = $row['dashboardmenu']; 
$position_pagination = $row['position_pagination']; 
$admintheme = $row['admintheme']; 
$successful_bg = $row['successful_bg']; 
$paginationstyle = $row['paginationstyle']; 
$viewcounter = $row['viewcounter']; 
$showuserlist = $row['showuserlist']; 
$padding = $row['padding']; 
$radius = $row['radius']; 
$shadow = $row['shadow']; 
$border = $row['border']; 
$firstcolor = $row['firstcolor']; 
$secondcolor = $row['secondcolor']; 
$backimg = $row['backimg']; 
$selectback = $row['selectback']; 
$styling = $row['styling']; 
$hp_sidebars = $row['hp_sidebars']; 
$hp_oncanvas_sidebars = $row['hp_oncanvas_sidebars']; 
$hp_leftwidth = $row['hp_leftwidth']; 
$hp_rightwidth = $row['hp_rightwidth']; 
$hp_library = $row['hp_library']; 
$hp_setrow = $row['hp_setrow']; 
$perrow = $row['perrow']; 
$hoverblock = $row['hoverblock']; 
$zoomimg = $row['zoomimg']; 
$borderradius = $row['borderradius']; 
$hoverstrength = $row['hoverstrength']; 
$config_article = $row['config_article'];
$numbertoshow = $row['numbertoshow'];
$allowthemeuse = $row['allowthemeuse']; 
$articleheight = $row['articleheight']; 
$setrow = $row['setrow'];
$activevideo = $row['activevideo'];
$showvideo = $row['showvideo'];
$videoback = $row['videoback'];
$videobackimg = $row['videobackimg'];
$videobackcolor = $row['videobackcolor'];
$videobackcolortwo = $row['videobackcolortwo'];
$archiveplaceholder = $row['archiveplaceholder'];
$chooseplaceholder = $row['chooseplaceholder'];
$description = $row['description']; 
$keywords = $row['keywords']; 
$author = $row['author'];
$logosize = $row['logosize'];
$logo_image = $row['logo_image'];
$logoradius = $row['logoradius'];
$uselogoimage = $row['uselogoimage'];
$sublogotext = $row['sublogotext'];
$logo = $row['logo']; 
$lang = $row['lang'];
$newstitle = $row['newstitle'];
$showtitle = $row['showtitle'];
$setperrow = $row['setperrow'];
$article_height = $row['article_height'];
$msgheight_member = $row['msgheight_member'];
$msgheight_admin = $row['msgheight_admin'];
$msgperrow_member = $row['msgperrow_member'];
$msgperrow_admin = $row['msgperrow_admin'];
$msgperrow_visitor = $row['msgperrow_visitor'];
$msgheight_visitor = $row['msgheight_visitor'];
$maintitle = $row['maintitle'];
$styletitle = $row['styletitle'];
$sidebars_used = $row['sidebars_used'];
$top_article_left_width = $row['top_article_left_width'];
$top_article_right_width = $row['top_article_right_width'];
$lefttext = $row['lefttext'];
$righttext = $row['righttext'];
$setsiteupdate = $row['setsiteupdate'];
$updatedate = $row['updatedate'];
}}

$sql = "SELECT * FROM config_row_one, config_row_two, config_row_three, 
config_row_four, config_row_five, config_row_six, config_row_seven, 
config_row_eight, config_row_nine, config_row_ten, config_row_eleven, config_row_twelve"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$userowone = $row['userowone']; 
$userowtwo = $row['userowtwo']; 
$userowthree = $row['userowthree']; 
$userowfour = $row['userowfour']; 
$userowfive = $row['userowfive']; 
$userowsix = $row['userowsix']; 
$userowseven =$row['userowseven']; 
$useroweight = $row['useroweight']; 
$userownine = $row['userownine']; 
$userowten =$row['userowten']; 
$useroweleven = $row['useroweleven']; 
$userowtwelve = $row['userowtwelve']; 
 }} ?> 

<style>
.mini-container { 
width: 73% }

@media(max-width: 900px) { 
.mini-container { 
width: 100%; 
padding: 0; }} 

.coltitle { 
background: #fff; 
text-align: center; 
border: 
.5px solid #94D6E3; 
box-shadow: 1px 0 40px 0 rgba(50, 50, 50, .3);} 

.spacer {
padding:15px } 

p {
font-size:17px } 

#mytopBtn {
display: none;
position: fixed;
bottom: 20px;
right: 30px;
z-index: 99999;
font-size: 18px;
border: none;
outline: none;
background-color: red;
color: white;
cursor: pointer;
padding: 15px;
border-radius: 4px; }

#mytopBtn:hover {
background-color: #555; }
</style>

<button onclick="topFunction()" id="mytopBtn" title="Go to top"><?= _TOP ?></button>

<link rel="stylesheet" href="css/pageeditor.css" />

<form action="helpers/website.php" target="_blank" method="post" class="noborder" style="padding:0; margin:0 auto;">

<?php savemenu(); ?>

<div class="radius noborder input-group">

<div class="mini-container" style="margin:0 auto">
<div class="column-title radius"><h1 class="center coltitlecolor"><?= _GENSITECONFIG ?></h1></div>
<br>

<p class="center"><?= _JUMPBOX ?></p> 
<div class="mini-container center" style="width:100%">

<div class="row center">

<div class="left column4 white">&bull; <a href="#pagination"><?= _ARTICLESETTINGS ?></a></div>
<div class="left column4 white">&bull; <a href="#backtotop"><?= _BACKTOTOPBUTTON ?></a></div>
<div class="left column4 white">&bull; <a href="#logo"><?= _BUILDTHELOGO ?></a></div>
<div class="left column4 white">&bull; <a href="#confighomepage"><?= _CONFIG ?> <?= _HOMEPAGE ?></a></div>

<p>&nbsp;</p>

<div class="left column4 white">&bull; <a href="#videosettings"><?= _CONFIG ?> <?= _VIDEOS ?></a></div>
<div class="left column4 white">&bull; <a href="#counter"><?= _COUNTERSETTINGS ?></a></div>
<div class="left column4 white">&bull; <a href="#contact"><?= _CONTACTSTAFF ?></a></div>
<div class="left column4 white">&bull; <a href="#dashboard"><?= _DASHBOARDSETTINGS ?></a></div>

<p>&nbsp;</p>

<div class="left column4 white">&bull; <a href="#domain"><?= _DOMAINSETTINGS ?></a></div>
<div class="left column4 white">&bull; <a href="#menuselect"><?= _SITESMENUSELECT ?></a></div>
<div class="left column4 white">&bull; <a href="#offcanvas"><?= _OFFCANVASMENUOPTIONS ?></a></div>
<div class="left column4 white">&bull; <a href="#language"><?= _LANGSETTINGS ?></a></div>

<p>&nbsp;</p>

<div class="left column4 white">&bull; <a href="#metatags"><?= _META_TAGS ?></a></div>
<div class="left column4 white">&bull; <a href="#newstitle"><?= _NEWSBLOCKTITLE ?></a></div>
<div class="left column4 white">&bull; <a href="#dashboardtheme"><?= _THEMESETTINGS ?></a></div>

</div>
</div>

<br>

<div class="noborder spacer">

<p class="column-title center coltitlecolor" id="language"><i class="fas fa-gears"></i> <?= _LANGSETTINGS ?></p>
<div class="mini-container" style="width:100%">

<div class="spacer">
<p class="center"><?= _CHOOSELANG ?></p>

<p class="center"><strong><?= _LANG ?>? </strong>
<select name="lang">
<option><?= $lang ?></option>
<?php if ($handle = opendir('lang')) {
while (false !== ($file = readdir($handle))) {
if ($file != "." && $file != "..") {
$info = pathinfo($file);
$file_name =  basename($file, '.' . $info['extension']);
echo "<option value='" . $file_name . "'>" . $file_name . "</option>"; }}}

closedir($handle); ?>
</select>

</div>
</div>

<br>

<p class="column-title center coltitlecolor" id="dashboardtheme"><?= _THEMESETTINGS ?></p>
<div class="mini-container" style="width:100%">

<?php $sql = "SELECT * FROM themes ORDER BY theme_name ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { ?>

<p class="left"><strong><?= _WEBSITETHEME ?>: </strong>
<select name="themes">
<option><?= $themes ?></option>
<?php while ($row = $result->fetch_assoc()) { ?>
<option value="<?= $row['theme_name'] ?>">
<?= $row['theme_name'] ?>
</option>
<?php } ?>
</select>
</p>
<?php }

$sql = "SELECT * FROM themes ORDER BY theme_name ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { ?>

<p class="left"><strong><?= _DASHBOARDTHEME ?>: </strong>
<select name="dashboard_theme">
<option><?= $dashboard_theme ?></option>
<?php while ($row = $result->fetch_assoc()) { ?>
<option value="<?= $row['theme_name'] ?>">
<?= $row['theme_name'] ?>
</option>
<?php } ?>
</select>
</p>
<?php }

$sql = "SELECT * FROM themes ORDER BY theme_name ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { ?>

<p class="left"><strong><?= _ADMINTHEME ?>: </strong>
<select name="admintheme">
<option><?= $admintheme ?></option>
<?php while ($row = $result->fetch_assoc()) { ?>
<option value="<?= $row['theme_name'] ?>">
<?= $row['theme_name'] ?>
</option>
<?php } ?>
</select>
</p>
<?php } ?>

<p class="left"><strong><?= _CANUSETHEME ?> </strong>
<select name="allowthemeuse">
<option><?= $allowthemeuse ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select></p>
<br><br>
</div>
<br>

<p class="column-title center coltitlecolor" id="confighomepage"><?= _CONFIG ?> <?= _HOMEPAGE ?></p>
<div class="mini-container" style="width:100%">


<div id="library"></div>
<p class="left"><?= _LIBRARYEXPLAIN ?></p>
<p class="left"><strong><?= _LIBRARYFEATURE ?></strong>
<select name="hp_library">
<option><?= $hp_library ?></option>
<option value="Right"><?= _RIGHT ?></option>
<option value="Block"><?= _BLOCK ?></option>
<option value="Dropdown"><?= _DROPDOWNBLOCK ?></option>
<option value="None"><?= _NONE ?></option>
</select> (<?= _MUSTBEASSIGNED ?>)</p>

<p class="left"><strong><?= _SETROW ?></strong>
<select name="hp_setrow">
<option><?= $hp_setrow ?></option>
<option value="Row One Top"><?= _ROWONETOP ?></option>
<option value="Row One Middle"><?= _ROWONEMIDDLE ?></option>
<option value="Row One Bottom"><?= _ROWONEBOTTOM ?></option>

<option value="Row Two Top"><?= _ROWTWOTOP ?></option>
<option value="Row Two Middle"><?= _ROWTWOMIDDLE ?></option>
<option value="Row Two Bottom"><?= _ROWTWOBOTTOM ?></option>

<option value="Row Three Top"><?= _ROWTHREETOP ?></option>
<option value="Row Three Middle"><?= _ROWTHREEMIDDLE ?></option>
<option value="Row Three Bottom"><?= _ROWTHREEBOTTOM ?></option>

<option value="Row Four Top"><?= _ROWFOURTOP ?></option>
<option value="Row Four Middle"><?= _ROWFOURMIDDLE ?></option>
<option value="Row Four Bottom"><?= _ROWFOURBOTTOM ?></option>

<option value="Row Five Top"><?= _ROWFIVETOP ?></option>
<option value="Row Five Middle"><?= _ROWFIVEMIDDLE ?></option>
<option value="Row Five Bottom"><?= _ROWFIVEBOTTOM ?></option>

<option value="Row Six Top"><?= _ROWSIXTOP ?></option>
<option value="Row Six Middle"><?= _ROWSIXMIDDLE ?></option>
<option value="Row Six Bottom"><?= _ROWSIXBOTTOM ?></option>

<option value="Row Seven Top"><?= _ROWSEVENTOP ?></option>
<option value="Row Seven Middle"><?= _ROWSEVENMIDDLE ?></option>
<option value="Row Seven Bottom"><?= _ROWSEVENBOTTOM ?></option>

<option value="Row Eight Top"><?= _ROWEIGHTTOP ?></option>
<option value="Row Eight Middle"><?= _ROWEIGHTMIDDLE ?></option>
<option value="Row Eight Bottom"><?= _ROWEIGHTBOTTOM ?></option>

<option value="Row Nine Top"><?= _ROWNINETOP ?></option>
<option value="Row Nine Middle"><?= _ROWNINEMIDDLE ?></option>
<option value="Row Nine Bottom"><?= _ROWNINEBOTTOM ?></option>

<option value="Row Ten Top"><?= _ROWTENTOP ?></option>
<option value="Row Ten Middle"><?= _ROWTENMIDDLE ?></option>
<option value="Row Ten Bottom"><?= _ROWTENBOTTOM ?></option>

<option value="Row Eleven Top"><?= _ROWELEVENTOP ?></option>
<option value="Row Eleven Middle"><?= _ROWELEVENMIDDLE ?></option>
<option value="Row Eleven Bottom"><?= _ROWELEVENBOTTOM ?></option>

<option value="Row Twelve Top"><?= _ROWTWELVETOP ?></option>
<option value="Row Twelve Middle"><?= _ROWTWELVEMIDDLE ?></option>
<option value="Row Twelve Bottom"><?= _ROWTWELVEBOTTOM ?></option>

</select></p>

<p class="center column-title coltitlecolor" id="configsniplets"><?= _CONFIG ?> <?= _BLOCKS ?>/<?= _SNIPLETS ?></p>

<p class="left"><?= _HOVEREFFECTCAUSES ?></p>

<p class="left"><strong><?= _USEHOVEREFFECT ?></strong>
<select name="hoverblock">
<option><?= $hoverblock ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select></p>

<p class="left"><strong><?= _HOVERSTRENGTH ?></strong>
<select name="hoverstrength">
<option><?= $hoverstrength ?></option>
<option value="2px">2px</option>
<option value="3px">3px</option>
<option value="4px">4px</option>
<option value="5px">5px</option>
<option value="6px">6px</option>
<option value="7px">7px</option>
<option value="8px">8px</option>
<option value="9px">9px</option>
<option value="10px">10px</option>
<option value="11px">11px</option>
<option value="12px">12px</option>
<option value="13px">13px</option>
<option value="14px">14px</option>
<option value="15px">15px</option>
<option value="16px">16px</option>
<option value="17px">17px</option>
<option value="18px">18px</option>
<option value="19px">19px</option>
<option value="20px">20px</option>
</select></p>

<p class="left"><?= _THEZOOMEFFECT ?></p>

<p class="left"><strong><?= _ZOOMIMG ?></strong>
<select name="zoomimg">
<option><?= $zoomimg ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select></p>

<p class="left"><strong><?= _BLOCKS ?>/<?= _SNIPLETS ?> <?= _BORDERRADIUS ?>: </strong>
<select name="borderradius">
<option><?= $borderradius ?></option>
<option value="3px">3px</option>
<option value="4px">4px</option>
<option value="5px">5px</option>
<option value="6px">6px</option>
<option value="7px">7px</option>
<option value="8px">8px</option>
<option value="9px">9px</option>
<option value="10px">10px</option>
<option value="11px">11px</option>
<option value="12px">12px</option>
<option value="13px">13px</option>
<option value="14px">14px</option>
<option value="15px">15px</option>
</select></p>

<br>

<h2 class="column-title coltitlecolor center" id="configsidebars"><?= _CONFIGSIDEBARS ?></h2>
<p class="left"><strong><?= _SELECTSIDEBAR ?>.</strong>
<select name="hp_sidebars">
<option><?= $hp_sidebars ?></option>
<option value="Left"><?= _LEFT ?></option>
<option value="Right"><?= _RIGHT ?></option>
<option value="Both"><?= _BOTH ?></option>
<option value="None"><?= _NONE ?></option>
</select></p>

<p class="left"><strong><?= _SELECTWHICHSIDEBAR ?>.</strong>
<select name="hp_oncanvas_sidebars">
<option><?= $hp_oncanvas_sidebars ?></option>
<option value="Left"><?= _LEFT ?></option>
<option value="Right"><?= _RIGHT ?></option>
<option value="Both"><?= _BOTH ?></option>
<option value="Both Left"><?= _BOTH ?> <?= _LEFT ?></option>
<option value="Both Right"><?= _BOTH ?> <?= _RIGHT ?></option>
<option value="None"><?= _NONE ?></option>
</select></p>


<p class="left"><?= _CONFIGONCANVASSIDEBARS ?>:</p>

<p class="left"><?= _LEFTSIDEBARWIDTH ?>:
<select name="hp_leftwidth">
<option><?= $hp_leftwidth ?></option>
<option value="15%">15%</option>
<option value="20%">20%</option>
<option value="25%">25%</option>
</select></p>

<p class="left"><?= _RIGHTSIDEBARWIDTH ?>:
<select name="hp_rightwidth">
<option><?= $hp_rightwidth ?></option>
<option value="15%">15%</option>
<option value="20%">20%</option>
<option value="25%">25%</option>
</select></p>

</div>

<br>

<h2 class="column-title center coltitlecolor" id="dashboard"><?= _DASHBOARDSETTINGS ?></h2>
<div class="mini-container" style="width:100%">

<p class="spacer"><?= _APPLYTODBONLY ?></p>
<p class="left"><strong><?= _CHOOSEMENU ?></strong>
<select name="dashboardmenu">
<option><?= $dashboardmenu ?></option>
<option value="menubar"><?= _MENUBAR ?></option>
<option value="offcanvas"><?= _OFFCANVAS ?></option>
<option value="icon"><?= _ICON ?></option>
</select>
</p>
<p class="left"><?= _WHENUPDATEISCLICKED ?></p>
<p class="left"><?= _BACKIMG ?> <input name="successful_bg" value="<?= $successful_bg ?>" style="background:#f0f0f0;width:300px;"> <?= _PLACEINTHEMESFOLDER ?></p> 
<br>
</div>

<br>
<h2 class="column-title center coltitlecolor"><?= _MISCSETTINGS ?></h2>
<div class="mini-container" style="width:100%">

<p class="left"><strong><?= _SHOWUSERLIST ?></strong>
<select name="showuserlist">
<option><?= $showuserlist ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>						
</select> <?= _LINKAPPEARS ?>
</p>
</div>

<br>

<p class="column-title center coltitlecolor" id="metatags"><?= _SETMETATAGS ?></p>

<div class="mini-container" style="width:100%">
<br>
<h3 class="center"><?= _METAINFO ?></h3>

<div class="spacer">

<p class="left"><strong><?= _META_DESCRIPTION ?>:</strong>
<input class="spacer" style="background:#f1f1f1; width:100%" name="description" value="<?= $description ?>">
</p>

<p class="left"><strong><?= _METAKEYWORDS ?>:</strong>
<input class="spacer" style="background:#f1f1f1; width:100%" name="keywords" value="<?= $keywords ?>">
</p>

<p class="left"><strong><?= _METAAUTHOR ?>:</strong>
<input class="spacer" style="background:#f1f1f1; width:100%" name="author" value="<?= $author ?>">
</p>

</div>
</div>

<br>

<p class="column-title center coltitlecolor" id="logo"><?= _BUILDLOGO ?></p>

<div class="mini-container noborder" style="width:100%">         

<p class="center"><?= _LOGOSARESTYLED ?></p>

<p class="left"><strong><?= _WEBSITELOGO ?>:</strong>

<br>
<input style="background:#f1f1f1; color:#000; width:300px;" type="text" name="logo" value="<?= htmlentities($logo, ENT_QUOTES) ?>">
</p>                        
<p class="left" id="sublogotext"><strong><?= _SUB_LOGOTEXT ?>:</strong>
<br>
<input style="width:300px; background:#f1f1f1; color:#000;" type="text" name="sublogotext" maxlength="55" size="55" value="<?= $sublogotext ?>">
</p>

<p class="left"><strong><?= _USELOGOIMG ?> </strong>
<select name="uselogoimage">
<option><?= $uselogoimage ?></option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>

<p class="left"><strong><?= _LOGOIMGSQROUND ?> </strong>
<select name="logoradius">
<option><?= $logoradius ?></option>
<option value="0">0</option>
<option value="2px">2px</option>
<option value="3px">3px</option>
<option value="4px">4px</option>
<option value="5px">5px</option>
<option value="6px">6px</option>
<option value="7px">7px</option>
<option value="8px">8px</option>
<option value="9px">9px</option>
<option value="10px">10px</option>
<option value="11px">11px</option>
<option value="12px">12px</option>
<option value="13px">13px</option>
<option value="14px">14px</option>
<option value="15px">15px</option>
<option value="50%">50%</option>
</select>
</p>

<p class="left"><?= _LOGOIMAGE ?>
<br>
<input type="text" name="logo_image" style="width:300px; background:#f1f1f1; color:#000;" value="<?= htmlentities($logo_image, ENT_QUOTES) ?>">
<br>
<?= _IMGDIM ?>
</p>

<p class="left"><strong><?= _LOGOIMGWIDTH ?></strong>
<select name="logosize">
<option><?= $logosize ?></option>
<option value="60px">60px</option>
<option value="70px">70px</option>
<option value="80px">80px</option>
<option value="90px">90px</option>
<option value="100px">100px</option>
<option value="110px">110px</option>
</select>
</p>
</div>

<br>

<h2 class="column-title center coltitlecolor" id="backtotop"><?= _BACKTOTOPBUTTON ?></h2>
<div class="mini-container" style="width:100%">

<h3 class="center"><?= _IFMAKINGCHANGES ?>
<a href="backtotop.php" onclick="basicPopup(this.href);return false"><?= _PREVIEWWINDOW ?></a><?= _TOSEECHANGES ?>
</h3>

<p Class="left"><?= _CHOOSESTYLING ?><br>
<select name="styling">
<option><?= $styling ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select></p>

<p Class="left"><?= _BACKIMAGEORCOLOR ?><br>
<select name="selectback">
<option><?= $selectback ?></option>
<option value="Image"><?= _IMAGE ?></option>
<option value="Color"><?= _COLOR ?></option>
</select></p>

<p class="left"><?= _BACKIMAGENAME ?>

<br>

<input style="background:#f1f1f1; width:300px;" class="spacer" name="backimg" value="<?= $backimg ?>">
</p>

<p class="left"><?= _IFTWOCOLORS ?></p>

<p class="left"><?= _ENTERFIRSTCOLOR ?>
<br>
<input type="text" style="width:100px" class="spacer" name="firstcolor" value="<?= $firstcolor ?>">
</p>

<p class="left"><?= _ENTERSECONDCOLOR ?>
<br>
<input type="text" style="width:100px" name="secondcolor" value="<?= $secondcolor ?>">
</p>

<p class="left"><?= _ENTERBORDER ?>
<br>
<input type="text" style="width:150px" class="spacer" name="border" value="<?= $border ?>">
</p>

<p class="left"><?= _ADDSHADOW ?>
<br>
<input style="width:250px" class="spacer" name="shadow" value="<?= $shadow ?>">
</p>

<p Class="left"><?= _CHOOSEBORDERRADIUS ?><br>
<select name="radius">
<option><?= $radius ?></option>
<option value="5px">5px</option>
<option value="6px">6px</option>
<option value="7px">7px</option>
<option value="8px">8px</option>
<option value="9px">9px</option>
<option value="10px">10px</option>
<option value="11px">11px</option>
<option value="12px">12px</option>
<option value="13px">13px</option>
<option value="14px">14px</option>
<option value="15px">15px</option>
<option value="50%">50%</option>
</select></p>

<p Class="left"><?= _SETPADDING ?><br>
<select name="padding">
<option><?= $padding ?></option>
<option value="5px">5px</option>
<option value="6px">6px</option>
<option value="7px">7px</option>
<option value="8px">8px</option>
<option value="9px">9px</option>
<option value="10px">10px</option>
<option value="11px">11px</option>
<option value="12px">12px</option>
<option value="13px">13px</option>
<option value="14px">14px</option>
<option value="15px">15px</option>
</select></p>

</div>

<br>

<h2 class="column-title center coltitlecolor" id="newstitle"><?= _NEWSBLOCKTITLE ?></h2>
<div class="mini-container" style="width:100%">

<p class="left" style="line-height:1.6"><?= _MSGPOSITION ?></p>

<p Class="left"><?= _MSGPERROW ?> (<?= _MEMBER ?>)<br>
<select name="msgperrow_member">
<option><?= $msgperrow_member ?></option>
<option value="1">1</option>
<option value="2">2</option>
<option value="3">3</option>
<option value="4">4</option>
<option value="5">5</option>
<option value="6">6</option>
</select></p>

<p Class="left"><?= _MSGPERROW ?> (<?= _ADMIN ?>)<br>
<select name="msgperrow_admin">
<option><?= $msgperrow_admin ?></option>
<option value="1">1</option>
<option value="2">2</option>
<option value="3">3</option>
<option value="4">4</option>
<option value="5">5</option>
<option value="6">6</option>
</select></p>

<p Class="left"><?= _MSGPERROW ?> (<?= _VISITOR ?>)<br>
<select name="msgperrow_visitor">
<option><?= $msgperrow_visitor ?></option>
<option value="1">1</option>
<option value="2">2</option>
<option value="3">3</option>
<option value="4">4</option>
<option value="5">5</option>
<option value="6">6</option>
</select></p>

<p class="left"><?= _SETMSGHEIGHT ?> (<?= _MEMBER ?>)<br>
<select name="msgheight_member">
<option><?= $msgheight_member ?></option>
<option value="100px">100px</option>
<option value="200px">200px</option>
<option value="300px">300px</option>
<option value="400px">400px</option>
<option value="500px">500px</option>
<option value="600px">600px</option>
<option value="700px">700px</option>
<option value="800px">800px</option>
<option value="900px">900px</option>
<option value="1000px">1000px</option>
<option value="auto">auto</option>
</select></p>

<p class="left"><?= _SETMSGHEIGHT ?> (<?= _ADMIN ?>)<br>
<select name="msgheight_admin">
<option><?= $msgheight_admin ?></option>
<option value="100px">100px</option>
<option value="200px">200px</option>
<option value="300px">300px</option>
<option value="400px">400px</option>
<option value="500px">500px</option>
<option value="600px">600px</option>
<option value="700px">700px</option>
<option value="800px">800px</option>
<option value="900px">900px</option>
<option value="1000px">1000px</option>
<option value="auto">auto</option>
</select></p>

<p class="left"><?= _SETMSGHEIGHT ?> (<?= _VISITOR ?>)<br>
<select name="msgheight_visitor">
<option><?= $msgheight_visitor ?></option>
<option value="100px">100px</option>
<option value="200px">200px</option>
<option value="300px">300px</option>
<option value="400px">400px</option>
<option value="500px">500px</option>
<option value="600px">600px</option>
<option value="700px">700px</option>
<option value="800px">800px</option>
<option value="900px">900px</option>
<option value="1000px">1000px</option>
<option value="auto">auto</option>
</select></p>

<p class="left"><?= _SHOWTITLE ?><br>
<select name="showtitle">
<option><?= $showtitle ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select></p>

<p class="left"><strong><?= _NEWSBLOCKPARA ?></strong><br>
<input name="newstitle" value="<?= $newstitle ?>" style="width:100%" class="spacer">
</p>

</div>

<br>

<h2 class="column-title center coltitlecolor" id="pagination"><?= _ARTICLESETTINGS ?></h2>

<p class="center"><?= _PAGINATIONMUSTBEUSED ?>

<div class="mini-container" style="width:100%">

<p class="left"><?= _OPTIONALTITLE ?>
<input name="maintitle" value="<?= $maintitle ?>" style="width:75%; background:#f1f1f1; color: #000000;">
</p>

<p class="left"><?= _STYLETITLE ?><br>
<select name="styletitle">
<option><?= $styletitle ?></option>
<option value="Plain"><?= _PLAIN ?></option>
<option value="Styled"><?= _STYLED ?></option>
<option value="None"><?= _NONE ?></option>
</select></p>


<p class="left"><strong><?= _CHOOSEROWLOCATION ?>:</strong></p> 

<p class="left"><?= _MUSTBEUSED ?></p>

<select name="config_article">
<option><?= $config_article ?></option>

<?php if ($userowone == 'Yes') { ?>
<option value="None"><?= _NONE ?></option>
<option value="Row One Top Articles"><?= _ROWONETOP ?> <?= _ARTICLES ?></option>
<option value="Row One Top"><?= _ROWONETOP ?></option>
<option value="Row One Middle"><?= _ROWONEMIDDLE ?></option>
<option value="Row One Bottom"><?= _ROWONEBOTTOM ?></option>
<?php } else { } ?>

<?php if ($userowtwo == 'Yes') { ?>
<option value="Row Two Top"><?= _ROWTWOTOP ?></option>
<option value="Row Two Middle"><?= _ROWTWOMIDDLE ?></option>
<option value="Row Two Bottom"><?= _ROWTWOBOTTOM ?></option>
<?php } else { } ?>

<?php if ($userowthree == 'Yes') { ?>
<option value="Row Three Top"><?= _ROWTHREETOP ?></option>
<option value="Row Three Middle"><?= _ROWTHREEMIDDLE ?></option>
<option value="Row Three Bottom"><?= _ROWTHREEBOTTOM ?></option>
<?php } else { } ?>

<?php if ($userowfour == 'Yes') { ?>
<option value="Row Four Top"><?= _ROWFOURTOP ?></option>
<option value="Row Four Middle"><?= _ROWFOURMIDDLE ?></option>
<option value="Row Four Bottom"><?= _ROWFOURBOTTOM ?></option>
<?php } else { } ?>

<?php if ($userowfive == 'Yes') { ?>
<option value="Row Five Top"><?= _ROWFIVETOP ?></option>
<option value="Row Five Middle"><?= _ROWFIVEMIDDLE ?></option>
<option value="Row Five Bottom"><?= _ROWFIVEBOTTOM ?></option>
<?php } else { } ?>

<?php if ($userowsix == 'Yes') { ?>
<option value="Row Six Top"><?= _ROWSIXTOP ?></option>
<option value="Row Six Middle"><?= _ROWSIXMIDDLE ?></option>
<option value="Row Six Bottom"><?= _ROWSIXBOTTOM ?></option>
<?php } else { } ?>

<?php if ($userowseven == 'Yes') { ?>
<option value="Row Seven Top"><?= _ROWSEVENTOP ?></option>
<option value="Row Seven Middle"><?= _ROWSEVENMIDDLE ?></option>
<option value="Row Seven Bottom"><?= _ROWSEVENBOTTOM ?></option>
<?php } else { } ?>

<?php if ($useroweight == 'Yes') { ?>
<option value="Row Eight Top"><?= _ROWEIGHTTOP ?></option>
<option value="Row Eight Middle"><?= _ROWEIGHTMIDDLE ?></option>
<option value="Row Eight Bottom"><?= _ROWEIGHTBOTTOM ?></option>
<?php } else { } ?>

<?php if ($userownine == 'Yes') { ?>
<option value="Row Nine Top"><?= _ROWNINETOP ?></option>
<option value="Row Nine Middle"><?= _ROWNINEMIDDLE ?></option>
<option value="Row Nine Bottom"><?= _ROWNINEBOTTOM ?></option>
<?php } else { } ?>

<?php if ($userowten == 'Yes') { ?>
<option value="Row Ten Top"><?= _ROWTENTOP ?></option>
<option value="Row Ten Middle"><?= _ROWTENMIDDLE ?></option>
<option value="Row Ten Bottom"><?= _ROWTENBOTTOM ?></option>
<?php } else { } ?>

<?php if ($useroweleven == 'Yes') { ?>
<option value="Row Eleven Top"><?= _ROWELEVENTOP ?></option>
<option value="Row Eleven Middle"><?= _ROWELEVENMIDDLE ?></option>
<option value="Row Eleven Bottom"><?= _ROWELEVENBOTTOM ?></option>
<?php } else { } ?>

<?php if ($userowtwelve == 'Yes') { ?>
<option value="Row Twelve Top"><?= _ROWTWELVETOP ?></option>
<option value="Row Twelve Middle"><?= _ROWTWELVEMIDDLE ?></option>
<option value="Row Twelve Bottom"><?= _ROWTWELVEBOTTOM ?></option>
<?php } else { } ?>
</select>

</div>
<br>
<div class="mini-container" style="width:100%">

<p class="center"><strong><?= _IFPAGINATIONUSED ?></strong></p>

<p class="left"><?= _ARTICLESETTINGSINFO ?></p>
<p class="left"><strong><?= _USEPAGINATION ?><br>(<?= _MUSTBESET ?>)  </strong><br>
<select name="pagination">
<option><?= $pagination ?></option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>

<p class="left"><strong><?= _POSITIONPAGINATION ?>: </strong>
<select name="position_pagination">
<option><?= $position_pagination ?></option>
<option value="Top"><?= _TOP ?></option>
<option value="Bottom"><?= _BOTTOM ?></option>
<option value="Both"><?= _BOTH ?></option>
</select> 
</p>

<p class="left"><a href="previewpagination.php" onclick="basicPopup(this.href);return false" title="<?= _OPENSINNEWWINDOW ?>"><?= _STYLEPAGINATION ?></a></p>

<p class="left"><a href="paginationbuilder.php" onclick="basicPopup(this.href);return false" title="<?= _OPENSINNEWWINDOW ?>"><?= _STYLEYOUROWN ?></a> <?= _ORUSE ?></p>

<?php $sql = "SELECT stylename FROM pagination"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { ?> 

<p class="left">
<select name="paginationstyle">
<option><?= $paginationstyle ?></option>
<option value="Use Default"><?= _USEDEFAULT ?></option>
<?php while ($row = $result->fetch_assoc()) { ?>
<option value="<?= $row['stylename'] ?>"><?= $row['stylename'] ?></option>
<?php }} ?>
</select>

<p class="left"><strong><?= _ARTICLESTOSHOW ?> </strong>
<select name="number_to_show">
<option><?= $number_to_show ?></option>
<option></option>
<option value="1">1</option>
<option value="2">2</option>
<option value="3">3</option>
<option value="4">4</option>
<option value="5">5</option>
<option value="6">6</option>
<option value="7">7</option>
<option value="8">8</option>
<option value="9">9</option>
<option value="10">10</option>
<option value="11">11</option>
<option value="12">12</option>
<option value="13">13</option>
<option value="14">14</option>
<option value="15">15</option>
<option value="16">16</option>
<option value="17">17</option>
<option value="18">18</option>
<option value="19">19</option>
<option value="20">20</option>
</select> <?= _IFUSINGPAGINATION ?>
</p>

</div>
<br>
<div class="mini-container" style="width:100%">

<p class="center"><strong><?= _IFPAGINATIONNOTUSED ?></strong></p>

<p class="left"><?= _IFPAGINATION ?></p>
<p class="left"><strong><?= _NUMBER_TOSHOW ?> </strong>
<select name="perrow">
<option><?= $perrow ?></option>
<option></option>
<option value="1">1</option>
<option value="2">2</option>
<option value="3">3</option>
<option value="4">4</option>
</select>
</p>

<p class="left"><strong><?= _SETBLOCKHEIGHT ?></strong><br>
<select name="articleheight">
<option><?= $articleheight ?></option>
<option></option>
<option value="200px">200px</option>
<option value="225px">225px</option>
<option value="250px">250px</option>
<option value="275px">275px</option>
<option value="300px">300px</option>
<option value="325px">325px</option>
<option value="350px">350px</option>
<option value="375px">375px</option>
<option value="400px">400px</option>
<option value="425px">425px</option>
<option value="450px">450px</option>
<option value="475px">475px</option>
<option value="500px">500px</option>
<option value="525px">525px</option>
<option value="550px">550px</option>
<option value="575px">575px</option>
<option value="600px">600px</option>
<option value="625px">625px</option>
<option value="650px">650px</option>
<option value="675px">675px</option>
<option value="700px">700px</option>
<option value="725px">725px</option>
<option value="750px">750px</option>
<option value="775px">775px</option>
<option value="800px">800px</option>
<option value="825px">825px</option>
<option value="850px">850px</option>
<option value="875px">875px</option>
<option value="900px">900px</option>
<option value="925px">925px</option>
<option value="950px">950px</option>
<option value="975px">975px</option>
<option value="1000px">1000px</option>
<option value="1025px">1025px</option>
<option value="1050px">1050px</option>
<option value="1075px">1075px</option>
<option value="1100px">1100px</option>
</select> <?= _ONLYIFSHOWPERROW ?>
</p>

</div>
<br>
<div class="mini-container" style="width:100%">

<p class="left"><strong><?= _NUMBEROFARTICLES ?></strong><br>
<select name="numbertoshow">
<option><?= $numbertoshow ?></option>
<option value="50">50</option>
<option value="100">100</option>
<option value="150">150</option>
<option value="200">200</option>
<option value="250">250</option>
<option value="300">300</option>
<option value="350">350</option>
<option value="400">400</option>
<option value="450">450</option>
<option value="500">500</option>
</select>
</p>

<p class="left"><?= _MBRARTICLESINFO ?></p>
<p class="left"><strong><?= _ALLOWTOSUBMIT ?></strong>
<select name="allow_article">
<option><?= $allow_article ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select>
</p>

</div>
<br>
<div class="mini-container" style="width:100%">

<p class="center"><strong><?= _SETTINGSFORLOCATION ?></strong></p>

<p class="left"><strong><?= _IFCHOSEN ?></strong><br>
<select name="setperrow"> 
<option><?= $setperrow ?></option>
<option value="1">1</option>
<option value="2">2</option>
<option value="3">3</option>
<option value="4">4</option>
</select>
</p>

<p class="left"><strong><?= _SELECTSTANDARDHEIGHT ?></strong><br>
<select name="article_height">
<option><?= $article_height ?></option>
<option value="100px">100px</option>
<option value="200px">200px</option>
<option value="300px">300px</option>
<option value="400px">400px</option>
<option value="500px">500px</option>
<option value="600px">600px</option>
<option value="700px">700px</option>
<option value="800px">800px</option>
<option value="900px">900px</option>
<option value="1000px">1000px</option>
<option value="auto">auto</option>
</select>
</p>

<p class="center"><strong><?= _OPTIONALSIDEBARS ?></strong></p>
<p class="center"><strong><?= _PLACECONTENT?></strong></p>


<p class="left"><strong><?= _USESIDEBAR ?></strong>
<select name="sidebars_used"> 
<option><?= $sidebars_used ?></option>
<option value="Left"><?= _LEFT ?></option>
<option value="Right"><?= _RIGHT ?></option>
<option value="Both"><?= _BOTH ?></option>
<option value="None"><?= _NONE ?></option>
</select>
</p>

<p class="left"><?= _LEFTSIDEBARWIDTH ?>:
<select name="top_article_left_width">
<option><?= $top_article_left_width ?></option>
<option value="15%">15%</option>
<option value="20%">20%</option>
<option value="25%">25%</option>
<option value="30%">30%</option>
</select></p>

<p class="left"><?= _RIGHTSIDEBARWIDTH ?>:
<select name="top_article_right_width">
<option><?= $top_article_right_width ?></option>
<option value="15%">15%</option>
<option value="20%">20%</option>
<option value="25%">25%</option>
<option value="30%">30%</option>
</select></p>

<p class="center" id="topsidebars"><?= _CONTENTADDED ?></p>

<table><tr><td class="top">
<p class="center"><?= _LEFT ?> <?= _SIDEBARS ?></p>

<div class="spacer"><textarea id="editor" type="text" name="lefttext" style="width:95%"><?= $lefttext ?></textarea></div>


</td><td class="top">

<p class="center"><?= _RIGHT ?> <?= _SIDEBARS ?></p>

<div class="spacer"><textarea id="editor" type="text" name="righttext" style="width:95%"><?= $righttext ?></textarea></div>



</td></tr></table>
</div>
<br>

<div class="mini-container spacer" id="videosettings" style="width:100%">

<p class="column-title coltitlecolor center"><?= _CONFIG ?> <?= _VIDEOS ?></p>

<br>

<h2 class="center"><?= _VIDEOSETTINGS ?>
<p class="center"><?= _WILLCONFIGMOD ?></p>

<p class="left"><strong><?= _SHOW_VIDEO ?></strong>
<select name="showvideo">
<option><?= $showvideo ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select></p>

<p class="left"><strong><?= _SELECTROW ?></strong>
<select name="setrow">
<option><?= $setrow ?></option>
<?php if ($userowone == 'Yes') { ?>
<option value="Row One Top"><?= _ROWONETOP ?></option>
<option value="Row One Middle"><?= _ROWONEMIDDLE ?></option>
<option value="Row One Bottom"><?= _ROWONEBOTTOM ?></option>
<?php } else { } ?>

<?php if ($userowtwo == 'Yes') { ?>
<option value="Row Two Top"><?= _ROWTWOTOP ?></option>
<option value="Row Two Middle"><?= _ROWTWOMIDDLE ?></option>
<option value="Row Two Bottom"><?= _ROWTWOBOTTOM ?></option>
<?php } else { } ?>

<?php if ($userowthree == 'Yes') { ?>
<option value="Row Three Top"><?= _ROWTHREETOP ?></option>
<option value="Row Three Middle"><?= _ROWTHREEMIDDLE ?></option>
<option value="Row Three Bottom"><?= _ROWTHREEBOTTOM ?></option>
<?php } else { } ?>

<?php if ($userowfour == 'Yes') { ?>
<option value="Row Four Top"><?= _ROWFOURTOP ?></option>
<option value="Row Four Middle"><?= _ROWFOURMIDDLE ?></option>
<option value="Row Four Bottom"><?= _ROWFOURBOTTOM ?></option>
<?php } else { } ?>

<?php if ($userowfive == 'Yes') { ?>
<option value="Row Five Top"><?= _ROWFIVETOP ?></option>
<option value="Row Five Middle"><?= _ROWFIVEMIDDLE ?></option>
<option value="Row Five Bottom"><?= _ROWFIVEBOTTOM ?></option>
<?php } else { } ?>

<?php if ($userowsix == 'Yes') { ?>
<option value="Row Six Top"><?= _ROWSIXTOP ?></option>
<option value="Row Six Middle"><?= _ROWSIXMIDDLE ?></option>
<option value="Row Six Bottom"><?= _ROWSIXBOTTOM ?></option>
<?php } else { } ?>

<?php if ($userowseven == 'Yes') { ?>
<option value="Row Seven Top"><?= _ROWSEVENTOP ?></option>
<option value="Row Seven Middle"><?= _ROWSEVENMIDDLE ?></option>
<option value="Row Seven Bottom"><?= _ROWSEVENBOTTOM ?></option>
<?php } else { } ?>

<?php if ($useroweight == 'Yes') { ?>
<option value="Row Eight Top"><?= _ROWEIGHTTOP ?></option>
<option value="Row Eight Middle"><?= _ROWEIGHTMIDDLE ?></option>
<option value="Row Eight Bottom"><?= _ROWEIGHTBOTTOM ?></option>
<?php } else { } ?>

<?php if ($userownine == 'Yes') { ?>
<option value="Row Nine Top"><?= _ROWNINETOP ?></option>
<option value="Row Nine Middle"><?= _ROWNINEMIDDLE ?></option>
<option value="Row Nine Bottom"><?= _ROWNINEBOTTOM ?></option>
<?php } else { } ?>

<?php if ($userowten == 'Yes') { ?>
<option value="Row Ten Top"><?= _ROWTENTOP ?></option>
<option value="Row Ten Middle"><?= _ROWTENMIDDLE ?></option>
<option value="Row Ten Bottom"><?= _ROWTENBOTTOM ?></option>
<?php } else { } ?>

<?php if ($useroweleven == 'Yes') { ?>
<option value="Row Eleven Top"><?= _ROWELEVENTOP ?></option>
<option value="Row Eleven Middle"><?= _ROWELEVENMIDDLE ?></option>
<option value="Row Eleven Bottom"><?= _ROWELEVENBOTTOM ?></option>
<?php } else { } ?>

<?php if ($userowtwelve == 'Yes') { ?>
<option value="Row Twelve Top"><?= _ROWTWELVETOP ?></option>
<option value="Row Twelve Middle"><?= _ROWTWELVEMIDDLE ?></option>
<option value="Row Twelve Bottom"><?= _ROWTWELVEBOTTOM ?></option>
<?php } else { } ?>
</select></p>

<p class="left"><?= _USEBACKIMGORCOLOR ?>
<select name="videoback">
<option><?= $videoback ?></option>
<option value="Image"><?= _IMAGE ?></option>
<option value="Color"><?= _COLOR ?></option>
<option value="None"><?= _NONE ?></option>
</select>

<p class="left"><?= _BACKIMAGE ?><br>
<input name="videobackimg" value="<?= $videobackimg ?>" style="width:300px; background:#f1f1f1;" class="spacer"> <?= _MAXCHARACTERS ?></p>

<p class="left"><?= _BACKCOLORFIRST ?>: 
<input name="videobackcolor" value="<?= $videobackcolor ?>" style="width:75px; background:#f1f1f1;" class="spacer"></p>

<p class="left"><?= _BACKCOLORSECOND ?>:
<input name="videobackcolortwo" value="<?= $videobackcolortwo ?>" style="width:75px; background:#f1f1f1;" class="spacer"></p>

<p class="left"><strong><?= _ENTERACTIVEVIDEO ?></strong>(<?= _ISSHOWNINPLAYER ?>)
<br>
(<?= _IFISYOUTUBE ?>)
<br>
<br>
<input name="activevideo" value="<?= $activevideo ?>" style="width:100%; background:#f1f1f1;" class="spacer"></p>
</div>
<br>
<div class="mini-container" style="width:100%">
<p class="center">- <?= _VIDEOARCHIVEPAGE ?> -</p>

<p class="left"><?= _IMAGEORVIDEO ?>: 
<select name="chooseplaceholder">
<option><?= $chooseplaceholder ?></option>
<option value="Image"><?= _IMAGE ?></option>
<option value="Video"><?= _VIDEO ?></option>
<option value="None"><?= _NONE ?></option>
</select> <?= _ONTHESCREENBEFORE ?></p>

<p class="left"><?= _PLACEINVIDEOSFOLDER ?>:<br>
<input name="archiveplaceholder" value="<?= $archiveplaceholder ?>" style="width:250px; background:#f1f1f1;"> <?= _MUSTBEMP ?></p>

</div>
<br>

<h2 class="column-title center coltitlecolor" id="domain"><?= _DOMAINSETTINGS ?></h2>
<div class="mini-container" style="width:100%">             
<p class="spacer"><?= _DOMAINSETTINGSINFO ?></p>
<p class="left"><strong><?= _SUBDOMAIN ?> </strong>
<select name="subdomain">
<option><?= $subdomain ?></option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>

<p class="left"><?= _SUBDOMAINNAME ?>
<input style="background:#f1f1f1;color:#000;width:330px;" type="text" name="Subdomain_name" maxlength="25" size="25" value="<?= htmlentities($Subdomain_name, ENT_QUOTES) ?>">
</p>

<br>
<br>
<br>
</div>

<br>
<h2 class="column-title center coltitlecolor" id="counter"><?= _COUNTERSETTINGS ?></h2>
<div class="inner-wrapper spacer noborder">
<p class="spacer"><?= _COUNTERSETTINGSINFO ?></p>
<p class="left"><strong><?= _USECOUNTER ?> </strong>
<select name="usecounter">
<option><?= $usecounter ?></option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>

<p class="left"><strong>Counter is visible to?</strong>
<select name="viewcounter">
<option><?= $viewcounter ?></option>
<option value="admin">admin</option>
<option value="public">public</option>
</select>
</p>

<?php $qry1 = "SELECT * FROM `counter` WHERE `id` = 0"; 
$result1 = mysqli_query($conn, $qry1); $row1 = mysqli_fetch_array($result1, MYSQLI_ASSOC); $count = $row1['visitors']; ?>
<br>
<p><?= _VISITORSTODATE ?>: <?= $count ?></p>
<br>
<br>
</div>
<br>
<h2 class="column-title center coltitlecolor" id="counter"><?= _SITEUPDATE ?></h2>
<div class="inner-wrapper spacer noborder">

<p class="left"><?= _SETSITEUPDATE ?>
<select name="setsiteupdate">
<option><?= $setsiteupdate ?></option>
<option value="Auto"><?= _AUTO ?></option>
<option value="Manual"><?= _MANUAL ?></option>
</select>
</p>

<p class="left">(Ex: June 15, 2024)
<input name="updatedate" value="<?= $updatedate ?>" maxlength="15" size="15" style="width:130px">
</p>
<br>

<?php 
/**
 * 
 * Login/Registration Page Preview.
 * 
 */ ?>

<h2 class="column-title center coltitlecolor"><?= _LOGINREGSTYLING ?></h2>
<div class="inner-wrapper spacer noborder">			
<div class="row spacer">

<div class="column card" style="border:0">

<?php $sql = "SELECT * FROM style"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$styleboxcolor = $row['styleboxcolor']; $stylebuttoncolor = $row['stylebuttoncolor']; $styletextcolor = $row['styletextcolor']; $styleboxshadow = $row['styleboxshadow']; $stylesecondcolor = $row['stylesecondcolor']; $stylefirstcolor = $row['stylefirstcolor']; $placeimage = $row['placeimage']; $styleimage = $row['styleimage']; $styleboxopacity = $row['styleboxopacity']; $stylefixback = $row['stylefixback']; $addcopyright = $row['addcopyright']; $stylelogofont = $row['stylelogofont']; $stylelogosize = $row['stylelogosize']; $boxwidth = $row['boxwidth']; $stylebuttontextcolor = $row['stylebuttontextcolor']; $styletop = $row['styletop']; $topimage = $row['topimage']; $topmessage = $row['topmessage']; $topheight = $row['topheight']; $inputfirstcolor = $row['inputfirstcolor']; $inputsecondcolor = $row['inputsecondcolor']; $inputtextcolor = $row['inputtextcolor']; $styletopfirstcolor = $row['styletopfirstcolor']; $styletopsecondcolor = $row['styletopsecondcolor']; }} ?>

<style>
.input {
background: linear-gradient(to right, <?= $inputfirstcolor ?>, <?= $inputsecondcolor ?>); 
padding:10px; 
color:<?= $inputtextcolor ?>; }

.responsive-container {
width: 50%;
margin: 0 auto;
}

@media (max-width: 1000px) {
.responsive-container {
width: 100%;
}}
</style> 
              
<h3 class="center"><a href="style.php" target="_blank"><?= _EDITSTYLE ?></a></h3>

<?php $sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$uselogoimage = $row['uselogoimage']; 
$copyright = $row['copyright'];  }} ?>

<?php if ($stylefirstcolor == '' OR $stylesecondcolor == '') { ?>

<div class="responsive-container">
<div style="background: url('../media/themes/<?= $styleimage ?>'); background-attachment:fixed;  background-size:cover; overflow-y:auto;">
<?php } else { ?>
<div style="background: linear-gradient(<?= $stylefirstcolor ?>, <?= $stylesecondcolor ?>); overflow-y:auto;">
<?php } 
if ($placeimage == 'center') { ?>
<div class="card" style="margin:0 auto; padding-left:0; background:<?= $styleboxcolor ?>; display:block; height:100%; opacity:<?= $styleboxopacity ?>;box-shadow:<?= $styleboxshadow ?>;">
<?php } else { ?>
<div class="card" style="float:<?= $placeimage ?>; padding-left:0; background:<?= $styleboxcolor ?>; display:block; height:100%; opacity:<?= $styleboxopacity ?>; box-shadow:<?= $styleboxshadow ?>;">
<?php } ?>
<div class="spacer">
                            
<?php 
/**
 * 
 *  Build optional box top styling.
 * 
 */

if ($styletop == 'Yes') { 
if ($styletopfirstcolor == '' && $styletopsecondcolor == '') {?>
<div style="background: url('../media/themes/<?= $topimage ?>'); width: 100%; height: <?= $topheight ?>px; background-size: cover; overflow-y:auto;">
<?php } else { ?>                                
<div style="background: linear-gradient(<?= $styletopfirstcolor ?>, <?= $styletopsecondcolor ?>); width: 100%; height: <?= $topheight ?>px; background-size: cover; overflow-y:auto;"> 
<?php } ?>
<div class="spacer"><?= $topmessage ?></div>
</div>
<?php } else { ?>
<h1 class="center" style="color:<?= $styletextcolor ?>; font-family:<?= $stylelogofont ?>; font-size:<?= $stylelogosize ?>;"><?= $logo ?></h1>

<?php } 
/**
 * 
 * End optional box top styling.
 * 
 * Build the bottom of the box.
 * 
 */ ?>

<div style="margin:0 auto; background:<?= $styleboxcolor ?>">

<p class="center"><?php if ($uselogoimage == 'Yes') { ?><img class="noborder" src="../media/themes/<?= $logo_image ?>" style="width:90px" alt="" />
<?php } ?></p>
<p class="center" style="color:<?= $styletextcolor ?>"><?= _SIGNIN ?></p>
<p class="center"><input placeholder="<?= _USERNAME ?>" class="input spacer" style="width:100%"></p>
<p class="center"><input class="input spacer" placeholder="<?= _PASSWORD ?>" style="width:100%"></p>
<p style="background: <?= $stylebuttoncolor ?>;color:<?= $styletextcolor ?>;border:0;" class="center button">
<a href="#" class="pointer" style="text-decoration:none"><span style="color:<?= $stylebuttontextcolor ?>"><?= _LOGIN ?></span></a>
</p>
<p class="left" style="color:<?= $styletextcolor ?>">
<a href="#" style="text-decoration:none"><span style="color:<?= $styletextcolor ?>"><?= _FORGOTPASSWORD ?></span></a> <span style="float:right"><i class="fa fa-check-square"></i> <?= _REMEMBERME ?></span>
</p>
<?php if ($addcopyright == 'Yes') { ?>
<br>
<br>
<br>
<p class="center bottom" style="color:<?= $styletextcolor ?>"><small><?= $copyright ?></small></p>
<?php } ?>
<br>
<br>
</div>
</div>
</div>
</div>
</div>
</div>
</div>
</div>

<br>

<h2 class="column-title center coltitlecolor" id="contact"><?= _CONTACTSTAFF ?></h2>
<div class="inner-wrapper spacer noborder">
<?= _CONTACTSTAFFINFO ?>
<p class="left"><strong><?= _USECONTACTSTAFF ?> </strong>
<select name="contact_staff">
<option><?= $contact_staff ?></option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>
<br>
</div>

<br>
<h2 class="column-title center coltitlecolor" id="menuselect"><?= _SITESMENUSELECT ?></h2>
<div class="inner-wrapper spacer noborder">
<p class="left"><?= _OFFCANVASINFO ?></p>
<p class="left" id="menuselection"><strong><?= _MENUSELECTION ?> </strong>
<select name="menuselection">
<option><?= $menuselection ?></option>
<option value="Menubar"><?= _BAR ?></option>
<option value="Offcanvas"><?= _OFFSCREEN ?></option>
</select>
</p>
<p class="left"><?= _IFCHOSEMENUBAR ?></p>
</div>

<br>
<h3 class="center column-title" id="offcanvas"><?= _OFFCANVASMENUOPTIONS ?></h3>
<div class="inner-wrapper spacer noborder">
<p class="center"><?= _IFCHOSEOFFCANVASMENU ?></p>
<p class="left"><strong><?= _ENTERBACKIMGNAME ?></p>
<input style="width:330px;background:#f1f1f1;color:#000;" type="text" name="back_image" maxlength="25" size="25" value="<?= $back_image ?>">

<p class="left"><?= _PLACEIMGUNDERLOGO ?></p>
<p class="left"><?= _ENTERIMGNAME ?></p>
<input style="width:330px;background:#f1f1f1;color:#000;" type="text" name="sidemenuimage" maxlength="25" size="25" value="<?= $sidemenuimage ?>">
<p class="left"><?= _MENUWHICHSIDE ?></p>
<p class="left"><strong><?= _MENU_SELECTION ?> </strong>
<select name="offcanvas_position">
<option><?= $offcanvas_position ?></option>
<option value="Right"><?= _RIGHT ?></option>
<option value="Left"><?= _LEFT ?></option>
</select>
</p>
<p class="spacer">&nbsp;</p>
</div>
</div>
</div>
</div>
</div>

</form>

<script>
let mybutton = document.getElementById("mytopBtn");
window.onscroll = function() {scrollFunction()};
function scrollFunction() {
if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
mybutton.style.display = "block";
} else {
mybutton.style.display = "none"; }}
function topFunction() {
document.body.scrollTop = 0;
document.documentElement.scrollTop = 0; }
</script>

<?php require_once 'footer.php';