<?php
/**
 * Spectra is software designed to build a website.
 * PHP version 8
 *
 * @category  OpenSource
 * @package   Spectra
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2020-2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

//if (!isset($_SERVER['HTTP_REFERER'])) {
//echo "<script> window.location.replace('../../index.php') </script>";
//exit; }

require_once 'Logic.php';
require_once 'main.php';
session_start(); ?>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description" content="Spectra Downloads Suite">
<meta name="keywords" content=".zip, categories">

<?php $sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
require_once '../lang/' . $row['lang'] . '.php'; }} ?>

<title><?= _DOWNLOADS ?></title>

<?php require_once 'header.php';
$sql = "SELECT * FROM modules, downloadconfig"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$use_downloads = $row['use_downloads']; 
$downloads_public = $row['downloads_public']; 
$download_icon_color = $row['download_icon_color'];
$columnnumber = $row['columnnumber']; 
$moduleheight = $row['moduleheight']; 
$homepagecontent = $row['homepagecontent']; }}

/**
 * 
 * Decide to use downloads 
 * and will they be made public?
 * 
 */

if ($use_downloads == 'Yes' && $downloads_public == 'Yes') { ?>    
<?php require_once 'downloadsmenu.php'; ?>    
<div class="card" style="border:0">     
<div class="column spacer">
<?= $homepagecontent ?>

<?php 
/**
 * 
 * Give the admin direct editing.
 * 
 */

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<p class="center column-title coltitlecolor">
<a href="../designer/usedownloads.php" onclick="basicPopup(this.href);return false"><i class="coltitlecolor fa fa-pencil-square-o"></i></a>
</p>
<?php }}}

$sql = "SELECT * FROM website, themes, version, modules, downloadconfig"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$copyright = $row['copyright']; 
$footer_img = $row['footer_img']; 
$footercontent = $row['footercontent']; 
$footer_font_color = $row['footer_font_color']; 
$content_bg = $row['content_bg']; 
$current_version = $row['current_version']; 
$php_version = $row['php_version']; 
$lang = $row['lang']; 
$usedownloadscounter = $row['usedownloadscounter']; }}

require_once 'footer.php';