<?php
/**
 * Spectra Downloads Suite is software designed to support a website.
 * PHP version 8
 *
 * @category  OpenSource
 * @package   Spectra Downloads Suite
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2020-2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */ ?>

<style>
.topnav { background: -webkit-gradient(linear, left top, left bottom, from(<?= $menu_color ?>), to(<?= $menu_color_second ?>)); overflow: hidden; width: 97%; margin: 0 auto; } .topnav a { float: left; display: block; color: #f2f2f2; text-align: center; padding: 14px 16px; text-decoration: none; font-size: 17px; }
.topnav a:hover { background-color: <?= $menu_color_second ?>; color: #fff; } .topnav a.active { background-color: #04AA6D; color: <?= $linkcolor ?>; } 
</style>

<div class="topnav spacer">
<a href="../../"><i class="fa fa-home"></i> <?= _HOME ?></a>
<a href="../../sys/home.php"><i class="fa fa-users"></i> <?= _ACCOUNT ?></a>
<a href="../downloads/index.php"><i class="fa fa-download"></i> <?= _DOWNLOADS ?></a>

<?php if (isset($_GET['id'])) { $id = $_GET['id']; }

$sql = "SELECT * FROM downloadspages ORDER BY id ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {

if ($row['selectbg'] == 'None' && $row['topmenu'] == 'Yes') { ?>
<a href="downloads.php?id=<?= $row['id'] ?>"><i class="<?= $row['faicon'] ?>" style="color:<?= $row['faiconcolor'] ?>"></i> <?= $row['downloadspagename'] ?></a>
<?php }}}

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin' or $_SESSION['role'] == 'Member') { ?>
<a href="../../sys/logout.php"><i class="fas fa-sign-out-alt"></i> <?= _LOGOUT ?></a>
<?php }} 
else { ?>
<a href="../../sys/index.php"><i class="fas fa-sign-in-alt"></i> <?= _LOGIN ?></a>
<?php } ?>
</div>