<?php

/**
 * 
 * Prevent direct access.
 * 
 */ 

if (!isset($_SERVER['HTTP_REFERER'])) {
echo "<script> window.location.replace('../../../../../index.php') </script>";
exit;
}

/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

/**
* Original version of UberGallery by: Chris Kankiewicz (http://www.ChrisKankiewicz.com)
* Forked for integration with Spectra to include responsive/fluid design and MySQL
* support. Created by Mike Boyles, https://www.papamikescreations.org
* Distributed under the MIT license: http://www.opensource.org/licenses/mit-license.php 

*/ ?>

<style>
div.gallery {
margin: 5px;
border: 0;
float: left;
}

div.gallery:hover {
border: 0;
}

div.gallery img {
width: 100%;
height: auto;
}

div.desc {
padding: 15px;
text-align: center;
}
</style>

<?php if (!empty($images) && $stats['total_images'] > 0) {
foreach ($images as $image) { ?>
<div class="gallery" style="margin: 0 auto">
<a rel="colorbox" href="<?= html_entity_decode($image['file_path']) ?>" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="" title="<?= $image['file_title'] ?>" style="text-decoration:none">
<div class="outer-config"><img src="<?= $image['thumb_path'] ?>" alt="<?= $image['file_title'] ?>" class="inner-config" /><br>
<div class="desc"><span class="img-caption"><?= $image['file_title'] ?></span></div>
</div>
</a>&nbsp;
</div>
<?php } ?>
<?php } else { ?>
<p>No images found.</p>
<?php } ?>