<?php
/**
* Spectra est un logiciel conçu pour créer un site Web.
* PHPVersion 8
*
* @category OpenSource
* @package Spectra
* @author Mike Boyles <admin@papamikescreations.org>
* @copyright 2020-2023 Jonction des codeurs
* @license GNU General Public License <http://www.gnu.org/licenses/>.
* @lien https://www.papamikescreations.org
*/ 

// Pack de langue français

// En général

define('_SITELASTUPDATE','Ce site a été mis à jour pour la dernière fois le : ');
define('_CLICKREADMORE','Cliquez pour en savoir plus');
define('_LIKES','Aime');
define('_LIKE','Comme');
define('_UNLIKE','Contrairement à');
define('_ANENTIREHOMEPAGE','Une page d\'accueil entière peut être créée à l\'aide d\'un seul conteneur. Mais vous pouvez ensuite en construire autant que vous le souhaitez et les disposer dans de nombreuses rangées/couches.');
define('_CONTAINER','Récipient');
define('_CONFIRM','Confirmer');
define('_USEPASSWORDGEN','Utiliser le générateur de mot de passe');
define('_FILECLEANUP','Cliquez sur Continuer pour activer le processus de nettoyage. Tous les fichiers utilisés dans l\'installation seront supprimés. Spectra ne peut pas s\'exécuter si ces fichiers existent.');
define('_ARCHIVELIBRARY','Bibliothèque d\'archives');
define('_NEWSARTICLES','articles de presse');
define('_DATEPUBLISHED','Date publiée');
define('_ADMINARTICLES','Articles d\'administration');
define('_SITEINMAINTMODE','Le site est en mode maintenance.');
define('_MAINTMODE','Maintenance Mode');
define('_MAKINGUPDATES','<h2 class="center">Nous effectuons des mises à jour importantes du site<br><br>Et nous serons bientôt de retour<br><br>Désolé pour la gêne occasionnée</h2>');
define('_GOBACK','Retourner');
define('_SEARCHQUERY','Requête de recherche');
define('_PAGINATIONACTIVE','Pagination active');
define('_POLLNOTEXIST','Le sondage portant cet identifiant n\'existe pas.');
define('_NOPOLLID','Aucun ID de sondage spécifié.');
define('_NORECORDS','Il y a eu 0 enregistrements trouvés dans cette recherche.');
define('_BLOCKS','Blocs');
define('_PREVIEWTHEMES','Thèmes d\'aperçu');
define('_MEMBERSCAN','Les membres peuvent choisir leur propre thème<br>Accédez à <a href="sys/">Votre compte</a> pour définir votre thème par défaut.');
define('_SUBDOMAIN','Sous-domaine ?');
define('_SUBDOMAINNAME','Nom du sous-domaine');
define('_LAYERSARENOTACIVE','Les calques ne sont pas actifs');
define('_ISINACTIVE','N\'est pas actif');
define('_TURNITON','Configurer la ligne');
define('_POLLS','Les sondages');
define('_VIEWRESULT','Voir résultat');
define('_VOTE','Vote');
define('_VOTES','Votes');
define('_STATS','Statistiques');
define('_DOWNLOADCAT','Catégories de téléchargement');
define('_HEADERBLOCKTOP','Haut du bloc d\'en-tête');
define('_HEADERBLOCKMIDDLE','Bloc d\'en-tête central');
define('_HEADERBLOCKBOTTOM','Bloc d\'en-tête bas');
define('_ROWHEADER','En-tête de ligne');
define('_OPENEASYREADER','Ouvrir EasyReader');
define('_QUICKNOTES','Notes rapides');
define('_NOVIDEOS','Il n\'y a pas de vidéos dans les archives.');
define('_VIDEOARCHIVE','Archives vidéo');
define('_OPENCLOSE','Ouvrir fermer');
define('_SEARCHVIDEOS','Rechercher des vidéos par catégorie ou titre');
define('_SPOTLIGHTVIDEOS','Vidéos phares');
define('_SNIPLETS','Extraits');
define('_ONCANVASLEFT','Sur toile Gauche');
define('_ONCANVASRIGHT','Droite sur toile');
define('_QUICKLINKS','Liens rapides');
define('_READLIBRARY','Lire des articles, des pages, et plus encore...');
define('_CONFIGROW','Configurer la ligne');
define('_CONFIGARTICLESPOSITION','Configurer la position des articles');
define('_HEIGHT','Hauteur');
define('_WIDTH','Largeur');
define('_ROWONETOP','Haut de la première rangée');
define('_ROWTWOTOP','Haut de la deuxième rangée');
define('_ROWTHREETOP','Haut de la rangée trois');
define('_ROWFOURTOP','Haut de la rangée quatre');
define('_ROWFIVETOP','Haut de la rangée cinq');
define('_ROWSIXTOP','Haut de la rangée six');
define('_ROWSEVENTOP','Haut de la rangée sept');
define('_ROWEIGHTTOP','Haut de la rangée huit');
define('_ROWNINETOP','Haut de la rangée neuf');
define('_ROWTENTOP','Haut de la rangée dix');
define('_ROWELEVENTOP','Haut de la onzième rangée');
define('_ROWTWELVETOP','Haut de la rangée douze');
define('_ROWONEMIDDLE','Rangée Un Milieu');
define('_ROWTWOMIDDLE','Deuxième rangée au milieu');
define('_ROWTHREEMIDDLE','Rangée trois au milieu');
define('_ROWFOURMIDDLE','Rangée 4 Milieu');
define('_ROWFIVEMIDDLE','Rangée Cinq Milieu');
define('_ROWSIXMIDDLE','Rangée Six Milieu');
define('_ROWSEVENMIDDLE','Rangée sept au milieu');
define('_ROWEIGHTMIDDLE','Rang Huit Milieu');
define('_ROWNINEMIDDLE','Milieu de la rangée neuf');
define('_ROWTENMIDDLE','Milieu de la rangée dix');
define('_ROWELEVENMIDDLE','Milieu de la rangée onze');
define('_ROWTWELVEMIDDLE','Milieu de la rangée douze');
define('_ROWONEBOTTOM','Rangée 1 en bas');
define('_ROWTWOBOTTOM','Rangée deux en bas');
define('_ROWTHREEBOTTOM','Rangée trois en bas');
define('_ROWFOURBOTTOM','Ligne quatre en bas');
define('_ROWFIVEBOTTOM','Rangée cinq en bas');
define('_ROWSIXBOTTOM','Rangée Six Bas');
define('_ROWSEVENBOTTOM','Rangée sept en bas');
define('_ROWEIGHTBOTTOM','Ligne huit en bas');
define('_ROWNINEBOTTOM','Rangée neuf en bas');
define('_ROWTENBOTTOM','Rangée dix en bas');
define('_ROWELEVENBOTTOM','Ligne onze en bas');
define('_ROWTWELVEBOTTOM','Ligne douze en bas');
define('_ROWONE','Première rangée');
define('_ROWTWO','Deuxième rangée');
define('_ROWTHREE','Rangée trois');
define('_ROWFOUR','Rangée quatre');
define('_ROWFIVE','Rangée cinq');
define('_ROWSIX','Sixième rangée');
define('_ROWSEVEN','Rangée sept');
define('_ROWEIGHT','Huitième rang');
define('_ROWNINE','Rangée neuf');
define('_ROWTEN','Rangée dix');
define('_ROWELEVEN','Rangée onze');
define('_ROWTWELVE','Ligne douze');
define('_MEMBERSLISTNOTACTIVE','La liste des membres n\'est pas active');
define('_USERINFO','informations de l\'utilisateur');
define('_LIBRARY','Bibliothèque');
define('_OPENSIDEBAR','Ouvrir la barre latérale');
define('_PAGENOTFOUND','Page non trouvée ...');
define('_UNABLETOFIND','Nous ne parvenons pas à trouver la page<br>que vous recherchez.');
define('_BACKTOHOME','De retour à la maison');
define('_MEMBERSINCE','Membre depuis');
define('_CLEANUPCOMPLETE','Nettoyage terminé');
define('_INFO','Info');
define('_ACTION','Action');
define('_NOTACTIVE','Pas actif');
define('_THEME','Thème');
define('_CLICKTOOPEN','Cliquez sur l\'image pour ouvrir');
define('_ID','ID');
define('_ACTIVEMEMBERACCOUNTS','Comptes de membres');
define('_WEBSITE','Site Internet');
define('_NEXT','Suivant');
define('_PREV','Précédent');
define('_MUSTBELOGGEDINTOVIEW','Vous devez être connecté pour voir cette page.');
define('_ACTIVEUSERS','Utilisateurs actifs');
define('_CHANGETHEME','Change le thème');
define('_AVATAR','Avatar');
define('_MEMBERSLIST','Liste des membres');
define('_URLDOESNTEXIST','Il semble que vous ayez atteint une URL qui n\'existe pas.<br>Veuillez');
define('_FOLLOWTHISLINK','Suivez ce lien');
define('_TOFINDYOURWAYBACK','pour retrouver votre chemin.');
define('_LOSTPAGE404','Erreur de page 404 perdue');
define('_CARDEDPAGE','Page cardée');
define('_LINKSMAYNOTWORK','Il s\'agit uniquement d\'un aperçu et certains liens peuvent ne pas fonctionner.');
define('_EDITARTICLEDIRECTLY','Modifier cet article directement');
define('_MOUSEOVERTOSTOP','Passer la souris pour arrêter le défilement');
define('_THEMEPREVIEW','Aperçu du thème');
define('_REFRESH','Rafraîchir la page');
define('_DELETEIMAGES','Supprimer les images');
define('_ADMIMG','Images des administrateurs');
define('_BY','Par');
define('_DATE','Date');
define('_EDIT','Éditer');
define('_PRINT','Imprimer');
define('_PRINTPAGE','Imprimer la page');
define('_PRINTARTICLE','Imprimer l\'article');
define('_PRINTADMINARTICLE','Imprimer l\'article d\'administration');
define('_REPOSITION','Repositionner');
define('_EMAIL','E-mail');
define('_NAME','Nom');
define('_SUBJECT','Sujet');
define('_VERSION','Compatible avec la version PHP');
define('_VISITORS','Visiteurs');
define('_WELCOME_SPECTRA','Bienvenue sur Spectra');
define('_CHOOSELANG','Choisissez parmi les langues disponibles');
define('_LANG','Langue');
define('_SAVED','Enregistré');
define('_CONTINUE','Continuez');
define('_LOGININSTALL','Installation de connexion');
define('_ADMINCREDENTIALS','Identifiants de connexion des administrateurs');
define('_USERNAME','Nom d\'utilisateur');
define('_PASSWORD','Mot de passe');
define('_CONFIRMPW','Confirmez le mot de passe');
define('_SUCCESSFUL','Les informations d\'identification d\'administrateur ont été ajoutées avec succès !');
define('_SIDEBAR','Barre latérale');
define('_CLOSEMENU','Fermer');
define('_COMPLETEFORM','Veuillez remplir le formulaire d\'inscription!');
define('_EMAILNOTVALID','L\'email n\'est pas valide!');
define('_USERNAMENOTVALID','Le nom d\'utilisateur n\'est pas valide!');
define('_PASSWORDMUSTBE','Le mot de passe doit comporter entre 5 et 20 caractères !');
define('_USERNAMEEXISTS','Le nom d\'utilisateur existe, veuillez en choisir un autre !');
define('_COULDNOTPREPARE','Impossible de préparer la déclaration.');
define('_REGSETUPSUCCESS','La configuration de l\'enregistrement a réussi !');
define('_LOGINBLOCKWILLAPPEAR','Le bloc Connexion/Inscription des membres apparaîtra sur la page d\'index du ');
define('_LOGINBLOCKWILLNOTAPPEAR','Le bloc Connexion/Enregistrement des membres n\'apparaîtra pas sur la page d\'index.');
define('_REGISACTIVE','L\'inscription des nouveaux membres est active.');
define('_LOGINBLOCKWILLAPPEARTOP','La connexion / enregistrement apparaîtra en haut sous la barre de menus.');
define('_SIDE','côté. ');
define('_CHANGEANYTIME','Vous pouvez changer cela à tout moment.');
define('_FORGOTPASSWORD','La fonctionnalité Mot de passe oublié a été activée. L\'inscription des membres n\'est pas active.');
define('_REGSETUP','Configuration de l\'inscription');
define('_STEPIMPORTANT','<p class="center">Cette étape est importante même si vous ne prévoyez pas d\'autoriser l\'inscription de nouveaux membres. En tant qu\'administrateur, si vous oubliez votre mot de passe, vous devrez pouvoir utiliser la fonction Mot de passe oublié. Les informations que vous ajoutez ici activeront cette fonctionnalité.</p><br><p class="center">Entrez ci-dessous les informations que vous souhaitez utiliser dans l\'e-mail envoyé par la fonctionnalité Mot de passe oublié.</p>');
define('_WEBSITEURL','URL de site web');
define('_TOP','Haut');
define('_USESIDEBARBLOCK','Vous pouvez ajouter un lien de connexion/inscription en haut de la page d\'accueil. Laissez vide si vous n\'utilisez pas ou choisissez Non.');
define('_ACTIVEMBRREG','Activer l\'inscription des membres ?');
define('_REGSUCCESS','La configuration de l\'enregistrement a réussi !');
define('_NO','Non');
define('_YES','Oui');
define('_RIGHT','Droit');
define('_LEFT','La gauche');
define('_SAVE','sauvegarder');
define('_READMORE','En savoir plus');
define('_CLICKTHUMBNAILTOOPEN','Cliquez sur la vignette pour ouvrir');

// Fichiers racine

//  cleanup.php

define('_COMPLETE','Installation complète');
define('_CONGRATULATIONS','Toutes nos félicitations! Vous êtes prêt à vous connecter en tant qu\'administrateur et à créer votre site Web.');
define('_CONTENTS','Remarque : Le contenu du dossier INSTALL a été supprimé lors du processus de nettoyage.');
define('_REFERENCE','Consultez le fichier <a href="../../README.html" target="_blank">README.html</a> pour plus d\'informations sur la façon de commencer.');

// activemembers.php

define('_SOCIALSHARING','Partage social');
define('_ISSHAREDPAGE','Accueillir! Par ici je suis connu comme ');
define('_WHOSEROLE','mon rôle ici est un <b>actif ');
define('_SINCE','je suis ici depuis');
define('_HASCHOSEN','J\'ai choisi de partager cette information avec vous.');
define('_RESIDESIN','Réside dans');
define('_INTERESTARE','Intérêt');
define('_VISITWEBSITE','Site Internet');
define('_BIOGRAPHY','Biographie');
define('_CANNOTACCESSDIRECTLY','Vous ne pouvez pas accéder directement à cette page.');
define('_REALNAME','Vrai nom');
define('_ROLE','Rôle');
define('_DATEJOINED','Date d\'adhésion');
define('_MUSTLOGIN','Vous devez <a href="sys/index.php">vous connecter</a> pour accéder à cette page.
');
define('_VISIT','Visite');

// builders/admintools.php

define('_HIDETOPBAR','Masquer la barre supérieure ?');
define('_SHOWCONTENTSAVER','Afficher l\'économiseur de contenu ?');
define('_SHOWMENUICONS','Afficher les icônes du menu ?');
define('_ADDLINKS','Ajouter des liens');
define('_TURNONOFF','Activer/désactiver la barre supérieure');
define('_OPENCONTENTSAVER','Ouvrir l\'économiseur de contenu');
define('_CONTENTSAVER','Économiseur de contenu');
define('_QUICKNOTE','Note rapide');
define('_NOTES','Remarques');
define('_EDITNOTES','Modifier les notes');
define('_IMAGEGRABBER','Capture d\'images');
define('_DROPFILEHERE','Déposez le fichier ici');
define('_VIEWIMAGES','Afficher les images');
define('_OR','ou');

// contact.php, card.php

define('_INVALIDNAME','Nom incorrect');
define('_INVALIDSUBJECT','Sujet invalide');
define('_INVALIDEMAIL','Email invalide');
define('_MESSAGESHOULDNOTBEEMPTY','Votre message ne doit pas être vide');
define('_CONTACTUS','Nous contacter');
define('_MESSAGE','Message');
define('_SUBMIT','Soumettre\'');
define('_MESSAGESENT','Message envoyé');
define('_ERROROCCURED','Une erreur s\'est produite, veuillez réessayer plus tard');

// credits.php

define('_SPECIALTHANKS','Remerciement spécial!');
define('_THANKTHEFOLLOWING','Je tiens à remercier les personnes suivantes pour l\'utilisation de leurs produits dans la création de Spectra.');
define('_CSSTOOLTIPLIBRARY','Une bibliothèque d\'info-bulles CSS pure pour votre site Web.');
define('_VISUALTEXTEDITOR','Éditeur de texte visuel intelligent.');
define('_MEDIALIBRARY','médiathèque avec éditeurs d\'images.');
define('_FORMEDFOUNDATION','a formé la fondation de Spectra Gallery.');
define('_USERSONLINE','Pour le script Utilisateurs en ligne.');
define('_CHATROOMSCRIPT','Script de salle de chat');

// downloads.php

define('_ALLOWCOMMENTS','Autoriser les commentaires');
define('_TITLE','Titre');
define('_FILENAME','Nom de fichier');
define('_TOTAL_DOWNLOADS','Téléchargements');
define('_DOWNLOADS','Suite de téléchargements ');
define('_FILESIZE','Taille du fichier');
define('_CATEGORY','Catégorie');
define('_DOWNLOADFILES','Telecharger des fichiers');
define('_PAGE','Page');
define('_DOWNLOAD','Télécharger');
define('_MUSTBELOGGEDIN','Vous devez être connecté pour accéder aux téléchargements');

// faq.php

define('_FAQ','Questions fréquemment posées');

// footer.php

define('_VISITCMSSPECTRA','Visitez Spectra');
define('_POWEREDBYCMSSPECTRA','Pdétenu par Spectra, Version');
define('_GOTOTOP','Aller en haut');

// gallery.php

define('_RETURNTOHOMEPAGE','Retour à la page d\'accueil');
define('_GALLERYMENU','Menu Galerie');
define('_REFRESHPAGE','Actualiser la page si les images ne se chargent pas immédiatement.');
define('_SPECTRAGALLERY','Spectra Galerie');

// sidebars.php
define('_SIDEBARBLOCKS','Blocs de la barre latérale');

// themes.php

define('_REFRESHTHISWINDOW','Actualisez cette fenêtre pour voir les modifications au fur et à mesure que vous les apportez au thème.');
define('_CLOSE','Fermer');


// builders/admin.php, builders/adminarticle.php, builders/adminblock.php

define('_ARTICLES','Des articles');
define('_COMMENTS','commentaires');
define('_COMMENT','Commenter');
define('_AWAITINGEDITING','en attente d\'édition');
define('_MEMBERSONLY','Membres seulement');
define('_EDITPAGEDIRECTLY','Modifiez directement cette page.');
define('_EDITDIRECTLY','Modifier directement');

// Lsidebar.php and Rsidebar.php

define('_SEARCH','Chercher');
define('_ARCHIVES','Les archives');
define('_LINKTOME','Lien vers moi');

// plugin-blockL.php and plugin-blockR.php

define('_TAGCLOUD','Nuage de tags');
define('_CATEGORIES','Catégories');
define('_CLOCK','Horloge');
define('_DIGITALCLOCK','Horloge digitale');
define('_CALENDAR','Calendrier');
define('_SPOTLIGHT','Projecteur');

// sup/profile.php

define('_LOCATION','Emplacement');
define('_BIO','Biographie');
define('_INTEREST','Intérêt');

// core/startup.php

define('_MUSTBELOGGED_IN','L\'administrateur doit être connecté pour voir cette page.');
define('_STARTUPGUIDE','Guide de démarrage');
define('_WELCOMETOSPECTRA','Bienvenue chez Spectra!');
define('_ONLYADMINCANSEE','Seul l\'administrateur, une fois connecté, peut voir cela');
define('_FORQUICKSETUP','Pour les fonctionnalités de configuration rapide, accédez à « <a href="../designer/setup-wizard/index.php" target="_blank">Assistant de configuration</a>.');
define('_CKEDITOR','Bien que CKEditor 4 ait atteint sa fin de vie (EOL), je l\'utilise toujours avec Spectra car il est sûr et sécurisé.');
define('_CREATEDSPECTRAFOR','J\'ai créé Spectra pour être utilisé sur "<a href="https://www.coders-junction.com" target="_blank">Coders Junction</a>". Il ne s\'agit pas d\'un fork, mais d\'un tout nouveau système de gestion de contenu.<br>Ma conception vise à fournir une installation, une utilisation et les outils requis sans effort pour un site Web réussi.<br>Spectra offre une gamme de fonctionnalités, y compris des plugins, des modules, des systèmes de menus, des articles, des pages, une suite de téléchargement, une galerie d\'images, et bien plus encore.');
define('_THEADMINHAS','L\'administrateur a un accès exclusif à des outils d\'édition simples dans Spectra lorsqu\'il est connecté.');
define('_USEROWGRID','Utilisation des lignes/grilles');
define('_USEROWGRIDPARA','<p style="text-align: justify; color:#000000; font-size:18px;">Le moyen le plus efficace de concevoir un site Web consiste à utiliser des lignes. Avec les lignes, il est facile de contrôler les alignements et la taille des éléments grâce aux largeurs et hauteurs des colonnes à l\'intérieur d\'une disposition en grille. Lorsqu\'il s\'agit de conception Web, les grilles peuvent être un outil précieux pour aider à créer des conceptions attrayantes et efficaces. En configurant des colonnes, des lignes et des marges, les éléments de conception ont de la place pour respirer et les utilisateurs peuvent rapidement se familiariser avec l\'interface sans se laisser submerger.</p><p style="text-align: justifier; color:#000000; font-size:18px;">Les extraits de code, les blocs, les pages et les articles sont les principaux éléments de contenu. Je les décris dans le tableau de bord/la page d\'accueil des concepteurs. Les extraits (teasers) sont de petits conteneurs de contenu contenant quelques lignes de texte et une image. Les extraits de code disposent également d\'une fonctionnalité de texte intégral qui vous permet d\'ajouter autant de contenu que vous le souhaitez et est accessible en cliquant sur l\'icône de flèche vers le haut trouvée dans le conteneur d\'extraits de code sur la page d\'accueil. Les blocs, articles et pages contiennent autant de contenu que vous souhaitez y ajouter.</p><p style="text-align: justifier; color:#000000; font-size:18px;">Chaque élément de contenu a fonctionnalités d\'édition directe. Pour modifier le contenu d\'un élément, cliquez sur l\'icône en forme de crayon et pour repositionner un élément dans la même ligne, cliquez sur l\'icône en forme de flèche.</p><p style="text-align: justifier; color:# 000000; font-size:18px;">Les lignes contiennent le contenu. Il y a 12 lignes et chaque ligne comporte 3 couches : Haut, Milieu et Bas. Chaque couche peut contenir une quantité illimitée de contenu, des blocs aux extraits de code. Les lignes contiennent des barres latérales à gauche, à droite ou sur les deux côtés.</p>');
define('_SNIPLETPARA','<p style="text-align: justify; color:#000000; font-size:18px;">Si vous attribuez des extraits de code à une ligne, vous décidez du nombre à afficher (jusqu\'à six) dans les calques affichés de gauche à droite. Il peut y avoir un nombre illimité de couches consécutives. Lorsqu\'une couche d\'une rangée est terminée, la suivante tombera en dessous de la couche précédente. L\'administrateur peut repositionner un extrait de code dans une ligne en le faisant glisser vers une nouvelle position. Pour déplacer un extrait vers une autre ligne, cliquez sur l\'icône d\'édition et modifiez l\'affectation de la ligne. Par exemple, si vous créez quatre couches d\'extraits de code d\'affilée (16 extraits de code) et que vous souhaitez déplacer le dernier extrait de code sur le quatrième calque, faites-le simplement glisser vers la nouvelle position.</p>');
define('_BLOCKSPARA','<p style="text-align: justify; color:#000000; font-size:18px;">Lors de la construction de blocs, chaque ligne/couche peut contenir jusqu\'à 6 blocs (à vous de décider) avec un nombre illimité de couches dans chaque ligne. Lors de la configuration des blocs, vous devez configurer chaque ligne. Repositionnez les blocs dans une rangée en les faisant glisser vers une nouvelle position. Pour modifier l\'affectation des lignes, cliquez sur l\'icône d\'édition et modifiez-la. Lors de la création d\'un bloc, vous pouvez l\'attribuer à n\'importe quel endroit de la page et même l\'attribuer aux barres latérales sur le canevas ou aux barres latérales hors canevas.</p><p style="text-align: justifier; #000000; font- size:18px;">Une fois que vous avez <a href="designer/index.php" target="_blank">tout lu</a>, la première étape consiste à configurer la page d\'accueil. Accédez au <a href="designer/setup-wizard/index.php" target="_blank">Guide de configuration rapide</a> ou au Tableau de bord des concepteurs/<a href="designer/website.php" target="_blank ">Configuration générale du site Web</a>. Après avoir configuré cette page, vous pouvez créer du contenu.</p>');

// users.php

define('_ONLINE','En ligne');
define('_DONTHAVEANAVATAR','Vous n\'avez pas d\'avatar ? Suivez-moi à Gravatar.');
define('_WELCOME','Bienvenu');
define('_ACCOUNT','Compte');
define('_PROFILE','Profil');
define('_CONTACT','Contact');
define('_SUBMITARTICLE','Soumettre l\'article');
define('_AVAILABLEDOWNLOADS','Téléchargements disponibles');
define('_DOWNLOADSMEMBERSONLY','* Les téléchargements sont réservés aux membres.');
define('_DOWNLOADSALLVISITORS','Les téléchargements sont disponibles pour tous les visiteurs.');
define('_LOGOUT','Se déconnecter');
define('_LOGIN','Connexion');
define('_PUBLISHEDARTICLES','Articles publiés');
define('_ACTIVEMEMBERS','Membres actifs');
define('_TOTALMEMBERS','Nombre total de membres');
define('_REGISTER','S\'inscrireister');
define('_IPADDRESS','adresse IP');


// core/megamenu

// index.php

define('_HOME','Accueil');
define('_FAQLINK','FAQ');
define('_SOCIALMEDIA','Média social');

// sidemenu.php

define('_OPENOFFCANVAS','Ouvrir le menu hors canevas');
define('_INDEX','Indice');

// core/modules/

// modgallery/index.php

define('_CLICKFORSLIDESHOW','Cliquez sur l\'image pour le diaporama');

// core/plugins

// archive.php

define('_CARDS','Cartes');

// linktome.php

define('_COPYANDPASTECODE','Copiez et collez le code suivant dans votre site Web à l\'endroit où vous souhaitez que le bouton apparaisse.');
define('_COPYTHECODE','Copiez le code');

// categories.php

define('_ACTIVEARTICLES','Articles actifs');
define('_PAGES','Pages');

// registration.php

define('_USERS','Utilisateurs');

// spotlight.php

define('_ARCHIVED','Archivé');
define('_ACTIVE','Actif');

// html-themes/uploadfolder.php

define('_HTMLUPLOADTOOL','Outil de téléchargement de dossier HTML5');
define('_PHPINISETTINGS','Les paramètres de votre fichier php.ini doivent inclure les éléments suivants :');
define('_TOTALFILES','nombre total de fichiers dans le dossier, si vous obtenez une erreur, le dossier peut toujours être téléchargé.');
define('_FOLDERTOUPLOAD','Sélectionnez le dossier à télécharger (doit correspondre au <strong>nom du dossier</strong>)');
define('_NAMEISEMPTY','Le nom du dossier de téléchargement est vide.');
define('_UPLOADSUCCESSFUL','Le dossier est téléchargé avec succès');
define('_FOLDERNAME','Nom de dossier');

// themecontroller/index.php

define('_UPLOADFOLDER','Télécharger le dossier');
define('_SETTHEMEFOLDERNAME','Vous n\'avez pas défini le nom du dossier de thèmes.<br>Entrez le nom du dossier de thèmes et cliquez sur "Mettre à jour l\'enregistrement" et "Actualiser la page" pour continuer.');
define('_UPLOADHTML5THEME','Télécharger le dossier de thème HTML5');
define('_WILLUPLOADFOLDER','Cela téléchargera votre dossier de thème');
define('_INTOHTMLTHEMES','dans le dossier html-themes.');
define('_CHOOSE','Choisir');
define('_FOLDERFORUPLOAD','Dossier à télécharger');
define('_PERCENTAGE','Pourcentage');
define('_PROGRESS','Progrès');
define('_FILESUPLOADED','Fichiers téléchargés');
define('_LOADERANIMATION','Animation du chargeur');
define('_CLOSETHISWINDOW','Ferme cette fenêtre');
