<?php
/**
* Spectra ist eine Software zum Erstellen einer Website.
* PHP-Version 8
*
* @category OpenSource
* @Paket Spektren
* @Autor Mike Boyles <admin@papamikescreations.org>
* @copyright 2020-2023 Coders Junction
* @license GNU General Public License <http://www.gnu.org/licenses/>.
* @link https://www.papamikescreations.org
*/ 

// Sprachpaket Deutsch

// Im Allgemeinen

define('_SITELASTUPDATE','Diese Site wurde zuletzt aktualisiert am: ');
define('_CLICKREADMORE','Klicken Sie hier, um mehr zu lesen');
define('_LIKES','Likes');
define('_LIKE','Wie');
define('_UNLIKE','nicht wie');
define('_ANENTIREHOMEPAGE','Eine komplette Homepage kann mit einem Container erstellt werden. Aber dann können Sie so viele bauen, wie Sie brauchen, und sie in zahlreichen Reihen/Schichten haben.');
define('_CONTAINER','Container');
define('_CONFIRM','Bestätigen');
define('_USEPASSWORDGEN','Verwenden Sie den Passwortgenerator');
define('_FILECLEANUP','Klicken Sie auf Weiter, um den Bereinigungsprozess zu aktivieren. Alle bei der Installation verwendeten Dateien werden gelöscht. Spectra kann nicht ausgeführt werden, wenn diese Dateien vorhanden sind.');
define('_ARCHIVELIBRARY','Archivbibliothek');
define('_NEWSARTICLES','Zeitungsartikel');
define('_DATEPUBLISHED','Veröffentlichungsdatum');
define('_ADMINARTICLES','Admin-Artikel');
define('_SITEINMAINTMODE','Die Website befindet sich im Wartungsmodus.');
define('_MAINTMODE','Wartungsmodus');
define('_MAKINGUPDATES','<h2 class="center">Wir nehmen wichtige Aktualisierungen der Website vor<br><br>und sind bald wieder zurück<br><br>Entschuldigen Sie die Unannehmlichkeiten</h2>');
define('_GOBACK','Geh zurück');
define('_SEARCHQUERY','Suchanfrage');
define('_PAGINATIONACTIVE','Paginierung aktiv');
define('_POLLNOTEXIST','Die Umfrage mit dieser ID existiert nicht.');
define('_NOPOLLID','Keine Umfrage-ID angegeben.');
define('_NORECORDS','Bei dieser Suche wurden 0 Datensätze gefunden.');
define('_BLOCKS','Blöcke');
define('_PREVIEWTHEMES','Vorschau der Themen');
define('_MEMBERSCAN','Mitglieder können ihr eigenes Thema auswählen<br>Gehen Sie zu <a href="sys/">Ihr Konto</a>, um Ihr Standardthema festzulegen.');
define('_SUBDOMAIN','Subdomain?');
define('_SUBDOMAINNAME','Subdomain-Name');
define('_LAYERSARENOTACIVE','Ebenen sind nicht aktiv');
define('_ISINACTIVE','Ist nicht aktiv');
define('_TURNITON','Zeile konfigurieren');
define('_POLLS','Umfragen');
define('_VIEWRESULT','Zeige Ergebnis');
define('_VOTE','Abstimmung');
define('_VOTES','Stimmen');
define('_STATS','Statistiken');
define('_DOWNLOADCAT','Kategorien herunterladen');
define('_HEADERBLOCKTOP','Kopfblock oben');
define('_HEADERBLOCKMIDDLE','Kopfblock Mitte');
define('_HEADERBLOCKBOTTOM','Kopfblock unten');
define('_ROWHEADER','Zeilenkopf');
define('_OPENEASYREADER','Öffnen Sie Easy Reader');
define('_QUICKNOTES','Kurze Notizen');
define('_NOVIDEOS','Es sind keine Videos im Archiv vorhanden.');
define('_VIDEOARCHIVE','Videoarchiv');
define('_OPENCLOSE','Öffnen schließen');
define('_SEARCHVIDEOS','Suchen Sie Videos nach Kategorie oder Titel');
define('_SPOTLIGHTVIDEOS','Spotlight-Videos');
define('_SNIPLETS','Schnipsel');
define('_ONCANVASLEFT','Links auf der Leinwand');
define('_ONCANVASRIGHT','Auf der Leinwand rechts');
define('_QUICKLINKS','Quicklinks');
define('_READLIBRARY','Lesen Sie Artikel, Seiten und mehr ...');
define('_CONFIGROW','Zeile konfigurieren');
define('_CONFIGARTICLESPOSITION','Artikelposition konfigurieren');
define('_HEIGHT','Höhe');
define('_WIDTH','Breite');
define('_ROWONETOP','Reihe eins oben');
define('_ROWTWOTOP','Reihe zwei oben');
define('_ROWTHREETOP','Reihe drei oben');
define('_ROWFOURTOP','Reihe vier oben');
define('_ROWFIVETOP','Reihe fünf oben');
define('_ROWSIXTOP','Reihe sechs oben');
define('_ROWSEVENTOP','Reihe sieben oben');
define('_ROWEIGHTTOP','Reihe acht oben');
define('_ROWNINETOP','Reihe neun oben');
define('_ROWTENTOP','Reihe zehn oben');
define('_ROWELEVENTOP','Reihe elf oben');
define('_ROWTWELVETOP','Zeile zwölf oben');
define('_ROWONEMIDDLE','Reihe eins Mitte');
define('_ROWTWOMIDDLE','Reihe zwei Mitte');
define('_ROWTHREEMIDDLE','Reihe drei Mitte');
define('_ROWFOURMIDDLE','Reihe vier Mitte');
define('_ROWFIVEMIDDLE','Reihe fünf Mitte');
define('_ROWSIXMIDDLE','Reihe sechs Mitte');
define('_ROWSEVENMIDDLE','Reihe sieben Mitte');
define('_ROWEIGHTMIDDLE','Reihe acht Mitte');
define('_ROWNINEMIDDLE','Reihe neun, Mitte');
define('_ROWTENMIDDLE','Reihe zehn Mitte');
define('_ROWELEVENMIDDLE','Reihe elf Mitte');
define('_ROWTWELVEMIDDLE','Reihe zwölf, Mitte');
define('_ROWONEBOTTOM','Reihe eins unten');
define('_ROWTWOBOTTOM','Reihe zwei unten');
define('_ROWTHREEBOTTOM','Reihe drei unten');
define('_ROWFOURBOTTOM','Zeile vier unten');
define('_ROWFIVEBOTTOM','Reihe fünf unten');
define('_ROWSIXBOTTOM','Reihe sechs unten');
define('_ROWSEVENBOTTOM','Reihe sieben unten');
define('_ROWEIGHTBOTTOM','Reihe acht unten');
define('_ROWNINEBOTTOM','Zeile neun unten');
define('_ROWTENBOTTOM','Zeile zehn unten');
define('_ROWELEVENBOTTOM','Reihe elf unten');
define('_ROWTWELVEBOTTOM','Zeile zwölf unten');
define('_ROWONE','Reihe eins');
define('_ROWTWO','Reihe Zwei');
define('_ROWTHREE','Reihe drei');
define('_ROWFOUR','Reihe vier');
define('_ROWFIVE','Reihe fünf');
define('_ROWSIX','Reihe sechs');
define('_ROWSEVEN','Reihe sieben');
define('_ROWEIGHT','Reihe acht');
define('_ROWNINE','Zeile neun');
define('_ROWTEN','Zeile zehn');
define('_ROWELEVEN','Reihe elf');
define('_ROWTWELVE','Zeile zwölf');
define('_MEMBERSLISTNOTACTIVE','Die Mitgliederliste ist nicht aktiv');
define('_USERINFO','Nutzerinformation');
define('_LIBRARY','Bibliothek');
define('_OPENSIDEBAR','Seitenleiste öffnen');
define('_PAGENOTFOUND','Seite nicht gefunden ...');
define('_UNABLETOFIND','Wir konnten die von Ihnen gesuchte Seite<br>nicht finden.');
define('_BACKTOHOME','Zurück nach Hause');
define('_MEMBERSINCE','Mitglied seit');
define('_CLEANUPCOMPLETE','Bereinigung abgeschlossen');
define('_INFO','Die Info');
define('_ACTION','Aktion');
define('_NOTACTIVE','Nicht aktiv');
define('_THEME','Thema');
define('_CLICKTOOPEN','Klicken Sie auf Bild zum Öffnen');
define('_ID','ID');
define('_ACTIVEMEMBERACCOUNTS','Mitgliedskonten');
define('_WEBSITE','Webseite');
define('_NEXT','Nächste');
define('_PREV','Vorher');
define('_MUSTBELOGGEDINTOVIEW','Sie müssen angemeldet sein, um diese Seite anzuzeigen.');
define('_ACTIVEUSERS','Aktive Benutzer');
define('_CHANGETHEME','Thema ändern');
define('_AVATAR','Benutzerbild');
define('_MEMBERSLIST','Mitgliederliste');
define('_URLDOESNTEXIST','Anscheinend haben Sie eine URL erreicht, die nicht existiert.<br>Bitte');
define('_FOLLOWTHISLINK','folge diesem Link');
define('_TOFINDYOURWAYBACK','um den Weg zurück zu finden.');
define('_LOSTPAGE404','Verlorene Seite 404-Fehler');
define('_CARDEDPAGE','Gekrönte Seite');
define('_LINKSMAYNOTWORK','Dies dient nur der Vorschau und einige Links funktionieren möglicherweise nicht.');
define('_EDITARTICLEDIRECTLY','Bearbeiten Sie diesen Artikel direkt');
define('_MOUSEOVERTOSTOP','Bewegen Sie die Maus, um das Scrollen zu stoppen');
define('_THEMEPREVIEW','Themenvorschau');
define('_REFRESH','Seite neu laden');
define('_DELETEIMAGES','Bild(er) löschen');
define('_ADMIMG','Administratoren-Bilder');
define('_BY','Durch');
define('_DATE','Datum');
define('_EDIT','Bearbeiten');
define('_PRINT','Drucken');
define('_PRINTPAGE','Seite drucken');
define('_PRINTARTICLE','Artikel drucken');
define('_PRINTADMINARTICLE','Admin-Artikel drucken');
define('_REPOSITION','Umstellen');
define('_EMAIL','Email');
define('_NAME','Name');
define('_SUBJECT','Gegenstand');
define('_VERSION','Kompatibel mit der PHP-Version');
define('_VISITORS','Besucher');
define('_WELCOME_SPECTRA','Willkommen bei Spectra');
define('_CHOOSELANG','Wählen Sie aus den verfügbaren Sprachen');
define('_LANG','Sprache');
define('_SAVED','Gerettet');
define('_CONTINUE','Fortsetzen');
define('_LOGININSTALL','Login-Installation');
define('_ADMINCREDENTIALS','Anmeldeinformationen für Administratoren');
define('_USERNAME','Nutzername');
define('_PASSWORD','Passwort');
define('_CONFIRMPW','Bestätige das Passwort');
define('_SUCCESSFUL','Admin-Anmeldeinformationen wurden erfolgreich hinzugefügt!');
define('_SIDEBAR','Seitenleiste');
define('_CLOSEMENU','schließen');
define('_COMPLETEFORM','Bitte füllen Sie das Anmeldeformular aus!');
define('_EMAILNOTVALID','Email ist ungültig!');
define('_USERNAMENOTVALID','Nutzername ist ungültig!');
define('_PASSWORDMUSTBE','Das Passwort muss zwischen 5 und 20 Zeichen lang sein!');
define('_USERNAMEEXISTS','Benutzername existiert, bitte wählen Sie einen anderen!');
define('_COULDNOTPREPARE','Erklärung konnte nicht vorbereitet werden.');
define('_REGSETUPSUCCESS','Die Einrichtung der Registrierung war erfolgreich!');
define('_LOGINBLOCKWILLAPPEAR','Der Block für die Anmeldung/Registrierung von Mitgliedern wird auf der Indexseite des angezeigt ');
define('_LOGINBLOCKWILLNOTAPPEAR','Der Block Member Login/Registration erscheint nicht auf der Indexseite.');
define('_REGISACTIVE','Die Registrierung für neue Mitglieder ist aktiv.');
define('_LOGINBLOCKWILLAPPEARTOP','Oben unter der Menüleiste erscheint Login/Registrierung.');
define('_SIDE','Seite. ');
define('_CHANGEANYTIME','Sie können dies jederzeit ändern.');
define('_FORGOTPASSWORD','Die Funktion „Passwort vergessen“ wurde aktiviert. Die Mitgliederregistrierung ist nicht aktiv.');
define('_REGSETUP','Registrierung einrichten');
define('_STEPIMPORTANT','<p class="center">Dieser Schritt ist auch dann wichtig, wenn Sie nicht vorhaben, die Registrierung neuer Mitglieder zuzulassen. Wenn Sie als Administrator Ihr Passwort vergessen, müssen Sie in der Lage sein, die Funktion „Passwort vergessen“ zu verwenden. Die Informationen, die Sie hier hinzufügen, aktivieren diese Funktion.</p><br>
<p class="center">Geben Sie unten die Informationen ein, die Sie in der E-Mail verwenden möchten, die von der Funktion „Passwort vergessen“ gesendet wird.</p>');
define('_WEBSITEURL','Webadresse');
define('_TOP','oben');
define('_USESIDEBARBLOCK','Sie können oben auf der Homepage einen Link zur Anmeldung/Registrierung hinzufügen. Lassen Sie das Feld leer, wenn Sie es nicht verwenden, oder wählen Sie „Nein“.');
define('_ACTIVEMBRREG','Mitgliederregistrierung aktivieren?');
define('_REGSUCCESS','Die Einrichtung der Registrierung war erfolgreich!');
define('_NO','Nein');
define('_YES','Ja');
define('_RIGHT','Recht');
define('_LEFT','Links');
define('_SAVE','Speichern');
define('_READMORE','Weiterlesen');
define('_CLICKTHUMBNAILTOOPEN','Klicken Sie auf Miniaturansicht zum Öffnen');

// Root-Dateien

//  cleanup.php

define('_COMPLETE','Die Installierung ist abgeschlossen');
define('_CONGRATULATIONS','Glückwünsche! Sie können sich nun als Administrator anmelden und Ihre Website erstellen.');
define('_CONTENTS','Hinweis: Der Inhalt des INSTALL-Ordners wurde während des Bereinigungsvorgangs entfernt.');
define('_REFERENCE','Weitere Informationen zu den ersten Schritten finden Sie in der Datei <a href="../../README.html" target="_blank">README.html</a>.');

// activemembers.php

define('_SOCIALSHARING','Soziales Teilen');
define('_ISSHAREDPAGE','Herzlich willkommen! Hier bin ich bekannt als ');
define('_WHOSEROLE','meine rolle hier ist eine <b>aktive ');
define('_SINCE','Seitdem bin ich hier');
define('_HASCHOSEN','Ich habe mich entschieden, diese Informationen mit Ihnen zu teilen.');
define('_RESIDESIN','wohnt in');
define('_INTERESTARE','Interesse');
define('_VISITWEBSITE','Webseite');
define('_BIOGRAPHY','Biografie');
define('_CANNOTACCESSDIRECTLY','Sie können auf diese Seite nicht direkt zugreifen.');
define('_REALNAME','Echter Name');
define('_ROLE','Rolle');
define('_DATEJOINED','Beitrittsdatum');
define('_MUSTLOGIN','Sie müssen sich <a href="sys/index.php">anmelden</a>, um auf diese Seite zugreifen zu können.');
define('_VISIT','Besuch');

// builders/admintools.php

define('_HIDETOPBAR','Top-Leiste ausblenden?');
define('_SHOWCONTENTSAVER','Inhaltsschoner anzeigen?');
define('_SHOWMENUICONS','Menüsymbole anzeigen?');
define('_ADDLINKS','Verknüpfungen hinzufügen');
define('_TURNONOFF','Schalten Sie die obere Leiste ein/aus');
define('_OPENCONTENTSAVER','Öffnen Sie den Inhaltsschoner');
define('_CONTENTSAVER','Inhaltsschoner');
define('_QUICKNOTE','Schnelle Notiz');
define('_NOTES','Anmerkungen');
define('_EDITNOTES','Notizen bearbeiten');
define('_IMAGEGRABBER','Image-Grabber');
define('_DROPFILEHERE','Datei hier ablegen');
define('_VIEWIMAGES','Bilder anzeigen');
define('_OR','oder');

// contact.php, card.php 

define('_INVALIDNAME','Ungültiger Name');
define('_INVALIDSUBJECT','Ungültiger Betreff');
define('_INVALIDEMAIL','Ungültige E-Mail');
define('_MESSAGESHOULDNOTBEEMPTY','Ihre Nachricht darf nicht leer sein');
define('_CONTACTUS','Kontaktiere uns');
define('_MESSAGE','Nachricht');
define('_SUBMIT','einreichen');
define('_MESSAGESENT','Nachricht gesendet');
define('_ERROROCCURED','Fehler aufgetreten, bitte versuchen Sie es später erneut');

// credits.php

define('_SPECIALTHANKS','Besonderen Dank!');
define('_THANKTHEFOLLOWING','Ich möchte den folgenden Personen für die Verwendung ihrer Produkte bei der Erstellung von Spectra danken.');
define('_CSSTOOLTIPLIBRARY','Eine reine CSS-Tooltip-Bibliothek für Ihre Website.');
define('_VISUALTEXTEDITOR','Intelligenter visueller Texteditor.');
define('_MEDIALIBRARY','Mediathek mit Bildbearbeitungsprogrammen.');
define('_FORMEDFOUNDATION','bildete die Grundlage für die Spectra Gallery.');
define('_USERSONLINE','Für das Benutzer-Online-Skript');
define('_CHATROOMSCRIPT','Chatroom-Skript');

// downloads.php

define('_ALLOWCOMMENTS','Kommentare erlauben');
define('_TITLE','Titel');
define('_FILENAME','Dateinamen');
define('_TOTAL_DOWNLOADS','Downloads');
define('_DOWNLOADS','Download-Suite');
define('_FILESIZE','Dateigröße');
define('_CATEGORY','Kategorie');
define('_DOWNLOADFILES','Dateien herunterladen');
define('_PAGE','Buchseite');
define('_DOWNLOAD','Download');
define('_MUSTBELOGGEDIN','Sie müssen angemeldet sein, um auf die Downloads zugreifen zu können');

// faq.php

define('_FAQ','Häufig gestellte Fragen');

// footer.php

define('_VISITCMSSPECTRA','Besuchen Sie Spectra');
define('_POWEREDBYCMSSPECTRA','Powered by Spectra, Version');
define('_GOTOTOP','Zur Spitze gehen');

// gallery.php

define('_RETURNTOHOMEPAGE','Zur Startseite zurückkehren');
define('_GALLERYMENU','Galerie-Menü');
define('_REFRESHPAGE','Seite aktualisieren, wenn Bilder nicht sofort geladen werden.');
define('_SPECTRAGALLERY','Spectra Galerie');

// sidebars.php
define('_SIDEBARBLOCKS','Seitenleisten-Blöcke');

// themes.php

define('_REFRESHTHISWINDOW','Aktualisieren Sie dieses Fenster, um die Änderungen zu sehen, während Sie sie am Design vornehmen.');
define('_CLOSE','Nah dran');


// builders/admin.php, builders/adminarticle.php, builders/adminblock.php

define('_ARTICLES','Artikel');
define('_COMMENTS','Bemerkungen');
define('_COMMENT','Kommentar');
define('_AWAITINGEDITING','warten auf Bearbeitung');
define('_MEMBERSONLY','Nur für Mitglieder');
define('_EDITPAGEDIRECTLY','Bearbeiten Sie diese Seite direkt.');
define('_EDITDIRECTLY','Direkt bearbeiten');

// Lsidebar.php and Rsidebar.php

define('_SEARCH','Suche');
define('_ARCHIVES','Archiv');
define('_LINKTOME','Link zu mir');

// plugin-blockL.php and plugin-blockR.php

define('_TAGCLOUD','Tag-Cloud');
define('_CATEGORIES','Kategorien');
define('_CLOCK','Uhr');
define('_DIGITALCLOCK','Digitaluhr');
define('_CALENDAR','Kalender');
define('_SPOTLIGHT','Scheinwerfer');

// sup/profile.php

define('_LOCATION','Standort');
define('_BIO','Biografie');
define('_INTEREST','Interesse');

// core/startup.php

define('_MUSTBELOGGED_IN','Der Administrator muss angemeldet sein, um diese Seite anzuzeigen.');
define('_STARTUPGUIDE','Startup-Anleitung');
define('_WELCOMETOSPECTRA','Willkommen bei Spectra!');
define('_ONLYADMINCANSEE','Nur der Administrator kann dies sehen, wenn er angemeldet ist');
define('_FORQUICKSETUP','Für Schnelleinrichtungsfunktionen gehen Sie zu „<a href="../designer/setup-wizard/index.php" target="_blank">Setup-Assistent</a>');
define('_CKEDITOR','Obwohl CKEditor 4 sein End Of Life (EOL) erreicht hat, verwende ich es immer noch mit Spectra, weil es sicher und geschützt ist.');
define('_CREATEDSPECTRAFOR','Ich habe Spectra für die Verwendung bei &quot;<a href="https://www.coders-junction.com" target="_blank">Coders Junction</a>&quot; erstellt. Es handelt sich nicht um einen Fork, sondern um ein brandneues Content-Management-System.<br>Mein Design konzentriert sich auf die Bereitstellung einer mühelosen Installation, Nutzung und der erforderlichen Tools für eine erfolgreiche Website.<br>Spectra bietet eine Reihe von Funktionen, einschließlich Plugins, Modulen, Menüsystemen, Artikeln, Seiten, einer Download-Suite, einer Bildergalerie und mehr.');
define('_THEADMINHAS','Der Administrator hat exklusiven Zugriff auf einfache Bearbeitungstools in Spectra, während er angemeldet ist.');
define('_USEROWGRID','Verwendung von Zeilen/Raster');
define('_USEROWGRIDPARA','<p style="text-align: justify; color:#000000; font-size:18px;">Der effektivste Weg, eine Website zu gestalten, ist die Verwendung von Zeilen. Bei Zeilen ist es einfach, die Ausrichtung und die Größe von Elementen über Spaltenbreiten und -höhen innerhalb eines Rasterlayouts zu steuern. Wenn es um Webdesign geht, können Raster ein unschätzbares Werkzeug sein, um ansprechende und effektive Designs zu erstellen. Durch das Einrichten von Spalten, Zeilen und Rändern haben Designelemente Raum zum Atmen und Benutzer können sich schnell mit der Benutzeroberfläche vertraut machen, ohne überfordert zu werden.</p><p style="text-align: justify; color:#000000; font-size:18px;">Sniplets, Blöcke, Seiten und Artikel sind die primären Inhaltselemente. Ich beschreibe sie im Designer-Dashboard/auf der Homepage. Sniplets (Teaser) sind kleine Inhaltscontainer, die ein paar Textzeilen und ein Bild enthalten. Die Sniplets verfügen außerdem über eine Volltextfunktion, mit der Sie so viele Inhalte hinzufügen können, wie Sie hinzufügen möchten. Sie können darauf zugreifen, indem Sie auf das Aufwärtspfeilsymbol im Sniplet-Container auf der Startseite klicken. Blöcke, Artikel und Seiten enthalten so viel Inhalt, wie Sie ihnen hinzufügen möchten.</p><p style="text-align: justify; color:#000000; font-size:18px;">Jedes Inhaltselement hat Direktbearbeitungsfunktionen. Um den Inhalt eines Elements zu bearbeiten, klicken Sie auf das Stiftsymbol und um ein Element innerhalb derselben Zeile neu zu positionieren, klicken Sie auf das Pfeilsymbol.</p><p style="text-align: justify; color:#000000; Schriftart- size:18px;">Zeilen enthalten den Inhalt. Es gibt 12 Reihen und jede Reihe hat 3 Schichten: Oben, Mitte und Unten. Jede Ebene kann eine unbegrenzte Menge an Inhalten enthalten, von Blöcken bis hin zu Sniplets. Zeilen enthalten Seitenleisten entweder links, rechts oder auf beiden Seiten.</p>');
define('_SNIPLETPARA','<p style="text-align: justify; color:#000000; font-size:18px;">Wenn Sie einer Zeile Sniplets zuweisen, entscheiden Sie, wie viele (bis zu sechs) in den von links nach rechts angezeigten Ebenen angezeigt werden sollen. Es können beliebig viele Schichten hintereinander liegen. Wenn eine Schicht innerhalb einer Reihe fertig ist, wird die nächste unter die vorherige Schicht fallen. Der Administrator kann ein Sniplet innerhalb einer Zeile neu positionieren, indem er es an eine neue Position zieht. Um ein Sniplet in eine andere Zeile zu verschieben, klicken Sie auf das Bearbeitungssymbol und ändern Sie die Zeilenzuweisung. Wenn Sie beispielsweise vier Sniplet-Ebenen hintereinander erstellen (16 Sniplets) und das letzte Sniplet auf der vierten Ebene verschieben möchten, ziehen Sie es einfach an die neue Position.</p>');
define('_BLOCKSPARA','<p style="text-align: justify; color:#000000; font-size:18px;">Beim Erstellen von Blöcken kann jede Reihe/Ebene bis zu 6 Blöcke (Sie entscheiden) mit unbegrenzten Ebenen in jeder Reihe enthalten. Beim Konfigurieren von Blöcken müssen Sie jede Zeile konfigurieren. Positionieren Sie Blöcke innerhalb einer Reihe neu, indem Sie sie an eine neue Position ziehen. Um die Zeilenzuordnung zu ändern, klicken Sie auf das Bearbeitungssymbol und ändern Sie es. Wenn Sie einen Block erstellen, können Sie ihn einer beliebigen Stelle auf der Seite zuweisen und ihn sogar On-Canvas-Seitenleisten oder Off-Canvas-Seitenleisten zuweisen.</p><p style="text-align: justify; #000000; font- size:18px;">Sobald Sie <a href="designer/index.php" target="_blank">alles gelesen haben</a>, besteht der erste Schritt darin, die Startseite zu konfigurieren. Gehen Sie zur <a href="designer/setup-wizard/index.php" target="_blank">Kurzanleitung zur Einrichtung</a> oder zum Designers Dashboard/<a href="designer/website.php" target="_blank". ">Allgemeine Website-Konfiguration</a>. Nachdem Sie diese Seite eingerichtet haben, können Sie Inhalte erstellen.</p>');

// users.php

define('_ONLINE','Online');
define('_DONTHAVEANAVATAR','Sie haben keinen Avatar? Folge mir zu Gravatar.');
define('_WELCOME','Herzlich willkommen');
define('_ACCOUNT','Konto');
define('_PROFILE','Profil');
define('_CONTACT','Kontakt');
define('_SUBMITARTICLE','Artikel einreichen');
define('_AVAILABLEDOWNLOADS','Verfügbare Downloads');
define('_DOWNLOADSMEMBERSONLY','Downloads sind nur für Mitglieder verfügbar.');
define('_DOWNLOADSALLVISITORS','Downloads stehen allen Besuchern zur Verfügung.');
define('_LOGOUT','Ausloggen');
define('_LOGIN','Anmeldung');
define('_PUBLISHEDARTICLES','Veröffentlichte Artikel');
define('_ACTIVEMEMBERS','Aktive Mitglieder');
define('_TOTALMEMBERS','Mitglieder insgesamt');
define('_REGISTER','Registrieren');
define('_IPADDRESS','IP Adresse');

// core/megamenu

// index.php

define('_HOME','Heim');
define('_FAQLINK','FAQ');
define('_SOCIALMEDIA','Sozialen Medien');

// sidemenu.php

define('_OPENOFFCANVAS','Off-Canvas-Menü öffnen');
define('_INDEX','Index');

// core/modules/

// modgallery/index.php

define('_CLICKFORSLIDESHOW','Klicken Sie auf Bild für Diashow');

// core/plugins

// archive.php

define('_CARDS','Karten');

// linktome.php

define('_COPYANDPASTECODE','Kopieren Sie den folgenden Code und fügen Sie ihn dort in Ihre Website ein, wo die Schaltfläche erscheinen soll.');
define('_COPYTHECODE','Kopieren Sie den Code');

// categories.php

define('_ACTIVEARTICLES','Aktive Artikel');
define('_PAGES','Seiten');

// registration.php

define('_USERS','Benutzer');

// spotlight.php

define('_ARCHIVED','Archiviert');
define('_ACTIVE','Aktiv');

// html-themes/uploadfolder.php

define('_HTMLUPLOADTOOL','Tool zum Hochladen von HTML5-Ordnern');
define('_PHPINISETTINGS','Die Einstellungen in Ihrer php.ini-Datei sollten Folgendes enthalten:');
define('_TOTALFILES','Gesamtzahl der Dateien im Ordner, wenn Sie eine Fehlermeldung erhalten, wird der Ordner möglicherweise trotzdem hochgeladen.');
define('_FOLDERTOUPLOAD','Ordner zum Hochladen auswählen (muss mit dem <strong>Ordnernamen</strong> übereinstimmen)');
define('_NAMEISEMPTY','Name des Upload-Ordners ist leer.');
define('_UPLOADSUCCESSFUL','Ordner wurde erfolgreich hochgeladen');
define('_FOLDERNAME','Ordnernamen');

// themecontroller/index.php

define('_UPLOADFOLDER','Ordner hochladen');
define('_SETTHEMEFOLDERNAME','Sie haben den Namen des Themenordners nicht festgelegt.<br>Geben Sie den Namen des Themenordners ein und klicken Sie auf „Datensatz aktualisieren“ und „Seite aktualisieren“, um fortzufahren.');
define('_UPLOADHTML5THEME','HTML5-Designordner hochladen');
define('_WILLUPLOADFOLDER','Dadurch wird Ihr Themenordner hochgeladen');
define('_INTOHTMLTHEMES','in den Ordner html-themes.');
define('_CHOOSE','Wählen');
define('_FOLDERFORUPLOAD','Ordner zum Hochladen');
define('_PERCENTAGE','Prozentsatz');
define('_PROGRESS','Fortschritt');
define('_FILESUPLOADED','Dateien hochgeladen');
define('_LOADERANIMATION','Lader-Animation');
define('_CLOSETHISWINDOW','Schließe dieses Fenster');

