<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

if (realpath(__FILE__) == realpath($_SERVER['SCRIPT_FILENAME'])) {
exit('Access Denied'); }

$sql = "SELECT * FROM website";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$msgperrow_admin = $row['msgperrow_admin'];
$msgheight_admin = $row['msgheight_admin'];  }} ?>

<table><tr><td>
<div class="row">
<table class="column"><tr><td>

<?php $sql = "SELECT * FROM adminarticle WHERE visibility='Admin' ORDER BY adminarticle_position + 0 ASC";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) { 
    
if ($row['useadminarticle'] == 'Yes' && $row['visibility'] == 'Admin') { 

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>

<div class="column<?= $msgperrow_admin ?>">

<table class="column"><tr><td>

<?php 

if ($row['showtitle'] == 'Styled') { ?>
<div class="column center column-title coltitlecolor"><?= $row['adminarticletitle'] ?></div>
<?php } elseif ($row['showtitle'] == 'Plain') { ?><h3 class="center"><?= $row['adminarticletitle'] ?></h3> 
<?php } elseif ($row['showtitle'] == 'No' || $row['showtitle'] == '') { }

/**
* 
* If a background image is used.
* 
*/

if ($row['usewhich'] == 'Image') { ?>
<div class="spacer column" style="background-image:url(media/themes/<?= $row['backimage'] ?>);background-attachment:<?= $row['backattach'] ?>; height:<?= $msgheight_admin ?>; width:100%; overflow-y:auto; overflow-x:hidden;">
<?= $row['adminarticle']; }

/**
* 
* If a background color is used.
* 
*/elseif ($row['usewhich'] == 'Color') { ?>
<div class="spacer column" style="background:-webkit-linear-gradient(top,<?= $row['backcolor'] ?>,<?= $row['backcolor_second'] ?>); height:<?= $msgheight_admin ?>; width:100%; overflow-y:auto; overflow-x:hidden;">
<?= $row['adminarticle']; }

/**
* 
* If no color or image is used.
* 
*/elseif ($row['usewhich'] == 'None') { ?>
<div class="spacer card column" style=" height:<?= $msgheight_admin ?>; width:100%; overflow-y:auto; overflow-x:hidden;">
<?= $row['adminarticle']; }

/**
* 
* Add the date and establish if the admin is logged-in.
* 
*/?>

</div></div>

<?php
/**
* 
* Build the column footer and add the tools.
*
*/?>

<div class="column-footer column spacer center" style="width:100%;">
<?php if ($row['date_author'] == 'Yes') { ?>
<p style="font-size:12px;">(<?= _BY ?>: <?= $row['author'] ?>&nbsp;&nbsp;<?= _DATE ?>: <?= $row['date'] ?>)
<?php } else {}
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') {

/**
* 
* Admin is logged-in show direct editing tool.
* and repositioning tool.
* 
*/?>

<div class="center">
&nbsp;&nbsp;&nbsp;<a href="core/designer/adminarticle.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['adminarticletitle'] ?>&quot;" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>&nbsp;&nbsp;&nbsp;<a href="core/designer/adminarticle-position.php" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>: &quot;<?= $row['adminarticletitle'] ?>&quot;"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a>
</div>

<?php }}

/**
* 
* Add the comments if selected.
* For members only when logged in.
* 
*/

if ($row['allowcomments'] == 'Yes') { ?> &nbsp;&nbsp;<a href="../sys/admincomments.php?id=<?= $row['id'] ?>" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _COMMENT ?> on &quot;<?= $row['adminarticletitle'] ?>&quot;.. (<?= _MEMBERSONLY ?>)"><i style="color:<?= $col_footer_font_color ?>;" class="fa fa-comments"></i></a> 
<?php }

/**
* 
* If selected show printing tool for all.
* 
*/

if ($row['printon'] == 'Yes') { ?>&nbsp;&nbsp;&nbsp;<a href="core/builders/printadminarticle.php?id=<?= $row['id'] ?>" target="_blank" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _PRINT ?>: &quot;<?= $row['adminarticletitle'] ?>&quot;"><i class="fa fa-print"></i></a>
<?php } ?>
</p>
</div><!-- Close the tools/direct editing footer -->

</div><!-- Close the background styling choices -->

</td></tr></table>

</div><!-- Close msgperrow -->

<?php }}}}} ?>

</td></tr></table>
</div><!-- Close class row -->
</td></tr></table>