<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */ ?>

<style>
nav#slide-menu-library {
  position: fixed;
  background: <?= $wrapper ?>;
  top: 0;
  right: -300px;
  bottom: 0;
  display: block;
  overflow-y: scroll;
  max-width: 300px;
  height: 100%;
  z-index: 9999;
  -moz-transition: all 300ms;
  -webkit-transition: all 300ms;
  transition: all 300ms;
}

body.menu-active-library nav#slide-menu-library {
  right: 0px;
  padding: 10px 50px 10px 20px;
}

div#content-library {
  position: fixed;
  top: 0;
  right: 0;
  height: 100%;
  border-radius: 0;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  -moz-transition: all 300ms;
  -webkit-transition: all 300ms;
  transition: all 300ms;
}

div#content-library div.menu-trigger-library {
  position: fixed;
  top: 50%;
  right: 10px;
  width: 50px;
  padding: 10px;
  cursor: pointer;
  -moz-transition: all 300ms;
  -webkit-transition: all 300ms;
  transition: all 300ms;
}

@media (max-width: 768px) {
  div#content-library div.menu-trigger-library {
    -webkit-gradient(linear, left top, left bottom, from(<?= $menu_color ?>), to(<?= $menu_color_second ?>));
    top: 400px;
  }
}

body.menu-active-library div#content-library {
  right: 300px;
  border-radius: 7px 0 0 7px;
}

body.menu-active-library div#content-library .menu-trigger-library {
  right: 300px;
}

.text{
  writing-mode: vertical-lr;
  font-family: Garamond serif;
  font-transition: uppercase;
  text-transform: uppercase;
  font-size: 18px;
  text-orientation: upright;
}

.text:hover {
  color: yellow;
}

</style>