<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */ 

$sql = "SELECT website_url, subdomain, Subdomain_name FROM registration, website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$Subdomain_name = $row['Subdomain_name'];
$website_url = $row['website_url'];
$subdomain = $row['subdomain']; }}

if ($subdomain == 'No' || $subdomain == '') {
    $domain = "$website_url"; }
if ($subdomain == 'Yes') {
    $domain = "$website_url/$Subdomain_name"; }

$sql = "SELECT * FROM heropage";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$useheropage = $row['useheropage'];
$text = $row['text'];
$heroback = $row['heroback']; 
$paddingleft = $row['paddingleft'];
$paddingtop = $row['paddingtop'];
$containerwidth = $row['containerwidth'];
$heroheight = $row['heroheight'];
$radius = $row['radius'];
$shadow = $row['shadow'];
$opacity = $row['opacity'];
$textback = $row['textback'];
$textbacksecond = $row['textbacksecond']; 
$useback = $row['useback']; 
$textbackimg = $row['textbackimg'];
$positioncontainer = $row['positioncontainer'];
$containerheight = $row['containerheight'];
$padcontainer = $row['padcontainer'];
$textbackvideo = $row['textbackvideo'];
$setback = $row['setback']; }} ?>

<style>
.responsive-container { 
<?php if ($useback == 'Color') { ?>
background: linear-gradient(<?= $textback ?>, <?= $textbacksecond ?>);
<?php } elseif ($useback == 'Image') { ?>
background: url('media/themes/<?= $textbackimg ?>');
background-attachment: fixed;
<?php }
if ($positioncontainer == 'Left') { ?>
margin-left: <?= $paddingleft ?>;
margin-top: <?= $paddingtop ?>;
<?php }
if ($positioncontainer == 'Right') { ?>
margin-right: <?= $paddingleft ?>;
margin-top: <?= $paddingtop ?>;
<?php } ?>
padding: <?= $padcontainer ?>;
border-radius: <?= $radius ?>; 
width: <?= $containerwidth ?>;
height: <?= $containerheight ?>;
box-shadow: <?= $shadow ?>; 
opacity: <?= $opacity ?>; }

@media (max-width: 768px) { 
.responsive-container {
width: 100%;
margin-left: 0; 
margin-right: 0;}}

body {
background: <?= $back_color ?> url('media/themes/<?= $bg_img ?>');
background-size: cover;
background-attachment: fixed; }

.heropage {
background: url('media/themes/<?= $heroback ?>'); 
background-attachment: fixed; 
background-size: cover;
width: 100%; 
height: <?= $heroheight ?>; }

.table-container {
width: 97%; 
margin: 0 auto; 
margin-top: 0; }

@media (max-width: 768px) {
.table-container {
margin-top: 0; }}

.video-container {
position: absolute; 
top: <?= $paddingtop ?>; 
left: <?= $paddingleft ?>; }

@media (max-width: 1200px) {
.video-container {
position: static;
padding: 0;
margin: 0; }}
</style>

<?php if ($setback == 'Video') { ?>
<div class="card" style="margin:0; padding:0; width:100%;">
<p>
<video autoplay="" controls="" loop="" muted="">
<source src="media/videos/<?= $textbackvideo ?>.mp4" type="video/mp4" />
<div class="video-container responsive-container"><?= $text ?></div>
</video>
</p>
</div>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="column-footer center spacer radius" style="margin:0 auto; width:13%;">
<a href="<?= $domain ?>/core/designer/heropage.php" onclick="basicPopup(this.href);return false" title=""><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>
</div>
<?php }}}

else { ?>

<div class="heropage">

<table class="table-container">
<tr class="column">
<td>

<?php if ($positioncontainer == 'Left') { ?>
<div class="responsive-container"><?= $text ?></div>
<?php } ?>


<?php if ($positioncontainer == 'Center') { ?>
<div style="margin-top: <?= $paddingtop ?>"></div>
<div class="responsive-container" style="margin:0 auto;"><?= $text ?></div>
<?php } ?>


<?php if ($positioncontainer == 'Right') { ?>
<div style="float:right" class="responsive-container"><?= $text ?></div>
<?php } ?>

</td></tr></table> 

</div>

<?php 
/**
 * 
 * Add the admin direct editing feature.
 * 
 */

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="column-footer center spacer radius" style="margin:0 auto; width:13%;">
<a href="<?= $domain ?>/core/designer/heropage.php" onclick="basicPopup(this.href);return false" title=""><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>
</div>
<?php }}} ?>
