<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

if ($hp_library == 'Block') { $column = 'column4'; } else { $column = 'column'; } ?>

<h1 class="center"><?= _LIBRARY ?></h1>
<hr />

<div class="row">

<?php if ($tags_sidebar == 'Library') { ?>
<div class="<?= $column ?> borderright card">
<hr />
<h3 class="center"><?= _TAGCLOUD ?></h3>
<hr /><br>
<?php require 'core/plugins/tagcloud.php'; ?>
</div>
<?php }


if ($categories_sidebar == 'Library') { ?>
<div class="<?= $column ?> borderright card">
<hr />
<h3 class="center"><?= _CATEGORIES ?></h3>
<hr /><br>
<?php require 'core/plugins/categories.php'; ?>
</div>
<?php }

if ($spotlight_sidebar == 'Library') { ?>
<br>
<div class="<?= $column ?> borderright card">
<hr />
<h3 class="center"><?= _SPOTLIGHT ?> <?= _ARTICLES ?></h3>
<hr /><br>
<?php require 'core/plugins/spotlight.php'; ?>
</div>
<?php }

if ($archivesidebar == 'Library') { ?>
<div class="<?= $column ?> borderright card">
<hr />
<h3 class="center"><?= _ARCHIVES ?></h3>
<hr /><br>
<?php require 'core/plugins/archive.php'; ?>
</div>
<br>
<?php } ?>
</div>

