<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

 $sql = "SELECT website_url, subdomain, Subdomain_name FROM registration, website"; 
 $result = $conn->query($sql); 
 if ($result->num_rows > 0) { 
 while ($row = $result->fetch_assoc()) { 
$Subdomain_name = $row['Subdomain_name'];
$website_url = $row['website_url']; }}

if ($subdomain == 'No' || $subdomain == '') {
    $domain = "pages.php"; }
if ($subdomain == 'Yes') {
    $domain = "' . $Subdomain_name . '/pages.php"; }

if ($paginationstyle == 'Use Default') { 

/**
 * 
 * Display the default styling
 * that matches the theme.
 * 
 */

$sql = "SELECT * FROM themes, website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$paginationstyle = $row['paginationstyle'];  }}

if (ceil($total_pages / $num_results_on_page) > 0) { ?>

<style>
.pagination {
box-sizing:border-box; 
background:<? $menu_color ?>; 
font-size:12px; 
font-weight:600; 
border-radius:8px; 
padding:5px; 
border:<?= $useborders ?>; }

.pagination:hover {
background:<?= $btn_flat_color ?>; }
</style>

<br>
<div class="center" style="background:<?= $menu_color ?>; width:97%; margin:0 auto; border-radius:8px;">

<ul style="background:<?= $menu_color ?>; padding:5px; display:inline-flex; box-sizing: border-box; box-shadow:none; margin:0 auto; text-align:center; word-spacing:2px; list-style-type: none; text-decoration:none;">

<?php if ($page > 1) { ?>
<li class="pagination hover">
<a href="<?= $domain ?>?page=<?= $page - 1 ?>" style="text-decoration:none"><span style="color: <?= $gen_text_color ?>">&nbsp;<?= _PREV ?>&nbsp;</span></a>
</li>&nbsp; 
<?php }    

if ($page > 3) { ?>
<li class="pagination hover">
<a href="<?= $domain ?>?page=1" style="text-decoration:none"><span style="color: <?= $gen_text_color ?>">1</span></a>
</li>    
<li style="color: <?= $gen_text_color ?>; font-size: 12px;"><br>&nbsp;...&nbsp;</li>   
<?php }

if ($page - 60 > 0) { ?>
<li class="pagination hover">
<a href="<?= $domain ?>?page=<?= $page - 60 ?>" style="text-decoration:none"><span style="color: <?= $gen_text_color ?>"><?= $page - 60 ?></span></a>
</li>&nbsp;
<?php }

if ($page - 1 > 0) { ?>    
<li class="pagination hover">
<a href="<?= $domain ?>?page=<?= $page - 1 ?>" style="text-decoration:none"><span style="color: <?= $gen_text_color ?>"><?= $page - 1 ?></span></a>
</li>&nbsp;

<?php } ?>
<li class="pagination hover">
<a href="<?= $domain ?>?page=<?= $page ?>" style="text-decoration:none"><span style="color: <?= $gen_text_color ?>"><?= $page ?></span></a>
</li>&nbsp;

<?php if ($page + 1 < ceil($total_pages / $num_results_on_page) + 1) { ?>
<li class="pagination hover">
<a href="<?= $domain ?>?page=<?= $page + 1 ?>" style="text-decoration:none"><span style="color: <?=$gen_text_color ?>"><?= $page + 1 ?></span></a>
</li>&nbsp; 
<?php }

if ($page + 2 < ceil($total_pages / $num_results_on_page) + 1) { ?>
<li class="pagination hover">
<a href="<?= $domain ?>?page=<?= $page + 2 ?>" style="text-decoration:none"><span style="color: <?= $gen_text_color ?>"><?= $page + 2 ?></span></a>
</li> &nbsp;
<?php }    

if ($page < ceil($total_pages / $num_results_on_page) -2) { ?>
<li style="color: <?= $gen_text_color ?>; font-size: 12px;"><br>&nbsp;...&nbsp;</li>
<li class="pagination hover">
<a href="<?= $domain ?>?page=<?= ceil($total_pages / $num_results_on_page) ?>" style="text-decoration:none"><span style="color: <?= $gen_text_color ?>"><?= ceil($total_pages / $num_results_on_page) ?></span></a>
</li>&nbsp;
<?php }

if ($page < ceil($total_pages / $num_results_on_page)) { ?>
<li class="pagination hover">
<a href="<?= $domain ?>?page=<?= $page + 1 ?>" style="text-decoration:none"><span style="color: <?= $gen_text_color ?>">&nbsp;<?= _NEXT ?>&nbsp;</span></a>
</li>&nbsp;
<?php }  ?>
</ul>
</div>
<?php }}

else {

/**
 * 
 * Display the custom styling.
 * Best choice if only one theme
 * is used.
 * 
 */

$sql = "SELECT * FROM pagination, website WHERE stylename='$paginationstyle'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 

if (ceil($total_pages / $num_results_on_page) > 0) { ?>

<style>
.pagination {
box-sizing: border-box; 
background: linear-gradient(<?= $row['gradientfirst'] ?>, <?= $row['gradientsecond'] ?>); 
font-size: <?= $row['numbersfontsize'] ?>; 
font-weight: 800; 
border-radius: <?= $row['numberradius'] ?>; 
padding:<?= $row['numberspadding'] ?>; 
border:<?= $row['numberborder'] ?>; }
</style>

<br>
<div class="center" style="background:<?= $row['backcolor'] ?>; width:<?= $row['paginationwidth'] ?>; margin:0 auto; border-radius:<?= $row['overallradius'] ?>;">

<ul style="background:<?= $row['backcolor'] ?>; padding:<?= $row['overallpadding'] ?>; display:inline-flex; box-sizing: border-box; box-shadow:none; margin:0 auto; text-align:center; word-spacing:2px; list-style-type: none; text-decoration:none;">

<?php if ($page > 1) { ?>
<li class="pagination hover">
<a href="<?= $domain ?>?page=<?= $page - 1 ?>" style="text-decoration:none"><span style="color: <?= $row['numbersfontcolor'] ?>">&nbsp;<?= _PREV ?>&nbsp;</span></a>
</li>&nbsp; 
<?php }    

if ($page > 3) { ?>
<li class="pagination hover">
<a href="<?= $domain ?>?page=1" style="text-decoration:none"><span style="color: <?= $row['numbersfontcolor'] ?>">1</span></a>
</li>    
<li style="color: <?= $row['dotscolor'] ?>; font-size: <?= $row['numbersfontsize'] ?>;"><br>&nbsp;...&nbsp;</li>   
<?php }

if ($page - 60 > 0) { ?>
<li class="pagination hover">
<a href="<?= $domain ?>?page=<?= $page - 60 ?>" style="text-decoration:none"><span style="color: <?= $row['numbersfontcolor'] ?>"><?= $page - 60 ?></span></a>
</li>&nbsp;
<?php }

if ($page - 1 > 0) { ?>    
<li class="pagination hover">
<a href="<?= $domain ?>?page=<?= $page - 1 ?>" style="text-decoration:none"><span style="color: <?= $row['numbersfontcolor'] ?>"><?= $page - 1 ?></span></a>
</li>&nbsp;

<?php } ?>
<li class="pagination hover">
<a href="<?= $domain ?>?page=<?= $page ?>" style="text-decoration:none"><span style="color: <?= $row['numbersfontcolor'] ?>"><?= $page ?></span></a>
</li>&nbsp;

<?php if ($page + 1 < ceil($total_pages / $num_results_on_page) + 1) { ?>
<li class="pagination hover">
<a href="<?= $domain ?>?page=<?= $page + 1 ?>" style="text-decoration:none"><span style="color: <?= $row['numbersfontcolor'] ?>"><?= $page + 1 ?></span></a>
</li>&nbsp; 
<?php }

if ($page + 2 < ceil($total_pages / $num_results_on_page) + 1) { ?>
<li class="pagination hover">
<a href="<?= $domain ?>?page=<?= $page + 2 ?>" style="text-decoration:none"><span style="color: <?= $row['numbersfontcolor'] ?>"><?= $page + 2 ?></span></a>
</li> &nbsp;
<?php }    

if ($page < ceil($total_pages / $num_results_on_page) - 2) { ?>
<li style="color: <?= $row['dotscolor'] ?>; font-size: <?= $row['numbersfontsize'] ?>;"><br>&nbsp;...&nbsp;</li>
<li class="pagination hover">
<a href="<?= $domain ?>?page=<?= ceil($total_pages / $num_results_on_page) ?>" style="text-decoration:none"><span style="color: <?= $row['numbersfontcolor'] ?>"><?= ceil($total_pages / $num_results_on_page) ?></span></a>
</li>&nbsp;
<?php }

if ($page < ceil($total_pages / $num_results_on_page)) { ?>
<li class="pagination hover">
<a href="<?= $domain ?>?page=<?= $page + 1 ?>" style="text-decoration:none"><span style="color: <?= $row['numbersfontcolor'] ?>">&nbsp;<?= _NEXT ?>&nbsp;</span></a>
</li>&nbsp;
<?php }  ?>
</ul>
</div>
<?php }}}} ?>
<br>