<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

/**
 * This page is used to house the plugins that
    are included on the pages. These plugins are
    selected in the page builder.

    This file does not contain the blocks that are built
    using the sidebar builder.
 */


/**
------------------------------
      Google Search 
------------------------------
 */

    if ($search == 'Right') { ?>    
    <div class="card column">
    <?php require_once '../core/plugins/google-search.php'; ?>
    </div>
    <br>
    <?php }

/**
------------------------------
      Quick Links 
------------------------------
 */

    if ($quicklinks == 'Right') {
    $sql = "SELECT * FROM plugins, quicklink_links, quicklink_config"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { 
    while ($row = $result->fetch_assoc()) {
    $quicklinks_sidebar = $row['quicklinks_sidebar']; $quicklink_link = $row['quicklink_link']; $quicklink_name = $row['quicklink_name']; $quicklinks_title = $row['quicklinks_title']; }
    $result = mysqli_query($conn, 'SELECT * FROM quicklink_links ORDER BY id'); ?>
    <div class="left card column">
    <?php
    while ($row = mysqli_fetch_array($result)) { ?>
    <a href="<?= $row['quicklink_link'] ?>"><?= $row['quicklink_name'] ?></a><br>
    <?php } ?>
    </div>
    <br>
    <?php }}

/**
------------------------------
     Tag Cloud 
------------------------------
 */

    if ($tagcloud == 'Right') { ?>    
    <div class="card column">
    <?php require_once '../core/plugins/tagcloud.php'; ?>
    </div>
    <br>
    <?php }

/**
------------------------------
      Categories 
------------------------------
 */

    if ($categories == 'Right') { ?>    
    <div class="card column">
    <?php require_once '../core/plugins/categories.php'; ?>
    </div>
    <br>
    <?php } 

/**
------------------------------
      Calendar 
------------------------------
 */

    if ($calendar == 'Right') { ?>    
    <div class="card column">
    <?php require_once '../core/plugins/calendar.php'; ?>
    </div>
    <br>
    <?php }

/**
------------------------------
      Spotlight 
------------------------------
 */

    if ($spotlight == 'Right') { ?>    
    <div class="card column">
    <?php require_once '../core/plugins/spotlight.php'; ?>
    </div>
    <br>
    <?php } ?>
    </div>