<?php
/**
* CMS Spectra is software designed to build a website.
* PHP version 8
*
* @category  OpenSource
* @package   CMS Spectra
* @author    Mike Boyles <codersjunctions@gmail.com>
* @copyright 2020-2022 Coders Junction
* @license   GNU General Public License <http://www.gnu.org/licenses/>.
* @link      https://www.coders-junction.com
*/ ?>

<link id="effect" rel="stylesheet" media="all" href="core/megamenu/megamenufade-min.css" />
<link rel="stylesheet" media="all" href="core/megamenu/megamenu.css" />
<script src="core/megamenu/megamenu.js"></script>
<div class="spectramobileheader clearfix" style="height:40px;background:-webkit-gradient(linear,left top,left bottom,from(<?=$menu_color?>),to(<?=$menu_color_second?>))">
<a id="spectranavtoggle" class="spectraanimated-arrow"><span></span></a>
</div>
<div class="spectramainfull clearfix" style="width:97%">  
<div class="spectramainwp clearfix">
<nav class="spectramenu clearfix">
<ul class="spectramenu-list">
<li><a href="index.php" class="home"><i style="color:#fff" class="fas fa-home"></i><span class="hometext">&nbsp;Home</span></a></li>

<?php   // Build single links array
$result = mysqli_query($conn, "SELECT * FROM  singlelinks");

while ($row = mysqli_fetch_array($result)) {
if ($row['uselink'] == 'Yes') { ?>  
<li><a href="<?=$row['link_url']?>"><i style="color:<?=$linkcolor?>" class="<?=$row['link_icon']?>"></i><span style="color:<?=$linkcolor?>"><?=$row['link_name']?></span><span style="color:<?=$linkcolor?>"></span></a></li>			
<?php }}

$sql = "SELECT * FROM registration"; 

$result = $conn->query($sql); 

if ($result->num_rows > 0) { 

while($row = $result->fetch_assoc()) { 

if($row['allow_registration'] == 'Yes'){ ?>

<li><a href="sys/"><i style="color:<?=$row['account_icon_color']?>" class="<?=$row['account_icon']?>"></i> <span style="color:<?=$linkcolor?>">Account</span></a></li>

<?php }}}

$sql = "SELECT * FROM modules, submissions, website"; 

$result = $conn->query($sql); 

if ($result->num_rows > 0) { 

while($row = $result->fetch_assoc()) { 

if ($row['use_downloads'] == 'Yes') { ?>

<li><a href="sys/downloads.php" title="Members Only"><i style="color:<?=$row['download_icon_color']?>" class="<?=$row['download_icon']?>"></i> <span style="color:<?=$linkcolor?>">Downloads</span></a></li>

<?php }

if ($row['use_contact'] == 'Yes') { ?>

<li><a href="contact.php"><i style="color:<?=$row['contact_icon_color']?>" class="<?=$row['contact_icon']?>"></i> <span style="color:<?=$linkcolor?>">Contact</span></a></li>

<?php }

if ($row['use_faq'] == 'Yes') { ?>

<li><a href="faq.php"><i style="color:<?=$row['faq_icon_color']?>" class="<?=$row['faq_icon']?>"></i> <span style="color:<?=$linkcolor?>">FAQ</span></a></li>

<?php }

if ($row['use_gallery'] == 'Yes') { ?>

<li><a href="gallery.php"><i style="color:<?=$row['gallery_icon_color']?>" class="<?=$row['gallery_icon']?>"></i> <span style="color:<?=$linkcolor?>"><?=$row['gallery_linkname']?></span></a></li>

<?php }

if ($row['allow_article'] == 'Yes') { ?>

<li><a href="#"><i style="color:" class=""></i><span style="color:<?=$linkcolor?>"></span><span style="color:<?=$linkcolor?>" class="arrow">Member Submissions</span></a>
<ul class="sub-menu">
<?php $result = mysqli_query($conn, "SELECT * FROM  submissions");
while ($row = mysqli_fetch_array($result)) { ?>			    
<li><a href="mbrArticle.php?id=<?=$row['id']?>"><p><?=$row['c_title']?></p></a></li>				
<?php } ?>
</ul></li>

<?php }}}

// Build the megamenu array ... unlimited columns		
$sql = "SELECT * FROM megamenu"; 

$result = $conn->query($sql); 

if ($result->num_rows > 0) { 

while($row = $result->fetch_assoc()) { 

if ($row['mm_use'] == 'Yes') {			
$result = mysqli_query($conn, "SELECT * FROM  megamenu"); 

while ($row = mysqli_fetch_array($result)) { ?>
<li><a href="#"><i style="color:<?=$row['mm_icon_color']?>" class="<?=$row['mm_icon']?>"></i> <span style="color:<?=$linkcolor?>"><?=$row['mm_name']?></span><span style="color:<?=$linkcolor?>" class="arrow"></span></a>
<ul class="sub-menu">
<li><?=$row['mm_content']?></li>
</ul></li>
<?php }}}}


$sql = "SELECT * FROM newpages"; $result = $conn->query($sql); if ($result->num_rows > 0) { while($row = $result->fetch_assoc()) { ?>

<li><a href="#"> <span style="color:<?=$linkcolor?>"><?=$row['menuname']?></span><span style="color:<?=$linkcolor?>" class="arrow"></span></a>	<?php }} ?>		

<ul class="sub-menu">

<?php  $sql = "SELECT * FROM newpages"; $result = $conn->query($sql); if ($result->num_rows > 0) { while($row = $result->fetch_assoc()) { ?>	

<li><a href="pages.php?id=<?=$row['id']?>" style="text-decoration:none"><?=$row['pagename']?></a></li>

<?php }} ?>

</ul></li>			



<?php  // Build Social Media
$sql = "SELECT * FROM socialmedia"; 

$result = $conn->query($sql); 

if ($result->num_rows > 0) { 

while ($row = $result->fetch_assoc()) {

$use_social_media = $row['use_social_media']; $use_twitter = $row['use_twitter']; 

$twitter = $row['twitter']; $use_linkedin = $row['use_linkedin']; 

$linkedin = $row['linkedin']; $use_facebook = $row['use_facebook']; 

$facebook = $row['facebook']; $use_instagram = $row['use_instagram']; 

$instagram = $row['instagram']; $use_youtube = $row['use_youtube']; $youtube = $row['youtube']; 

$use_reddit = $row['use_reddit']; $reddit = $row['reddit']; 

$SM_header_style = $row['SM_header_style']; $SM_location = $row['SM_location'];}}
// Define the $img_source if not ... then ...
$img_source = '../core/social icons/';// For theme preview from designers dashboard
$img_source = 'core/social icons/'; // For standard view fron index page
// Build the social media dropdown ...
if ($use_social_media == 'Yes' && $SM_header_style == 'Button' && $SM_location == 'Header')
{ ?>				
<li><a href="#"><span style="color:<?=$linkcolor?>">Social Media</span><span style="color:<?=$linkcolor?>" class="arrow"></span>
<ul class="sub-menu">
<?php require_once 'core/megamenu/sociallinks.php'; ?>
</ul></li>
<?php }
else { // Or build the social media menu bar ...
if ($use_social_media == 'Yes' && $SM_header_style == 'Bar' && $SM_location == 'Header')
{ ?>
<div class="social-media">
<?php require_once 'core/megamenu/sociallinks-bar.php'; ?>
</div>
<?php }} ?>		
</ul>
</nav>	  
</div>
</div>
