<?php

/**
 * Spectra is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra
 * @author    Mike Boyles <codersjunctions@gmail.com>
 * @copyright 2020-2023 Coders Junction
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.coders-junction.com
 */ ?>

<link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
<menu class="menubar">

<menuitem>

<button class="menu-trigger linkcolor"><i class="fa fa-bars" title="<?= _OPENOFFCANVAS ?>"></i></button>

</menuitem>

</menu>

<div class="menu-body visibility">

<?php $sql = "SELECT * FROM website"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>

<div class="menu-head" style="height:200px">
<br>
<p class="center" style="color:<?= $logo_font_color ?>;font-family:<?= $logo_font ?>;"><strong><big><?= $row['logo'] ?></big></strong></p>

<?php $imagename = 'media/images/';
if (file_exists($imagename)) {
"$imagename";
} else {
$imagename = '../media/images/'; } ?>

<div class="sidemenuimage"><img src="<?= $imagename ?><?= $row['sidemenuimage']; }} ?>" style="width:100px; height:100px; border-radius:50%;" alt="" /></div>

</div>

<nav class="menu-container">

<br>
<br>

<ul class="menu-items menu-image">

<?php $filename = 'index.php';
if (file_exists($filename)) {
"$filename";
} else {
$filename = '../../index.php'; } ?>

<li><a href="<?= $filename ?>"><i class="fa fa-home"></i> <?= _INDEX ?></a></li>

<!-- Start single menus -->
<?php $result = mysqli_query($conn, "SELECT * FROM  singlelinks");
while ($row = mysqli_fetch_array($result)) {
if ($row['uselink'] == 'Yes') { ?>
<li><a href="<?= $row['link_url'] ?>" title="<?= $row['linktitle'] ?>"><i style="color:<?= $row['link_icon_color'] ?>" class="<?= $row['link_icon'] ?>"></i><span style="color:<?= $linkcolor ?>"><?= $row['link_name'] ?></span><span style="color:<?= $linkcolor ?>"></span></a></li>
<?php }}
// End single menus

// Start registration link
$sql = "SELECT * FROM registration";
$result = $conn->query($sql);
if ($result->num_rows > 0) 
while ($row = $result->fetch_assoc()) {
if ($row['allow_registration'] == 'Yes') { ?>
<li><a href="../../sys/"><i style="color:<?= $row['account_icon_color'] ?>" class="<?= $row['account_icon'] ?>"></i> <span style="color:<?= $linkcolor ?>"><?= _ACCOUNT ?></span></a></li>
<?php }}
// End registration link

// Start Downloads
$filename = 'core/downloads/';
if (file_exists($filename)) {
"$filename";
} else {
$filename = '../core/downloads/'; }

$sql = "SELECT * FROM modules, downloadconfig"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
if ($row['use_downloads'] == 'Yes' && $row['downloads_public'] == 'Yes') { ?>
<li class="hilite borderright"><a href="<?= $filename ?>"><i style="color:<?= $row['download_icon_color'] ?>" class="<?= $row['download_icon'] ?>"></i> <span style="color:<?= $linkcolor ?>"><?= _DOWNLOADS ?></span></a></li>
<?php }
// End Downloads

/**
 * Use Public Contact
 * Either use Jotform 
 * or standard Spectra
 * form.
 * 
 */

if ($row['use_contact'] == 'Yes') { 

if ($row['use_jotform'] == 'Yes') { ?>

<li class="hilite borderright">
<a href="https://form.jotform.com/<?= $row['jotform_user'] ?>" onclick="basicPopup(this.href);return false"><i style="color:<?= $row['contact_icon_color'] ?>" class="<?= $row['contact_icon'] ?>"></i> <span style="color:<?= $linkcolor ?>"><?= _CONTACT ?></span></a></li>
<?php } 
else {
$filename = 'sys/contactstaff.php';
if (file_exists($filename)) {
"$filename";
} else {
$filename = '../../sys/contactstaff.php'; } ?>
<li class="hilite borderright"><a href="<?= $filename ?>" onclick="basicPopup(this.href);return false"><i style="color:<?= $row['contact_icon_color'] ?>" class="<?= $row['contact_icon'] ?>"></i> <span style="color:<?= $linkcolor ?>"><?= _CONTACT ?></span></a></li>
<?php }}
// End Contact

// Start gallery
$filename = 'core/builders/album.php';
if (file_exists($filename)) {
"$filename";
} else {
$filename = '../core/builders/album.php'; }

if ($row['use_gallery'] == 'Yes') { ?>
<li class="hilite borderright"><a href="<?= $filename ?>"><i style="color:<?= $row['gallery_icon_color'] ?>" class="<?= $row['gallery_icon'] ?>"></i> <span style="color:<?= $linkcolor ?>"><?= $row['gallery_linkname'] ?></span></a></li>
<?php }}}
// End gallery

// Build the megamenu array ... unlimited columns
$sql = "SELECT * FROM megamenu"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) {
if ($row['mm_use'] == 'Yes') {
$result = mysqli_query($conn, "SELECT * FROM  megamenu");
while ($row = mysqli_fetch_array($result)) { ?>
<li class="has-sub"><span class="dropdown-heading"><i style="color:<?= $row['mm_icon_color'] ?>" class="<?= $row['mm_icon'] ?>"></i> <?= $row['mm_name'] ?></span>
<ul>
<li><?= $row['mm_content'] ?></li>
</ul>
</li>
<?php }}}}
$filename = 'sup/pages.php';
if (file_exists($filename)) {
"$filename";
} else {
$filename = '../sup/pages.php'; }

// Build the pages auto menu arrays with (12) columns and unlimited pages in each.

// Build Menu 1
$sql = "SELECT * FROM pagesautomenu, newpages, themes"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$id = $row['id'];
$usemenu_one = $row['usemenu_one'];
$menuface_one = $row['menuface_one'];
$name_one = $row['name_one'];
$icon_one = $row['icon_one'];
$icon_color_one = $row['icon_color_one'];
$menuname = $row['menuname'];
$gen_text_color = $row['gen_text_color']; }}
global $usemenu_one;
if ($usemenu_one == 'Yes') { ?>
<li class="has-sub"><span class="dropdown-heading"><i style="color:<?= $icon_color_one ?>" class="<?= $icon_one ?>"></i> <?= $menuface_one ?></span>
<ul class="full">
<?php $result = mysqli_query($conn, "SELECT * FROM  pagesautomenu WHERE menuface_one='$menuface_one'");
$result = mysqli_query($conn, "SELECT * FROM newpages WHERE menuname='menu1'");
while ($row = mysqli_fetch_array($result)) { ?>
<li><a href="<?= $filename ?>?id=<?= $row['id'] ?>"><?= $row['pagename'] ?></a></li>
<?php } ?>
</ul>
</li>
<?php }

// Build Menu 2
$sql = "SELECT * FROM pagesautomenu, newpages, themes"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) {
$id = $row['id'];
$usemenu_two = $row['usemenu_two'];
$menuface_two = $row['menuface_two'];
$name_two = $row['name_two'];
$icon_two = $row['icon_two'];
$icon_color_two = $row['icon_color_two'];
$menuname = $row['menuname'];
$gen_text_color = $row['gen_text_color'];
}}
global $usemenu_two;
if ($usemenu_two == 'Yes') { ?>
<li class="has-sub"><span class="dropdown-heading"><i style="color:<?= $icon_color_two
?>" class="<?= $icon_two
?>"></i> <?= $menuface_two ?></span>
<ul class="full">
<?php $result = mysqli_query($conn, "SELECT * FROM  pagesautomenu WHERE menuface_two='$menuface_two'");
$result = mysqli_query($conn, "SELECT * FROM newpages WHERE menuname='menu2'");
while ($row = mysqli_fetch_array($result)) { ?>
<li><a href="<?= $filename ?>?id=<?= $row['id'] ?>"><?= $row['pagename'] ?></a></li>
<?php } ?>
</ul>
</li>
<?php }

// Build Menu 3
$sql = "SELECT * FROM pagesautomenu, newpages, themes"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) {
$usemenu_three = $row['usemenu_three'];
$menuface_three = $row['menuface_three'];
$name_three = $row['name_three'];
$icon_three = $row['icon_three'];
$icon_color_three = $row['icon_color_three'];
$gen_text_color = $row['gen_text_color'];
}}
global $usemenu_three;
if ($usemenu_three == 'Yes') { ?>
<li class="has-sub"><span class="dropdown-heading"><i style="color:<?= $icon_color_three
?>" class="<?= $icon_three
?>"></i> <?= $menuface_three ?></span>
<ul class="full">
<?php $result = mysqli_query($conn, "SELECT * FROM  pagesautomenu WHERE name_three='$menuface_three'");
$result = mysqli_query($conn, "SELECT * FROM newpages WHERE menuname='menu3'");
while ($row = mysqli_fetch_array($result)) { ?>
<li><a href="<?= $filename ?>?id=<?= $row['id'] ?>"><?= $row['pagename'] ?></a></li>
<?php } ?>
</ul>
</li>
<?php }

// Build Menu 4
$sql = "SELECT * FROM pagesautomenu, newpages, themes";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$usemenu_four = $row['usemenu_four'];
$menuface_four = $row['menuface_four'];
$menuname = $row['menuname'];
$name_four = $row['name_four'];
$icon_four = $row['icon_four'];
$icon_color_four = $row['icon_color_four'];
$gen_text_color = $row['gen_text_color'];
}}
global $usemenu_four;
if ($usemenu_four == 'Yes') { ?>
<li class="has-sub"><span class="dropdown-heading"><i style="color:<?= $icon_color_four
?>" class="<?= $icon_four
?>"></i> <?= $menuface_four ?></span>
<ul class="full">
<?php $result = mysqli_query($conn, "SELECT * FROM  pagesautomenu WHERE name_four='$menuface_four'");
$result = mysqli_query($conn, "SELECT * FROM newpages WHERE menuname='menu4'");
while ($row = mysqli_fetch_array($result)) { ?>
<li><a href="<?= $filename ?>?id=<?= $row['id'] ?>"><?= $row['pagename'] ?></a></li>
<?php } ?>
</ul>
</li>
<?php }

// Build Menu 5
$sql = "SELECT * FROM pagesautomenu, newpages, themes";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$usemenu_five = $row['usemenu_five'];
$menuface_five = $row['menuface_five'];
$menuname = $row['menuname'];
$name_five = $row['name_five'];
$icon_five = $row['icon_five'];
$icon_color_five = $row['icon_color_five'];
$gen_text_color = $row['gen_text_color'];
}}
global $usemenu_five;
if ($usemenu_five == 'Yes') { ?>
<li class="has-sub"><span class="dropdown-heading"><i style="color:<?= $icon_color_five
?>" class="<?= $icon_five
?>"></i> <?= $menuface_five ?></span>
<ul class="full">
<?php $result = mysqli_query($conn, "SELECT * FROM  pagesautomenu WHERE name_five='$menuface_five'");
$result = mysqli_query($conn, "SELECT * FROM newpages WHERE menuname='menu5'");
while ($row = mysqli_fetch_array($result)) { ?>
<li><a href="<?= $filename ?>?id=<?= $row['id'] ?>"><?= $row['pagename'] ?></a></li>
<?php } ?>
</ul>
</li>
<?php }

// Build Menu 6
$sql = "SELECT * FROM pagesautomenu, newpages, themes";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$usemenu_six = $row['usemenu_six'];
$menuface_six = $row['menuface_six'];
$menuname = $row['menuname'];
$name_six = $row['name_six'];
$icon_six = $row['icon_six'];
$icon_color_six = $row['icon_color_six'];
$gen_text_color = $row['gen_text_color'];
}}
global $usemenu_six;
if ($usemenu_six == 'Yes') { ?>
<li class="has-sub"><span class="dropdown-heading"><i style="color:<?= $icon_color_six
?>" class="<?= $icon_six
?>"></i> <?= $menuface_six ?></span>
<ul class="full">
<?php $result = mysqli_query($conn, "SELECT * FROM  pagesautomenu WHERE name_five='$menuface_six'");
$result = mysqli_query($conn, "SELECT * FROM newpages WHERE menuname='menu6'");
while ($row = mysqli_fetch_array($result)) { ?>
<li><a href="<?= $filename ?>?id=<?= $row['id'] ?>"><?= $row['pagename'] ?></a></li>
<?php } ?>
</ul>
</li>
<?php }

// Build Menu 7
$sql = "SELECT * FROM pagesautomenu, newpages, themes";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$usemenu_seven = $row['usemenu_seven'];
$menuface_seven = $row['menuface_seven'];
$menuname = $row['menuname'];
$name_seven = $row['name_seven'];
$icon_seven = $row['icon_seven'];
$icon_color_seven = $row['icon_color_seven'];
$gen_text_color = $row['gen_text_color'];
}}
global $usemenu_seven;
if ($usemenu_seven == 'Yes') { ?>
<li class="has-sub"><span class="dropdown-heading"><i style="color:<?= $icon_color_seven
?>" class="<?= $icon_seven
?>"></i><?= $menuface_seven
?></span>
<ul>
<?php $result = mysqli_query($conn, "SELECT * FROM  pagesautomenu WHERE name_five='$menuface_seven'");
$result = mysqli_query($conn, "SELECT * FROM newpages WHERE menuname='menu7'");
while ($row = mysqli_fetch_array($result)) { ?>
<li><a href="<?= $filename ?>?id=<?= $row['id'] ?>"><?= $row['pagename'] ?></a></li>
<?php } ?>
</ul>
</li>
<?php }

// Build Menu 8
$sql = "SELECT * FROM pagesautomenu, newpages, themes";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$usemenu_eight = $row['usemenu_eight'];
$menuface_eight = $row['menuface_eight'];
$menuname = $row['menuname'];
$name_eight = $row['name_eight'];
$icon_eight = $row['icon_eight'];
$icon_color_eight = $row['icon_color_eight'];
$gen_text_color = $row['gen_text_color'];
}}
global $usemenu_eight;
if ($usemenu_eight == 'Yes') { ?>
<li class="has-sub"><span class="dropdown-heading"><i style="color:<?= $icon_color_eight
?>" class="<?= $icon_eight
?>"></i><?= $menuface_eight
?></span>
<ul>
<?php $result = mysqli_query($conn, "SELECT * FROM  pagesautomenu WHERE name_five='$menuface_eight'");
$result = mysqli_query($conn, "SELECT * FROM newpages WHERE menuname='menu8'");
while ($row = mysqli_fetch_array($result)) { ?>
<li><a href="<?= $filename ?>?id=<?= $row['id'] ?>"><?= $row['pagename'] ?></a></li>
<?php } ?>
</ul>
</li>
<?php }

// Build Menu 9
$sql = "SELECT * FROM pagesautomenu, newpages, themes";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$usemenu_nine = $row['usemenu_nine'];
$menuface_nine = $row['menuface_nine'];
$menuname = $row['menuname'];
$name_nine = $row['name_nine'];
$icon_nine = $row['icon_nine'];
$icon_color_nine = $row['icon_color_nine'];
$gen_text_color = $row['gen_text_color'];
}}
global $usemenu_nine;
if ($usemenu_nine == 'Yes') { ?>
<li class="has-sub"><span class="dropdown-heading"><i style="color:<?= $icon_color_nine
?>" class="<?= $icon_nine
?>"></i><?= $menuface_nine
?></span>
<ul>
<?php $result = mysqli_query($conn, "SELECT * FROM  pagesautomenu WHERE name_five='$menuface_nine'");
$result = mysqli_query($conn, "SELECT * FROM newpages WHERE menuname='menu9'");
while ($row = mysqli_fetch_array($result)) { ?>
<li><a href="<?= $filename ?>?id=<?= $row['id'] ?>"><?= $row['pagename'] ?></a></li>
<?php } ?>
</ul>
</li>
<?php }

// Build Menu 10
$sql = "SELECT * FROM pagesautomenu, newpages, themes";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$usemenu_ten = $row['usemenu_ten'];
$menuface_ten = $row['menuface_ten'];
$menuname = $row['menuname'];
$name_ten = $row['name_ten'];
$icon_ten = $row['icon_ten'];
$icon_color_ten = $row['icon_color_ten'];
$gen_text_color = $row['gen_text_color'];
}}
global $usemenu_ten;
if ($usemenu_ten == 'Yes') { ?>
<li class="has-sub"><span class="dropdown-heading"><i style="color:<?= $icon_color_ten
?>" class="<?= $icon_ten
?>"></i><?= $menuface_ten
?></span>
<ul>
<?php $result = mysqli_query($conn, "SELECT * FROM  pagesautomenu WHERE name_ten='$menuface_ten'");
$result = mysqli_query($conn, "SELECT * FROM newpages WHERE menuname='menu10'");
while ($row = mysqli_fetch_array($result)) { ?>
<li><a href="<?= $filename ?>?id=<?= $row['id'] ?>"><?= $row['pagename'] ?></a></li>
<?php } ?>
</ul>
</li>
<?php }

// Build Menu 11
$sql = "SELECT * FROM pagesautomenu, newpages, themes";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$usemenu_eleven = $row['usemenu_eleven'];
$menuface_eleven = $row['menuface_eleven'];
$menuname = $row['menuname'];
$name_eleven = $row['name_eleven'];
$icon_eleven = $row['icon_eleven'];
$icon_color_eleven = $row['icon_color_eleven'];
$gen_text_color = $row['gen_text_color'];
}}
global $usemenu_eleven;
if ($usemenu_eleven == 'Yes') { ?>
<li class="has-sub"><span class="dropdown-heading"><i style="color:<?= $icon_color_eleven
?>" class="<?= $icon_eleven
?>"></i><?= $menuface_eleven
?></span>
<ul>
<?php $result = mysqli_query($conn, "SELECT * FROM  pagesautomenu WHERE name_eleven='$menuface_eleven'");
$result = mysqli_query($conn, "SELECT * FROM newpages WHERE menuname='menu11'");
while ($row = mysqli_fetch_array($result)) { ?>
<li><a href="<?= $filename ?>?id=<?= $row['id'] ?>"><?= $row['pagename'] ?></a></li>
<?php } ?>
</ul>
</li>
<?php }

// Build Menu 12
$sql = "SELECT * FROM pagesautomenu, newpages, themes";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$usemenu_twelve = $row['usemenu_twelve'];
$menuface_twelve = $row['menuface_twelve'];
$menuname = $row['menuname'];
$name_twelve = $row['name_twelve'];
$icon_twelve = $row['icon_twelve'];
$icon_color_twelve = $row['icon_color_twelve'];
$gen_text_color = $row['gen_text_color'];
}}
global $usemenu_twelve;
if ($usemenu_twelve == 'Yes') { ?>
<li class="has-sub"><span class="dropdown-heading"><i style="color:<?= $icon_color_twelve
?>" class="<?= $icon_twelve
?>"></i> <?= $menuface_twelve ?></span>
<ul>
<?php $result = mysqli_query($conn, "SELECT * FROM  pagesautomenu WHERE name_twelve='$menuface_twelve'");
$result = mysqli_query($conn, "SELECT * FROM newpages WHERE menuname='menu12'");
while ($row = mysqli_fetch_array($result)) { ?>
<li><a href="<?= $filename ?>?id=<?= $row['id'] ?>"><?= $row['pagename'] ?></a></li>
<?php } ?>
</ul>
</li>
<?php } ?>
</ul>

</nav>

</div>

<?php $sql = "SELECT * FROM website"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) {
$offcanvas_position = $row['offcanvas_position']; }}

$filename = 'core/js/jquery.jside.menu.js';

if (file_exists($filename)) {

"$filename"; } else {
$filename = '../js/jquery.jside.menu.js'; } ?>
<script src="<?= $filename ?>"></script>

<?php if ($offcanvas_position == 'Right') { ?>

<script>
$(function() {
$(".menu-container").jSideMenu({
jSidePosition: "position-right",
jSideSticky: true,
jSideSkin: "default-skin",
});
});
</script>

<?php } elseif ($offcanvas_position == 'Left') { ?>

<script>
$(function() {
$(".menu-container").jSideMenu({
jSidePosition: "position-left",
jSideSticky: true,
jSideSkin: "default-skin",
});
});
</script>

<?php } ?>