<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

$sql = "SELECT themetitle, themetitlestyle, themeheight FROM plugins";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_array()) {

/**
 * 
 * Display the title either
 * Styled or Plain.
 * 
 */

if ($row['themetitlestyle'] == 'Plain') { ?>
<h3 class="spacer center"><?= $row['themetitle'] ?></h3>
<?php } elseif ($row['themetitlestyle'] == 'Styled') { ?>
<div class="column-title coltitlecolor center"><?= $row['themetitle'] ?></div>
<?php }
if ($row['themetitlestyle'] == 'None' || $row['themetitlestyle'] == '') {} ?>

<div class="content_bg spacer">

<p class="center"><?= _MEMBERSCAN ?></p>

<?php
/**
 * 
 * Build the content window
 * that will show the themes.
 * Set the height and use overflow.
 * 
 */ ?>

<div class="dropdown content_bg" style="width:100%">

<div class="dropdown content_bg" style="height:<?= $row['themeheight'] ?>; width:100%; overflow-y:auto;">

<?php }}

$sql = "SELECT theme_name, id FROM themes ORDER BY theme_name ASC";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_array()) { 
    
/**
 * 
 * Build the array to show
 * the themes.
 * 
 */ ?>

<p class="left spacer hover">
<a href="sup/themepreview.php?id=<?= $row['id'] ?>" target="_blank" style="text-decoration:none">
<span class="gentextcolor">&bull; <?= $row['theme_name'] ?></span>
</a>
</p>
<?php }} ?>

</div>
</div>

<p>&nbsp;</p>

<?php 
/**
 * 
 * Add the admin direct editing feature.
 * 
 */

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { if ($_SESSION['role'] == 'Admin') { ?>
<div class="column-footer spacer center">
<a href="../core/designer/plugins.php#previewthemes" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _EDIT ?>" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="" /></a>
</div>
<?php }} ?>
</div>
<br>
<hr />
