<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */ 

if (realpath(__FILE__) == realpath($_SERVER['SCRIPT_FILENAME'])) { exit('Access Denied');} 

$sql = "SELECT * FROM plugins"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 

if ($row['showquicklinkstitle'] == 'Styled' && $row['quicklinktitle'] == 'Yes') { ?>

<p class="column-title coltitlecolor center"><?= $row['quicklinks_title'] ?></p>

<?php } elseif ($row['showquicklinkstitle'] == 'Plain' && $row['quicklinktitle'] == 'Yes') { ?>

<h3 class="center"><?= $row['quicklinks_title'] ?></h3>

<?php } ?>

<div class="column content_bg spacer">

<?php $result = mysqli_query($conn, 'SELECT * FROM quicklink_links ORDER BY id'); while ($row = mysqli_fetch_array($result)) { ?>

<p class="left"><a href="<?= $row['quicklink_link'] ?>" style="font-size:16px;text-decoration:none">&bull; <?= $row['quicklink_name'] ?></a></p>

<?php }

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { if ($_SESSION['role'] == 'Admin') { ?>
<div class="column-footer spacer">
<a href="../core/designer/quicklinksall.php" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _EDIT ?>" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="" /></a>
</div>
<?php }}}} ?>

</div>
<br>
<hr />