<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

/**
* 
* Side menu plugin for the homepage.
*
*/

$sql = "SELECT sidemenuback, sidemenubacksecond, sidemenubackimage, 
sidemenubackchoice, position FROM sidemenuelement"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$sidemenuback = $row['sidemenuback']; 
$sidemenubacksecond = $row['sidemenubacksecond']; 
$sidemenubackimage = $row['sidemenubackimage']; 
$sidemenubackchoice = $row['sidemenubackchoice']; 
$position = $row['position']; }} ?>

<style>
.main-menu {
position: absolute;
top: 0;
height: 120%;
width: 55px;
overflow: hidden;
-webkit-transition: width .2s linear;
transition: width .2s linear;
-webkit-transform: translateZ(0) scale(1, 1);
transform: translateZ(0) scale(1, 1);
box-shadow: 1px 0 15px rgba(0, 0, 0, 0.07);
opacity: 1;
z-index: 999; }
</style>

<?php 
/**
 * 
 * Find the image location for the menu's background (if image is selected.)
 * And position the menu on left or right side.
 * 
 */

$filename = 'media/themes/' . $sidemenubackimage . '';
if (file_exists($filename)) {
"$filename";
} else {
$filename = '../media/themes/' . $sidemenubackimage . ''; }
if ($sidemenubackchoice == 'Image') { ?>
<nav class="main-menu" style="background-image: url('<?= $filename ?>'); <?= $position ?>: 0;">

<?php 
/**
 * 
 * If image is not selected use color (solid or gradient).
 * And position the menu on left or right side.
 * 
 */

} elseif ($sidemenubackchoice == 'Color') { ?>
<nav class="main-menu" style="background: linear-gradient(<?= $sidemenuback ?>, <?= $sidemenubacksecond ?>); <?= $position ?>: 0;">

<?php } 
/**
 * 
 * If image or color is not selected use none.
 * And position the menu on left or right side.
 * 
 */

elseif ($sidemenubackchoice == 'None') { ?>
<nav class="main-menu" style="<?= $position ?>: 0;">
<?php } ?>

<div class="settings"></div>
<div class="scrollbar" id="style-1">
<ul>

<?php $sql = "SELECT uselink, name, url, faicon, faiconcolor FROM sidemenu"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {

/**
 * 
 * Build the menu array.
 * 
 */

if ($row['uselink'] == 'Yes') { ?>
<li>
<a href="<?= $row['url'] ?>"><i style="color:<?= $row['faiconcolor'] ?>" class="icon <?= $row['faicon'] ?> icon-lg"></i>
<span class="nav-text linkcolor"><?= $row['name'] ?></span></a>
</li>
<?php }}} ?>

</ul>
</nav>