<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */


require_once 'main.php';
require_once 'functions.php';

/**
 * 
 * Get the pages id and if article does not exist call-up lost_page.
 * 
 */
 if (isset($_GET['id'])) { $id = $_GET['id']; }
 //$id = mysqli_real_escape_string($conn, $id);
 /**
 * 
 * If page does not exist send to the 404 page.
 *
 */
global $id;
 $sql = "SELECT * FROM articles WHERE id = '$id'"; $result = $conn->query($sql); if (mysqli_num_rows($result) == 0) { 
 $lostfile = '404.php';
 if (file_exists($lostfile)) {
 require_once "$lostfile"; } 
 else {
 require_once 'sup/404.php'; }} 
 else { 
/**
 * 
 *  If article exist show it.
 * 
 */
$sql = "SELECT * FROM articles WHERE id='$id'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$c_title = $row['c_title']; $showauthor = $row['showauthor']; $author = $row['author']; $date = $row['date']; $c_text = $row['c_text']; $printon = $row['printon']; $id = $row['id']; $readmore = $row['readmore']; $usereadmore = $row['usereadmore']; $readmoretarget = $row['readmoretarget']; $usetitle = $row['usetitle']; ?>

<?php require_once '../core/layout/css/style.php';
/**
 * 
 * After the header start with
 * the <body> in each file
 * that requires header.php
 * 
 */ ?>
<style>.content-container {width:60%} @media (max-width: 1000px) { .content-container { width:100%; float:left; }} </style>
<body class="logged">
<br>
<div style="margin:0 auto" class="content-container">
<br>
<div class="inner-wrapper" style="border-radius:12px">
<?php if ($usetitle == 'Yes') { ?>
<div class="center column-title">
<h1 class="center coltitlecolor"><?= $c_title ?> <?php if ($printon == 'Yes') { ?>
<?php if (isset($_GET['id'])) { $id = $_GET['id']; }
$id = mysqli_real_escape_string($conn, $id); ?>
<a href="../core/builders/printarticle.php?id=<?= $id ?>" target="_blank" title="<?= _PRINT ?> &quot;<?= $c_title ?>&quot;">
<img src="printer.png" style="float:right; padding-right:30px; border:0;" alt="" /></a></h1>
</div>
<?php }} ?>
</div>

<?php if (isset($_GET['id'])) { $id = $_GET['id']; }
$id = mysqli_real_escape_string($conn, $id); ?>

<div class="card column" style="border-radius:12px"><?= $c_text ?></div>
<?php if ($usereadmore == 'Yes') { 
if ($readmoretarget == 'New Tab') { echo '<p class="center"><a href="../core/builders/readmore.php?id=' . $id . '" style="text-decoration:none" target="_blank"><span class="column-title linkcolor">' . _READMORE . '</span></a></p>'; } 

elseif ($readmoretarget == 'Popup')  { echo '<p class="center"><a href="../core/builders/readmore.php?id=' . $id . '" style="text-decoration:none" onclick="basicPopup(this.href);return false"><span class="column-title linkcolor">' . _READMORE . '</span></a></p>'; } 

elseif ($readmoretarget == 'Dropdown') { echo '<div class="center accordion" style="width:100%">' . _READMORE . ' &nbsp;&nbsp;&nbsp;<i class="fa fa-arrow-down"></i></div><div class="panel" style="background:' . $content_bg . '; width:100%;">' . $readmore . '</div>'; }}}}

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="column-footer center spacer" style="margin:0 auto; width:100%;">
<a href="../core/designer/articlebuilder.php?edit=<?= $id ?>" onclick="basicPopup(this.href);return false" title="<?= _EDITARTICLEDIRECTLY ?>"><i class="fa fa-pencil-square-o"></i></a>
</div>
<?php if ($showauthor == 'Yes') { ?>
<br><div class="center gentextcolor" style="font-size:12px">(<?= _BY ?>: <?= $author ?> .. <?= _DATE ?>:<?= $date ?>)</div>
<?php }}} ?>
<br>
<br>
</div>
</div>
<br>
</div>
<?php } ?>