<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */ 

 if (isset($_GET['id'])) { 
$id = $_GET['id'];} 
$id = mysqli_real_escape_string($conn, $id); 

$sql = "SELECT menu_color, menu_color_second FROM themes WHERE id = '$id'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$menu_color = $row['menu_color'];  
$menu_color_second = $row['menu_color_second']; ?>

<link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">

<style> .hilite a:hover {background: <?= $row['menu_color'] ?>;color: <?= $linkcolor ?>;}.borderright {border-right: .5px solid <?= $row['menu_color'] ?>;}.ddlinks {font-size: 16px;}a:hover .ddlinks {color: <?= $linkcolor ?>;}</style>

<link id="effect" rel="stylesheet" media="all" href="../core/megamenu/megamenufade-min.css" />
<link rel="stylesheet" media="all" href="../core/megamenu/megamenu.min.css" />

<script src="../core/megamenu/megamenu.min.js"></script>

<div class="spectramobileheader clearfix" style="height:40px; background:-webkit-gradient(linear,left top,left bottom,from(<?= $row['menu_color'] ?>),to(<?= $row['menu_color_second'] ?>))">
<a id="spectranavtoggle" class="spectraanimated-arrow"><span></span></a>
</div>

<?php if ($menu_below == 'Yes') { ?>
<div class="spectramainfull clearfix" style="width:97%; height:80px; background:-webkit-gradient(linear,left top,left bottom,from(<?= $row['menu_color'] ?>),to(<?= $row['menu_color_second'] ?>))">
<?php } else { ?>
<div class="spectramainfull clearfix" style="width:100%; height:80px; background:-webkit-gradient(linear,left top,left bottom,from(<?= $row['menu_color'] ?>),to(<?= $row['menu_color_second'] ?>))">
<?php }}} ?>
<div class="spectramainwp clearfix">
<nav class="spectramenu clearfix">
<ul class="spectramenu-list">
<?php require_once '../core/megamenu/links.php'; ?>
</ul>
</nav>
</div>
</div>