<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 * 
 */ 

/**
 * 
 * This file is used with the
 * theme preview feature.
 * 
 */ ?>

<style>
.center-bar {
width:70% } 

@media (max-width: 1000px) {
.center-bar {
width:100%;
 float:left; }}
 </style>

<?php $sql = "SELECT * FROM config_row_one"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$rowonesidebars = $row['rowonesidebars']; $leftcontent = $row['leftcontent']; $rightcontent = $row['rightcontent']; $usebackleft = $row['usebackleft']; $usebackright = $row['usebackright']; $backimageleft = $row['backimageleft']; $backimageright = $row['backimageright']; $firstleft = $row['firstleft']; $secondleft = $row['secondleft']; $firstright = $row['firstright']; $secondright = $row['secondright']; }} ?>

<br>

<table><tr class="blocks spacer">

<?php 
/**
 * 
 * Add the left sidebar
 * if Left or Both was chosen.
 * 
 */

if ($rowonesidebars == 'Left' or $rowonesidebars == 'Both') { 

/**
 * 
 * Define if there is going 
 * to be a background Color or Image or None.
 * 
 */

if ($usebackleft == 'Color') { ?>

<td class="top sidebar-left spacer" style="background: linear-gradient(<?= $firstleft ?>, <?= $secondleft ?>);">

<?php } elseif ($usebackleft == 'Image') { ?>

<td class="top sidebar-left spacer" style="background: url('../media/images/<?= $backimageleft ?>'); background-attachment:fixed;">

<?php }

elseif ($usebackleft == 'None' or $usebackleft == '') { ?>

<td class="top sidebar-left spacer card2">

<?php }

/**
 * 
 * Select if place plugins above block content or below.
 * 
 * If above is selected.
 * 
 * Add the plugins that are turned on.
 * 
 */

if ($usesearch == 'Row One Left' && $position == 'Above') { ?>
<?php require '../core/plugins/google-search.php'; ?>
<br>
<?php }
if ($statsposition == 'Above' && $showstats == 'Row One Left') {
require_once '../core/plugins/stats.php'; ?>
<br>
<?php }
if ($calendarposition == 'Above' && $calendar_sidebar == 'Row One Left') { ?>
<?php require '../core/plugins/calendar.php'; ?>
<br>
<?php }
if ($quicklinksposition == 'Above' && $quicklinks_sidebar == 'Row One Left') { ?>
<?php require '../core/plugins/quicklinks.php'; ?>
<br>
<?php }
if ($tagcloudposition == 'Above' && $tags_sidebar == 'Row One Left') { ?>
<?php require '../core/plugins/tagcloud.php'; ?>
<br>
<?php }
if ($spotlightposition == 'Above' && $spotlight_sidebar == 'Row One Left') { ?>
<?php require '../core/plugins/spotlight.php'; ?>
<br>
<?php }
if ($categoriesposition == 'Above' && $categories_sidebar == 'Row One Left') { ?>
<?php require '../core/plugins/categories.php'; ?>
<br>
<?php }
if ($archiveposition == 'Above' && $archivesidebar == 'Row One Left') { ?>
<?php require '../core/plugins/archive.php'; ?>
<br>
<?php }
if ($clockposition == 'Above' && $clock_sidebar == 'Row One Left') { 
require_once 'core/plugins/digital-clock.php'; ?>
<script src="../core/js/digitalclock.js"></script>
<?php }
if ($linktomeposition == 'Above' && $use_linktome == 'Row One Left') {
require_once '../core/modules/linktome/linktome.php'; }

/**
 * 
 * Add the sniplets.
 * 
 */ ?>

<table style="padding:0"><tr class="spacer"><td>
<?php $sql = "SELECT * FROM sniplet WHERE sniplet_group = 'Row One Left' ORDER BY sniplet_position ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {     
if ($row['sniplet_use'] == 'Yes') { ?>
<div class="card hilite" style="height:350px; overflow-y:auto;">
<p class="center"><?= $row['sniplet_title'] ?></p>
<p class="center"><a href="sup/sniplets.php?id=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false" title="<?= _OPENEASYREADER ?>"><img src="images/uparrow.png" style="width:20px" alt="<?= _OPENEASYREADER ?>" /></a></p>   
<p class="center"><a href="<?= $row['sniplet_link'] ?>" style="text-decoration:none" target="_blank"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" class="zoomsnipletimg" alt="<?= $row['sniplet_text'] ?>" /></a></p>
<p class="left"><a href="<?= $row['sniplet_link'] ?>" style="text-decoration:none" target="_blank" title="<?= $row['sniplet_text'] ?>"></p>
<p class="left"><?= $row['sniplet_text'] ?></a>
<br><small>(<?= _DATE ?>: <?= $row['date'] ?>)</small>
<br><small>(<?= _CATEGORY ?>: <?= $row['sniplet_category'] ?>)</small></p>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="center"><a href="../core/designer/snipletbuilder.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false"><i class="fa fa-edit"></i></a>&nbsp;&nbsp;&nbsp;<a href="../core/designer/snipletsreposition.php" onclick="basicPopup(this.href);return false"><i class="fa fa-arrows"></i></a></div>
<?php }} ?>
</div>
<?php }}} ?>
</td></tr></table>

<?php
/**
 * 
 * Add the blocks.
 * 
 */

$sql = "SELECT * FROM blocks WHERE archiveblock = 'No' ORDER BY block_position + 0 ASC";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
if ($row['position'] == 'Row One Left') { ?>
<div class="spacer">
<?php if ($row['usewhich'] == 'Icon' && $row['showtitle'] == 'Yes') { ?>
<div class="column center column-title">
<i style="text-shadow:1px 1px 1px #000;width:25px;height:25px;color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i> <?= $row['title'] ?>
</div>
<?php } elseif ($row['usewhich'] == 'Graphic' && $row['showtitle'] == 'Yes') { ?>
<div class="column center column-title">
<img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /> <?= $row['title'] ?>
</div>
<?php } elseif ($row['usewhich'] == 'None' && $row['showtitle'] == 'Yes') { ?>
<div class="column center column-title"><?= $row['title'] ?></div>
<?php } ?>
<div class="spacer card column"><?= $row['text'] ?>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="column-footer spacer">
<a href="../core/designer/sidebarbuilder.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['title'] ?>&quot;" onclick="basicPopup(this.href);return false"><i class="fa fa-pencil-square-o"></i></a>
&nbsp;&nbsp;&nbsp;<a href="../core/designer/sidebar-content.php" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>"><i class="fa fa-arrows"></i></a>
</div>
<?php }} ?>
</div><br>
<?php }}} // End the array.

/**
 * 
 * Add the Left content block.
 * 
 */ ?>

<?= $leftcontent ?>

<?php
/**
 * 
 * Select if place plugins above block content or below.
 * 
 * If below is selected.
 * 
 * Add the plugins that are turned on.
 * 
 */ 

if ($usesearch == 'Row One Left' && $position == 'Below') { ?>
<?php require '../core/plugins/google-search.php'; ?>
<br>
<?php }
if ($statsposition == 'Below' && $showstats == 'Row One Left') {
require_once '../core/plugins/stats.php'; ?>
<br>
<?php }
if ($calendarposition == 'Below' && $calendar_sidebar == 'Row One Left') { ?>
<?php require '../core/plugins/calendar.php'; ?>
<br>
<?php }
if ($quicklinksposition == 'Below' && $quicklinks_sidebar == 'Row One Left') { ?>
<?php require '../core/plugins/quicklinks.php'; ?>
<br>
<?php }
if ($tagcloudposition == 'Below' && $tags_sidebar == 'Row One Left') { ?>
<?php require '../core/plugins/tagcloud.php'; ?>
<br>
<?php }
if ($spotlightposition == 'Below' && $spotlight_sidebar == 'Row One Left') { ?>
<?php require '../core/plugins/spotlight.php'; ?>
<br>
<?php }
if ($categoriesposition == 'Below' && $categories_sidebar == 'Row One Left') { ?>
<?php require '../core/plugins/categories.php'; ?>
<br>
<?php }
if ($archiveposition == 'Below' && $archivesidebar == 'Row One Left') { ?>
<?php require '../core/plugins/archive.php'; ?>
<br>
<?php }
if ($clockposition == 'Below' && $clock_sidebar == 'Row One Left') { 
require_once '../core/plugins/digital-clock.php'; ?>
<script src="../core/js/digitalclock.js"></script>
<?php }
if ($linktomeposition == 'Below' && $use_linktome == 'Row One Left') {
require_once '../core/modules/linktome/linktome.php'; } ?>
</td>
<?php } ?>

<td class="top center-bar">

<table><tr><td class="top center-bar spacer">
  
<?php 
/**
 * 
 * Pull-in the center content.
 * 
 */

require_once 'row_one_top.php';

require_once 'row_one_middle.php';

require_once 'row_one_bottom.php'; ?>

</td></tr></table>
</td></tr></table>

<?php if ($rowonesidebars == 'Right' or $rowonesidebars == 'Both') { ?>

</td>

<?php if ($usebackright == 'Color') { ?>

<td class="top sidebar-right spacer" style="background: linear-gradient(<?= $firstright ?>, <?= $secondright ?>);">

<?php } elseif ($usebackright == 'Image') { ?>

<td class="top sidebar-right spacer" style="background: url('../media/images/<?= $backimageright ?>'); background-attachment:fixed;">

<?php }

elseif ($usebackright == 'None' or $usebackright == '') { ?>

<td class="top sidebar-right spacer card2">

<?php }
/**
 * 
 * Select if place plugins above block content or below.
 * 
 * If above is selected.
 * 
 * Add the plugins that are turned on.
 * 
 */

if ($usesearch == 'Row One Right' && $position == 'Above') { ?>
<?php require '../core/plugins/google-search.php'; ?>
<br>
<?php }
if ($statsposition == 'Above' && $showstats == 'Row One Right') {
require_once '../core/plugins/stats.php'; ?>
<br>
<?php }
if ($calendarposition == 'Above' && $calendar_sidebar == 'Row One Right') { ?>
<?php require '../core/plugins/calendar.php'; ?>
<br>
<?php }
if ($quicklinksposition == 'Above' && $quicklinks_sidebar == 'Row One Right') { ?>
<?php require '../core/plugins/quicklinks.php'; ?>
<br>
<?php }
if ($tagcloudposition == 'Above' && $tags_sidebar == 'Row One Right') { ?>
<?php require '../core/plugins/tagcloud.php'; ?>
<br>
<?php }
if ($spotlightposition == 'Above' && $spotlight_sidebar == 'Row One Right') { ?>
<?php require '../core/plugins/spotlight.php'; ?>
<br>
<?php }
if ($categoriesposition == 'Above' && $categories_sidebar == 'Row One Right') { ?>
<?php require '../core/plugins/categories.php'; ?>
<br>
<?php }
if ($archiveposition == 'Above' && $archivesidebar == 'Row One Right') { ?>
<?php require '../core/plugins/archive.php'; ?>
<br>
<?php }
if ($clockposition == 'Above' && $clock_sidebar == 'Row One Right') { 
require_once '../core/plugins/digital-clock.php'; ?>
<script src="../core/js/digitalclock.js"></script>
<?php }
if ($linktomeposition == 'Above' && $use_linktome == 'Row One Right') {
require_once '../core/modules/linktome/linktome.php'; }

/**
 * 
 * Add the sniplets.
 * 
 */ ?>

<table style="padding:0"><tr class="spacer"><td>
<?php $sql = "SELECT * FROM sniplet WHERE sniplet_group = 'Row One Right' ORDER BY sniplet_position ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) {     
if ($row['sniplet_use'] == 'Yes') { ?>
<div class="card hilite" style="height:350px; overflow-y:auto;">
<p class="center"><?= $row['sniplet_title'] ?></p>
<p class="center"><a href="sniplets.php?id=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false" title="<?= _OPENEASYREADER ?>"><img src="images/uparrow.png" style="width:20px" alt="<?= _OPENEASYREADER ?>" /></a></p>
<p class="center"><a href="<?= $row['sniplet_link'] ?>" style="text-decoration:none" target="_blank"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" class="zoomsnipletimg" alt="<?= $row['sniplet_text'] ?>" /></a></p>
<p class="left"><a href="<?= $row['sniplet_link'] ?>" style="text-decoration:none" target="_blank" title="<?= $row['sniplet_text'] ?>"></p>
<p class="left"><?= $row['sniplet_text'] ?></a>
<br><small>(<?= _DATE ?>: <?= $row['date'] ?>)</small>
<br><small>(<?= _CATEGORY ?>: <?= $row['sniplet_category'] ?>)</small></p>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="center"><a href="../core/designer/snipletbuilder.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false"><i class="fa fa-edit"></i></a>&nbsp;&nbsp;&nbsp;<a href="../core/designer/snipletsreposition.php" onclick="basicPopup(this.href);return false"><i class="fa fa-arrows"></i></a></div>
<?php }} ?>
</div>
<?php }}} ?>
</td></tr></table>

<?php
/**
 * 
 * Add the blocks.
 * 
 */

$sql = "SELECT * FROM blocks WHERE archiveblock = 'No' ORDER BY block_position + 0 ASC";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
if ($row['position'] == 'Row One Right') { ?>
<div class="spacer">
<?php if ($row['usewhich'] == 'Icon' && $row['showtitle'] == 'Yes') { ?>
<div class="column center column-title">
<i style="text-shadow:1px 1px 1px #000;width:25px;height:25px;color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i> <?= $row['title'] ?>
</div>
<?php } elseif ($row['usewhich'] == 'Graphic' && $row['showtitle'] == 'Yes') { ?>
<div class="column center column-title">
<img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /> <?= $row['title'] ?>
</div>
<?php } elseif ($row['usewhich'] == 'None' && $row['showtitle'] == 'Yes') { ?>
<div class="column center column-title"><?= $row['title'] ?></div>
<?php } ?>
<div class="spacer card column"><?= $row['text'] ?>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="column-footer spacer">
<a href="../core/designer/sidebarbuilder.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['title'] ?>&quot;" onclick="basicPopup(this.href);return false"><i class="fa fa-pencil-square-o"></i></a>
&nbsp;&nbsp;&nbsp;<a href="../core/designer/sidebar-content.php" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>"><i class="fa fa-arrows"></i></a>
</div>
<?php }} ?>
</div><br>
<?php }}} // End the array.

/**
 * 
 * Add the Right content block.
 * 
 */ ?>

<?= $rightcontent ?>

<?php
/**
 * 
 * Select if place plugins above block content or below.
 * 
 * If below is selected.
 * 
 * Add the plugins that are turned on.
 * 
 */ 

if ($usesearch == 'Row One Right' && $position == 'Below') { ?>
<?php require '../core/plugins/google-search.php'; ?>
<br>
<?php }
if ($statsposition == 'Below' && $showstats == 'Row One Right') {
require_once '../core/plugins/stats.php'; ?>
<br>
<?php }
if ($calendarposition == 'Below' && $calendar_sidebar == 'Row One Right') { ?>
<?php require '../core/plugins/calendar.php'; ?>
<br>
<?php }
if ($quicklinksposition == 'Below' && $quicklinks_sidebar == 'Row One Right') { ?>
<?php require '../core/plugins/quicklinks.php'; ?>
<br>
<?php }
if ($tagcloudposition == 'Below' && $tags_sidebar == 'Row One Right') { ?>
<?php require '../core/plugins/tagcloud.php'; ?>
<br>
<?php }
if ($spotlightposition == 'Below' && $spotlight_sidebar == 'Row One Right') { ?>
<?php require '../core/plugins/spotlight.php'; ?>
<br>
<?php }
if ($categoriesposition == 'Below' && $categories_sidebar == 'Row One Right') { ?>
<?php require '../core/plugins/categories.php'; ?>
<br>
<?php }
if ($archiveposition == 'Below' && $archivesidebar == 'Row One Right') { ?>
<?php require '../core/plugins/archive.php'; ?>
<br>
<?php }
if ($clockposition == 'Below' && $clock_sidebar == 'Row One Right') { 
require_once '../core/plugins/digital-clock.php'; ?>
<script src="../core/js/digitalclock.js"></script>
<?php }
if ($linktomeposition == 'Below' && $use_linktome == 'Row One Right') {
require_once '../core/modules/linktome/linktome.php'; }

} ?>

</td></tr></table>
