<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 * 
 */ 

/**
 * 
 * This file is used with the
 * theme preview feature.
 * 
 */ ?>
 
<table><tr><td>

<?php
/**
 * 
 * Start building row one middle content.
 * 
 * Add the Row One Middle sniplets.
 * Show admin message if logged-in.
 * 
 */

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { if ($_SESSION['role'] == 'Admin') { echo '<br><p>- ' . _ROWONEMIDDLE . ' - <a href="core/designer/rowone.php" onclick="basicPopup(this.href);return false">' . _CONFIGROW . '</a></p>'; }} 

$sql = "SELECT * FROM config_row_one"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
if ($row['middlestyle'] == 'Yes' && $row['usemiddletitle'] == 'Yes') { ?>
<h4 class="column-title coltitlecolor center"><?= $row['middletitle'] ?></h4>
<?php } elseif ($row['usemiddletitle'] == 'Yes') { ?>
<h4 class="center"><?= $row['middletitle'] ?></h4>
<?php }}}

/** 
 * 
 * Add the sniplets.
 * 
 */

$sql = "SELECT * FROM pagerows"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { ?>

<table ><tr class="spacer"><td>
<?php $sql = "SELECT * FROM sniplet WHERE sniplet_group = 'Row One Middle' ORDER BY sniplet_position ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
if ($row['sniplet_use'] == 'Yes') { ?>
<a href="<?= $row['sniplet_link'] ?>" target="_blank" title="<?= $row['sniplet_text'] ?>">
<div class="column4 stylecard hilite borderfull sniplets">
<table><tr><td class="spacer" style="width:75%">
<div class="left" style="height:130px; overflow-y:auto;"><?= $row['sniplet_text'] ?></a>
<br><small>(<?= _DATE ?>: <?= $row['date'] ?>)</small>
<br><small>(<?= _CATEGORY ?>: <?= $row['sniplet_category'] ?>)</small></div></td>
<td class="spacer" style="width:25%"><p><a href="<?= $row['sniplet_link'] ?>" style="text-decoration:none" target="_blank" title="<?= $row['sniplet_text'] ?>"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" class="radius styleimg zoomsnipletimg" alt="<?= $row['sniplet_text'] ?>" /></p>
</td>

<?php
/**
 * 
 * If the read more text was selected
 * show the easy reader icon.
 * 
 */ ?>
 
<td><a href="sniplets.php?id=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false" title="<?= _OPENEASYREADER ?>"><img src="images/uparrow.png" style="width:20px" alt="<?= _OPENEASYREADER ?>" /></a>

<?php 
/**
 * 
 * Add the admin direct editing feature.
 * 
 */

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="center card"><a href="../core/designer/snipletbuilder.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false"><i class="fa fa-edit"></i></a> <a href="../core/designer/snipletsreposition.php#one" onclick="basicPopup(this.href);return false"><i class="fa fa-arrows"></i></a></div>
<?php }} ?>
</td></tr></table>
</div>
<?php }}} ?>
</td></tr></table>
<?php }}

/**
 * 
 * Add the content slider
 * if selected.
 * 
 */

if ($useslider == 'Yes' && $slider_position == 'Row One Middle') {
require_once '../core/layout/contentslider.php'; }

/**
 * 
 * Add the articles block
 * if Row Two Middle was selected.
 * 
 */

if ($config_article == 'Row One Middle') {
require_once '../core/layout/articlesblock.php';
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<p>- <?= _ROWONE ?> - <a href="../core/designer/article-config.php" onclick="basicPopup(this.href);return false"><?= _CONFIGARTICLESPOSITION ?></a></p>
<?php }}}

/**
 * 
 * Add the video block 
 * if selected.
 * 
 */

if ($showvideo == 'Yes' && $setrow == 'Row One Middle') { 
require_once '../core/layout/videoblock.php'; }

/**
 * 
 * Build the library container and add the Plugins.
 * Tag Cloud, Categories, and Archives.
 * 
 */ 

if ($hp_library == 'Block' && $hp_setrow == 'Row One Middle' ) {
require_once '../core/layout/libraryblock.php'; } 

/**
 * 
 * Add the sidebar blocks that have been assigned
 * to the Row One Middle position.
 * 
 */ ?>

<table><tr><td>
<div class="row">
<?php $sql = "SELECT * FROM config_row_one"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$rowonemiddle_height = $row['rowonemiddle_height']; 
$rowonemiddle_width = $row['rowonemiddle_width']; }}
$sql = "SELECT * FROM blocks WHERE archiveblock = 'No' AND position = 'Row One Middle' ORDER BY block_position + 0 ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
if ($row['position'] == 'Row One Middle') { ?>
<div class="column<?= $rowonemiddle_width ?> top card" style="height:<?= $rowonemiddle_height ?>; overflow-y:auto; overflow-x:hidden;">
<?php if ($row['usewhich'] == 'Icon' && $row['showtitle'] == 'Yes') { ?>
<div class="column center column-title">
<i style="text-shadow:1px 1px 1px #000;width:25px;height:25px;color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i> <?= $row['title'] ?>
</div>
<?php } elseif ($row['usewhich'] == 'Graphic' && $row['showtitle'] == 'Yes') { ?>
<div class="column center column-title">
<img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /> <?= $row['title'] ?>
</div>
<?php } elseif ($row['usewhich'] == 'None' && $row['showtitle'] == 'Yes') { ?>
<div class="column center column-title"><?= $row['title'] ?></div>
<?php } 
if ($row['whichback'] == 'Color') { ?>
<div class="spacer column" style="background:linear-gradient(<?= $row['firstcolor'] ?>, <?= $row['secondcolor'] ?>)"><?= $row['text'] ?>
<?php } else { ?>
<div class="spacer column" style="background: url('../media/images/<?= $row['backimage'] ?>'); background-attachment:fixed;"><?= $row['text'] ?>
<?php } 

/**
 * 
 * Add the admin direct editing feature.
 * 
 */

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="column-footer spacer">
<a href="../core/designer/sidebarbuilder.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['title'] ?>&quot;" onclick="basicPopup(this.href);return false"><i class="fa fa-pencil-square-o"></i></a>
&nbsp;&nbsp;&nbsp;<a href="../core/designer/sidebar-content.php" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>"><i class="fa fa-arrows"></i></a>
</div>
<?php }} ?>
</div></div><br>
<?php }}} ?>
</td></tr></table>

</td></tr></table>