<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

/**
 * 
* This is a skeleton file used
* to house the content of new
* assets where header.php and
* footer.php is not used. Copy 
* and paste the contents of this
* file and add the code for the
* new asset.
*
*/

session_start();
require_once 'main.php';
require_once 'functions.php';

/**
 * 
 * Get the language file.
 * 
 */

$sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
require_once '../core/lang/' . $row['lang'] . '.php'; }} ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description" content="">
<meta name="keywords" content="">
<meta name="author" content="">
<title></title>
<script src="../core/js/fontawesome.min.js" crossorigin="anonymous"></script>
<link rel="stylesheet" href="../core/themes/tables.min.css">
<link rel="stylesheet" href="../core/css/fonts.min.css">

<?php
/**
 * 
 * Add the themes styling.
 * 
 */

 $stmt = $conn->prepare('SELECT usertheme, usetheme FROM accounts WHERE id = ?');
 $stmt->bind_param('i', $_SESSION['id']);
 $stmt->execute();
 $stmt->bind_result(
 $usertheme, $usetheme );
 $stmt->fetch();
 $stmt->close();
 if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true && $usetheme == 'Yes') { 
 if (isset($_GET['id'])) { $id = $_GET['id']; }
 $sql = "SELECT id, usertheme FROM accounts"; 
 $result = $conn->query($sql); 
 if ($result->num_rows > 0) { 
 while ($row = $result->fetch_assoc()) { 
 require_once 'usertheme.php'; }}}
 else { require_once 'theme.php'; } ?>

</head>
<body>

<div class="inner-wrapper" style="padding:20px">

<?php
/**
 * 
 * Replace this with your content.
 * 
 */ ?>


 </body>
 </html>