<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
require_once 'lang/' . $row['lang'] . '.php'; }} ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,minimum-scale=1">
<title><?= _OPTDB ?></title>

<?php require_once 'header.php';

if ($mysqli->connect_error) {
$errors[] = $mysqli->connect_error;

} else {

if ($result = $mysqli->query("SHOW DATABASES")) {
while ($dbo = $result->fetch_object()) {
$dbname = $dbo->Database;
if ($dbo->Database != 'information_schema') {
$mysqli->select_db($dbo->Database);

if ($tableresult = $mysqli->query("SHOW TABLE STATUS")) {
while ($obj = $tableresult->fetch_object()) {
if ($obj->Data_free > 0) {
if ($optresult = $mysqli->query(sprintf("OPTIMIZE TABLE %s", $obj->Name))) {
$optimized[] = $dbname . '.' . $obj->Name;

} else {

$errors[] = $mysqli->error; }
$optresult->close(); }}
$tableresult->close();

} else {

$errors[] = $mysqli->error; }}}
$result->close();

} else {

$errors[] = $mysqli->error; }} ?>

<h1 class="center"><?= _OPTIMIZATIONCOMPLETE ?></h1>
<br>
<p style="text-align:center"><a href="tools.php" style="text-decoration:none" class="btn"><?= _RETURN ?></a></p>
<?php $mysqli->close();

require_once('footer.php'); ?>