<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

include 'main.php';

$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
require_once 'lang/' . $row['lang'] . '.php'; }} ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,minimum-scale=1">
<title><?= _EMAILTEMPLATE ?></title>

<?php 
/**
 * 
 * Get all the defined variable keys and values.
 * 
 */

if (isset($_POST['emailtemplate'])) {
file_put_contents('../activation-email-template.html', $_POST['emailtemplate']); }

/**
 * 
 * Read the activation email template HTML file.
 * 
 */

$contents = file_get_contents('../activation-email-template.html');
require_once 'header.php'; ?>
<div class="spacer column-title"><h1 class="center coltitlecolor"><?= _EMAILTEMPLATE ?></h1></div>
<div class="content-block">

<style> 
.responsive { 
width:60%; 
margin:0 auto; } 

@media (max-width: 900px) { 
.responsive { width:100% }} 
</style>

<form action="" method="post" class="noborder responsive">
    
<div class="radius">
<textarea style="width:100%; height:300px;" name="emailtemplate"><?= $contents ?></textarea>
</div>

<br>

<div class="center">
<input type="submit" value="<?= _SAVE ?>" class="btn">
<a href="../activation-email-template.html" style="width:230px;text-decoration:none;text-align:center;" onclick="basicPopup(this.href);return false"><span class="btn"><?= _PREVIEW ?></span></a>
</div>

</form>
</div>
<br>
<br>

<?php require_once 'footer.php';