<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
require_once 'lang/' . $row['lang'] . '.php'; }} ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,minimum-scale=1">
<title><?= _EXPORTTHEMES ?></title>
<?php require_once 'header.php';
echo '<div class="column-title spacer"><h1 class="center coltitlecolor">' . _THEMEEXPORTER . '</h1></div>';
$tables = 'themes';
if ($tables == '*') {
$tables = array();
$result = $db->query("SHOW TABLES");
while ($row = $result->fetch_row()) {
$tables[] = $row[0]; }
} else {
$tables = is_array($tables) ? $tables : explode(',', $tables); }
$return = '';
foreach ($tables as $table) {
$result = $db->query("SELECT * FROM $table");
$numColumns = $result->field_count;

/**
 * 
 *	 To include all of the themes table information 
 *   uncomment the next 4 lines.
 *
 */

//$return .= "Do Not Copy This It Is For Reference Only See Below For Themes";
//$result2 = $db->query("SHOW CREATE TABLE $table");
//$row2 = $result2->fetch_row();
//$return .= "\n\n".$row2[1].";\n\n";

for ($i = 0; $i < $numColumns; $i++) {
while ($row = $result->fetch_row()) {
$return .= "\n\n Copy the theme code below.\n";
for ($j = 0; $j < $numColumns; $j++) {
$row[$j] = ($row[$j]);
$row[$j] = $row[$j];
if (isset($row[$j])) {
$return .= "'" . $row[$j] . "'";
} else {
$return .= '""'; }
if ($j < ($numColumns - 1)) {
$return .= ','; }}
$return .= "\n"; }}
$return .= "\n\n\n"; }
$handle = fopen('SPECTRA-backup-files/themes [' . date("Y-m-d-l_His", time()) . '].txt', 'w+');
fwrite($handle, $return);
fclose($handle); ?>
<div style="width:97%;margin:0 auto;">
<h3 class="center"><?= _EXPORTEDSUCCESSPARA ?></h3>
<br>
<br>
</div>
<br>
<br>

<?php require_once 'footer.php';
