<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
require_once 'lang/' . $row['lang'] . '.php'; }} ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,minimum-scale=1">
<title><?= _EXPORTTHEMES ?></title>
<?php require_once 'header.php'; ?>
<div class="inner-wrapper">
<div class="column-title spacer">
<h1 class="center coltitlecolor"><?= _EXPORTSQL ?></h1>
</div>
<div class="spacer">
<h3 class="center spacer"><?= _EXPORTPARA ?></h3>
<p class="center spacer"><a href="export.php" class="btn" style="text-decoration:none"><span class="white"><?= _CONTINUE ?></span></a></p>
</div>
<br>
<br>
<br>
</div>

<?php require_once 'footer.php';
