<?php 
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */ 

require_once '../main.php';
$sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) {  
while ($row = $result->fetch_assoc()) {
$lang = $row['lang']; }} 
require_once '../lang/' . $lang. '.php'; ?>

<!DOCTYPE html>
<html>
<head>
<title><?= _UPLOADFOLDER ?></title>
<link rel="stylesheet" href="style.css">
<link rel="stylesheet" href="../css/style.min.css">
</head>
<body>

<div class="container">
<h1 class="center"><?= _PACKAGEUPLOADER ?></h1>
<p class="center"><?= _WILLLETYOUUPLOAD ?></p>
<h3 class="center"><?= _CHOOSE ?> <?= _FOLDERFORUPLOAD ?></h3>
<div class="picker center"><input type="file" id="picker" name="fileList" webkitdirectory multiple></div>
<h3><?= _PERCENTAGE ?></h3>
<span id="box">0%</span>
<h3><?= _PROGRESS ?></h3>
<div id="myProgress">
<div id="myBar"></div>
</div>
<h3><?= _FILESUPLOADED ?></h3>

<span id="listing"></span>
<h3><?= _LOADERANIMATION ?></h3>

<img id="loader" src="./img/loader.gif">
</div>
<p class="center"><input type="button" value="<?= _CLOSETHISWINDOW ?>" onclick="self.close()"></p>

<script src="main.js"></script>
</body>
</html>