<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
require_once 'lang/' . $row['lang'] . '.php'; }} ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,minimum-scale=1">
<title><?= _IMPORTTHEMES ?></title>
<?php require_once 'header.php';

/**
 * 
 * Add the temporary theme
 * code into the database.
 * This verifies that the theme
 * is actually a theme if the
 * variables and values match.
 * 
 */

$sql = "SELECT * FROM themecode"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {

$tempcode = $row['tempcode']; }}
$sql = "INSERT INTO `themes` (`id`, `theme_name`, `website_width`, `back_color`, `back_opacity`, `cnt_back_shadow`, `bg_img`, `fix_back`, `menu_color`, `linkcolor`, `wrapper`, `content_bg`, `mobile_wrapper`, `header_first_color`, `header_second_color`, `header_width`, `header_height`, `header_radius`, `header_border`, `header_opacity`, `footer_color`, `footer_font_color`, `tooltip_bg`, `tooltip_font_color`, `btn_first_color`, `btn_second_color`, `btn_flat_color`, `btn_top_border`, `btn_radius`, `btn_shadow`, `btn_text_shadow`, `btn_text_color`, `btn_hover_color`, `btn_font_size`, `btn_font_family`, `btn_face_hover`, `column_title`, `col_title_font_fam`, `col_title_font_color`, `col_title_font_size`, `useborders`, `btmradius`, `facehover`, `gen_hdr_color`, `gen_text_size`, `gen_text_hover_color`, `gen_text_color`, `gen_font_family`, `logo_font`, `logo_font_size`, `logo_font_weight`, `logo_font_color`, `align_logo`, `menu_below`, `logo_shadow`, `shadow_color`, `footer_img`, `header_img`, `useheadercolor`, `ana_sublogo_font`, `ana_sublogo_font_size`, `ana_sublogo_font_color`, `ana_sublogo_font_weight`, `sublogotext`, `colradius`, `column_title_second`, `menu_color_second`, `column_footer_first`, `column_footer_second`, `col_footer_font_fam`, `col_footer_font_color`, `col_footer_font_size`, `wrapperback`, `description`, `keywords`) VALUES($tempcode)";
if (mysqli_query($conn, $sql)) {
$_SESSION['message'] = "" . _NEWTHEMESUCCESSFUL . "";
} else {
$_SESSION['message'] = "" . _THEMEERROR . "" . mysqli_error($conn); } ?>
<script> window.location.replace('import.php') </script>

<?php require_once 'footer.php';
