<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

$sql = "SELECT * FROM website, themes, version"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$copyright = $row['copyright']; 
$usecounter = $row['usecounter']; 
$footer_font_color = $row['footer_font_color']; 
$current_version = $row['current_version']; }} ?>

<div style="width:100%; margin:0 auto;" class="footer">
<div class="footer full center spacer">
<a style="text-decoration:none" target="_blank">
<span class="footer"><?= _POWEREDBY ?> <?= $current_version ?></span>
</a>
<br>
<div><?= $copyright ?></div>
<br>
<?php if ($usecounter == 'Yes') {
$qry1 = "SELECT * FROM `counter` WHERE `id` = 0";
$result1 = mysqli_query($conn, $qry1);
$row1 = mysqli_fetch_array($result1, MYSQLI_ASSOC);
$count = $row1['visitors'];	?>
<br>Visitors: <span class="column-title"><?= $count ?></span>
<?php } ?>
</div>
</div>
</div>
</div>
<br>
<script>
document.querySelector(".responsive-toggle").onclick = function(event) {
event.preventDefault();
var aside_display = document.querySelector("aside").style.display;
document.querySelector("aside").style.display = aside_display == "flex" ? "none" : "flex";
};
</script>

<script>
function basicPopup(url) {
popupWindow = window.open(url, 'popUpWindow', 'height=700,width=900,left=100,top=100,resizable=yes,scrollbars=yes,toolbar=yes,menubar=no,location=no,directories=no, status=yes');
}
</script>

<script>
var acc = document.getElementsByClassName("accordion");
var i;
for (i = 0; i < acc.length; i++) {
acc[i].addEventListener("click", function() {
this.classList.toggle("active");
var panel = this.nextElementSibling;
if (panel.style.display === "block") {
panel.style.display = "none";
} else {
panel.style.display = "block";
}
});
}
</script>

</body>
</html>