<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
check_loggedin($conn);

$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
require_once 'lang/' . $row['lang'] . '.php'; }}

$sql = "SELECT * FROM uploads";
$result = mysqli_query($conn, $sql); 
$files = mysqli_fetch_all($result, MYSQLI_ASSOC);

function getUserIpAddr() {
if (!empty($_SERVER['HTTP_CLIENT_IP'])) {

/**
 * 
 * IP from share internet.
 * 
 */

$ip = $_SERVER['HTTP_CLIENT_IP']; } 
elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {

/**
 * 
 * IP pass from proxy.
 * 
 */

$ip = $_SERVER['HTTP_X_FORWARDED_FOR']; } 
else {
$ip = $_SERVER['REMOTE_ADDR']; }
return $ip; }

/**
 * 
 * Uploads files.
 * 
 */

if (isset($_POST['save'])) {

/**
 * 
 * Name of the uploaded file.
 * 
 */

$filename = $_FILES['myfile']['name'];

/**
 * 
 * Destination of the file on the server.
 * 
 */

$destination = '../images/' . $filename;

/**
 * 
 * Get the file extension.
 * 
 */

$extension = pathinfo($filename, PATHINFO_EXTENSION);

/**
 * 
 * The physical file is in a temporary 
 * uploads directory on the server.
 * 
 */

$file = $_FILES['myfile']['tmp_name'];
$size = $_FILES['myfile']['size'];
if (!in_array($extension, ['jpg', 'gif', 'png', 'jpeg'])) { ?>
<br>
<p style="padding:5px; background:#ff0000; color:#fff; font-size:20px; text-align:center; padding-top:2%;"><?= _IMAGEMUSTBE ?> .jpg, .gif, .png or .jpeg</p>
<?php } elseif ($_FILES['myfile']['size'] > 510000) { ?>
<p style="padding:5px; background:#ff0000; color:#fff; text-align:center; padding-top:2%;"><?= _FILETOOLARGE ?></p>
<?php } else {
if (move_uploaded_file($file, $destination)) {
$ip = getUserIpAddr();
$un = $_SESSION['name'];
$sql = "INSERT INTO uploads (image_name, size, ip, username) VALUES ('$filename', '$size', '$ip', '$un')";
if (mysqli_query($conn, $sql)) { ?>
<p style="padding:5px; background:#ff0000; color:#fff; text-align:center; padding-top:2%;"><?= _UPLOADSUCCESSFUL ?></p>
<?php }
} else { ?>
<p style="padding:5px; background:#ff0000; color:#fff; text-align:center; padding-top:2%;"><?= _FAILEDTOUPLOAD ?></p>
<?php }}}
