<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

// Language Pack English

// Used during update installations.


define('_SERVERINFO','Server Information');
define('_PHPEXTINSTALL','PHP Extensions Installed');
define('_CANNOTUPDATE','Cannot update');
define('_THEMEDELETED','Theme Deleted Successfully!');
define('_NUMBEROFTHEMES','Current number of themes');
define('_CLOSE_WINDOW','Close Window');
define('_IMAGEDATADELETED','Image data deleted!');
define('_UNABLETOOPEN','Unable to open folder');
define('_UNABLETOREADCONFIG','Unable to read configuration file! Make sure the file is readable!');
define('_IFCHECKEDON','If checked it is on.');
define('_COMPLETED','Completed');
define('_SOURCEMUSTBEVALID','source must be a valid path to a folder or file!');
define('_THEREWASERROR','There was some error moving the file to upload directory. Please make sure the upload directory is writable by the web server.');
define('_UPLOADFAILED','Upload failed. Allowed file types:');
define('_FILEUPLOADERROR','There is some error in the file upload. Please check the following error.');
define('_SUCCESSFULUPLOAD','File has been successfully uploaded.');
define('_CANUSETHEME','Allow members to select their own theme?');
define('_PAGINATIONTHEMESETTINGS','Pagination Settings');
define('_USINGTHEME','Using Theme');
define('_NOTUSINGDEFAULTTHEME','Members Not Using Default Theme');
define('_ERRORINFILE','This error is usually caused by the value of upload_max_filesize being set too low. To correct this go to your php.ini file and increase the value.');
define('_CHOOSEZIP','Choose .zip File For Upload.');
define('_THEMEIMPORTINSTALL','Installation');
define('_THENEXTSTEP','The final step will delete the files used during the install.');
define('_CLEANUP','Cleanup After Install');
define('_IMPORTCOMPLETE','Installation Complete');
define('_NEXTSTEP','The next step will update the version numbers.');
define('_INSTALLSQL','This will alter the table \'card_content\' and add the variable \'cardtitle\' to the database and remove the variable \'title\'.<br>Please <a href="../tools.php" onclick="basicPopup(this.href);return false">backup your database</a> first.');
define('_POPULATETABLE','Update version information.');
define('_CODEINSERTED','The following code will be inserted in 2 steps.');

// In general

define('_MAINTENANCEMODEOFF','Maintenance Mode is ( Off )');
define('_MAINTENANCEMODEON','Maintenance Mode is ( On )');
define('_TURNON','Turn On Maintenance Mode');
define('_TURNOFF','Turn Off Maintenance Mode');
define('_TURNMODEON','(Optional) Turn Maintenance Mode On Before Making Updates.');
define('_NONE','None');
define('_TAKEAMINUTE','Add a comment to the module. (max 155 text characters)');
define('_THEMEIMPORTCOMPLETE','Theme Import Feature Is Complete');
define('_GOHERETOCONTINUE','Go Here To Continue');
define('_CREATEDTABLE','Created table (themecode) and values added successfully!');
define('_ERRORCREATINGTABLE','Error creating table: ');
define('_DONOTHAVEPERMISSION','You do not have permission to access this page!');
define('_CONFIGSETTINGS','Configuration File Settings');
define('_FAILEDTODELETE','Failed to delete file');
define('_NEWTHEMESUCCESSFUL','New Theme Created Successfully');
define('_THEMEERROR','Error: Theme not added! Reason:');
define('_MUSTBEVALID','source must be a valid path to a folder or file!');
define('_MUSTBELOADED','extension zip must be loaded!');
define('_HELLO','Hello');
define('_DELETEDSUCCESSFULLY','Deleted Successfully!');
define('_THEREISSOMEERROR','There is some error in the file upload. Please check the following error.');
define('_FILESUCCESSFULLYUPLOADED','File has been successfully uploaded.');
define('_ERRORMOVINGTOFOLDER','There was some error moving the file to upload directory. Please make sure the upload directory is writable by the web server.');
define('_ALLOWEDFILETYPES','Upload failed. Allowed file types:');
define('_NOFILESSELECTED','No files selected.');
define('_SUCCESSFULLYUPLOADED','Successfully Uploaded.');
define('_LARGERTHANALLOWLIMIT','Error: File size is larger than the allowed limit (2MB).');
define('_TYPENOTALLOWED','file type is not allowed');
define('_ERRORUPLOADING','Error uploading');
define('_RESTORESUCCESS','Database Restore Completed Successfully.');
define('_INVALIDFILETYPE','Invalid File Type, unpack the .gz file first. Then select the .sql file.');
define('_USETHEME','Theme');
define('_YES','Yes');
define('_NO','No');
define('_TITLE','Title');
define('_MAX55TEXT','max 55 text characters');
define('_SUBMIT','Submit');
define('_SUBMITTHEME','Submit (add theme)');
define('_SUBJECT','Subject');
define('_MESSAGE','Message');
define('_YOUREMAIL','Your Email');
define('_REFRESHPAGE','Refresh Page');
define('_UPDATETHERECORD','Update the Record');
define('_PUBLISH','Publish');
define('_WELCOME','Welcome');
define('_COMMENT','Comment');
define('_ADMINDASHBOARD','Administrators Dashboard');
define('_REFRESH','Refresh Page');
define('_CHATMANAGER','Chat Manager');
define('_DELETEANYLINES','Delete any lines to remove them from the chat room.');

// The top menu

define('_INACTIVEACCOUNTS','Inactive Accounts');
define('_MENU','Menu');
define('_HOME','Home');
define('_ACCOUNTS','Accounts');
define('_ALLACCOUNTS','All Accounts');
define('_ARTICLES','Articles');
define('_DESIGNERDASHBOARD','Designer Dashboard');
define('_USERLOG','Visitors Log');
define('_ALLCOMMENTS','All Comments');
define('_LOGINATTEMPTS','Login Attempts');
define('_LOGOUT','Logout');
define('_ACTIVEUSERSLIBRARY','Shared Users Library');
define('_MANAGERS','Managers Tools');
define('_MEMBERIMAGES','These are the images that your active members have uploaded.');
define('_DELETEIMAGES','Delete Any Inappropriate Images.');

// ipdb.php
define('_UNIQUEVISITS','Unique Visits');
define('_WILLNOTAFFECT','Deleting these will not affect your visitor count.');

// index.php

define('_USERACCOUNTS','User Accounts');
define('_ACCOUNTSPERPAGE','Go to Settings to choose the number of accounts to show per page.');
define('_ALLMEMBERACCOUNTS','All Member Accounts');
define('_USERNAME','USERNAME');
define('_EMAIL','EMAIL');
define('_ACTIVATIONCODE','ACTIVATION CODE');
define('_DATE','DATE');
define('_ROLE','ROLE');
define('_ACTION','ACTION');
define('_DELETE','DELETE');
define('_ID','ID');
define('_PREV','Prev');
define('_NEXT','Next');
define('_CREATEACCOUNT','Create Account');
define('_LASTLOGIN','Last Login');
define('_DELETESELECTEDROWS','Delete Selected Row(s)');

// account.php

define('_CREATENEWACCOUNT','Create New Account');
define('_REMEMBERMECODE','Remember Me Code');
define('_PASSWORD','Password');

// active-accounts.php and admin-accounts.php

define('_ACTIVEACCOUNTS','Active Accounts');
define('_GOTOSETTINGS','Go to Settings to choose the number of accounts to show per page.');
define('_ADMINACCOUNTS','Admin Accounts');

// comments.php, comment-settings.php and comments-index.php

define('_PAGEID','Page ID');
define('_PARENTCOMMENTID','Parent Comment ID');
define('_PARENTID','Parent ID');
define('_COMMENTS','Comments');
define('_COMMENTID','Comment ID');
define('_THEREARENOCOMMENTS','There are no comments');
define('_VOTES','Votes');
define('_APPROVED','Approved');
define('_DATETIMESUBMITTED','Date/Time Submitted');
define('_CONTENT','Content');
define('_ACTIONS','Actions');
define('_EDIT','EDIT');
define('_APPROVE','APPROVE');
define('_SETTINGS','Settings');
define('_COMMENTSDASHBOARD','Comments Dashboard');
define('_TODAYSCOMMENTS','Today\'s Comments');
define('_AWAITINGAPPROVAL','Awaiting Approval');
define('_TOTALCOMMENTS','Total Comments');
define('_TOTALPAGES','Total Pages');
define('_NAME','Name');
define('_DATETIME','Date/Time');
define('_IMGURL','Image URL');
define('_NEWEST','Newest');
define('_OLDEST','Oldest');

// db_backup.php, db_optimize.php and db_restore.php, export.php, exportthemes.php, update.php, upload.php

define('_UPLOADTHEMEFILE','Choose Theme File');
define('_DBBACKUP','Backup Database');
define('_OPTDB','Optimize Database');
define('_DBRESTORE','Restore Database');
define('_UPDATE','UPDATE RECORD');
define('_UPDATESUCCESSFUL','Update Successful!');
define('_UPLOADFILES','Upload Files');
define('_PRINTLOG','Print Downloads Log');
define('_SUBMITARTICLE','Submit Article');
define('_BACKUPINPROGRESS','Backup is in Progress');
define('_OPTIMIZATIONCOMPLETE','Database Optimization Complete');
define('_EXPORTSQL','Export themes .txt file');
define('_EXPORTPARA','This will let you export the themes database files that you can use to swap themes with others.<br><br>When ready click the \'Continue\' button below to start.');
define('_CONTINUE','Continue');
define('_THEMEEXPORTER','Theme Exporter');
define('_EXPORTEDSUCCESSPARA','Database Exported Successfully!<br><br>To download this file go to <a href="tools.php">Database Tools</a> and look for themes.txt');
define('_BESURETODELETE','Be sure to delete the themes.sql file before using the export feature again.');
define('_DATABASETOOLS','Database Tools');
define('_IFYOUHAVENTALREADY','If you haven\'t already, you should unpack the .gz archive. You will need the .sql file to perform the restore.');
define('_CHECKBACKUPFILE','Choose The .sql Backup File');
define('_RESTORE','Restore');
define('_RETURN','Return');
define('_DONOTCOPY','Do Not Copy This It Is For Reference Only See Below For Themes');

// downloadlog.php

define('_DOWNLOADSLOG','Downloads Log');
define('_FILENAME','File name');
define('_FILESIZE','File size (Kb)');
define('_NUMBERDOWNLOADS','# Downloads');
define('_PRINT','Print');
define('_NOTACTIVE','Downloads module is not active');

// emailtemplate.php

define('_EMAILTEMPLATE','Email Template');
define('_SAVE','Save');
define('_PREVIEW','Preview');

// filter.php and filters.php

define('_WORD','Word');
define('_REPLACEMENT','Replacement');
define('_CREATEFILTER','Create Filter');
define('_NOFILTERS','There are no filters');
define('_COMMENTFILTERS','Comment Filters');
define('_FILTER','Filter');

// footer.php

define('_POWEREDBY','Powered by Spectra Version');

// Database Update files -------------------

// cleanup.php, install.php, populate.php, tools.php, uploadsql.php, upsqlfiles.php, updater.php

define('_USINGVERSION','You are currently using Spectra version');
define('_WILL_ASSIST','This will assist you with installing Spectra version update releases.<br>Folders and Files will be uploaded to the Spectra root directory while keeping the directory structure intact.<br>Only the files that are in the update folder that you choose will be added.<br><br>You should do a');
define('_AND','and');
define('_AUTOUPDATER','Automatic File Updater');
define('_UPLOADUNZIP','Upload, Unzip, and Replace Automatically ');
define('_CHOOSETHEZIP','Choose the spectra_update.zip file that came with the most recent Update and let Spectra replace the old files for you automatically.<br>Once this is complete you will be taken to the Spectra Database update tool.<br>Go here to make sure that you have the proper release version.');
define('_UPDATES','Updates');
define('_AUTOUPDATE','Automatic Update');
define('_MANUALUPDATE','Manual Update');
define('_READABOUT','Click About To Learn More');
define('_ABOUT','About');
define('_CLICKTHISICON','After deleting files always click this icon');
define('_TOREFRESHPAGE','to refresh this page. This step will automatically reset the browsers address bar and prevent errors.');
define('_FILEMANAGER','File Manager');
define('_UPDATEMANAGER','Update Manager');
define('_STEPONE','Step 1');
define('_STEPTWO','Step 2');
define('_UPDATEMGTTOOLS','Update Management Tools');
define('_NOTZIPFILE','The file you are trying to upload is not a .zip file. Please try again.');
define('_ZIPFILE','The file');
define('_UPLOADED','was uploaded and unpacked successfully.');
define('_CLOSETHISWINDOW','Close this window.');
define('_WASAPROBLEM','There was a problem with the upload.');
define('_TRYAGAIN','Please try again.');
define('_PACKAGEUPLOADER','Spectra Package Uploader');
define('_WILLLETYOUUPLOAD','This will let you upload folders from the Spectra version updates. It will automatically replace files within the folders with the new releases/updates. You should backup your current files before continuing.');
define('_FULLBACKUP','FULL File Backup');
define('_BEFORECONTINUING','before continuing.');
define('_USEZIPUTILITY','Spectra offers you the option of using its .zip utility to upload and replace old files.');
define('_MANUALUPDATER','Manual File Updater');
define('_UNZIPUPLOAD','Unzip, Upload, and Replace Manually');
define('_WILLUPLOADFOLDERS','This will assist you in uploading folders/files for Spectra new version releases. Folders will be uploaded to the Spectra root directory and replace only the files that are in the update folder.');
define('_IMPORTFILES','Import Files');
define('_UPDATEDB','Update The Database');
define('_UPDATE_SUCCESSFUL','Update has completed successfully and the spectra.sql file has been deleted.');
define('_SETUPINSTALL','Setup Installation');
define('_SETUPINSTALLATION','Setup Installation');
define('_SPECTRADBUPDATER','Spectra Database Updater');
define('_CONNECTIONHASBEENMADE','A connection has been made to your database and it is ready for the update. Click continue when ready.');
define('_UPDATEDBFILES','Update Database Files');
define('_WILLUPDATEDBFILES','This will update database files (not a full install) if you are upgrading from version:');
define('_TOVERSION','To Version:');
define('_UPLOADTHEFILES','Upload the files in the &quot;Updates&quot; folder keeping the directory structure intact.');
define('_SHOULDBACKUPDB','You Should <a href="../db_backup.php" onclick="basicPopup(this.href);return false">Backup Your Database</a> Before Continuing! (Close Popup Window When Backup is Complete)');
define('_UPLOADSQLFILE','Upload spectra.sql File');
define('_WILLLETUPLOADSQLFILE','This will let you upload the spectra.sql file that is used to update your database.<br>Once the update is complete it will be deleted.');
define('_CONTENTSOFSQLFILE','Contents Of spectra.sql File');
define('_UPDATEDATABASE','Update Database');
define('_UPDATEDATABASEINFO','This is for making updates to the database on new version releases. Once the updater is run it will add the contents of the spectra.sql file to the database. Once complete it will delete the spectra.sql file. Follow the instructions in the installer.');
define('_EXTNOTALLOWED','This file extension is not allowed. Please upload a SQL file only.');
define('_THEFILE','The file');
define('_HASBEENUPLOADED','has been uploaded successfully.');
define('_ANERROROCCURED','An error occurred. Please contact the administrator.');
define('_THESEARETHEERRORS','These are the errors:');
define('_FILEEXCEEDS','File exceeds maximum size (1MB)');
define('_THENEXTSTEPWILL','The next step will upload theme.php into the admin/themes folder. If there is a theme.php file there now it will be over-written.<br>It is important that this be done last so that a theme will be assigned to the Administrators Dashboard before the updater is finished.');
define('_UPLOADFILE','Upload File');
define('_FIRSTLINEMUSTMATCH','The first line in the window below will have the version number that must match');
define('_IFDIFFERENT','If different delete the file and upload the correct one.<br>This is a read only window and content cannot be changed here.');
define('_DBDISPLAYINGVERSION','Your Database Is Displaying Version');
define('_DBISCURRENT','Your Database Is Current.');
define('_YOUORSOMEONEELSE','You Or Someone Else May Have Run The Installer Already.');
define('_FILESAREPRESENT','<p>There are files present in the &quot;<strong>temp</strong>&quot; folder (<?= basename($image) ?>) that should be deleted or removed!<br>Running an unknown file into the database could cause irreparable damage.<br>Always wait to upload the spectra.sql file until you are running the installer.<br>Anything placed in the &quot;<strong>temp</strong>&quot; folder will be deleted by the installer.<br>Be sure to upload all files except spectra.sql before running the installer.</p>');
define('_FILECONTENT','File Content');
define('_SPECTRAWILLNOTRUN','Spectra will not run under this version. Choose a version less than');
define('_IFYOUDOWNLOADED','If You Have Downloaded A Version Of Spectra That Is Higher Than');
define('_YOUNEEDTOUPLOAD','You Need To Upload The Files In That Package Then Come Back Here And Run The Installer.');
define('_DBISUPTODATE','Your Database Is Up-To-Date For Spectra Version');
define('_RUNNINGPHPVERSION','Your System Is Running PHP Version');
define('_OKAY','Ok');
define('_DOWNLOADCURRENTUPDATE','Download Current Update');
define('_UPLOADSQL','This file extension is not allowed. Please upload a SQL file only.');
define('_ERROROCCURED','An error occurred.');

// import.php, upload.php, uploadfiles.php, imageuploader.php, backup.php, config-ini.php, functions.php

define('_WILL_BACKUP','If you have backup files in the &quot;Available Backups&quot; listing, it is recommended that you download and then delete them.<br>This backup will include them and may cause the backup to fail if it is too large.<br>For Online Backups Only');
define('_WILLBACKUP','This will backup the directory you choose.<br>Do not close this window until the backup is complete.<br>A directory listing will appear in the window below when the backup is complete.');
define('_BACKUP_COMPLETE','Please Close This Window and Refresh The Page.<br>To Save The Contents Right Click and Choose Save Page As...(change .htm to .txt)');
define('_SETBACKUPDIR','Set Backup Directory');
define('_BACKUPCOMPLETE','Backup Complete');
define('_FULL_BACKUP','full backup<br>If this is on a local server this option will backup the entire server. Or online will backup');
define('_CHOOSEDIRTOBACKUP','Choose the directory to backup:<br>( localhost - spectra or online host - public_html )<br>Once you have chosen the folder from the drop down menu click on Set Backup Directory to set it in the database. Then click Start Backup to complete the process.');
define('_LOCALSERVERONLY','Local Server Only');
define('_ONLINEHOSTVERVERONLY','On-line Host Server Only');
define('_STARTBACKUP','Start Backup');
define('_HAVESETDIR','You Have Set The Backup Directory<br>Close This Window and Click Start Backup To Continue.');
define('_INICONFIG','PHP ini configuration');
define('_CPANEL','In your webhost Control Panel go to: MultiPHP INI Editor');
define('_CHANGEVALUES','Once there change the values to at least the following. This will allow for more than a 1.65 tb increase in .zip compression.');
define('_RECEIVEERROR','If you have a large number of files in the &quot;core&quot; directory and receive a server error,');
define('_GO_HERE','GO HERE</a> to learn more on how to fix the problem.');
define('_UPLOADTHEMEIMG','Upload Theme Images');
define('_UPLOADIMAGESPARA','Upload the images that came with the theme. This will place the theme image in (media/themes/) folder and can be accessed for editing using &quot;<a href="../../core/designer/elFinder/elfinder.html" onclick="basicPopup(this.href);return false">Media Library</a>&quot; so when you preview the theme it will show with the images.');
define('_IMPORTTHEMEIMG','Import Theme Image File');
define('_OPENTHEMEFOLDER','Open Theme Image Folder');
define('_REFRESHAFTERUPLOAD','Refresh Window After Importing File');
define('_FILETOOLARGE','File Too Large');
define('_UPLOADSUCCESSFUL','Upload Successful!');
define('_FAILEDTOUPLOAD','Failed To Upload!');
define('_IMAGEMUSTBE','Your file extension must be');
define('_STOP','STOP: Before proceeding, you should <a href="tools.php" onclick="basicPopup(this.href);return false">backup your database');
define('_CHECKID_','Check the theme you are importing against the list of theme(s) below that are in the database now.<br>Make sure that the ID number and Theme Name are different. In the theme code, the ID number is the first value (ex: \'9\').');
define('_PASTETHEMECODE','Paste The Theme Code Below');
define('_ISANEXAMPLE','This Is An Example<br>The theme you are importing <strong><u>has to be in the following format</u></strong>. The values in the theme you are importing will be different than the ones in the example but, the format has to be the same.<br>THIS IS IMPORTANT TO PREVENT ERRORS!<br>If you see code in another format that looks suspicious DO NOT import it into the database. Each theme has 75 values, any theme with more or less values will not be added to the database.');
define('_THEMENAME','Theme Name');
define('_CODEWILLBESUBMITTED','The code you paste here will be submitted to the database once you click the Submit (add theme) button below.');
define('_LOADTHEMEFILE','You Can Load a Theme File Into The Window Below For Review');
define('_AVAILTHEMEFILES','<strong>Available Theme Files<br>Click on the theme file to load it into the review window.</strong>');
define('_GOHERETODELETEFILES','Delete Theme Files');
define('_ABOUTTODELETE','You Are About To Delete ...');
define('_BACKUPWEBSITE','Backup Website');
define('_WEBSITEBACKUP','Website Backup Utilities');
define('_WILLASSIST','This will assist you in backing up your entire Spectra website. To backup the database ');
define('_GOHERE','GO HERE');
define('_CLICKONFOLDER','Click on the folder to complete the backup.<br>At times if the system is slow/busy it may take a few seconds for the file list to show in the pop-up window. Please be patient.');
define('_AVAILABLE_BACKUPS','Available Backups');
define('_CLICKREFRESH','Click The Refresh Button <a href="backup.php"><i class="fa fa-refresh"></i></a> After Making Backups or Deleting Backups To See The Changes and Clear The Browsers Address Bar To Prevent errors.');
define('_PARTEXT','A zip file listed below with the .part extension means the zip process has not finished.');
define('_IFSYSSLOW','Note: If your system is slow, let the process finish before doing another backup. Refresh this page to see if the .part extension has been removed.');
define('_IMPORTTHEMEFILE','Import Theme (.txt) File');
define('_UPLOAD','Upload');
define('_CHOOSETHEMEFILE','Choose a theme file...');
define('_CLOSEWINDOW','Close This Window');
define('_THEMESINLIBRARY','Themes In The Library');
define('_CLEANUPCOMPLETE','<h2 class="center spacer">The Cleanup After Installation Is Complete</h2><h2 class="center spacer">All files used during the install have been deleted. To import themes go to <a href="tools.php">Database Tools</a>.</h2><h3 class="center spacer">We look forward to seeing any of your future theme designs. Please share them with us over at <a href="https://www.coders-junction.com/forum/viewforum.php?f=10" target=_blank">Coders Junction</a></h3>');
define('_RENAMELONGIMGNAME','You should rename long image names before uploading them.');
define('_CHOOSEIMGFILE','Choose Theme Image File');

// login_attempts.php, populate.php

define('_FAILEDLOGINATTEMPTS','Failed Login Attempts');
define('_IPLOOKUP','Ip Address Lookup');
define('_ATTEMPTSLEFT','Attempts Left');
define('_SELECTALL','Select All');
define('_DESELECTALL','Deselect All');
define('_DELETESELECTED','Delete Selected');
define('_NODATAYET','There is no data yet.');

// managelibrary.php

define('_ACTIONPERMANENT','This action is permanent.');
define('_AMSOCIALSHARING','Active Members Social Sharing');
define('_AMSHARINGPARA','These are the files uploaded in the Social Sharing Builder. It allows you to maintain a listing of when the file was uploaded. It also records the IP address and username of the person uploading the image file.<br>You can see the image file by clicking on the image name. You can also look up the IP address by clicking on the IP number.');
define('_IMGNAME','Image Name');
define('_SIZE','Size');
define('_IP','IP');
define('_AREYOUSURE','Are you sure you want to delete this?');
define('_REFRESH_PAGE','Refresh Page After Delete');
define('_UPLOADIMG','Upload Images');
define('_CANUPLOADSIZE','You can upload wallpaper images into the Active Sharing Library for all active members to use.<br><b>Upload size must be 500kb or less.</b>');

// member-submissions.php

define('_TAGS','Tags');
define('_AUTHOR','Author');
define('_CATEGORY','Category');
define('_MBRSUBMITTED','Member Submitted');
define('_MEMBERSUBMITTEDARTICLES','Member Submitted Articles');

// poll.php, polls.php, poll-dashboard.php, list.php, result.php, create.php, poll-menu.php, menu/index.php

define('_ROWHEADER','Row Header');
define('_PLAIN','Plain');
define('_STYLED','Styled');
define('_ABOVE','Above');
define('_BELOW','Below');
define('_POLLS','Polls'); // menu item
define('_CREATEPOLL','Create Poll');
define('_BRIEFDESC','Brief Description');
define('_ANSWERS','Answers');
define('_ANSWERONE','Answer 1');
define('_ADDANSWER','Add Answer');
define('_STARTDATE','Start Date');
define('_EXPIRES','Expires?');
define('_NUMBEROFCHOICES','Number of Choices');
define('_SUCCESS','Success');
define('_ADMINPOLLSETTINGS','Admin Poll Settings');
define('_LEFT','Left');
define('_RIGHT','Right');
define('_USEPOLLMOD','Use the Poll Module?');
define('_SHOWTITLE','Showtitle?');
define('_SHOWTITLESTYLE','Show title styling?');
define('_MODTITLE','Module Title');
define('_USEMOD','Who can use the module?');
define('_POSITIONONHP','Position on home page');
define('_PUBLIC','Public');
define('_MEMBERS','Members');
define('_POLLSLIST','Polls List');
define('_POLLSETTINGS','Poll Settings');
define('_ADMINSETTINGS','Admin Settings');
define('_DESC','Description');
define('_EXPIRESENABLED','Expires Enabled');
define('_DATESUBMITTED','Date Submitted');
define('_POLLLISTING','Poll Listing');
define('_DESCRIPTION','Description');
define('_NOPOLLS','There are no recent polls');
define('_EXPIREDATE','Expire Date');
define('_SUBMITDATE','Submit Date');
define('_VIEW','View');
define('_POLLSDASHBOARD','Polls Dashboard');
define('_NOPOLLSAWAITING','There are no polls awaiting approval.');
define('_TODAYSPOLLS','Today\'s Polls');
define('_TOTALPOLLS','Total Polls');
define('_TOTALANSWERS','Total Answers');
define('_POLLSRESULTS','Polls Results');
define('_RESULTSFORPOLLS','Results for all polls are below.');
define('_ONCANVASLEFT','On-canvas Left');
define('_ONCANVASRIGHT','On-canvas Right');
define('_OFFCANVASLEFT','Off-canvas Left');
define('_OFFCANVASRIGHT','Off-canvas Right');
define('_ROWONE','Row One');
define('_ROWTWO','Row Two');
define('_ROWTHREE','Row Three');
define('_ROWFOUR','Row Four');
define('_ROWFIVE','Row Five');
define('_ROWSIX','Row Six');
define('_ROWSEVEN','Row Seven');
define('_ROWEIGHT','Row Eight');
define('_ROWNINE','Row Nine');
define('_ROWTEN','Row Ten');
define('_ROWELEVEN','Row Eleven');
define('_ROWTWELVE','Row Twelve');
define('_ROWONETOP','Row One Top');
define('_ROWTWOTOP','Row Two Top');
define('_ROWTHREETOP','Row Three Top');
define('_ROWFOURTOP','Row Four Top');
define('_ROWFIVETOP','Row Five Top');
define('_ROWSIXTOP','Row Six Top');
define('_ROWSEVENTOP','Row Seven Top');
define('_ROWEIGHTTOP','Row Eight Top');
define('_ROWNINETOP','Row Nine Top');
define('_ROWTENTOP','Row Ten Top');
define('_ROWELEVENTOP','Row Eleven Top');
define('_ROWTWELVETOP','Row Twelve Top');
define('_ROWONEMIDDLE','Row One Middle');
define('_ROWTWOMIDDLE','Row Two Middle');
define('_ROWTHREEMIDDLE','Row Three Middle');
define('_ROWFOURMIDDLE','Row Four Middle');
define('_ROWFIVEMIDDLE','Row Five Middle');
define('_ROWSIXMIDDLE','Row Six Middle');
define('_ROWSEVENMIDDLE','Row Seven Middle');
define('_ROWEIGHTMIDDLE','Row Eight Middle');
define('_ROWNINEMIDDLE','Row Nine Middle');
define('_ROWTENMIDDLE','Row Ten Middle');
define('_ROWELEVENMIDDLE','Row Eleven Middle');
define('_ROWTWELVEMIDDLE','Row Twelve Middle');
define('_ROWONEBOTTOM','Row One Bottom');
define('_ROWTWOBOTTOM','Row Two Bottom');
define('_ROWTHREEBOTTOM','Row Three Bottom');
define('_ROWFOURBOTTOM','Row Four Bottom');
define('_ROWFIVEBOTTOM','Row Five Bottom');
define('_ROWSIXBOTTOM','Row Six Bottom');
define('_ROWSEVENBOTTOM','Row Seven Bottom');
define('_ROWEIGHTBOTTOM','Row Eight Bottom');
define('_ROWNINEBOTTOM','Row Nine Bottom');
define('_ROWTENBOTTOM','Row Ten Bottom');
define('_ROWELEVENBOTTOM','Row Eleven Bottom');
define('_ROWTWELVEBOTTOM','Row Twelve Bottom');

// settings.php

define('_AVATAR','Avatar');
define('_AVATARSETTINGS','Avatar Settings');
define('_REFRESH_PAGE_','Refresh the page after Save to see the change.');
define('_SETAVATARHEIGHTWIDTH','Set Avatar Height/Width:');
define('_USER','User');
define('_AVATARTOALLOW','Set Which Avatar To Allow');
define('_USEROPTION','&quot;<b>User</b>&quot; lets the member decide. (default)<br>&quot;<b>Gravatar</b>&quot; radius, width, and height is preset to a circle and size of 80px.<br>&quot;<b>Avatar</b>&quot; allows the member to add a URL to display their avatar.');
define('_AVATARRADIUS','Set Avatar Radius');
define('_SETRADIUS','Sets the radius for the member avatar. (50% is round)');
define('_MISCSETTINGS','Miscellaneous Settings');
define('_CONTROLFEATURES','The following settings control features in the admin dashboard and members account.');
define('_NUMBERMEMBERACCOUNTS','Number of member accounts to show on the account listing pages?');
define('_SETPAGINATIONTOTAL','Set pagination total?');
define('_PAGINATIONISAUTOMATIC','Pagination is automatic but if the number of pages created is a high number you may have to set it higher. If you notice that the pagination buttons aren\'t styled that is an indication that you need to increase the number. For a moderate site (1000-2000 members) you may want to set the number to 100 or 200.');

// themeimporter.php, updatethemecode.php

define('_THEMEIMPORTER','Theme Importer');
define('_ADDTHEMETODB','This step will add the theme to the database.');
define('_UPDATESUCCESS','Update successful!');

// themecontroller/index.php

define('_UPLOADFOLDER','Upload Folder');
define('_SETTHEMEFOLDERNAME','You have not set the theme folder name.<br>Enter the themes folder name and click "Update the Record" and "Refresh Page" to continue.');
define('_UPLOADHTML5THEME','Upload HTML5 Theme Folder');
define('_WILLUPLOADFOLDER','This will upload your theme folder');
define('_INTOHTMLTHEMES','into the html-themes folder.');
define('_CHOOSE','Choose');
define('_FOLDERFORUPLOAD','Folder For Upload');
define('_PERCENTAGE','Percentage');
define('_PROGRESS','Progress');
define('_FILESUPLOADED','Files Uploaded');
define('_LOADERANIMATION','Loader Animation');

// tools.php

define('_DOWNLOAD','Download');
define('_BACKUPDATABASE','Backup Database');
define('_QUICKHASSLEFREE','A quick, hassle-free way to backup your database regularly. Be sure to download a copy each time you perform a backup.');
define('_OPTIMIZEDATABASE','Optimize Database');
define('_USETHISTOOL','Use this tool if you have made large changes to the database.');
define('_RESTOREDATABASE','Restore Database');
define('_THISWILLRESTORE','This will restore a corrupt database.');
define('_AVAILABLEBACKUPS','Available Database Backup Files and Theme Export File');
define('_BACKUPFILE','Backup Files');
define('_IMPORTTHEMES','Import Themes');
define('_THISWILLIMPORT','This will import themes into the database.');
define('_EXPORTTHEMES','Export Themes');
define('_THISWILLEXPORT','This will export the themes files for sharing.');
define('_DELETEBACKUPFILE','Are You Sure You Want To Delete This Backup File?');
define('_ACTIONCANCELLED','Action Was Cancelled By User');
define('_PERMANENT','Are you sure? This action is permanent!');

// userlog.php

define('_VISITORSLOG','Visitors Log');
define('_RECORDSVISITS','Records visits to your website.');
define('_TOTALRECORDS','Total Records');
define('_PAGEURL','Page URL');
define('_REFERRER','Referrer Url');
define('_IPADDRESS','IP Address');
define('_USERAGENT','User Agent');
define('_DATETIMECREATED','Date/Time Created');

// viewthemefolder.php

define('_CLICKFORPREVIEW','Click image for a preview. Opens in a new browser tab.');