<?php
/**
* Spectra — это программное обеспечение, предназначенное для создания веб-сайтов.
* PHP версии 8+
*
* @категория OpenSource
* @пакет Spectra
* @author Майк Бойлз <codersjunctions@gmail.com>
* @copyright 2020-2023 Coders Junction
* @license Стандартная общественная лицензия GNU <http://www.gnu.org/licenses/>.
* @ссылка https://www.coders-junction.com
*/ 

// Языковой пакет Русский

// Используется во время установки обновлений.


define('_SERVERINFO','Информация о сервере');
define('_PHPEXTINSTALL','Установленные расширения PHP');
define('_CANNOTUPDATE','Невозможно обновить');
define('_THEMEDELETED','Тема успешно удалена!');
define('_NUMBEROFTHEMES','Текущее количество тем');
define('_CLOSE_WINDOW','Закрой окно');
define('_IMAGEDATADELETED','Данные изображения удалены!');
define('_UNABLETOOPEN','Невозможно открыть папку');
define('_UNABLETOREADCONFIG','Невозможно прочитать файл конфигурации! Убедитесь, что файл доступен для чтения!');
define('_IFCHECKEDON','Если флажок установлен, он включен.');
define('_COMPLETED','Завершенный');
define('_SOURCEMUSTBEVALID','source должен быть действительным путем к папке или файлу!');
define('_THEREWASERROR','Произошла ошибка при перемещении файла в каталог загрузки. Убедитесь, что веб-сервер доступен для записи в каталог загрузки.');
define('_UPLOADFAILED','Загрузка не удалась. Разрешенные типы файлов:');
define('_FILEUPLOADERROR','При загрузке файла произошла ошибка. Пожалуйста, проверьте следующую ошибку.');
define('_SUCCESSFULUPLOAD','Файл успешно загружен.');
define('_CANUSETHEME','Разрешить участникам выбирать собственную тему?');
define('_PAGINATIONTHEMESETTINGS','Пагинация/Настройки');
define('_TAKEAMINUTE','Добавьте комментарий к модулю. (макс. 155 текстовых символов)');
define('_USINGTHEME','Использование темы');
define('_NOTUSINGDEFAULTTHEME','Участники, не использующие тему по умолчанию');
define('_ERRORINFILE','Эта ошибка обычно вызвана слишком низким значением upload_max_filesize. Чтобы исправить это, перейдите в файл php.ini и увеличьте значение.');
define('_CHOOSEZIP','Выберите файл .zip для загрузки');
define('_THEMEIMPORTINSTALL','Установка');
define('_THENEXTSTEP','Последний шаг удалит файлы, используемые во время установки.');
define('_CLEANUP','Очистка после установки');
define('_IMPORTCOMPLETE','Установка завершена');
define('_NEXTSTEP','Следующим шагом будет обновление номеров версий.');
define('_INSTALLSQL','Это изменит таблицу \'card_content\' и добавит переменную \'cardtitle\' в базу данных и удалит переменную \'title\'.<br>Пожалуйста, <a href="../tools.php" onclick= "basicPopup(this.href);return false">сначала создайте резервную копию базы данных</a>.');
define('_POPULATETABLE','Обновите информацию о версии.');
define('_CODEINSERTED','Следующий код будет вставлен в 2 шага.');

// В целом

define('_MAINTENANCEMODEOFF','Режим обслуживания (Выкл.)');
define('_MAINTENANCEMODEON','Режим обслуживания включен (вкл.)');
define('_TURNON','Включить режим обслуживания');
define('_TURNOFF','Выключить режим обслуживания');
define('_TURNMODEON','(Необязательно) Включите режим обслуживания перед выполнением обновлений.');
define('_NONE','Никто');
define('_THEMEIMPORTCOMPLETE','Функция импорта темы завершена');
define('_GOHERETOCONTINUE','Перейдите сюда, чтобы продолжить');
define('_CREATEDTABLE','Созданная таблица (код темы) и значения успешно добавлены!');
define('_ERRORCREATINGTABLE','Ошибка создания таблицы: ');
define('_DONOTHAVEPERMISSION','Вы не имеете доступа к этой странице!');
define('_CONFIGSETTINGS','Настройки файла конфигурации');
define('_FAILEDTODELETE','Не удалось удалить файл');
define('_NEWTHEMESUCCESSFUL','Новая тема успешно создана');
define('_THEMEERROR','Ошибка: Тема не добавлена! Причина:');
define('_MUSTBEVALID','source должен быть допустимым путем к папке или файлу!');
define('_MUSTBELOADED','расширение zip должно быть загружено!');
define('_HELLO','Привет');
define('_DELETEDSUCCESSFULLY','Удален успешно!');
define('_THEREISSOMEERROR','Какая-то ошибка при загрузке файла. Проверьте следующую ошибку.');
define('_FILESUCCESSFULLYUPLOADED','Файл успешно загружен.');
define('_ERRORMOVINGTOFOLDER','Произошла ошибка при перемещении файла в каталог загрузки. Пожалуйста, убедитесь, что каталог загрузки доступен для записи веб-сервером.');
define('_ALLOWEDFILETYPES','Загрузка не удалась. Разрешенные типы файлов:');
define('_NOFILESSELECTED','Файлы не выбраны.');
define('_SUCCESSFULLYUPLOADED','Успешно загружено.');
define('_LARGERTHANALLOWLIMIT','Ошибка: размер файла превышает допустимый предел (2 МБ).');
define('_TYPENOTALLOWED','тип файла не разрешен');
define('_ERRORUPLOADING','Ошибка загрузки');
define('_RESTORESUCCESS','Восстановление базы данных успешно завершено.');
define('_INVALIDFILETYPE','Недопустимый тип файла. Сначала распакуйте файл .gz. Затем выберите файл .sql.');
define('_USETHEME','Тема');
define('_SUBMITTHEME','Отправить (добавить тему)');
define('_YES','да');
define('_NO','Нет');
define('_TITLE','Заголовок');
define('_MAX55TEXT','не более 55 текстовых символов');
define('_SUBMIT','Представлять на рассмотрение');
define('_SUBJECT','Предмет');
define('_MESSAGE','Сообщение');
define('_YOUREMAIL','Ваш адрес электронной почты');
define('_REFRESHPAGE','Обновить страницу');
define('_UPDATETHERECORD','Обновить запись');
define('_PUBLISH','Публиковать');
define('_WELCOME','Добро пожаловать');
define('_COMMENT','Комментарий');
define('_ADMINDASHBOARD','Панель администратора');
define('_REFRESH','Обновить страницу');
define('_CHATMANAGER','Менеджер чата');
define('_DELETEANYLINES','Удалите любые строки, чтобы удалить их из комнаты чата.');

// Верхнее меню

define('_INACTIVEACCOUNTS','Неактивные аккаунты');
define('_MENU','Меню');
define('_HOME','Домой');
define('_ACCOUNTS','учетные записи');
define('_ALLACCOUNTS','Все аккаунты');
define('_ARTICLES','Статьи');
define('_DESIGNERDASHBOARD','Панель конструктора');
define('_USERLOG','Журнал посетителей');
define('_ALLCOMMENTS','Все комментарии');
define('_LOGINATTEMPTS','Попытки входа');
define('_LOGOUT','Выйти');
define('_ACTIVEUSERSLIBRARY','Общая библиотека пользователей');
define('_MANAGERS','Инструменты для менеджеров');
define('_MEMBERIMAGES','Это изображения, загруженные вашими активными участниками.');
define('_DELETEIMAGES','Удалите любые неприемлемые изображения.');

// ipdb.php
define('_UNIQUEVISITS','Уникальные посещения');
define('_WILLNOTAFFECT','Их удаление не повлияет на количество посетителей.');

// index.php

define('_USERACCOUNTS','Учетные записи пользователей');
define('_ACCOUNTSPERPAGE','Перейдите в «Настройки», чтобы выбрать количество учетных записей для отображения на странице.');
define('_ALLMEMBERACCOUNTS','Все учетные записи участников');
define('_USERNAME','ИМЯ ПОЛЬЗОВАТЕЛЯ');
define('_EMAIL','ЭЛЕКТРОННОЕ ПИСЬМО');
define('_ACTIVATIONCODE','КОД АКТИВАЦИИ');
define('_DATE','ДАТА');
define('_ROLE','РОЛЬ');
define('_ACTION','ДЕЙСТВИЕ');
define('_DELETE','УДАЛЯТЬ');
define('_ID','Я БЫ');
define('_PREV','Пред.');
define('_NEXT','Следующий');
define('_CREATEACCOUNT','Зарегистрироваться');
define('_LASTLOGIN','Последний Войти');
define('_DELETESELECTEDROWS','Удалить выбранные строки');

// account.php

define('_CREATENEWACCOUNT','Создать новый аккаунт');
define('_REMEMBERMECODE','Запомнить меня код');
define('_PASSWORD','Пароль');

// active-accounts.php and admin-accounts.php

define('_ACTIVEACCOUNTS','Активные аккаунты');
define('_GOTOSETTINGS','Перейдите в «Настройки», чтобы выбрать количество учетных записей для отображения на странице.');
define('_ADMINACCOUNTS','Учетные записи администратора');

// comments.php, comment-settings.php and comments-index.php

define('_PAGEID','Идентификатор страницы');
define('_PARENTCOMMENTID','Идентификатор родительского комментария');
define('_PARENTID','Родительский идентификатор');
define('_COMMENTS','Комментарии');
define('_COMMENTID','Идентификатор комментария');
define('_THEREARENOCOMMENTS','Нет комментариев');
define('_VOTES','Голоса');
define('_APPROVED','Одобренный');
define('_DATETIMESUBMITTED','Дата/время отправки');
define('_CONTENT','Содержание');
define('_ACTIONS','Действия');
define('_EDIT','РЕДАКТИРОВАТЬ');
define('_APPROVE','УТВЕРДИТЬ');
define('_SETTINGS','Настройки');
define('_COMMENTSDASHBOARD','Панель комментариев');
define('_TODAYSCOMMENTS','Сегодняшние комментарии');
define('_AWAITINGAPPROVAL','В ожидании подтверждения');
define('_TOTALCOMMENTS','Всего комментариев');
define('_TOTALPAGES','Всего страниц');
define('_NAME','Имя');
define('_DATETIME','Дата/время');
define('_IMGURL','URL изображения');
define('_NEWEST','Новейшие');
define('_OLDEST','Самый старый');

// db_backup.php, db_optimize.php and db_restore.php, export.php, exportthemes.php,  update.php, upload.php

define('_UPLOADTHEMEFILE','Выберите файл темы');
define('_DBBACKUP','Резервная база данных');
define('_OPTDB','Оптимизировать базу данных');
define('_DBRESTORE','Восстановить базу данных');
define('_UPDATE','ОБНОВИТЬ ЗАПИСЬ');
define('_UPDATESUCCESSFUL','Обновление успешно!');
define('_UPLOADFILES','Загрузить файлы');
define('_PRINTLOG','Распечатать журнал загрузок');
define('_SUBMITARTICLE','Отправить статью');
define('_BACKUPINPROGRESS','Выполняется резервное копирование');
define('_OPTIMIZATIONCOMPLETE','Оптимизация базы данных завершена');
define('_RESTOREDATABASE','Восстановить базу данных');
define('_EXPORTSQL','Экспорт файла темы .txt');
define('_EXPORTPARA','Это позволит вам экспортировать файлы базы данных тем, которые вы можете использовать для обмена темами с другими. Когда будете готовы, нажмите кнопку «Продолжить» ниже, чтобы начать.');
define('_CONTINUE','Продолжать');
define('_THEMEEXPORTER','Экспортер темы');
define('_EXPORTEDSUCCESSPARA','База данных успешно экспортирована!<br><br>Чтобы загрузить этот файл, перейдите в раздел <a href="tools.php">Инструменты базы данных</a> и найдите файл themes.sql.');
define('_BESURETODELETE','Обязательно удалите файл themes.sql, прежде чем снова использовать функцию экспорта.');
define('_DATABASETOOLS','Инструменты базы данных');
define('_IFYOUHAVENTALREADY','Если вы еще этого не сделали, вам следует распаковать архив .gz. Вам понадобится файл .sql для выполнения восстановления.');
define('_CHECKBACKUPFILE','Выберите файл резервной копии .sql');
define('_RESTORE','Восстановить');
define('_RETURN','Вернуть');
define('_DONOTCOPY','Не копируйте это, это только для справки См. ниже темы');
define('_DELETEBACKUPFILE','Вы уверены, что хотите удалить этот файл резервной копии?');
define('_ACTIONCANCELLED','Действие было отменено пользователем');

// downloadlog.php

define('_DOWNLOADSLOG','Журнал загрузок');
define('_FILENAME','Имя файла');
define('_FILESIZE','Размер файла (Кб)');
define('_NUMBERDOWNLOADS','# Загрузки');
define('_PRINT','Распечатать');
define('_NOTACTIVE','Модуль загрузок не активен');

// emailtemplate.php

define('_EMAILTEMPLATE','Шаблон электронной почты');
define('_SAVE','Сохранять ');
define('_PREVIEW','Предварительный просмотр');

// filter.php and filters.php

define('_WORD','Слово');
define('_REPLACEMENT','Замена');
define('_CREATEFILTER','Создать фильтр');
define('_NOFILTERS','Нет фильтров');
define('_COMMENTFILTERS','Фильтры комментариев');
define('_FILTER','Фильтр');

// footer.php

define('_POWEREDBY','Работает на версии Spectra');

// Файлы обновления базы данных -------------------

// cleanup.php, install.php, populate.php, tools.php, uploadsql.php, upsqlfiles.php, updater.php

define('_USINGVERSION','В настоящее время вы используете версию Spectra');
define('_WILL_ASSIST','Это поможет вам установить выпуски обновлений версии Spectra.<br>Папки и файлы будут загружены в корневой каталог Spectra с сохранением структуры каталогов.<br>Будут добавлены только файлы, которые находятся в выбранной вами папке обновления. .<br><br>Вы должны сделать');
define('_AND','и');
define('_AUTOUPDATER','Автоматическое обновление файлов');
define('_UPLOADUNZIP','Загружать, распаковывать и заменять автоматически ');
define('_CHOOSETHEZIP','Выберите файл spectra_update.zip, поставляемый с последним обновлением, и позвольте Spectra автоматически заменить старые файлы.<br>После этого вы перейдете к инструменту обновления базы данных Spectra.<br>Перейдите сюда, чтобы убедиться в этом. что у вас есть правильная версия выпуска.');
define('_UPDATES','Обновления');
define('_AUTOUPDATE','Автоматическое обновление');
define('_MANUALUPDATE','Ручное обновление');
define('_READABOUT','Нажмите О программе, чтобы узнать больше');
define('_ABOUT','О');
define('_CLICKTHISICON','После удаления файлов всегда нажимайте на этот значок');
define('_TOREFRESHPAGE','чтобы обновить эту страницу. Этот шаг автоматически сбросит адресную строку браузера и предотвратит ошибки.');
define('_FILEMANAGER','Файловый менеджер');
define('_UPDATEMANAGER','Менеджер обновлений');
define('_STEPONE','Шаг 1');
define('_STEPTWO','Шаг 2');
define('_UPDATEMGTTOOLS','Инструменты управления обновлениями');
define('_NOTZIPFILE','Файл, который вы пытаетесь загрузить, не является ZIP-файлом. Пожалуйста, попробуйте еще раз.');
define('_ZIPFILE','Файл');
define('_UPLOADED','был успешно загружен и распакован.');
define('_WASAPROBLEM','Возникла проблема с загрузкой.');
define('_TRYAGAIN','Пожалуйста, попробуйте еще раз.');
define('_PACKAGEUPLOADER','Загрузчик пакетов Spectra');
define('_WILLLETYOUUPLOAD','Это позволит вам загружать папки из обновлений версии Spectra. Он автоматически заменит файлы в папках новыми выпусками/обновлениями. Вы должны сделать резервную копию ваших текущих файлов, прежде чем продолжить.');
define('_FULLBACKUP','ПОЛНОЕ резервное копирование файлов');
define('_BEFORECONTINUING','прежде чем продолжить.');
define('_USEZIPUTILITY','Spectra предлагает вам возможность использовать свою утилиту .zip для загрузки и замены старых файлов.');
define('_MANUALUPDATER','Обновление файлов вручную');
define('_UNZIPUPLOAD','Распаковать, загрузить и заменить вручную');
define('_WILLUPLOADFOLDERS','Это поможет вам загружать папки/файлы для выпусков новых версий Spectra. Папки будут загружены в корневой каталог Spectra и заменят только те файлы, которые находятся в папке обновления.');
define('_IMPORTFILES','Импорт файлов');
define('_UPDATEDB','Обновите базу данных');
define('_UPDATE_SUCCESSFUL','Обновление успешно завершено, и файл спектра.sql удален.');
define('_SETUPINSTALL','Установка Установка');
define('_SETUPINSTALLATION','Установка Установка');
define('_SPECTRADBUPDATER','Средство обновления базы данных Spectra');
define('_CONNECTIONHASBEENMADE','Соединение с вашей базой данных установлено и готово к обновлению. Нажмите «Продолжить», когда будете готовы.');
define('_UPDATEDBFILES','Обновить файлы базы данных');
define('_WILLUPDATEDBFILES','Это обновит файлы базы данных (не полную установку), если вы обновляете версию:');
define('_TOVERSION','К версии:');
define('_UPLOADTHEFILES','Загрузите файлы в раздел &quot;Изменения файлов&quot; папка с сохранением структуры каталогов.');
define('_SHOULDBACKUPDB','Вы должны <a href="db_backup.php" onclick="basicPopup(this.href);return false">создать резервную копию базы данных</a>, прежде чем продолжить! (Закройте всплывающее окно после завершения резервного копирования)');
define('_UPLOADSQLFILE','Загрузить файл спектра.sql');
define('_WILLLETUPLOADSQLFILE','Это позволит вам загрузить файл спектра.sql, который используется для обновления вашей базы данных.<br>После завершения обновления он будет удален.');
define('_CONTENTSOFSQLFILE','Содержимое файла спектра.sql');
define('_UPDATEDATABASE','Обновление базы данных');
define('_UPDATEDATABASEINFO','Это для внесения обновлений в базу данных при выпуске новых версий.<br>После запуска программа обновления добавит в базу данных содержимое файла спектра.sql.<br>После завершения он удалит файл Spectre.sql.<br>Следуйте инструкциям в программе установки.');
define('_EXTNOTALLOWED','Это расширение файла не разрешено. Загрузите только файл SQL.');
define('_THEFILE','Файл');
define('_HASBEENUPLOADED','был успешно загружен.');
define('_ANERROROCCURED','Произошла ошибка. Пожалуйста, свяжитесь с администратором.');
define('_THESEARETHEERRORS','Это ошибки:');
define('_FILEEXCEEDS','Размер файла превышает максимальный (1 МБ)');
define('_THENEXTSTEPWILL','Следующим шагом будет загрузка theme.php в папку admin/themes. Если там сейчас есть файл theme.php, он будет перезаписан.<br>Важно, чтобы это было сделано последним, чтобы тема была назначена на панель администратора до того, как программа обновления будет завершена.');
define('_UPLOADFILE','Загрузить файл');
define('_FIRSTLINEMUSTMATCH','Первая строка в окне ниже будет иметь номер версии, который должен совпадать');
define('_IFDIFFERENT','Если файл другой, удалите файл и загрузите правильный.<br>Это окно доступно только для чтения, и здесь нельзя изменить содержимое.');
define('_DBDISPLAYINGVERSION','Ваша база данных отображает версию');
define('_DBISCURRENT','Ваша база данных актуальна.');
define('_YOUORSOMEONEELSE','Вы или кто-то еще мог уже запустить программу установки.');
define('_FILESAREPRESENT','<p>В &quot;<strong>temp</strong>&quot; есть файлы. папку (<?= basename($image) ?>), которую следует удалить или удалить!<br>Запуск неизвестного файла в базу данных может привести к непоправимому повреждению.<br>Всегда откладывайте загрузку файла спектра.sql до тех пор, пока вы не запуск установщика.<br>Все, что помещено в папку &quot;<strong>temp</strong>&quot; папка будет удалена программой установки.<br>Перед запуском программы установки обязательно загрузите все файлы, кроме спектра.sql.</p>');
define('_FILECONTENT','Содержимое файла');
define('_SPECTRAWILLNOTRUN','Spectra не будет работать в этой версии. Выберите версию менее');
define('_IFYOUDOWNLOADED','Если вы загрузили версию Spectra выше, чем');
define('_YOUNEEDTOUPLOAD','Вам нужно загрузить файлы в этом пакете, затем вернуться сюда и запустить программу установки.');
define('_DBISUPTODATE','Ваша база данных актуальна для версии Spectra');
define('_RUNNINGPHPVERSION','В вашей системе работает версия PHP');
define('_OKAY','Ok');
define('_DOWNLOADCURRENTUPDATE','Скачать текущее обновление');
define('_UPLOADSQL','Это расширение файла не разрешено. Загрузите только файл SQL.');
define('_ERROROCCURED','Произошла ошибка.');

// import.php, upload.php, uploadfiles.php, imageuploader.php, backup.php, config-ini.php, functions.php

define('_WILL_BACKUP','Если у вас есть файлы резервных копий в разделе &quot;Доступные резервные копии&quot; список, рекомендуется загрузить, а затем удалить их.<br>Эта резервная копия будет включать их и может привести к сбою резервной копии, если она слишком велика.<br>Только для онлайн-резервных копий');
define('_WILLBACKUP','При этом будет создана резервная копия выбранного вами каталога.<br>Не закрывайте это окно, пока резервное копирование не будет завершено.<br>По завершении резервного копирования в окне ниже появится список каталогов.');
define('_BACKUP_COMPLETE','Закройте это окно и обновите страницу.<br>Чтобы сохранить содержимое, щелкните правой кнопкой мыши и выберите "Сохранить страницу как..." (измените .htm на .txt)');
define('_SETBACKUPDIR','Установить резервный каталог');
define('_BACKUPCOMPLETE','Резервное копирование завершено');
define('_FULL_BACKUP','полная резервная копия<br>Если это локальный сервер, эта опция создаст резервную копию всего сервера. Или онлайн сделает резервную копию');
define('_CHOOSEDIRTOBACKUP','Выберите каталог для резервного копирования:<br>(localhost — Spectre или онлайн-хост — public_html).<br>После того, как вы выбрали папку из раскрывающегося меню, нажмите «Установить каталог резервного копирования», чтобы установить его в базе данных. Затем нажмите «Начать резервное копирование», чтобы завершить процесс.');
define('_LOCALSERVERONLY','Только локальный сервер');
define('_ONLINEHOSTVERVERONLY','Только хост-сервер в сети');
define('_STARTBACKUP','Начать резервное копирование');
define('_HAVESETDIR','Вы установили каталог резервного копирования<br>Закройте это окно и нажмите «Начать резервное копирование», чтобы продолжить.');
define('_INICONFIG','PHP iniконфигурация');
define('_CPANEL','В Панели управления вашего веб-хостинга перейдите к: Редактор MultiPHP INI.');
define('_CHANGEVALUES','После этого измените значения как минимум на следующие. Это позволит увеличить сжатие .zip более чем на 1,65 ТБ.');
define('_RECEIVEERROR','Если у вас большое количество файлов в &quot;ядре&quot; каталог и получить ошибку сервера,');
define('_GO_HERE','ПЕРЕЙДИТЕ СЮДА</a>, чтобы узнать больше о том, как решить проблему.');
define('_UPLOADTHEMEIMG','Загрузить изображения темы');
define('_UPLOADIMAGESPARA','Загрузите изображения, прилагаемые к теме. Это поместит изображение темы в папку (media/themes/), и к нему можно будет получить доступ для редактирования с помощью &quot;<a href="../../core/designer/elFinder/elfinder.html" onclick="basicPopup (this.href);return false">Медиатека</a>&quot; поэтому при предварительном просмотре темы она будет отображаться вместе с изображениями.');
define('_IMPORTTHEMEIMG','Импорт файла изображения темы');
define('_OPENTHEMEFOLDER','Открыть папку с изображением темы');
define('_REFRESHAFTERUPLOAD','Обновить окно после импорта файла');
define('_FILETOOLARGE','Файл слишком большой');
define('_UPLOADSUCCESSFUL','Загрузка прошла успешно!');
define('_FAILEDTOUPLOAD','Не удалось загрузить!');
define('_IMAGEMUSTBE','Ваше расширение файла должно быть');
define('_STOP','STOP: прежде чем продолжить, вы должны <a href="tools.php" onclick="basicPopup(this.href);return false">создать резервную копию вашей базы данных');
define('_CHECKID_','Проверьте тему, которую вы импортируете, по списку тем, которые сейчас находятся в базе данных.<br>Убедитесь, что номер <span class="link">ID</span> и <span class="link ">Название темы</span> другое. В коде темы номер идентификатора является первым значением (например: \'9\')');
define('_PASTETHEMECODE','Вставьте код темы ниже');
define('_ISANEXAMPLE','Это пример<br>Импортируемая тема <strong><u>должна быть в следующем формате</u></strong>. Значения в импортируемой теме будут отличаться от значений в примере, но формат должен быть таким же.<br>ЭТО ВАЖНО ДЛЯ ПРЕДОТВРАЩЕНИЯ ОШИБОК!<br>Если вы видите код в другом формате, который выглядит подозрительно НЕ импортируйте его в базу данных. Каждая тема имеет 75 значения, любая тема с большим или меньшим значением не будет добавлена в базу данных.');
define('_THEMENAME','Название темы');
define('_CODEWILLBESUBMITTED','Код, который вы вставите сюда, будет отправлен в базу данных, как только вы нажмете кнопку «Отправить» (добавить тему) ниже.');
define('_LOADTHEMEFILE','Вы можете загрузить файл темы в окно ниже для просмотра');
define('_AVAILTHEMEFILES','<strong>Доступные файлы тем<br>Нажмите на файл темы, чтобы загрузить его в окно просмотра.</strong>');
define('_GOHERETODELETEFILES','Удалить файлы темы');
define('_ABOUTTODELETE','Вы собираетесь удалить...');
define('_BACKUPWEBSITE','Резервный сайт');
define('_WEBSITEBACKUP','Утилиты для резервного копирования веб-сайтов');
define('_WILLASSIST','Это поможет вам создать резервную копию всего вашего веб-сайта Spectra. Резервное копирование базы данных ');
define('_GOHERE','ИДИ СЮДА');
define('_CLICKONFOLDER','Нажмите на папку, чтобы завершить резервное копирование.<br>Иногда, если система работает медленно или загружена, отображение списка файлов во всплывающем окне может занять несколько секунд. Пожалуйста, будьте терпеливы.');
define('_AVAILABLE_BACKUPS','Доступные резервные копии');
define('_CLICKREFRESH','Нажмите кнопку «Обновить» <a href="backup.php"><i class="fa fa-refresh"></i></a> после создания или удаления резервных копий, чтобы увидеть изменения и очистить адресную строку браузера, чтобы Предотвратить ошибки.');
define('_PARTEXT','Перечисленный ниже zip-файл с расширением .part означает, что процесс zip еще не завершен.');
define('_IFSYSSLOW','Примечание. Если ваша система работает медленно, дайте процессу завершиться, прежде чем делать еще одну резервную копию. Обновите эту страницу, чтобы узнать, было ли удалено расширение .part.');
define('_IMPORTTHEMEFILE','Импорт файла темы (.txt)');
define('_UPLOAD','Загрузить');
define('_CHOOSETHEMEFILE','Выберите файл темы...');
define('_CLOSEWINDOW','Закрыть это окно');
define('_THEMESINLIBRARY','Темы в библиотеке');
define('_RENAMELONGIMGNAME','Вы должны переименовывать длинные имена изображений перед их загрузкой.');
define('_CHOOSEIMGFILE','Выберите файл изображения темы');

// login_attempts.php, populate.php

define('_FAILEDLOGINATTEMPTS','Неудачные попытки входа');
define('_IPLOOKUP','Поиск IP-адреса');
define('_ATTEMPTSLEFT','Осталось попыток');
define('_SELECTALL','Выбрать все');
define('_DESELECTALL','Убрать выделение со всего');
define('_DELETESELECTED','Удалить выбранные');
define('_NODATAYET','Данных пока нет.');
define('_NEXTFINALSTEP','Следующим и последним шагом будет заполнение таблицы.');

// managelibrary.php

define('_ACTIONPERMANENT','Это действие является постоянным.');
define('_AMSOCIALSHARING','Активные участники Социальный обмен');
define('_AMSHARINGPARA','Это файлы, загруженные в Social Sharing Builder. Это позволяет вам вести список того, когда файл был загружен. Он также записывает IP-адрес и имя пользователя человека, загружающего файл изображения.<br>Вы можете просмотреть файл изображения, нажав на его имя. Вы также можете посмотреть IP-адрес, нажав на IP-номер.');
define('_IMGNAME','Имя изображения');
define('_SIZE','Размер');
define('_IP','IP');
define('_AREYOUSURE','Вы уверены, что хотите удалить это?');
define('_REFRESH_PAGE','Обновить страницу после удаления');
define('_UPLOADIMG','загрузить изображения');
define('_CANUPLOADSIZE','Вы можете загружать изображения обоев в библиотеку Active Sharing для использования всеми активными участниками.<br><b>Размер загрузки должен быть не более 500 КБ.</b>');

// member-submissions.php

define('_TAGS','Теги');
define('_AUTHOR','Автор');
define('_CATEGORY','Категория');
define('_MBRSUBMITTED','Участник отправлен');
define('_MEMBERSUBMITTEDARTICLES','Участник представил статьи');

// poll.php, polls.php, poll-dashboard.php, list.php, result.php, create.php, poll-menu.php, menu/index.php

define('_ROWHEADER','Заголовок строки');
define('_PLAIN','Простой');
define('_STYLED','Стилизованный');
define('_ABOVE','Выше');
define('_BELOW','Ниже');
define('_POLLS','Опросы'); // пункт меню
define('_CREATEPOLL','Создать опрос');
define('_BRIEFDESC','Краткое описание');
define('_ANSWERS','Ответы');
define('_ANSWERONE','Ответ 1');
define('_ADDANSWER','Добавить ответ');
define('_STARTDATE','Дата начала');
define('_EXPIRES','Истекает?');
define('_NUMBEROFCHOICES','Количество вариантов');
define('_SUCCESS','Успех');
define('_ADMINPOLLSETTINGS','Настройки опроса администратора');
define('_LEFT','Левый');
define('_RIGHT','Верно');
define('_USEPOLLMOD','Использовать модуль опроса?');
define('_SHOWTITLE','Показать заголовок?');
define('_SHOWTITLESTYLE','Показать стиль заголовка?');
define('_MODTITLE','Название модуля');
define('_USEMOD','Кто может использовать модуль?');
define('_POSITIONONHP','Позиция на главной странице');
define('_PUBLIC','Общественный');
define('_MEMBERS','Члены');
define('_POLLSLIST','Список опросов');
define('_POLLSETTINGS','Настройки опроса');
define('_ADMINSETTINGS','Настройки администратора');
define('_DESC','Описание');
define('_EXPIRESENABLED','Истекает Включено');
define('_DATESUBMITTED','Дата отправки');
define('_POLLLISTING','Список опросов');
define('_DESCRIPTION','Описание');
define('_NOPOLLS','Нет последних опросов');
define('_EXPIREDATE','Годен до');
define('_SUBMITDATE','Дата отправки');
define('_VIEW','Вид');
define('_POLLSDASHBOARD','Панель опросов');
define('_NOPOLLSAWAITING','Нет опросов, ожидающих утверждения.');
define('_TODAYSPOLLS','Сегодняшние опросы');
define('_TOTALPOLLS','Всего опросов');
define('_TOTALANSWERS','Всего ответов');
define('_POLLSRESULTS','Результаты опросов');
define('_RESULTSFORPOLLS','Результаты всех опросов ниже.');
define('_ONCANVASLEFT','На холсте слева');
define('_ONCANVASRIGHT','На холсте справа');
define('_OFFCANVASLEFT','Слева от холста');
define('_OFFCANVASRIGHT','Вне холста справа');
define('_ROWONETOP','Ряд 1 Топ');
define('_ROWTWOTOP','Второй ряд сверху');
define('_ROWTHREETOP','Третий ряд сверху');
define('_ROWFOURTOP','Верх четвертого ряда');
define('_ROWFIVETOP','Ряд пять сверху');
define('_ROWSIXTOP','Ряд шесть сверху');
define('_ROWSEVENTOP','Седьмой ряд сверху');
define('_ROWEIGHTTOP','Восьмой ряд сверху');
define('_ROWNINETOP','Верх девятого ряда');
define('_ROWTENTOP','Десятый ряд сверху');
define('_ROWELEVENTOP','Ряд одиннадцатый Топ');
define('_ROWTWELVETOP','Двенадцатый ряд сверху');
define('_ROWONEMIDDLE','Ряд 1 посередине');
define('_ROWTWOMIDDLE','Второй ряд посередине');
define('_ROWTHREEMIDDLE','Третий ряд посередине');
define('_ROWFOURMIDDLE','Ряд четыре средний');
define('_ROWFIVEMIDDLE','Ряд пятый средний');
define('_ROWSIXMIDDLE','Ряд шесть средний');
define('_ROWSEVENMIDDLE','Седьмой ряд посередине');
define('_ROWEIGHTMIDDLE','Восьмой ряд посередине');
define('_ROWNINEMIDDLE','Ряд девять средний');
define('_ROWTENMIDDLE','Десятый ряд посередине');
define('_ROWELEVENMIDDLE','Одиннадцатый ряд, средний');
define('_ROWTWELVEMIDDLE','Ряд двенадцатый средний');
define('_ROWONEBOTTOM','Ряд один нижний');
define('_ROWTWOBOTTOM','Второй ряд снизу');
define('_ROWTHREEBOTTOM','Третий ряд нижний');
define('_ROWFOURBOTTOM','Ряд четвертый нижний');
define('_ROWFIVEBOTTOM','Строка пятая нижняя');
define('_ROWSIXBOTTOM','Ряд шесть нижний');
define('_ROWSEVENBOTTOM','Ряд семь нижний');
define('_ROWEIGHTBOTTOM','Восьмой ряд снизу');
define('_ROWNINEBOTTOM','Ряд девять нижний');
define('_ROWTENBOTTOM','Строка десятая нижняя');
define('_ROWELEVENBOTTOM','Ряд одиннадцатый нижний');
define('_ROWTWELVEBOTTOM','Строка двенадцатая нижняя');
define('_ROWONE','Ряд один');
define('_ROWTWO','Второй ряд');
define('_ROWTHREE','Третий ряд');
define('_ROWFOUR','Ряд четыре');
define('_ROWFIVE','Пятый ряд');
define('_ROWSIX','Шестой ряд');
define('_ROWSEVEN','Седьмой ряд');
define('_ROWEIGHT','Восьмой ряд');
define('_ROWNINE','Ряд девять');
define('_ROWTEN','Десятый ряд');
define('_ROWELEVEN','Одиннадцатый ряд');
define('_ROWTWELVE','Двенадцатый ряд');

// settings.php

define('_AVATAR','Аватар');
define('_AVATARSETTINGS','Настройки аватара');
define('_REFRESH_PAGE_','Обновите страницу после сохранения, чтобы увидеть изменения.');
define('_SETAVATARHEIGHTWIDTH','Установить высоту/ширину аватара:');
define('_USER','Пользователь');
define('_AVATARTOALLOW','Установите, какой аватар разрешить');
define('_USEROPTION','&quot;Бенутцер&quot; Lässt das Mitglied entscheiden.<br>&quot;Gravatar&quot; Радиус, ширина и высота, а также размер 80 Pixel voreingestellt.<br>&quot;Аватар&quot; ermöglicht es dem Mitglied, eine URL hinzuzufügen, um seinen Avatar anzuzeigen.');
define('_AVATARRADIUS','Аватар Радиус');
define('_SETRADIUS','Устанавливает радиус для авататора члена. (50% круглые) Обновите страницу после Сохранить, чтобы увидеть изменения.');
define('_MISCSETTINGS','Разные настройки');
define('_CONTROLFEATURES','Следующие настройки управляют функциями панели администратора и учетной записи участника.');
define('_NUMBERMEMBERACCOUNTS','Количество учетных записей участников для отображения на страницах списка учетных записей?');
define('_SETPAGINATIONTOTAL','Установить общее количество страниц?');
define('_PAGINATIONISAUTOMATIC','Разбиение на страницы выполняется автоматически, но если количество созданных страниц велико, вам, возможно, придется установить его выше. Если вы заметили, что кнопки пагинации не имеют стиля, это означает, что вам нужно увеличить число. Для умеренного сайта (1000-2000 участников) вы можете установить число 100 или 200.');

// themeimporter.php, updatethemecode.php

define('_THEMEIMPORTER','Импортер темы');
define('_ADDTHEMETODB','Этот шаг добавит тему в базу данных.');
define('_UPDATESUCCESS','Обновление успешно!');
define('_UPLOADFOLDER','Загрузить папку');
define('_SETTHEMEFOLDERNAME','Вы не задали имя папки тем.<br>Введите имя папки тем и нажмите "Обновить запись" и "Обновить страницу", чтобы продолжить.');
define('_UPLOADHTML5THEME','Загрузить папку темы HTML5');
define('_WILLUPLOADFOLDER','Это загрузит папку вашей темы');
define('_INTOHTMLTHEMES','в папку html-темы.');
define('_CHOOSE','выберите');
define('_FOLDERFORUPLOAD','Папка для загрузки');
define('_PERCENTAGE','Процент');
define('_PROGRESS','Прогресс');
define('_FILESUPLOADED','Файлы загружены');
define('_LOADERANIMATION','Анимация загрузчика');
define('_CLOSETHISWINDOW','Закрыть это окно');

// tools.php

define('_DOWNLOAD','Скачать');
define('_BACKUPDATABASE','Резервная база данных');
define('_QUICKHASSLEFREE','Быстрый и удобный способ регулярного резервного копирования базы данных. Обязательно загружайте копию каждый раз, когда выполняете резервное копирование.');
define('_OPTIMIZEDATABASE','Оптимизировать базу данных');
define('_USETHISTOOL','Используйте этот инструмент, если вы внесли большие изменения в базу данных.');
define('_THISWILLRESTORE','Это восстановит поврежденную базу данных.');
define('_AVAILABLEBACKUPS','Доступные файлы резервной копии базы данных и файл экспорта темы');
define('_BACKUPFILE','Резервные файлы');
define('_EXPORTTHEMES','Экспорт тем');
define('_THISWILLEXPORT','Это позволит экспортировать файлы тем для совместного использования.');
define('_IMPORTTHEMES','Импорт тем');
define('_THISWILLIMPORT','Это позволит импортировать темы в базу данных.');
define('_PERMANENT','Уверены ли вы? Это действие является постоянным!');

// userlog.php

define('_VISITORSLOG','Журнал посетителей');
define('_RECORDSVISITS','Записывает посещения вашего сайта.');
define('_TOTALRECORDS','Всего записей');
define('_PAGEURL','URL-адрес страницы');
define('_REFERRER','URL-адрес реферера');
define('_IPADDRESS','Айпи адрес');
define('_USERAGENT','Агент пользователя');
define('_DATETIMECREATED','Дата/время создания');

// viewthemefolder.php

define('_CLICKFORPREVIEW','Щелкните изображение для предварительного просмотра. Открывается в новой вкладке браузера.');




