<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 * 
 */

require_once 'main.php';

$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {	 
require_once 'lang/' . $row['lang'] . '.php'; }} ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,minimum-scale=1">
<title><?=_IMPORTTHEMES?></title>
<?php require_once 'header.php'; ?>

<?php if (isset($_SESSION["message"]) && !empty($_SESSION["message"])) {
$message = $_SESSION["message"];
echo "<div class='center gentextcolor spacer inner-wrapper quarter'>" . $message. "</div>";
unset($_SESSION['message']); } ?>

<form action="finalimport.php" method="POST" class="noborder">

<?php $sql = "SELECT * FROM themecode"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while($row = $result->fetch_assoc()) { 
$tempcode = $row['tempcode']; }} ?>

<div class="column-title spacer">
<h1 class="center coltitlecolor"><?=_THEMEIMPORTER?></h1>
</div>
 
<?php $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM themes"); 
while ($row = mysqli_fetch_array($result)) { 
$var = $row['count']; } 

echo '<p class="center">' . _NUMBEROFTHEMES . ' = ' . $var . '</p>'; ?>

<h3 class="center"><?=_ADDTHEMETODB?></h3>
<p class="center pointer"><input type="submit" name="Submit" value="<?=_SUBMIT?>" class="btn"></p>

</form>

<?php require_once 'footer.php';

