<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */


require_once 'version.php';
require_once '../../../core/builders/config.php';

$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
require_once '../lang/' . $row['lang'] . '.php'; }} 

require_once 'version.php'; ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="x-ua-compatible" content="ie=edge">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
<title>Spectra Version Updater</title>
<link rel="stylesheet" href="../themes/style.css">
<link rel="stylesheet" href="../../../../core/themes/shorthand.css">
<link rel="stylesheet" href="../../../core/css/fonts.css">
<link rel="stylesheet" href="../css/admin.css">
<link rel="stylesheet" href="../css/installer.css">
<style> p {font-size: 18px; font-weight:500; line-height:1.6;}</style>
</head>
<body>
    
<div class="column-title">
<h1 class="center coltitlecolor"><?= _UPLOADSQLFILE ?></h1>
</div>

<h2 class="center"><?= _WILLLETUPLOADSQLFILE ?></h2>         
<?php $filename = 'temp/spectra.sql';
if (file_exists($filename)) {   
} else { ?>

<form action="uploadsqlfile.php" method="post" enctype="multipart/form-data" class="center noborder">

<p class="center inner-wrapper spacer half"><?= _UPLOADSQLFILE ?>
<input type="file" name="the_file" id="fileToUpload">
<br>
<br>
<input type="submit" name="submit" style="width:200px" class="spacer radius" value="Upload .sql">
</p>
</form>
<?php } ?>
<div class="Block">
<div class="row">
<div class="leftBlock">
<?php
$files = glob("temp/*.*");
for ($i = 0; $i < count($files); $i++) {
$image = $files[$i];
$supported_file = array('sql');
$ext = strtolower(pathinfo($image, PATHINFO_EXTENSION));
if (in_array($ext, $supported_file)) { ?>
<div class="column center"><img src="sql.png" style="width:110px;height:110px;" alt="" /><br><span style="color:#000000"><?= basename($image) ?></span></div>
<?php }}
$filename = 'temp/spectra.sql';
if (file_exists($filename)) {
"$filename"; ?>
</div>
<div class="rightBlock">
<p class="center"><?= _CONTENTSOFSQLFILE ?>
<br><?= _FIRSTLINEMUSTMATCH ?> [<?= $update_version ?>].
<br><?= _IFDIFFERENT ?></p>
<div class="center">
<textarea class="spacer" style="height:300px;width:50%;">
<?= file_get_contents("temp/spectra.sql") ?>
</textarea></div>
<p class="center"><a href="removefile.php"><button style="width:200px"><?= _DELETE ?></button></a></p>
<?php } else { ?>
</div>
</div>
<?php } ?>
</div>
<br>
<br>
<div class="center"><a href="populate.php"><button class="spacer" style="width:200px"><span style="color:#000000"><?= _CONTINUE ?></span></a></div>

<br>
<br>
<br>

</body>
</html>