<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */ 

require_once 'main.php';

$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
require_once 'lang/' . $row['lang'] . '.php'; }} ?>

<!DOCTYPE html>
<html>
<head>
<title><?= _UPLOAD ?></title>

<style> 
* {margin: 0;padding: 0;}.loader {display: none;top: 50%;left: 50%;position: absolute;transform: translate(-50%, -50%);}.loading {border: 2px solid #ccc;width: 60px;height: 60px;border-radius: 50%;border-top-color: #1ecd97;border-left-color: #1ecd97;animation: spin 1s infinite ease-in;}@keyframes spin {0% {transform: rotate(0deg);}100% {transform: rotate(360deg);}}form {background: #888;color: #ffffff;width: 30%;margin: 100px auto;padding: 30px;border: 1px solid #555;border-radius: 14px;box-shadow: 12px 0 15px -4px rgba(0, 0, 0, 0.2), -12px 0 8px -4px rgba(0, 0, 0, 0.2);}input {width: 100%;border: 1px solid #f1e1e1;display: block;padding: 5px 10px;}button {border: none;padding: 10px;border-radius: 5px;}
</style>

</head>
<body>

<?php 
/**
 * 
 * Show any message generated during 
 * the upload/import.
 * 
 */

if (isset($_SESSION['message']) && $_SESSION['message']) {
echo '<p class="notification">'.$_SESSION['message'].'</p>';
unset($_SESSION['message']); } ?>

<form method="POST" action="uploadfiles.php" enctype="multipart/form-data">

<div class="mini-container">
<span class="file-name"><?= _UPLOADTHEMEFILE ?></span>
<label for="file-upload"><input type="file" id="file-upload" name="uploadedFile"></label>
</div>
<br>
<input type="submit" name="uploadBtn" value="<?= _UPLOAD ?>" />
</form>

</body>
</html>