<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 * 
 */

if (!isset($_SERVER['HTTP_REFERER'])) { 
echo "<script> window.location.replace('../../index.php') </script>";
exit;}
require_once 'main.php';

/**
 * 
 * MySQL query that selects all the polls and poll answers.
 * 
 */

$stmt = $pdo->prepare('SELECT p.*, GROUP_CONCAT(pa.title ORDER BY pa.id) AS answers, GROUP_CONCAT(pa.votes ORDER BY pa.id) AS answers_votes FROM polls p LEFT JOIN poll_answers pa ON pa.poll_id = p.id GROUP BY p.id');
$stmt->execute();
$polls = $stmt->fetchAll(PDO::FETCH_ASSOC); ?>

<title><?= _POLLSRESULTS ?></title>
<?php require_once 'header.php';
require_once 'poll-menu.php'; ?>

<br>
<div class="column-title"><h1 class="coltitlecolor center"><?= _POLLSRESULTS ?></h1></div>
<div class="poll-list-2">

<table><tr>

<?php 
/**
 * 
 * Build the array.
 * 
 */

foreach($polls as $poll) { ?>

<td class="card spacer column5">
<div style="height:250px; overflow-y:auto;">
<div class="column-title coltitlecolor center"><?=$poll['title']?></div>
<div id="wrapper" class="spacer column">
<p class="center"><?= $poll['start_date'] ?></p>
<p class="center">- <?= _VOTES ?> -</p>
<?php $answers = explode(',', $poll['answers']);
$answers_votes = explode(',', $poll['answers_votes']); ?>
<?php for($i = 0; $i < count($answers); $i++) { ?>

<div class="left">
<p><?= $answers[$i] ?>: ( <span><?= $answers_votes[$i] ?> )</span></p>
</div>
<?php } ?>

</div>
</div>
</td>
<?php } ?>

</tr></table>
</div>

<p>&nbsp;</p>

<?php require_once 'footer.php';
