<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
require_once 'lang/' . $row['lang'] . '.php'; }} ?>

<!DOCTYPE html>
<html lang="en">
<head>
<title><?= _ADMINCOMMENTS ?></title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link href="comments.css" rel="stylesheet" type="text/css">
<link href="../core/css/comments.min.css" rel="stylesheet" type="text/css">
<?php require_once 'header.php';

if (isset($_GET['id'])) { $id = $_GET['id']; } ?>
<?php $sql = "SELECT * FROM adminarticle WHERE id='$id'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$adminarticletitle = $row['adminarticletitle']; 
$adminarticle = $row['adminarticle'];  }} ?>

<div style="width:75%; margin:0 auto;">
<div class="full column">
<br>
<div class="full spacer" style="background:<?= $content_bg ?>;margin:0 auto;">
<div class="column-title spacer">
<h3 class="coltitlecolor center"><?= $adminarticletitle ?></h3>
</div>

<?php
/**
 * 
 * Show the admin article/message comments.
 * If member is logged in.
 * 
 */ ?>

<div class="card column spacer gentextcolor"><?= $adminarticle ?></div>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { ?>
<p class="center gentextcolor" style="font-size:18px"><?= _WELCOME ?>, <?= $_SESSION['name']; ?></p>
<?php if ($_SESSION['role'] == 'Admin') { 
    
/**
 * 
 * If admin is logged in 
 * show the direct editing feature.
 * 
 */ ?>

<div class="column-title center spacer" style="margin:0 auto; width:100%;">
<a href="admin/comments.php" onclick="basicPopup(this.href);return false" title="">
<i class="coltitlecolor fa fa-pencil-square-o"></i></a>
</div>
<?php }} 
else {

/** 
 * if member is not logged in
 * show message.
 * 
 */

echo '' . _YOUMUSTLOGIN . '</p>'; } ?>
<div class="inner-wrapper spacer comments left radius"></div>

<?php
/**
 * 
 * Show the comments box.
 * 
 */ ?>

<script src="comments.js"></script>
<script>
new Comments({
page_id: <?= $id ?>
});
</script>
</div>
</div>
</div>
<br>
<br>
<?php require_once 'footer.php';