<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

include 'main.php';

$sql = "SELECT themes, theme_name, lang FROM website,themes"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$themes = $row['themes'];  
$theme_name = $row['theme_name']; 
$lang = $row['lang'];
require_once 'lang/' . $row['lang'] . '.php'; }}

check_loggedin($conn); ?>

<!DOCTYPE html>
<html lang="en">
<head>
<title><?= _CONTACTSTAFF ?></title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description" content="width=device-width, initial-scale=1.0">
<meta name="tags" content="width=device-width, initial-scale=1.0">
<?php require_once 'header.php';
$sql = "SELECT * FROM website, modules"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {  ?>
</head>
<body class="loggedin">

<?php 
/**
 * 
 * If the form is active
 * show it.
 * 
 */

if ($row['use_contact'] == 'Yes' || $row['contact_staff'] == 'Yes') { ?>
<div class="spacer" style="margin:0 auto;box-shadow:1px 0 40px 0 rgba(50,50,50,.3);">
<div class="radius spacer" style="background:<?= $content_bg ?>;width:100%;margin:0 auto;">
<div class="radius">
<div class="center column-title" style="font-family:<?= $col_title_font_fam ?>;font-size:<?= $col_title_font_size ?>;color:<?= $col_title_font_color ?>"><?= _CONTACTSTAFF ?></div>
<br>

<?php require_once 'contact.php';

} else { 
    
/**
 * 
 * If the form is off
 * display a message.
 * 
 */ ?>
 
<div class="card spacer">
<h4 class="gentextcolor center"><?= _TURNEDOFFBYADMIN ?></h4>
<br>

<?php 
/**
 * 
 * If the form is turned off.
 * allow the admin to activate it.
 * 
 */

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { if ($_SESSION['role'] == 'Admin'){ ?>
<p class="center"><a href="../core/designer/contactform.php" onclick="basicPopup(this.href);return false">A<?= _ACTIVATE ?></a></p>
<?php }} ?>
</div>
<?php require_once 'footer.php'; }}} ?>
<br>
<br>
</div>
</div>
</div>
<?php require_once 'footer.php';