<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

// Language Pack English

// In general

define('_USERNAMEMAX','25 characters max');
define('_ALLOWCOMMENTS','Allow Members to Comment');
define('_VISITORS','Visitors');
define('_SITEINMAINTMODE','Site is in maintenance mode.');
define('_MAINTMODE','Maintenance Mode');
define('_MAKINGUPDATES','<h2 class="center">We Are Making Important Site Updates<br><br>And Will Be Back Soon<br><br>Sorry For The Inconvenience</h2>');
define('_HOMEPAGE','Home Page');
define('_LOSTON','Lost on');
define('_ADMINCOMMENTS','Admin Message Comments');
define('_ACCOUNTISACTIVELOGIN','Your account is now activated, you can login!');
define('_ACCOUNTALREADYACTIVATED','Your account is already activated or doesn\'t exist!<br>Please go here to');
define('_LOGINREGISTER','Login/Register');
define('_NOEMAILACCOUNT','No email account was specified.');
define('_BACKTO','Back to');
define('_SHOWMORE','Show More');
define('_FORGOT_PASSWORD','Forgot Password');
define('_PLEASECLICK','Please click the following link to reset your password at');
define('_PASSWORDRESET','Password Reset');
define('_ACCESSDENIEDMUSTBEMEMBER','Access Denied. You must be a member to use the contact form.');
define('_GOTOHOMEPAGE','Go To The Home Page');
define('_AVATARSETTINGS','Avatar Settings');
define('_HEADERHEIGHT','Header Height');
define('_CHOOSESTYLING','Choose styling for the profile image.');
define('_ROUND','Round');
define('_SQUARE','Square');
define('_PROFILEIMGSTYLE','Round is for a standard icon 100px X 100px. Square is for larger images.');
define('_PREVIEWSTYLES','Preview Sample Styles<br><small>(Click To Open)</small>');
define('_SIDEBARSTYLES','Sidebar Styles');
define('_HORIZONTALALIGN','Align Title (horizontal)');
define('_VERTICALALIGN','Align Title (vertical - in pixels (px) from top to bottom)');
define('_CENTER','Center');
define('_TITLESHADOW','Title Shadow (optional)');
define('_TITLESHADOWCOLOR','Title Shadow Color');
define('_FONTSIZE','Font Size');
define('_NOSIDEBARS','No Sidebars');
define('_SIDEBARSLEFTRIGHT','Sidebars Left/Right');
define('_SOCIALSHARINGPAGE','Active Members Social Sharing Page');
define('_MEMBERSSHARING','Members, Sharing, Information');
define('_PREVIEWTHEMES','Preview Themes');
define('_ORLINKTOONE','or Link To One. Go to Edit details.');
define('_MBRSETTINGS','Member Settings');
define('_IFAVATARISSELECTED','If Avatar is selected enter the images URL.');
define('_CHOOSEAVATARTYPE','Choose Avatar Type?');
define('_ADDAVATAR','Don\'t have an avatar? Go to Edit Settings to link to yours.');
define('_CHANGEAVATAR','Change Avatar');
define('_AVATAR','Avatar Full URL');
define('_CHANGETHEME','Change Theme');
DEFINE('_EDITACCOUNT','Edit Profile');
define('_USETHEME','Use Different Theme');
define('_CANUSETHEME','You can select to use a different theme when visiting and are logged in.');
define('_USERTHEME','Theme');
define('_CHOOSEUSERLANG','Choose Language');
define('_USELANG','Select a different language?');
define('_DEFAULTLANG','Default Language:');
define('_USERLANG','Language Chosen');
define('_SOCIALSHARING','Social Sharing');
define('_SOCIALSHARINGNOTACTIVE','Social Sharing is not active <a href="contactstaff.php">Contact Staff</a> to request it.');
define('_YES', 'Yes');
define('_NO', 'No');
define('_TITLE', 'Title');
define('_MAX55TEXT', 'max 55 text characters');
define('_SUBMIT', 'Submit');
define('_SUBJECT', 'Subject');
define('_MESSAGE', 'Message');
define('_YOUREMAIL', 'Your Email Address');
define('_REFRESHPAGE', 'Refresh Page');
define('_UPDATETHERECORD', 'Update the Record');
define('_PUBLISH', 'Publish');
define('_WELCOME', 'Welcome');
define('_USING','Using');
define('_VISIT','Visit');
define('_TRYAGAIN','Try Again');
define('_ACTIVEMBRSS','Active Members Social Sharing');
define('_DATEJOINED','Date Joined');
define('_RESIDESIN','Resides in');
define('_INTERESTARE','Interest');
define('_YOURNAME','Your Name');

//Page Titles

define('_CARDEDCOMMENTS', 'Carded Comments');
define('_AUTHENACCOUNT', 'Authenticate Account');
define('_USERCOMMENTS', 'User Comments');

// The top menu

define('_MENU', 'Menu');
define('_HOME', 'Home');
define('_ACCOUNT', 'Account');
define('_PROFILE', 'Profile');
define('_CONTACT', 'Contact');
define('_SUBMITARTICLE', 'Submit Article');
define('_ADMINDASHBOARD', 'Admin Dashboard');
define('_DESIGNERDASHBOARD', 'Designer Dashboard');
define('_LOGOUT', 'Logout');
define('_CHATROOM', 'Chat Room');
define('_DOWNLOAD','Downloads');

// index.php login and registration.php pages

define('_SHOWPASSWORD','Show Password');
define('_USEREXIST', 'Username exists, please choose another!<br><a href="registration.php">Return</a>');
define('_PLEASECOMPLETE', 'Please complete the registration form!');
define('_ACTIVATIONREQUIRED', 'Account activation is required.');
define('_CLICKTOACTIVATE', 'Please click the following link to activate your account.');
define('_LOGIN', 'Login');
define('_REGISTER', 'Register');
define('_LOGINREGISTRATION', 'Login/Registration');
define('_ADMINLOGIN', 'Admin login');
define('_REMEMBERME', 'Remember me');
define('_FORGOTPASSWORD', 'Forgot password');
define('_SIGNIN', 'Sign-in');
define('_USERNAME', 'Username');
define('_PASSWORD', 'Password');
define('_CONFIRMPASSWORD', 'Confirm password');
define('_EMAIL', 'Email'); //used multiple times
define('_REGISTRATION', 'Registration');

// activate.php

define('_ACTIVATEACCOUNT', 'Activate Account');
define('_ACCOUNTISACTIVE', 'Your account is now activated, you can login!');
define('_NOCODEEMAILSPECIFIED', 'No code and/or email was specified!');

// articlebuilder.php

define('_ARTICLEBUILDER', 'Article Builder');
define('_MEMBERSUBMITTEDARTICLE', 'Member Submitted Article');
define('_MEMBERSUBMITTEDNOTE', 'As a member you can submit articles that will be displayed on the home page along with all other articles.<br>They can be printed and commented on by other members.<br><b><i>Those articles that contain troubling images or content <u>will not</u> be approved.</i></b>');
define('_USERINFOWILLBESENT', 'Your user information will be sent to identify you as the author. Your personal information is never shared.');
define('_DISPLAYAUTHORSNAME', 'Display authors name');
define('_ARTICLETAG', 'Article Tag: (Enter 1 tag 25 text characters max)');
define('_CHOOSECATEGORY', 'Choose Category');
define('_ARTICLECONTENT', 'Article Content');


// authenticate.php

define('_CANNOTLOGINNOW', 'You cannot login right now please try again later!');
define('_INCORRECTTOKEN', 'Incorrect Token Provided<br><a href="index.php" style="text-decoration:none" class="button"><span class="white">Return</span></a>');
define('_PLEASEACTIVEACCOUNT', 'Please activate your account to login, click');
define('_HERE', 'here');
define('_TORESENDEMAIL', ' to resend the activation email!');
define('_SUCCESS', 'Success!');
define('_INCORRECTUSERNAMEPASSWORD', 'Incorrect username and/or password.<br><a href="index.php" style="text-decoration:none" class="button"><span class="white">Return</span></a>');
define('_YOUHAVE', 'You have');
define('_ATTEMPTSREMAINING', 'attempts remaining');
define('_PLEASEACTIVATEACCOUNT', 'Please activate your account or go ');
define('_PLEASEFILLUSERNAMEPASSWORD','Please fill both the username and password fields!');

// chat.php

define('_USER', 'User');
define('_HASLEFTCHAT', 'has left the chat session.');
define('_CHATSAREDELETED', 'All chats are deleted each night for that day.');
define('_EXIT', 'EXIT');
define('_SEND', 'Send');
define('_CHATROOMCLOSED', 'The Chat Room Is Closed For Now');

// comments.php, downloadscomments.php, usercomments.php

define('_FILESIZE','File Size');
define('_DOWNLOADS','Downloads');
define('_DATE','Date');
define('_CATEGORY','Category');
define('_COMMENTS', 'Comments');
define('_VOTES', 'Votes');
define('_NEWEST', 'Newest');
define('_OLDEST', 'Oldest');
define('_AWAITINGAPPROVAL', 'Awaiting approval');
define('_REPLY', 'Reply');
define('_YOURNAMEREQ', 'Your Name');
define('_WRITECOMMENT', 'Write your comment here.');
define('_PHOTOURL', 'Photo Icon URL (optional)');

// compress.php

define('_IMGCOMPRESS','Image Compressor');
define('_UPLOADCOMPRESSIMG','Upload and Compress Images');
define('_IMGARESTOREDIN','The images you compress will show in the Background Image Library.');
define('_ALLOWEDFILES','Allowed file types');
define('_SELECTIMGFILE','Select Image File');
define('_ORIGINALSIZE','Original Image Size');
define('_COMPRESSEDSIZE','Compressed Image Size');
define('_CLICKPREVIEW','Click thumbnail for preview');
define('_COMPRESSIMG','Compress Image');

// contact.php and contactstaff.php

define('_SENTALONGWITHEMAIL', 'This Will Be Sent Along With Your Email');
define('_CONTACTSTAFF', 'Contact Staff');
define('_TURNEDOFFBYADMIN', 'This feature has been turned off by the Administrator.');
define('_MESSAGESENT', 'Message sent. Thank you!');
define('_ERROROCCURED', 'Error occurred, please try again later');
define('_INVALIDNAME','Invalid Name');
define('_INVALIDSUBJECT','Invalid Subject');
define('_INVALIDEMAIL','Invalid Email');
define('_MESSAGESHOULDNOTBEEMPTY','Message field should not be empty.');
define('_SENTWITHEMAIL','This Will Be Sent Along With Your Email');


// emailtemplate.php, resendactivation.php

define('_RESENDACTIVATIONEMAIL', 'Resend Activation Email');
define('_ACCOUNTACTIVATIONREQUIRED', 'Account Activation Required');

// footer.php

define('_POWEREDBY', 'Powered by Spectra, Version');

// generator/index.php

define('_SETTINGS','Settings');
define('_INCLUDEUPPERCASE','Include Uppercase');
define('_INCLUDELOWERCASE','Include Lowercase');
define('_INCLUDENUMBERS','Include Numbers');
define('_INCLUDESYMBOLS','Include Symbols');
define('_GENERATEDPASSWORD','Generated Password');
define('_GENERATEPASSWORD','Generate Password');
define('_CLICKTOCOPY','click to copy');
define('_COPIED','copied');
define('_PASSWORDGENERATOR','Password Generator');

// home.php

define('_NEWSFROMSTAFF', 'News from the staff');
define('_MEMBERSHOMEPAGE', 'Member\'s Home Page');
define('_WELCOMEBACK', 'Welcome back');

// lost.php

define('_LOST', 'OOPS, You Have Followed The Wrong Path<br><br>Either you are lost or attempting to register.<br><br>Sorry, New User Registration is not activated on this website at this time.');
define('_ONINACTIVEPAGE', 'You Are On An Inactive Page at');
define('_SHOULDGO', 'you should go');

// profile.php

define('_BIO_MAX','Biography (max 1500 characters)');
define('_INTEREST_MAX','Interest (max 500 characters)');
define('_BIO','Biography');
define('_INTEREST','Interest');
define('_REALNAME','Real Name');
define('_LOCATION','Location');
define('_OPTIONALINFO','Optional Information');
define('_ANYTHINGADDED','Anything you add here will be visible to other active members who may view the Members List.');
define('_SOCIAL_MEDIA','Social Media (optional)');
define('_MEMBERSLIST','Show social media accounts in Members List?');
define('_ACCOUNTSWILLSHOW','If Yes only the accounts you enter below will show.');
define('_ACCOUNTNUMBERNAME','Enter your account number/name only.');
define('_THEMESELECTION','Theme Selection (optional)');
define('_MSGCENTER','Message Center');
define('_ROLE', 'Role');
define('_MEMBERSINCE', 'Member since');
define('_EDITDETAILS', 'Edit details');
define('_EDITYOURPROFILE', 'Edit Your Profile');
define('_DONTHAVEAVATAR', 'Don\'t have an avatar?  Go to ');
define('_YOURPROFILE', 'Your Profile');
define('_ONLYIFCHANGING', '(Only If Changing Passwords)');
define('_CANNOTBECHANGED', '(cannot be changed)');
define('_AREOPTIONAL', 'The Following Are Optional');
define('_FULLURL', 'Full URL');
define('_NONE', 'None');
define('_SOCIALMEDIA', 'Social Media');
define('_ACCOUNTEXIST','Account already exists with that username and/or email!');
define('_HAVECHANGEDEMAIL','You have changed your email address, you need to re-activate your account!');

// register.php, registration.php

define('_CHECKEMAILTOACTIVATEACCOUNT', 'Please check your email to activate your account!');
define('_REGISTEREDSUCCESLOGIN', 'You have successfully registered, you can now login!');
define('_CHECKEMAILANDSPAM','Check Email to Activate Your Account. Also Check the spam folder.');
define('_SUCCESSFULLYREGISTERED','You have successfully registered. Please login.');
define('_USERNAMEEMAILEXISTS','Username and/or email exists!');
define('_PASSWORDSDONOTMATCH','Passwords do not match!');
define('_PASSWORDSMUSTBEBETWEEN','Password must be between 5 and 20 characters long!');
define('_PLEASECOMPLETEREGFORM','Please complete the registration form');
define('_USEPASSGENERATOR','Use Password Generator');

// register-with-activation.php

define('_USERNAMENOTVALID', 'Username is not valid!');
define('_EMAILNOTVALID', 'Email is not valid!');
define('_PLEASE_COMPLETE', 'Please complete the registration form.');
define('_EMAILUSED', 'This email address is already used! Please choose another one.');
define('_PASSWORDMUSTBE', 'Password must be between 5 and 20 characters long!');
define('_ALLFIELDSREQ', 'All fields are required!');
define('_PASSWORDNOMATCH', 'Passwords do not match!');
define('_RETURNTOREG', 'Return to Registration Form');
define('_CHECKEMAILTOACTIVATEACCOUNTSPAM', 'Please check your email to activate your account.<br>Also check your SPAM folder.');
define('_COULDNOTPREPARESTATEMENT', 'Could not prepare statement!');
define('_WELCOMETO','Welcome To');
define('_CLICKFOLLOWINGLINK','We are glad to have you as a new member!<br><br>Please click the following link to activate your account.');
define('_ACTIVATE_ACCOUNT','Activate Your Account</a><br><br>And be sure to check out all of the cool features we have to offer.');

// resendactivation.php

define('_SENTTOEMAIL','<p style="padding:10px;background:#ffffff;color:#000000">Activation link has been sent to your email!<br>Be sure to check your SPAM folder.</p>');
define('_NOEMAIL','<p style="padding:10px;background:#ffffff;color:#000000">We do not have an account with that email!</p>');

// resetpassword.php

define('_RESETPASSWORD', 'Reset Password');

// success.php

define('_ARTICLESUBMITTEDSUCCESSFULLY', 'Article Submitted Successfully!');
define('_CLOSEWINDOWCONTINUE', 'Close This Window To Continue');
define('_IFAPPROVED', 'If approved your article will show along with all other articles.');
define('_WILLCONTACTYOU', 'We will contact you soon.');


// usercomments.php

define('_YOUMUSTLOGIN', 'You must <a href="index.php" onclick="basicPopup(this.href);return false">login</a> to comment.');

// upload.php

define('_UPLOADSUCCESSFUL', 'File uploaded successfully. If you have finished uploading images, close this window and refresh your browser to continue.');
define('_FAILEDTOUPLOAD', 'Failed to upload file.');
define('_FILETOOLARGE', 'File is too large');

// uploadimages.php

define('_UPLOADSINTOLIBRARY', 'The entire community of active members has access to anything you upload into the library.<br>Only background image files (jpg, gif, png, jpeg) are allowed.<br><br><b>The library is monitored daily by the administrators and all inappropriate files will be removed.<br>Upload Limit is 300kb</b><br>Image resolution must be at least 1920 x 1080.');
define('_RECORDEDNOTSHARED','will be recorded but not shared.');
define('_CLOSEWINDOW','Close This Window');
define('_YOURIP','Your IP:');
define('_ANDUSERNAME','and username:');
define('_UPLOADCOMPRESSIMAGES','Upload and Compress Images');
define('_SELECTIMAGEFILE','Select Image File');
define('_COMPRESSIMAGE','Compress Image');
define('_ORGIMGSIZE','Original Image Size:');
define('_COMPIMGSIZE','Compressed Image Size:');
