<?php

/**
 * Spectra est un logiciel conçu pour créer un site Web.
 * PHPVersion 8
 *
 * @category OpenSource
 * @package Spectra
 * @author Mike Boyles <codersjunctions@gmail.com>
 * @copyright 2020-2023 Jonction des codeurs
 * @license GNU General Public License <http://www.gnu.org/licenses/>.
 * @lien https://www.coders-junction.com
 */

// Pack de langue français

// En général

define('_USERNAMEMAX','25 caractères maximum');
define('_ALLOWCOMMENTS','Autoriser les membres à commenter');
define('_VISITORS','Visiteurs');
define('_SITEINMAINTMODE','Le site est en mode maintenance.');
define('_MAINTMODE','Maintenance Mode');
define('_MAKINGUPDATES','<h2 class="center">Nous effectuons des mises à jour importantes du site<br><br>Et nous serons bientôt de retour<br><br>Désolé pour la gêne occasionnée</h2>');
define('_HOMEPAGE','Page d\'accueil');
define('_LOSTON','Perdu le');
define('_ADMINCOMMENTS','Commentaires sur les messages de l\'administrateur');
define('_ACCOUNTISACTIVELOGIN','Votre compte est maintenant activé, vous pouvez vous connecter !');
define('_ACCOUNTALREADYACTIVATED','Votre compte est déjà activé ou n\'existe pas !<br>Veuillez vous rendre ici pour');
define('_LOGINREGISTER','S\'identifier S\'enregistrer');
define('_NOEMAILACCOUNT','Aucun compte de messagerie n\'a été spécifié.');
define('_BACKTO','Retour à');
define('_SHOWMORE','Montre plus');
define('_FORGOT_PASSWORD','Mot de passe oublié');
define('_PLEASECLICK','Veuillez cliquer sur le lien suivant pour réinitialiser votre mot de passe à');
define('_PASSWORDRESET','Réinitialisation du mot de passe');
define('_ACCESSDENIEDMUSTBEMEMBER','Accès refusé. Vous devez être membre pour utiliser le formulaire de contact.');
define('_GOTOHOMEPAGE','Aller à la page d\'accueil');
define('_AVATARSETTINGS','Paramètres d\'avatar');
define('_HEADERHEIGHT','Hauteur d\'en-tête');
define('_CHOOSESTYLING','Choisissez le style de l\'image de profil.');
define('_ROUND','Rond');
define('_SQUARE','Carré');
define('_PROFILEIMGSTYLE','Round est pour une icône standard 100px X 100px. Le carré est pour les images plus grandes');
define('_PREVIEWSTYLES','Aperçu des exemples de styles<br><small>(Cliquez pour ouvrir)</small>');
define('_SIDEBARSTYLES','Styles de la barre latérale');
define('_HORIZONTALALIGN','Aligner le titre (horizontal)');
define('_VERTICALALIGN','Aligner le titre (vertical - en pixels (px) de haut en bas)');
define('_CENTER','Centre');
define('_TITLESHADOW','Ombre du titre (facultatif)');
define('_TITLESHADOWCOLOR','Couleur de l\'ombre du titre');
define('_FONTSIZE','Taille de police');
define('_NOSIDEBARS','Pas de barres latérales');
define('_SIDEBARSLEFTRIGHT','Barres latérales gauche/droite');
define('_SOCIALSHARINGPAGE','Page de partage social des membres actifs');
define('_MEMBERSSHARING','Membres, Partage, Information');
define('_PREVIEWTHEMES','Aperçu des thèmes');
define('_ORLINKTOONE','Lien vers un. Accédez à Modifier les détails..');
define('_MBRSETTINGS','Paramètres des membres');
define('_IFAVATARISSELECTED','Si Avatar est sélectionné, entrez l\'URL des images.');
define('_CHOOSEAVATARTYPE','Choisir le type d\'avatar ?');
define('_ADDAVATAR','Vous n\'avez pas d\'avatar ? Accédez à Modifier les paramètres pour créer un lien vers le vôtre.');
define('_AVATAR','URL complète de l\'avatar');
define('_CHANGEAVATAR','Changer d\'avatar');
define('_CHANGETHEME','Change le thème');
DEFINE('_EDITACCOUNT','Editer le profil');
define('_USETHEME','Utiliser un thème différent');
define('_CANUSETHEME','Vous pouvez choisir d\'utiliser un thème différent lorsque vous visitez et êtes connecté.');
define('_USERTHEME','Thème');
define('_CHOOSEUSERLANG','Choisissez la langue');
define('_USELANG','Sélectionner une autre langue ?');
define('_DEFAULTLANG','Langage par défaut:');
define('_USERLANG','Langue choisie');
define('_SOCIALSHARING','Partage social');
define('_SOCIALSHARINGNOTACTIVE','Le partage social n\'est pas actif <a href="contactstaff.php">Contactez le personnel</a> pour le demander.');
define('_YES', 'Oui');
define('_NO', 'Non');
define('_TITLE', 'Titre');
define('_MAX55TEXT', 'max 55 caractères de texte');
define('_SUBMIT', 'Soumettre');
define('_SUBJECT', 'Sujet');
define('_MESSAGE', 'Message');
define('_YOUREMAIL', 'Votre e-mail');
define('_REFRESHPAGE', 'Rafraîchir la page');
define('_UPDATETHERECORD', 'Mettre à jour l\' enregistrement');
define('_PUBLISH', 'Publier');
define('_WELCOME', 'Bienvenu');
define('_CHATROOM', 'Tchat');
define('_USING','Utilisant');
define('_ACTIVEMBRSS','Partage social des membres actifs');
define('_DATEJOINED','Date d\'adhésion');
define('_RESIDESIN','Réside dans');
define('_INTERESTARE','Les intérêts sont');
define('_YOURNAME','votre nom');

//Page Titles

define('_CARDEDCOMMENTS', 'Commentaires enregistrés');
define('_AUTHENACCOUNT', 'Authentifier le compte');
define('_USERCOMMENTS', 'Commentaires des utilisateurs');


// Le menu du haut

define('_MENU', 'Menu');
define('_HOME', 'Accueil');
define('_ACCOUNT', 'Compte');
define('_PROFILE', 'Profil');
define('_CONTACT', 'Contact');
define('_SUBMITARTICLE', 'Soumettre l\'article');
define('_ADMINDASHBOARD', 'Tableau de bord administrateur');
define('_DESIGNERDASHBOARD', 'Tableau de bord du concepteur');
define('_LOGOUT', 'Se déconnecter');
define('_DOWNLOAD','Téléchargements');

// index.php login and registration.php pages

define('_SHOWPASSWORD','Montrer le mot de passe');
define('_USEREXIST', 'Le nom d\'utilisateur existe, veuillez en choisir un autre !<br><a href="registration.php">Retour</a>');
define('_PLEASECOMPLETE', 'Veuillez remplir le formulaire d\'inscription!');
define('_ACTIVATIONREQUIRED', 'L\'activation du compte est requise.');
define('_CLICKTOACTIVATE', 'Veuillez cliquer sur le lien suivant pour activer votre compte.');
define('_LOGIN', 'Connexion');
define('_REGISTER', 'S\'inscrire');
define('_ADMINLOGIN', 'Connexion administrateur');
define('_LOGINREGISTRATION', 'Connexion/Inscription');
define('_REMEMBERME', 'Souviens-toi de moi');
define('_FORGOTPASSWORD', 'Mot de passe oublié');
define('_SIGNIN', 'S\'identifier');
define('_USERNAME', 'Nom d\'utilisateur');
define('_PASSWORD', 'Mot de passe');
define('_CONFIRMPASSWORD', 'Confirmez le mot de passe');
define('_EMAIL', 'E-mail'); // utilisé plusieurs fois
define('_REGISTRATION', 'Inscription');

// home.php

define('_NEWSFROMSTAFF', 'Nouvelles du personnel');
define('_MEMBERSHOMEPAGE', 'Page d\'accueil du membre');
define('_WELCOMEBACK', 'Content de te revoir');

// activate.php

define('_ACTIVATEACCOUNT', 'Compte actif');
define('_ACCOUNTISACTIVE', 'Votre compte est maintenant activé, vous pouvez vous connecter !');
define('_NOCODEEMAILSPECIFIED', 'Aucun code et/ou e-mail n\'a été spécifié !');

// emailtemplate.php, resendactivation.php
define('_RESENDACTIVATIONEMAIL', 'Renvoyer l\'email d\'activation');
define('_ACCOUNTACTIVATIONREQUIRED', 'Activation de compte requise');

// articlebuilder.php

define('_ARTICLEBUILDER', 'Générateur d\'articles');
define('_MEMBERSUBMITTEDARTICLE', 'Article soumis par le membre');
define('_MEMBERSUBMITTEDNOTE', 'En tant que membre, vous pouvez soumettre des articles qui seront affichés sur la page d\'accueil avec tous les autres articles.<br>Ils peuvent être imprimés et commentés par d\'autres membres.<br><b><i>Les articles qui contiennent des images ou du contenu troublant <u>ne seront pas</u> approuvés.</i></b>');
define('_USERINFOWILLBESENT', 'Vos informations d\'utilisateur seront envoyées pour vous identifier en tant qu\'auteur. Vos informations personnelles ne sont jamais partagées.');
define('_DISPLAYAUTHORSNAME', 'Afficher le nom des auteurs');
define('_ARTICLETAG', 'Balise d\'article : (Entrez 1 balise de 25 caractères de texte maximum)');
define('_CHOOSECATEGORY', 'Choisissez la catégorie');
define('_ARTICLECONTENT', 'Contenu de l\'article');


// authenticate.php

define('_CANNOTLOGINNOW', 'Vous ne pouvez pas vous connecter maintenant, veuillez réessayer plus tard !');
define('_INCORRECTTOKEN', 'Jeton incorrect fourni');
define('_PLEASEACTIVEACCOUNT', 'Veuillez activer votre compte pour vous connecter, cliquez sur');
define('_HERE', 'here');
define('_TORESENDEMAIL', 'pour renvoyer l\'e-mail d\'activation !');
define('_SUCCESS', 'Succès!');
define('_INCORRECTUSERNAMEPASSWORD', '<div class="center spacer">Nom d\'utilisateur et/ou mot de passe incorrects<br><a href="index.php">Retour</a></div>');
define('_YOUHAVE', 'vous avez');
define('_ATTEMPTSREMAINING', 'tentatives restantes');
define('_PLEASEACTIVATEACCOUNT', 'Veuillez activer votre compte ou aller ');
define('_PLEASEFILLUSERNAMEPASSWORD','Veuillez remplir les champs nom d\'utilisateur et mot de passe !');

// chat.php

define('_USER', 'Utilisateur');
define('_HASLEFTCHAT', 'a quitté la session de chat.');
define('_CHATSAREDELETED', 'Tous les chats sont supprimés chaque nuit pour ce jour.');
define('_EXIT', 'SORTIR');
define('_SEND', 'Envoyer');
define('_CHATROOMCLOSED', 'La salle de chat est fermée pour le moment');

// comments.php

define('_FILESIZE','Taille du fichier');
define('_DOWNLOADS','Téléchargements');
define('_DATE','Date');
define('_CATEGORY','Catégorie');
define('_COMMENTS', 'commentaires');
define('_VOTES', 'Votes');
define('_NEWEST', 'Le plus récent');
define('_OLDEST', 'Le plus ancien');
define('_AWAITINGAPPROVAL', 'En attente d\'approbation');
define('_REPLY', 'Réponse');
define('_YOURNAMEREQ', 'votre nom');
define('_WRITECOMMENT', 'Écrivez votre commentaire ici.');
define('_PHOTOURL', 'URL de l\'icône photo (facultatif)');

// contact.php and contactstaff.php

define('_SENTALONGWITHEMAIL', 'Ceci sera envoyé avec votre e-mail');
define('_CONTACTSTAFF', 'Contactez le personnel');
define('_TURNEDOFFBYADMIN', 'Cette fonctionnalité a été désactivée par l\'administrateur.');
define('_MESSAGESENT', 'Message envoyé. Merci!');
define('_ERROROCCURED', 'Une erreur s\'est produite, veuillez réessayer plus tard');
define('_INVALIDNAME','Nom incorrect');
define('_INVALIDSUBJECT','Objet invalide');
define('_INVALIDEMAIL','Email invalide');
define('_MESSAGESHOULDNOTBEEMPTY','Le champ Message ne doit pas être vide.');
define('_SENTWITHEMAIL','Ceci sera envoyé avec votre e-mail');


// footer.php

define('_POWEREDBY', 'Propulsé par Spectra, version');

// generator/index.php

define('_SETTINGS','Réglages');
define('_INCLUDEUPPERCASE','Inclure les majuscules');
define('_INCLUDELOWERCASE','Inclure les minuscules');
define('_INCLUDENUMBERS','Inclure des nombres');
define('_INCLUDESYMBOLS','Inclure les symboles');
define('_GENERATEDPASSWORD','Mot de passe généré');
define('_GENERATEPASSWORD','Créer un mot de passe');
define('_CLICKTOCOPY','cliquez pour copier');
define('_COPIED','copié');
define('_PASSWORDGENERATOR','Générateur de mot de passe');

// lost.php

define('_LOST', 'OOPS, vous avez suivi le mauvais chemin<br><br>Soit vous êtes perdu, soit vous essayez de vous inscrire.<br><br>Désolé, l\'inscription d\'un nouvel utilisateur n\'est pas activée sur ce site Web pour le moment.');
define('_ONINACTIVEPAGE', 'Vous êtes sur une page inactive sur');
define('_SHOULDGO', 'Tu devrais y aller');

// profile.php

define('_BIO_MAX','Biography (1500 caractères maximum)');
define('_INTEREST_MAX','Interest (500 caractères maximum)');
define('_BIO','Biographie');
define('_INTEREST','Intérêt');
define('_REALNAME','Vrai nom');
define('_LOCATION','Emplacement');
define('_OPTIONALINFO','information optionnelle');
define('_ANYTHINGADDED','Tout ce que vous ajoutez ici sera visible par les autres membres actifs qui peuvent consulter la liste des membres.');
define('_SOCIAL_MEDIA','Réseaux sociaux (facultatif)');
define('_MEMBERSLIST','Afficher les comptes de médias sociaux dans la liste des membres ?');
define('_ACCOUNTSWILLSHOW','Si Oui, seuls les comptes que vous saisissez ci-dessous s\'afficheront.');
define('_ACCOUNTNUMBERNAME','Saisissez uniquement votre numéro de compte/nom.');
define('_THEMESELECTION','Sélection du thème');
define('_MSGCENTER','Centre de messagerie');
define('_ROLE', 'Rôle');
define('_MEMBERSINCE', 'Membre depuis');
define('_EDITDETAILS', 'Modifier les détails');
define('_EDITYOURPROFILE', 'Modifier votre profil');
define('_DONTHAVEAVATAR', 'Vous n\'avez pas d\'avatar ? Aller à');
define('_YOURPROFILE', 'Votre profil');
define('_ONLYIFCHANGING', '(Uniquement en cas de modification des mots de passe)');
define('_CANNOTBECHANGED', '(ne peut pas être changé)');
define('_AREOPTIONAL', 'Les éléments suivants sont facultatifs');
define('_FULLURL', 'URL complète');
define('_NONE', 'Aucun');
define('_SOCIALMEDIA', 'Réseaux sociaux');
define('_ACCOUNTEXIST','Le compte existe déjà avec ce nom d\'utilisateur et/ou cette adresse e-mail !');
define('_HAVECHANGEDEMAIL','Vous avez changé d\'adresse email, vous devez réactiver votre compte !');

// register.php, registration.php

define('_CHECKEMAILTOACTIVATEACCOUNT', 'Veuillez vérifier votre e-mail pour activer votre compte !');
define('_REGISTEREDSUCCESLOGIN', 'Vous vous êtes inscrit avec succès, vous pouvez maintenant vous connecter !');
define('_CHECKEMAILANDSPAM','Vérifiez l\'e-mail pour activer votre compte. Vérifiez également le dossier spam.');
define('_SUCCESSFULLYREGISTERED','Vous vous êtes inscrit avec succès. Veuillez vous connecter.');
define('_USERNAMEEMAILEXISTS','Le nom d\'utilisateur et/ou l\'e-mail existe !');
define('_PASSWORDSDONOTMATCH','Les mots de passe ne correspondent pas!');
define('_PASSWORDSMUSTBEBETWEEN','Le mot de passe doit comporter entre 5 et 20 caractères !');
define('_PLEASECOMPLETEREGFORM','Veuillez remplir le formulaire d\'inscription');
define('_USEPASSGENERATOR','Utiliser le générateur de mot de passe');

// register-with-activation.php

define('_USERNAMENOTVALID', 'Le nom d\'utilisateur n\'est pas valide!');
define('_EMAILNOTVALID', 'L\'email n\'est pas valide!');
define('_PLEASE_COMPLETE', 'Veuillez remplir le formulaire d\'inscription.');
define('_EMAILUSED', 'Cette adresse e-mail est déjà utilisée ! Veuillez en choisir un autre.');
define('_PASSWORDMUSTBE', 'Le mot de passe doit comporter entre 5 et 20 caractères !');
define('_ALLFIELDSREQ', 'Tous les champs sont requis!');
define('_PASSWORDNOMATCH', 'Les mots de passe ne correspondent pas!');
define('_RETURNTOREG', 'Retour au formulaire d\'inscription');
define('_CHECKEMAILTOACTIVATEACCOUNTSPAM', 'Veuillez vérifier votre e-mail pour activer votre compte.<br>Vérifiez également votre dossier SPAM.');
define('_COULDNOTPREPARESTATEMENT', 'Impossible de préparer le relevé !');
define('_WELCOMETO','Welcome To');
define('_CLICKFOLLOWINGLINK','Nous sommes heureux de vous avoir comme nouveau membre !<br><br>Veuillez cliquer sur le lien suivant pour activer votre compte.');
define('_ACTIVATE_ACCOUNT','Activez votre compte</a><br><br>Et assurez-vous de vérifier toutes les fonctionnalités intéressantes que nous avons à offrir.');

// resendactivation.php

define('_SENTTOEMAIL','<p style="padding:10px;background:#ffffff;color:#000000">Le lien d\'activation a été envoyé à votre adresse e-mail !<br>Assurez-vous de vérifier votre dossier SPAM.</p>');
define('_NOEMAIL','<p style="padding:10px;background:#ffffff;color:#000000">Nous n\'avons pas de compte avec cet e-mail !</p>');

// resetpassword.php

define('_RESETPASSWORD', 'Reset Password');

// success.php

define('_ARTICLESUBMITTEDSUCCESSFULLY', 'Article soumis avec succès !');
define('_CLOSEWINDOWCONTINUE', 'Fermez cette fenêtre pour continuer');
define('_IFAPPROVED', 'S\'il est approuvé, votre article s\'affichera avec tous les autres articles.');
define('_WILLCONTACTYOU', 'Nous vous contacterons bientôt.');

// usercomments.php

define('_YOUMUSTLOGIN', 'Vous devez <a href="index.php" onclick="basicPopup(this.href);return false">vous connecter</a> pour commenter.');

// upload.php

define('_UPLOADSUCCESSFUL', 'Fichier téléchargé avec succès. Si vous avez terminé de télécharger des images, fermez cette fenêtre et actualisez votre navigateur pour continuer.');
define('_FAILEDTOUPLOAD', 'Échec du téléchargement du fichier.
');
define('_FILETOOLARGE', 'Le fichier est trop grand');

// uploadimages.php

define('_UPLOADSINTOLIBRARY', 'L\'ensemble de la communauté des membres actifs a accès à tout ce que vous téléchargez dans la bibliothèque.<br>Seuls les fichiers image d\'arrière-plan (jpg, gif, png, jpeg) sont autorisés.<br><br><b>La bibliothèque est surveillée quotidiennement par les administrateurs et tous les fichiers inappropriés seront supprimés.<br>La limite de téléchargement est de 300 Ko</b>');
define('_RECORDEDNOTSHARED','seront enregistrés mais non partagés.');
define('_CLOSEWINDOW','Ferme cette fenêtre');
define('_YOURIP','Ton ip:');
define('_ANDUSERNAME','et nom d\'utilisateur:');
define('_UPLOADCOMPRESSIMAGES','Télécharger et compresser des images');
define('_SELECTIMAGEFILE','Sélectionnez le fichier image');
define('_COMPRESSIMAGE','Compresser l\'image');
define('_ORGIMGSIZE','Taille de l\'image d\'origine:');
define('_COMPIMGSIZE','Taille de l\'image compressée:');
